icd10 = {
    "V978": "Other air transport accidents, not elsewhere classified",
    "M141": "Crystal arthropathy in other metabolic disorders",
    "M162": "Coxarthrosis resulting from dysplasia, bilateral",
    "M172": "Post-traumatic gonarthrosis, bilateral",
    "M21": "Other acquired deformities of limbs",
    "P00": "Fetus and newborn affected by maternal conditions that may be unrelated to present pregnancy",
    "P001": "Fetus and newborn affected by maternal renal and urinary tract diseases",
    "P007": "Fetus and newborn affected by other medical procedures on mother, not elsewhere classified",
    "P010": "Fetus and newborn affected by incompetent cervix",
    "P081": "Other heavy for gestational age infants",
    "P123": "Bruising of scalp due to birth injury",
    "P130": "Fracture of skull due to birth injury",
    "P138": "Birth injuries to other parts of skeleton",
    "P248": "Other neonatal aspiration syndromes",
    "P283": "Primary sleep apnoea of newborn",
    "P368": "Other bacterial sepsis of newborn",
    "P373": "Congenital falciparum malaria",
    "P399": "Infection specific to the perinatal period, unspecified",
    "P518": "Other umbilical haemorrhages of newborn",
    "P521": "Intraventricular (nontraumatic) haemorrhage, grade 2, of fetus and newborn",
    "P540": "Neonatal haematemesis",
    "P614": "Other congenital anaemias, not elsewhere classified",
    "45539249": "Invalid ICD10 Concept, do not use",
    "P76": "Other intestinal obstruction of newborn",
    "P835": "Congenital hydrocele",
    "P90": "Convulsions of newborn",
    "P91": "Other disturbances of cerebral status of newborn",
    "P912": "Neonatal cerebral leukomalacia",
    "P918": "Other specified disturbances of cerebral status of newborn",
    "Q011": "Nasofrontal encephalocele",
    "Q045": "Megalencephaly",
    "Q102": "Congenital entropion",
    "Q104": "Absence and agenesis of lacrimal apparatus",
    "Q112": "Microphthalmos",
    "Q123": "Congenital aphakia",
    "Q14": "Congenital malformations of posterior segment of eye",
    "Q149": "Congenital malformation of posterior segment of eye, unspecified",
    "Q169": "Congenital malformation of ear causing impairment of hearing, unspecified",
    "H447": "Retained (old) intraocular foreign body, nonmagnetic",
    "H450": "Vitreous haemorrhage in diseases classified elsewhere",
    "H488": "Other disorders of optic nerve and visual pathways in diseases classified elsewhere",
    "H536": "Night blindness",
    "H541": "Severe visual impairment, binocular",
    "H570": "Anomalies of pupillary function",
    "H599": "Postprocedural disorder of eye and adnexa, unspecified",
    "H66": "Suppurative and unspecified otitis media",
    "H720": "Central perforation of tympanic membrane",
    "H744": "Polyp of middle ear",
    "H814": "Vertigo of central origin",
    "H832": "Labyrinthine dysfunction",
    "I020": "Rheumatic chorea with heart involvement",
    "I098": "Other specified rheumatic heart diseases",
    "I110": "Hypertensive heart disease with (congestive) heart failure",
    "I21": "Acute myocardial infarction",
    "I233": "Rupture of cardiac wall without haemopericardium as current complication following acute myocardial infarction",
    "I249": "Acute ischaemic heart disease, unspecified",
    "I339": "Acute endocarditis, unspecified",
    "I372": "Pulmonary valve stenosis with insufficiency",
    "I401": "Isolated myocarditis",
    "I411": "Myocarditis in viral diseases classified elsewhere",
    "I421": "Obstructive hypertrophic cardiomyopathy",
    "I47": "Paroxysmal tachycardia",
    "I483": "Typical atrial flutter",
    "I493": "Ventricular premature depolarization",
    "I608": "Other subarachnoid haemorrhage",
    "I630": "Cerebral infarction due to thrombosis of precerebral arteries",
    "I66": "Occlusion and stenosis of cerebral arteries, not resulting in cerebral infarction",
    "M240": "Loose body in joint",
    "M245": "Contracture of joint",
    "M246": "Ankylosis of joint",
    "M300": "Polyarteritis nodosa",
    "M311": "Thrombotic microangiopathy",
    "M32": "Systemic lupus erythematosus",
    "M320": "Drug-induced systemic lupus erythematosus",
    "M349": "Systemic sclerosis, unspecified",
    "M353": "Polymyalgia rheumatica",
    "M364": "Arthropathy in hypersensitivity reactions classified elsewhere",
    "A02": "Other salmonella infections",
    "A04": "Other bacterial intestinal infections",
    "A040": "Enteropathogenic Escherichia coli infection",
    "A042": "Enteroinvasive Escherichia coli infection",
    "A06": "Amoebiasis",
    "A062": "Amoebic nondysenteric colitis",
    "A150": "Tuberculosis of lung, confirmed by sputum microscopy with or without culture",
    "A178": "Other tuberculosis of nervous system",
    "A181": "Tuberculosis of genitourinary system",
    "A183": "Tuberculosis of intestines, peritoneum and mesenteric glands",
    "A228": "Other forms of anthrax",
    "A23": "Brucellosis",
    "A250": "Spirillosis",
    "A259": "Rat-bite fever, unspecified",
    "A267": "Erysipelothrix sepsis",
    "A278": "Other forms of leptospirosis",
    "A360": "Pharyngeal diphtheria",
    "S740": "Injury of sciatic nerve at hip and thigh level",
    "Q26": "Congenital malformations of great veins",
    "Q273": "Peripheral arteriovenous malformation",
    "Q322": "Congenital bronchomalacia",
    "Q323": "Congenital stenosis of bronchus",
    "Q35": "Cleft palate",
    "Q351": "Cleft hard palate",
    "Q384": "Congenital malformations of salivary glands and ducts",
    "Q412": "Congenital absence, atresia and stenosis of ileum",
    "Q429": "Congenital absence, atresia and stenosis of large intestine, part unspecified",
    "Q453": "Other congenital malformations of pancreas and pancreatic duct",
    "Q500": "Congenital absence of ovary",
    "Q517": "Congenital fistulae between uterus and digestive and urinary tracts",
    "Q548": "Other hypospadias",
    "Q564": "Indeterminate sex, unspecified",
    "Q601": "Renal agenesis, bilateral",
    "Q604": "Renal hypoplasia, bilateral",
    "Q605": "Renal hypoplasia, unspecified",
    "Q632": "Ectopic kidney",
    "Q660": "Talipes equinovarus",
    "Q663": "Other congenital varus deformities of feet",
    "Q669": "Congenital deformity of feet, unspecified",
    "Q719": "Reduction defect of upper limb, unspecified",
    "Q725": "Longitudinal reduction defect of tibia",
    "Q755": "Oculomandibular dysostosis",
    "Q76": "Congenital malformations of spine and bony thorax",
    "Q770": "Achondrogenesis",
    "Q771": "Thanatophoric short stature",
    "Q819": "Epidermolysis bullosa, unspecified",
    "Q831": "Accessory breast",
    "Q874": "Marfan syndrome",
    "Q913": "Edwards syndrome, unspecified",
    "Q952": "Balanced autosomal rearrangement in abnormal individual",
    "R001": "Bradycardia, unspecified",
    "R091": "Pleurisy",
    "R11": "Nausea and vomiting",
    "R12": "Heartburn",
    "R161": "Splenomegaly, not elsewhere classified",
    "R227": "Localized swelling, mass and lump, multiple sites",
    "R233": "Spontaneous ecchymoses",
    "R251": "Tremor, unspecified",
    "R270": "Ataxia, unspecified",
    "R35": "Polyuria",
    "S234": "Sprain and strain of ribs and sternum",
    "S600": "Contusion of finger(s) without damage to nail",
    "M469": "Inflammatory spondylopathy, unspecified",
    "M470": "Anterior spinal and vertebral artery compression syndromes",
    "S271": "Traumatic haemothorax",
    "A362": "Laryngeal diphtheria",
    "A41": "Other sepsis",
    "A410": "Sepsis due to Staphylococcus aureus",
    "A42": "Actinomycosis",
    "A420": "Pulmonary actinomycosis",
    "A430": "Pulmonary nocardiosis",
    "A441": "Cutaneous and mucocutaneous bartonellosis",
    "A482": "Nonpneumonic Legionnaires disease [Pontiac fever]",
    "A507": "Late congenital syphilis, unspecified",
    "A51": "Early syphilis",
    "A527": "Other symptomatic late syphilis",
    "A530": "Latent syphilis, unspecified as early or late",
    "A58": "Granuloma inguinale",
    "A64": "Unspecified sexually transmitted disease",
    "A664": "Gummata and ulcers of yaws",
    "A80": "Acute poliomyelitis",
    "A81": "Atypical virus infections of central nervous system",
    "A810": "Creutzfeldt-Jakob disease",
    "A829": "Rabies, unspecified",
    "A841": "Central European tick-borne encephalitis",
    "A848": "Other tick-borne viral encephalitis",
    "A920": "Chikungunya virus disease",
    "A924": "Rift Valley fever",
    "A959": "Yellow fever, unspecified",
    "A984": "Ebola virus disease",
    "A985": "Haemorrhagic fever with renal syndrome",
    "B054": "Measles with intestinal complications",
    "B07": "Viral warts",
    "B09": "Unspecified viral infection characterized by skin and mucous membrane lesions",
    "M60": "Myositis",
    "M628": "Other specified disorders of muscle",
    "B219": "HIV disease resulting in unspecified malignant neoplasm",
    "B231": "HIV disease resulting in (persistent) generalized lymphadenopathy",
    "B270": "Gammaherpesviral mononucleosis",
    "B309": "Viral conjunctivitis, unspecified",
    "B344": "Papovavirus infection, unspecified site",
    "B36": "Other superficial mycoses",
    "B380": "Acute pulmonary coccidioidomycosis",
    "B381": "Chronic pulmonary coccidioidomycosis",
    "B403": "Cutaneous blastomycosis",
    "B417": "Disseminated paracoccidioidomycosis",
    "B479": "Mycetoma, unspecified",
    "B528": "Plasmodium malariae malaria with other complications",
    "B588": "Toxoplasmosis with other organ involvement",
    "B74": "Filariasis",
    "B748": "Other filariases",
    "S780": "Traumatic amputation at hip joint",
    "S828": "Fractures of other parts of lower leg",
    "M65": "Synovitis and tenosynovitis",
    "M664": "Spontaneous rupture of other tendons",
    "M701": "Bursitis of hand",
    "B79": "Trichuriasis",
    "B812": "Trichostrongyliasis",
    "B870": "Cutaneous myiasis",
    "C040": "Malignant neoplasm: Anterior floor of mouth",
    "C100": "Malignant neoplasm: Vallecula",
    "C16": "Malignant neoplasm of stomach",
    "C164": "Malignant neoplasm: Pylorus",
    "C178": "Malignant neoplasm: Overlapping lesion of small intestine",
    "C212": "Malignant neoplasm: Cloacogenic zone",
    "C22": "Malignant neoplasm of liver and intrahepatic bile ducts",
    "C260": "Malignant neoplasm: Intestinal tract, part unspecified",
    "C400": "Malignant neoplasm: Scapula and long bones of upper limb",
    "C401": "Malignant neoplasm: Short bones of upper limb",
    "C436": "Malignant neoplasm: Malignant melanoma of upper limb, including shoulder",
    "C441": "Malignant neoplasm: Skin of eyelid, including canthus",
    "C444": "Malignant neoplasm: Skin of scalp and neck",
    "C508": "Malignant neoplasm: Overlapping lesion of breast",
    "C540": "Malignant neoplasm: Isthmus uteri",
    "C620": "Malignant neoplasm: Undescended testis",
    "C629": "Malignant neoplasm: Testis, unspecified",
    "C637": "Malignant neoplasm: Other specified male genital organs",
    "C678": "Malignant neoplasm: Overlapping lesion of bladder",
    "C680": "Malignant neoplasm: Urethra",
    "C709": "Malignant neoplasm: Meninges, unspecified",
    "C71": "Malignant neoplasm of brain",
    "C718": "Malignant neoplasm: Overlapping lesion of brain",
    "C751": "Malignant neoplasm: Pituitary gland",
    "C755": "Malignant neoplasm: Aortic body and other paraganglia",
    "M750": "Adhesive capsulitis of shoulder",
    "M795": "Residual foreign body in soft tissue",
    "C760": "Malignant neoplasm of other and ill-defined sites: Head, face and neck",
    "C781": "Secondary malignant neoplasm of mediastinum",
    "M813": "Postsurgical malabsorption osteoporosis",
    "M833": "Adult osteomalacia due to malnutrition",
    "M841": "Nonunion of fracture [pseudarthrosis]",
    "C796": "Secondary malignant neoplasm of ovary",
    "C821": "Follicular lymphoma grade II",
    "C863": "Subcutaneous panniculitis-like T-cell lymphoma",
    "C882": "Other heavy chain disease",
    "D002": "Carcinoma in situ: Stomach",
    "D05": "Carcinoma in situ of breast",
    "D167": "Benign neoplasm: Ribs, sternum and clavicle",
    "D215": "Benign neoplasm: Connective and other soft tissue of pelvis",
    "D24": "Benign neoplasm of breast",
    "D397": "Neoplasm of uncertain or unknown behaviour: Other female genital organs",
    "D407": "Neoplasm of uncertain or unknown behaviour: Other male genital organs",
    "D445": "Neoplasm of uncertain or unknown behaviour: Pineal gland",
    "D461": "Refractory anaemia with ring sideroblasts",
    "D489": "Neoplasm of uncertain or unknown behaviour: Neoplasm of uncertain or unknown behaviour, unspecified",
    "D580": "Hereditary spherocytosis",
    "D610": "Constitutional aplastic anaemia",
    "D66": "Hereditary factor VIII deficiency",
    "D688": "Other specified coagulation defects",
    "A668": "Latent yaws",
    "A673": "Mixed lesions of pinta",
    "A689": "Relapsing fever, unspecified",
    "A751": "Recrudescent typhus [Brill disease]",
    "A77": "Spotted fever [tick-borne rickettsioses]",
    "A812": "Progressive multifocal leukoencephalopathy",
    "A83": "Mosquito-borne viral encephalitis",
    "A858": "Other specified viral encephalitis",
    "A962": "Lassa fever",
    "A983": "Marburg virus disease",
    "B03": "Smallpox",
    "B081": "Molluscum contagiosum",
    "B16": "Acute hepatitis B",
    "B202": "HIV disease resulting in cytomegaloviral disease",
    "B250": "Cytomegaloviral pneumonitis",
    "B278": "Other infectious mononucleosis",
    "B308": "Other viral conjunctivitis",
    "B35": "Dermatophytosis",
    "B360": "Pityriasis versicolor",
    "B390": "Acute pulmonary histoplasmosis capsulati",
    "B399": "Histoplasmosis, unspecified",
    "B421": "Lymphocutaneous sporotrichosis",
    "B45": "Cryptococcosis",
    "B458": "Other forms of cryptococcosis",
    "B500": "Plasmodium falciparum malaria with cerebral complications",
    "B550": "Visceral leishmaniasis",
    "B669": "Fluke infection, unspecified",
    "T656": "Toxic effect: Paints and dyes, not elsewhere classified",
    "T704": "Effects of high-pressure fluids",
    "S344": "Injury of lumbosacral plexus",
    "D695": "Secondary thrombocytopenia",
    "45532996": "Invalid ICD10 Concept, do not use",
    "D751": "Secondary polycythaemia",
    "D801": "Nonfamilial hypogammaglobulinaemia",
    "D809": "Immunodeficiency with predominantly antibody defects, unspecified",
    "D81": "Combined immunodeficiencies",
    "D840": "Lymphocyte function antigen-1 [LFA-1] defect",
    "E002": "Congenital iodine-deficiency syndrome, mixed type",
    "E009": "Congenital iodine-deficiency syndrome, unspecified",
    "E05": "Thyrotoxicosis [hyperthyroidism]",
    "E079": "Disorder of thyroid, unspecified",
    "E104": "Type 1 diabetes mellitus, With neurological complications",
    "E214": "Other specified disorders of parathyroid gland",
    "E269": "Hyperaldosteronism, unspecified",
    "E282": "Polycystic ovarian syndrome",
    "E308": "Other disorders of puberty",
    "E343": "Short stature, not elsewhere classified",
    "E41": "Nutritional marasmus",
    "E502": "Vitamin A deficiency with corneal xerosis",
    "E538": "Deficiency of other specified B group vitamins",
    "E668": "Other obesity",
    "E713": "Disorders of fatty-acid metabolism",
    "E730": "Congenital lactase deficiency",
    "B680": "Taenia solium taeniasis",
    "B681": "Taenia saginata taeniasis",
    "B749": "Filariasis, unspecified",
    "B781": "Cutaneous strongyloidiasis",
    "B880": "Other acariasis",
    "B951": "Streptococcus, group B, as the cause of diseases classified to other chapters",
    "B958": "Unspecified staphylococcus as the cause of diseases classified to other chapters",
    "B965": "Pseudomonas (aeruginosa) as the cause of diseases classified to other chapters",
    "B971": "Enterovirus as the cause of diseases classified to other chapters",
    "C009": "Malignant neoplasm: Lip, unspecified",
    "C029": "Malignant neoplasm: Tongue, unspecified",
    "C048": "Malignant neoplasm: Overlapping lesion of floor of mouth",
    "C051": "Malignant neoplasm: Soft palate",
    "C101": "Malignant neoplasm: Anterior surface of epiglottis",
    "C11": "Malignant neoplasm of nasopharynx",
    "C130": "Malignant neoplasm: Postcricoid region",
    "C229": "Malignant neoplasm: Liver, unspecified",
    "C258": "Malignant neoplasm: Overlapping lesion of pancreas",
    "C259": "Malignant neoplasm: Pancreas, unspecified",
    "C310": "Malignant neoplasm: Maxillary sinus",
    "C380": "Malignant neoplasm: Heart",
    "C381": "Malignant neoplasm: Anterior mediastinum",
    "C383": "Malignant neoplasm: Mediastinum, part unspecified",
    "C412": "Malignant neoplasm: Vertebral column",
    "C435": "Malignant neoplasm: Malignant melanoma of trunk",
    "C438": "Malignant neoplasm: Overlapping malignant melanoma of skin",
    "C44": "Other malignant neoplasms of skin",
    "45537794": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "T782": "Anaphylactic shock, unspecified",
    "T793": "Post-traumatic wound infection, not elsewhere classified",
    "T803": "ABO incompatibility reaction",
    "T816": "Acute reaction to foreign substance accidentally left during a procedure",
    "T821": "Mechanical complication of cardiac electronic device",
    "C45": "Mesothelioma",
    "C470": "Malignant neoplasm: Peripheral nerves of head, face and neck",
    "C473": "Malignant neoplasm: Peripheral nerves of thorax",
    "C490": "Malignant neoplasm: Connective and soft tissue of head, face and neck",
    "S881": "Traumatic amputation at level between knee and ankle",
    "S354": "Injury of renal blood vessels",
    "S358": "Injury of other blood vessels at abdomen, lower back and pelvis level",
    "S37": "Injury of urinary and pelvic organs",
    "E760": "Mucopolysaccharidosis, type I",
    "E77": "Disorders of glycoprotein metabolism",
    "E779": "Disorder of glycoprotein metabolism, unspecified",
    "E802": "Other porphyria",
    "E873": "Alkalosis",
    "E880": "Disorders of plasma-protein metabolism, not elsewhere classified",
    "F00": "Dementia in Alzheimer disease",
    "45533053": "Invalid ICD10 Concept, do not use",
    "45533054": "Invalid ICD10 Concept, do not use",
    "45533055": "Invalid ICD10 Concept, do not use",
    "45533056": "Invalid ICD10 Concept, do not use",
    "45533057": "Invalid ICD10 Concept, do not use",
    "F019": "Vascular dementia, unspecified",
    "45533059": "Invalid ICD10 Concept, do not use",
    "45533060": "Invalid ICD10 Concept, do not use",
    "45533061": "Invalid ICD10 Concept, do not use",
    "F04": "Organic amnesic syndrome, not induced by alcohol and other psychoactive substances",
    "F061": "Organic catatonic disorder",
    "45533064": "Invalid ICD10 Concept, do not use",
    "45533066": "Invalid ICD10 Concept, do not use",
    "M88": "Paget disease of bone [osteitis deformans]",
    "45533070": "Invalid ICD10 Concept, do not use",
    "45533072": "Invalid ICD10 Concept, do not use",
    "F144": "Mental and behavioural disorders due to use of cocaine, withdrawal state with delirium",
    "45533079": "Invalid ICD10 Concept, do not use",
    "F163": "Mental and behavioural disorders due to use of hallucinogens, withdrawal state",
    "F164": "Mental and behavioural disorders due to use of hallucinogens, withdrawal state with delirium",
    "45533084": "Invalid ICD10 Concept, do not use",
    "F180": "Mental and behavioural disorders due to use of volatile solvents, acute intoxication",
    "M638": "Other disorders of muscle in diseases classified elsewhere",
    "M653": "Trigger finger",
    "C496": "Malignant neoplasm: Connective and soft tissue of trunk, unspecified",
    "C53": "Malignant neoplasm of cervix uteri",
    "C55": "Malignant neoplasm of uterus, part unspecified",
    "C63": "Malignant neoplasm of other and unspecified male genital organs",
    "C671": "Malignant neoplasm: Dome of bladder",
    "C689": "Malignant neoplasm: Urinary organ, unspecified",
    "C691": "Malignant neoplasm: Cornea",
    "C717": "Malignant neoplasm: Brain stem",
    "C72": "Malignant neoplasm of spinal cord, cranial nerves and other parts of central nervous system",
    "C723": "Malignant neoplasm: Optic nerve",
    "C767": "Malignant neoplasm of other and ill-defined sites: Other ill-defined sites",
    "C780": "Secondary malignant neoplasm of lung",
    "C79": "Secondary malignant neoplasm of other and unspecified sites",
    "45537845": "Invalid ICD10 Concept, do not use",
    "C843": "Lymphoepithelioid lymphoma",
    "M769": "Enthesopathy of lower limb, unspecified",
    "T848": "Other complications of internal orthopaedic prosthetic devices, implants and grafts",
    "S3781": "Injury of other pelvic organs, with open wound into cavity",
    "S398": "Other specified injuries of abdomen, lower back and pelvis",
    "M888": "Paget disease of other bones",
    "M901": "Periostitis in other infectious diseases classified elsewhere",
    "M928": "Other specified juvenile osteochondrosis",
    "M938": "Other specified osteochondropathies",
    "S408": "Other superficial injuries of shoulder and upper arm",
    "45533090": "Invalid ICD10 Concept, do not use",
    "45533091": "Invalid ICD10 Concept, do not use",
    "45533092": "Invalid ICD10 Concept, do not use",
    "F206": "Simple schizophrenia",
    "F228": "Other persistent delusional disorders",
    "45533095": "Invalid ICD10 Concept, do not use",
    "F252": "Schizoaffective disorder, mixed type",
    "F29": "Unspecified nonorganic psychosis",
    "F334": "Recurrent depressive disorder, currently in remission",
    "F380": "Other single mood [affective] disorders",
    "F428": "Other obsessive-compulsive disorders",
    "F432": "Adjustment disorders",
    "F441": "Dissociative fugue",
    "45533112": "Invalid ICD10 Concept, do not use",
    "F504": "Overeating associated with other psychological disturbances",
    "45533115": "Invalid ICD10 Concept, do not use",
    "45533116": "Invalid ICD10 Concept, do not use",
    "F620": "Enduring personality change after catastrophic experience",
    "F639": "Habit and impulse disorder, unspecified",
    "F655": "Sadomasochism",
    "F659": "Disorder of sexual preference, unspecified",
    "F660": "Sexual maturation disorder",
    "F711": "Moderate mental retardation, significant impairment of behaviour requiring attention or treatment",
    "F72": "Severe mental retardation",
    "F909": "Hyperkinetic disorder, unspecified",
    "F919": "Conduct disorder, unspecified",
    "G031": "Chronic meningitis",
    "G061": "Intraspinal abscess and granuloma",
    "G114": "Hereditary spastic paraplegia",
    "G130": "Paraneoplastic neuromyopathy and neuropathy",
    "G250": "Essential tremor",
    "G375": "Concentric sclerosis [Baló]",
    "M948": "Other specified disorders of cartilage",
    "M949": "Disorder of cartilage, unspecified",
    "M964": "Postsurgical lordosis",
    "M810": "Postmenopausal osteoporosis",
    "M820": "Osteoporosis in multiple myelomatosis",
    "M821": "Osteoporosis in endocrine disorders",
    "M832": "Adult osteomalacia due to malabsorption",
    "C884": "Extranodal marginal zone B-cell lymphoma of mucosa-associated lymphoid tissue [MALT-lyphoma]",
    "C910": "Acute lymphoblastic leukaemia [ALL]",
    "C923": "Myeloid sarcoma",
    "C943": "Mast cell leukaemia",
    "C944": "Acute panmyelosis with myelofibrosis",
    "C961": "Malignant histiocytosis",
    "D019": "Carcinoma in situ: Digestive organ, unspecified",
    "D059": "Carcinoma in situ of breast, unspecified",
    "D105": "Benign neoplasm: Other parts of oropharynx",
    "D119": "Benign neoplasm: Major salivary gland, unspecified",
    "D12": "Benign neoplasm of colon, rectum, anus and anal canal",
    "D163": "Benign neoplasm: Short bones of lower limb",
    "D17": "Benign lipomatous neoplasm",
    "D174": "Benign lipomatous neoplasm of intrathoracic organs",
    "D179": "Benign lipomatous neoplasm, unspecified",
    "D211": "Benign neoplasm: Connective and other soft tissue of upper limb, including shoulder",
    "D302": "Benign neoplasm: Ureter",
    "D333": "Benign neoplasm: Cranial nerves",
    "D334": "Benign neoplasm: Spinal cord",
    "D412": "Neoplasm of uncertain or unknown behaviour: Ureter",
    "D414": "Neoplasm of uncertain or unknown behaviour: Bladder",
    "D446": "Neoplasm of uncertain or unknown behaviour: Carotid body",
    "D464": "Refractory anaemia, unspecified",
    "D470": "Histiocytic and mast cell tumours of uncertain and unknown behaviour",
    "D477": "Other specified neoplasms of uncertain or unknown behaviour of lymphoid, haematopoietic and related tissue",
    "D521": "Drug-induced folate deficiency anaemia",
    "D529": "Folate deficiency anaemia, unspecified",
    "D562": "Delta-beta thalassaemia",
    "D609": "Acquired pure red cell aplasia, unspecified",
    "D61": "Other aplastic anaemias",
    "D630": "Anaemia in neoplastic disease",
    "D64": "Other anaemias",
    "D682": "Hereditary deficiency of other clotting factors",
    "D683": "Haemorrhagic disorder due to circulating anticoagulants",
    "T855": "Mechanical complication of gastrointestinal prosthetic devices, implants and grafts",
    "T859": "Unspecified complication of internal prosthetic device, implant and graft",
    "T868": "Failure and rejection of other transplanted organs and tissues",
    "T874": "Infection of amputation stump",
    "T905": "Sequelae of intracranial injury",
    "T920": "Sequelae of open wound of upper limb",
    "T921": "Sequelae of fracture of arm",
    "T933": "Sequelae of dislocation, sprain and strain of lower limb",
    "T935": "Sequelae of injury of muscle and tendon of lower limb",
    "D518": "Other vitamin B12deficiency anaemias",
    "T936": "Sequelae of crushing injury and traumatic amputation of lower limb",
    "T938": "Sequelae of other specified injuries of lower limb",
    "T951": "Sequelae of burn, corrosion and frostbite of trunk",
    "T953": "Sequelae of burn, corrosion and frostbite of lower limb",
    "S634": "Traumatic rupture of ligament of finger at metacarpophalangeal and interphalangeal joint(s)",
    "M991": "Subluxation complex (vertebral)",
    "M994": "Connective tissue stenosis of neural canal",
    "M997": "Connective tissue and disc stenosis of intervertebral foramina",
    "N000": "Acute nephritic syndrome, Minor glomerular abnormality",
    "N020": "Recurrent and persistent haematuria, minor glomerular abnormality",
    "N022": "Recurrent and persistent haematuria, diffuse membranous glomerulonephritis",
    "N026": "Recurrent and persistent haematuria, dense deposit disease",
    "N033": "Chronic nephritic syndrome, diffuse mesangial proliferative glomerulonephritis",
    "N037": "Chronic nephritic syndrome, diffuse crescentic glomerulonephritis",
    "N048": "Nephrotic syndrome, other",
    "N11": "Chronic tubulo-interstitial nephritis",
    "N172": "Acute renal failure with medullary necrosis",
    "N188": "Other chronic renal failure",
    "N202": "Calculus of kidney with calculus of ureter",
    "N298": "Other disorders of kidney and ureter in other diseases classified elsewhere",
    "N31": "Neuromuscular dysfunction of bladder, not elsewhere classified",
    "N37": "Urethral disorders in diseases classified elsewhere",
    "N711": "Chronic inflammatory disease of uterus",
    "N730": "Acute parametritis and pelvic cellulitis",
    "N761": "Subacute and chronic vaginitis",
    "N842": "Polyp of vagina",
    "N857": "Haematometra",
    "N871": "Moderate cervical dysplasia",
    "N909": "Noninflammatory disorder of vulva and perineum, unspecified",
    "N914": "Secondary oligomenorrhoea",
    "N941": "Dyspareunia",
    "N990": "Postprocedural renal failure",
    "N993": "Prolapse of vaginal vault after hysterectomy",
    "O02": "Other abnormal products of conception",
    "O032": "Spontaneous abortion, Incomplete, complicated by embolism",
    "O073": "Failed medical abortion, with other and unspecified complications",
    "G440": "Cluster headache syndrome",
    "G465": "Pure motor lacunar syndrome",
    "G466": "Pure sensory lacunar syndrome",
    "G511": "Geniculate ganglionitis",
    "G53": "Cranial nerve disorders in diseases classified elsewhere",
    "G541": "Lumbosacral plexus disorders",
    "G561": "Other lesions of median nerve",
    "G568": "Other mononeuropathies of upper limb",
    "G569": "Mononeuropathy of upper limb, unspecified",
    "G574": "Lesion of medial popliteal nerve",
    "G58": "Other mononeuropathies",
    "G622": "Polyneuropathy due to other toxic agents",
    "G632": "Diabetic polyneuropathy",
    "G636": "Polyneuropathy in other musculoskeletal disorders",
    "G701": "Toxic myoneural disorders",
    "G719": "Primary disorder of muscle, unspecified",
    "G722": "Myopathy due to other toxic agents",
    "G808": "Other cerebral palsy",
    "G902": "Horner syndrome",
    "G908": "Other disorders of autonomic nervous system",
    "G910": "Communicating hydrocephalus",
    "G941": "Hydrocephalus in neoplastic disease",
    "G948": "Other specified disorders of brain in diseases classified elsewhere",
    "H010": "Blepharitis",
    "H021": "Ectropion of eyelid",
    "S927": "Multiple fractures of foot",
    "S932": "Rupture of ligaments at ankle and foot level",
    "S345": "Injury of lumbar, sacral and pelvic sympathetic nerves",
    "S368": "Injury of other intra-abdominal organs",
    "S390": "Injury of muscle and tendon of abdomen, lower back and pelvis",
    "D689": "Coagulation defect, unspecified",
    "D693": "Idiopathic thrombocytopenic purpura",
    "D694": "Other primary thrombocytopenia",
    "D729": "Disorder of white blood cells, unspecified",
    "D734": "Cyst of spleen",
    "D815": "Purine nucleoside phosphorylase [PNP] deficiency",
    "D849": "Immunodeficiency, unspecified",
    "D863": "Sarcoidosis of skin",
    "E039": "Hypothyroidism, unspecified",
    "E040": "Nontoxic diffuse goitre",
    "E041": "Nontoxic single thyroid nodule",
    "E049": "Nontoxic goitre, unspecified",
    "E058": "Other thyrotoxicosis",
    "E064": "Drug-induced thyroiditis",
    "E106": "Type 1 diabetes mellitus, With other specified complications",
    "E139": "Other specified diabetes mellitus, without complications",
    "E268": "Other hyperaldosteronism",
    "E271": "Primary adrenocortical insufficiency",
    "E320": "Persistent hyperplasia of thymus",
    "E328": "Other diseases of thymus",
    "E341": "Other hypersecretion of intestinal hormones",
    "E35": "Disorders of endocrine glands in diseases classified elsewhere",
    "E441": "Mild protein-energy malnutrition",
    "E54": "Ascorbic acid deficiency",
    "E615": "Molybdenum deficiency",
    "E619": "Deficiency of nutrient element, unspecified",
    "E64": "Sequelae of malnutrition and other nutritional deficiencies",
    "S644": "Injury of digital nerve of other finger",
    "V109": "Pedal cyclist injured in collision with pedestrian or animal, Unspecified pedal cyclist injured in traffic accident",
    "S655": "Injury of blood vessel(s) of other finger",
    "S657": "Injury of multiple blood vessels at wrist and hand level",
    "O101": "Pre-existing hypertensive heart disease complicating pregnancy, childbirth and the puerperium",
    "O223": "Deep phlebothrombosis in pregnancy",
    "O231": "Infections of bladder in pregnancy",
    "O24": "Diabetes mellitus in pregnancy",
    "O241": "Diabetes mellitus in pregnancy: Pre-existing diabetes mellitus, non-insulin-dependent",
    "O263": "Retained intrauterine contraceptive device in pregnancy",
    "H104": "Chronic conjunctivitis",
    "H161": "Other superficial keratitis without conjunctivitis",
    "H18": "Other disorders of cornea",
    "S942": "Injury of deep peroneal nerve at ankle and foot level",
    "S943": "Injury of cutaneous sensory nerve at ankle and foot level",
    "S95": "Injury of blood vessels at ankle and foot level",
    "S962": "Injury of intrinsic muscle and tendon at ankle and foot level",
    "S999": "Unspecified injury of ankle and foot",
    "T002": "Superficial injuries involving multiple regions of upper limb(s)",
    "T091": "Open wound of trunk, level unspecified",
    "T112": "Dislocation, sprain and strain of unspecified joint and ligament of upper limb, level unspecified",
    "T113": "Injury of unspecified nerve of upper limb, level unspecified",
    "S648": "Injury of other nerves at wrist and hand level",
    "E783": "Hyperchylomicronaemia",
    "E785": "Hyperlipidaemia, unspecified",
    "E791": "Lesch-Nyhan syndrome",
    "E83": "Disorders of mineral metabolism",
    "E84": "Cystic fibrosis",
    "E875": "Hyperkalaemia",
    "E876": "Hypokalaemia",
    "45537993": "Invalid ICD10 Concept, do not use",
    "45537994": "Invalid ICD10 Concept, do not use",
    "45537995": "Invalid ICD10 Concept, do not use",
    "F013": "Mixed cortical and subcortical vascular dementia",
    "45537997": "Invalid ICD10 Concept, do not use",
    "45537998": "Invalid ICD10 Concept, do not use",
    "F022": "Dementia in Huntington disease",
    "F065": "Organic dissociative disorder",
    "M863": "Chronic multifocal osteomyelitis",
    "V132": "Pedal cyclist injured in collision with car, pick-up truck or van, unspecified pedal cyclist injured in nontraffic accident",
    "45538008": "Invalid ICD10 Concept, do not use",
    "V135": "Pedal cyclist injured in collision with car, pick-up truck or van, passenger injured in traffic accident",
    "V160": "Pedal cyclist injured in collision with other nonmotor vehicle, driver injured in nontraffic accident",
    "V171": "Pedal cyclist injured in collision with fixed or stationary object, passenger injured in nontraffic accident",
    "V190": "Driver injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V200": "Motorcycle rider injured in collision with pedestrian or animal, Driver injured in nontraffic accident",
    "V220": "Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, driver injured in nontraffic accident",
    "45538010": "Invalid ICD10 Concept, do not use",
    "45538015": "Invalid ICD10 Concept, do not use",
    "F127": "Mental and behavioural disorders due to use of cannabinoids, residual and late-onset psychotic disorder",
    "F129": "Mental and behavioural disorders due to use of cannabinoids, unspecified mental and behavioural disorder",
    "F13": "Mental and behavioural disorders due to use of sedatives or hypnotics",
    "F139": "Mental and behavioural disorders due to use of sedatives or hypnotics, unspecified mental and behavioural disorder",
    "S931": "Dislocation of toe(s)",
    "S667": "Injury of multiple extensor muscles and tendons at wrist and hand level",
    "S683": "Combined traumatic amputation of (part of) finger(s) with other parts of wrist and hand",
    "S437": "Sprain and strain of other and unspecified parts of shoulder girdle",
    "S449": "Injury of unspecified nerve at shoulder and upper arm level",
    "H198": "Other disorders of sclera and cornea in diseases classified elsewhere",
    "H209": "Iridocyclitis, unspecified",
    "H261": "Traumatic cataract",
    "H280": "Diabetic cataract",
    "H34": "Retinal vascular occlusions",
    "H340": "Transient retinal artery occlusion",
    "T133": "Injury of unspecified nerve of lower limb, level unspecified",
    "T140": "Superficial injury of unspecified body region",
    "M907": "Fracture of bone in neoplastic disease",
    "M926": "Juvenile osteochondrosis of tarsus",
    "M942": "Chondromalacia",
    "M959": "Acquired deformity of musculoskeletal system, unspecified",
    "M961": "Postlaminectomy syndrome, not elsewhere classified",
    "M969": "Postprocedural musculoskeletal disorder, unspecified",
    "N016": "Rapidly progressive nephritic syndrome, dense deposit disease",
    "N030": "Chronic nephritic syndrome, minor glomerular abnormality",
    "F141": "Mental and behavioural disorders due to use of cocaine, harmful use",
    "45538044": "Invalid ICD10 Concept, do not use",
    "45538047": "Invalid ICD10 Concept, do not use",
    "45538049": "Invalid ICD10 Concept, do not use",
    "45538051": "Invalid ICD10 Concept, do not use",
    "45538052": "Invalid ICD10 Concept, do not use",
    "45538054": "Invalid ICD10 Concept, do not use",
    "45538055": "Invalid ICD10 Concept, do not use",
    "45538056": "Invalid ICD10 Concept, do not use",
    "45538057": "Invalid ICD10 Concept, do not use",
    "45538058": "Invalid ICD10 Concept, do not use",
    "45538060": "Invalid ICD10 Concept, do not use",
    "F330": "Recurrent depressive disorder, current episode mild",
    "F348": "Other persistent mood [affective] disorders",
    "F481": "Depersonalization-derealization syndrome",
    "F52": "Sexual dysfunction, not caused by organic disorder or disease",
    "F604": "Histrionic personality disorder",
    "F607": "Dependent personality disorder",
    "N055": "Unspecified nephritic syndrome, diffuse mesangiocapillary glomerulonephritis",
    "N061": "Isolated proteinuria with specified morphological lesion, focal and segmental glomerular lesions",
    "N080": "Glomerular disorders in infectious and parasitic diseases classified elsewhere",
    "N082": "Glomerular disorders in blood diseases and disorders involving the immune mechanism",
    "N111": "Chronic obstructive pyelonephritis",
    "N137": "Vesicoureteral-reflux-associated uropathy",
    "N160": "Renal tubulo-interstitial disorders in infectious and parasitic diseases classified elsewhere",
    "N168": "Renal tubulo-interstitial disorders in other diseases classified elsewhere",
    "V242": "Motorcycle rider injured in collision with heavy transport vehicle or bus, unspecified motorcycle rider injured in nontraffic accident",
    "V269": "Motorcycle rider injured in collision with other nonmotor vehicle, unspecified motorcycle rider injured in traffic accident",
    "V292": "Unspecified motorcycle rider injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V303": "Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, Unspecified occupant of three-wheeled motor vehicle injured in nontraffic accident",
    "V315": "Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, driver injured in traffic accident",
    "V379": "Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, unspecified occupant of three-wheeled motor vehicle injured in traffic accident",
    "V380": "Occupant of three-wheeled motor vehicle injured in noncollision transport accident, driver injured in nontraffic accident",
    "V399": "Occupant [any] of three-wheeled motor vehicle injured in unspecified traffic accident",
    "S462": "Injury of muscle and tendon of other parts of biceps",
    "H401": "Primary open-angle glaucoma",
    "H438": "Other disorders of vitreous body",
    "H446": "Retained (old) intraocular foreign body, magnetic",
    "H477": "Disorder of visual pathways, unspecified",
    "O602": "Preterm spontaneous labour with term delivery",
    "S710": "Open wound of hip",
    "S718": "Open wound of other and unspecified parts of pelvic girdle",
    "N259": "Disorder resulting from impaired renal tubular function, unspecified",
    "N27": "Small kidney of unknown cause",
    "N271": "Small kidney, bilateral",
    "N290": "Late syphilis of kidney",
    "N308": "Other cystitis",
    "N329": "Bladder disorder, unspecified",
    "N343": "Urethral syndrome, unspecified",
    "N393": "Stress incontinence",
    "N411": "Chronic prostatitis",
    "N419": "Inflammatory disease of prostate, unspecified",
    "N485": "Ulcer of penis",
    "N51": "Disorders of male genital organs in diseases classified elsewhere",
    "N601": "Diffuse cystic mastopathy",
    "N640": "Fissure and fistula of nipple",
    "N643": "Galactorrhoea not associated with childbirth",
    "N644": "Mastodynia",
    "N645": "Other signs and symptoms in breast",
    "N700": "Acute salpingitis and oophoritis",
    "N75": "Diseases of Bartholin gland",
    "N750": "Cyst of Bartholin gland",
    "N831": "Corpus luteum cyst",
    "N832": "Other and unspecified ovarian cysts",
    "N85": "Other noninflammatory disorders of uterus, except cervix",
    "N852": "Hypertrophy of uterus",
    "N859": "Noninflammatory disorder of uterus, unspecified",
    "N89": "Other noninflammatory disorders of vagina",
    "N907": "Vulvar cyst",
    "N921": "Excessive and frequent menstruation with irregular cycle",
    "N925": "Other specified irregular menstruation",
    "N926": "Irregular menstruation, unspecified",
    "O070": "Failed medical abortion, complicated by genital tract and pelvic infection",
    "O071": "Failed medical abortion, complicated by delayed or excessive haemorrhage",
    "O072": "Failed medical abortion, complicated by embolism",
    "O075": "Other and unspecified failed attempted abortion, complicated by genital tract and pelvic infection",
    "O084": "Renal failure following abortion and ectopic and molar pregnancy",
    "O104": "Pre-existing secondary hypertension complicating pregnancy, childbirth and the puerperium",
    "O13": "Gestational [pregnancy-induced] hypertension",
    "F609": "Personality disorder, unspecified",
    "F654": "Paedophilia",
    "45538080": "Invalid ICD10 Concept, do not use",
    "F69": "Unspecified disorder of adult personality and behaviour",
    "F70": "Mild mental retardation",
    "F719": "Moderate mental retardation, without mention of impairment of behaviour",
    "F788": "Other mental retardation, other impairments of behaviour",
    "F88": "Other disorders of psychological development",
    "F910": "Conduct disorder confined to the family context",
    "F913": "Oppositional defiant disorder",
    "F933": "Sibling rivalry disorder",
    "F939": "Childhood emotional disorder, unspecified",
    "F942": "Disinhibited attachment disorder of childhood",
    "F95": "Tic disorders",
    "G030": "Nonpyogenic meningitis",
    "O043": "Medical abortion, incomplete, with other and unspecified complications",
    "G04": "Encephalitis, myelitis and encephalomyelitis",
    "G048": "Other encephalitis, myelitis and encephalomyelitis",
    "G110": "Congenital nonprogressive ataxia",
    "G20": "Parkinson disease",
    "G248": "Other dystonia",
    "G30": "Alzheimer disease",
    "G31": "Other degenerative diseases of nervous system, not elsewhere classified",
    "G328": "Other specified degenerative disorders of nervous system in diseases classified elsewhere",
    "G450": "Vertebro-basilar artery syndrome",
    "G563": "Lesion of radial nerve",
    "G60": "Hereditary and idiopathic neuropathy",
    "G600": "Hereditary motor and sensory neuropathy",
    "G611": "Serum neuropathy",
    "G64": "Other disorders of peripheral nervous system",
    "V446": "Car occupant injured in collision with heavy transport vehicle or bus, passenger injured in traffic accident",
    "V453": "Car occupant injured in collision with railway train or railway vehicle, unspecified car occupant injured in nontraffic accident",
    "T013": "Open wounds involving multiple regions of lower limb(s)",
    "T019": "Multiple open wounds, unspecified",
    "T047": "Crushing injuries of thorax with abdomen, lower back and pelvis with limb(s)",
    "T092": "Dislocation, sprain and strain of unspecified joint and ligament of trunk",
    "T095": "Injury of unspecified muscle and tendon of trunk",
    "T111": "Open wound of upper limb, level unspecified",
    "T132": "Dislocation, sprain and strain of unspecified joint and ligament of lower limb, level unspecified",
    "T15": "Foreign body on external eye",
    "T173": "Foreign body in larynx",
    "S519": "Open wound of forearm, part unspecified",
    "45536458": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45536462": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "O61": "Failed induction of labour",
    "O610": "Failed medical induction of labour",
    "O641": "Obstructed labour due to breech presentation",
    "O658": "Obstructed labour due to other maternal pelvic abnormalities",
    "O693": "Labour and delivery complicated by short cord",
    "O70": "Perineal laceration during delivery",
    "O715": "Other obstetric injury to pelvic organs",
    "O719": "Obstetric trauma, unspecified",
    "O743": "Central nervous system complications of anaesthesia during labour and delivery",
    "O748": "Other complications of anaesthesia during labour and delivery",
    "O751": "Shock during or following labour and delivery",
    "O808": "Other single spontaneous delivery",
    "O815": "Delivery by combination of forceps and vacuum extractor",
    "O821": "Delivery by emergency caesarean section",
    "O983": "Other infections with a predominantly sexual mode of transmission complicating pregnancy, childbirth and the puerperium",
    "O992": "Endocrine, nutritional and metabolic diseases complicating pregnancy, childbirth and the puerperium",
    "P016": "Fetus and newborn affected by maternal death",
    "S441": "Injury of median nerve at upper arm level",
    "G72": "Other myopathies",
    "G724": "Inflammatory myopathy, not elsewhere classified",
    "O209": "Haemorrhage in early pregnancy, unspecified",
    "O229": "Venous complication in pregnancy, unspecified",
    "O234": "Unspecified infection of urinary tract in pregnancy",
    "O249": "Diabetes mellitus in pregnancy, unspecified",
    "O308": "Other multiple gestation",
    "G909": "Disorder of autonomic nervous system, unspecified",
    "G931": "Anoxic brain damage, not elsewhere classified",
    "G971": "Other reaction to spinal and lumbar puncture",
    "G972": "Intracranial hypotension following ventricular shunting",
    "G98": "Other disorders of nervous system, not elsewhere classified",
    "V545": "Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, driver injured in traffic accident",
    "V565": "Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, driver injured in traffic accident",
    "V580": "Occupant of pick-up truck or van injured in noncollision transport accident, driver injured in nontraffic accident",
    "H040": "Dacryoadenitis",
    "T189": "Foreign body in alimentary tract, part unspecified",
    "T212": "Burn of second degree of trunk",
    "V633": "Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, unspecified occupant of heavy transport vehicle injured in nontraffic accident",
    "V659": "Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, unspecified occupant of heavy transport vehicle injured in traffic accident",
    "V669": "Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, unspecified occupant of heavy transport vehicle injured in traffic accident",
    "S521": "Fracture of upper end of radius",
    "S722": "Subtrochanteric fracture",
    "S468": "Injury of other muscles and tendons at shoulder and upper arm level",
    "H053": "Deformity of orbit",
    "H112": "Conjunctival scars",
    "H159": "Disorder of sclera, unspecified",
    "H162": "Keratoconjunctivitis",
    "H17": "Corneal scars and opacities",
    "H20": "Iridocyclitis",
    "T226": "Corrosion of second degree of shoulder and upper limb, except wrist and hand",
    "T233": "Burn of third degree of wrist and hand",
    "O60": "Preterm labour and delivery",
    "O681": "Labour and delivery complicated by meconium in amniotic fluid",
    "O74": "Complications of anaesthesia during labour and delivery",
    "O882": "Obstetric blood-clot embolism",
    "H27": "Other disorders of lens",
    "H314": "Choroidal detachment",
    "H35": "Other retinal disorders",
    "O890": "Pulmonary complications of anaesthesia during the puerperium",
    "O893": "Toxic reaction to local anaesthesia during the puerperium",
    "O894": "Spinal and epidural anaesthesia-induced headache during the puerperium",
    "O898": "Other complications of anaesthesia during the puerperium",
    "O899": "Complication of anaesthesia during the puerperium, unspecified",
    "O912": "Nonpurulent mastitis associated with childbirth",
    "O921": "Cracked nipple associated with childbirth",
    "O924": "Hypogalactia",
    "O96": "Death from any obstetric cause occurring more than 42 days but less than one year after delivery",
    "V804": "Rider or occupant injured in collision with car, pick-up truck, van, heavy transport vehicle or bus",
    "V841": "Passenger of special agricultural vehicle injured in traffic accident",
    "V903": "Accident to watercraft causing drowning and submersion, Other powered watercraft",
    "V907": "Accident to watercraft causing drowning and submersion, Water-skis",
    "H428": "Glaucoma in other diseases classified elsewhere",
    "V847": "Person on outside of special agricultural vehicle injured in nontraffic accident",
    "V869": "Unspecified occupant of all-terrain or other off-road motor vehicle injured in nontraffic accident",
    "V883": "Person injured in collision between car and bus, nontraffic",
    "V890": "Person injured in unspecified motor-vehicle accident, nontraffic",
    "T247": "Corrosion of third degree of hip and lower limb, except ankle and foot",
    "T281": "Burn of oesophagus",
    "T290": "Burns of multiple regions, unspecified degree",
    "T297": "Corrosions of multiple regions, at least one corrosion of third degree mentioned",
    "T303": "Burn of third degree, body region unspecified",
    "S748": "Injury of other nerves at hip and thigh level",
    "S762": "Injury of adductor muscle and tendon of thigh",
    "S015": "Open wound of lip and oral cavity",
    "J986": "Disorders of diaphragm",
    "J988": "Other specified respiratory disorders",
    "K01": "Embedded and impacted teeth",
    "K072": "Anomalies of dental arch relationship",
    "K102": "Inflammatory conditions of jaws",
    "K11": "Diseases of salivary glands",
    "K115": "Sialolithiasis",
    "K116": "Mucocele of salivary gland",
    "K229": "Disease of oesophagus, unspecified",
    "K251": "Gastric ulcer, Acute with perforation",
    "K264": "Duodenal ulcer, chronic or unspecified with haemorrhage",
    "K271": "Peptic ulcer, site unspecified, acute with perforation",
    "K312": "Hourglass stricture and stenosis of stomach",
    "K36": "Other appendicitis",
    "K410": "Bilateral femoral hernia, with obstruction, without gangrene",
    "K413": "Unilateral or unspecified femoral hernia, with obstruction, without gangrene",
    "K420": "Umbilical hernia with obstruction, without gangrene",
    "K433": "Parastomal hernia with obstruction, without gangrene",
    "K439": "Other and unspecified ventral hernia without obstruction or gangrene",
    "K44": "Diaphragmatic hernia",
    "K449": "Diaphragmatic hernia without obstruction or gangrene",
    "K458": "Other specified abdominal hernia without obstruction or gangrene",
    "K508": "Other Crohn disease",
    "S030": "Dislocation of jaw",
    "K513": "Ulcerative (chronic) rectosigmoiditis",
    "K515": "Left sided colitis",
    "K562": "Volvulus",
    "K575": "Diverticular disease of both small and large intestine without perforation or abscess",
    "K642": "Third degree haemorrhoids",
    "K661": "Haemoperitoneum",
    "H001": "Chalazion",
    "H01": "Other inflammation of eyelid",
    "N980": "Infection associated with artificial insemination",
    "N991": "Postprocedural urethral stricture",
    "O120": "Gestational oedema",
    "O21": "Excessive vomiting in pregnancy",
    "O211": "Hyperemesis gravidarum with metabolic disturbance",
    "O230": "Infections of kidney in pregnancy",
    "O244": "Diabetes mellitus arising in pregnancy",
    "O264": "Herpes gestationis",
    "O049": "Medical abortion, complete or unspecified, without complication",
    "O056": "Other abortion, complete or unspecified, complicated by delayed or excessive haemorrhage",
    "V472": "Car occupant injured in collision with fixed or stationary object, person on outside of vehicle injured in nontraffic accident",
    "V482": "Car occupant injured in noncollision transport accident, person on outside of vehicle injured in nontraffic accident",
    "V549": "Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, unspecified occupant of pick-up truck or van injured in traffic accident",
    "V571": "Occupant of pick-up truck or van injured in collision with fixed or stationary object, passenger injured in nontraffic accident",
    "V592": "Unspecified occupant of pick-up truck or van injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "A498": "Other bacterial infections of unspecified site",
    "A514": "Other secondary syphilis",
    "M54": "Dorsalgia",
    "M544": "Lumbago with sciatica",
    "M545": "Low back pain",
    "M610": "Myositis ossificans traumatica",
    "M654": "Radial styloid tenosynovitis [de Quervain]",
    "A541": "Gonococcal infection of lower genitourinary tract with periurethral and accessory gland abscess",
    "A543": "Gonococcal infection of eye",
    "A55": "Chlamydial lymphogranuloma (venereum)",
    "A568": "Sexually transmitted chlamydial infection of other sites",
    "A669": "Yaws, unspecified",
    "A671": "Intermediate lesions of pinta",
    "A690": "Necrotizing ulcerative stomatitis",
    "A71": "Trachoma",
    "A710": "Initial stage of trachoma",
    "A748": "Other chlamydial diseases",
    "A790": "Trench fever",
    "A799": "Rickettsiosis, unspecified",
    "A833": "St Louis encephalitis",
    "A840": "Far Eastern tick-borne encephalitis [Russian spring-summer encephalitis]",
    "A980": "Crimean-Congo haemorrhagic fever",
    "B00": "Herpesviral [herpes simplex] infections",
    "B02": "Zoster [herpes zoster]",
    "B050": "Measles complicated by encephalitis",
    "S834": "Sprain and strain involving (fibular)(tibial) collateral ligament of knee",
    "Z505": "Speech therapy",
    "Z506": "Orthoptic training",
    "Z515": "Palliative care",
    "Z519": "Medical care, unspecified",
    "Z551": "Schooling unavailable and unattainable",
    "Z552": "Failed examinations",
    "Z564": "Discord with boss and workmates",
    "Z60": "Problems related to social environment",
    "Z621": "Parental overprotection",
    "Z624": "Emotional neglect of child",
    "Z72": "Problems related to lifestyle",
    "Z755": "Holiday relief care",
    "Z807": "Family history of other malignant neoplasms of lymphoid, haematopoietic and related tissues",
    "Z825": "Family history of asthma and other chronic lower respiratory diseases",
    "Z828": "Family history of other disabilities and chronic diseases leading to disablement, not elsewhere classified",
    "Z831": "Family history of other infectious and parasitic diseases",
    "M203": "Other deformity of hallux (acquired)",
    "M211": "Varus deformity, not elsewhere classified",
    "M212": "Flexion deformity",
    "M215": "Acquired clawhand, clubhand, clawfoot and clubfoot",
    "M217": "Unequal limb length (acquired)",
    "M23": "Internal derangement of knee",
    "Z576": "Occupational exposure to extreme temperature",
    "Z710": "Person consulting on behalf of another person",
    "Z743": "Need for continuous supervision",
    "T62": "Toxic effect of other noxious substances eaten as food",
    "T363": "Poisoning: Macrolides",
    "S764": "Injury of other and unspecified muscles and tendons at thigh level",
    "T370": "Poisoning: Sulfonamides",
    "T381": "Poisoning: Thyroid hormones and substitutes",
    "S798": "Other specified injuries of hip and thigh",
    "K673": "Tuberculous peritonitis",
    "K729": "Hepatic failure, unspecified",
    "K742": "Hepatic fibrosis with hepatic sclerosis",
    "K745": "Biliary cirrhosis, unspecified",
    "K810": "Acute cholecystitis",
    "K818": "Other cholecystitis",
    "K83": "Other diseases of biliary tract",
    "45533623": "Invalid ICD10 Concept, do not use",
    "K921": "Melaena",
    "K922": "Gastrointestinal haemorrhage, unspecified",
    "L050": "Pilonidal cyst with abscess",
    "L100": "Pemphigus vulgaris",
    "L104": "Pemphigus erythematosus",
    "L11": "Other acantholytic disorders",
    "L120": "Bullous pemphigoid",
    "L122": "Chronic bullous disease of childhood",
    "L208": "Other atopic dermatitis",
    "L258": "Unspecified contact dermatitis due to other agents",
    "L409": "Psoriasis, unspecified",
    "L518": "Other erythema multiforme",
    "L550": "Sunburn of first degree",
    "L602": "Onychogryphosis",
    "L63": "Alopecia areata",
    "L651": "Anagen effluvium",
    "L662": "Folliculitis decalvans",
    "L702": "Acne varioliformis",
    "L84": "Corns and callosities",
    "L904": "Acrodermatitis chronica atrophicans",
    "L948": "Other specified localized connective tissue disorders",
    "L984": "Chronic ulcer of skin, not elsewhere classified",
    "S100": "Contusion of throat",
    "O291": "Cardiac complications of anaesthesia during pregnancy",
    "O293": "Toxic reaction to local anaesthesia during pregnancy",
    "O309": "Multiple gestation, unspecified",
    "H062": "Dysthyroid exophthalmos",
    "H131": "Conjunctivitis in infectious and parasitic diseases classified elsewhere",
    "H133": "Ocular pemphigoid",
    "H170": "Adherent leukoma",
    "H182": "Other corneal oedema",
    "H184": "Corneal degeneration",
    "H200": "Acute and subacute iridocyclitis",
    "H202": "Lens-induced iridocyclitis",
    "V598": "Occupant [any] of pick-up truck or van injured in other specified transport accidents",
    "T202": "Burn of second degree of head and neck",
    "T215": "Corrosion of first degree of trunk",
    "T216": "Corrosion of second degree of trunk",
    "T220": "Burn of unspecified degree of shoulder and upper limb, except wrist and hand",
    "T221": "Burn of first degree of shoulder and upper limb, except wrist and hand",
    "T222": "Burn of second degree of shoulder and upper limb, except wrist and hand",
    "B200": "HIV disease resulting in mycobacterial infection",
    "B25": "Cytomegaloviral disease",
    "B251": "Cytomegaloviral hepatitis",
    "B343": "Parvovirus infection, unspecified site",
    "B350": "Tinea barbae and tinea capitis",
    "B388": "Other forms of coccidioidomycosis",
    "B393": "Disseminated histoplasmosis capsulati",
    "B419": "Paracoccidioidomycosis, unspecified",
    "B427": "Disseminated sporotrichosis",
    "B430": "Cutaneous chromomycosis",
    "B451": "Cerebral cryptococcosis",
    "B484": "Penicillosis",
    "B54": "Unspecified malaria",
    "B551": "Cutaneous leishmaniasis",
    "B719": "Cestode infection, unspecified",
    "B742": "Filariasis due to Brugia timori",
    "B830": "Visceral larva migrans",
    "B838": "Other specified helminthiases",
    "B850": "Pediculosis due to Pediculus humanus capitis",
    "B889": "Infestation, unspecified",
    "B90": "Sequelae of tuberculosis",
    "B974": "Respiratory syncytial virus as the cause of diseases classified to other chapters",
    "C004": "Malignant neoplasm: Lower lip, inner aspect",
    "C068": "Malignant neoplasm: Overlapping lesion of other and unspecified parts of mouth",
    "C112": "Malignant neoplasm: Lateral wall of nasopharynx",
    "C170": "Malignant neoplasm: Duodenum",
    "C186": "Malignant neoplasm: Descending colon",
    "C220": "Malignant neoplasm: Liver cell carcinoma",
    "C223": "Malignant neoplasm: Angiosarcoma of liver",
    "C240": "Malignant neoplasm: Extrahepatic bile duct",
    "C340": "Malignant neoplasm: Main bronchus",
    "C403": "Malignant neoplasm: Short bones of lower limb",
    "C474": "Malignant neoplasm: Peripheral nerves of abdomen",
    "C49": "Malignant neoplasm of other connective and soft tissue",
    "M71": "Other bursopathies",
    "M722": "Plantar fascial fibromatosis",
    "S842": "Injury of cutaneous sensory nerve at lower leg level",
    "S85": "Injury of blood vessels at lower leg level",
    "T655": "Toxic effect: Nitroglycerin and other nitric acids and esters",
    "T677": "Heat oedema",
    "T699": "Effect of reduced temperature, unspecified",
    "T783": "Angioneurotic oedema",
    "T798": "Other early complications of trauma",
    "M2341": "Loose body in knee, anterior cruciate ligament or Anterior horn of medial meniscus",
    "M238": "Other internal derangements of knee",
    "M24": "Other specific joint derangements",
    "M253": "Other instability of joint",
    "Z836": "Family history of diseases of the respiratory system",
    "Z840": "Family history of diseases of the skin and subcutaneous tissue",
    "Z853": "Personal history of malignant neoplasm of breast",
    "Z872": "Personal history of diseases of the skin and subcutaneous tissue",
    "Z993": "Dependence on wheelchair",
    "A05": "Other bacterial foodborne intoxications, not elsewhere classified",
    "A065": "Amoebic lung abscess",
    "A067": "Cutaneous amoebiasis",
    "A07": "Other protozoal intestinal diseases",
    "A078": "Other specified protozoal intestinal diseases",
    "A161": "Tuberculosis of lung, bacteriological and histological examination not done",
    "A163": "Tuberculosis of intrathoracic lymph nodes, without mention of bacteriological or histological confirmation",
    "A165": "Tuberculous pleurisy, without mention of bacteriological or histological confirmation",
    "A167": "Primary respiratory tuberculosis without mention of bacteriological or histological confirmation",
    "A184": "Tuberculosis of skin and subcutaneous tissue",
    "Z888": "Personal history of allergy to other drugs, medicaments and biological substances",
    "Z894": "Acquired absence of foot and ankle",
    "Z903": "Acquired absence of part of stomach",
    "Z905": "Acquired absence of kidney",
    "Z907": "Acquired absence of genital organ(s)",
    "45547393": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "A208": "Other forms of plague",
    "A24": "Glanders and melioidosis",
    "A242": "Subacute and chronic melioidosis",
    "A251": "Streptobacillosis",
    "A289": "Zoonotic bacterial disease, unspecified",
    "A37": "Whooping cough",
    "A391": "Waterhouse-Friderichsen syndrome",
    "I661": "Occlusion and stenosis of anterior cerebral artery",
    "I668": "Occlusion and stenosis of other cerebral artery",
    "I671": "Cerebral aneurysm, nonruptured",
    "I673": "Progressive vascular leukoencephalopathy",
    "I691": "Sequelae of intracerebral haemorrhage",
    "R413": "Other amnesia",
    "R466": "Undue concern and preoccupation with stressful events",
    "R480": "Dyslexia and alexia",
    "R492": "Hypernasality and hyponasality",
    "R571": "Hypovolaemic shock",
    "R638": "Other symptoms and signs concerning food and fluid intake",
    "R651": "Systemic Inflammatory Response Syndrome of infectious origin with organ failure",
    "R779": "Abnormality of plasma protein, unspecified",
    "R78": "Findings of drugs and other substances, not normally found in blood",
    "R788": "Finding of other specified substances, not normally found in blood",
    "R846": "Abnormal findings in specimens from respiratory organs and thorax, abnormal cytological findings",
    "R862": "Abnormal findings in specimens from male genital organs, abnormal level of other drugs, medicaments and biological substances",
    "R867": "Abnormal findings in specimens from male genital organs, abnormal histological findings",
    "R95": "Sudden infant death syndrome",
    "R701": "Abnormal plasma viscosity",
    "I698": "Sequelae of other and unspecified cerebrovascular diseases",
    "I702": "Atherosclerosis of arteries of extremities",
    "S526": "Fracture of lower end of both ulna and radius",
    "S111": "Open wound involving thyroid gland",
    "S12": "Fracture of neck",
    "M061": "Adult-onset Still disease",
    "M069": "Rheumatoid arthritis, unspecified",
    "M10": "Gout",
    "M102": "Drug-induced gout",
    "S443": "Injury of axillary nerve",
    "S444": "Injury of musculocutaneous nerve",
    "S460": "Injury of muscle(s) and tendon(s) of the rotator cuff of shoulder",
    "H30": "Chorioretinal inflammation",
    "H310": "Chorioretinal scars",
    "H312": "Hereditary choroidal dystrophy",
    "V761": "Bus occupant injured in collision with other nonmotor vehicle, passenger injured in nontraffic accident",
    "V686": "Occupant of heavy transport vehicle injured in noncollision transport accident, passenger injured in traffic accident",
    "V694": "Driver injured in collision with other and unspecified motor vehicles in traffic accident",
    "V775": "Bus occupant injured in collision with fixed or stationary object, driver injured in traffic accident",
    "V796": "Unspecified bus occupant injured in collision with other and unspecified motor vehicles in traffic accident",
    "M754": "Impingement syndrome of shoulder",
    "M767": "Peroneal tendinitis",
    "M797": "Fibromyalgia",
    "M809": "Unspecified osteoporosis with pathological fracture",
    "M815": "Idiopathic osteoporosis",
    "M834": "Aluminium bone disease",
    "T802": "Infections following infusion, transfusion and therapeutic injection",
    "T806": "Other serum reactions",
    "C494": "Malignant neoplasm: Connective and soft tissue of abdomen",
    "C538": "Malignant neoplasm: Overlapping lesion of cervix uteri",
    "C571": "Malignant neoplasm: Broad ligament",
    "C573": "Malignant neoplasm: Parametrium",
    "C577": "Malignant neoplasm: Other specified female genital organs",
    "C65": "Malignant neoplasm of renal pelvis",
    "C67": "Malignant neoplasm of bladder",
    "C676": "Malignant neoplasm: Ureteric orifice",
    "C677": "Malignant neoplasm: Urachus",
    "C681": "Malignant neoplasm: Paraurethral gland",
    "C701": "Malignant neoplasm: Spinal meninges",
    "C724": "Malignant neoplasm: Acoustic nerve",
    "C749": "Malignant neoplasm: Adrenal gland, unspecified",
    "C754": "Malignant neoplasm: Carotid body",
    "C782": "Secondary malignant neoplasm of pleura",
    "C791": "Secondary malignant neoplasm of bladder and other and unspecified urinary organs",
    "C817": "Other classical Hodgkin lymphoma",
    "S868": "Injury of other muscles and tendons at lower leg level",
    "S280": "Crushed chest",
    "S290": "Injury of muscle and tendon at thorax level",
    "S300": "Contusion of lower back and pelvis",
    "A398": "Other meningococcal infections",
    "A400": "Sepsis due to streptococcus, group A",
    "A421": "Abdominal actinomycosis",
    "A429": "Actinomycosis, unspecified",
    "A500": "Early congenital syphilis, symptomatic",
    "A501": "Early congenital syphilis, latent",
    "A54": "Gonococcal infection",
    "A540": "Gonococcal infection of lower genitourinary tract without periurethral or accessory gland abscess",
    "M301": "Polyarteritis with lung involvement [Churg-Strauss]",
    "M352": "Behçet disease",
    "M404": "Other lordosis",
    "M410": "Infantile idiopathic scoliosis",
    "M414": "Neuromuscular scoliosis",
    "M482": "Kissing spine",
    "M53": "Other dorsopathies, not elsewhere classified",
    "I709": "Generalized and unspecified atherosclerosis",
    "I711": "Thoracic aortic aneurysm, ruptured",
    "I72": "Other aneurysm and dissection",
    "I728": "Aneurysm and dissection of other specified arteries",
    "I773": "Arterial fibromuscular dysplasia",
    "S029": "Fracture of skull and facial bones, part unspecified",
    "S033": "Dislocation of other and unspecified parts of head",
    "S044": "Injury of abducent nerve",
    "I970": "Postcardiotomy syndrome",
    "J029": "Acute pharyngitis, unspecified",
    "J051": "Acute epiglottitis",
    "J128": "Other viral pneumonia",
    "J303": "Other allergic rhinitis",
    "J312": "Chronic pharyngitis",
    "J35": "Chronic diseases of tonsils and adenoids",
    "J353": "Hypertrophy of tonsils with hypertrophy of adenoids",
    "J682": "Upper respiratory inflammation due to chemicals, gases, fumes and vapours, not elsewhere classified",
    "T435": "Poisoning: Other and unspecified antipsychotics and neuroleptics",
    "T440": "Poisoning: Anticholinesterase agents",
    "S8211": "Fracture of upper end of tibia, open",
    "M12": "Other specific arthropathies",
    "M13": "Other arthritis",
    "S197": "Multiple injuries of neck",
    "O619": "Failed induction of labour, unspecified",
    "O649": "Obstructed labour due to malposition and malpresentation, unspecified",
    "S518": "Open wound of other parts of forearm",
    "H353": "Degeneration of macula and posterior pole",
    "H357": "Separation of retinal layers",
    "H431": "Vitreous haemorrhage",
    "H433": "Other vitreous opacities",
    "H472": "Optic atrophy",
    "H520": "Hypermetropia",
    "H526": "Other disorders of refraction",
    "H540": "Blindness, binocular",
    "V856": "Passenger of special construction vehicle injured in nontraffic accident",
    "S332": "Dislocation of sacroiliac and sacrococcygeal joint",
    "S343": "Injury of cauda equina",
    "S351": "Injury of inferior vena cava",
    "C824": "Follicular lymphoma grade IIIb",
    "C887": "Other malignant immunoproliferative diseases",
    "C901": "Plasma cell leukaemia",
    "C915": "Adult T-cell lymphoma/leukaemia [HTLV-1-associated]",
    "D014": "Carcinoma in situ: Other and unspecified parts of intestine",
    "D071": "Carcinoma in situ: Vulva",
    "D073": "Carcinoma in situ: Other and unspecified female genital organs",
    "D093": "Carcinoma in situ: Thyroid and other endocrine glands",
    "T819": "Unspecified complication of procedure",
    "S901": "Contusion of toe(s) without damage to nail",
    "S045": "Injury of facial nerve",
    "S046": "Injury of acoustic nerve",
    "S054": "Penetrating wound of orbit with or without foreign body",
    "J852": "Abscess of lung without pneumonia",
    "J949": "Pleural condition, unspecified",
    "J951": "Acute pulmonary insufficiency following thoracic surgery",
    "J969": "Respiratory failure, unspecified",
    "J985": "Diseases of mediastinum, not elsewhere classified",
    "J998": "Respiratory disorders in other diseases classified elsewhere",
    "K004": "Disturbances in tooth formation",
    "K038": "Other specified diseases of hard tissues of teeth",
    "K091": "Developmental (nonodontogenic) cysts of oral region",
    "K10": "Other diseases of jaws",
    "K100": "Developmental disorders of jaws",
    "K110": "Atrophy of salivary gland",
    "K219": "Gastro-oesophageal reflux disease without oesophagitis",
    "K238": "Disorders of oesophagus in other diseases classified elsewhere",
    "K257": "Gastric ulcer, Chronic without haemorrhage or perforation",
    "K259": "Gastric ulcer, Unspecified as acute or chronic, without haemorrhage or perforation",
    "K27": "Peptic ulcer, site unspecified",
    "K273": "Peptic ulcer, site unspecified, acute without haemorrhage or perforation",
    "K289": "Gastrojejunal ulcer, unspecified as acute or chronic, without haemorrhage or perforation",
    "K404": "Unilateral or unspecified inguinal hernia, with gangrene",
    "K43": "Ventral hernia",
    "K431": "Incisional hernia with gangrene",
    "K435": "Parastomal hernia without obstruction or gangrene",
    "K461": "Unspecified abdominal hernia with gangrene",
    "45538505": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "K550": "Acute vascular disorders of intestine",
    "K564": "Other impaction of intestine",
    "T451": "Poisoning: Antineoplastic and immunosuppressive drugs",
    "T458": "Poisoning: Other primarily systemic and haematological agents",
    "T469": "Poisoning: Other and unspecified agents primarily affecting the cardiovascular system",
    "T471": "Poisoning: Other antacids and anti-gastric-secretion drugs",
    "T476": "Poisoning: Antidiarrhoeal drugs",
    "T240": "Burn of unspecified degree of hip and lower limb, except ankle and foot",
    "V839": "Unspecified occupant of special industrial vehicle injured in nontraffic accident",
    "S52": "Fracture of forearm",
    "O65": "Obstructed labour due to maternal pelvic abnormality",
    "O668": "Other specified obstructed labour",
    "O669": "Obstructed labour, unspecified",
    "O683": "Labour and delivery complicated by biochemical evidence of fetal stress",
    "O72": "Postpartum haemorrhage",
    "O723": "Postpartum coagulation defects",
    "O747": "Failed or difficult intubation during labour and delivery",
    "O880": "Obstetric air embolism",
    "O904": "Postpartum acute renal failure",
    "O911": "Abscess of breast associated with childbirth",
    "P014": "Fetus and newborn affected by ectopic pregnancy",
    "P030": "Fetus and newborn affected by breech delivery and extraction",
    "P041": "Fetus and newborn affected by other maternal medication",
    "P042": "Fetus and newborn affected by maternal use of tobacco",
    "P044": "Fetus and newborn affected by maternal use of drugs of addiction",
    "P073": "Other preterm infants",
    "P082": "Post-term infant, not heavy for gestational age",
    "P121": "Chignon due to birth injury",
    "P220": "Respiratory distress syndrome of newborn",
    "P232": "Congenital pneumonia due to staphylococcus",
    "P235": "Congenital pneumonia due to Pseudomonas",
    "P252": "Pneumomediastinum originating in the perinatal period",
    "P299": "Cardiovascular disorder originating in the perinatal period, unspecified",
    "P351": "Congenital cytomegalovirus infection",
    "P38": "Omphalitis of newborn with or without mild haemorrhage",
    "P394": "Neonatal skin infection",
    "P502": "Fetal blood loss from placenta",
    "P509": "Fetal blood loss, unspecified",
    "P58": "Neonatal jaundice due to other excessive haemolysis",
    "P59": "Neonatal jaundice from other and unspecified causes",
    "P72": "Other transitory neonatal endocrine disorders",
    "P749": "Transitory metabolic disturbance of newborn, unspecified",
    "P810": "Environmental hyperthermia of newborn",
    "45544072": "Invalid ICD10 Concept, do not use",
    "P922": "Slow feeding of newborn",
    "P929": "Feeding problem of newborn, unspecified",
    "P960": "Congenital renal failure",
    "Q049": "Congenital malformation of brain, unspecified",
    "V919": "Accident to watercraft causing other injury, unspecified watercraft",
    "H600": "Abscess of external ear",
    "H602": "Malignant otitis externa",
    "V899": "Person injured in unspecified vehicle accident",
    "H619": "Disorder of external ear, unspecified",
    "T241": "Burn of first degree of hip and lower limb, except ankle and foot",
    "T245": "Corrosion of first degree of hip and lower limb, except ankle and foot",
    "S360": "Injury of spleen",
    "S363": "Injury of stomach",
    "D103": "Benign neoplasm: Other and unspecified parts of mouth",
    "D125": "Benign neoplasm: Sigmoid colon",
    "D133": "Benign neoplasm: Other and unspecified parts of small intestine",
    "D139": "Benign neoplasm: Ill-defined sites within the digestive system",
    "D141": "Benign neoplasm: Larynx",
    "D161": "Benign neoplasm: Short bones of upper limb",
    "D169": "Benign neoplasm: Bone and articular cartilage, unspecified",
    "D219": "Benign neoplasm: Connective and other soft tissue, unspecified",
    "D232": "Benign neoplasm: Skin of ear and external auricular canal",
    "45552340": "Invalid ICD10 Concept, do not use",
    "D292": "Benign neoplasm: Testis",
    "D314": "Benign neoplasm: Ciliary body",
    "D374": "Neoplasm of uncertain or unknown behaviour: Colon",
    "D375": "Neoplasm of uncertain or unknown behaviour: Rectum",
    "D377": "Neoplasm of uncertain or unknown behaviour: Other digestive organs",
    "D39": "Neoplasm of uncertain or unknown behaviour of female genital organs",
    "D400": "Neoplasm of uncertain or unknown behaviour: Prostate",
    "D419": "Neoplasm of uncertain or unknown behaviour: Urinary organ, unspecified",
    "45552353": "Invalid ICD10 Concept, do not use",
    "D568": "Other thalassaemias",
    "D599": "Acquired haemolytic anaemia, unspecified",
    "D685": "Primary thrombophilia",
    "D699": "Haemorrhagic condition, unspecified",
    "D72": "Other disorders of white blood cells",
    "D832": "Common variable immunodeficiency with autoantibodies to B- or T-cells",
    "D86": "Sarcoidosis",
    "E018": "Other iodine-deficiency-related thyroid disorders and allied conditions",
    "E060": "Acute thyroiditis",
    "E07": "Other disorders of thyroid",
    "E071": "Dyshormogenetic goitre",
    "S089": "Traumatic amputation of unspecified part of head",
    "S108": "Superficial injury of other parts of neck",
    "K589": "Irritable bowel syndrome without diarrhoea",
    "K602": "Anal fissure, unspecified",
    "K622": "Anal prolapse",
    "K629": "Disease of anus and rectum, unspecified",
    "K678": "Other disorders of peritoneum in infectious diseases classified elsewhere",
    "K746": "Other and unspecified cirrhosis of liver",
    "K770": "Liver disorders in infectious and parasitic diseases classified elsewhere",
    "K824": "Cholesterolosis of gallbladder",
    "K833": "Fistula of bile duct",
    "K860": "Alcohol-induced chronic pancreatitis",
    "K909": "Intestinal malabsorption, unspecified",
    "K910": "Vomiting following gastrointestinal surgery",
    "K938": "Disorders of other specified digestive organs in diseases classified elsewhere",
    "L02": "Cutaneous abscess, furuncle and carbuncle",
    "L021": "Cutaneous abscess, furuncle and carbuncle of neck",
    "L123": "Acquired epidermolysis bullosa",
    "L13": "Other bullous disorders",
    "L234": "Allergic contact dermatitis due to dyes",
    "L250": "Unspecified contact dermatitis due to cosmetics",
    "L270": "Generalized skin eruption due to drugs and medicaments",
    "L42": "Pityriasis rosea",
    "L530": "Toxic erythema",
    "L548": "Erythema in other diseases classified elsewhere",
    "L56": "Other acute skin changes due to ultraviolet radiation",
    "L60": "Nail disorders",
    "L661": "Lichen planopilaris",
    "L663": "Perifolliculitis capitis abscedens",
    "L668": "Other cicatricial alopecia",
    "L679": "Hair colour and hair shaft abnormality, unspecified",
    "L681": "Acquired hypertrichosis lanuginosa",
    "L731": "Pseudofolliculitis barbae",
    "L814": "Other melanin hyperpigmentation",
    "L858": "Other specified epidermal thickening",
    "L88": "Pyoderma gangrenosum",
    "45538589": "Invalid ICD10 Concept, do not use",
    "L892": "Stage III decubitus ulcer",
    "Y602": "Unintentional cut, puncture, perforation or haemorrhage during surgical and medical care during kidney dialysis or other perfusion",
    "Y626": "Failure of sterile precautions during surgical and medical care during aspiration, puncture and other catheterization",
    "Y648": "Contaminated medical or biological substance administered by other means",
    "Y849": "Medical procedure, unspecified as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y903": "Blood alcohol level of 60-79 mg/100 ml",
    "Y906": "Blood alcohol level of 120-199 mg/100 ml",
    "T479": "Poisoning: Agent primarily affecting the gastrointestinal system, unspecified",
    "V902": "Accident to watercraft causing drowning and submersion, Fishing boat",
    "V912": "Accident to watercraft causing other injury, fishing boat",
    "V867": "Person on outside of all-terrain or other off-road motor vehicle injured in nontraffic accident",
    "Q185": "Microstomia",
    "Q213": "Tetralogy of Fallot",
    "Q226": "Hypoplastic right heart syndrome",
    "H623": "Otitis externa in other infectious and parasitic diseases classified elsewhere",
    "H628": "Other disorders of external ear in diseases classified elsewhere",
    "H654": "Other chronic nonsuppurative otitis media",
    "H670": "Otitis media in bacterial diseases classified elsewhere",
    "H702": "Petrositis",
    "H709": "Mastoiditis, unspecified",
    "H81": "Disorders of vestibular function",
    "H813": "Other peripheral vertigo",
    "H831": "Labyrinthine fistula",
    "H922": "Otorrhagia",
    "H930": "Degenerative and vascular disorders of ear",
    "H931": "Tinnitus",
    "H938": "Other specified disorders of ear",
    "Q252": "Atresia of aorta",
    "Q254": "Other congenital malformations of aorta",
    "Q266": "Portal vein-hepatic artery fistula",
    "Q283": "Other malformations of cerebral vessels",
    "Q340": "Anomaly of pleura",
    "Q378": "Unspecified cleft palate with bilateral cleft lip",
    "Q506": "Other congenital malformations of fallopian tube and broad ligament",
    "Q516": "Embryonic cyst of cervix",
    "Q520": "Congenital absence of vagina",
    "Q529": "Congenital malformation of female genitalia, unspecified",
    "Q54": "Hypospadias",
    "Q543": "Hypospadias, perineal",
    "Q552": "Other congenital malformations of testis and scrotum",
    "V933": "Accident on board watercraft without accident to watercraft, not causing drowning and submersion, other powered watercraft",
    "V944": "Other and unspecified water transport accidents, sailboat",
    "V951": "Ultralight, microlight or powered-glider accident injuring occupant",
    "V968": "Other nonpowered-aircraft accidents injuring occupant",
    "V970": "Occupant of aircraft injured in other specified air transport accidents",
    "S376": "Injury of uterus",
    "E103": "Type 1 diabetes mellitus, With ophthalmic complications",
    "E108": "Type 1 diabetes mellitus, With unspecified complications",
    "E116": "Type 2 diabetes mellitus, with other specified complications",
    "M860": "Acute haematogenous osteomyelitis",
    "M868": "Other osteomyelitis",
    "T851": "Mechanical complication of implanted electronic stimulator of nervous system",
    "T863": "Heart-lung transplant failure and rejection",
    "T889": "Complication of surgical and medical care, unspecified",
    "T918": "Sequelae of other specified injuries of neck and trunk",
    "T924": "Sequelae of injury of nerve of upper limb",
    "S580": "Traumatic amputation at elbow level",
    "S142": "Injury of nerve root of cervical spine",
    "S144": "Injury of peripheral nerves of neck",
    "S146": "Injury of other and unspecified nerves of neck",
    "L908": "Other atrophic disorders of skin",
    "L922": "Granuloma faciale [eosinophilic granuloma of skin]",
    "M013": "Arthritis in other bacterial diseases classified elsewhere",
    "M031": "Postinfective arthropathy in syphilis",
    "M036": "Reactive arthropathy in other diseases classified elsewhere",
    "M058": "Other seropositive rheumatoid arthritis",
    "M063": "Rheumatoid nodule",
    "M08": "Juvenile arthritis",
    "Y97": "Environmental-pollution-related condition",
    "Z027": "Issue of medical certificate",
    "Z031": "Observation for suspected malignant neoplasm",
    "Z11": "Special screening examination for infectious and parasitic diseases",
    "Z116": "Special screening examination for other protozoal diseases and helminthiases",
    "Z134": "Special screening examination for certain developmental disorders in childhood",
    "Z136": "Special screening examination for cardiovascular disorders",
    "Z298": "Other specified prophylactic measures",
    "Z301": "Insertion of (intrauterine) contraceptive device",
    "Z318": "Other procreative management",
    "Z348": "Supervision of other normal pregnancy",
    "Z356": "Supervision of very young primigravida",
    "Z400": "Prophylactic surgery for risk-factors related to malignant neoplasms",
    "Z422": "Follow-up care involving plastic surgery of other parts of trunk",
    "Z300": "General counselling and advice on contraception",
    "45537630": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "H65": "Nonsuppurative otitis media",
    "H664": "Suppurative otitis media, unspecified",
    "H669": "Otitis media, unspecified",
    "H83": "Other diseases of inner ear",
    "H905": "Sensorineural hearing loss, unspecified",
    "H919": "Hearing loss, unspecified",
    "I02": "Rheumatic chorea",
    "I07": "Rheumatic tricuspid valve diseases",
    "I081": "Disorders of both mitral and tricuspid valves",
    "I091": "Rheumatic diseases of endocardium, valve unspecified",
    "I11": "Hypertensive heart disease",
    "I158": "Other secondary hypertension",
    "I232": "Ventricular septal defect as current complication following acute myocardial infarction",
    "T252": "Burn of second degree of ankle and foot",
    "T254": "Corrosion of unspecified degree of ankle and foot",
    "T272": "Burn of other parts of respiratory tract",
    "V934": "Accident on board watercraft without accident to watercraft, not causing drowning and submersion, sailboat",
    "45546279": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "Q561": "Male pseudohermaphroditism, not elsewhere classified",
    "Q611": "Polycystic kidney, autosomal recessive",
    "Q628": "Other congenital malformations of ureter",
    "Q638": "Other specified congenital malformations of kidney",
    "Q670": "Facial asymmetry",
    "Q673": "Plagiocephaly",
    "Q721": "Congenital absence of thigh and lower leg with foot present",
    "Q740": "Other congenital malformations of upper limb(s), including shoulder girdle",
    "Q741": "Congenital malformation of knee",
    "Q75": "Other congenital malformations of skull and face bones",
    "Q767": "Congenital malformation of sternum",
    "Q779": "Osteochondrodysplasia with defects of growth of tubular bones and spine, unspecified",
    "Q878": "Other specified congenital malformation syndromes, not elsewhere classified",
    "Q925": "Duplications with other complex rearrangements",
    "Q93": "Monosomies and deletions from the autosomes, not elsewhere classified",
    "Q954": "Individuals with marker heterochromatin",
    "Q978": "Other specified sex chromosome abnormalities, female phenotype",
    "Q980": "Klinefelter syndrome karyotype 47,XXY",
    "R063": "Periodic breathing",
    "R190": "Intra-abdominal and pelvic swelling, mass and lump",
    "R231": "Pallor",
    "R250": "Abnormal head movements",
    "R294": "Clicking hip",
    "R41": "Other symptoms and signs involving cognitive functions and awareness",
    "R43": "Disturbances of smell and taste",
    "R453": "Demoralization and apathy",
    "45544131": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "I012": "Acute rheumatic myocarditis",
    "I019": "Acute rheumatic heart disease, unspecified",
    "I029": "Rheumatic chorea without heart involvement",
    "I08": "Multiple valve diseases",
    "I139": "Hypertensive heart and renal disease, unspecified",
    "I208": "Other forms of angina pectoris",
    "I311": "Chronic constrictive pericarditis",
    "I342": "Nonrheumatic mitral (valve) stenosis",
    "I379": "Pulmonary valve disorder, unspecified",
    "I38": "Endocarditis, valve unspecified",
    "I39": "Endocarditis and heart valve disorders in diseases classified elsewhere",
    "I392": "Tricuspid valve disorders in diseases classified elsewhere",
    "I424": "Endocardial fibroelastosis",
    "I440": "Atrioventricular block, first degree",
    "I441": "Atrioventricular block, second degree",
    "I456": "Pre-excitation syndrome",
    "I49": "Other cardiac arrhythmias",
    "I494": "Other and unspecified premature depolarization",
    "I501": "Left ventricular failure",
    "I513": "Intracardiac thrombosis, not elsewhere classified",
    "I520": "Other heart disorders in bacterial diseases classified elsewhere",
    "I63": "Cerebral infarction",
    "I678": "Other specified cerebrovascular diseases",
    "I69": "Sequelae of cerebrovascular disease",
    "I690": "Sequelae of subarachnoid haemorrhage",
    "T276": "Corrosion of other parts of respiratory tract",
    "T284": "Burn of other and unspecified internal organs",
    "T285": "Corrosion of mouth and pharynx",
    "T287": "Corrosion of other parts of alimentary tract",
    "T314": "Burns involving 40-49% of body surface",
    "T316": "Burns involving 60-69% of body surface",
    "M950": "Acquired deformity of nose",
    "E211": "Secondary hyperparathyroidism, not elsewhere classified",
    "E241": "Nelson syndrome",
    "E299": "Testicular dysfunction, unspecified",
    "E40": "Kwashiorkor",
    "E51": "Thiamine deficiency",
    "E550": "Rickets, active",
    "E616": "Vanadium deficiency",
    "E642": "Sequelae of vitamin C deficiency",
    "E671": "Hypercarotenaemia",
    "E703": "Albinism",
    "E728": "Other specified disorders of amino-acid metabolism",
    "E744": "Disorders of pyruvate metabolism and gluconeogenesis",
    "E751": "Other gangliosidosis",
    "E831": "Disorders of iron metabolism",
    "E890": "Postprocedural hypothyroidism",
    "E90": "Nutritional and metabolic disorders in diseases classified elsewhere",
    "45552423": "Invalid ICD10 Concept, do not use",
    "45552424": "Invalid ICD10 Concept, do not use",
    "F010": "Vascular dementia of acute onset",
    "45552426": "Invalid ICD10 Concept, do not use",
    "45552427": "Invalid ICD10 Concept, do not use",
    "45552428": "Invalid ICD10 Concept, do not use",
    "F028": "Dementia in other specified diseases classified elsewhere",
    "F060": "Organic hallucinosis",
    "45552433": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "M090": "Juvenile arthritis in psoriasis",
    "M103": "Gout due to impairment of renal function",
    "M11": "Other crystal arthropathies",
    "Z463": "Fitting and adjustment of dental prosthetic device",
    "Z467": "Fitting and adjustment of orthopaedic device",
    "Z469": "Fitting and adjustment of unspecified device",
    "Z491": "Extracorporeal dialysis",
    "Z503": "Drug rehabilitation",
    "Z507": "Occupational therapy and vocational rehabilitation, not elsewhere classified",
    "Z513": "Blood transfusion (without reported diagnosis)",
    "Z541": "Convalescence following radiotherapy",
    "Z553": "Underachievement in school",
    "Z567": "Other and unspecified problems related to employment",
    "Z570": "Occupational exposure to noise",
    "Z608": "Other problems related to social environment",
    "Z630": "Problems in relationship with spouse or partner",
    "Z637": "Other stressful life events affecting family and household",
    "Z652": "Problems related to release from prison",
    "Z653": "Problems related to other legal circumstances",
    "M122": "Villonodular synovitis (pigmented)",
    "M130": "Polyarthritis, unspecified",
    "M181": "Other primary arthrosis of first carpometacarpal joint",
    "T562": "Toxic effect: Chromium and its compounds",
    "T601": "Toxic effect: Halogenated insecticides",
    "Z724": "Inappropriate diet and eating habits",
    "Z729": "Problem related to lifestyle, unspecified",
    "Z748": "Other problems related to care-provider dependency",
    "Z750": "Medical services not available in home",
    "Z76": "Persons encountering health services in other circumstances",
    "Z762": "Health supervision and care of other healthy infant and child",
    "Z820": "Family history of epilepsy and other diseases of the nervous system",
    "Z835": "Family history of eye and ear disorders",
    "Z843": "Family history of consanguinity",
    "I26": "Pulmonary embolism",
    "I279": "Pulmonary heart disease, unspecified",
    "I289": "Disease of pulmonary vessels, unspecified",
    "I35": "Nonrheumatic aortic valve disorders",
    "I391": "Aortic valve disorders in diseases classified elsewhere",
    "I455": "Other specified heart block",
    "I458": "Other specified conduction disorders",
    "I481": "Persistent atrial fibrillation",
    "Q802": "Lamellar ichthyosis",
    "Q892": "Congenital malformations of other endocrine glands",
    "Q90": "Down syndrome",
    "Q900": "Trisomy 21, meiotic nondisjunction",
    "Q922": "Major partial trisomy",
    "Q960": "Karyotype 45,X",
    "Q99": "Other chromosome abnormalities, not elsewhere classified",
    "R011": "Cardiac murmur, unspecified",
    "R061": "Stridor",
    "R062": "Wheezing",
    "R102": "Pelvic and perineal pain",
    "R18": "Ascites",
    "45548950": "Invalid ICD10 Concept, do not use",
    "R220": "Localized swelling, mass and lump, head",
    "R223": "Localized swelling, mass and lump, upper limb",
    "R398": "Other and unspecified symptoms and signs involving the urinary system",
    "R450": "Nervousness",
    "R455": "Hostility",
    "R463": "Overactivity",
    "R488": "Other and unspecified symbolic dysfunctions",
    "R508": "Other specified fever",
    "R52": "Pain, not elsewhere classified",
    "R601": "Generalized oedema",
    "R653": "Systemic Inflammatory Response Syndrome of non-infectious origin with organ failure",
    "R688": "Other specified general symptoms and signs",
    "R749": "Abnormal level of unspecified serum enzyme",
    "R844": "Abnormal findings in specimens from respiratory organs and thorax, abnormal immunological findings",
    "R860": "Abnormal findings in specimens from male genital organs, abnormal level of enzymes",
    "W07": "Fall involving chair",
    "R781": "Finding of opiate drug in blood",
    "R81": "Glycosuria",
    "R820": "Chyluria",
    "45548976": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "I515": "Myocardial degeneration",
    "I602": "Subarachnoid haemorrhage from anterior communicating artery",
    "I621": "Nontraumatic extradural haemorrhage",
    "I636": "Cerebral infarction due to cerebral venous thrombosis, nonpyogenic",
    "R529": "Pain, unspecified",
    "R62": "Lack of expected normal physiological development",
    "R768": "Other specified abnormal immunological findings in serum",
    "R843": "Abnormal findings in specimens from respiratory organs and thorax, abnormal level of substances chiefly nonmedicinal as to source",
    "R850": "Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal level of enzymes",
    "R851": "Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal level of hormones",
    "R86": "Abnormal findings in specimens from male genital organs",
    "R861": "Abnormal findings in specimens from male genital organs, abnormal level of hormones",
    "R863": "Abnormal findings in specimens from male genital organs, abnormal level of substances chiefly nonmedicinal as to source",
    "R871": "Abnormal findings in specimens from female genital organs, abnormal level of hormones",
    "R947": "Abnormal results of other endocrine function studies",
    "S002": "Other superficial injuries of eyelid and periocular area",
    "T368": "Poisoning: Other systemic antibiotics",
    "T380": "Poisoning: Glucocorticoids and synthetic analogues",
    "45552455": "Invalid ICD10 Concept, do not use",
    "F187": "Mental and behavioural disorders due to use of volatile solvents, residual and late-onset psychotic disorder",
    "M958": "Other specified acquired deformities of musculoskeletal system",
    "M968": "Other postprocedural musculoskeletal disorders",
    "M9910": "Subluxation complex (vertebral), head region",
    "M9930": "Osseous stenosis of neural canal, head region",
    "M9960": "Osseous and subluxation stenosis of intervertebral foramina, head region",
    "M9980": "Other biomechanical lesions, head region",
    "M999": "Biomechanical lesion, unspecified",
    "N011": "Rapidly progressive nephritic syndrome, focal and segmental glomerular lesions",
    "N047": "Nephrotic syndrome, diffuse crescentic glomerulonephritis",
    "N068": "Isolated proteinuria with specified morphological lesion, other",
    "N07": "Hereditary nephropathy, not elsewhere classified",
    "N133": "Other and unspecified hydronephrosis",
    "N136": "Pyonephrosis",
    "N143": "Nephropathy induced by heavy metals",
    "N182": "Chronic kidney disease, stage 2",
    "N189": "Chronic kidney disease, unspecified",
    "N304": "Irradiation cystitis",
    "N341": "Nonspecific urethritis",
    "N428": "Other specified disorders of prostate",
    "N709": "Salpingitis and oophoritis, unspecified",
    "N732": "Unspecified parametritis and pelvic cellulitis",
    "N734": "Female chronic pelvic peritonitis",
    "45553443": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "N739": "Female pelvic inflammatory disease, unspecified",
    "N758": "Other diseases of Bartholin gland",
    "N768": "Other specified inflammation of vagina and vulva",
    "N822": "Fistula of vagina to small intestine",
    "N830": "Follicular cyst of ovary",
    "N881": "Old laceration of cervix uteri",
    "N896": "Tight hymenal ring",
    "N96": "Habitual aborter",
    "N973": "Female infertility of cervical origin",
    "O038": "Spontaneous abortion, Complete or unspecified, with other and unspecified complications",
    "O061": "Unspecified abortion, incomplete, complicated by delayed or excessive haemorrhage",
    "O068": "Unspecified abortion, complete or unspecified, with other and unspecified complications",
    "V142": "Pedal cyclist injured in collision with heavy transport vehicle or bus, unspecified pedal cyclist injured in nontraffic accident",
    "V102": "Pedal cyclist injured in collision with pedestrian or animal, Unspecified pedal cyclist injured in nontraffic accident",
    "V103": "Pedal cyclist injured in collision with pedestrian or animal, Person injured while boarding or alighting",
    "V154": "Pedal cyclist injured in collision with railway train or railway vehicle, driver injured in traffic accident",
    "V172": "Pedal cyclist injured in collision with fixed or stationary object, unspecified pedal cyclist injured in nontraffic accident",
    "V173": "Pedal cyclist injured in collision with fixed or stationary object, person injured while boarding or alighting",
    "V192": "Unspecified pedal cyclist injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "F191": "Mental and behavioural disorders due to multiple drug use and use of other psychoactive substances, harmful use",
    "F194": "Mental and behavioural disorders due to multiple drug use and use of other psychoactive substances, withdrawal state with delirium",
    "F196": "Mental and behavioural disorders due to multiple drug use and use of other psychoactive substances, amnesic syndrome",
    "45552464": "Invalid ICD10 Concept, do not use",
    "45552465": "Invalid ICD10 Concept, do not use",
    "45552466": "Invalid ICD10 Concept, do not use",
    "45552467": "Invalid ICD10 Concept, do not use",
    "45552468": "Invalid ICD10 Concept, do not use",
    "45552469": "Invalid ICD10 Concept, do not use",
    "45552470": "Invalid ICD10 Concept, do not use",
    "F208": "Other schizophrenia",
    "F231": "Acute polymorphic psychotic disorder with symptoms of schizophrenia",
    "S62": "Fracture at wrist and hand level",
    "S620": "Fracture of navicular [scaphoid] bone of hand",
    "M220": "Recurrent dislocation of patella",
    "M224": "Chondromalacia patellae",
    "M2351": "Chronic instability of knee, anterior cruciate ligament or Anterior horn of medial meniscus",
    "Z925": "Personal history of rehabilitation measures",
    "Z938": "Other artificial opening status",
    "Z939": "Artificial opening status, unspecified",
    "A00": "Cholera",
    "A000": "Cholera due to Vibrio cholerae 01, biovar cholerae",
    "A010": "Typhoid fever",
    "A044": "Other intestinal Escherichia coli infections",
    "A053": "Foodborne Vibrio parahaemolyticus intoxication",
    "A159": "Respiratory tuberculosis unspecified, confirmed bacteriologically and histologically",
    "A203": "Plague meningitis",
    "Z890": "Acquired absence of finger(s) [including thumb], unilateral",
    "Z896": "Acquired absence of leg above knee",
    "Z902": "Acquired absence of lung [part of]",
    "45537713": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "A211": "Oculoglandular tularaemia",
    "A239": "Brucellosis, unspecified",
    "A309": "Leprosy, unspecified",
    "A361": "Nasopharyngeal diphtheria",
    "A370": "Whooping cough due to Bordetella pertussis",
    "A392": "Acute meningococcaemia",
    "A427": "Actinomycotic sepsis",
    "A438": "Other forms of nocardiosis",
    "A483": "Toxic shock syndrome",
    "A488": "Other specified bacterial diseases",
    "A513": "Secondary syphilis of skin and mucous membranes",
    "M25": "Other joint disorders, not elsewhere classified",
    "M256": "Stiffness of joint, not elsewhere classified",
    "R87": "Abnormal findings in specimens from female genital organs",
    "S000": "Superficial injury of scalp",
    "I64": "Stroke, not specified as haemorrhage or infarction",
    "45548033": "Invalid ICD10 Concept, do not use",
    "I653": "Occlusion and stenosis of multiple and bilateral precerebral arteries",
    "S004": "Superficial injury of ear",
    "S79": "Other and unspecified injuries of hip and thigh",
    "S797": "Multiple injuries of hip and thigh",
    "T393": "Poisoning: Other nonsteroidal anti-inflammatory drugs [NSAID]",
    "I731": "Thromboangiitis obliterans [Buerger]",
    "I78": "Diseases of capillaries",
    "I801": "Phlebitis and thrombophlebitis of femoral vein",
    "I809": "Phlebitis and thrombophlebitis of unspecified site",
    "I81": "Portal vein thrombosis",
    "I848": "Unspecified hemorrhoids with other complications",
    "I952": "Hypotension due to drugs",
    "I958": "Other hypotension",
    "I972": "Postmastectomy lymphoedema syndrome",
    "I979": "Postprocedural disorder of circulatory system, unspecified",
    "I988": "Other specified disorders of circulatory system in diseases classified elsewhere",
    "J019": "Acute sinusitis, unspecified",
    "J121": "Respiratory syncytial virus pneumonia",
    "J151": "Pneumonia due to Pseudomonas",
    "J153": "Pneumonia due to streptococcus, group B",
    "J156": "Pneumonia due to other Gram-negative bacteria",
    "J157": "Pneumonia due to Mycoplasma pneumoniae",
    "J202": "Acute bronchitis due to streptococcus",
    "J323": "Chronic sphenoidal sinusitis",
    "J340": "Abscess, furuncle and carbuncle of nose",
    "J343": "Hypertrophy of nasal turbinates",
    "J380": "Paralysis of vocal cords and larynx",
    "J410": "Simple chronic bronchitis",
    "J411": "Mucopurulent chronic bronchitis",
    "J44": "Other chronic obstructive pulmonary disease",
    "O074": "Failed medical abortion, without complication",
    "O078": "Other and unspecified failed attempted abortion, with other and unspecified complications",
    "O140": "Mild to moderate pre-eclampsia",
    "45553478": "Invalid ICD10 Concept, do not use",
    "O218": "Other vomiting complicating pregnancy",
    "O228": "Other venous complications in pregnancy",
    "45552474": "Invalid ICD10 Concept, do not use",
    "F238": "Other acute and transient psychotic disorders",
    "F251": "Schizoaffective disorder, depressive type",
    "F321": "Moderate depressive episode",
    "F408": "Other phobic anxiety disorders",
    "F438": "Other reactions to severe stress",
    "F439": "Reaction to severe stress, unspecified",
    "F445": "Dissociative convulsions",
    "F450": "Somatization disorder",
    "45552487": "Invalid ICD10 Concept, do not use",
    "45552488": "Invalid ICD10 Concept, do not use",
    "F51": "Nonorganic sleep disorders",
    "F510": "Nonorganic insomnia",
    "F511": "Nonorganic hypersomnia",
    "F521": "Sexual aversion and lack of sexual enjoyment",
    "F527": "Excessive sexual drive",
    "F539": "Puerperal mental disorder, unspecified",
    "F701": "Mild mental retardation, Significant impairment of behaviour requiring attention or treatment",
    "F709": "Mild mental retardation, Without mention of impairment of behaviour",
    "F950": "Transient tic disorder",
    "G00": "Bacterial meningitis, not elsewhere classified",
    "G008": "Other bacterial meningitis",
    "G038": "Meningitis due to other specified causes",
    "G060": "Intracranial abscess and granuloma",
    "G113": "Cerebellar ataxia with defective DNA repair",
    "G131": "Other systemic atrophy primarily affecting central nervous system in neoplastic disease",
    "G14": "Postpolio syndrome",
    "G22": "Parkinsonism in diseases classified elsewhere",
    "G231": "Progressive supranuclear ophthalmoplegia [Steele-Richardson-Olszewski]",
    "G249": "Dystonia, unspecified",
    "G251": "Drug-induced tremor",
    "G301": "Alzheimer disease with late onset",
    "G378": "Other specified demyelinating diseases of central nervous system",
    "G401": "Localization-related (focal)(partial) symptomatic epilepsy and epileptic syndromes with simple partial seizures",
    "O25": "Malnutrition in pregnancy",
    "O261": "Low weight gain in pregnancy",
    "S849": "Injury of unspecified nerve at lower leg level",
    "S853": "Injury of greater saphenous vein at lower leg level",
    "S244": "Injury of thoracic sympathetic nerves",
    "S30": "Superficial injury of abdomen, lower back and pelvis",
    "M331": "Other dermatomyositis",
    "M421": "Adult osteochondrosis of spine",
    "M46": "Other inflammatory spondylopathies",
    "M465": "Other infective spondylopathies",
    "M468": "Other specified inflammatory spondylopathies",
    "M47": "Spondylosis",
    "M540": "Panniculitis affecting regions of neck and back",
    "M548": "Other dorsalgia",
    "M549": "Dorsalgia, unspecified",
    "S020": "Fracture of vault of skull",
    "S025": "Fracture of tooth",
    "S028": "Fractures of other skull and facial bones",
    "S034": "Sprain and strain of jaw",
    "S041": "Injury of oculomotor nerve",
    "S049": "Injury of unspecified cranial nerve",
    "S051": "Contusion of eyeball and orbital tissues",
    "I723": "Aneurysm and dissection of iliac artery",
    "I770": "Arteriovenous fistula, acquired",
    "45548091": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "T421": "Poisoning: Iminostilbenes",
    "S809": "Superficial injury of lower leg, unspecified",
    "S810": "Open wound of knee",
    "S817": "Multiple open wounds of lower leg",
    "J633": "Graphite fibrosis (of lung)",
    "J703": "Chronic drug-induced interstitial lung disorders",
    "S027": "Multiple fractures involving skull and facial bones",
    "S050": "Injury of conjunctiva and corneal abrasion without mention of foreign body",
    "S053": "Ocular laceration without prolapse or loss of intraocular tissue",
    "S058": "Other injuries of eye and orbit",
    "S06": "Intracranial injury",
    "Y062": "Neglect and abandonment by acquaintance or friend",
    "Y079": "Other maltreatment by unspecified person",
    "J840": "Alveolar and parietoalveolar conditions",
    "J849": "Interstitial pulmonary disease, unspecified",
    "J92": "Pleural plaque",
    "J940": "Chylous effusion",
    "J959": "Postprocedural respiratory disorder, unspecified",
    "J982": "Interstitial emphysema",
    "K001": "Supernumerary teeth",
    "T403": "Poisoning: Methadone",
    "T410": "Poisoning: Inhaled anaesthetics",
    "O312": "Continuing pregnancy after intrauterine death of one fetus or more",
    "O333": "Maternal care for disproportion due to outlet contraction of pelvis",
    "T445": "Poisoning: Predominantly beta-adrenoreceptor agonists, not elsewhere classified",
    "J01": "Acute sinusitis",
    "J012": "Acute ethmoidal sinusitis",
    "J160": "Chlamydial pneumonia",
    "J173": "Pneumonia in parasitic diseases",
    "J18": "Pneumonia, organism unspecified",
    "J205": "Acute bronchitis due to respiratory syncytial virus",
    "J218": "Acute bronchiolitis due to other specified organisms",
    "J304": "Allergic rhinitis, unspecified",
    "J331": "Polypoid sinus degeneration",
    "J341": "Cyst and mucocele of nose and nasal sinus",
    "J350": "Chronic tonsillitis",
    "J449": "Chronic obstructive pulmonary disease, unspecified",
    "J458": "Mixed asthma",
    "J632": "Berylliosis",
    "J698": "Pneumonitis due to other solids and liquids",
    "J702": "Acute drug-induced interstitial lung disorders",
    "45548122": "Invalid ICD10 Concept, do not use",
    "J82": "Pulmonary eosinophilia, not elsewhere classified",
    "J848": "Other specified interstitial pulmonary diseases",
    "J860": "Pyothorax with fistula",
    "K005": "Hereditary disturbances in tooth structure, not elsewhere classified",
    "K010": "Embedded teeth",
    "K021": "Caries of dentine",
    "45548130": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45547157": "Invalid ICD10 Concept, do not use",
    "X81": "Intentional self-harm by jumping or lying before moving object",
    "K029": "Dental caries, unspecified",
    "K048": "Radicular cyst",
    "K076": "Temporomandibular joint disorders",
    "K083": "Retained dental root",
    "K114": "Fistula of salivary gland",
    "K144": "Atrophy of tongue papillae",
    "K210": "Gastro-oesophageal reflux disease with oesophagitis",
    "K254": "Gastric ulcer, Chronic or unspecified with haemorrhage",
    "K298": "Duodenitis",
    "K313": "Pylorospasm, not elsewhere classified",
    "K314": "Gastric diverticulum",
    "K381": "Appendicular concretions",
    "K382": "Diverticulum of appendix",
    "K40": "Inguinal hernia",
    "K403": "Unilateral or unspecified inguinal hernia, with obstruction, without gangrene",
    "K409": "Unilateral or unspecified inguinal hernia, without obstruction or gangrene",
    "K411": "Bilateral femoral hernia, with gangrene",
    "K421": "Umbilical hernia with gangrene",
    "K451": "Other specified abdominal hernia with gangrene",
    "K520": "Gastroenteritis and colitis due to radiation",
    "K570": "Diverticular disease of small intestine with perforation and abscess",
    "K572": "Diverticular disease of large intestine with perforation and abscess",
    "K579": "Diverticular disease of intestine, part unspecified, without perforation or abscess",
    "K59": "Other functional intestinal disorders",
    "K591": "Functional diarrhoea",
    "K605": "Anorectal fistula",
    "K624": "Stenosis of anus and rectum",
    "K633": "Ulcer of intestine",
    "K710": "Toxic liver disease with cholestasis",
    "K714": "Toxic liver disease with chronic lobular hepatitis",
    "K716": "Toxic liver disease with hepatitis, not elsewhere classified",
    "K717": "Toxic liver disease with fibrosis and cirrhosis of liver",
    "K732": "Chronic active hepatitis, not elsewhere classified",
    "K77": "Liver disorders in diseases classified elsewhere",
    "T441": "Poisoning: Other parasympathomimetics [cholinergics]",
    "S450": "Injury of axillary artery",
    "H49": "Paralytic strabismus",
    "H502": "Vertical strabismus",
    "H521": "Myopia",
    "T464": "Poisoning: Angiotensin-converting-enzyme inhibitors",
    "Y468": "Adverse effects in the therapeutic use of antispasticity drugs",
    "S069": "Intracranial injury, unspecified",
    "K03": "Other diseases of hard tissues of teeth",
    "K069": "Disorder of gingiva and edentulous alveolar ridge, unspecified",
    "K08": "Other disorders of teeth and supporting structures",
    "K118": "Other diseases of salivary glands",
    "K119": "Disease of salivary gland, unspecified",
    "K121": "Other forms of stomatitis",
    "K137": "Other and unspecified lesions of oral mucosa",
    "K140": "Glossitis",
    "K224": "Dyskinesia of oesophagus",
    "K261": "Duodenal ulcer, acute with perforation",
    "K279": "Peptic ulcer, site unspecified, unspecified as acute or chronic, without haemorrhage or perforation",
    "K283": "Gastrojejunal ulcer, acute without haemorrhage or perforation",
    "K296": "Other gastritis",
    "K388": "Other specified diseases of appendix",
    "K528": "Other specified noninfective gastroenteritis and colitis",
    "K600": "Acute anal fissure",
    "K62": "Other diseases of anus and rectum",
    "K640": "First degree haemorrhoids",
    "K65": "Peritonitis",
    "K659": "Peritonitis, unspecified",
    "K768": "Other specified diseases of liver",
    "K831": "Obstruction of bile duct",
    "K869": "Disease of pancreas, unspecified",
    "K912": "Postsurgical malabsorption, not elsewhere classified",
    "L01": "Impetigo",
    "L023": "Cutaneous abscess, furuncle and carbuncle of buttock",
    "T453": "Poisoning: Enzymes, not elsewhere classified",
    "T459": "Poisoning: Primarily systemic and haematological agent, unspecified",
    "S081": "Traumatic amputation of ear",
    "K804": "Calculus of bile duct with cholecystitis",
    "Y411": "Adverse effects in the therapeutic use of antimycobacterial drugs",
    "Y447": "Adverse effects in the therapeutic use of plasma substitutes",
    "K822": "Perforation of gallbladder",
    "L032": "Cellulitis of face",
    "L038": "Cellulitis of other sites",
    "L23": "Allergic contact dermatitis",
    "L238": "Allergic contact dermatitis due to other agents",
    "L251": "Unspecified contact dermatitis due to drugs in contact with skin",
    "L292": "Pruritus vulvae",
    "L400": "Psoriasis vulgaris",
    "L50": "Urticaria",
    "L51": "Erythema multiforme",
    "L538": "Other specified erythematous conditions",
    "T463": "Poisoning: Coronary vasodilators, not elsewhere classified",
    "T465": "Poisoning: Other antihypertensive drugs, not elsewhere classified",
    "H621": "Otitis externa in viral diseases classified elsewhere",
    "H698": "Other specified disorders of Eustachian tube",
    "H699": "Eustachian tube disorder, unspecified",
    "H730": "Acute myringitis",
    "H740": "Tympanosclerosis",
    "P046": "Fetus and newborn affected by maternal exposure to environmental chemical substances",
    "P119": "Birth injury to central nervous system, unspecified",
    "P133": "Birth injury to other long bones",
    "P15": "Other birth injuries",
    "P150": "Birth injury to liver",
    "Y549": "Adverse effects in the therapeutic use of mineral salts, not elsewhere classified",
    "Y613": "Foreign object accidentally left in body during surgical and medical care during injection or immunization",
    "Y62": "Failure of sterile precautions during surgical and medical care",
    "Y629": "Failure of sterile precautions during surgical and medical care during unspecified surgical and medical care",
    "Y640": "Contaminated medical or biological substance, transfused or infused",
    "Y651": "Wrong fluid used in infusion",
    "Y83": "Surgical operation and other surgical procedures as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "M104": "Other secondary gout",
    "Y710": "Cardiovascular devices associated with adverse incidents, diagnostic and monitoring devices",
    "Y761": "Obstetric and gynaecological devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices",
    "Y820": "Other and unspecified medical devices associated with adverse incidents, diagnostic and monitoring devices",
    "T477": "Poisoning: Emetics",
    "T485": "Poisoning: Anti-common-cold drugs",
    "T486": "Poisoning: Antiasthmatics, not elsewhere classified",
    "S534": "Sprain and strain of elbow",
    "S551": "Injury of radial artery at forearm level",
    "S824": "Fracture of fibula alone",
    "L048": "Acute lymphadenitis of other sites",
    "L209": "Atopic dermatitis, unspecified",
    "L218": "Other seborrhoeic dermatitis",
    "L245": "Irritant contact dermatitis due to other chemical products",
    "L279": "Dermatitis due to unspecified substance taken internally",
    "L299": "Pruritus, unspecified",
    "L578": "Other skin changes due to chronic exposure to nonionizing radiation",
    "L600": "Ingrowing nail",
    "L628": "Nail disorders in other diseases classified elsewhere",
    "L631": "Alopecia universalis",
    "L664": "Folliculitis ulerythematosa reticulata",
    "L67": "Hair colour and hair shaft abnormalities",
    "L719": "Rosacea, unspecified",
    "S117": "Multiple open wounds of neck",
    "Y364": "War operations involving firearm discharge and other forms of conventional warfare",
    "L82": "Seborrhoeic keratosis",
    "L878": "Other transepidermal elimination disorders",
    "S540": "Injury of ulnar nerve at forearm level",
    "S559": "Injury of unspecified blood vessel at forearm level",
    "L569": "Acute skin change due to ultraviolet radiation, unspecified",
    "L630": "Alopecia (capitis) totalis",
    "L701": "Acne conglobata",
    "L704": "Infantile acne",
    "L72": "Follicular cysts of skin and subcutaneous tissue",
    "L728": "Other follicular cysts of skin and subcutaneous tissue",
    "L752": "Apocrine miliaria",
    "L812": "Freckles",
    "L819": "Disorder of pigmentation, unspecified",
    "L879": "Transepidermal elimination disorder, unspecified",
    "L905": "Scar conditions and fibrosis of skin",
    "L920": "Granuloma annulare",
    "L944": "Gottron papules",
    "L949": "Localized connective tissue disorder, unspecified",
    "Y461": "Adverse effects in the therapeutic use of oxazolidinediones",
    "Y614": "Foreign object accidentally left in body during surgical and medical care during endoscopic examination",
    "Y623": "Failure of sterile precautions during surgical and medical care during injection or immunization",
    "Y628": "Failure of sterile precautions during surgical and medical care during other surgical and medical care",
    "P231": "Congenital pneumonia due to Chlamydia",
    "P279": "Unspecified chronic respiratory disease originating in the perinatal period",
    "P298": "Other cardiovascular disorders originating in the perinatal period",
    "P35": "Congenital viral diseases",
    "P352": "Congenital herpesviral [herpes simplex] infection",
    "P370": "Congenital tuberculosis",
    "P50": "Fetal blood loss",
    "P550": "Rh isoimmunization of fetus and newborn",
    "Y465": "Adverse effects in the therapeutic use of valproic acid",
    "Y501": "Adverse effects in the therapeutic use of opioid receptor antagonists",
    "Y510": "Adverse effects in the therapeutic use of anticholinesterase agents",
    "Y523": "Adverse effects in the therapeutic use of coronary vasodilators, not elsewhere classified",
    "Y590": "Adverse effects in the therapeutic use of viral vaccines",
    "P551": "ABO isoimmunization of fetus and newborn",
    "P580": "Neonatal jaundice due to bruising",
    "P584": "Neonatal jaundice due to drugs or toxins transmitted from mother or given to newborn",
    "P700": "Syndrome of infant of mother with gestational diabetes",
    "P701": "Syndrome of infant of a diabetic mother",
    "P719": "Transitory neonatal disorder of calcium and magnesium metabolism, unspecified",
    "P800": "Cold injury syndrome",
    "P836": "Umbilical polyp of newborn",
    "P923": "Underfeeding of newborn",
    "Q001": "Craniorachischisis",
    "Q052": "Lumbar spina bifida with hydrocephalus",
    "Q121": "Congenital displaced lens",
    "Q15": "Other congenital malformations of eye",
    "Q170": "Accessory auricle",
    "Q211": "Atrial septal defect",
    "Q232": "Congenital mitral stenosis",
    "Q24": "Other congenital malformations of heart",
    "Q250": "Patent ductus arteriosus",
    "Q253": "Stenosis of aorta",
    "Q263": "Partial anomalous pulmonary venous connection",
    "Q279": "Congenital malformation of peripheral vascular system, unspecified",
    "Q300": "Choanal atresia",
    "Q308": "Other congenital malformations of nose",
    "Q310": "Web of larynx",
    "Q336": "Hypoplasia and dysplasia of lung",
    "Q387": "Pharyngeal pouch",
    "Q392": "Congenital tracheo-oesophageal fistula without atresia",
    "Q40": "Other congenital malformations of upper alimentary tract",
    "Q402": "Other specified congenital malformations of stomach",
    "Q403": "Congenital malformation of stomach, unspecified",
    "Q447": "Other congenital malformations of liver",
    "Q514": "Unicornate uterus",
    "Q532": "Undescended testicle, bilateral",
    "Q539": "Undescended testicle, unspecified",
    "Q556": "Other congenital malformations of penis",
    "Q562": "Female pseudohermaphroditism, not elsewhere classified",
    "Q563": "Pseudohermaphroditism, unspecified",
    "Q61": "Cystic kidney disease",
    "Q619": "Cystic kidney disease, unspecified",
    "Q623": "Other obstructive defects of renal pelvis and ureter",
    "Q640": "Epispadias",
    "Q648": "Other specified congenital malformations of urinary system",
    "Q671": "Compression facies",
    "Q69": "Polydactyly",
    "H918": "Other specified hearing loss",
    "H921": "Otorrhoea",
    "H933": "Disorders of acoustic nerve",
    "I201": "Angina pectoris with documented spasm",
    "I238": "Other current complications following acute myocardial infarction",
    "I253": "Aneurysm of heart",
    "I27": "Other pulmonary heart diseases",
    "I301": "Infective pericarditis",
    "I319": "Disease of pericardium, unspecified",
    "I36": "Nonrheumatic tricuspid valve disorders",
    "I368": "Other nonrheumatic tricuspid valve disorders",
    "I369": "Nonrheumatic tricuspid valve disorder, unspecified",
    "I390": "Mitral valve disorders in diseases classified elsewhere",
    "I408": "Other acute myocarditis",
    "I423": "Endomyocardial (eosinophilic) disease",
    "I428": "Other cardiomyopathies",
    "I446": "Other and unspecified fascicular block",
    "I454": "Nonspecific intraventricular block",
    "I460": "Cardiac arrest with successful resuscitation",
    "I600": "Subarachnoid haemorrhage from carotid siphon and bifurcation",
    "I605": "Subarachnoid haemorrhage from vertebral artery",
    "I680": "Cerebral amyloid angiopathy",
    "S619": "Open wound of wrist and hand, part unspecified",
    "S621": "Fracture of other carpal bone(s)",
    "M111": "Familial chondrocalcinosis",
    "M121": "Kaschin-Beck disease",
    "M140": "Gouty arthropathy due to enzyme defects and other inherited disorders",
    "M166": "Other secondary coxarthrosis, bilateral",
    "M205": "Other deformities of toe(s) (acquired)",
    "T506": "Poisoning: Antidotes and chelating agents, not elsewhere classified",
    "Z024": "Examination for driving licence",
    "Z029": "Examination for administrative purposes, unspecified",
    "Z03": "Medical observation and evaluation for suspected diseases and conditions",
    "Z030": "Observation for suspected tuberculosis",
    "Z032": "Observation for suspected mental and behavioural disorders",
    "Z039": "Observation for suspected disease or condition, unspecified",
    "Z048": "Examination and observation for other specified reasons",
    "Z118": "Special screening examination for other infectious and parasitic diseases",
    "Z130": "Special screening examination for diseases of the blood and blood-forming organs and certain disorders involving the immune mechanism",
    "Z226": "Carrier of human T-lymphotropic virus type- 1 [HTLV-1] infection",
    "Z234": "Need for immunization against tularaemia",
    "Z260": "Need for immunization against leishmaniasis",
    "Z358": "Supervision of other high-risk pregnancies",
    "Z364": "Antenatal screening for fetal growth retardation using ultrasound and other physical methods",
    "Z411": "Other plastic surgery for unacceptable cosmetic appearance",
    "Z453": "Adjustment and management of implanted hearing device",
    "Z528": "Donor of other organs and tissues",
    "Z55": "Problems related to education and literacy",
    "Z580": "Exposure to noise",
    "Z611": "Removal from home in childhood",
    "T512": "Toxic effect: 2-Propanol",
    "T513": "Toxic effect: Fusel oil",
    "T518": "Toxic effect: Other alcohols",
    "S128": "Fracture of other parts of neck",
    "S130": "Traumatic rupture of cervical intervertebral disc",
    "S58": "Traumatic amputation of forearm",
    "L900": "Lichen sclerosus et atrophicus",
    "L910": "Hypertrophic scar",
    "M008": "Arthritis and polyarthritis due to other specified bacterial agents",
    "M02": "Reactive arthropathies",
    "T495": "Poisoning: Ophthalmological drugs and preparations",
    "Y622": "Failure of sterile precautions during surgical and medical care during kidney dialysis or other perfusion",
    "Y405": "Adverse effects in the therapeutic use of aminoglycosides",
    "Y419": "Adverse effects in the therapeutic use of systemic anti-infective and antiparasitic, unspecified",
    "Y466": "Adverse effects in the therapeutic use of other and unspecified antiepileptics",
    "Y624": "Failure of sterile precautions during surgical and medical care during endoscopic examination",
    "Y831": "Surgical operation with implant of artificial internal device as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y839": "Surgical procedure, unspecified as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y841": "Kidney dialysis as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "S127": "Multiple fractures of cervical spine",
    "Z014": "Gynaecological examination (general)(routine)",
    "Z025": "Examination for participation in sport",
    "Z028": "Other examinations for administrative purposes",
    "Z103": "Routine general health check-up of sports teams",
    "Z125": "Special screening examination for neoplasm of prostate",
    "Z200": "Contact with and exposure to intestinal infectious diseases",
    "Z208": "Contact with and exposure to other communicable diseases",
    "L983": "Eosinophilic cellulitis [Wells]",
    "L998": "Other specified disorders of skin and subcutaneous tissue in diseases classified elsewhere",
    "Z089": "Follow-up examination after unspecified treatment for malignant neoplasm",
    "M068": "Other specified rheumatoid arthritis",
    "I693": "Sequelae of cerebral infarction",
    "Q702": "Fused toes",
    "Q710": "Congenital complete absence of upper limb(s)",
    "Q750": "Craniosynostosis",
    "Q765": "Cervical rib",
    "Q784": "Enchondromatosis",
    "Q788": "Other specified osteochondrodysplasias",
    "Q829": "Congenital malformation of skin, unspecified",
    "Q893": "Situs inversus",
    "Q914": "Trisomy 13, meiotic nondisjunction",
    "Q931": "Whole chromosome monosomy, mosaicism (mitotic nondisjunction)",
    "Q937": "Deletions with other complex rearrangements",
    "Q986": "Male with structurally abnormal sex chromosome",
    "Q988": "Other specified sex chromosome abnormalities, male phenotype",
    "R008": "Other and unspecified abnormalities of heart beat",
    "R02": "Gangrene, not elsewhere classified",
    "R068": "Other and unspecified abnormalities of breathing",
    "R103": "Pain localized to other parts of lower abdomen",
    "R160": "Hepatomegaly, not elsewhere classified",
    "R25": "Abnormal involuntary movements",
    "R260": "Ataxic gait",
    "R391": "Other difficulties with micturition",
    "45534425": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "R418": "Other and unspecified symptoms and signs involving cognitive functions and awareness",
    "R432": "Parageusia",
    "I715": "Thoracoabdominal aortic aneurysm, ruptured",
    "I716": "Thoracoabdominal aortic aneurysm, without mention of rupture",
    "I73": "Other peripheral vascular diseases",
    "I730": "Raynaud syndrome",
    "I742": "Embolism and thrombosis of arteries of upper extremities",
    "I743": "Embolism and thrombosis of arteries of lower extremities",
    "I771": "Stricture of artery",
    "I781": "Naevus, non-neoplastic",
    "I790": "Aneurysm of aorta in diseases classified elsewhere",
    "S221": "Multiple fractures of thoracic spine",
    "S222": "Fracture of sternum",
    "S251": "Injury of innominate or subclavian artery",
    "V349": "Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, unspecified occupant of three-wheeled motor vehicle injured in traffic accident",
    "V375": "Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, driver injured in traffic accident",
    "V383": "Occupant of three-wheeled motor vehicle injured in noncollision transport accident, unspecified occupant of three-wheeled motor vehicle injured in nontraffic accident",
    "V395": "Passenger injured in collision with other and unspecified motor vehicles in traffic accident",
    "V405": "Car occupant injured in collision with pedestrian or animal, Driver injured in traffic accident",
    "Z634": "Disappearance and death of family member",
    "Z655": "Exposure to disaster, war and other hostilities",
    "Z709": "Sex counselling, unspecified",
    "Z712": "Person consulting for explanation of investigation findings",
    "Z713": "Dietary counselling and surveillance",
    "Z717": "Human immunodeficiency virus [HIV] counselling",
    "Z721": "Alcohol use",
    "Z759": "Unspecified problem related to medical facilities and other health care",
    "Z809": "Family history of malignant neoplasm, unspecified",
    "Z811": "Family history of alcohol abuse",
    "Z813": "Family history of other psychoactive substance abuse",
    "Z823": "Family history of stroke",
    "Z830": "Family history of human immunodeficiency virus [HIV] disease",
    "Z841": "Family history of disorders of kidney and ureter",
    "T55": "Toxic effect of soaps and detergents",
    "T573": "Toxic effect: Hydrogen cyanide",
    "T595": "Toxic effect: Fluorine gas and hydrogen fluoride",
    "T597": "Toxic effect: Carbon dioxide",
    "T60": "Toxic effect of pesticides",
    "T602": "Toxic effect: Other insecticides",
    "S136": "Sprain and strain of joints and ligaments of other and unspecified parts of neck",
    "S145": "Injury of cervical sympathetic nerves",
    "S210": "Open wound of breast",
    "Z011": "Examination of ears and hearing",
    "Y86": "Sequelae of other accidents",
    "Z020": "Examination for admission to educational institution",
    "Z091": "Follow-up examination after radiotherapy for other conditions",
    "Z112": "Special screening examination for other bacterial diseases",
    "M091": "Juvenile arthritis in Crohn disease [regional enteritis]",
    "T519": "Toxic effect: Alcohol, unspecified",
    "T520": "Toxic effect: Petroleum products",
    "M109": "Gout, unspecified",
    "S159": "Injury of unspecified blood vessel at neck level",
    "R590": "Localized enlarged lymph nodes",
    "R628": "Other lack of expected normal physiological development",
    "R629": "Lack of expected normal physiological development, unspecified",
    "R770": "Abnormality of albumin",
    "R842": "Abnormal findings in specimens from respiratory organs and thorax, abnormal level of other drugs, medicaments and biological substances",
    "R854": "Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal immunological findings",
    "R856": "Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal cytological findings",
    "45533526": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "I863": "Vulval varices",
    "I868": "Varicose veins of other specified sites",
    "I879": "Disorder of vein, unspecified",
    "R864": "Abnormal findings in specimens from male genital organs, abnormal immunological findings",
    "R869": "Abnormal findings in specimens from male genital organs, unspecified abnormal finding",
    "R874": "Abnormal findings in specimens from female genital organs, abnormal immunological findings",
    "R960": "Instantaneous death",
    "R890": "Abnormal findings in specimens from other organs, systems and tissues, abnormal level of enzymes",
    "R961": "Death occurring less than 24 hours from onset of symptoms, not otherwise explained",
    "I88": "Nonspecific lymphadenitis",
    "J020": "Streptococcal pharyngitis",
    "J040": "Acute laryngitis",
    "J068": "Other acute upper respiratory infections of multiple sites",
    "J110": "Influenza with pneumonia, virus not identified",
    "J17": "Pneumonia in diseases classified elsewhere",
    "J359": "Chronic disease of tonsils and adenoids, unspecified",
    "J384": "Oedema of larynx",
    "J399": "Disease of upper respiratory tract, unspecified",
    "J628": "Pneumoconiosis due to other dust containing silica",
    "J635": "Stannosis",
    "J660": "Byssinosis",
    "J668": "Airway disease due to other specific organic dusts",
    "J672": "Bird fancier lung",
    "J68": "Respiratory conditions due to inhalation of chemicals, gases, fumes and vapours",
    "J70": "Respiratory conditions due to other external agents",
    "J85": "Abscess of lung and mediastinum",
    "J955": "Postprocedural subglottic stenosis",
    "V422": "Car occupant injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle injured in nontraffic accident",
    "V435": "Car occupant injured in collision with car, pick-up truck or van, driver injured in traffic accident",
    "V444": "Car occupant injured in collision with heavy transport vehicle or bus, person injured while boarding or alighting",
    "G459": "Transient cerebral ischaemic attack, unspecified",
    "G501": "Atypical facial pain",
    "G538": "Other cranial nerve disorders in other diseases classified elsewhere",
    "G602": "Neuropathy in association with hereditary ataxia",
    "G618": "Other inflammatory polyneuropathies",
    "G63": "Polyneuropathy in diseases classified elsewhere",
    "G712": "Congenital myopathies",
    "G718": "Other primary disorders of muscles",
    "G733": "Myasthenic syndromes in other diseases classified elsewhere",
    "G831": "Monoplegia of lower limb",
    "G92": "Toxic encephalopathy",
    "G937": "Reye syndrome",
    "S623": "Fracture of other metacarpal bone",
    "45542886": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "M308": "Other conditions related to polyarteritis nodosa",
    "M31": "Other necrotizing vasculopathies",
    "M329": "Systemic lupus erythematosus, unspecified",
    "M339": "Dermatopolymyositis, unspecified",
    "M351": "Other overlap syndromes",
    "M358": "Other specified systemic involvement of connective tissue",
    "M359": "Systemic involvement of connective tissue, unspecified",
    "M368": "Systemic disorders of connective tissue in other diseases classified elsewhere",
    "M43": "Other deforming dorsopathies",
    "M438": "Other specified deforming dorsopathies",
    "Z851": "Personal history of malignant neoplasm of trachea, bronchus and lung",
    "Z864": "Personal history of psychoactive substance abuse",
    "Z865": "Personal history of other mental and behavioural disorders",
    "Z874": "Personal history of diseases of the genitourinary system",
    "Z883": "Personal history of allergy to other anti-infective agents",
    "Z887": "Personal history of allergy to serum and vaccine",
    "Z893": "Acquired absence of both upper limbs [any level]",
    "Z924": "Personal history of major surgery, not elsewhere classified",
    "Z936": "Other artificial openings of urinary tract status",
    "Z973": "Presence of spectacles and contact lenses",
    "Z991": "Dependence on respirator",
    "A001": "Cholera due to Vibrio cholerae 01, biovar eltor",
    "A029": "Salmonella infection, unspecified",
    "A032": "Shigellosis due to Shigella boydii",
    "A047": "Enterocolitis due to Clostridium difficile",
    "A060": "Acute amoebic dysentery",
    "A154": "Tuberculosis of intrathoracic lymph nodes, confirmed bacteriologically and histologically",
    "A17": "Tuberculosis of nervous system",
    "A186": "Tuberculosis of ear",
    "A187": "Tuberculosis of adrenal glands",
    "A19": "Miliary tuberculosis",
    "A191": "Acute miliary tuberculosis of multiple sites",
    "A241": "Acute and fulminating melioidosis",
    "A270": "Leptospirosis icterohaemorrhagica",
    "A28": "Other zoonotic bacterial diseases, not elsewhere classified",
    "A281": "Cat-scratch disease",
    "A30": "Leprosy [Hansen disease]",
    "A31": "Infection due to other mycobacteria",
    "A311": "Cutaneous mycobacterial infection",
    "A33": "Tetanus neonatorum",
    "A38": "Scarlet fever",
    "A395": "Meningococcal heart disease",
    "A414": "Sepsis due to anaerobes",
    "Z897": "Acquired absence of both lower limbs [any level, except toes alone]",
    "Z988": "Other specified postsurgical states",
    "T612": "Toxic effect: Other fish and shellfish poisoning",
    "M112": "Other chondrocalcinosis",
    "M124": "Intermittent hydrarthrosis",
    "M153": "Secondary multiple arthrosis",
    "M198": "Other specified arthrosis",
    "T529": "Toxic effect: Organic solvent, unspecified",
    "T532": "Toxic effect: Trichloroethylene",
    "Z114": "Special screening examination for human immunodeficiency virus [HIV]",
    "Z135": "Special screening examination for eye and ear disorders",
    "Z240": "Need for immunization against poliomyelitis",
    "Z258": "Need for immunization against other specified single viral diseases",
    "Z26": "Need for immunization against other single infectious diseases",
    "Z299": "Prophylactic measure, unspecified",
    "Z304": "Surveillance of contraceptive drugs",
    "Z305": "Surveillance of (intrauterine) contraceptive device",
    "Z33": "Pregnant state, incidental",
    "Z385": "Twin, unspecified as to place of birth",
    "Z392": "Routine postpartum follow-up",
    "Z430": "Attention to tracheostomy",
    "Z449": "Fitting and adjustment of unspecified external prosthetic device",
    "Z46": "Fitting and adjustment of other devices",
    "Z438": "Attention to other artificial openings",
    "S208": "Superficial injury of other and unspecified parts of thorax",
    "M2342": "Loose body in knee, posterior cruciate ligament or Posterior horn of medial meniscus",
    "S229": "Fracture of bony thorax, part unspecified",
    "Z968": "Presence of other specified functional implants",
    "Z972": "Presence of dental prosthetic device (complete)(partial)",
    "Z974": "Presence of external hearing-aid",
    "Z998": "Dependence on other enabling machines and devices",
    "A020": "Salmonella enteritis",
    "A031": "Shigellosis due to Shigella flexneri",
    "A064": "Amoebic liver abscess",
    "A081": "Acute gastroenteropathy due to Norwalk agent",
    "A151": "Tuberculosis of lung, confirmed by culture only",
    "A160": "Tuberculosis of lung, bacteriologically and histologically negative",
    "A190": "Acute miliary tuberculosis of a single specified site",
    "A192": "Acute miliary tuberculosis, unspecified",
    "A210": "Ulceroglandular tularaemia",
    "A231": "Brucellosis due to Brucella abortus",
    "A282": "Extraintestinal yersiniosis",
    "A319": "Mycobacterial infection, unspecified",
    "A35": "Other tetanus",
    "A363": "Cutaneous diphtheria",
    "A490": "Staphylococcal infection, unspecified site",
    "A563": "Chlamydial infection of anus and rectum",
    "A69": "Other spirochaetal infections",
    "A74": "Other diseases caused by chlamydiae",
    "A770": "Spotted fever due to Rickettsia rickettsii",
    "A778": "Other spotted fevers",
    "A78": "Q fever",
    "A852": "Arthropod-borne viral encephalitis, unspecified",
    "A86": "Unspecified viral encephalitis",
    "A921": "O'nyong-nyong fever",
    "A961": "Machupo haemorrhagic fever",
    "B010": "Varicella meningitis",
    "B012": "Varicella pneumonia",
    "B020": "Zoster encephalitis",
    "T633": "Toxic effect: Venom of spider",
    "R858": "Abnormal findings in specimens from digestive organs and abdominal cavity, other abnormal findings",
    "R879": "Abnormal findings in specimens from female genital organs, unspecified abnormal finding",
    "45553756": "Invalid ICD10 Concept, do not use",
    "S00": "Superficial injury of head",
    "S001": "Contusion of eyelid and periocular area",
    "S012": "Open wound of nose",
    "S013": "Open wound of ear",
    "S014": "Open wound of cheek and temporomandibular area",
    "I652": "Occlusion and stenosis of carotid artery",
    "I663": "Occlusion and stenosis of cerebellar arteries",
    "I672": "Cerebral atherosclerosis",
    "T261": "Burn of cornea and conjunctival sac",
    "T275": "Corrosion involving larynx and trachea with lung",
    "T293": "Burns of multiple regions, at least one burn of third degree mentioned",
    "S730": "Dislocation of hip",
    "P233": "Congenital pneumonia due to streptococcus, group B",
    "P234": "Congenital pneumonia due to Escherichia coli",
    "P398": "Other specified infections specific to the perinatal period",
    "P543": "Other neonatal gastrointestinal haemorrhage",
    "P545": "Neonatal cutaneous haemorrhage",
    "P570": "Kernicterus due to isoimmunization",
    "P578": "Other specified kernicterus",
    "P612": "Anaemia of prematurity",
    "45548873": "Invalid ICD10 Concept, do not use",
    "P745": "Transitory tyrosinaemia of newborn",
    "P761": "Transitory ileus of newborn",
    "P834": "Breast engorgement of newborn",
    "P919": "Disturbance of cerebral status of newborn, unspecified",
    "P941": "Congenital hypertonia",
    "Q039": "Congenital hydrocephalus, unspecified",
    "Q062": "Diastematomyelia",
    "Q131": "Absence of iris",
    "Q158": "Other specified congenital malformations of eye",
    "Q20": "Congenital malformations of cardiac chambers and connections",
    "Q200": "Common arterial trunk",
    "Q204": "Double inlet ventricle",
    "Q239": "Congenital malformation of aortic and mitral valves, unspecified",
    "Q244": "Congenital subaortic stenosis",
    "Q271": "Congenital renal artery stenosis",
    "Q272": "Other congenital malformations of renal artery",
    "Q33": "Congenital malformations of lung",
    "Q331": "Accessory lobe of lung",
    "Q357": "Cleft uvula",
    "Q360": "Cleft lip, bilateral",
    "Q385": "Congenital malformations of palate, not elsewhere classified",
    "Q395": "Congenital dilatation of oesophagus",
    "Q399": "Congenital malformation of oesophagus, unspecified",
    "Q400": "Congenital hypertrophic pyloric stenosis",
    "Q408": "Other specified congenital malformations of upper alimentary tract",
    "Q410": "Congenital absence, atresia and stenosis of duodenum",
    "Q420": "Congenital absence, atresia and stenosis of rectum with fistula",
    "Q421": "Congenital absence, atresia and stenosis of rectum without fistula",
    "Q428": "Congenital absence, atresia and stenosis of other parts of large intestine",
    "Q443": "Congenital stenosis and stricture of bile ducts",
    "Q450": "Agenesis, aplasia and hypoplasia of pancreas",
    "Q459": "Congenital malformation of digestive system, unspecified",
    "Q51": "Congenital malformations of uterus and cervix",
    "Q512": "Other doubling of uterus",
    "Q549": "Hypospadias, unspecified",
    "Q555": "Congenital absence and aplasia of penis",
    "Q64": "Other congenital malformations of urinary system",
    "Q667": "Pes cavus",
    "Q684": "Congenital bowing of tibia and fibula",
    "Q718": "Other reduction defects of upper limb(s)",
    "Q731": "Phocomelia, unspecified limb(s)",
    "Q743": "Arthrogryposis multiplex congenita",
    "M258": "Other specified joint disorders",
    "M259": "Joint disorder, unspecified",
    "M310": "Hypersensitivity angiitis",
    "M402": "Other and unspecified kyphosis",
    "M435": "Other recurrent vertebral subluxation",
    "M478": "Other spondylosis",
    "S273": "Other injuries of lung",
    "B028": "Zoster with other complications",
    "B083": "Erythema infectiosum [fifth disease]",
    "B085": "Enteroviral vesicular pharyngitis",
    "B15": "Acute hepatitis A",
    "B180": "Chronic viral hepatitis B with delta-agent",
    "B201": "HIV disease resulting in other bacterial infections",
    "B207": "HIV disease resulting in multiple infections",
    "B352": "Tinea manuum",
    "B370": "Candidal stomatitis",
    "B38": "Coccidioidomycosis",
    "B394": "Histoplasmosis capsulati, unspecified",
    "B40": "Blastomycosis",
    "B400": "Acute pulmonary blastomycosis",
    "B402": "Pulmonary blastomycosis, unspecified",
    "B408": "Other forms of blastomycosis",
    "B47": "Mycetoma",
    "B529": "Plasmodium malariae malaria without complication",
    "B652": "Schistosomiasis due to Schistosoma japonicum",
    "B659": "Schistosomiasis, unspecified",
    "B711": "Dipylidiasis",
    "B760": "Ancylostomiasis",
    "B960": "Mycoplasma pneumoniae [M. pneumoniae] as the cause of diseases classified to other chapters",
    "B976": "Parvovirus as the cause of diseases classified to other chapters",
    "C021": "Malignant neoplasm: Border of tongue",
    "C052": "Malignant neoplasm: Uvula",
    "C080": "Malignant neoplasm: Submandibular gland",
    "C104": "Malignant neoplasm: Branchial cleft",
    "C108": "Malignant neoplasm: Overlapping lesion of oropharynx",
    "C139": "Malignant neoplasm: Hypopharynx, unspecified",
    "C166": "Malignant neoplasm: Greater curvature of stomach, unspecified",
    "C180": "Malignant neoplasm: Caecum",
    "C20": "Malignant neoplasm of rectum",
    "C222": "Malignant neoplasm: Hepatoblastoma",
    "C313": "Malignant neoplasm: Sphenoidal sinus",
    "C348": "Malignant neoplasm: Overlapping lesion of bronchus and lung",
    "C349": "Malignant neoplasm: Bronchus or lung, unspecified",
    "C431": "Malignant neoplasm: Malignant melanoma of eyelid, including canthus",
    "C433": "Malignant neoplasm: Malignant melanoma of other and unspecified parts of face",
    "I721": "Aneurysm and dissection of artery of upper extremity",
    "I729": "Aneurysm and dissection of unspecified site",
    "I739": "Peripheral vascular disease, unspecified",
    "I776": "Arteritis, unspecified",
    "I778": "Other specified disorders of arteries and arterioles",
    "I780": "Hereditary haemorrhagic telangiectasia",
    "S78": "Traumatic amputation of hip and thigh",
    "S801": "Contusion of other and unspecified parts of lower leg",
    "T331": "Superficial frostbite of neck",
    "T334": "Superficial frostbite of arm",
    "T341": "Frostbite with tissue necrosis of neck",
    "T343": "Frostbite with tissue necrosis of abdominal wall, lower back and pelvis",
    "T347": "Frostbite with tissue necrosis of knee and lower leg",
    "T352": "Unspecified frostbite of head and neck",
    "Q766": "Other congenital malformations of ribs",
    "Q77": "Osteochondrodysplasia with defects of growth of tubular bones and spine",
    "Q78": "Other osteochondrodysplasias",
    "T64": "Toxic effect of aflatoxin and other mycotoxin food contaminants",
    "T68": "Hypothermia",
    "S307": "Multiple superficial injuries of abdomen, lower back and pelvis",
    "C481": "Malignant neoplasm: Specified parts of peritoneum",
    "C499": "Malignant neoplasm: Connective and soft tissue, unspecified",
    "C56": "Malignant neoplasm of ovary",
    "C570": "Malignant neoplasm: Fallopian tube",
    "C695": "Malignant neoplasm: Lacrimal gland and duct",
    "M495": "Collapsed vertebra in diseases classified elsewhere",
    "M50": "Cervical disc disorders",
    "T743": "Psychological abuse",
    "I839": "Varicose veins of lower extremities without ulcer or inflammation",
    "I843": "External thrombosed hemorrhoids",
    "I846": "Residual hemorrhoidal skin tags",
    "I849": "Unspecified hemorrhoids without complication",
    "45552864": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "I872": "Venous insufficiency (chronic)(peripheral)",
    "J013": "Acute sphenoidal sinusitis",
    "J03": "Acute tonsillitis",
    "J12": "Viral pneumonia, not elsewhere classified",
    "J129": "Viral pneumonia, unspecified",
    "J168": "Pneumonia due to other specified infectious organisms",
    "J203": "Acute bronchitis due to coxsackievirus",
    "J207": "Acute bronchitis due to echovirus",
    "J210": "Acute bronchiolitis due to respiratory syncytial virus",
    "J321": "Chronic frontal sinusitis",
    "J352": "Hypertrophy of adenoids",
    "J393": "Upper respiratory tract hypersensitivity reaction, site unspecified",
    "J42": "Unspecified chronic bronchitis",
    "J432": "Centrilobular emphysema",
    "J634": "Siderosis",
    "J661": "Flax-dresser disease",
    "J671": "Bagassosis",
    "J678": "Hypersensitivity pneumonitis due to other organic dusts",
    "J688": "Other respiratory conditions due to chemicals, gases, fumes and vapours",
    "J689": "Unspecified respiratory condition due to chemicals, gases, fumes and vapours",
    "J80": "Adult respiratory distress syndrome",
    "J95": "Postprocedural respiratory disorders, not elsewhere classified",
    "J984": "Other disorders of lung",
    "J990": "Rheumatoid lung disease",
    "K007": "Teething syndrome",
    "K02": "Dental caries",
    "K037": "Posteruptive colour changes of dental hard tissues",
    "K082": "Atrophy of edentulous alveolar ridge",
    "T353": "Unspecified frostbite of thorax, abdomen, lower back and pelvis",
    "A561": "Chlamydial infection of pelviperitoneum and other genitourinary organs",
    "A590": "Urogenital trichomoniasis",
    "A666": "Bone and joint lesions of yaws",
    "A670": "Primary lesions of pinta",
    "A680": "Louse-borne relapsing fever",
    "A818": "Other atypical virus infections of central nervous system",
    "A878": "Other viral meningitis",
    "A960": "Junin haemorrhagic fever",
    "B002": "Herpesviral gingivostomatitis and pharyngotonsillitis",
    "B004": "Herpesviral encephalitis",
    "B011": "Varicella encephalitis",
    "B162": "Acute hepatitis B without delta-agent with hepatic coma",
    "B188": "Other chronic viral hepatitis",
    "B189": "Chronic viral hepatitis, unspecified",
    "B24": "Unspecified human immunodeficiency virus [HIV] disease",
    "B27": "Infectious mononucleosis",
    "B279": "Infectious mononucleosis, unspecified",
    "B34": "Viral infection of unspecified site",
    "B383": "Cutaneous coccidioidomycosis",
    "B418": "Other forms of paracoccidioidomycosis",
    "B429": "Sporotrichosis, unspecified",
    "B440": "Invasive pulmonary aspergillosis",
    "B452": "Cutaneous cryptococcosis",
    "B46": "Zygomycosis",
    "B463": "Cutaneous mucormycosis",
    "B480": "Lobomycosis",
    "B575": "Chagas disease (chronic) with other organ involvement",
    "B602": "Naegleriasis",
    "B653": "Cercarial dermatitis",
    "B66": "Other fluke infections",
    "B664": "Paragonimiasis",
    "B68": "Taeniasis",
    "B689": "Taeniasis, unspecified",
    "B699": "Cysticercosis, unspecified",
    "B833": "Syngamiasis",
    "B834": "Internal hirudiniasis",
    "B878": "Myiasis of other sites",
    "B909": "Sequelae of respiratory and unspecified tuberculosis",
    "B91": "Sequelae of poliomyelitis",
    "B950": "Streptococcus, group A, as the cause of diseases classified to other chapters",
    "B966": "Bacillus fragilis [B. fragilis] as the cause of diseases classified to other chapters",
    "C049": "Malignant neoplasm: Floor of mouth, unspecified",
    "C113": "Malignant neoplasm: Anterior wall of nasopharynx",
    "C155": "Malignant neoplasm: Lower third of oesophagus",
    "C162": "Malignant neoplasm: Body of stomach",
    "C221": "Malignant neoplasm: Intrahepatic bile duct carcinoma",
    "C227": "Malignant neoplasm: Other specified carcinomas of liver",
    "C25": "Malignant neoplasm of pancreas",
    "C254": "Malignant neoplasm: Endocrine pancreas",
    "S852": "Injury of peroneal artery",
    "S858": "Injury of other blood vessels at lower leg level",
    "T750": "Effects of lightning",
    "M700": "Chronic crepitant synovitis of hand and wrist",
    "M703": "Other bursitis of elbow",
    "C698": "Malignant neoplasm: Overlapping lesion of eye and adnexa",
    "C710": "Malignant neoplasm: Cerebrum, except lobes and ventricles",
    "C75": "Malignant neoplasm of other endocrine glands and related structures",
    "C750": "Malignant neoplasm: Parathyroid gland",
    "C752": "Malignant neoplasm: Craniopharyngeal duct",
    "C774": "Secondary and unspecified malignant neoplasm: Inguinal and lower limb lymph nodes",
    "C822": "Follicular lymphoma grade III, unspecified",
    "C831": "Mantle cell lymphoma",
    "C839": "Non-follicular (diffuse) lymphoma, unspecified",
    "C842": "T-zone lymphoma",
    "C852": "Mediastinal (thymic) large B-cell lymphoma",
    "C913": "Prolymphocytic leukaemia of B-cell type",
    "C919": "Lymphoid leukaemia, unspecified",
    "C942": "Acute megakaryoblastic leukaemia",
    "C960": "Multifocal and multisystemic (disseminated) Langerhans-cell histiocytosis [Letterer-Siwe disease]",
    "D017": "Carcinoma in situ: Other specified digestive organs",
    "D031": "Melanoma in situ of eyelid, including canthus",
    "D035": "Melanoma in situ of trunk",
    "K122": "Cellulitis and abscess of mouth",
    "K136": "Irritative hyperplasia of oral mucosa",
    "K141": "Geographic tongue",
    "K222": "Oesophageal obstruction",
    "K252": "Gastric ulcer, Acute with both haemorrhage and perforation",
    "K26": "Duodenal ulcer",
    "K265": "Duodenal ulcer, chronic or unspecified with perforation",
    "K267": "Duodenal ulcer, chronic without haemorrhage or perforation",
    "K291": "Other acute gastritis",
    "X38": "Victim of flood",
    "K352": "Acute appendicitis with generalized peritonitis",
    "K383": "Fistula of appendix",
    "K437": "Other and unspecified ventral hernia with gangrene",
    "X74": "Intentional self-harm by other and unspecified firearm discharge",
    "T424": "Poisoning: Benzodiazepines",
    "M650": "Abscess of tendon sheath",
    "M679": "Disorder of synovium and tendon, unspecified",
    "M792": "Neuralgia and neuritis, unspecified",
    "T795": "Traumatic anuria",
    "T815": "Foreign body accidentally left in body cavity or operation wound following a procedure",
    "C439": "Malignant neoplasm: Malignant melanoma of skin, unspecified",
    "C509": "Malignant neoplasm: Breast, unspecified",
    "C518": "Malignant neoplasm: Overlapping lesion of vulva",
    "C539": "Malignant neoplasm: Cervix uteri, unspecified",
    "C601": "Malignant neoplasm: Glans penis",
    "C61": "Malignant neoplasm of prostate",
    "C631": "Malignant neoplasm: Spermatic cord",
    "S878": "Crushing injury of other and unspecified parts of lower leg",
    "D039": "Melanoma in situ, unspecified",
    "D100": "Benign neoplasm: Lip",
    "D104": "Benign neoplasm: Tonsil",
    "M708": "Other soft tissue disorders related to use, overuse and pressure",
    "M72": "Fibroblastic disorders",
    "M720": "Palmar fascial fibromatosis [Dupuytren]",
    "M763": "Iliotibial band syndrome",
    "M794": "Hypertrophy of (infrapatellar) fat pad",
    "M811": "Postoophorectomy osteoporosis",
    "M816": "Localized osteoporosis [Lequesne]",
    "M839": "Adult osteomalacia, unspecified",
    "D132": "Benign neoplasm: Duodenum",
    "D152": "Benign neoplasm: Mediastinum",
    "D159": "Benign neoplasm: Intrathoracic organ, unspecified",
    "D223": "Melanocytic naevi of other and unspecified parts of face",
    "D225": "Melanocytic naevi of trunk",
    "D250": "Submucous leiomyoma of uterus",
    "D252": "Subserosal leiomyoma of uterus",
    "D259": "Leiomyoma of uterus, unspecified",
    "D300": "Benign neoplasm: Kidney",
    "D34": "Benign neoplasm of thyroid gland",
    "D372": "Neoplasm of uncertain or unknown behaviour: Small intestine",
    "D373": "Neoplasm of uncertain or unknown behaviour: Appendix",
    "D401": "Neoplasm of uncertain or unknown behaviour: Testis",
    "D42": "Neoplasm of uncertain or unknown behaviour of meninges",
    "K563": "Gallstone ileus",
    "K593": "Megacolon, not elsewhere classified",
    "K599": "Functional intestinal disorder, unspecified",
    "K67": "Disorders of peritoneum in infectious diseases classified elsewhere",
    "K739": "Chronic hepatitis, unspecified",
    "K802": "Calculus of gallbladder without cholecystitis",
    "K808": "Other cholelithiasis",
    "K820": "Obstruction of gallbladder",
    "K830": "Cholangitis",
    "K850": "Idiopathic acute pancreatitis",
    "K903": "Pancreatic steatorrhoea",
    "L024": "Cutaneous abscess, furuncle and carbuncle of limb",
    "L028": "Cutaneous abscess, furuncle and carbuncle of other sites",
    "L118": "Other specified acantholytic disorders",
    "L242": "Irritant contact dermatitis due to solvents",
    "L244": "Irritant contact dermatitis due to drugs in contact with skin",
    "L290": "Pruritus ani",
    "L401": "Generalized pustular psoriasis",
    "L402": "Acrodermatitis continua",
    "L431": "Bullous lichen planus",
    "L443": "Lichen ruber moniliformis",
    "L501": "Idiopathic urticaria",
    "L506": "Contact urticaria",
    "L510": "Nonbullous erythema multiforme",
    "L52": "Erythema nodosum",
    "L532": "Erythema marginatum",
    "L54": "Erythema in diseases classified elsewhere",
    "L551": "Sunburn of second degree",
    "L561": "Drug photoallergic response",
    "L562": "Photocontact dermatitis [berloque dermatitis]",
    "L564": "Polymorphous light eruption",
    "L580": "Acute radiodermatitis",
    "L683": "Polytrichia",
    "L689": "Hypertrichosis, unspecified",
    "Y073": "Other maltreatment by official authorities",
    "X76": "Intentional self-harm by smoke, fire and flames",
    "Y355": "Legal execution",
    "C716": "Malignant neoplasm: Cerebellum",
    "C759": "Malignant neoplasm: Endocrine gland, unspecified",
    "C761": "Malignant neoplasm of other and ill-defined sites: Thorax",
    "C786": "Secondary malignant neoplasm of retroperitoneum and peritoneum",
    "C790": "Secondary malignant neoplasm of kidney and renal pelvis",
    "C798": "Secondary malignant neoplasm of other specified sites",
    "C80": "Malignant neoplasm, without specification of site",
    "C811": "Nodular sclerosis classical Hodgkin lymphoma",
    "C814": "Lymphocyte-rich (classical) Hodgkin lymphoma",
    "C85": "Other and unspecified types of non-Hodgkin lymphoma",
    "M838": "Other adult osteomalacia",
    "T823": "Mechanical complication of other vascular grafts",
    "T839": "Unspecified complication of genitourinary prosthetic device, implant and graft",
    "S340": "Concussion and oedema of lumbar spinal cord",
    "D429": "Neoplasm of uncertain or unknown behaviour: Meninges, unspecified",
    "D551": "Anaemia due to other disorders of glutathione metabolism",
    "D560": "Alpha thalassaemia",
    "D569": "Thalassaemia, unspecified",
    "D571": "Sickle-cell anaemia without crisis",
    "D593": "Haemolytic-uraemic syndrome",
    "D68": "Other coagulation defects",
    "D77": "Other disorders of blood and blood-forming organs in diseases classified elsewhere",
    "D805": "Immunodeficiency with increased immunoglobulin M [IgM]",
    "D817": "Major histocompatibility complex class II deficiency",
    "D848": "Other specified immunodeficiencies",
    "E034": "Atrophy of thyroid (acquired)",
    "E070": "Hypersecretion of calcitonin",
    "E101": "Type 1 diabetes mellitus, With ketoacidosis",
    "E111": "Type 2 diabetes mellitus, with ketoacidosis",
    "E121": "Malnutrition-related diabetes mellitus, with ketoacidosis",
    "E134": "Other specified diabetes mellitus, with neurological complications",
    "E168": "Other specified disorders of pancreatic internal secretion",
    "E200": "Idiopathic hypoparathyroidism",
    "E22": "Hyperfunction of pituitary gland",
    "S557": "Injury of multiple blood vessels at forearm level",
    "T858": "Other complications of internal prosthetic devices, implants and grafts, not elsewhere classified",
    "T87": "Complications peculiar to reattachment and amputation",
    "T872": "Complications of other reattached body part",
    "T882": "Shock due to anaesthesia",
    "T926": "Sequelae of crushing injury and traumatic amputation of upper limb",
    "T932": "Sequelae of other fractures of lower limb",
    "S131": "Dislocation of cervical vertebra",
    "L743": "Miliaria, unspecified",
    "L940": "Localized scleroderma [morphea]",
    "L943": "Sclerodactyly",
    "45553010": "Invalid ICD10 Concept, do not use",
    "L981": "Factitial dermatitis",
    "L985": "Mucinosis of skin",
    "M001": "Pneumococcal arthritis and polyarthritis",
    "M850": "Fibrous dysplasia (monostotic)",
    "M851": "Skeletal fluorosis",
    "S342": "Injury of nerve root of lumbar and sacral spine",
    "C93": "Monocytic leukaemia",
    "C969": "Malignant neoplasm of lymphoid, haematopoietic and related tissue, unspecified",
    "D015": "Carcinoma in situ: Liver, gallbladder and bile ducts",
    "D020": "Carcinoma in situ: Larynx",
    "D046": "Carcinoma in situ: Skin of upper limb, including shoulder",
    "D074": "Carcinoma in situ: Penis",
    "D099": "Carcinoma in situ, unspecified",
    "D13": "Benign neoplasm of other and ill-defined parts of digestive system",
    "D150": "Benign neoplasm: Thymus",
    "D160": "Benign neoplasm: Scapula and long bones of upper limb",
    "D216": "Benign neoplasm: Connective and other soft tissue of trunk, unspecified",
    "D222": "Melanocytic naevi of ear and external auricular canal",
    "D251": "Intramural leiomyoma of uterus",
    "D280": "Benign neoplasm: Vulva",
    "D297": "Benign neoplasm: Other male genital organs",
    "D30": "Benign neoplasm of urinary organs",
    "D315": "Benign neoplasm: Lacrimal gland and duct",
    "D319": "Benign neoplasm: Eye, unspecified",
    "D339": "Benign neoplasm: Central nervous system, unspecified",
    "S911": "Open wound of toe(s) without damage to nail",
    "S912": "Open wound of toe(s) with damage to nail",
    "S920": "Fracture of calcaneus",
    "S355": "Injury of iliac blood vessels",
    "S365": "Injury of colon",
    "E270": "Other adrenocortical overactivity",
    "E275": "Adrenomedullary hyperfunction",
    "E358": "Disorders of other endocrine glands in diseases classified elsewhere",
    "E505": "Vitamin A deficiency with night blindness",
    "E568": "Deficiency of other vitamins",
    "E61": "Deficiency of other nutrient elements",
    "E617": "Deficiency of multiple nutrient elements",
    "E63": "Other nutritional deficiencies",
    "E649": "Sequelae of unspecified nutritional deficiency",
    "E722": "Disorders of urea cycle metabolism",
    "E738": "Other lactose intolerance",
    "E756": "Lipid storage disorder, unspecified",
    "E780": "Pure hypercholesterolaemia",
    "E781": "Pure hyperglyceridaemia",
    "E832": "Disorders of zinc metabolism",
    "E833": "Disorders of phosphorus metabolism and phosphatases",
    "E750": "GM2gangliosidosis",
    "V039": "Pedestrian injured in collision with car, pick-up truck or van, unspecified whether traffic or nontraffic accident",
    "V049": "Pedestrian injured in collision with heavy transport vehicle or bus, unspecified whether traffic or nontraffic accident",
    "E871": "Hypo-osmolality and hyponatraemia",
    "S59": "Other and unspecified injuries of forearm",
    "M010": "Meningococcal arthritis",
    "M022": "Postimmunization arthropathy",
    "M059": "Seropositive rheumatoid arthritis, unspecified",
    "M072": "Psoriatic spondylitis",
    "45553948": "Invalid ICD10 Concept, do not use",
    "S18": "Traumatic amputation at neck level",
    "S366": "Injury of rectum",
    "S367": "Injury of multiple intra-abdominal organs",
    "S370": "Injury of kidney",
    "S374": "Injury of ovary",
    "D380": "Neoplasm of uncertain or unknown behaviour: Larynx",
    "D413": "Neoplasm of uncertain or unknown behaviour: Urethra",
    "45547604": "Invalid ICD10 Concept, do not use",
    "D538": "Other specified nutritional anaemias",
    "D611": "Drug-induced aplastic anaemia",
    "D619": "Aplastic anaemia, unspecified",
    "D642": "Secondary sideroblastic anaemia due to drugs and toxins",
    "D65": "Disseminated intravascular coagulation [defibrination syndrome]",
    "D680": "Von Willebrand disease",
    "D75": "Other diseases of blood and blood-forming organs",
    "E078": "Other specified disorders of thyroid",
    "M873": "Other secondary osteonecrosis",
    "M878": "Other osteonecrosis",
    "M880": "Paget disease of skull",
    "M890": "Algoneurodystrophy",
    "T913": "Sequelae of injury of spinal cord",
    "T914": "Sequelae of injury of intrathoracic organs",
    "T915": "Sequelae of injury of intra-abdominal and pelvic organs",
    "U800": "Penicillin resistant agent",
    "S381": "Crushing injury of other and unspecified parts of abdomen, lower back and pelvis",
    "S382": "Traumatic amputation of external genital organs",
    "S410": "Open wound of shoulder",
    "E878": "Other disorders of electrolyte and fluid balance, not elsewhere classified",
    "E898": "Other postprocedural endocrine and metabolic disorders",
    "45542784": "Invalid ICD10 Concept, do not use",
    "45542785": "Invalid ICD10 Concept, do not use",
    "45542786": "Invalid ICD10 Concept, do not use",
    "45542787": "Invalid ICD10 Concept, do not use",
    "F103": "Mental and behavioural disorders due to use of alcohol, Withdrawal state",
    "45542790": "Invalid ICD10 Concept, do not use",
    "S211": "Open wound of front wall of thorax",
    "S212": "Open wound of back wall of thorax",
    "V144": "Pedal cyclist injured in collision with heavy transport vehicle or bus, driver injured in traffic accident",
    "V175": "Pedal cyclist injured in collision with fixed or stationary object, passenger injured in traffic accident",
    "V231": "Motorcycle rider injured in collision with car, pick-up truck or van, passenger injured in nontraffic accident",
    "V234": "Motorcycle rider injured in collision with car, pick-up truck or van, driver injured in traffic accident",
    "V241": "Motorcycle rider injured in collision with heavy transport vehicle or bus, passenger injured in nontraffic accident",
    "V264": "Motorcycle rider injured in collision with other nonmotor vehicle, driver injured in traffic accident",
    "S218": "Open wound of other parts of thorax",
    "V259": "Motorcycle rider injured in collision with railway train or railway vehicle, unspecified motorcycle rider injured in traffic accident",
    "M912": "Coxa plana",
    "M93": "Other osteochondropathies",
    "S418": "Open wound of other and unspecified parts of shoulder girdle",
    "E124": "Malnutrition-related diabetes mellitus, with neurological complications",
    "E129": "Malnutrition-related diabetes mellitus, without complications",
    "E131": "Other specified diabetes mellitus, with ketoacidosis",
    "E132": "Other specified diabetes mellitus, with renal complications",
    "E136": "Other specified diabetes mellitus, with other specified complications",
    "E137": "Other specified diabetes mellitus, with multiple complications",
    "E145": "Unspecified diabetes mellitus, with peripheral circulatory complications",
    "E212": "Other hyperparathyroidism",
    "E220": "Acromegaly and pituitary gigantism",
    "E233": "Hypothalamic dysfunction, not elsewhere classified",
    "E237": "Disorder of pituitary gland, unspecified",
    "E249": "Cushing syndrome, unspecified",
    "E259": "Adrenogenital disorder, unspecified",
    "E500": "Vitamin A deficiency with conjunctival xerosis",
    "E56": "Other vitamin deficiencies",
    "E66": "Obesity",
    "E721": "Disorders of sulfur-bearing amino-acid metabolism",
    "E73": "Lactose intolerance",
    "E798": "Other disorders of purine and pyrimidine metabolism",
    "E804": "Gilbert syndrome",
    "E850": "Non-neuropathic heredofamilial amyloidosis",
    "E852": "Heredofamilial amyloidosis, unspecified",
    "E874": "Mixed disorder of acid-base balance",
    "45547670": "Invalid ICD10 Concept, do not use",
    "45547671": "Invalid ICD10 Concept, do not use",
    "45547672": "Invalid ICD10 Concept, do not use",
    "F106": "Mental and behavioural disorders due to use of alcohol, Amnesic syndrome",
    "F107": "Mental and behavioural disorders due to use of alcohol, Residual and late-onset psychotic disorder",
    "V112": "Pedal cyclist injured in collision with other pedal cycle, unspecified pedal cyclist injured in nontraffic accident",
    "V130": "Pedal cyclist injured in collision with car, pick-up truck or van, driver injured in nontraffic accident",
    "V115": "Pedal cyclist injured in collision with other pedal cycle, passenger injured in traffic accident",
    "V169": "Pedal cyclist injured in collision with other nonmotor vehicle, unspecified pedal cyclist injured in traffic accident",
    "S662": "Injury of extensor muscle and tendon of thumb at wrist and hand level",
    "M892": "Other disorders of bone development and growth",
    "M893": "Hypertrophy of bone",
    "M930": "Slipped upper femoral epiphysis (nontraumatic)",
    "M94": "Other disorders of cartilage",
    "F161": "Mental and behavioural disorders due to use of hallucinogens, harmful use",
    "F168": "Mental and behavioural disorders due to use of hallucinogens, other mental and behavioural disorders",
    "F175": "Mental and behavioural disorders due to use of tobacco, psychotic disorder",
    "F176": "Mental and behavioural disorders due to use of tobacco, amnesic syndrome",
    "F178": "Mental and behavioural disorders due to use of tobacco, other mental and behavioural disorders",
    "F179": "Mental and behavioural disorders due to use of tobacco, unspecified mental and behavioural disorder",
    "45542828": "Invalid ICD10 Concept, do not use",
    "F20": "Schizophrenia",
    "45542836": "Invalid ICD10 Concept, do not use",
    "F229": "Persistent delusional disorder, unspecified",
    "F310": "Bipolar affective disorder, current episode hypomanic",
    "V285": "Motorcycle rider injured in noncollision transport accident, passenger injured in traffic accident",
    "V289": "Motorcycle rider injured in noncollision transport accident, unspecified motorcycle rider injured in traffic accident",
    "45542845": "Invalid ICD10 Concept, do not use",
    "F409": "Phobic anxiety disorder, unspecified",
    "F419": "Anxiety disorder, unspecified",
    "F422": "Mixed obsessional thoughts and acts",
    "F442": "Dissociative stupor",
    "F518": "Other nonorganic sleep disorders",
    "F520": "Lack or loss of sexual desire",
    "S608": "Other superficial injuries of wrist and hand",
    "V329": "Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, unspecified occupant of three-wheeled motor vehicle injured in traffic accident",
    "V331": "Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, passenger injured in nontraffic accident",
    "G461": "Anterior cerebral artery syndrome",
    "G462": "Posterior cerebral artery syndrome",
    "G468": "Other vascular syndromes of brain in cerebrovascular diseases",
    "G598": "Other mononeuropathies in diseases classified elsewhere",
    "G620": "Drug-induced polyneuropathy",
    "G711": "Myotonic disorders",
    "G720": "Drug-induced myopathy",
    "G737": "Myopathy in other diseases classified elsewhere",
    "G801": "Spastic diplegic cerebral palsy",
    "G839": "Paralytic syndrome, unspecified",
    "G91": "Hydrocephalus",
    "H02": "Other disorders of eyelid",
    "V366": "Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, passenger injured in traffic accident",
    "S934": "Sprain and strain of ankle",
    "S957": "Injury of multiple blood vessels at ankle and foot level",
    "S688": "Traumatic amputation of other parts of wrist and hand",
    "45547680": "Invalid ICD10 Concept, do not use",
    "45547681": "Invalid ICD10 Concept, do not use",
    "F18": "Mental and behavioural disorders due to use of volatile solvents",
    "M960": "Pseudarthrosis after fusion or arthrodesis",
    "M99": "Biomechanical lesions, not elsewhere classified",
    "N004": "Acute nephritic syndrome, Diffuse endocapillary proliferative glomerulonephritis",
    "N032": "Chronic nephritic syndrome, diffuse membranous glomerulonephritis",
    "N062": "Isolated proteinuria with specified morphological lesion, diffuse membranous glomerulonephritis",
    "N076": "Hereditary nephropathy, not elsewhere classified, dense deposit disease",
    "N077": "Hereditary nephropathy, not elsewhere classified, diffuse crescentic glomerulonephritis",
    "N079": "Hereditary nephropathy, not elsewhere classified, unspecified",
    "N110": "Nonobstructive reflux-associated chronic pyelonephritis",
    "N144": "Toxic nephropathy, not elsewhere classified",
    "N163": "Renal tubulo-interstitial disorders in metabolic diseases",
    "N164": "Renal tubulo-interstitial disorders in systemic connective tissue disorders",
    "N178": "Other acute renal failure",
    "N22": "Calculus of urinary tract in diseases classified elsewhere",
    "N29": "Other disorders of kidney and ureter in diseases classified elsewhere",
    "N322": "Vesical fistula, not elsewhere classified",
    "N338": "Bladder disorders in other diseases classified elsewhere",
    "N350": "Post-traumatic urethral stricture",
    "N370": "Urethritis in diseases classified elsewhere",
    "N390": "Urinary tract infection, site not specified",
    "N42": "Other disorders of prostate",
    "N430": "Encysted hydrocele",
    "N459": "Orchitis, epididymitis and epididymo-orchitis without abscess",
    "N60": "Benign mammary dysplasia",
    "N602": "Fibroadenosis of breast",
    "N743": "Female gonococcal pelvic inflammatory disease",
    "N771": "Vaginitis, vulvitis and vulvovaginitis in infectious and parasitic diseases classified elsewhere",
    "N943": "Premenstrual tension syndrome",
    "N951": "Menopausal and female climacteric states",
    "O031": "Spontaneous abortion, Incomplete, complicated by delayed or excessive haemorrhage",
    "V270": "Motorcycle rider injured in collision with fixed or stationary object, driver injured in nontraffic accident",
    "F200": "Paranoid schizophrenia",
    "45547695": "Invalid ICD10 Concept, do not use",
    "F230": "Acute polymorphic psychotic disorder without symptoms of schizophrenia",
    "45547698": "Invalid ICD10 Concept, do not use",
    "F250": "Schizoaffective disorder, manic type",
    "F258": "Other schizoaffective disorders",
    "F30": "Manic episode",
    "F300": "Hypomania",
    "F332": "Recurrent depressive disorder, current episode severe without psychotic symptoms",
    "V299": "Motorcycle rider [any] injured in unspecified traffic accident",
    "S958": "Injury of other blood vessels at ankle and foot level",
    "S422": "Fracture of upper end of humerus",
    "F538": "Other mental and behavioural disorders associated with the puerperium, not elsewhere classified",
    "F60": "Specific personality disorders",
    "45542859": "Invalid ICD10 Concept, do not use",
    "F64": "Gender identity disorders",
    "F640": "Transsexualism",
    "F649": "Gender identity disorder, unspecified",
    "F651": "Fetishistic transvestism",
    "F720": "Severe mental retardation, with the statement of no, or minimal, impairment of behaviour",
    "F791": "Unspecified mental retardation, significant impairment of behaviour requiring attention or treatment",
    "F810": "Specific reading disorder",
    "F812": "Specific disorder of arithmetical skills",
    "F818": "Other developmental disorders of scholastic skills",
    "F843": "Other childhood disintegrative disorder",
    "F900": "Disturbance of activity and attention",
    "F911": "Unsocialized conduct disorder",
    "F985": "Stuttering [stammering]",
    "G000": "Haemophilus meningitis",
    "G11": "Hereditary ataxia",
    "G23": "Other degenerative diseases of basal ganglia",
    "G258": "Other specified extrapyramidal and movement disorders",
    "G318": "Other specified degenerative diseases of nervous system",
    "G372": "Central pontine myelinolysis",
    "M9950": "Intervertebral disc stenosis of neural canal, head region",
    "M9970": "Connective tissue and disc stenosis of intervertebral foramina, head region",
    "N00": "Acute nephritic syndrome",
    "N003": "Acute nephritic syndrome, Diffuse mesangial proliferative glomerulonephritis",
    "N017": "Rapidly progressive nephritic syndrome, diffuse crescentic glomerulonephritis",
    "N031": "Chronic nephritic syndrome, focal and segmental glomerular lesions",
    "N04": "Nephrotic syndrome",
    "N042": "Nephrotic syndrome, diffuse membranous glomerulonephritis",
    "N058": "Unspecified nephritic syndrome, other",
    "N065": "Isolated proteinuria with specified morphological lesion, diffuse mesangiocapillary glomerulonephritis",
    "N072": "Hereditary nephropathy, not elsewhere classified, diffuse membranous glomerulonephritis",
    "N10": "Acute tubulo-interstitial nephritis",
    "N118": "Other chronic tubulo-interstitial nephritis",
    "N183": "Chronic kidney disease, stage 3",
    "N228": "Calculus of urinary tract in other diseases classified elsewhere",
    "N302": "Other chronic cystitis",
    "N312": "Flaccid neuropathic bladder, not elsewhere classified",
    "N328": "Other specified disorders of bladder",
    "N340": "Urethral abscess",
    "N342": "Other urethritis",
    "H029": "Disorder of eyelid, unspecified",
    "V382": "Occupant of three-wheeled motor vehicle injured in noncollision transport accident, person on outside of vehicle injured in nontraffic accident",
    "V407": "Car occupant injured in collision with pedestrian or animal, Person on outside of vehicle injured in traffic accident",
    "V416": "Car occupant injured in collision with pedal cycle, passenger injured in traffic accident",
    "T03": "Dislocations, sprains and strains involving multiple body regions",
    "T038": "Dislocations, sprains and strains involving other combinations of body regions",
    "45547709": "Invalid ICD10 Concept, do not use",
    "45547710": "Invalid ICD10 Concept, do not use",
    "F48": "Other neurotic disorders",
    "F509": "Eating disorder, unspecified",
    "F515": "Nightmares",
    "F522": "Failure of genital response",
    "F628": "Other enduring personality changes",
    "45547718": "Invalid ICD10 Concept, do not use",
    "F781": "Other mental retardation, significant impairment of behaviour requiring attention or treatment",
    "F803": "Acquired aphasia with epilepsy [Landau-Kleffner]",
    "F98": "Other behavioural and emotional disorders with onset usually occurring in childhood and adolescence",
    "F989": "Unspecified behavioural and emotional disorders with onset usually occurring in childhood and adolescence",
    "G032": "Benign recurrent meningitis [Mollaret]",
    "G121": "Other inherited spinal muscular atrophy",
    "G252": "Other specified forms of tremor",
    "G253": "Myoclonus",
    "G448": "Other specified headache syndromes",
    "G470": "Disorders of initiating and maintaining sleep [insomnias]",
    "G508": "Other disorders of trigeminal nerve",
    "G520": "Disorders of olfactory nerve",
    "G530": "Postzoster neuralgia",
    "G543": "Thoracic root disorders, not elsewhere classified",
    "G550": "Nerve root and plexus compressions in neoplastic disease",
    "O103": "Pre-existing hypertensive heart and renal disease complicating pregnancy, childbirth and the puerperium",
    "O109": "Unspecified pre-existing hypertension complicating pregnancy, childbirth and the puerperium",
    "O222": "Superficial thrombophlebitis in pregnancy",
    "V371": "Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, passenger injured in nontraffic accident",
    "V389": "Occupant of three-wheeled motor vehicle injured in noncollision transport accident, unspecified occupant of three-wheeled motor vehicle injured in traffic accident",
    "V398": "Occupant [any] of three-wheeled motor vehicle injured in other specified transport accidents",
    "V424": "Car occupant injured in collision with two- or three-wheeled motor vehicle, person injured while boarding or alighting",
    "V426": "Car occupant injured in collision with two- or three-wheeled motor vehicle, passenger injured in traffic accident",
    "V436": "Car occupant injured in collision with car, pick-up truck or van, passenger injured in traffic accident",
    "N359": "Urethral stricture, unspecified",
    "N420": "Calculus of prostate",
    "N423": "Dysplasia of prostate",
    "45543874": "Invalid ICD10 Concept, do not use",
    "N483": "Priapism",
    "N498": "Inflammatory disorders of other specified male genital organs",
    "N501": "Vascular disorders of male genital organs",
    "N604": "Mammary duct ectasia",
    "N61": "Inflammatory disorders of breast",
    "N72": "Inflammatory disease of cervix uteri",
    "N74": "Female pelvic inflammatory disorders in diseases classified elsewhere",
    "N760": "Acute vaginitis",
    "N809": "Endometriosis, unspecified",
    "N816": "Rectocele",
    "N854": "Malposition of uterus",
    "N855": "Inversion of uterus",
    "N856": "Intrauterine synechiae",
    "N888": "Other specified noninflammatory disorders of cervix uteri",
    "N894": "Leukoplakia of vagina",
    "N901": "Moderate vulvar dysplasia",
    "N922": "Excessive menstruation at puberty",
    "N942": "Vaginismus",
    "O611": "Failed instrumental induction of labour",
    "O655": "Obstructed labour due to abnormality of maternal pelvic organs",
    "O702": "Third degree perineal laceration during delivery",
    "O713": "Obstetric laceration of cervix",
    "O744": "Toxic reaction to local anaesthesia during labour and delivery",
    "O753": "Other infection during labour",
    "H171": "Other central corneal opacity",
    "H179": "Corneal scar and opacity, unspecified",
    "H181": "Bullous keratopathy",
    "H192": "Keratitis and keratoconjunctivitis in other infectious and parasitic diseases classified elsewhere",
    "H259": "Senile cataract, unspecified",
    "H268": "Other specified cataract",
    "H279": "Disorder of lens, unspecified",
    "V492": "Unspecified car occupant injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "H281": "Cataract in other endocrine, nutritional and metabolic diseases",
    "T055": "Traumatic amputation of both legs [any level]",
    "T135": "Injury of unspecified muscle and tendon of lower limb, level unspecified",
    "T16": "Foreign body in ear",
    "T204": "Corrosion of unspecified degree of head and neck",
    "45550903": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "O224": "Haemorrhoids in pregnancy",
    "O242": "Diabetes mellitus in pregnancy: Pre-existing malnutrition-related diabetes mellitus",
    "O288": "Other abnormal findings on antenatal screening of mother",
    "O290": "Pulmonary complications of anaesthesia during pregnancy",
    "O302": "Quadruplet pregnancy",
    "O283": "Abnormal ultrasonic finding on antenatal screening of mother",
    "G571": "Meralgia paraesthetica",
    "G630": "Polyneuropathy in infectious and parasitic diseases classified elsewhere",
    "G734": "Myopathy in infectious and parasitic diseases classified elsewhere",
    "G735": "Myopathy in endocrine diseases",
    "G83": "Other paralytic syndromes",
    "G830": "Diplegia of upper limbs",
    "G912": "Normal-pressure hydrocephalus",
    "G959": "Disease of spinal cord, unspecified",
    "G978": "Other postprocedural disorders of nervous system",
    "H026": "Xanthelasma of eyelid",
    "S983": "Traumatic amputation of other parts of foot",
    "T044": "Crushing injuries involving multiple regions of upper limb(s) with lower limb(s)",
    "T064": "Injuries of muscles and tendons involving multiple body regions",
    "T159": "Foreign body on external eye, part unspecified",
    "T175": "Foreign body in bronchus",
    "T203": "Burn of third degree of head and neck",
    "45546087": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S47": "Crushing injury of shoulder and upper arm",
    "S49": "Other and unspecified injuries of shoulder and upper arm",
    "H319": "Disorder of choroid, unspecified",
    "H332": "Serous retinal detachment",
    "H335": "Other retinal detachments",
    "O840": "Multiple delivery, all spontaneous",
    "O848": "Other multiple delivery",
    "O861": "Other infection of genital tract following delivery",
    "O862": "Urinary tract infection following delivery",
    "O870": "Superficial thrombophlebitis in the puerperium",
    "O922": "Other and unspecified disorders of breast associated with childbirth",
    "O984": "Viral hepatitis complicating pregnancy, childbirth and the puerperium",
    "O995": "Diseases of the respiratory system complicating pregnancy, childbirth and the puerperium",
    "P026": "Fetus and newborn affected by other and unspecified conditions of umbilical cord",
    "P03": "Fetus and newborn affected by other complications of labour and delivery",
    "P04": "Fetus and newborn affected by noxious influences transmitted via placenta or breast milk",
    "V691": "Passenger injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V703": "Bus occupant injured in collision with pedestrian or animal, Unspecified bus occupant injured in nontraffic accident",
    "V726": "Bus occupant injured in collision with two- or three-wheeled motor vehicle, passenger injured in traffic accident",
    "V746": "Bus occupant injured in collision with heavy transport vehicle or bus, passenger injured in traffic accident",
    "S431": "Dislocation of acromioclavicular joint",
    "H043": "Acute and unspecified inflammation of lacrimal passages",
    "H118": "Other specified disorders of conjunctiva",
    "H130": "Filarial infection of conjunctiva",
    "O354": "Maternal care for (suspected) damage to fetus from alcohol",
    "O353": "Maternal care for (suspected) damage to fetus from viral disease in mother",
    "O363": "Maternal care for signs of fetal hypoxia",
    "V551": "Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, passenger injured in nontraffic accident",
    "V552": "Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, person on outside of vehicle injured in nontraffic accident",
    "V589": "Occupant of pick-up truck or van injured in noncollision transport accident, unspecified occupant of pick-up truck or van injured in traffic accident",
    "V599": "Occupant [any] of pick-up truck or van injured in unspecified traffic accident",
    "T210": "Burn of unspecified degree of trunk",
    "Z274": "Need for immunization against measles-mumps-rubella [MMR]",
    "P100": "Subdural haemorrhage due to birth injury",
    "P104": "Tentorial tear due to birth injury",
    "P120": "Cephalhaematoma due to birth injury",
    "P141": "Klumpke paralysis due to birth injury",
    "P158": "Other specified birth injuries",
    "P210": "Severe birth asphyxia",
    "P290": "Neonatal cardiac failure",
    "P364": "Sepsis of newborn due to Escherichia coli",
    "P375": "Neonatal candidiasis",
    "P611": "Polycythaemia neonatorum",
    "P615": "Transient neonatal neutropenia",
    "P703": "Iatrogenic neonatal hypoglycaemia",
    "P708": "Other transitory disorders of carbohydrate metabolism of fetus and newborn",
    "P713": "Neonatal tetany without calcium or magnesium deficiency",
    "P74": "Other transitory neonatal electrolyte and metabolic disturbances",
    "P832": "Hydrops fetalis not due to haemolytic disease",
    "P838": "Other specified conditions of integument specific to fetus and newborn",
    "P913": "Neonatal cerebral irritability",
    "P915": "Neonatal coma",
    "P92": "Feeding problems of newborn",
    "P962": "Withdrawal symptoms from therapeutic use of drugs in newborn",
    "Q046": "Congenital cerebral cysts",
    "Q056": "Thoracic spina bifida without hydrocephalus",
    "H355": "Hereditary retinal dystrophy",
    "H44": "Disorders of globe",
    "H481": "Retrobulbar neuritis in diseases classified elsewhere",
    "H500": "Convergent concomitant strabismus",
    "H508": "Other specified strabismus",
    "H512": "Internuclear ophthalmoplegia",
    "H578": "Other specified disorders of eye and adnexa",
    "H579": "Disorder of eye and adnexa, unspecified",
    "S442": "Injury of radial nerve at upper arm level",
    "S445": "Injury of cutaneous sensory nerve at shoulder and upper arm level",
    "O43": "Placental disorders",
    "S447": "Injury of multiple nerves at shoulder and upper arm level",
    "S46": "Injury of muscle and tendon at shoulder and upper arm level",
    "H163": "Interstitial and deep keratitis",
    "H188": "Other specified disorders of cornea",
    "V649": "Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, unspecified occupant of heavy transport vehicle injured in traffic accident",
    "H330": "Retinal detachment with retinal break",
    "H348": "Other retinal vascular occlusions",
    "V680": "Occupant of heavy transport vehicle injured in noncollision transport accident, driver injured in nontraffic accident",
    "Z361": "Antenatal screening for raised alphafetoprotein level",
    "Z368": "Other antenatal screening",
    "Z374": "Twins, both stillborn",
    "Z408": "Other prophylactic surgery",
    "Z409": "Prophylactic surgery, unspecified",
    "Z466": "Fitting and adjustment of urinary device",
    "Z478": "Other specified orthopaedic follow-up care",
    "Z525": "Cornea donor",
    "Z530": "Procedure not carried out because of contraindication",
    "Z543": "Convalescence following psychotherapy",
    "Z547": "Convalescence following combined treatment",
    "Z581": "Exposure to air pollution",
    "Z584": "Exposure to radiation",
    "Z605": "Target of perceived adverse discrimination and persecution",
    "Z62": "Other problems related to upbringing",
    "Z638": "Other specified problems related to primary support group",
    "Z700": "Counselling related to sexual attitude",
    "Z716": "Tobacco abuse counselling",
    "Z726": "Gambling and betting",
    "Z733": "Stress, not elsewhere classified",
    "Z760": "Issue of repeat prescription",
    "Z768": "Persons encountering health services in other specified circumstances",
    "Z800": "Family history of malignant neoplasm of digestive organs",
    "Z81": "Family history of mental and behavioural disorders",
    "Z822": "Family history of deafness and hearing loss",
    "Z832": "Family history of diseases of the blood and blood-forming organs and certain disorders involving the immune mechanism",
    "Z850": "Personal history of malignant neoplasm of digestive organs",
    "Z852": "Personal history of malignant neoplasm of other respiratory and intrathoracic organs",
    "Z418": "Other procedures for purposes other than remedying health state",
    "Z514": "Preparatory care for subsequent treatment, not elsewhere classified",
    "Z614": "Problems related to alleged sexual abuse of child by person within primary support group",
    "Z622": "Institutional upbringing",
    "Z711": "Person with feared complaint in whom no diagnosis is made",
    "T563": "Toxic effect: Cadmium and its compounds",
    "T579": "Toxic effect: Inorganic substance, unspecified",
    "T592": "Toxic effect: Formaldehyde",
    "Q068": "Other specified congenital malformations of spinal cord",
    "Q079": "Congenital malformation of nervous system, unspecified",
    "Q100": "Congenital ptosis",
    "Q113": "Macrophthalmos",
    "Q134": "Other congenital corneal malformations",
    "Q138": "Other congenital malformations of anterior segment of eye",
    "Q160": "Congenital absence of (ear) auricle",
    "Q186": "Macrocheilia",
    "Q22": "Congenital malformations of pulmonary and tricuspid valves",
    "Q221": "Congenital pulmonary valve stenosis",
    "Q225": "Ebstein anomaly",
    "Q256": "Stenosis of pulmonary artery",
    "Q258": "Other congenital malformations of great arteries",
    "Q27": "Other congenital malformations of peripheral vascular system",
    "Q289": "Congenital malformation of circulatory system, unspecified",
    "Q312": "Laryngeal hypoplasia",
    "Q330": "Congenital cystic lung",
    "Q334": "Congenital bronchiectasis",
    "Q34": "Other congenital malformations of respiratory system",
    "Q353": "Cleft soft palate",
    "Q390": "Atresia of oesophagus without fistula",
    "Q441": "Other congenital malformations of gallbladder",
    "Q446": "Cystic disease of liver",
    "Q451": "Annular pancreas",
    "Q458": "Other specified congenital malformations of digestive system",
    "Q526": "Congenital malformation of clitoris",
    "Q530": "Ectopic testis",
    "Q542": "Hypospadias, penoscrotal",
    "Q618": "Other cystic kidney diseases",
    "Q639": "Congenital malformation of kidney, unspecified",
    "Q656": "Unstable hip",
    "Q675": "Congenital deformity of spine",
    "Q688": "Other specified congenital musculoskeletal deformities",
    "Q760": "Spina bifida occulta",
    "Q763": "Congenital scoliosis due to congenital bony malformation",
    "Q794": "Prune belly syndrome",
    "Q812": "Epidermolysis bullosa dystrophica",
    "Q842": "Other congenital malformations of hair",
    "Q849": "Congenital malformation of integument, unspecified",
    "Q890": "Congenital malformations of spleen",
    "Q927": "Triploidy and polyploidy",
    "Q979": "Sex chromosome abnormality, female phenotype, unspecified",
    "Q989": "Sex chromosome abnormality, male phenotype, unspecified",
    "R030": "Elevated blood-pressure reading, without diagnosis of hypertension",
    "R048": "Haemorrhage from other sites in respiratory passages",
    "R21": "Rash and other nonspecific skin eruption",
    "R230": "Cyanosis",
    "H818": "Other disorders of vestibular function",
    "H833": "Noise effects on inner ear",
    "H912": "Sudden idiopathic hearing loss",
    "V872": "Person injured in collision between car and pick-up truck or van (traffic)",
    "S497": "Multiple injuries of shoulder and upper arm",
    "H36": "Retinal disorders in diseases classified elsewhere",
    "H40": "Glaucoma",
    "45548809": "Invalid ICD10 Concept, do not use",
    "O620": "Primary inadequate contractions",
    "O654": "Obstructed labour due to fetopelvic disproportion, unspecified",
    "O678": "Other intrapartum haemorrhage",
    "O680": "Labour and delivery complicated by fetal heart rate anomaly",
    "O709": "Perineal laceration during delivery, unspecified",
    "O710": "Rupture of uterus before onset of labour",
    "O820": "Delivery by elective caesarean section",
    "O864": "Pyrexia of unknown origin following delivery",
    "O891": "Cardiac complications of anaesthesia during the puerperium",
    "O910": "Infection of nipple associated with childbirth",
    "V798": "Bus occupant [any] injured in other specified transport accidents",
    "V800": "Rider or occupant injured by fall from or being thrown from animal or animal-drawn vehicle in noncollision accident",
    "Z871": "Personal history of diseases of the digestive system",
    "M145": "Arthropathies in other endocrine, nutritional and metabolic disorders",
    "M150": "Primary generalized (osteo)arthrosis",
    "M151": "Heberden nodes (with arthropathy)",
    "M159": "Polyarthrosis, unspecified",
    "M160": "Primary coxarthrosis, bilateral",
    "M165": "Other post-traumatic coxarthrosis",
    "M199": "Arthrosis, unspecified",
    "M223": "Other derangements of patella",
    "T599": "Toxic effect: Gases, fumes and vapours, unspecified",
    "T628": "Toxic effect: Other specified noxious substances eaten as food",
    "Z91": "Personal history of risk-factors, not elsewhere classified",
    "Z911": "Personal history of noncompliance with medical treatment and regimen",
    "Z934": "Other artificial openings of gastrointestinal tract status",
    "45553728": "Invalid ICD10 Concept, do not use",
    "R400": "Somnolence",
    "R401": "Stupor",
    "R31": "Unspecified haematuria",
    "T621": "Toxic effect: Ingested berries",
    "Z881": "Personal history of allergy to other antibiotic agents",
    "Z932": "Ileostomy status",
    "Z946": "Bone transplant status",
    "Z952": "Presence of prosthetic heart valve",
    "Z955": "Presence of coronary angioplasty implant and graft",
    "H950": "Recurrent cholesteatoma of postmastoidectomy cavity",
    "I05": "Rheumatic mitral valve diseases",
    "I051": "Rheumatic mitral insufficiency",
    "I080": "Disorders of both mitral and aortic valves",
    "I083": "Combined disorders of mitral, aortic and tricuspid valves",
    "I132": "Hypertensive heart and renal disease with both (congestive) heart failure and renal failure",
    "I221": "Subsequent myocardial infarction of inferior wall",
    "I24": "Other acute ischaemic heart diseases",
    "I250": "Atherosclerotic cardiovascular disease, so described",
    "I259": "Chronic ischaemic heart disease, unspecified",
    "I269": "Pulmonary embolism without mention of acute cor pulmonale",
    "I270": "Primary pulmonary hypertension",
    "I341": "Mitral (valve) prolapse",
    "I398": "Endocarditis, valve unspecified, in diseases classified elsewhere",
    "I43": "Cardiomyopathy in diseases classified elsewhere",
    "I432": "Cardiomyopathy in nutritional diseases",
    "I484": "Atypical atrial flutter",
    "I490": "Ventricular fibrillation and flutter",
    "I491": "Atrial premature depolarization",
    "I51": "Complications and ill-defined descriptions of heart disease",
    "I601": "Subarachnoid haemorrhage from middle cerebral artery",
    "I61": "Intracerebral haemorrhage",
    "R412": "Retrograde amnesia",
    "R438": "Other and unspecified disturbances of smell and taste",
    "R498": "Other and unspecified voice disturbances",
    "R53": "Malaise and fatigue",
    "R61": "Hyperhidrosis",
    "R632": "Polyphagia",
    "R771": "Abnormality of globulin",
    "R848": "Abnormal findings in specimens from respiratory organs and thorax, other abnormal findings",
    "V901": "Accident to watercraft causing drowning and submersion, Passenger ship",
    "R73": "Elevated blood glucose level",
    "R798": "Other specified abnormal findings of blood chemistry",
    "R837": "Abnormal findings in cerebrospinal fluid, Abnormal histological findings",
    "V928": "Water-transport-related drowning and submersion without accident to watercraft, other unpowered watercraft",
    "O985": "Other viral diseases complicating pregnancy, childbirth and the puerperium",
    "O988": "Other maternal infectious and parasitic diseases complicating pregnancy, childbirth and the puerperium",
    "P006": "Fetus and newborn affected by surgical procedure on mother",
    "P108": "Other intracranial lacerations and haemorrhages due to birth injury",
    "H408": "Other glaucoma",
    "H409": "Glaucoma, unspecified",
    "H458": "Other disorders of vitreous body and globe in diseases classified elsewhere",
    "H491": "Fourth [trochlear] nerve palsy",
    "H493": "Total (external) ophthalmoplegia",
    "H498": "Other paralytic strabismus",
    "H499": "Paralytic strabismus, unspecified",
    "H503": "Intermittent heterotropia",
    "H505": "Heterophoria",
    "H511": "Convergence insufficiency and excess",
    "H522": "Astigmatism",
    "H601": "Cellulitis of external ear",
    "H546": "Moderate visual impairment, monocular",
    "H55": "Nystagmus and other irregular eye movements",
    "H580": "Anomalies of pupillary function in diseases classified elsewhere",
    "H598": "Other postprocedural disorders of eye and adnexa",
    "H611": "Noninfective disorders of pinna",
    "H612": "Impacted cerumen",
    "H729": "Perforation of tympanic membrane, unspecified",
    "H812": "Vestibular neuronitis",
    "Q401": "Congenital hiatus hernia",
    "Q45": "Other congenital malformations of digestive system",
    "Q510": "Agenesis and aplasia of uterus",
    "Q524": "Other congenital malformations of vagina",
    "Q540": "Hypospadias, balanic",
    "Q55": "Other congenital malformations of male genital organs",
    "O660": "Obstructed labour due to shoulder dystocia",
    "O68": "Labour and delivery complicated by fetal stress [distress]",
    "O695": "Labour and delivery complicated by vascular lesion of cord",
    "O711": "Rupture of uterus during labour",
    "O714": "Obstetric high vaginal laceration",
    "O721": "Other immediate postpartum haemorrhage",
    "O730": "Retained placenta without haemorrhage",
    "O746": "Other complications of spinal and epidural anaesthesia during labour and delivery",
    "O841": "Multiple delivery, all by forceps and vacuum extractor",
    "O878": "Other venous complications in the puerperium",
    "O892": "Central nervous system complications of anaesthesia during the puerperium",
    "O896": "Failed or difficult intubation during the puerperium",
    "O90": "Complications of the puerperium, not elsewhere classified",
    "S935": "Sprain and strain of toe(s)",
    "L27": "Dermatitis due to substances taken internally",
    "L408": "Other psoriasis",
    "L415": "Retiform parapsoriasis",
    "L430": "Hypertrophic lichen planus",
    "L505": "Cholinergic urticaria",
    "L540": "Erythema marginatum in acute rheumatic fever",
    "L581": "Chronic radiodermatitis",
    "L599": "Disorder of skin and subcutaneous tissue related to radiation, unspecified",
    "L649": "Androgenic alopecia, unspecified",
    "V470": "Car occupant injured in collision with fixed or stationary object, driver injured in nontraffic accident",
    "V471": "Car occupant injured in collision with fixed or stationary object, passenger injured in nontraffic accident",
    "V473": "Car occupant injured in collision with fixed or stationary object, unspecified car occupant injured in nontraffic accident",
    "V484": "Car occupant injured in noncollision transport accident, person injured while boarding or alighting",
    "V493": "Car occupant [any] injured in unspecified nontraffic accident",
    "V509": "Occupant of pick-up truck or van injured in collision with pedestrian or animal, Unspecified occupant of pick-up truck or van injured in traffic accident",
    "V539": "Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, unspecified occupant of pick-up truck or van injured in traffic accident",
    "V541": "Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, passenger injured in nontraffic accident",
    "V586": "Occupant of pick-up truck or van injured in noncollision transport accident, passenger injured in traffic accident",
    "V590": "Driver injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V594": "Driver injured in collision with other and unspecified motor vehicles in traffic accident",
    "L703": "Acne tropica",
    "L738": "Other specified follicular disorders",
    "L811": "Chloasma",
    "L815": "Leukoderma, not elsewhere classified",
    "L891": "Stage II decubitus ulcer",
    "L93": "Lupus erythematosus",
    "L99": "Other disorders of skin and subcutaneous tissue in diseases classified elsewhere",
    "L990": "Amyloidosis of skin",
    "M012": "Arthritis in Lyme disease",
    "T484": "Poisoning: Expectorants",
    "Q558": "Other specified congenital malformations of male genital organs",
    "Q630": "Accessory kidney",
    "Q652": "Congenital dislocation of hip, unspecified",
    "Q654": "Congenital subluxation of hip, bilateral",
    "Q661": "Talipes calcaneovarus",
    "Q672": "Dolichocephaly",
    "Q677": "Pectus carinatum",
    "Q723": "Congenital absence of foot and toe(s)",
    "Q742": "Other congenital malformations of lower limb(s), including pelvic girdle",
    "Q759": "Congenital malformation of skull and face bones, unspecified",
    "Q769": "Congenital malformation of bony thorax, unspecified",
    "Q82": "Other congenital malformations of skin",
    "Q839": "Congenital malformation of breast, unspecified",
    "Q915": "Trisomy 13, mosaicism (mitotic nondisjunction)",
    "Q932": "Chromosome replaced with ring or dicentric",
    "Q950": "Balanced translocation and insertion in normal individual",
    "Q953": "Balanced sex/autosomal rearrangement in abnormal individual",
    "Q959": "Balanced rearrangement and structural marker, unspecified",
    "Q961": "Karyotype 46,X iso (Xq)",
    "Q97": "Other sex chromosome abnormalities, female phenotype, not elsewhere classified",
    "Q999": "Chromosomal abnormality, unspecified",
    "R010": "Benign and innocent cardiac murmurs",
    "R100": "Acute abdomen",
    "45563293": "Invalid ICD10 Concept, do not use",
    "R191": "Abnormal bowel sounds",
    "R234": "Changes in skin texture",
    "R261": "Paralytic gait",
    "R290": "Tetany",
    "R392": "Extrarenal uraemia",
    "R443": "Hallucinations, unspecified",
    "R465": "Suspiciousness and marked evasiveness",
    "R482": "Apraxia",
    "45563313": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45563314": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "V930": "Accident on board watercraft without accident to watercraft, not causing drowning and submersion, merchant ship",
    "H214": "Pupillary membranes",
    "H215": "Other adhesions and disruptions of iris and ciliary body",
    "V642": "Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, person on outside of vehicle injured in nontraffic accident",
    "H302": "Posterior cyclitis",
    "T534": "Toxic effect: Dichloromethane",
    "Z206": "Contact with and exposure to human immunodeficiency virus [HIV]",
    "Z21": "Asymptomatic human immunodeficiency virus [HIV] infection status",
    "Z222": "Carrier of diphtheria",
    "Z237": "Need for immunization against pertussis alone",
    "Z268": "Need for immunization against other specified single infectious diseases",
    "Z272": "Need for immunization against diphtheria-tetanus-pertussis with typhoid-paratyphoid [DTP + TAB]",
    "Z279": "Need for immunization against unspecified combinations of infectious diseases",
    "Z281": "Immunization not carried out because of patient's decision for reasons of belief or group pressure",
    "Z321": "Pregnancy confirmed",
    "Z34": "Supervision of normal pregnancy",
    "Z349": "Supervision of normal pregnancy, unspecified",
    "Z36": "Antenatal screening",
    "Z369": "Antenatal screening, unspecified",
    "Z376": "Other multiple births, some liveborn",
    "Z420": "Follow-up care involving plastic surgery of head and neck",
    "Z429": "Follow-up care involving plastic surgery, unspecified",
    "Z431": "Attention to gastrostomy",
    "Z440": "Fitting and adjustment of artificial arm (complete)(partial)",
    "Z441": "Fitting and adjustment of artificial leg (complete)(partial)",
    "Z470": "Follow-up care involving removal of fracture plate and other internal fixation device",
    "Z314": "Procreative investigation and testing",
    "Z380": "Singleton, born in hospital",
    "Z439": "Attention to unspecified artificial opening",
    "R57": "Shock, not elsewhere classified",
    "V935": "Accident on board watercraft without accident to watercraft, not causing drowning and submersion, canoe or kayak",
    "S729": "Fracture of femur, part unspecified",
    "T255": "Corrosion of first degree of ankle and foot",
    "H402": "Primary angle-closure glaucoma",
    "P002": "Fetus and newborn affected by maternal infectious and parasitic diseases",
    "P005": "Fetus and newborn affected by maternal injury",
    "P020": "Fetus and newborn affected by placenta praevia",
    "P031": "Fetus and newborn affected by other malpresentation, malposition and disproportion during labour and delivery",
    "P034": "Fetus and newborn affected by caesarean delivery",
    "P103": "Subarachnoid haemorrhage due to birth injury",
    "P112": "Unspecified brain damage due to birth injury",
    "P122": "Epicranial subaponeurotic haemorrhage due to birth injury",
    "P148": "Birth injuries to other parts of peripheral nervous system",
    "P155": "Birth injury to external genitalia",
    "P236": "Congenital pneumonia due to other bacterial agents",
    "P26": "Pulmonary haemorrhage originating in the perinatal period",
    "P260": "Tracheobronchial haemorrhage originating in the perinatal period",
    "P27": "Chronic respiratory disease originating in the perinatal period",
    "P271": "Bronchopulmonary dysplasia originating in the perinatal period",
    "P360": "Sepsis of newborn due to streptococcus, group B",
    "P390": "Neonatal infective mastitis",
    "P392": "Intra-amniotic infection of fetus, not elsewhere classified",
    "P505": "Fetal blood loss from cut end of co-twin's cord",
    "P541": "Neonatal melaena",
    "P55": "Haemolytic disease of fetus and newborn",
    "P558": "Other haemolytic diseases of fetus and newborn",
    "P56": "Hydrops fetalis due to haemolytic disease",
    "P582": "Neonatal jaundice due to infection",
    "45558380": "Invalid ICD10 Concept, do not use",
    "P712": "Neonatal hypomagnesaemia",
    "P81": "Other disturbances of temperature regulation of newborn",
    "P819": "Disturbance of temperature regulation of newborn, unspecified",
    "S940": "Injury of lateral plantar nerve",
    "S948": "Injury of other nerves at ankle and foot level",
    "S950": "Injury of dorsal artery of foot",
    "T000": "Superficial injuries involving head with neck",
    "T001": "Superficial injuries involving thorax with abdomen, lower back and pelvis",
    "T008": "Superficial injuries involving other combinations of body regions",
    "T028": "Fractures involving other combinations of body regions",
    "T034": "Dislocations, sprains and strains involving multiple regions of upper limb(s) with lower limb(s)",
    "T098": "Other specified injuries of trunk, level unspecified",
    "T110": "Superficial injury of upper limb, level unspecified",
    "T12": "Fracture of lower limb, level unspecified",
    "T134": "Injury of unspecified blood vessel of lower limb, level unspecified",
    "Z529": "Donor of unspecified organ or tissue",
    "Z542": "Convalescence following chemotherapy",
    "Z560": "Unemployment, unspecified",
    "Z565": "Uncongenial work",
    "Z566": "Other physical and mental strain related to work",
    "Z579": "Occupational exposure to unspecified risk-factor",
    "Z589": "Problem related to physical environment, unspecified",
    "Z599": "Problem related to housing and economic circumstances, unspecified",
    "Z65": "Problems related to other psychosocial circumstances",
    "Z650": "Conviction in civil and criminal proceedings without imprisonment",
    "Z714": "Alcohol abuse counselling and surveillance",
    "Z804": "Family history of malignant neoplasm of genital organs",
    "Z85": "Personal history of malignant neoplasm",
    "45555700": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "M064": "Inflammatory polyarthropathy",
    "S767": "Injury of multiple muscles and tendons at hip and thigh level",
    "I068": "Other rheumatic aortic valve diseases",
    "I072": "Tricuspid stenosis with insufficiency",
    "I088": "Other multiple valve diseases",
    "I15": "Secondary hypertension",
    "I209": "Angina pectoris, unspecified",
    "I22": "Subsequent myocardial infarction",
    "I254": "Coronary artery aneurysm and dissection",
    "I312": "Haemopericardium, not elsewhere classified",
    "I352": "Aortic (valve) stenosis with insufficiency",
    "I370": "Pulmonary valve stenosis",
    "I400": "Infective myocarditis",
    "I42": "Cardiomyopathy",
    "I427": "Cardiomyopathy due to drugs and other external agents",
    "I495": "Sick sinus syndrome",
    "I519": "Heart disease, unspecified",
    "I603": "Subarachnoid haemorrhage from posterior communicating artery",
    "I611": "Intracerebral haemorrhage in hemisphere, cortical",
    "I616": "Intracerebral haemorrhage, multiple localized",
    "I633": "Cerebral infarction due to thrombosis of cerebral arteries",
    "I650": "Occlusion and stenosis of vertebral artery",
    "I651": "Occlusion and stenosis of basilar artery",
    "I688": "Other cerebrovascular disorders in diseases classified elsewhere",
    "T265": "Corrosion of eyelid and periocular area",
    "T266": "Corrosion of cornea and conjunctival sac",
    "T268": "Corrosion of other parts of eye and adnexa",
    "T269": "Corrosion of eye and adnexa, part unspecified",
    "T306": "Corrosion of second degree, body region unspecified",
    "T333": "Superficial frostbite of abdominal wall, lower back and pelvis",
    "T338": "Superficial frostbite of ankle and foot",
    "T365": "Poisoning: Aminoglycosides",
    "T367": "Poisoning: Antifungal antibiotics, systemically used",
    "45558384": "Invalid ICD10 Concept, do not use",
    "P914": "Neonatal cerebral depression",
    "P916": "Hypoxic ischaemic encephalopathy of newborn",
    "P920": "Vomiting in newborn",
    "P94": "Disorders of muscle tone of newborn",
    "Q058": "Sacral spina bifida without hydrocephalus",
    "Q078": "Other specified congenital malformations of nervous system",
    "Q120": "Congenital cataract",
    "Q148": "Other congenital malformations of posterior segment of eye",
    "Q171": "Macrotia",
    "Q219": "Congenital malformation of cardiac septum, unspecified",
    "Q238": "Other congenital malformations of aortic and mitral valves",
    "Q25": "Congenital malformations of great arteries",
    "Q251": "Coarctation of aorta",
    "Q265": "Anomalous portal venous connection",
    "Q274": "Congenital phlebectasia",
    "Q281": "Other malformations of precerebral vessels",
    "Q288": "Other specified congenital malformations of circulatory system",
    "Q309": "Congenital malformation of nose, unspecified",
    "Q370": "Cleft hard palate with bilateral cleft lip",
    "Q386": "Other congenital malformations of mouth",
    "Q388": "Other congenital malformations of pharynx",
    "Q411": "Congenital absence, atresia and stenosis of jejunum",
    "Q42": "Congenital absence, atresia and stenosis of large intestine",
    "Q445": "Other congenital malformations of bile ducts",
    "Q502": "Congenital torsion of ovary",
    "Q505": "Embryonic cyst of broad ligament",
    "Q519": "Congenital malformation of uterus and cervix, unspecified",
    "Q541": "Hypospadias, penile",
    "Q612": "Polycystic kidney, autosomal dominant",
    "Q649": "Congenital malformation of urinary system, unspecified",
    "T139": "Unspecified injury of lower limb, level unspecified",
    "M088": "Other juvenile arthritis",
    "V689": "Occupant of heavy transport vehicle injured in noncollision transport accident, unspecified occupant of heavy transport vehicle injured in traffic accident",
    "V696": "Unspecified occupant of heavy transport vehicle injured in collision with other and unspecified motor vehicles in traffic accident",
    "V699": "Occupant [any] of heavy transport vehicle injured in unspecified traffic accident",
    "M139": "Arthritis, unspecified",
    "Q681": "Congenital deformity of hand",
    "T296": "Corrosions of multiple regions, no more than second-degree corrosions mentioned",
    "T318": "Burns involving 80-89% of body surface",
    "T328": "Corrosions involving 80-89% of body surface",
    "T330": "Superficial frostbite of head",
    "R570": "Cardiogenic shock",
    "R591": "Generalized enlarged lymph nodes",
    "R599": "Enlarged lymph nodes, unspecified",
    "R633": "Feeding difficulties and mismanagement",
    "R760": "Raised antibody titre",
    "R85": "Abnormal findings in specimens from digestive organs and abdominal cavity",
    "R875": "Abnormal findings in specimens from female genital organs, abnormal microbiological findings",
    "R631": "Polydipsia",
    "S007": "Multiple superficial injuries of head",
    "S008": "Superficial injury of other parts of head",
    "R946": "Abnormal results of thyroid function studies",
    "S741": "Injury of femoral nerve at hip and thigh level",
    "H43": "Disorders of vitreous body",
    "H445": "Degenerated conditions of globe",
    "H492": "Sixth [abducent] nerve palsy",
    "H519": "Disorder of binocular movement, unspecified",
    "H523": "Anisometropia and aniseikonia",
    "H531": "Subjective visual disturbances",
    "H534": "Visual field defects",
    "H535": "Colour vision deficiencies",
    "H539": "Visual disturbance, unspecified",
    "Q727": "Split foot",
    "Q785": "Metaphyseal dysplasia",
    "Q791": "Other congenital malformations of diaphragm",
    "Q823": "Incontinentia pigmenti",
    "Q848": "Other specified congenital malformations of integument",
    "Q872": "Congenital malformation syndromes predominantly involving limbs",
    "Q891": "Congenital malformations of adrenal gland",
    "Q898": "Other specified congenital malformations",
    "Q933": "Deletion of short arm of chromosome 4",
    "Q962": "Karyotype 46,X with abnormal sex chromosome, except iso (Xq)",
    "Q973": "Female with 46,XY karyotype",
    "Q987": "Male with sex chromosome mosaicism",
    "R072": "Precordial pain",
    "R101": "Pain localized to upper abdomen",
    "R104": "Other and unspecified abdominal pain",
    "R201": "Hypoaesthesia of skin",
    "R202": "Paraesthesia of skin",
    "R23": "Other skin changes",
    "R232": "Flushing",
    "R253": "Fasciculation",
    "R42": "Dizziness and giddiness",
    "R440": "Auditory hallucinations",
    "R458": "Other symptoms and signs involving emotional state",
    "R460": "Very low level of personal hygiene",
    "R50": "Fever of other and unknown origin",
    "R522": "Other chronic pain",
    "R54": "Senility",
    "R55": "Syncope and collapse",
    "R609": "Oedema, unspecified",
    "R64": "Cachexia",
    "45568147": "Invalid ICD10 Concept, do not use",
    "R75": "Laboratory evidence of human immunodeficiency virus [HIV]",
    "Q963": "Mosaicism, 45,X/46,XX or XY",
    "Q964": "Mosaicism, 45,X/other cell line(s) with abnormal sex chromosome",
    "R634": "Abnormal weight loss",
    "R740": "Elevation of levels of transaminase and lactic acid dehydrogenase [LDH]",
    "45568109": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "T375": "Poisoning: Antiviral drugs",
    "S024": "Fracture of malar and maxillary bones",
    "I77": "Other disorders of arteries and arterioles",
    "I798": "Other disorders of arteries, arterioles and capillaries in diseases classified elsewhere",
    "I841": "Internal hemorrhoids with other complications",
    "45562419": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "I87": "Other disorders of veins",
    "I950": "Idiopathic hypotension",
    "I978": "Other postprocedural disorders of circulatory system, not elsewhere classified",
    "I981": "Cardiovascular disorders in other infectious and parasitic diseases classified elsewhere",
    "H543": "Mild or no visual impairment, binocular",
    "H618": "Other specified disorders of external ear",
    "H651": "Other acute nonsuppurative otitis media",
    "Q650": "Congenital dislocation of hip, unilateral",
    "Q655": "Congenital subluxation of hip, unspecified",
    "Q658": "Other congenital deformities of hip",
    "Q666": "Other congenital valgus deformities of feet",
    "Q676": "Pectus excavatum",
    "Q685": "Congenital bowing of long bones of leg, unspecified",
    "Q690": "Accessory finger(s)",
    "Q726": "Longitudinal reduction defect of fibula",
    "Q781": "Polyostotic fibrous dysplasia",
    "Q80": "Congenital ichthyosis",
    "Q81": "Epidermolysis bullosa",
    "Q833": "Accessory nipple",
    "Q89": "Other congenital malformations, not elsewhere classified",
    "Q897": "Multiple congenital malformations, not elsewhere classified",
    "Q912": "Trisomy 18, translocation",
    "Q917": "Patau syndrome, unspecified",
    "Q921": "Whole chromosome trisomy, mosaicism (mitotic nondisjunction)",
    "Q928": "Other specified trisomies and partial trisomies of autosomes",
    "Q981": "Klinefelter syndrome, male with more than two X chromosomes",
    "R002": "Palpitations",
    "R049": "Haemorrhage from respiratory passages, unspecified",
    "R060": "Dyspnoea",
    "R074": "Chest pain, unspecified",
    "R092": "Respiratory arrest",
    "45558457": "Invalid ICD10 Concept, do not use",
    "R162": "Hepatomegaly with splenomegaly, not elsewhere classified",
    "R198": "Other specified symptoms and signs involving the digestive system and abdomen",
    "T185": "Foreign body in anus and rectum",
    "T211": "Burn of first degree of trunk",
    "S87": "Crushing injury of lower leg",
    "I018": "Other acute rheumatic heart disease",
    "I06": "Rheumatic aortic valve diseases",
    "I12": "Hypertensive renal disease",
    "I159": "Secondary hypertension, unspecified",
    "I240": "Coronary thrombosis not resulting in myocardial infarction",
    "I258": "Other forms of chronic ischaemic heart disease",
    "I260": "Pulmonary embolism with mention of acute cor pulmonale",
    "I28": "Other diseases of pulmonary vessels",
    "I30": "Acute pericarditis",
    "I300": "Acute nonspecific idiopathic pericarditis",
    "I318": "Other specified diseases of pericardium",
    "I362": "Nonrheumatic tricuspid (valve) stenosis with insufficiency",
    "I422": "Other hypertrophic cardiomyopathy",
    "I445": "Left posterior fascicular block",
    "I461": "Sudden cardiac death, so described",
    "45567164": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S808": "Other superficial injuries of lower leg",
    "S818": "Open wound of other parts of lower leg",
    "I982": "Oesophageal varices without bleeding in diseases classified elsewhere",
    "I99": "Other and unspecified disorders of circulatory system",
    "J00": "Acute nasopharyngitis [common cold]",
    "J028": "Acute pharyngitis due to other specified organisms",
    "J038": "Acute tonsillitis due to other specified organisms",
    "J042": "Acute laryngotracheitis",
    "J060": "Acute laryngopharyngitis",
    "J069": "Acute upper respiratory infection, unspecified",
    "J154": "Pneumonia due to other streptococci",
    "J181": "Lobar pneumonia, unspecified",
    "J182": "Hypostatic pneumonia, unspecified",
    "J208": "Acute bronchitis due to other specified organisms",
    "J209": "Acute bronchitis, unspecified",
    "J211": "Acute bronchiolitis due to human metapneumovirus",
    "J330": "Polyp of nasal cavity",
    "S048": "Injury of other cranial nerves",
    "R402": "Coma, unspecified",
    "R410": "Disorientation, unspecified",
    "R462": "Strange and inexplicable behaviour",
    "R471": "Dysarthria and anarthria",
    "R490": "Dysphonia",
    "R51": "Headache",
    "45558475": "Invalid ICD10 Concept, do not use",
    "R682": "Dry mouth, unspecified",
    "R69": "Unknown and unspecified causes of morbidity",
    "R873": "Abnormal findings in specimens from female genital organs, abnormal level of substances chiefly nonmedicinal as to source",
    "R876": "Abnormal findings in specimens from female genital organs, abnormal cytological findings",
    "R790": "Abnormal level of blood mineral",
    "R838": "Abnormal findings in cerebrospinal fluid, Other abnormal findings",
    "T887": "Unspecified adverse effect of drug or medicament",
    "T845": "Infection and inflammatory reaction due to internal joint prosthesis",
    "T852": "Mechanical complication of intraocular lens",
    "T885": "Other complications of anaesthesia",
    "T908": "Sequelae of other specified injuries of head",
    "T941": "Sequelae of injuries, not specified by body region",
    "T959": "Sequelae of unspecified burn, corrosion and frostbite",
    "45556310": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45556311": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "V011": "Pedestrian injured in collision with pedal cycle, Traffic accident",
    "I471": "Supraventricular tachycardia",
    "I500": "Congestive heart failure",
    "I517": "Cardiomegaly",
    "I60": "Subarachnoid haemorrhage",
    "I612": "Intracerebral haemorrhage in hemisphere, unspecified",
    "I660": "Occlusion and stenosis of middle cerebral artery",
    "R769": "Abnormal immunological finding in serum, unspecified",
    "R782": "Finding of cocaine in blood",
    "R948": "Abnormal results of function studies of other organs and systems",
    "R80": "Isolated proteinuria",
    "R937": "Abnormal findings on diagnostic imaging of other parts of musculoskeletal system",
    "R944": "Abnormal results of kidney function studies",
    "T39": "Poisoning by nonopioid analgesics, antipyretics and antirheumatics",
    "T390": "Poisoning: Salicylates",
    "S064": "Epidural haemorrhage",
    "45561462": "Invalid ICD10 Concept, do not use",
    "X75": "Intentional self-harm by explosive material",
    "Y01": "Assault by pushing from high place",
    "Y09": "Assault by unspecified means",
    "H70": "Mastoiditis and related conditions",
    "H701": "Chronic mastoiditis",
    "H71": "Cholesteatoma of middle ear",
    "H739": "Disorder of tympanic membrane, unspecified",
    "H741": "Adhesive middle ear disease",
    "H750": "Mastoiditis in infectious and parasitic diseases classified elsewhere",
    "H808": "Other otosclerosis",
    "H940": "Acoustic neuritis in infectious and parasitic diseases classified elsewhere",
    "I011": "Acute rheumatic endocarditis",
    "I151": "Hypertension secondary to other renal disorders",
    "I230": "Haemopericardium as current complication following acute myocardial infarction",
    "I278": "Other specified pulmonary heart diseases",
    "I280": "Arteriovenous fistula of pulmonary vessels",
    "I378": "Other pulmonary valve disorders",
    "I46": "Cardiac arrest",
    "I614": "Intracerebral haemorrhage in cerebellum",
    "I615": "Intracerebral haemorrhage, intraventricular",
    "F068": "Other specified mental disorders due to brain damage and dysfunction and to physical disease",
    "45557156": "Invalid ICD10 Concept, do not use",
    "45557157": "Invalid ICD10 Concept, do not use",
    "F109": "Mental and behavioural disorders due to use of alcohol, Unspecified mental and behavioural disorder",
    "45557161": "Invalid ICD10 Concept, do not use",
    "F121": "Mental and behavioural disorders due to use of cannabinoids, harmful use",
    "45557166": "Invalid ICD10 Concept, do not use",
    "45557179": "Invalid ICD10 Concept, do not use",
    "45557180": "Invalid ICD10 Concept, do not use",
    "45557181": "Invalid ICD10 Concept, do not use",
    "F184": "Mental and behavioural disorders due to use of volatile solvents, withdrawal state with delirium",
    "45557188": "Invalid ICD10 Concept, do not use",
    "F192": "Mental and behavioural disorders due to multiple drug use and use of other psychoactive substances, dependence syndrome",
    "45557190": "Invalid ICD10 Concept, do not use",
    "S907": "Multiple superficial injuries of ankle and foot",
    "T406": "Poisoning: Other and unspecified narcotics",
    "T414": "Poisoning: Anaesthetic, unspecified",
    "T422": "Poisoning: Succinimides and oxazolidinediones",
    "T423": "Poisoning: Barbiturates",
    "T427": "Poisoning: Antiepileptic and sedative-hypnotic drugs, unspecified",
    "T428": "Poisoning: Antiparkinsonism drugs and other central muscle-tone depressants",
    "T430": "Poisoning: Tricyclic and tetracyclic antidepressants",
    "J342": "Deviated nasal septum",
    "J383": "Other diseases of vocal cords",
    "J385": "Laryngeal spasm",
    "J390": "Retropharyngeal and parapharyngeal abscess",
    "J391": "Other abscess of pharynx",
    "J398": "Other specified diseases of upper respiratory tract",
    "J438": "Other emphysema",
    "J459": "Asthma, unspecified",
    "J638": "Pneumoconiosis due to other specified inorganic dusts",
    "J64": "Unspecified pneumoconiosis",
    "45562455": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "J662": "Cannabinosis",
    "J683": "Other acute and subacute respiratory conditions due to chemicals, gases, fumes and vapours",
    "J700": "Acute pulmonary manifestations due to radiation",
    "J94": "Other pleural conditions",
    "J980": "Diseases of bronchus, not elsewhere classified",
    "K000": "Anodontia",
    "K039": "Disease of hard tissues of teeth, unspecified",
    "K054": "Periodontosis",
    "K062": "Gingival and edentulous alveolar ridge lesions associated with trauma",
    "K090": "Developmental odontogenic cysts",
    "K295": "Chronic gastritis, unspecified",
    "K440": "Diaphragmatic hernia with obstruction, without gangrene",
    "K460": "Unspecified abdominal hernia with obstruction, without gangrene",
    "K509": "Crohn disease, unspecified",
    "K521": "Toxic gastroenteritis and colitis",
    "K552": "Angiodysplasia of colon",
    "K559": "Vascular disorder of intestine, unspecified",
    "K566": "Other and unspecified intestinal obstruction",
    "K571": "Diverticular disease of small intestine without perforation or abscess",
    "K63": "Other diseases of intestine",
    "K630": "Abscess of intestine",
    "K639": "Disease of intestine, unspecified",
    "K671": "Gonococcal peritonitis",
    "K750": "Abscess of liver",
    "T413": "Poisoning: Local anaesthetics",
    "I631": "Cerebral infarction due to embolism of precerebral arteries",
    "R878": "Abnormal findings in specimens from female genital organs, other abnormal findings",
    "R89": "Abnormal findings in specimens from other organs, systems and tissues",
    "45557193": "Invalid ICD10 Concept, do not use",
    "45557194": "Invalid ICD10 Concept, do not use",
    "45557195": "Invalid ICD10 Concept, do not use",
    "45557196": "Invalid ICD10 Concept, do not use",
    "45557197": "Invalid ICD10 Concept, do not use",
    "45557198": "Invalid ICD10 Concept, do not use",
    "F302": "Mania with psychotic symptoms",
    "F322": "Severe depressive episode without psychotic symptoms",
    "F34": "Persistent mood [affective] disorders",
    "F400": "Agoraphobia",
    "F43": "Reaction to severe stress, and adjustment disorders",
    "F448": "Other dissociative [conversion] disorders",
    "F480": "Neurasthenia",
    "F528": "Other sexual dysfunction, not caused by organic disorder or disease",
    "F531": "Severe mental and behavioural disorders associated with the puerperium, not elsewhere classified",
    "F606": "Anxious [avoidant] personality disorder",
    "45557215": "Invalid ICD10 Concept, do not use",
    "45557216": "Invalid ICD10 Concept, do not use",
    "F668": "Other psychosexual development disorders",
    "F798": "Unspecified mental retardation, other impairments of behaviour",
    "F89": "Unspecified disorder of psychological development",
    "N98": "Complications associated with artificial fertilization",
    "O034": "Spontaneous abortion, Incomplete, without complication",
    "O069": "Unspecified abortion, complete or unspecified, without complication",
    "O082": "Embolism following abortion and ectopic and molar pregnancy",
    "45566259": "Invalid ICD10 Concept, do not use",
    "X71": "Intentional self-harm by drowning and submersion",
    "T433": "Poisoning: Phenothiazine antipsychotics and neuroleptics",
    "K759": "Inflammatory liver disease, unspecified",
    "K762": "Central haemorrhagic necrosis of liver",
    "K764": "Peliosis hepatis",
    "K778": "Liver disorders in other diseases classified elsewhere",
    "K823": "Fistula of gallbladder",
    "K871": "Disorders of pancreas in diseases classified elsewhere",
    "S065": "Traumatic subdural haemorrhage",
    "T434": "Poisoning: Butyrophenone and thioxanthene neuroleptics",
    "O240": "Diabetes mellitus in pregnancy: Pre-existing diabetes mellitus, insulin-dependent",
    "O262": "Pregnancy care of habitual aborter",
    "O269": "Pregnancy-related condition, unspecified",
    "O30": "Multiple gestation",
    "S428": "Fracture of other parts of shoulder and upper arm",
    "V119": "Pedal cyclist injured in collision with other pedal cycle, unspecified pedal cyclist injured in traffic accident",
    "V099": "Pedestrian injured in unspecified transport accident",
    "V170": "Pedal cyclist injured in collision with fixed or stationary object, driver injured in nontraffic accident",
    "V244": "Motorcycle rider injured in collision with heavy transport vehicle or bus, driver injured in traffic accident",
    "V254": "Motorcycle rider injured in collision with railway train or railway vehicle, driver injured in traffic accident",
    "V272": "Motorcycle rider injured in collision with fixed or stationary object, unspecified motorcycle rider injured in nontraffic accident",
    "V275": "Motorcycle rider injured in collision with fixed or stationary object, passenger injured in traffic accident",
    "I724": "Aneurysm and dissection of artery of lower extremity",
    "I80": "Phlebitis and thrombophlebitis",
    "I802": "Phlebitis and thrombophlebitis of other deep vessels of lower extremities",
    "I823": "Embolism and thrombosis of renal vein",
    "I83": "Varicose veins of lower extremities",
    "I844": "External hemorrhoids with other complications",
    "I871": "Compression of vein",
    "J050": "Acute obstructive laryngitis [croup]",
    "J219": "Acute bronchiolitis, unspecified",
    "J339": "Nasal polyp, unspecified",
    "J439": "Emphysema, unspecified",
    "T449": "Poisoning: Other and unspecified drugs primarily affecting the autonomic nervous system",
    "T450": "Poisoning: Antiallergic and antiemetic drugs",
    "T452": "Poisoning: Vitamins, not elsewhere classified",
    "S579": "Crushing injury of forearm, part unspecified",
    "K902": "Blind loop syndrome, not elsewhere classified",
    "S433": "Dislocation of other and unspecified parts of shoulder girdle",
    "S436": "Sprain and strain of sternoclavicular joint",
    "F912": "Socialized conduct disorder",
    "G009": "Bacterial meningitis, unspecified",
    "G040": "Acute disseminated encephalitis",
    "G245": "Blepharospasm",
    "G259": "Extrapyramidal and movement disorder, unspecified",
    "G311": "Senile degeneration of brain, not elsewhere classified",
    "G36": "Other acute disseminated demyelination",
    "G404": "Other generalized epilepsy and epileptic syndromes",
    "G419": "Status epilepticus, unspecified",
    "G452": "Multiple and bilateral precerebral artery syndromes",
    "G547": "Phantom limb syndrome without pain",
    "G548": "Other nerve root and plexus disorders",
    "G553": "Nerve root and plexus compressions in other dorsopathies",
    "G589": "Mononeuropathy, unspecified",
    "G619": "Inflammatory polyneuropathy, unspecified",
    "G710": "Muscular dystrophy",
    "G800": "Spastic quadriplegic cerebral palsy",
    "G833": "Monoplegia, unspecified",
    "G934": "Encephalopathy, unspecified",
    "G939": "Disorder of brain, unspecified",
    "G94": "Other disorders of brain in diseases classified elsewhere",
    "45567267": "Invalid ICD10 Concept, do not use",
    "J60": "Coalworker pneumoconiosis",
    "J631": "Bauxite fibrosis (of lung)",
    "J675": "Mushroom-worker lung",
    "Y362": "War operations involving other explosions and fragments",
    "J676": "Maple-bark-stripper lung",
    "J691": "Pneumonitis due to oils and essences",
    "J853": "Abscess of mediastinum",
    "J920": "Pleural plaque with presence of asbestos",
    "J948": "Other specified pleural conditions",
    "J950": "Tracheostomy malfunction",
    "J952": "Acute pulmonary insufficiency following nonthoracic surgery",
    "L10": "Pemphigus",
    "L121": "Cicatricial pemphigoid",
    "L200": "Besnier prurigo",
    "L300": "Nummular dermatitis",
    "L419": "Parapsoriasis, unspecified",
    "L43": "Lichen planus",
    "L44": "Other papulosquamous disorders",
    "L448": "Other specified papulosquamous disorders",
    "L508": "Other urticaria",
    "L509": "Urticaria, unspecified",
    "L620": "Clubbed nail pachydermoperiostosis",
    "L652": "Alopecia mucinosa",
    "L70": "Acne",
    "L744": "Anhidrosis",
    "L751": "Chromhidrosis",
    "L81": "Other disorders of pigmentation",
    "L810": "Postinflammatory hyperpigmentation",
    "L90": "Atrophic disorders of skin",
    "L932": "Other local lupus erythematosus",
    "L989": "Disorder of skin and subcutaneous tissue, unspecified",
    "M015": "Arthritis in other viral diseases classified elsewhere",
    "M052": "Rheumatoid vasculitis",
    "H019": "Inflammation of eyelid, unspecified",
    "S642": "Injury of radial nerve at wrist and hand level",
    "K042": "Pulp degeneration",
    "K044": "Acute apical periodontitis of pulpal origin",
    "K049": "Other and unspecified diseases of pulp and periapical tissues",
    "K101": "Giant cell granuloma, central",
    "K108": "Other specified diseases of jaws",
    "K131": "Cheek and lip biting",
    "K143": "Hypertrophy of tongue papillae",
    "K221": "Ulcer of oesophagus",
    "K290": "Acute haemorrhagic gastritis",
    "K294": "Chronic atrophic gastritis",
    "K310": "Acute dilatation of stomach",
    "K358": "Acute appendicitis, other and unspecified",
    "K400": "Bilateral inguinal hernia, with obstruction, without gangrene",
    "K469": "Unspecified abdominal hernia without obstruction or gangrene",
    "K551": "Chronic vascular disorders of intestine",
    "K567": "Ileus, unspecified",
    "K573": "Diverticular disease of large intestine without perforation or abscess",
    "K632": "Fistula of intestine",
    "K634": "Enteroptosis",
    "K644": "Residual haemorrhoidal skin tags",
    "K645": "Perianal venous thrombosis",
    "K668": "Other specified disorders of peritoneum",
    "K700": "Alcoholic fatty liver",
    "K738": "Other chronic hepatitis, not elsewhere classified",
    "K81": "Cholecystitis",
    "K85": "Acute pancreatitis",
    "K92": "Other diseases of digestive system",
    "T455": "Poisoning: Anticoagulants",
    "S132": "Dislocation of other and unspecified parts of neck",
    "T457": "Poisoning: Anticoagulant antagonists, vitamin K and other coagulants",
    "T462": "Poisoning: Other antidysrhythmic drugs, not elsewhere classified",
    "T227": "Corrosion of third degree of shoulder and upper limb, except wrist and hand",
    "T231": "Burn of first degree of wrist and hand",
    "O364": "Maternal care for intrauterine death",
    "O367": "Maternal care for viable fetus in abdominal pregnancy",
    "V305": "Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, Driver injured in traffic accident",
    "S659": "Injury of unspecified blood vessel at wrist and hand level",
    "T467": "Poisoning: Peripheral vasodilators",
    "T468": "Poisoning: Antivaricose drugs, including sclerosing agents",
    "Y424": "Adverse effects in the therapeutic use of oral contraceptives",
    "Y427": "Adverse effects in the therapeutic use of androgens and anabolic congeners",
    "Y61": "Foreign object accidentally left in body during surgical and medical care",
    "Y632": "Overdose of radiation given during therapy",
    "Y847": "Blood-sampling as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y911": "Moderate alcohol intoxication",
    "Y750": "Neurological devices associated with adverse incidents, diagnostic and monitoring devices",
    "V789": "Bus occupant injured in noncollision transport accident, unspecified bus occupant injured in traffic accident",
    "V790": "Driver injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V802": "Rider or occupant injured in collision with pedal cycle",
    "V824": "Person injured while boarding or alighting from streetcar",
    "S469": "Injury of unspecified muscle and tendon at shoulder and upper arm level",
    "H05": "Disorders of orbit",
    "V423": "Car occupant injured in collision with two- or three-wheeled motor vehicle, unspecified car occupant injured in nontraffic accident",
    "V463": "Car occupant injured in collision with other nonmotor vehicle, unspecified car occupant injured in nontraffic accident",
    "H059": "Disorder of orbit, unspecified",
    "H063": "Other disorders of orbit in diseases classified elsewhere",
    "Y610": "Foreign object accidentally left in body during surgical and medical care during surgical operation",
    "Y617": "Foreign object accidentally left in body during surgical and medical care during removal of catheter or packing",
    "Y641": "Contaminated medical or biological substance, injected or used for immunization",
    "Y832": "Surgical operation with anastomosis, bypass or graft as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Z201": "Contact with and exposure to tuberculosis",
    "Z204": "Contact with and exposure to rubella",
    "L101": "Pemphigus vegetans",
    "L108": "Other pemphigus",
    "L110": "Acquired keratosis follicularis",
    "L111": "Transient acantholytic dermatosis [Grover]",
    "L243": "Irritant contact dermatitis due to cosmetics",
    "L25": "Unspecified contact dermatitis",
    "M120": "Chronic postrheumatic arthropathy [Jaccoud]",
    "M158": "Other polyarthrosis",
    "M163": "Other dysplastic coxarthrosis",
    "M170": "Primary gonarthrosis, bilateral",
    "H50": "Other strabismus",
    "H51": "Other disorders of binocular movement",
    "H518": "Other specified disorders of binocular movement",
    "V864": "Person injured while boarding or alighting from all-terrain or other off-road motor vehicle",
    "V892": "Person injured in unspecified motor-vehicle accident, traffic",
    "H132": "Conjunctivitis in other diseases classified elsewhere",
    "H15": "Disorders of sclera",
    "H160": "Corneal ulcer",
    "T267": "Corrosion with resulting rupture and destruction of eyeball",
    "T280": "Burn of mouth and pharynx",
    "Z203": "Contact with and exposure to rabies",
    "Z280": "Immunization not carried out because of contraindication",
    "Z357": "Supervision of high-risk pregnancy due to social problems",
    "Z379": "Outcome of delivery, unspecified",
    "Z448": "Fitting and adjustment of other external prosthetic devices",
    "Z531": "Procedure not carried out because of patient's decision for reasons of belief and group pressure",
    "Z56": "Problems related to employment and unemployment",
    "Z588": "Other problems related to physical environment",
    "Z590": "Homelessness",
    "Z603": "Acculturation difficulty",
    "Z616": "Problems related to alleged physical abuse of child",
    "Z635": "Disruption of family by separation and divorce",
    "Z643": "Seeking and accepting behavioural and psychological interventions known to be hazardous and harmful",
    "Z651": "Imprisonment and other incarceration",
    "Z715": "Drug abuse counselling and surveillance",
    "Z719": "Counselling, unspecified",
    "Z723": "Lack of physical exercise",
    "Z753": "Unavailability and inaccessibility of health-care facilities",
    "M204": "Other hammer toe(s) (acquired)",
    "Z419": "Procedure for purposes other than remedying health state, unspecified",
    "Z654": "Victim of crime and terrorism",
    "M148": "Arthropathies in other specified diseases classified elsewhere",
    "M183": "Other post-traumatic arthrosis of first carpometacarpal joint",
    "T443": "Poisoning: Other parasympatholytics [anticholinergics and antimuscarinics] and spasmolytics, not elsewhere classified",
    "T444": "Poisoning: Predominantly alpha-adrenoreceptor agonists, not elsewhere classified",
    "Y630": "Excessive amount of blood or other fluid given during transfusion or infusion",
    "Y650": "Mismatched blood used in transfusion",
    "M940": "Chondrocostal junction syndrome [Tietze]",
    "M954": "Acquired deformity of chest and rib",
    "Y433": "Adverse effects in the therapeutic use of other antineoplastic drugs",
    "Y479": "Adverse effects in the therapeutic use of sedative, hypnotic and antianxiety drug, unspecified",
    "Y482": "Adverse effects in the therapeutic use of other and unspecified general anaesthetics",
    "Y490": "Adverse effects in the therapeutic use of tricyclic and tetracyclic antidepressants",
    "M998": "Other biomechanical lesions",
    "N038": "Chronic nephritic syndrome, other",
    "N05": "Unspecified nephritic syndrome",
    "N06": "Isolated proteinuria with specified morphological lesion",
    "N085": "Glomerular disorders in systemic connective tissue disorders",
    "N088": "Glomerular disorders in other diseases classified elsewhere",
    "N135": "Kinking and stricture of ureter without hydronephrosis",
    "G454": "Transient global amnesia",
    "G527": "Disorders of multiple cranial nerves",
    "G551": "Nerve root and plexus compressions in intervertebral disc disorders",
    "G558": "Nerve root and plexus compressions in other diseases classified elsewhere",
    "G560": "Carpal tunnel syndrome",
    "G578": "Other mononeuropathies of lower limb",
    "G588": "Other specified mononeuropathies",
    "G629": "Polyneuropathy, unspecified",
    "G633": "Polyneuropathy in other endocrine and metabolic diseases",
    "G723": "Periodic paralysis",
    "G823": "Flaccid tetraplegia",
    "G960": "Cerebrospinal fluid leak",
    "G961": "Disorders of meninges, not elsewhere classified",
    "G990": "Autonomic neuropathy in endocrine and metabolic diseases",
    "T214": "Corrosion of unspecified degree of trunk",
    "V587": "Occupant of pick-up truck or van injured in noncollision transport accident, person on outside of vehicle injured in traffic accident",
    "O624": "Hypertonic, incoordinate, and prolonged uterine contractions",
    "O630": "Prolonged first stage (of labour)",
    "O645": "Obstructed labour due to compound presentation",
    "O648": "Obstructed labour due to other malposition and malpresentation",
    "O651": "Obstructed labour due to generally contracted pelvis",
    "O659": "Obstructed labour due to maternal pelvic abnormality, unspecified",
    "O662": "Obstructed labour due to unusually large fetus",
    "O45": "Premature separation of placenta [abruptio placentae]",
    "H25": "Senile cataract",
    "H252": "Senile cataract, morgagnian type",
    "H263": "Drug-induced cataract",
    "H32": "Chorioretinal disorders in diseases classified elsewhere",
    "V671": "Occupant of heavy transport vehicle injured in collision with fixed or stationary object, passenger injured in nontraffic accident",
    "V681": "Occupant of heavy transport vehicle injured in noncollision transport accident, passenger injured in nontraffic accident",
    "V698": "Occupant [any] of heavy transport vehicle injured in other specified transport accidents",
    "T337": "Superficial frostbite of knee and lower leg",
    "H743": "Other acquired abnormalities of ear ossicles",
    "Q803": "Congenital bullous ichthyosiform erythroderma",
    "Q809": "Congenital ichthyosis, unspecified",
    "Q810": "Epidermolysis bullosa simplex",
    "Q811": "Epidermolysis bullosa letalis",
    "Q818": "Other epidermolysis bullosa",
    "Q822": "Mastocytosis",
    "Q830": "Congenital absence of breast with absent nipple",
    "Q858": "Other phakomatoses, not elsewhere classified",
    "Q868": "Other congenital malformation syndromes due to known exogenous causes",
    "Q870": "Congenital malformation syndromes predominantly affecting facial appearance",
    "Q92": "Other trisomies and partial trisomies of the autosomes, not elsewhere classified",
    "R012": "Other cardiac sounds",
    "R17": "Unspecified jaundice",
    "R196": "Halitosis",
    "R200": "Anaesthesia of skin",
    "R203": "Hyperaesthesia",
    "R296": "Tendency to fall, not elsewhere classified",
    "R298": "Other and unspecified symptoms and signs involving the nervous and musculoskeletal systems",
    "R33": "Retention of urine",
    "45587509": "Invalid ICD10 Concept, do not use",
    "R39": "Other symptoms and signs involving the urinary system",
    "R461": "Bizarre personal appearance",
    "R468": "Other symptoms and signs involving appearance and behaviour",
    "R579": "Shock, unspecified",
    "R610": "Localized hyperhidrosis",
    "R748": "Abnormal levels of other serum enzymes",
    "R784": "Finding of other drugs of addictive potential in blood",
    "V924": "Water-transport-related drowning and submersion without accident to watercraft, sailboat",
    "R195": "Other faecal abnormalities",
    "R79": "Other abnormal findings of blood chemistry",
    "R834": "Abnormal findings in cerebrospinal fluid, Abnormal immunological findings",
    "V99": "Unspecified transport accident",
    "W15": "Fall from cliff",
    "T291": "Burns of multiple regions, no more than first-degree burns mentioned",
    "T304": "Corrosion of unspecified body region, unspecified degree",
    "T312": "Burns involving 20-29% of body surface",
    "T313": "Burns involving 30-39% of body surface",
    "T317": "Burns involving 70-79% of body surface",
    "T332": "Superficial frostbite of thorax",
    "T336": "Superficial frostbite of hip and thigh",
    "T354": "Unspecified frostbite of upper limb",
    "T360": "Poisoning: Penicillins",
    "M254": "Effusion of joint",
    "M321": "Systemic lupus erythematosus with organ or system involvement",
    "M350": "Sicca syndrome [Sjögren]",
    "M41": "Scoliosis",
    "M430": "Spondylolysis",
    "T566": "Toxic effect: Tin and its compounds",
    "T590": "Toxic effect: Nitrogen oxides",
    "Z833": "Family history of diabetes mellitus",
    "Z923": "Personal history of irradiation",
    "Z980": "Intestinal bypass and anastomosis status",
    "A048": "Other specified bacterial intestinal infections",
    "A058": "Other specified bacterial foodborne intoxications",
    "A082": "Adenoviral enteritis",
    "A162": "Tuberculosis of lung, without mention of bacteriological or histological confirmation",
    "A168": "Other respiratory tuberculosis, without mention of bacteriological or histological confirmation",
    "Z880": "Personal history of allergy to penicillin",
    "Z886": "Personal history of allergy to analgesic agent",
    "S217": "Multiple open wounds of thoracic wall",
    "S233": "Sprain and strain of thoracic spine",
    "Y830": "Surgical operation with transplant of whole organ as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y833": "Surgical operation with formation of external stoma as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y871": "Sequelae of assault",
    "Y902": "Blood alcohol level of 40-59 mg/100 ml",
    "Y913": "Very severe alcohol intoxication",
    "Z017": "Laboratory examination",
    "M202": "Hallux rigidus",
    "Y883": "Sequelae of surgical and medical procedures as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "T478": "Poisoning: Other agents primarily affecting the gastrointestinal system",
    "H042": "Epiphora",
    "H048": "Other disorders of lacrimal system",
    "N158": "Other specified renal tubulo-interstitial diseases",
    "N161": "Renal tubulo-interstitial disorders in neoplastic diseases",
    "N165": "Renal tubulo-interstitial disorders in transplant rejection",
    "N179": "Acute renal failure, unspecified",
    "N200": "Calculus of kidney",
    "N218": "Other lower urinary tract calculus",
    "N220": "Urinary calculus in schistosomiasis [bilharziasis]",
    "N250": "Renal osteodystrophy",
    "N251": "Nephrogenic diabetes insipidus",
    "N270": "Small kidney, unilateral",
    "N303": "Trigonitis",
    "N311": "Reflex neuropathic bladder, not elsewhere classified",
    "N320": "Bladder-neck obstruction",
    "N368": "Other specified disorders of urethra",
    "N39": "Other disorders of urinary system",
    "N48": "Other disorders of penis",
    "N481": "Balanoposthitis",
    "N510": "Disorders of prostate in diseases classified elsewhere",
    "N609": "Benign mammary dysplasia, unspecified",
    "N648": "Other specified disorders of breast",
    "N701": "Chronic salpingitis and oophoritis",
    "N735": "Female pelvic peritonitis, unspecified",
    "N778": "Vulvovaginal ulceration and inflammation in other diseases classified elsewhere",
    "N802": "Endometriosis of fallopian tube",
    "N808": "Other endometriosis",
    "N813": "Complete uterovaginal prolapse",
    "N818": "Other female genital prolapse",
    "N841": "Polyp of cervix uteri",
    "N870": "Mild cervical dysplasia",
    "N872": "Severe cervical dysplasia, not elsewhere classified",
    "N889": "Noninflammatory disorder of cervix uteri, unspecified",
    "N900": "Mild vulvar dysplasia",
    "N950": "Postmenopausal bleeding",
    "O011": "Incomplete and partial hydatidiform mole",
    "O021": "Missed abortion",
    "O029": "Abnormal product of conception, unspecified",
    "O046": "Medical abortion, complete or unspecified, complicated by delayed or excessive haemorrhage",
    "45567825": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "V634": "Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, person injured while boarding or alighting",
    "V674": "Occupant of heavy transport vehicle injured in collision with fixed or stationary object, person injured while boarding or alighting",
    "V675": "Occupant of heavy transport vehicle injured in collision with fixed or stationary object, driver injured in traffic accident",
    "V702": "Bus occupant injured in collision with pedestrian or animal, Person on outside of vehicle injured in nontraffic accident",
    "O749": "Complication of anaesthesia during labour and delivery, unspecified",
    "O832": "Other manipulation-assisted delivery",
    "O833": "Delivery of viable fetus in abdominal pregnancy",
    "H430": "Vitreous prolapse",
    "45562259": "Invalid ICD10 Concept, do not use",
    "H471": "Papilloedema, unspecified",
    "H476": "Disorders of visual cortex",
    "O883": "Obstetric pyaemic and septic embolism",
    "O901": "Disruption of perineal obstetric wound",
    "O982": "Gonorrhoea complicating pregnancy, childbirth and the puerperium",
    "O989": "Unspecified maternal infectious or parasitic disease complicating pregnancy, childbirth and the puerperium",
    "O991": "Other diseases of the blood and blood-forming organs and certain disorders involving the immune mechanism complicating pregnancy, childbirth and the puerperium",
    "T340": "Frostbite with tissue necrosis of head",
    "S749": "Injury of unspecified nerve at hip and thigh level",
    "S760": "Injury of muscle and tendon of hip",
    "R845": "Abnormal findings in specimens from respiratory organs and thorax, abnormal microbiological findings",
    "R855": "Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal microbiological findings",
    "R868": "Abnormal findings in specimens from male genital organs, other abnormal findings",
    "R899": "Abnormal findings in specimens from other organs, systems and tissues, unspecified abnormal finding",
    "R933": "Abnormal findings on diagnostic imaging of other parts of digestive tract",
    "H958": "Other postprocedural disorders of ear and mastoid process",
    "I092": "Chronic rheumatic pericarditis",
    "I099": "Rheumatic heart disease, unspecified",
    "I200": "Unstable angina",
    "I211": "Acute transmural myocardial infarction of inferior wall",
    "I313": "Pericardial effusion (noninflammatory)",
    "I321": "Pericarditis in other infectious and parasitic diseases classified elsewhere",
    "I360": "Nonrheumatic tricuspid (valve) stenosis",
    "I37": "Pulmonary valve disorders",
    "I420": "Dilated cardiomyopathy",
    "I425": "Other restrictive cardiomyopathy",
    "I447": "Left bundle-branch block, unspecified",
    "I451": "Other and unspecified right bundle-branch block",
    "I452": "Bifascicular block",
    "I472": "Ventricular tachycardia",
    "I604": "Subarachnoid haemorrhage from basilar artery",
    "I632": "Cerebral infarction due to unspecified occlusion or stenosis of precerebral arteries",
    "I659": "Occlusion and stenosis of unspecified precerebral artery",
    "I679": "Cerebrovascular disease, unspecified",
    "S232": "Dislocation of other and unspecified parts of thorax",
    "S268": "Other injuries of heart",
    "S277": "Multiple injuries of intrathoracic organs",
    "A201": "Cellulocutaneous plague",
    "A207": "Septicaemic plague",
    "A219": "Tularaemia, unspecified",
    "A238": "Other brucellosis",
    "A244": "Melioidosis, unspecified",
    "A27": "Leptospirosis",
    "A302": "Borderline tuberculoid leprosy",
    "A399": "Meningococcal infection, unspecified",
    "A408": "Other streptococcal sepsis",
    "A411": "Sepsis due to other specified staphylococcus",
    "A413": "Sepsis due to Haemophilus influenzae",
    "A431": "Cutaneous nocardiosis",
    "A439": "Nocardiosis, unspecified",
    "A46": "Erysipelas",
    "A480": "Gas gangrene",
    "A49": "Bacterial infection of unspecified site",
    "A504": "Late congenital neurosyphilis [juvenile neurosyphilis]",
    "A528": "Late syphilis, latent",
    "A60": "Anogenital herpesviral [herpes simplex] infection",
    "A609": "Anogenital herpesviral infection, unspecified",
    "M433": "Recurrent atlantoaxial subluxation with myelopathy",
    "M48": "Other spondylopathies",
    "M229": "Disorder of patella, unspecified",
    "M234": "Loose body in knee",
    "M242": "Disorder of ligament",
    "M244": "Recurrent dislocation and subluxation of joint",
    "M302": "Juvenile polyarteritis",
    "M303": "Mucocutaneous lymph node syndrome [Kawasaki]",
    "M355": "Multifocal fibrosclerosis",
    "M401": "Other secondary kyphosis",
    "T494": "Poisoning: Keratolytics, keratoplastics and other hair treatment drugs and preparations",
    "T501": "Poisoning: Loop [high-ceiling] diuretics",
    "Z115": "Special screening examination for other viral diseases",
    "Z12": "Special screening examination for neoplasms",
    "Z223": "Carrier of other specified bacterial diseases",
    "Z225": "Carrier of viral hepatitis",
    "Z23": "Need for immunization against single bacterial diseases",
    "Z244": "Need for immunization against measles alone",
    "O087": "Other venous complications following abortion and ectopic and molar pregnancy",
    "O048": "Medical abortion, complete or unspecified, with other and unspecified complications",
    "Z080": "Follow-up examination after surgery for malignant neoplasm",
    "Z087": "Follow-up examination after combined treatment for malignant neoplasm",
    "Z354": "Supervision of pregnancy with grand multiparity",
    "Z382": "Singleton, unspecified as to place of birth",
    "Z390": "Care and examination immediately after delivery",
    "Z435": "Attention to cystostomy",
    "O152": "Eclampsia in the puerperium",
    "O159": "Eclampsia, unspecified as to time period",
    "O212": "Late vomiting of pregnancy",
    "O221": "Genital varices in pregnancy",
    "H102": "Other acute conjunctivitis",
    "H103": "Acute conjunctivitis, unspecified",
    "H210": "Hyphaema",
    "V785": "Bus occupant injured in noncollision transport accident, driver injured in traffic accident",
    "V793": "Bus occupant [any] injured in unspecified nontraffic accident",
    "O998": "Other specified diseases and conditions complicating pregnancy, childbirth and the puerperium",
    "P038": "Fetus and newborn affected by other specified complications of labour and delivery",
    "P045": "Fetus and newborn affected by maternal use of nutritional chemical substances",
    "P050": "Light for gestational age",
    "P10": "Intracranial laceration and haemorrhage due to birth injury",
    "P129": "Birth injury to scalp, unspecified",
    "P143": "Other brachial plexus birth injuries",
    "P151": "Birth injury to spleen",
    "P211": "Mild and moderate birth asphyxia",
    "P238": "Congenital pneumonia due to other organisms",
    "P28": "Other respiratory conditions originating in the perinatal period",
    "P289": "Respiratory condition of newborn, unspecified",
    "P294": "Transient myocardial ischaemia of newborn",
    "P353": "Congenital viral hepatitis",
    "P369": "Bacterial sepsis of newborn, unspecified",
    "P523": "Unspecified intraventricular (nontraumatic) haemorrhage of fetus and newborn",
    "P542": "Neonatal rectal haemorrhage",
    "P714": "Transitory neonatal hypoparathyroidism",
    "P728": "Other specified transitory neonatal endocrine disorders",
    "P740": "Late metabolic acidosis of newborn",
    "P783": "Noninfective neonatal diarrhoea",
    "P910": "Neonatal cerebral ischaemia",
    "Q03": "Congenital hydrocephalus",
    "Q038": "Other congenital hydrocephalus",
    "Q122": "Coloboma of lens",
    "Q182": "Other branchial cleft malformations",
    "Q188": "Other specified congenital malformations of face and neck",
    "Q203": "Discordant ventriculoarterial connection",
    "Q242": "Cor triatriatum",
    "Q245": "Malformation of coronary vessels",
    "Q246": "Congenital heart block",
    "Q394": "Oesophageal web",
    "I070": "Tricuspid stenosis",
    "I10": "Essential (primary) hypertension",
    "I210": "Acute transmural myocardial infarction of anterior wall",
    "I241": "Dressler syndrome",
    "I256": "Silent myocardial ischaemia",
    "I33": "Acute and subacute endocarditis",
    "I41": "Myocarditis in diseases classified elsewhere",
    "I412": "Myocarditis in other infectious and parasitic diseases classified elsewhere",
    "I430": "Cardiomyopathy in infectious and parasitic diseases classified elsewhere",
    "I469": "Cardiac arrest, unspecified",
    "I482": "Chronic atrial fibrillation",
    "I52": "Other heart disorders in diseases classified elsewhere",
    "I609": "Subarachnoid haemorrhage, unspecified",
    "I618": "Other intracerebral haemorrhage",
    "I634": "Cerebral infarction due to embolism of cerebral arteries",
    "I674": "Hypertensive encephalopathy",
    "I675": "Moyamoya disease",
    "I677": "Cerebral arteritis, not elsewhere classified",
    "T369": "Poisoning: Systemic antibiotic, unspecified",
    "T379": "Poisoning: Systemic anti-infective and antiparasitic, unspecified",
    "T394": "Poisoning: Antirheumatics, not elsewhere classified",
    "I692": "Sequelae of other nontraumatic intracranial haemorrhage",
    "S009": "Superficial injury of head, part unspecified",
    "S022": "Fracture of nasal bones",
    "S026": "Fracture of mandible",
    "T567": "Toxic effect: Beryllium and its compounds",
    "T569": "Toxic effect: Metal, unspecified",
    "T571": "Toxic effect: Phosphorus and its compounds",
    "T598": "Toxic effect: Other specified gases, fumes and vapours",
    "T600": "Toxic effect: Organophosphate and carbamate insecticides",
    "M488": "Other specified spondylopathies",
    "M509": "Cervical disc disorder, unspecified",
    "M511": "Lumbar and other intervertebral disc disorders with radiculopathy",
    "M530": "Cervicocranial syndrome",
    "T634": "Toxic effect: Venom of other arthropods",
    "A820": "Sylvatic rabies",
    "A830": "Japanese encephalitis",
    "A850": "Enteroviral encephalitis",
    "A89": "Unspecified viral infection of central nervous system",
    "A929": "Mosquito-borne viral fever, unspecified",
    "A932": "Colorado tick fever",
    "A99": "Unspecified viral haemorrhagic fever",
    "B000": "Eczema herpeticum",
    "B005": "Herpesviral ocular disease",
    "B021": "Zoster meningitis",
    "B027": "Disseminated zoster",
    "B17": "Other acute viral hepatitis",
    "B172": "Acute hepatitis E",
    "B218": "HIV disease resulting in other malignant neoplasms",
    "B221": "HIV disease resulting in lymphoid interstitial pneumonitis",
    "B238": "HIV disease resulting in other specified conditions",
    "B30": "Viral conjunctivitis",
    "B356": "Tinea inguinalis [Tinea cruris]",
    "B359": "Dermatophytosis, unspecified",
    "B39": "Histoplasmosis",
    "B42": "Sporotrichosis",
    "B488": "Other specified mycoses",
    "B661": "Clonorchiasis",
    "B663": "Fascioliasis",
    "B677": "Echinococcus multilocularis infection, unspecified",
    "B679": "Echinococcosis, other and unspecified",
    "B701": "Sparganosis",
    "B743": "Loiasis",
    "B787": "Disseminated strongyloidiasis",
    "S848": "Injury of other nerves at lower leg level",
    "S854": "Injury of lesser saphenous vein at lower leg level",
    "S255": "Injury of intercostal blood vessels",
    "S258": "Injury of other blood vessels of thorax",
    "S297": "Multiple injuries of thorax",
    "Z45": "Adjustment and management of implanted device",
    "Z458": "Adjustment and management of other implanted devices",
    "Z508": "Care involving use of other rehabilitation procedures",
    "Z521": "Skin donor",
    "Z549": "Convalescence following unspecified treatment",
    "Z59": "Problems related to housing and economic circumstances",
    "Z592": "Discord with neighbours, lodgers and landlord",
    "Z595": "Extreme poverty",
    "Z597": "Insufficient social insurance and welfare support",
    "Z803": "Family history of malignant neoplasm of breast",
    "Z827": "Family history of congenital malformations, deformations and chromosomal abnormalities",
    "Z854": "Personal history of malignant neoplasm of genital organs",
    "Z855": "Personal history of malignant neoplasm of urinary tract",
    "Z862": "Personal history of diseases of the blood and blood-forming organs and certain disorders involving the immune mechanism",
    "Z877": "Personal history of congenital malformations, deformations and chromosomal abnormalities",
    "M436": "Torticollis",
    "M479": "Spondylosis, unspecified",
    "M480": "Spinal stenosis",
    "Z554": "Educational maladjustment and discord with teachers and classmates",
    "Z882": "Personal history of allergy to sulfonamides",
    "T528": "Toxic effect: Other organic solvents",
    "T535": "Toxic effect: Chlorofluorocarbons",
    "O289": "Abnormal finding on antenatal screening of mother, unspecified",
    "O299": "Complication of anaesthesia during pregnancy, unspecified",
    "O323": "Maternal care for face, brow and chin presentation",
    "H300": "Focal chorioretinal inflammation",
    "V832": "Person on outside of special industrial vehicle injured in traffic accident",
    "T246": "Corrosion of second degree of hip and lower limb, except ankle and foot",
    "I694": "Sequelae of stroke, not specified as haemorrhage or infarction",
    "R900": "Intracranial space-occupying lesion",
    "R942": "Abnormal results of pulmonary function studies",
    "R98": "Unattended death",
    "S010": "Open wound of scalp",
    "W88": "Exposure to ionizing radiation",
    "T409": "Poisoning: Other and unspecified psychodysleptics [hallucinogens]",
    "T412": "Poisoning: Other and unspecified general anaesthetics",
    "T632": "Toxic effect: Venom of scorpion",
    "T636": "Toxic effect: Toxic effect of contact with other marine animals",
    "Z916": "Personal history of other physical trauma",
    "Z922": "Personal history of long-term (current) use of other medicaments",
    "Z963": "Presence of artificial larynx",
    "Z981": "Arthrodesis status",
    "Z999": "Dependence on unspecified enabling machine and device",
    "A011": "Paratyphoid fever A",
    "A014": "Paratyphoid fever, unspecified",
    "A054": "Foodborne Bacillus cereus intoxication",
    "A070": "Balantidiasis",
    "A079": "Protozoal intestinal disease, unspecified",
    "A171": "Meningeal tuberculoma",
    "A218": "Other forms of tularaemia",
    "A240": "Glanders",
    "A26": "Erysipeloid",
    "A304": "Borderline lepromatous leprosy",
    "A327": "Listerial sepsis",
    "A390": "Meningococcal meningitis",
    "Z885": "Personal history of allergy to narcotic agent",
    "Z940": "Kidney transplant status",
    "Z944": "Liver transplant status",
    "A428": "Other forms of actinomycosis",
    "S840": "Injury of tibial nerve at lower leg level",
    "S851": "Injury of (anterior)(posterior) tibial artery",
    "B851": "Pediculosis due to Pediculus humanus corporis",
    "B86": "Scabies",
    "B872": "Ocular myiasis",
    "B888": "Other specified infestations",
    "B901": "Sequelae of genitourinary tuberculosis",
    "B941": "Sequelae of viral encephalitis",
    "B952": "Streptococcus group D and enterococcus as the cause of diseases classified to other chapters",
    "B961": "Klebsiella pneumoniae [K. pneumoniae] as the cause of diseases classified to other chapters",
    "C024": "Malignant neoplasm: Lingual tonsil",
    "C031": "Malignant neoplasm: Lower gum",
    "C062": "Malignant neoplasm: Retromolar area",
    "C09": "Malignant neoplasm of tonsil",
    "C132": "Malignant neoplasm: Posterior wall of hypopharynx",
    "C142": "Malignant neoplasm: Waldeyer ring",
    "C179": "Malignant neoplasm: Small intestine, unspecified",
    "C183": "Malignant neoplasm: Hepatic flexure",
    "C189": "Malignant neoplasm: Colon, unspecified",
    "C19": "Malignant neoplasm of rectosigmoid junction",
    "C218": "Malignant neoplasm: Overlapping lesion of rectum, anus and anal canal",
    "C321": "Malignant neoplasm: Supraglottis",
    "45561787": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S867": "Injury of multiple muscles and tendons at lower leg level",
    "S869": "Injury of unspecified muscle and tendon at lower leg level",
    "T74": "Maltreatment syndromes",
    "M533": "Sacrococcygeal disorders, not elsewhere classified",
    "M621": "Other rupture of muscle (nontraumatic)",
    "M631": "Myositis in protozoal and parasitic infections classified elsewhere",
    "T541": "Toxic effect: Other corrosive organic compounds",
    "T560": "Toxic effect: Lead and its compounds",
    "Z951": "Presence of aortocoronary bypass graft",
    "A059": "Bacterial foodborne intoxication, unspecified",
    "A068": "Amoebic infection of other sites",
    "A217": "Generalized tularaemia",
    "A220": "Cutaneous anthrax",
    "A269": "Erysipeloid, unspecified",
    "A34": "Obstetrical tetanus",
    "A368": "Other diphtheria",
    "A379": "Whooping cough, unspecified",
    "A393": "Chronic meningococcaemia",
    "A40": "Streptococcal sepsis",
    "A415": "Sepsis due to other Gram-negative organisms",
    "A484": "Brazilian purpuric fever",
    "Z895": "Acquired absence of leg at or below knee",
    "Z954": "Presence of other heart-valve replacement",
    "A522": "Asymptomatic neurosyphilis",
    "A529": "Late syphilis, unspecified",
    "A53": "Other and unspecified syphilis",
    "H400": "Glaucoma suspect",
    "H442": "Degenerative myopia",
    "H444": "Hypotony of eye",
    "T264": "Burn of eye and adnexa, part unspecified",
    "T282": "Burn of other parts of alimentary tract",
    "V921": "Water-transport-related drowning and submersion without accident to watercraft, passenger ship",
    "V922": "Water-transport-related drowning and submersion without accident to watercraft, fishing boat",
    "V932": "Accident on board watercraft without accident to watercraft, not causing drowning and submersion, fishing boat",
    "S017": "Multiple open wounds of head",
    "S02": "Fracture of skull and facial bones",
    "S047": "Injury of accessory nerve",
    "45590541": "Invalid ICD10 Concept, do not use",
    "I713": "Abdominal aortic aneurysm, ruptured",
    "I722": "Aneurysm and dissection of renal artery",
    "I738": "Other specified peripheral vascular diseases",
    "I74": "Arterial embolism and thrombosis",
    "I779": "Disorder of arteries and arterioles, unspecified",
    "I789": "Disease of capillaries, unspecified",
    "45591532": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "I850": "Oesophageal varices with bleeding",
    "I888": "Other nonspecific lymphadenitis",
    "I971": "Other functional disturbances following cardiac surgery",
    "J120": "Adenoviral pneumonia",
    "J150": "Pneumonia due to Klebsiella pneumoniae",
    "J152": "Pneumonia due to staphylococcus",
    "J170": "Pneumonia in bacterial diseases classified elsewhere",
    "X80": "Intentional self-harm by jumping from a high place",
    "X83": "Intentional self-harm by other specified means",
    "A510": "Primary genital syphilis",
    "A548": "Other gonococcal infections",
    "A663": "Hyperkeratosis of yaws",
    "A665": "Gangosa",
    "A711": "Active stage of trachoma",
    "A719": "Trachoma, unspecified",
    "A801": "Acute paralytic poliomyelitis, wild virus, imported",
    "A802": "Acute paralytic poliomyelitis, wild virus, indigenous",
    "A838": "Other mosquito-borne viral encephalitis",
    "A870": "Enteroviral meningitis",
    "A91": "Dengue hemorrhagic fever",
    "A922": "Venezuelan equine fever",
    "A96": "Arenaviral haemorrhagic fever",
    "B001": "Herpesviral vesicular dermatitis",
    "B018": "Varicella with other complications",
    "B080": "Other orthopoxvirus infections",
    "B159": "Hepatitis A without hepatic coma",
    "B18": "Chronic viral hepatitis",
    "B19": "Unspecified viral hepatitis",
    "B203": "HIV disease resulting in other viral infections",
    "B332": "Viral carditis",
    "M173": "Other post-traumatic gonarthrosis",
    "T658": "Toxic effect: Toxic effect of other specified substances",
    "T66": "Unspecified effects of radiation",
    "T670": "Heatstroke and sunstroke",
    "T709": "Effect of air pressure and water pressure, unspecified",
    "S626": "Fracture of other finger",
    "S627": "Multiple fractures of fingers",
    "M678": "Other specified disorders of synovium and tendon",
    "M721": "Knuckle pads",
    "M724": "Pseudosarcomatous fibromatosis",
    "M738": "Other soft tissue disorders in diseases classified elsewhere",
    "M760": "Gluteal tendinitis",
    "M764": "Tibial collateral bursitis [Pellegrini-Stieda]",
    "M77": "Other enthesopathies",
    "M79": "Other soft tissue disorders, not elsewhere classified",
    "T790": "Air embolism (traumatic)",
    "T791": "Fat embolism (traumatic)",
    "T792": "Traumatic secondary and recurrent haemorrhage",
    "T808": "Other complications following infusion, transfusion and therapeutic injection",
    "C46": "Kaposi sarcoma",
    "C460": "Kaposi sarcoma of skin",
    "C48": "Malignant neoplasm of retroperitoneum and peritoneum",
    "C502": "Malignant neoplasm: Upper-inner quadrant of breast",
    "C504": "Malignant neoplasm: Upper-outer quadrant of breast",
    "C713": "Malignant neoplasm: Parietal lobe",
    "C715": "Malignant neoplasm: Cerebral ventricle",
    "C722": "Malignant neoplasm: Olfactory nerve",
    "C77": "Secondary and unspecified malignant neoplasm of lymph nodes",
    "C793": "Secondary malignant neoplasm of brain and cerebral meninges",
    "C794": "Secondary malignant neoplasm of other and unspecified parts of nervous system",
    "S322": "Fracture of coccyx",
    "A638": "Other specified predominantly sexually transmitted diseases",
    "A66": "Yaws",
    "A661": "Multiple papillomata and wet crab yaws",
    "A68": "Relapsing fevers",
    "A698": "Other specified spirochaetal infections",
    "A752": "Typhus fever due to Rickettsia typhi",
    "A839": "Mosquito-borne viral encephalitis, unspecified",
    "A872": "Lymphocytic choriomeningitis",
    "A888": "Other specified viral infections of central nervous system",
    "B008": "Other forms of herpesviral infection",
    "B04": "Monkeypox",
    "B051": "Measles complicated by meningitis",
    "B208": "HIV disease resulting in other infectious and parasitic diseases",
    "B209": "HIV disease resulting in unspecified infectious or parasitic disease",
    "B212": "HIV disease resulting in other types of non-Hodgkin lymphoma",
    "B258": "Other cytomegaloviral diseases",
    "B26": "Mumps",
    "B300": "Keratoconjunctivitis due to adenovirus",
    "B340": "Adenovirus infection, unspecified site",
    "B401": "Chronic pulmonary blastomycosis",
    "B459": "Cryptococcosis, unspecified",
    "B462": "Gastrointestinal mucormycosis",
    "B469": "Zygomycosis, unspecified",
    "B50": "Plasmodium falciparum malaria",
    "B510": "Plasmodium vivax malaria with rupture of spleen",
    "B552": "Mucocutaneous leishmaniasis",
    "B561": "Rhodesiense trypanosomiasis",
    "B571": "Acute Chagas disease without heart involvement",
    "B665": "Fasciolopsiasis",
    "B672": "Echinococcus granulosus infection of bone",
    "M66": "Spontaneous rupture of synovium and tendon",
    "M663": "Spontaneous rupture of flexor tendons",
    "M665": "Spontaneous rupture of unspecified tendon",
    "M702": "Olecranon bursitis",
    "T629": "Toxic effect: Noxious substance eaten as food, unspecified",
    "O632": "Delayed delivery of second twin, triplet, etc.",
    "O664": "Failed trial of labour, unspecified",
    "O752": "Pyrexia during labour, not elsewhere classified",
    "O849": "Multiple delivery, unspecified",
    "O872": "Haemorrhoids in the puerperium",
    "O909": "Complication of the puerperium, unspecified",
    "V947": "Other and unspecified water transport accidents, water-skis",
    "V952": "Accident to other private fixed-wing aircraft, injuring occupant",
    "V98": "Other specified transport accidents",
    "H504": "Other and unspecified heterotropia",
    "H506": "Mechanical strabismus",
    "H542": "Moderate visual impairment, binocular",
    "H608": "Other otitis externa",
    "T502": "Poisoning: Carbonic-anhydrase inhibitors, benzothiadiazides and other diuretics",
    "J178": "Pneumonia in other diseases classified elsewhere",
    "J301": "Allergic rhinitis due to pollen",
    "J302": "Other seasonal allergic rhinitis",
    "J338": "Other polyp of sinus",
    "J381": "Polyp of vocal cord and larynx",
    "J46": "Status asthmaticus",
    "J681": "Pulmonary oedema due to chemicals, gases, fumes and vapours",
    "J690": "Pneumonitis due to food and vomit",
    "J939": "Pneumothorax, unspecified",
    "K008": "Other disorders of tooth development",
    "S052": "Ocular laceration and rupture with prolapse or loss of intraocular tissue",
    "S062": "Diffuse brain injury",
    "Y071": "Other maltreatment by parent",
    "Y353": "Legal intervention involving blunt objects",
    "K022": "Caries of cementum",
    "K036": "Deposits [accretions] on teeth",
    "K040": "Pulpitis",
    "K071": "Anomalies of jaw-cranial base relationship",
    "K081": "Loss of teeth due to accident, extraction or local periodontal disease",
    "K103": "Alveolitis of jaws",
    "M239": "Internal derangement of knee, unspecified",
    "M241": "Other articular cartilage disorders",
    "M252": "Flail joint",
    "T812": "Accidental puncture and laceration during a procedure, not elsewhere classified",
    "B378": "Candidiasis of other sites",
    "B420": "Pulmonary sporotrichosis",
    "B431": "Phaeomycotic brain abscess",
    "B432": "Subcutaneous phaeomycotic abscess and cyst",
    "B439": "Chromomycosis, unspecified",
    "B457": "Disseminated cryptococcosis",
    "B461": "Rhinocerebral mucormycosis",
    "B464": "Disseminated mucormycosis",
    "B483": "Geotrichosis",
    "B583": "Pulmonary toxoplasmosis",
    "B59": "Pneumocystosis",
    "B658": "Other schistosomiases",
    "B670": "Echinococcus granulosus infection of liver",
    "B69": "Cysticercosis",
    "B839": "Helminthiasis, unspecified",
    "B902": "Sequelae of tuberculosis of bones and joints",
    "B94": "Sequelae of other and unspecified infectious and parasitic diseases",
    "B962": "Escherichia coli [E. coli] as the cause of diseases classified to other chapters",
    "C02": "Malignant neoplasm of other and unspecified parts of tongue",
    "C023": "Malignant neoplasm: Anterior two-thirds of tongue, part unspecified",
    "C028": "Malignant neoplasm: Overlapping lesion of tongue",
    "C089": "Malignant neoplasm: Major salivary gland, unspecified",
    "C090": "Malignant neoplasm: Tonsillar fossa",
    "C102": "Malignant neoplasm: Lateral wall of oropharynx",
    "C13": "Malignant neoplasm of hypopharynx",
    "C171": "Malignant neoplasm: Jejunum",
    "C241": "Malignant neoplasm: Ampulla of Vater",
    "C249": "Malignant neoplasm: Biliary tract, unspecified",
    "C300": "Malignant neoplasm: Nasal cavity",
    "C312": "Malignant neoplasm: Frontal sinus",
    "C322": "Malignant neoplasm: Subglottis",
    "C410": "Malignant neoplasm: Bones of skull and face",
    "C437": "Malignant neoplasm: Malignant melanoma of lower limb, including hip",
    "C447": "Malignant neoplasm: Skin of lower limb, including hip",
    "C461": "Kaposi sarcoma of soft tissue",
    "S337": "Sprain and strain of other and unspecified parts of lumbar spine and pelvis",
    "S341": "Other injury of lumbar spinal cord",
    "S350": "Injury of abdominal aorta",
    "C845": "Other mature T/NK-cell lymphomas",
    "C846": "Anaplastic large cell lymphoma, ALK-positive",
    "M805": "Idiopathic osteoporosis with pathological fracture",
    "M814": "Drug-induced osteoporosis",
    "M831": "Senile osteomalacia",
    "M709": "Unspecified soft tissue disorder related to use, overuse and pressure",
    "M75": "Shoulder lesions",
    "M752": "Bicipital tendinitis",
    "M759": "Shoulder lesion, unspecified",
    "M770": "Medial epicondylitis",
    "M773": "Calcaneal spur",
    "B673": "Echinococcus granulosus infection, other and multiple sites",
    "B72": "Dracunculiasis",
    "B740": "Filariasis due to Wuchereria bancrofti",
    "B75": "Trichinellosis",
    "B779": "Ascariasis, unspecified",
    "B832": "Angiostrongyliasis due to Parastrongylus cantonensis",
    "B954": "Other streptococcus as the cause of diseases classified to other chapters",
    "B967": "Clostridium perfringens [C. perfringens] as the cause of diseases classified to other chapters",
    "C002": "Malignant neoplasm: External lip, unspecified",
    "C005": "Malignant neoplasm: Lip, unspecified, inner aspect",
    "C058": "Malignant neoplasm: Overlapping lesion of palate",
    "C069": "Malignant neoplasm: Mouth, unspecified",
    "C088": "Malignant neoplasm: Overlapping lesion of major salivary glands",
    "C10": "Malignant neoplasm of oropharynx",
    "C160": "Malignant neoplasm: Cardia",
    "C185": "Malignant neoplasm: Splenic flexure",
    "C210": "Malignant neoplasm: Anus, unspecified",
    "C251": "Malignant neoplasm: Body of pancreas",
    "C252": "Malignant neoplasm: Tail of pancreas",
    "C253": "Malignant neoplasm: Pancreatic duct",
    "C257": "Malignant neoplasm: Other parts of pancreas",
    "C301": "Malignant neoplasm: Middle ear",
    "C323": "Malignant neoplasm: Laryngeal cartilage",
    "C398": "Malignant neoplasm: Overlapping lesion of respiratory and intrathoracic organs",
    "C418": "Malignant neoplasm: Overlapping lesion of bone and articular cartilage",
    "C430": "Malignant neoplasm: Malignant melanoma of lip",
    "C459": "Mesothelioma, unspecified",
    "C467": "Kaposi sarcoma of other sites",
    "H624": "Otitis externa in other diseases classified elsewhere",
    "H653": "Chronic mucoid otitis media",
    "H662": "Chronic atticoantral suppurative otitis media",
    "H663": "Other chronic suppurative otitis media",
    "H678": "Otitis media in other diseases classified elsewhere",
    "H680": "Eustachian salpingitis",
    "H700": "Acute mastoiditis",
    "H708": "Other mastoiditis and related conditions",
    "45567139": "Invalid ICD10 Concept, do not use",
    "H810": "Ménière disease",
    "H819": "Disorder of vestibular function, unspecified",
    "H838": "Other specified diseases of inner ear",
    "H901": "Conductive hearing loss, unilateral with unrestricted hearing on the contralateral side",
    "H907": "Mixed conductive and sensorineural hearing loss, unilateral with unrestricted hearing on the contralateral side",
    "H910": "Ototoxic hearing loss",
    "P011": "Fetus and newborn affected by premature rupture of membranes",
    "P017": "Fetus and newborn affected by malpresentation before labour",
    "P035": "Fetus and newborn affected by precipitate delivery",
    "P102": "Intraventricular haemorrhage due to birth injury",
    "P11": "Other birth injuries to central nervous system",
    "P268": "Other pulmonary haemorrhages originating in the perinatal period",
    "P359": "Congenital viral disease, unspecified",
    "M799": "Soft tissue disorder, unspecified",
    "M803": "Postsurgical malabsorption osteoporosis with pathological fracture",
    "M84": "Disorders of continuity of bone",
    "S822": "Fracture of shaft of tibia",
    "T536": "Toxic effect: Other halogen derivatives of aliphatic hydrocarbons",
    "S547": "Injury of multiple nerves at forearm level",
    "S549": "Injury of unspecified nerve at forearm level",
    "K231": "Megaoesophagus in Chagas disease",
    "K250": "Gastric ulcer, Acute with haemorrhage",
    "K297": "Gastritis, unspecified",
    "K30": "Functional dyspepsia",
    "K350": "Acute appendicitis with generalized peritonitis",
    "K412": "Bilateral femoral hernia, without obstruction or gangrene",
    "K429": "Umbilical hernia without obstruction or gangrene",
    "K46": "Unspecified abdominal hernia",
    "K522": "Allergic and dietetic gastroenteritis and colitis",
    "K598": "Other specified functional intestinal disorders",
    "K611": "Rectal abscess",
    "K626": "Ulcer of anus and rectum",
    "K70": "Alcoholic liver disease",
    "K713": "Toxic liver disease with chronic persistent hepatitis",
    "K765": "Hepatic veno-occlusive disease",
    "K766": "Portal hypertension",
    "K859": "Acute pancreatitis, unspecified",
    "K862": "Cyst of pancreas",
    "K918": "Other postprocedural disorders of digestive system, not elsewhere classified",
    "K919": "Postprocedural disorder of digestive system, unspecified",
    "L029": "Cutaneous abscess, furuncle and carbuncle, unspecified",
    "L03": "Cellulitis",
    "L131": "Subcorneal pustular dermatitis",
    "L240": "Irritant contact dermatitis due to detergents",
    "L253": "Unspecified contact dermatitis due to other chemical products",
    "L259": "Unspecified contact dermatitis, unspecified cause",
    "L30": "Other dermatitis",
    "L403": "Pustulosis palmaris et plantaris",
    "L439": "Lichen planus, unspecified",
    "C500": "Malignant neoplasm: Nipple and areola",
    "C501": "Malignant neoplasm: Central portion of breast",
    "C512": "Malignant neoplasm: Clitoris",
    "C541": "Malignant neoplasm: Endometrium",
    "C548": "Malignant neoplasm: Overlapping lesion of corpus uteri",
    "C578": "Malignant neoplasm: Overlapping lesion of female genital organs",
    "C579": "Malignant neoplasm: Female genital organ, unspecified",
    "C60": "Malignant neoplasm of penis",
    "C638": "Malignant neoplasm: Overlapping lesion of male genital organs",
    "C68": "Malignant neoplasm of other and unspecified urinary organs",
    "C696": "Malignant neoplasm: Orbit",
    "M314": "Aortic arch syndrome [Takayasu]",
    "M318": "Other specified necrotizing vasculopathies",
    "M33": "Dermatopolymyositis",
    "M332": "Polymyositis",
    "M360": "Dermato(poly)myositis in neoplastic disease",
    "M429": "Spinal osteochondrosis, unspecified",
    "T827": "Infection and inflammatory reaction due to other cardiac and vascular devices, implants and grafts",
    "C859": "Non-Hodgkin lymphoma, unspecified",
    "C865": "Angioimmunoblastic T-cell lymphoma",
    "C88": "Malignant immunoproliferative diseases",
    "C917": "Other lymphoid leukaemia",
    "C929": "Myeloid leukaemia, unspecified",
    "C930": "Acute monoblastic/monocytic leukaemia",
    "C951": "Chronic leukaemia of unspecified cell type",
    "D03": "Melanoma in situ",
    "D032": "Melanoma in situ of ear and external auricular canal",
    "D037": "Melanoma in situ of lower limb, including hip",
    "D038": "Melanoma in situ of other sites",
    "D041": "Carcinoma in situ: Skin of eyelid, including canthus",
    "D057": "Other carcinoma in situ of breast",
    "D106": "Benign neoplasm: Nasopharynx",
    "D134": "Benign neoplasm: Liver",
    "D151": "Benign neoplasm: Heart",
    "D157": "Benign neoplasm: Other specified intrathoracic organs",
    "D164": "Benign neoplasm: Bones of skull and face",
    "D170": "Benign lipomatous neoplasm of skin and subcutaneous tissue of head, face and neck",
    "D172": "Benign lipomatous neoplasm of skin and subcutaneous tissue of limbs",
    "S92": "Fracture of foot, except ankle",
    "C469": "Kaposi sarcoma, unspecified",
    "C478": "Malignant neoplasm: Overlapping lesion of peripheral nerves and autonomic nervous system",
    "C479": "Malignant neoplasm: Peripheral nerves and autonomic nervous system, unspecified",
    "C482": "Malignant neoplasm: Peritoneum, unspecified",
    "C493": "Malignant neoplasm: Connective and soft tissue of thorax",
    "C511": "Malignant neoplasm: Labium minus",
    "C57": "Malignant neoplasm of other and unspecified female genital organs",
    "C600": "Malignant neoplasm: Prepuce",
    "C62": "Malignant neoplasm of testis",
    "45557004": "Invalid ICD10 Concept, do not use",
    "C688": "Malignant neoplasm: Overlapping lesion of urinary organs",
    "C693": "Malignant neoplasm: Choroid",
    "C70": "Malignant neoplasm of meninges",
    "C711": "Malignant neoplasm: Frontal lobe",
    "C771": "Secondary and unspecified malignant neoplasm: Intrathoracic lymph nodes",
    "C778": "Secondary and unspecified malignant neoplasm: Lymph nodes of multiple regions",
    "C779": "Secondary and unspecified malignant neoplasm: Lymph node, unspecified",
    "M83": "Adult osteomalacia",
    "M842": "Delayed union of fracture",
    "M844": "Pathological fracture, not elsewhere classified",
    "T654": "Toxic effect: Carbon disulfide",
    "T673": "Heat exhaustion, anhydrotic",
    "T674": "Heat exhaustion due to salt depletion",
    "T733": "Exhaustion due to excessive exertion",
    "T796": "Traumatic ischaemia of muscle",
    "P39": "Other infections specific to the perinatal period",
    "45568028": "Invalid ICD10 Concept, do not use",
    "P519": "Umbilical haemorrhage of newborn, unspecified",
    "P529": "Intracranial (nontraumatic) haemorrhage of fetus and newborn, unspecified",
    "P546": "Neonatal vaginal haemorrhage",
    "P588": "Neonatal jaundice due to other specified excessive haemolysis",
    "45568033": "Invalid ICD10 Concept, do not use",
    "P61": "Other perinatal haematological disorders",
    "P71": "Transitory neonatal disorders of calcium and magnesium metabolism",
    "P710": "Cow milk hypocalcaemia in newborn",
    "P720": "Neonatal goitre, not elsewhere classified",
    "P743": "Disturbances of potassium balance of newborn",
    "P769": "Intestinal obstruction of newborn, unspecified",
    "P782": "Neonatal haematemesis and melaena due to swallowed maternal blood",
    "P818": "Other specified disturbances of temperature regulation of newborn",
    "P833": "Other and unspecified oedema specific to fetus and newborn",
    "45568043": "Invalid ICD10 Concept, do not use",
    "P921": "Regurgitation and rumination in newborn",
    "P940": "Transient neonatal myasthenia gravis",
    "Q002": "Iniencephaly",
    "Q02": "Microcephaly",
    "Q05": "Spina bifida",
    "Q057": "Lumbar spina bifida without hydrocephalus",
    "Q06": "Other congenital malformations of spinal cord",
    "Q133": "Congenital corneal opacity",
    "Q142": "Congenital malformation of optic disc",
    "Q163": "Congenital malformation of ear ossicles",
    "Q173": "Other misshapen ear",
    "Q179": "Congenital malformation of ear, unspecified",
    "Q234": "Hypoplastic left heart syndrome",
    "Q249": "Congenital malformation of heart, unspecified",
    "Q264": "Anomalous pulmonary venous connection, unspecified",
    "Q302": "Fissured, notched and cleft nose",
    "Q339": "Congenital malformation of lung, unspecified",
    "Q374": "Cleft hard and soft palate with bilateral cleft lip",
    "Q409": "Congenital malformation of upper alimentary tract, unspecified",
    "Q440": "Agenesis, aplasia and hypoplasia of gallbladder",
    "Q550": "Absence and aplasia of testis",
    "Q614": "Renal dysplasia",
    "Q621": "Atresia and stenosis of ureter",
    "Q627": "Congenital vesico-uretero-renal reflux",
    "Q646": "Congenital diverticulum of bladder",
    "S371": "Injury of ureter",
    "T543": "Toxic effect: Corrosive alkalis and alkali-like substances",
    "T568": "Toxic effect: Other metals",
    "45594787": "Invalid ICD10 Concept, do not use",
    "T591": "Toxic effect: Sulfur dioxide",
    "T604": "Toxic effect: Rodenticides",
    "S079": "Crushing injury of head, part unspecified",
    "S09": "Other and unspecified injuries of head",
    "Y368": "War operations occurring after cessation of hostilities",
    "L502": "Urticaria due to cold and heat",
    "L512": "Toxic epidermal necrolysis [Lyell]",
    "L559": "Sunburn, unspecified",
    "L570": "Actinic keratosis",
    "L609": "Nail disorder, unspecified",
    "L680": "Hirsutism",
    "L711": "Rhinophyma",
    "L720": "Epidermal cyst",
    "L742": "Miliaria profunda",
    "L749": "Eccrine sweat disorder, unspecified",
    "L851": "Acquired keratosis [keratoderma] palmaris et plantaris",
    "M490": "Tuberculosis of spine",
    "M493": "Spondylopathy in other infectious and parasitic diseases classified elsewhere",
    "M531": "Cervicobrachial syndrome",
    "M609": "Myositis, unspecified",
    "M61": "Calcification and ossification of muscle",
    "M611": "Myositis ossificans progressiva",
    "C758": "Malignant neoplasm: Pluriglandular involvement, unspecified",
    "C809": "Malignant neoplasm, primary site unspecified",
    "C812": "Mixed cellularity classical Hodgkin lymphoma",
    "C864": "Blastic NK-cell lymphoma",
    "C97": "Malignant neoplasms of independent (primary) multiple sites",
    "D011": "Carcinoma in situ: Rectosigmoid junction",
    "D012": "Carcinoma in situ: Rectum",
    "S902": "Contusion of toe(s) with damage to nail",
    "S373": "Injury of urethra",
    "S380": "Crushing injury of external genital organs",
    "S400": "Contusion of shoulder and upper arm",
    "S636": "Sprain and strain of finger(s)",
    "D173": "Benign lipomatous neoplasm of skin and subcutaneous tissue of other and unspecified sites",
    "D19": "Benign neoplasm of mesothelial tissue",
    "D210": "Benign neoplasm: Connective and other soft tissue of head, face and neck",
    "D261": "Other benign neoplasm: Corpus uteri",
    "D291": "Benign neoplasm: Prostate",
    "D294": "Benign neoplasm: Scrotum",
    "D299": "Benign neoplasm: Male genital organ, unspecified",
    "D355": "Benign neoplasm: Carotid body",
    "D382": "Neoplasm of uncertain or unknown behaviour: Pleura",
    "D420": "Neoplasm of uncertain or unknown behaviour: Cerebral meninges",
    "D439": "Neoplasm of uncertain or unknown behaviour: Central nervous system, unspecified",
    "D447": "Neoplasm of uncertain or unknown behaviour: Aortic body and other paraganglia",
    "D482": "Neoplasm of uncertain or unknown behaviour: Peripheral nerves and autonomic nervous system",
    "D552": "Anaemia due to disorders of glycolytic enzymes",
    "D559": "Anaemia due to enzyme disorder, unspecified",
    "T86": "Failure and rejection of transplanted organs and tissues",
    "S649": "Injury of unspecified nerve at wrist and hand level",
    "T813": "Disruption of operation wound, not elsewhere classified",
    "C800": "Malignant neoplasm, primary site unknown, so stated",
    "C880": "Waldenström macroglobulinaemia",
    "C914": "Hairy-cell leukaemia",
    "C925": "Acute myelomonocytic leukaemia",
    "C928": "Acute myeloid leukaemia with multilineage dysplasia",
    "C95": "Leukaemia of unspecified cell type",
    "D000": "Carcinoma in situ: Lip, oral cavity and pharynx",
    "D023": "Carcinoma in situ: Other parts of respiratory system",
    "D030": "Melanoma in situ of lip",
    "D048": "Carcinoma in situ: Skin of other sites",
    "D069": "Carcinoma in situ: Cervix, unspecified",
    "D097": "Carcinoma in situ of other specified sites",
    "D142": "Benign neoplasm: Trachea",
    "D166": "Benign neoplasm: Vertebral column",
    "D201": "Benign neoplasm: Peritoneum",
    "D212": "Benign neoplasm: Connective and other soft tissue of lower limb, including hip",
    "S832": "Tear of meniscus, current",
    "S850": "Injury of popliteal artery",
    "S379": "Injury of unspecified pelvic organ",
    "M858": "Other specified disorders of bone density and structure",
    "M879": "Osteonecrosis, unspecified",
    "M89": "Other disorders of bone",
    "M896": "Osteopathy after poliomyelitis",
    "S056": "Penetrating wound of eyeball without foreign body",
    "S061": "Traumatic cerebral oedema",
    "L902": "Anetoderma of Jadassohn-Pellizzari",
    "L918": "Other hypertrophic disorders of skin",
    "L951": "Erythema elevatum diutinum",
    "L959": "Vasculitis limited to skin, unspecified",
    "L97": "Ulcer of lower limb, not elsewhere classified",
    "L982": "Febrile neutrophilic dermatosis [Sweet]",
    "M009": "Pyogenic arthritis, unspecified",
    "M029": "Reactive arthropathy, unspecified",
    "M050": "Felty syndrome",
    "V936": "Accident on board watercraft without accident to watercraft, not causing drowning and submersion, inflatable craft (nonpowered)",
    "V937": "Accident on board watercraft without accident to watercraft, not causing drowning and submersion, water-skis",
    "V973": "Person on ground injured in air transport accident",
    "D022": "Carcinoma in situ: Bronchus and lung",
    "D033": "Melanoma in situ of other and unspecified parts of face",
    "D067": "Carcinoma in situ: Other parts of cervix",
    "D129": "Benign neoplasm: Anus and anal canal",
    "D15": "Benign neoplasm of other and unspecified intrathoracic organs",
    "D165": "Benign neoplasm: Lower jaw bone",
    "D171": "Benign lipomatous neoplasm of skin and subcutaneous tissue of trunk",
    "D213": "Benign neoplasm: Connective and other soft tissue of thorax",
    "D221": "Melanocytic naevi of eyelid, including canthus",
    "D227": "Melanocytic naevi of lower limb, including hip",
    "M659": "Synovitis and tenosynovitis, unspecified",
    "M688": "Other disorders of synovium and tendon in diseases classified elsewhere",
    "M704": "Prepatellar bursitis",
    "T844": "Mechanical complication of other internal orthopaedic devices, implants and grafts",
    "T883": "Malignant hyperthermia due to anaesthesia",
    "T90": "Sequelae of injuries of head",
    "T912": "Sequelae of other fracture of thorax and pelvis",
    "T930": "Sequelae of open wound of lower limb",
    "T940": "Sequelae of injuries involving multiple body regions",
    "S650": "Injury of ulnar artery at wrist and hand level",
    "S652": "Injury of superficial palmar arch",
    "S661": "Injury of flexor muscle and tendon of other finger at wrist and hand level",
    "M853": "Osteitis condensans",
    "T904": "Sequelae of injury of eye and orbit",
    "T911": "Sequelae of fracture of spine",
    "T929": "Sequelae of unspecified injury of upper limb",
    "T958": "Sequelae of other specified burn, corrosion and frostbite",
    "V019": "Pedestrian injured in collision with pedal cycle, Unspecified whether traffic or nontraffic accident",
    "D618": "Other specified aplastic anaemias",
    "D69": "Purpura and other haemorrhagic conditions",
    "D728": "Other specified disorders of white blood cells",
    "D761": "Haemophagocytic lymphohistiocytosis",
    "D808": "Other immunodeficiencies with predominantly antibody defects",
    "D838": "Other common variable immunodeficiencies",
    "D891": "Cryoglobulinaemia",
    "E011": "Iodine-deficiency-related multinodular (endemic) goitre",
    "E117": "Type 2 diabetes mellitus, with multiple complications",
    "E118": "Type 2 diabetes mellitus, with unspecified complications",
    "E119": "Type 2 diabetes mellitus, without complications",
    "E140": "Unspecified diabetes mellitus, with coma",
    "S651": "Injury of radial artery at wrist and hand level",
    "D239": "Benign neoplasm: Skin, unspecified",
    "D260": "Other benign neoplasm: Cervix uteri",
    "D282": "Benign neoplasm: Uterine tubes and ligaments",
    "D29": "Benign neoplasm of male genital organs",
    "D290": "Benign neoplasm: Penis",
    "D337": "Benign neoplasm: Other specified parts of central nervous system",
    "D367": "Benign neoplasm: Other specified sites",
    "D385": "Neoplasm of uncertain or unknown behaviour: Other respiratory organs",
    "M856": "Other cyst of bone",
    "T824": "Mechanical complication of vascular dialysis catheter",
    "T834": "Mechanical complication of other prosthetic devices, implants and grafts in genital tract",
    "T835": "Infection and inflammatory reaction due to prosthetic device, implant and graft in urinary system",
    "T843": "Mechanical complication of other bone devices, implants and grafts",
    "S417": "Multiple open wounds of shoulder and upper arm",
    "M913": "Pseudocoxalgia",
    "M929": "Juvenile osteochondrosis, unspecified",
    "S157": "Injury of multiple blood vessels at neck level",
    "S16": "Injury of muscle and tendon at neck level",
    "S21": "Open wound of thorax",
    "I749": "Embolism and thrombosis of unspecified artery",
    "I82": "Other venous embolism and thrombosis",
    "M753": "Calcific tendinitis of shoulder",
    "M761": "Psoas tendinitis",
    "M790": "Rheumatism, unspecified",
    "D281": "Benign neoplasm: Vagina",
    "D293": "Benign neoplasm: Epididymis",
    "D313": "Benign neoplasm: Choroid",
    "D316": "Benign neoplasm: Orbit, unspecified",
    "D33": "Benign neoplasm of brain and other parts of central nervous system",
    "D409": "Neoplasm of uncertain or unknown behaviour: Male genital organ, unspecified",
    "D432": "Neoplasm of uncertain or unknown behaviour: Brain, unspecified",
    "D442": "Neoplasm of uncertain or unknown behaviour: Parathyroid gland",
    "D472": "Monoclonal gammopathy of undetermined significance (MGUS)",
    "D481": "Neoplasm of uncertain or unknown behaviour: Connective and other soft tissue",
    "D500": "Iron deficiency anaemia secondary to blood loss (chronic)",
    "D52": "Folate deficiency anaemia",
    "D56": "Thalassaemia",
    "D572": "Double heterozygous sickling disorders",
    "D573": "Sickle-cell trait",
    "D591": "Other autoimmune haemolytic anaemias",
    "D592": "Drug-induced nonautoimmune haemolytic anaemia",
    "D601": "Transient acquired pure red cell aplasia",
    "D684": "Acquired coagulation factor deficiency",
    "D691": "Qualitative platelet defects",
    "D71": "Functional disorders of polymorphonuclear neutrophils",
    "D720": "Genetic anomalies of leukocytes",
    "D74": "Methaemoglobinaemia",
    "D818": "Other combined immunodeficiencies",
    "D819": "Combined immunodeficiency, unspecified",
    "D831": "Common variable immunodeficiency with predominant immunoregulatory T-cell disorders",
    "D861": "Sarcoidosis of lymph nodes",
    "D869": "Sarcoidosis, unspecified",
    "E032": "Hypothyroidism due to medicaments and other exogenous substances",
    "E053": "Thyrotoxicosis from ectopic thyroid tissue",
    "E055": "Thyroid crisis or storm",
    "E065": "Other chronic thyroiditis",
    "E069": "Thyroiditis, unspecified",
    "E229": "Hyperfunction of pituitary gland, unspecified",
    "E230": "Hypopituitarism",
    "E272": "Addisonian crisis",
    "E311": "Polyglandular hyperfunction",
    "E560": "Deficiency of vitamin E",
    "E610": "Copper deficiency",
    "E641": "Sequelae of vitamin A deficiency",
    "E724": "Disorders of ornithine metabolism",
    "E763": "Mucopolysaccharidosis, unspecified",
    "E769": "Disorder of glucosaminoglycan metabolism, unspecified",
    "E771": "Defects in glycoprotein degradation",
    "E784": "Other hyperlipidaemia",
    "E799": "Disorder of purine and pyrimidine metabolism, unspecified",
    "E806": "Other disorders of bilirubin metabolism",
    "M900": "Tuberculosis of bone",
    "V090": "Pedestrian injured in nontraffic accident involving other and unspecified motor vehicles",
    "V140": "Pedal cyclist injured in collision with heavy transport vehicle or bus, driver injured in nontraffic accident",
    "V021": "Pedestrian injured in collision with two- or three-wheeled motor vehicle, traffic accident",
    "V133": "Pedal cyclist injured in collision with car, pick-up truck or van, person injured while boarding or alighting",
    "S658": "Injury of other blood vessels at wrist and hand level",
    "M906": "Osteitis deformans in neoplastic disease",
    "M919": "Juvenile osteochondrosis of hip and pelvis, unspecified",
    "M92": "Other juvenile osteochondrosis",
    "S407": "Multiple superficial injuries of shoulder and upper arm",
    "D469": "Myelodysplastic syndrome, unspecified",
    "D539": "Nutritional anaemia, unspecified",
    "D589": "Hereditary haemolytic anaemia, unspecified",
    "D598": "Other acquired haemolytic anaemias",
    "D70": "Agranulocytosis",
    "D752": "Essential thrombocytosis",
    "D820": "Wiskott-Aldrich syndrome",
    "D822": "Immunodeficiency with short-limbed stature",
    "D83": "Common variable immunodeficiency",
    "E038": "Other specified hypothyroidism",
    "E051": "Thyrotoxicosis with toxic single thyroid nodule",
    "E063": "Autoimmune thyroiditis",
    "E115": "Type 2 diabetes mellitus, with peripheral circulatory complications",
    "E126": "Malnutrition-related diabetes mellitus, with other specified complications",
    "E15": "Nondiabetic hypoglycaemic coma",
    "E208": "Other hypoparathyroidism",
    "E236": "Other disorders of pituitary gland",
    "E27": "Other disorders of adrenal gland",
    "E28": "Ovarian dysfunction",
    "E31": "Polyglandular dysfunction",
    "E506": "Vitamin A deficiency with xerophthalmic scars of cornea",
    "E59": "Dietary selenium deficiency",
    "E614": "Chromium deficiency",
    "E68": "Sequelae of hyperalimentation",
    "E731": "Secondary lactase deficiency",
    "E74": "Other disorders of carbohydrate metabolism",
    "E743": "Other disorders of intestinal carbohydrate absorption",
    "E762": "Other mucopolysaccharidoses",
    "E768": "Other disorders of glucosaminoglycan metabolism",
    "E78": "Disorders of lipoprotein metabolism and other lipidaemias",
    "E830": "Disorders of copper metabolism",
    "E854": "Organ-limited amyloidosis",
    "F002": "Dementia in Alzheimer disease, atypical or mixed type",
    "F01": "Vascular dementia",
    "S96": "Injury of muscle and tendon at ankle and foot level",
    "V392": "Unspecified occupant of three-wheeled motor vehicle injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V390": "Driver injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V391": "Passenger injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "M993": "Osseous stenosis of neural canal",
    "N006": "Acute nephritic syndrome, Dense deposit disease",
    "N014": "Rapidly progressive nephritic syndrome, diffuse endocapillary proliferative glomerulonephritis",
    "N034": "Chronic nephritic syndrome, diffuse endocapillary proliferative glomerulonephritis",
    "N035": "Chronic nephritic syndrome, diffuse mesangiocapillary glomerulonephritis",
    "N18": "Chronic kidney disease",
    "N181": "Chronic kidney disease, stage 1",
    "N184": "Chronic kidney disease, stage 4",
    "N185": "Chronic kidney disease, stage 5",
    "N201": "Calculus of ureter",
    "N210": "Calculus in bladder",
    "N258": "Other disorders resulting from impaired renal tubular function",
    "N280": "Ischaemia and infarction of kidney",
    "N358": "Other urethral stricture",
    "N422": "Atrophy of prostate",
    "N432": "Other hydrocele",
    "N508": "Other specified disorders of male genital organs",
    "N719": "Inflammatory disease of uterus, unspecified",
    "N741": "Female tuberculous pelvic inflammatory disease",
    "N801": "Endometriosis of ovary",
    "45582405": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "N821": "Other female urinary-genital tract fistulae",
    "N829": "Female genital tract fistula, unspecified",
    "N835": "Torsion of ovary, ovarian pedicle and fallopian tube",
    "N879": "Dysplasia of cervix uteri, unspecified",
    "E782": "Mixed hyperlipidaemia",
    "E789": "Disorder of lipoprotein metabolism, unspecified",
    "E853": "Secondary systemic amyloidosis",
    "E86": "Volume depletion",
    "E882": "Lipomatosis, not elsewhere classified",
    "E888": "Other specified metabolic disorders",
    "45581391": "Invalid ICD10 Concept, do not use",
    "45581392": "Invalid ICD10 Concept, do not use",
    "F012": "Subcortical vascular dementia",
    "F02": "Dementia in other diseases classified elsewhere",
    "F020": "Dementia in Pick disease",
    "45581396": "Invalid ICD10 Concept, do not use",
    "F05": "Delirium, not induced by alcohol and other psychoactive substances",
    "F062": "Organic delusional [schizophrenia-like] disorder",
    "F066": "Organic emotionally labile [asthenic] disorder",
    "F10": "Mental and behavioural disorders due to use of alcohol",
    "45581402": "Invalid ICD10 Concept, do not use",
    "45581403": "Invalid ICD10 Concept, do not use",
    "45581406": "Invalid ICD10 Concept, do not use",
    "F108": "Mental and behavioural disorders due to use of alcohol, Other mental and behavioural disorders",
    "45581408": "Invalid ICD10 Concept, do not use",
    "F120": "Mental and behavioural disorders due to use of cannabinoids, acute intoxication",
    "45581415": "Invalid ICD10 Concept, do not use",
    "45581420": "Invalid ICD10 Concept, do not use",
    "45581423": "Invalid ICD10 Concept, do not use",
    "I830": "Varicose veins of lower extremities with ulcer",
    "45557605": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45557606": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S021": "Fracture of base of skull",
    "S055": "Penetrating wound of eyeball with foreign body",
    "I889": "Nonspecific lymphadenitis, unspecified",
    "I89": "Other noninfective disorders of lymphatic vessels and lymph nodes",
    "S727": "Multiple fractures of femur",
    "S747": "Injury of multiple nerves at hip and thigh level",
    "T274": "Corrosion of larynx and trachea",
    "T295": "Corrosions of multiple regions, no more than first-degree corrosions mentioned",
    "T302": "Burn of second degree, body region unspecified",
    "T346": "Frostbite with tissue necrosis of hip and thigh",
    "45566728": "Invalid ICD10 Concept, do not use",
    "45566730": "Invalid ICD10 Concept, do not use",
    "E13": "Other specified diabetes mellitus",
    "E138": "Other specified diabetes mellitus, with unspecified complications",
    "E146": "Unspecified diabetes mellitus, with other specified complications",
    "E222": "Syndrome of inappropriate secretion of antidiuretic hormone",
    "E309": "Disorder of puberty, unspecified",
    "M804": "Drug-induced osteoporosis with pathological fracture",
    "M818": "Other osteoporosis",
    "V139": "Pedal cyclist injured in collision with car, pick-up truck or van, unspecified pedal cyclist injured in traffic accident",
    "V149": "Pedal cyclist injured in collision with heavy transport vehicle or bus, unspecified pedal cyclist injured in traffic accident",
    "V060": "Pedestrian injured in collision with other nonmotor vehicle, nontraffic accident",
    "V181": "Pedal cyclist injured in noncollision transport accident, passenger injured in nontraffic accident",
    "V193": "Pedal cyclist [any] injured in unspecified nontraffic accident",
    "V202": "Motorcycle rider injured in collision with pedestrian or animal, Unspecified motorcycle rider injured in nontraffic accident",
    "V209": "Motorcycle rider injured in collision with pedestrian or animal, Unspecified motorcycle rider injured in traffic accident",
    "V222": "Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, unspecified motorcycle rider injured in nontraffic accident",
    "M965": "Postradiation scoliosis",
    "M9920": "Subluxation stenosis of neural canal, head region",
    "M996": "Osseous and subluxation stenosis of intervertebral foramina",
    "N010": "Rapidly progressive nephritic syndrome, minor glomerular abnormality",
    "N049": "Nephrotic syndrome, unspecified",
    "N054": "Unspecified nephritic syndrome, diffuse endocapillary proliferative glomerulonephritis",
    "N056": "Unspecified nephritic syndrome, dense deposit disease",
    "N074": "Hereditary nephropathy, not elsewhere classified, diffuse endocapillary proliferative glomerulonephritis",
    "N075": "Hereditary nephropathy, not elsewhere classified, diffuse mesangiocapillary glomerulonephritis",
    "E883": "Tumour lysis syndrome",
    "F009": "Dementia in Alzheimer disease, unspecified",
    "45561995": "Invalid ICD10 Concept, do not use",
    "F069": "Unspecified mental disorder due to brain damage and dysfunction and to physical disease",
    "F072": "Postconcussional syndrome",
    "F09": "Unspecified organic or symptomatic mental disorder",
    "45562004": "Invalid ICD10 Concept, do not use",
    "F110": "Mental and behavioural disorders due to use of opioids, acute intoxication",
    "45562008": "Invalid ICD10 Concept, do not use",
    "45562009": "Invalid ICD10 Concept, do not use",
    "45561996": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45561997": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "F153": "Mental and behavioural disorders due to use of other stimulants, including caffeine, withdrawal state",
    "45562019": "Invalid ICD10 Concept, do not use",
    "45562022": "Invalid ICD10 Concept, do not use",
    "45562023": "Invalid ICD10 Concept, do not use",
    "F174": "Mental and behavioural disorders due to use of tobacco, withdrawal state with delirium",
    "F19": "Mental and behavioural disorders due to multiple drug use and use of other psychoactive substances",
    "S929": "Fracture of foot, unspecified",
    "S933": "Dislocation of other and unspecified parts of foot",
    "45557148": "Invalid ICD10 Concept, do not use",
    "F051": "Delirium superimposed on dementia",
    "M953": "Acquired deformity of neck",
    "N009": "Acute nephritic syndrome, Unspecified",
    "N043": "Nephrotic syndrome, diffuse mesangial proliferative glomerulonephritis",
    "N045": "Nephrotic syndrome, diffuse mesangiocapillary glomerulonephritis",
    "N084": "Glomerular disorders in other endocrine, nutritional and metabolic diseases",
    "N151": "Renal and perinephric abscess",
    "N159": "Renal tubulo-interstitial disease, unspecified",
    "N170": "Acute renal failure with tubular necrosis",
    "N171": "Acute renal failure with acute cortical necrosis",
    "N209": "Urinary calculus, unspecified",
    "45558142": "Invalid ICD10 Concept, do not use",
    "N281": "Cyst of kidney",
    "N291": "Other disorders of kidney and ureter in infectious and parasitic diseases classified elsewhere",
    "N324": "Rupture of bladder, nontraumatic",
    "N330": "Tuberculous cystitis",
    "N434": "Spermatocele",
    "N45": "Orchitis and epididymitis",
    "N484": "Impotence of organic origin",
    "N512": "Balanitis in diseases classified elsewhere",
    "N649": "Disorder of breast, unspecified",
    "N70": "Salpingitis and oophoritis",
    "N733": "Female acute pelvic peritonitis",
    "N763": "Subacute and chronic vulvitis",
    "N764": "Abscess of vulva",
    "N766": "Ulceration of vulva",
    "N811": "Cystocele",
    "N82": "Fistulae involving female genital tract",
    "V431": "Car occupant injured in collision with car, pick-up truck or van, passenger injured in nontraffic accident",
    "V445": "Car occupant injured in collision with heavy transport vehicle or bus, driver injured in traffic accident",
    "V449": "Car occupant injured in collision with heavy transport vehicle or bus, unspecified car occupant injured in traffic accident",
    "V455": "Car occupant injured in collision with railway train or railway vehicle, driver injured in traffic accident",
    "V469": "Car occupant injured in collision with other nonmotor vehicle, unspecified car occupant injured in traffic accident",
    "V498": "Car occupant [any] injured in other specified transport accidents",
    "45558150": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "H046": "Other changes in lacrimal passages",
    "H110": "Pterygium",
    "S967": "Injury of multiple muscles and tendons at ankle and foot level",
    "S971": "Crushing injury of toe(s)",
    "T042": "Crushing injuries involving multiple regions of upper limb(s)",
    "T049": "Multiple crushing injuries, unspecified",
    "T050": "Traumatic amputation of both hands",
    "T148": "Other injuries of unspecified body region",
    "T184": "Foreign body in colon",
    "S427": "Multiple fractures of clavicle, scapula and humerus",
    "F147": "Mental and behavioural disorders due to use of cocaine, residual and late-onset psychotic disorder",
    "F148": "Mental and behavioural disorders due to use of cocaine, other mental and behavioural disorders",
    "F151": "Mental and behavioural disorders due to use of other stimulants, including caffeine, harmful use",
    "F169": "Mental and behavioural disorders due to use of hallucinogens, unspecified mental and behavioural disorder",
    "45581436": "Invalid ICD10 Concept, do not use",
    "45581440": "Invalid ICD10 Concept, do not use",
    "45581443": "Invalid ICD10 Concept, do not use",
    "45581444": "Invalid ICD10 Concept, do not use",
    "F202": "Catatonic schizophrenia",
    "45581446": "Invalid ICD10 Concept, do not use",
    "F205": "Residual schizophrenia",
    "45581448": "Invalid ICD10 Concept, do not use",
    "45581449": "Invalid ICD10 Concept, do not use",
    "F22": "Persistent delusional disorders",
    "F220": "Delusional disorder",
    "45581453": "Invalid ICD10 Concept, do not use",
    "F24": "Induced delusional disorder",
    "N908": "Other specified noninflammatory disorders of vulva and perineum",
    "N95": "Menopausal and other perimenopausal disorders",
    "N952": "Postmenopausal atrophic vaginitis",
    "N958": "Other specified menopausal and perimenopausal disorders",
    "N979": "Female infertility, unspecified",
    "O000": "Abdominal pregnancy",
    "O008": "Other ectopic pregnancy",
    "O036": "Spontaneous abortion, Complete or unspecified, complicated by delayed or excessive haemorrhage",
    "O102": "Pre-existing hypertensive renal disease complicating pregnancy, childbirth and the puerperium",
    "O200": "Threatened abortion",
    "O042": "Medical abortion, incomplete, complicated by embolism",
    "S558": "Injury of other blood vessels at forearm level",
    "J02": "Acute pharyngitis",
    "J111": "Influenza with other respiratory manifestations, virus not identified",
    "J122": "Parainfluenza virus pneumonia",
    "J123": "Human metapneumovirus pneumonia",
    "J159": "Bacterial pneumonia, unspecified",
    "J358": "Other chronic diseases of tonsils and adenoids",
    "J450": "Predominantly allergic asthma",
    "J451": "Nonallergic asthma",
    "J701": "Chronic and other pulmonary manifestations due to radiation",
    "J81": "Pulmonary oedema",
    "J841": "Other interstitial pulmonary diseases with fibrosis",
    "J86": "Pyothorax",
    "J961": "Chronic respiratory failure",
    "K00": "Disorders of tooth development and eruption",
    "K074": "Malocclusion, unspecified",
    "K078": "Other dentofacial anomalies",
    "K079": "Dentofacial anomaly, unspecified",
    "K132": "Leukoplakia and other disturbances of oral epithelium, including tongue",
    "K223": "Perforation of oesophagus",
    "K253": "Gastric ulcer, Acute without haemorrhage or perforation",
    "K318": "Other specified diseases of stomach and duodenum",
    "K353": "Acute appendicitis with localized peritonitis",
    "K359": "Acute appendicitis, unspecified",
    "K42": "Umbilical hernia",
    "K51": "Ulcerative colitis",
    "K510": "Ulcerative (chronic) pancolitis",
    "K558": "Other vascular disorders of intestine",
    "K561": "Intussusception",
    "K590": "Constipation",
    "K601": "Chronic anal fissure",
    "K658": "Other peritonitis",
    "K670": "Chlamydial peritonitis",
    "K701": "Alcoholic hepatitis",
    "K702": "Alcoholic fibrosis and sclerosis of liver",
    "K71": "Toxic liver disease",
    "K711": "Toxic liver disease with hepatic necrosis",
    "K719": "Toxic liver disease, unspecified",
    "K720": "Acute and subacute hepatic failure",
    "K743": "Primary biliary cirrhosis",
    "K767": "Hepatorenal syndrome",
    "T357": "Unspecified frostbite of unspecified site",
    "T366": "Poisoning: Rifamycins",
    "T371": "Poisoning: Antimycobacterial drugs",
    "S758": "Injury of other blood vessels at hip and thigh level",
    "E329": "Disease of thymus, unspecified",
    "E42": "Marasmic kwashiorkor",
    "E519": "Thiamine deficiency, unspecified",
    "E53": "Deficiency of other B group vitamins",
    "E58": "Dietary calcium deficiency",
    "E618": "Deficiency of other specified nutrient elements",
    "E648": "Sequelae of other nutritional deficiencies",
    "E710": "Maple-syrup-urine disease",
    "E723": "Disorders of lysine and hydroxylysine metabolism",
    "E740": "Glycogen storage disease",
    "E755": "Other lipid storage disorders",
    "E807": "Disorder of bilirubin metabolism, unspecified",
    "E835": "Disorders of calcium metabolism",
    "E851": "Neuropathic heredofamilial amyloidosis",
    "E894": "Postprocedural ovarian failure",
    "E896": "Postprocedural adrenocortical(-medullary) hypofunction",
    "45566767": "Invalid ICD10 Concept, do not use",
    "45566768": "Invalid ICD10 Concept, do not use",
    "45566769": "Invalid ICD10 Concept, do not use",
    "F024": "Dementia in human immunodeficiency virus [HIV] disease",
    "45566771": "Invalid ICD10 Concept, do not use",
    "F03": "Unspecified dementia",
    "V239": "Motorcycle rider injured in collision with car, pick-up truck or van, unspecified motorcycle rider injured in traffic accident",
    "F122": "Mental and behavioural disorders due to use of cannabinoids, dependence syndrome",
    "45566789": "Invalid ICD10 Concept, do not use",
    "F125": "Mental and behavioural disorders due to use of cannabinoids, psychotic disorder",
    "F135": "Mental and behavioural disorders due to use of sedatives or hypnotics, psychotic disorder",
    "F137": "Mental and behavioural disorders due to use of sedatives or hypnotics, residual and late-onset psychotic disorder",
    "S924": "Fracture of great toe",
    "S925": "Fracture of other toe",
    "S670": "Crushing injury of thumb and other finger(s)",
    "S680": "Traumatic amputation of thumb (complete)(partial)",
    "45562034": "Invalid ICD10 Concept, do not use",
    "F197": "Mental and behavioural disorders due to multiple drug use and use of other psychoactive substances, residual and late-onset psychotic disorder",
    "45562037": "Invalid ICD10 Concept, do not use",
    "45562039": "Invalid ICD10 Concept, do not use",
    "45562040": "Invalid ICD10 Concept, do not use",
    "F320": "Mild depressive episode",
    "F333": "Recurrent depressive disorder, current episode severe with psychotic symptoms",
    "F340": "Cyclothymia",
    "45562044": "Invalid ICD10 Concept, do not use",
    "F410": "Panic disorder [episodic paroxysmal anxiety]",
    "F42": "Obsessive-compulsive disorder",
    "F44": "Dissociative [conversion] disorders",
    "F446": "Dissociative anaesthesia and sensory loss",
    "F459": "Somatoform disorder, unspecified",
    "F500": "Anorexia nervosa",
    "F512": "Nonorganic disorder of the sleep-wake schedule",
    "F514": "Sleep terrors [night terrors]",
    "N12": "Tubulo-interstitial nephritis, not specified as acute or chronic",
    "N130": "Hydronephrosis with ureteropelvic junction obstruction",
    "N134": "Hydroureter",
    "N142": "Nephropathy induced by unspecified drug, medicament or biological substance",
    "N150": "Balkan nephropathy",
    "N21": "Calculus of lower urinary tract",
    "N30": "Cystitis",
    "N398": "Other specified disorders of urinary system",
    "N40": "Hyperplasia of prostate",
    "N410": "Acute prostatitis",
    "N740": "Tuberculous infection of cervix uteri",
    "N765": "Ulceration of vagina",
    "N80": "Endometriosis",
    "N800": "Endometriosis of uterus",
    "N819": "Female genital prolapse, unspecified",
    "N891": "Moderate vaginal dysplasia",
    "N93": "Other abnormal uterine and vaginal bleeding",
    "N94": "Pain and other conditions associated with female genital organs and menstrual cycle",
    "N97": "Female infertility",
    "N989": "Complication associated with artificial fertilization, unspecified",
    "N995": "Malfunction of external stoma of urinary tract",
    "O033": "Spontaneous abortion, Incomplete, with other and unspecified complications",
    "O039": "Spontaneous abortion, Complete or unspecified, without complication",
    "O085": "Metabolic disorders following abortion and ectopic and molar pregnancy",
    "S699": "Unspecified injury of wrist and hand",
    "S708": "Other superficial injuries of hip and thigh",
    "S71": "Open wound of hip and thigh",
    "V291": "Passenger injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V298": "Motorcycle rider [any] injured in other specified transport accidents",
    "S949": "Injury of unspecified nerve at ankle and foot level",
    "N825": "Female genital tract-skin fistulae",
    "N833": "Acquired atrophy of ovary and fallopian tube",
    "N848": "Polyp of other parts of female genital tract",
    "N883": "Incompetence of cervix uteri",
    "N884": "Hypertrophic elongation of cervix uteri",
    "N906": "Hypertrophy of vulva",
    "N949": "Unspecified condition associated with female genital organs and menstrual cycle",
    "N959": "Menopausal and perimenopausal disorder, unspecified",
    "N971": "Female infertility of tubal origin",
    "H138": "Other disorders of conjunctiva in diseases classified elsewhere",
    "H16": "Keratitis",
    "H168": "Other keratitis",
    "H208": "Other iridocyclitis",
    "H21": "Other disorders of iris and ciliary body",
    "T213": "Burn of third degree of trunk",
    "V530": "Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, driver injured in nontraffic accident",
    "V570": "Occupant of pick-up truck or van injured in collision with fixed or stationary object, driver injured in nontraffic accident",
    "O260": "Excessive weight gain in pregnancy",
    "O266": "Liver disorders in pregnancy, childbirth and the puerperium",
    "O28": "Abnormal findings on antenatal screening of mother",
    "O294": "Spinal and epidural anaesthesia-induced headache during pregnancy",
    "O295": "Other complications of spinal and epidural anaesthesia during pregnancy",
    "O318": "Other complications specific to multiple gestation",
    "S44": "Injury of nerves at shoulder and upper arm level",
    "F314": "Bipolar affective disorder, current episode severe depression without psychotic symptoms",
    "F317": "Bipolar affective disorder, currently in remission",
    "F339": "Recurrent depressive disorder, unspecified",
    "F451": "Undifferentiated somatoform disorder",
    "F502": "Bulimia nervosa",
    "F508": "Other eating disorders",
    "F652": "Exhibitionism",
    "F718": "Moderate mental retardation, other impairments of behaviour",
    "F78": "Other mental retardation",
    "F79": "Unspecified mental retardation",
    "F809": "Developmental disorder of speech and language, unspecified",
    "F819": "Developmental disorder of scholastic skills, unspecified",
    "F840": "Childhood autism",
    "F90": "Hyperkinetic disorders",
    "F920": "Depressive conduct disorder",
    "F982": "Feeding disorder of infancy and childhood",
    "G112": "Late-onset cerebellar ataxia",
    "G132": "Systemic atrophy primarily affecting central nervous system in myxoedema",
    "G255": "Other chorea",
    "G360": "Neuromyelitis optica [Devic]",
    "G368": "Other specified acute disseminated demyelination",
    "G407": "Petit mal, unspecified, without grand mal seizures",
    "G442": "Tension-type headache",
    "G443": "Chronic post-traumatic headache",
    "G478": "Other sleep disorders",
    "G500": "Trigeminal neuralgia",
    "G522": "Disorders of vagus nerve",
    "G529": "Cranial nerve disorder, unspecified",
    "G542": "Cervical root disorders, not elsewhere classified",
    "S562": "Injury of other flexor muscle and tendon at forearm level",
    "S11": "Open wound of neck",
    "S112": "Open wound involving pharynx and cervical oesophagus",
    "K858": "Other acute pancreatitis",
    "K90": "Intestinal malabsorption",
    "K904": "Malabsorption due to intolerance, not elsewhere classified",
    "L011": "Impetiginization of other dermatoses",
    "T389": "Poisoning: Other and unspecified hormone antagonists",
    "F146": "Mental and behavioural disorders due to use of cocaine, amnesic syndrome",
    "F159": "Mental and behavioural disorders due to use of other stimulants, including caffeine, unspecified mental and behavioural disorder",
    "45566806": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "F160": "Mental and behavioural disorders due to use of hallucinogens, acute intoxication",
    "V410": "Car occupant injured in collision with pedal cycle, driver injured in nontraffic accident",
    "S682": "Traumatic amputation of two or more fingers alone (complete)(partial)",
    "S698": "Other specified injuries of wrist and hand",
    "V346": "Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, passenger injured in traffic accident",
    "V370": "Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, driver injured in nontraffic accident",
    "45564564": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S951": "Injury of plantar artery of foot",
    "O121": "Gestational proteinuria",
    "O16": "Unspecified maternal hypertension",
    "O233": "Infections of other parts of urinary tract in pregnancy",
    "O243": "Diabetes mellitus in pregnancy: Pre-existing diabetes mellitus, unspecified",
    "F525": "Nonorganic vaginismus",
    "45562060": "Invalid ICD10 Concept, do not use",
    "F631": "Pathological fire-setting [pyromania]",
    "F641": "Dual-role transvestism",
    "45562064": "Invalid ICD10 Concept, do not use",
    "F842": "Rett syndrome",
    "F931": "Phobic anxiety disorder of childhood",
    "F940": "Elective mutism",
    "G01": "Meningitis in bacterial diseases classified elsewhere",
    "G021": "Meningitis in mycoses",
    "G049": "Encephalitis, myelitis and encephalomyelitis, unspecified",
    "G052": "Encephalitis, myelitis and encephalomyelitis in other infectious and parasitic diseases classified elsewhere",
    "G10": "Huntington disease",
    "G119": "Hereditary ataxia, unspecified",
    "G238": "Other specified degenerative diseases of basal ganglia",
    "G26": "Extrapyramidal and movement disorders in diseases classified elsewhere",
    "G405": "Special epileptic syndromes",
    "G409": "Epilepsy, unspecified",
    "G41": "Status epilepticus",
    "G431": "Migraine with aura [classical migraine]",
    "45562084": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "G45": "Transient cerebral ischaemic attacks and related syndromes",
    "G473": "Sleep apnoea",
    "G51": "Facial nerve disorders",
    "G513": "Clonic hemifacial spasm",
    "G533": "Multiple cranial nerve palsies in neoplastic disease",
    "G609": "Hereditary and idiopathic neuropathy, unspecified",
    "G610": "Guillain-Barré syndrome",
    "G731": "Lambert-Eaton syndrome",
    "G819": "Hemiplegia, unspecified",
    "G825": "Tetraplegia, unspecified",
    "G935": "Compression of brain",
    "G950": "Syringomyelia and syringobulbia",
    "G96": "Other disorders of central nervous system",
    "G992": "Myelopathy in diseases classified elsewhere",
    "H000": "Hordeolum and other deep inflammation of eyelid",
    "T032": "Dislocations, sprains and strains involving multiple regions of upper limb(s)",
    "T043": "Crushing injuries involving multiple regions of lower limb(s)",
    "T051": "Traumatic amputation of one hand and other arm [any level, except hand]",
    "T068": "Other specified injuries involving multiple body regions",
    "T116": "Traumatic amputation of upper limb, level unspecified",
    "V365": "Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, driver injured in traffic accident",
    "V387": "Occupant of three-wheeled motor vehicle injured in noncollision transport accident, person on outside of vehicle injured in traffic accident",
    "45560429": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "O62": "Abnormalities of forces of labour",
    "O642": "Obstructed labour due to face presentation",
    "O691": "Labour and delivery complicated by cord around neck, with compression",
    "O720": "Third-stage haemorrhage",
    "O742": "Cardiac complications of anaesthesia during labour and delivery",
    "O842": "Multiple delivery, all by caesarean section",
    "O905": "Postpartum thyroiditis",
    "O990": "Anaemia complicating pregnancy, childbirth and the puerperium",
    "P019": "Fetus and newborn affected by maternal complication of pregnancy, unspecified",
    "P052": "Fetal malnutrition without mention of light or small for gestational age",
    "H270": "Aphakia",
    "H282": "Cataract in other diseases classified elsewhere",
    "V690": "Driver injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V683": "Occupant of heavy transport vehicle injured in noncollision transport accident, unspecified occupant of heavy transport vehicle injured in nontraffic accident",
    "H358": "Other specified retinal disorders",
    "T230": "Burn of unspecified degree of wrist and hand",
    "S448": "Injury of other nerves at shoulder and upper arm level",
    "G579": "Mononeuropathy of lower limb, unspecified",
    "G62": "Other polyneuropathies",
    "G709": "Myoneural disorder, unspecified",
    "G730": "Myasthenic syndromes in endocrine diseases",
    "G838": "Other specified paralytic syndromes",
    "G90": "Disorders of autonomic nervous system",
    "G901": "Familial dysautonomia [Riley-Day]",
    "G904": "Autonomic dysreflexia",
    "G968": "Other specified disorders of central nervous system",
    "O32": "Maternal care for known or suspected malpresentation of fetus",
    "T480": "Poisoning: Oxytocic drugs",
    "T483": "Poisoning: Antitussives",
    "S581": "Traumatic amputation at level between elbow and wrist",
    "L030": "Cellulitis of finger and toe",
    "L105": "Drug-induced pemphigus",
    "L129": "Pemphigoid, unspecified",
    "L20": "Atopic dermatitis",
    "L230": "Allergic contact dermatitis due to metals",
    "L236": "Allergic contact dermatitis due to food in contact with skin",
    "L237": "Allergic contact dermatitis due to plants, except food",
    "L302": "Cutaneous autosensitization",
    "L405": "Arthropathic psoriasis",
    "L45": "Papulosquamous disorders in diseases classified elsewhere",
    "L563": "Solar urticaria",
    "L568": "Other specified acute skin changes due to ultraviolet radiation",
    "L590": "Erythema ab igne [dermatitis ab igne]",
    "L638": "Other alopecia areata",
    "L658": "Other specified nonscarring hair loss",
    "L73": "Other follicular disorders",
    "L732": "Hidradenitis suppurativa",
    "L750": "Bromhidrosis",
    "L870": "Keratosis follicularis et parafollicularis in cutem penetrans [Kyrle]",
    "L872": "Elastosis perforans serpiginosa",
    "L906": "Striae atrophicae",
    "L94": "Other localized connective tissue disorders",
    "L95": "Vasculitis limited to skin, not elsewhere classified",
    "L950": "Livedoid vasculitis",
    "L986": "Other infiltrative disorders of skin and subcutaneous tissue",
    "M018": "Arthritis in other infectious and parasitic diseases classified elsewhere",
    "T398": "Poisoning: Other nonopioid analgesics and antipyretics, not elsewhere classified",
    "T400": "Poisoning: Opium",
    "T425": "Poisoning: Mixed antiepileptics, not elsewhere classified",
    "S81": "Open wound of lower leg",
    "45566814": "Invalid ICD10 Concept, do not use",
    "45566817": "Invalid ICD10 Concept, do not use",
    "45566821": "Invalid ICD10 Concept, do not use",
    "45566822": "Invalid ICD10 Concept, do not use",
    "45566823": "Invalid ICD10 Concept, do not use",
    "F198": "Mental and behavioural disorders due to multiple drug use and use of other psychoactive substances, other mental and behavioural disorders",
    "45566831": "Invalid ICD10 Concept, do not use",
    "45566832": "Invalid ICD10 Concept, do not use",
    "F204": "Post-schizophrenic depression",
    "45566834": "Invalid ICD10 Concept, do not use",
    "45566835": "Invalid ICD10 Concept, do not use",
    "45566830": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45566837": "Invalid ICD10 Concept, do not use",
    "F388": "Other specified mood [affective] disorders",
    "F412": "Mixed anxiety and depressive disorder",
    "F524": "Premature ejaculation",
    "F603": "Emotionally unstable personality disorder",
    "45566853": "Invalid ICD10 Concept, do not use",
    "F658": "Other disorders of sexual preference",
    "F790": "Unspecified mental retardation, with the statement of no, or minimal, impairment of behaviour",
    "F808": "Other developmental disorders of speech and language",
    "F949": "Childhood disorder of social functioning, unspecified",
    "G028": "Meningitis in other specified infectious and parasitic diseases classified elsewhere",
    "G08": "Intracranial and intraspinal phlebitis and thrombophlebitis",
    "G212": "Secondary parkinsonism due to other external agents",
    "S970": "Crushing injury of ankle",
    "S998": "Other specified injuries of ankle and foot",
    "T00": "Superficial injuries involving multiple body regions",
    "T020": "Fractures involving head with neck",
    "T025": "Fractures involving multiple regions of both lower limbs",
    "T030": "Dislocations, sprains and strains involving head with neck",
    "T052": "Traumatic amputation of both arms [any level]",
    "T054": "Traumatic amputation of one foot and other leg [any level, except foot]",
    "T093": "Injury of spinal cord, level unspecified",
    "T118": "Other specified injuries of upper limb, level unspecified",
    "T138": "Other specified injuries of lower limb, level unspecified",
    "T144": "Injury of nerve(s) of unspecified body region",
    "S440": "Injury of ulnar nerve at upper arm level",
    "45565279": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "O298": "Other complications of anaesthesia during pregnancy",
    "O300": "Twin pregnancy",
    "O352": "Maternal care for (suspected) hereditary disease in fetus",
    "V394": "Driver injured in collision with other and unspecified motor vehicles in traffic accident",
    "T19": "Foreign body in genitourinary tract",
    "T207": "Corrosion of third degree of head and neck",
    "H404": "Glaucoma secondary to eye inflammation",
    "H432": "Crystalline deposits in vitreous body",
    "H470": "Disorders of optic nerve, not elsewhere classified",
    "P080": "Exceptionally large baby",
    "P114": "Birth injury to other cranial nerves",
    "P153": "Birth injury to eye",
    "P219": "Birth asphyxia, unspecified",
    "P230": "Congenital pneumonia due to viral agent",
    "P239": "Congenital pneumonia, unspecified",
    "P285": "Respiratory failure of newborn",
    "P291": "Neonatal cardiac dysrhythmia",
    "P365": "Sepsis of newborn due to anaerobes",
    "P508": "Other fetal blood loss",
    "P524": "Intracerebral (nontraumatic) haemorrhage of fetus and newborn",
    "P53": "Haemorrhagic disease of fetus and newborn",
    "P591": "Inspissated bile syndrome",
    "P593": "Neonatal jaundice from breast milk inhibitor",
    "P60": "Disseminated intravascular coagulation of fetus and newborn",
    "45587428": "Invalid ICD10 Concept, do not use",
    "45587429": "Invalid ICD10 Concept, do not use",
    "45587430": "Invalid ICD10 Concept, do not use",
    "P722": "Other transitory neonatal disorders of thyroid function, not elsewhere classified",
    "Q01": "Encephalocele",
    "Q041": "Arhinencephaly",
    "Q050": "Cervical spina bifida with hydrocephalus",
    "Q060": "Amyelia",
    "Q140": "Congenital malformation of vitreous humour",
    "Q159": "Congenital malformation of eye, unspecified",
    "V779": "Bus occupant injured in collision with fixed or stationary object, unspecified bus occupant injured in traffic accident",
    "V818": "Occupant of railway train or railway vehicle injured in other specified railway accidents",
    "T505": "Poisoning: Appetite depressants",
    "T508": "Poisoning: Diagnostic agents",
    "T509": "Poisoning: Other and unspecified drugs, medicaments and biological substances",
    "Z001": "Routine child health examination",
    "Z026": "Examination for insurance purposes",
    "Z043": "Examination and observation following other accident",
    "Z094": "Follow-up examination after treatment of fracture",
    "M051": "Rheumatoid lung disease",
    "G214": "Vascular parkinsonism",
    "G240": "Drug-induced dystonia",
    "G242": "Idiopathic nonfamilial dystonia",
    "G300": "Alzheimer disease with early onset",
    "G374": "Subacute necrotizing myelitis",
    "G43": "Migraine",
    "M865": "Other chronic haematogenous osteomyelitis",
    "M891": "Epiphyseal arrest",
    "M894": "Other hypertrophic osteoarthropathy",
    "M920": "Juvenile osteochondrosis of humerus",
    "M923": "Other juvenile osteochondrosis of upper limb",
    "V432": "Car occupant injured in collision with car, pick-up truck or van, person on outside of vehicle injured in nontraffic accident",
    "V456": "Car occupant injured in collision with railway train or railway vehicle, passenger injured in traffic accident",
    "V479": "Car occupant injured in collision with fixed or stationary object, unspecified car occupant injured in traffic accident",
    "V499": "Car occupant [any] injured in unspecified traffic accident",
    "V501": "Occupant of pick-up truck or van injured in collision with pedestrian or animal, Passenger injured in nontraffic accident",
    "V561": "Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, passenger injured in nontraffic accident",
    "T17": "Foreign body in respiratory tract",
    "T182": "Foreign body in stomach",
    "H050": "Acute inflammation of orbit",
    "H108": "Other conjunctivitis",
    "H111": "Conjunctival degenerations and deposits",
    "H178": "Other corneal scars and opacities",
    "H183": "Changes in corneal membranes",
    "H190": "Scleritis and episcleritis in diseases classified elsewhere",
    "H201": "Chronic iridocyclitis",
    "H212": "Degeneration of iris and ciliary body",
    "Q17": "Other congenital malformations of ear",
    "Q174": "Misplaced ear",
    "Q187": "Microcheilia",
    "Q189": "Congenital malformation of face and neck, unspecified",
    "Q201": "Double outlet right ventricle",
    "Q212": "Atrioventricular septal defect",
    "Q223": "Other congenital malformations of pulmonary valve",
    "Q230": "Congenital stenosis of aortic valve",
    "Q255": "Atresia of pulmonary artery",
    "Q260": "Congenital stenosis of vena cava",
    "Q261": "Persistent left superior vena cava",
    "Q319": "Congenital malformation of larynx, unspecified",
    "Q338": "Other congenital malformations of lung",
    "Q341": "Congenital cyst of mediastinum",
    "Q349": "Congenital malformation of respiratory system, unspecified",
    "Q361": "Cleft lip, median",
    "Q422": "Congenital absence, atresia and stenosis of anus with fistula",
    "Q423": "Congenital absence, atresia and stenosis of anus without fistula",
    "Q436": "Congenital fistula of rectum and anus",
    "Q501": "Developmental ovarian cyst",
    "Q525": "Fusion of labia",
    "Q528": "Other specified congenital malformations of female genitalia",
    "Q559": "Congenital malformation of male genital organ, unspecified",
    "Q665": "Congenital pes planus",
    "Q691": "Accessory thumb(s)",
    "Q711": "Congenital absence of upper arm and forearm with hand present",
    "Q715": "Longitudinal reduction defect of ulna",
    "Q768": "Other congenital malformations of bony thorax",
    "Q796": "Ehlers-Danlos syndrome",
    "H490": "Third [oculomotor] nerve palsy",
    "H525": "Disorders of accommodation",
    "H538": "Other visual disturbances",
    "H547": "Unspecified visual loss",
    "H604": "Cholesteatoma of external ear",
    "H661": "Chronic tubotympanic suppurative otitis media",
    "H681": "Obstruction of Eustachian tube",
    "T236": "Corrosion of second degree of wrist and hand",
    "H218": "Other specified disorders of iris and ciliary body",
    "H22": "Disorders of iris and ciliary body in diseases classified elsewhere",
    "H251": "Senile nuclear cataract",
    "H26": "Other cataract",
    "H309": "Chorioretinal inflammation, unspecified",
    "H356": "Retinal haemorrhage",
    "P018": "Fetus and newborn affected by other maternal complications of pregnancy",
    "S921": "Fracture of talus",
    "S357": "Injury of multiple blood vessels at abdomen, lower back and pelvis level",
    "C848": "Cutaneous T-cell lymphoma, unspecified",
    "C866": "Primary cutaneous C",
    "C889": "Malignant immunoproliferative disease, unspecified",
    "C965": "Multifocal and unisystemic Langerhans-cell histiocytosis",
    "D04": "Carcinoma in situ of skin",
    "D042": "Carcinoma in situ: Skin of ear and external auricular canal",
    "D047": "Carcinoma in situ: Skin of lower limb, including hip",
    "D049": "Carcinoma in situ: Skin, unspecified",
    "M819": "Osteoporosis, unspecified",
    "T934": "Sequelae of injury of nerve of lower limb",
    "T97": "Sequelae of toxic effects of substances chiefly nonmedicinal as to source",
    "45590138": "Invalid ICD10 Concept, do not use",
    "T982": "Sequelae of certain early complications of trauma",
    "45591962": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "V020": "Pedestrian injured in collision with two- or three-wheeled motor vehicle, nontraffic accident",
    "S399": "Unspecified injury of abdomen, lower back and pelvis",
    "S40": "Superficial injury of shoulder and upper arm",
    "D236": "Benign neoplasm: Skin of upper limb, including shoulder",
    "45586096": "Invalid ICD10 Concept, do not use",
    "D351": "Benign neoplasm: Parathyroid gland",
    "D376": "Neoplasm of uncertain or unknown behaviour: Liver, gallbladder and bile ducts",
    "D40": "Neoplasm of uncertain or unknown behaviour of male genital organs",
    "D417": "Neoplasm of uncertain or unknown behaviour: Other urinary organs",
    "D421": "Neoplasm of uncertain or unknown behaviour: Spinal meninges",
    "D431": "Neoplasm of uncertain or unknown behaviour: Brain, infratentorial",
    "D462": "Refractory anaemia with excess of blasts [RAEB]",
    "D47": "Other neoplasms of uncertain or unknown behaviour of lymphoid, haematopoietic and related tissue",
    "D480": "Neoplasm of uncertain or unknown behaviour: Bone and articular cartilage",
    "D485": "Neoplasm of uncertain or unknown behaviour: Skin",
    "D487": "Neoplasm of uncertain or unknown behaviour: Other specified sites",
    "D582": "Other haemoglobinopathies",
    "D588": "Other specified hereditary haemolytic anaemias",
    "D595": "Paroxysmal nocturnal haemoglobinuria [Marchiafava-Micheli]",
    "D721": "Eosinophilia",
    "D806": "Antibody deficiency with near-normal immunoglobulins or with hyperimmunoglobulinaemia",
    "D824": "Hyperimmunoglobulin E [IgE] syndrome",
    "D829": "Immunodeficiency associated with major defect, unspecified",
    "D830": "Common variable immunodeficiency with predominant abnormalities of B-cell numbers and function",
    "D862": "Sarcoidosis of lung with sarcoidosis of lymph nodes",
    "D893": "Immune reconstitution syndrome",
    "E030": "Congenital hypothyroidism with diffuse goitre",
    "E033": "Postinfectious hypothyroidism",
    "E059": "Thyrotoxicosis, unspecified",
    "E102": "Type 1 diabetes mellitus, With renal complications",
    "S903": "Contusion of other and unspecified parts of foot",
    "T838": "Other complications of genitourinary prosthetic devices, implants and grafts",
    "T841": "Mechanical complication of internal fixation device of bones of limb",
    "S632": "Multiple dislocations of fingers",
    "M672": "Synovial hypertrophy, not elsewhere classified",
    "M674": "Ganglion",
    "M772": "Periarthritis of wrist",
    "T454": "Poisoning: Iron and its compounds",
    "H748": "Other specified disorders of middle ear and mastoid",
    "H749": "Disorder of middle ear and mastoid, unspecified",
    "H839": "Disease of inner ear, unspecified",
    "H900": "Conductive hearing loss, bilateral",
    "H939": "Disorder of ear, unspecified",
    "I078": "Other tricuspid valve diseases",
    "I079": "Tricuspid valve disease, unspecified",
    "I090": "Rheumatic myocarditis",
    "I129": "Hypertensive renal disease without renal failure",
    "I219": "Acute myocardial infarction, unspecified",
    "I234": "Rupture of chordae tendineae as current complication following acute myocardial infarction",
    "I236": "Thrombosis of atrium, auricular appendage, and ventricle as current complications following acute myocardial infarction",
    "I31": "Other diseases of pericardium",
    "I32": "Pericarditis in diseases classified elsewhere",
    "I320": "Pericarditis in bacterial diseases classified elsewhere",
    "I328": "Pericarditis in other diseases classified elsewhere",
    "I330": "Acute and subacute infective endocarditis",
    "I34": "Nonrheumatic mitral valve disorders",
    "I410": "Myocarditis in bacterial diseases classified elsewhere",
    "I438": "Cardiomyopathy in other diseases classified elsewhere",
    "P560": "Hydrops fetalis due to isoimmunization",
    "P581": "Neonatal jaundice due to bleeding",
    "P592": "Neonatal jaundice from other and unspecified hepatocellular damage",
    "P75": "Meconium ileus in cystic fibrosis",
    "P762": "Intestinal obstruction due to inspissated milk",
    "P809": "Hypothermia of newborn, unspecified",
    "P925": "Neonatal difficulty in feeding at breast",
    "P961": "Neonatal withdrawal symptoms from maternal use of drugs of addiction",
    "P963": "Wide cranial sutures of newborn",
    "T198": "Foreign body in other and multiple parts of genitourinary tract",
    "T199": "Foreign body in genitourinary tract, part unspecified",
    "T224": "Corrosion of unspecified degree of shoulder and upper limb, except wrist and hand",
    "S761": "Injury of quadriceps muscle and tendon",
    "P025": "Fetus and newborn affected by other compression of umbilical cord",
    "P027": "Fetus and newborn affected by chorioamnionitis",
    "P048": "Fetus and newborn affected by other maternal noxious influences",
    "P05": "Slow fetal growth and fetal malnutrition",
    "P110": "Cerebral oedema due to birth injury",
    "P154": "Birth injury to face",
    "P228": "Other respiratory distress of newborn",
    "P23": "Congenital pneumonia",
    "P251": "Pneumothorax originating in the perinatal period",
    "P253": "Pneumopericardium originating in the perinatal period",
    "P37": "Other congenital infectious and parasitic diseases",
    "P391": "Neonatal conjunctivitis and dacryocystitis",
    "P52": "Intracranial nontraumatic haemorrhage of fetus and newborn",
    "P549": "Neonatal haemorrhage, unspecified",
    "P559": "Haemolytic disease of fetus and newborn, unspecified",
    "P598": "Neonatal jaundice from other specified causes",
    "45582625": "Invalid ICD10 Concept, do not use",
    "P748": "Other transitory metabolic disturbances of newborn",
    "P760": "Meconium plug syndrome",
    "P77": "Necrotizing enterocolitis of fetus and newborn",
    "P80": "Hypothermia of newborn",
    "P83": "Other conditions of integument specific to fetus and newborn",
    "Q012": "Occipital encephalocele",
    "Q13": "Congenital malformations of anterior segment of eye",
    "Q139": "Congenital malformation of anterior segment of eye, unspecified",
    "Q162": "Absence of eustachian tube",
    "Q165": "Congenital malformation of inner ear",
    "Q172": "Microtia",
    "Q180": "Sinus, fistula and cyst of branchial cleft",
    "Q183": "Webbing of neck",
    "Q231": "Congenital insufficiency of aortic valve",
    "Q248": "Other specified congenital malformations of heart",
    "Q257": "Other congenital malformations of pulmonary artery",
    "Q259": "Congenital malformation of great arteries, unspecified",
    "Q371": "Cleft hard palate with unilateral cleft lip",
    "Q379": "Unspecified cleft palate with unilateral cleft lip",
    "Q380": "Congenital malformations of lips, not elsewhere classified",
    "Q383": "Other congenital malformations of tongue",
    "Q418": "Congenital absence, atresia and stenosis of other specified parts of small intestine",
    "Q434": "Duplication of intestine",
    "Q439": "Congenital malformation of intestine, unspecified",
    "Q504": "Embryonic cyst of fallopian tube",
    "Q513": "Bicornate uterus",
    "Q515": "Agenesis and aplasia of cervix",
    "Q606": "Potter syndrome",
    "Q63": "Other congenital malformations of kidney",
    "Q631": "Lobulated, fused and horseshoe kidney",
    "Q633": "Hyperplastic and giant kidney",
    "Q647": "Other congenital malformations of bladder and urethra",
    "Q664": "Talipes calcaneovalgus",
    "H403": "Glaucoma secondary to eye trauma",
    "H420": "Glaucoma in endocrine, nutritional and metabolic diseases",
    "H440": "Purulent endophthalmitis",
    "H494": "Progressive external ophthalmoplegia",
    "S378": "Injury of other pelvic organs",
    "D11": "Benign neoplasm of major salivary glands",
    "D181": "Lymphangioma, any site",
    "D190": "Benign neoplasm: Mesothelial tissue of pleura",
    "D200": "Benign neoplasm: Retroperitoneum",
    "D21": "Other benign neoplasms of connective and other soft tissue",
    "D224": "Melanocytic naevi of scalp and neck",
    "D226": "Melanocytic naevi of upper limb, including shoulder",
    "D23": "Other benign neoplasms of skin",
    "D267": "Other benign neoplasm: Other parts of uterus",
    "D269": "Other benign neoplasm: Uterus, unspecified",
    "D301": "Benign neoplasm: Renal pelvis",
    "D303": "Benign neoplasm: Bladder",
    "D311": "Benign neoplasm: Cornea",
    "D312": "Benign neoplasm: Retina",
    "D353": "Benign neoplasm: Craniopharyngeal duct",
    "D356": "Benign neoplasm: Aortic body and other paraganglia",
    "D371": "Neoplasm of uncertain or unknown behaviour: Stomach",
    "D43": "Neoplasm of uncertain or unknown behaviour of brain and central nervous system",
    "D528": "Other folate deficiency anaemias",
    "D60": "Acquired pure red cell aplasia [erythroblastopenia]",
    "D62": "Acute posthaemorrhagic anaemia",
    "D644": "Congenital dyserythropoietic anaemia",
    "D681": "Hereditary factor XI deficiency",
    "D692": "Other nonthrombocytopenic purpura",
    "D732": "Chronic congestive splenomegaly",
    "E000": "Congenital iodine-deficiency syndrome, neurological type",
    "E113": "Type 2 diabetes mellitus, with ophthalmic complications",
    "45590168": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S643": "Injury of digital nerve of thumb",
    "M848": "Other disorders of continuity of bone",
    "M852": "Hyperostosis of skull",
    "M859": "Disorder of bone density and structure, unspecified",
    "M862": "Subacute osteomyelitis",
    "T847": "Infection and inflammatory reaction due to other internal orthopaedic prosthetic devices, implants and grafts",
    "T853": "Mechanical complication of other ocular prosthetic devices, implants and grafts",
    "E12": "Malnutrition-related diabetes mellitus",
    "E161": "Other hypoglycaemia",
    "E169": "Disorder of pancreatic internal secretion, unspecified",
    "E201": "Pseudohypoparathyroidism",
    "E240": "Pituitary-dependent Cushing disease",
    "E260": "Primary hyperaldosteronism",
    "E280": "Ovarian dysfunction: Estrogen excess",
    "E290": "Testicular hyperfunction",
    "E298": "Other testicular dysfunction",
    "E345": "Androgen resistance syndrome",
    "E348": "Other specified endocrine disorders",
    "E45": "Retarded development following protein-energy malnutrition",
    "E504": "Vitamin A deficiency with keratomalacia",
    "E559": "Vitamin D deficiency, unspecified",
    "E612": "Magnesium deficiency",
    "E638": "Other specified nutritional deficiencies",
    "E673": "Hypervitaminosis D",
    "E70": "Disorders of aromatic amino-acid metabolism",
    "S346": "Injury of peripheral nerve(s) of abdomen, lower back and pelvis",
    "T470": "Poisoning: Histamine H2-receptor antagonists",
    "S731": "Sprain and strain of hip",
    "S750": "Injury of femoral artery",
    "S757": "Injury of multiple blood vessels at hip and thigh level",
    "S759": "Injury of unspecified blood vessel at hip and thigh level",
    "Q040": "Congenital malformations of corpus callosum",
    "Q051": "Thoracic spina bifida with hydrocephalus",
    "Q053": "Sacral spina bifida with hydrocephalus",
    "Q055": "Cervical spina bifida without hydrocephalus",
    "Q063": "Other congenital cauda equina malformations",
    "Q07": "Other congenital malformations of nervous system",
    "Q103": "Other congenital malformations of eyelid",
    "Q105": "Congenital stenosis and stricture of lacrimal duct",
    "Q106": "Other congenital malformations of lacrimal apparatus",
    "Q107": "Congenital malformation of orbit",
    "Q111": "Other anophthalmos",
    "Q124": "Spherophakia",
    "Q175": "Prominent ear",
    "Q218": "Other congenital malformations of cardiac septa",
    "Q278": "Other specified congenital malformations of peripheral vascular system",
    "Q332": "Sequestration of lung",
    "Q355": "Cleft hard palate with cleft soft palate",
    "Q37": "Cleft palate with cleft lip",
    "Q375": "Cleft hard and soft palate with unilateral cleft lip",
    "Q430": "Meckel diverticulum",
    "Q432": "Other congenital functional disorders of colon",
    "Q437": "Persistent cloaca",
    "Q522": "Congenital rectovaginal fistula",
    "Q551": "Hypoplasia of testis and scrotum",
    "Q554": "Other congenital malformations of vas deferens, epididymis, seminal vesicles and prostate",
    "Q600": "Renal agenesis, unilateral",
    "Q644": "Malformation of urachus",
    "Q65": "Congenital deformities of hip",
    "Q659": "Congenital deformity of hip, unspecified",
    "Q662": "Metatarsus varus",
    "Q680": "Congenital deformity of sternocleidomastoid muscle",
    "Q700": "Fused fingers",
    "Q704": "Polysyndactyly",
    "Q724": "Longitudinal reduction defect of femur",
    "Q730": "Congenital absence of unspecified limb(s)",
    "Q778": "Other osteochondrodysplasia with defects of growth of tubular bones and spine",
    "Q782": "Osteopetrosis",
    "Q792": "Exomphalos",
    "Q801": "X-linked ichthyosis",
    "Q832": "Absent nipple",
    "Q838": "Other congenital malformations of breast",
    "Q840": "Congenital alopecia",
    "Q845": "Enlarged and hypertrophic nails",
    "Q851": "Tuberous sclerosis",
    "V914": "Accident to watercraft causing other injury, sailboat",
    "I479": "Paroxysmal tachycardia, unspecified",
    "I610": "Intracerebral haemorrhage in hemisphere, subcortical",
    "I620": "Subdural haemorrhage (acute)(nontraumatic)",
    "I635": "Cerebral infarction due to unspecified occlusion or stenosis of cerebral arteries",
    "I638": "Other cerebral infarction",
    "I662": "Occlusion and stenosis of posterior cerebral artery",
    "I670": "Dissection of cerebral arteries, nonruptured",
    "S789": "Traumatic amputation of hip and thigh, level unspecified",
    "T378": "Poisoning: Other specified systemic anti-infectives and antiparasitics",
    "H509": "Strabismus, unspecified",
    "H530": "Amblyopia ex anopsia",
    "H588": "Other specified disorders of eye and adnexa in diseases classified elsewhere",
    "H60": "Otitis externa",
    "H610": "Perichondritis of external ear",
    "H652": "Chronic serous otitis media",
    "Q683": "Congenital bowing of femur",
    "Q712": "Congenital absence of both forearm and hand",
    "Q720": "Congenital complete absence of lower limb(s)",
    "Q729": "Reduction defect of lower limb, unspecified",
    "Q749": "Unspecified congenital malformation of limb(s)",
    "Q758": "Other specified congenital malformations of skull and face bones",
    "Q762": "Congenital spondylolisthesis",
    "Q821": "Xeroderma pigmentosum",
    "Q846": "Other congenital malformations of nails",
    "Q860": "Fetal alcohol syndrome (dysmorphic)",
    "Q930": "Whole chromosome monosomy, meiotic nondisjunction",
    "Q955": "Individuals with autosomal fragile site",
    "Q96": "Turner syndrome",
    "Q972": "Mosaicism, lines with various numbers of X chromosomes",
    "Q985": "Karyotype 47,XYY",
    "R06": "Abnormalities of breathing",
    "R066": "Hiccough",
    "R067": "Sneezing",
    "S641": "Injury of median nerve at wrist and hand level",
    "S397": "Other multiple injuries of abdomen, lower back and pelvis",
    "S411": "Open wound of upper arm",
    "E133": "Other specified diabetes mellitus, with ophthalmic complications",
    "E141": "Unspecified diabetes mellitus, with ketoacidosis",
    "E143": "Unspecified diabetes mellitus, with ophthalmic complications",
    "E162": "Hypoglycaemia, unspecified",
    "E228": "Other hyperfunction of pituitary gland",
    "E258": "Other adrenogenital disorders",
    "E26": "Hyperaldosteronism",
    "E288": "Other ovarian dysfunction",
    "V120": "Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, driver injured in nontraffic accident",
    "V114": "Pedal cyclist injured in collision with other pedal cycle, driver injured in traffic accident",
    "V260": "Motorcycle rider injured in collision with other nonmotor vehicle, driver injured in nontraffic accident",
    "E289": "Ovarian dysfunction, unspecified",
    "E321": "Abscess of thymus",
    "E501": "Vitamin A deficiency with Bitot spot and conjunctival xerosis",
    "E530": "Riboflavin deficiency",
    "E838": "Other disorders of mineral metabolism",
    "E839": "Disorder of mineral metabolism, unspecified",
    "E85": "Amyloidosis",
    "E892": "Postprocedural hypoparathyroidism",
    "E895": "Postprocedural testicular hypofunction",
    "45586180": "Invalid ICD10 Concept, do not use",
    "45586181": "Invalid ICD10 Concept, do not use",
    "45586182": "Invalid ICD10 Concept, do not use",
    "45586183": "Invalid ICD10 Concept, do not use",
    "45586184": "Invalid ICD10 Concept, do not use",
    "45586185": "Invalid ICD10 Concept, do not use",
    "45586186": "Invalid ICD10 Concept, do not use",
    "F104": "Mental and behavioural disorders due to use of alcohol, Withdrawal state with delirium",
    "F114": "Mental and behavioural disorders due to use of opioids, withdrawal state with delirium",
    "45586195": "Invalid ICD10 Concept, do not use",
    "F123": "Mental and behavioural disorders due to use of cannabinoids, withdrawal state",
    "F126": "Mental and behavioural disorders due to use of cannabinoids, amnesic syndrome",
    "45586203": "Invalid ICD10 Concept, do not use",
    "45586206": "Invalid ICD10 Concept, do not use",
    "F154": "Mental and behavioural disorders due to use of other stimulants, including caffeine, withdrawal state with delirium",
    "45586210": "Invalid ICD10 Concept, do not use",
    "F158": "Mental and behavioural disorders due to use of other stimulants, including caffeine, other mental and behavioural disorders",
    "M871": "Osteonecrosis due to drugs",
    "T856": "Mechanical complication of other specified internal prosthetic devices, implants and grafts",
    "T871": "Complications of reattached (part of) lower extremity",
    "T88": "Other complications of surgical and medical care, not elsewhere classified",
    "T931": "Sequelae of fracture of femur",
    "T954": "Sequelae of burn and corrosion classifiable only according to extent of body surface involved",
    "T983": "Sequelae of complications of surgical and medical care, not elsewhere classified",
    "U899": "Agent resistant to unspecified antibiotic",
    "45585340": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45585351": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45585354": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S770": "Crushing injury of hip",
    "Z450": "Adjustment and management of cardiac devices",
    "Z461": "Fitting and adjustment of hearing aid",
    "Z464": "Fitting and adjustment of orthodontic device",
    "Z479": "Orthopaedic follow-up care, unspecified",
    "Z489": "Surgical follow-up care, unspecified",
    "Z509": "Care involving use of rehabilitation procedure, unspecified",
    "Z511": "Chemotherapy session for neoplasm",
    "Z539": "Procedure not carried out, unspecified reason",
    "Z563": "Stressful work schedule",
    "Z594": "Lack of adequate food",
    "Z601": "Atypical parenting situation",
    "Z626": "Inappropriate parental pressure and other abnormal qualities of upbringing",
    "Z644": "Discord with counsellors",
    "Z658": "Other specified problems related to psychosocial circumstances",
    "Z708": "Other sex counselling",
    "Z735": "Social role conflict, not elsewhere classified",
    "Z751": "Person awaiting admission to adequate facility elsewhere",
    "Z805": "Family history of malignant neoplasm of urinary tract",
    "Z82": "Family history of certain disabilities and chronic diseases leading to disablement",
    "Z826": "Family history of arthritis and other diseases of the musculoskeletal system and connective tissue",
    "Z587": "Exposure to tobacco smoke",
    "Z619": "Negative life event in childhood, unspecified",
    "I720": "Aneurysm and dissection of carotid artery",
    "I788": "Other diseases of capillaries",
    "I820": "Budd-Chiari syndrome",
    "Q862": "Dysmorphism due to warfarin",
    "Q899": "Congenital malformation, unspecified",
    "Q902": "Trisomy 21, translocation",
    "Q926": "Extra marker chromosomes",
    "Q934": "Deletion of short arm of chromosome 5",
    "Q990": "Chimera 46,XX/46,XY",
    "R000": "Tachycardia, unspecified",
    "R040": "Epistaxis",
    "R05": "Cough",
    "R193": "Abdominal rigidity",
    "R26": "Abnormalities of gait and mobility",
    "R292": "Abnormal reflex",
    "R32": "Unspecified urinary incontinence",
    "R411": "Anterograde amnesia",
    "I710": "Dissection of aorta [any part]",
    "I718": "Aortic aneurysm of unspecified site, ruptured",
    "I745": "Embolism and thrombosis of iliac artery",
    "I774": "Coeliac artery compression syndrome",
    "I791": "Aortitis in diseases classified elsewhere",
    "I821": "Thrombophlebitis migrans",
    "I828": "Embolism and thrombosis of other specified veins",
    "I84": "Hemorrhoids",
    "I862": "Pelvic varices",
    "I881": "Chronic lymphadenitis, except mesenteric",
    "I95": "Hypotension",
    "J011": "Acute frontal sinusitis",
    "J018": "Other acute sinusitis",
    "J13": "Pneumonia due to Streptococcus pneumoniae",
    "J171": "Pneumonia in viral diseases classified elsewhere",
    "J204": "Acute bronchitis due to parainfluenza virus",
    "J22": "Unspecified acute lower respiratory infection",
    "J32": "Chronic sinusitis",
    "J320": "Chronic maxillary sinusitis",
    "J33": "Nasal polyp",
    "J418": "Mixed simple and mucopurulent chronic bronchitis",
    "J43": "Emphysema",
    "J448": "Other specified chronic obstructive pulmonary disease",
    "X69": "Intentional self-poisoning by and exposure to other and unspecified chemicals and noxious substances",
    "R14": "Flatulence and related conditions",
    "R263": "Immobility",
    "R293": "Abnormal posture",
    "R390": "Extravasation of urine",
    "R430": "Anosmia",
    "45584156": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "R454": "Irritability and anger",
    "R500": "Fever with chills",
    "R509": "Fever, unspecified",
    "R521": "Chronic intractable pain",
    "R619": "Hyperhidrosis, unspecified",
    "R681": "Nonspecific symptoms peculiar to infancy",
    "R74": "Abnormal serum enzyme levels",
    "R853": "Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal level of substances chiefly nonmedicinal as to source",
    "R857": "Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal histological findings",
    "45581733": "Invalid ICD10 Concept, do not use",
    "H72": "Perforation of tympanic membrane",
    "H731": "Chronic myringitis",
    "H809": "Otosclerosis, unspecified",
    "H91": "Other hearing loss",
    "H948": "Other specified disorders of ear in diseases classified elsewhere",
    "I052": "Mitral stenosis with insufficiency",
    "I061": "Rheumatic aortic insufficiency",
    "I09": "Other rheumatic heart diseases",
    "I25": "Chronic ischaemic heart disease",
    "I271": "Kyphoscoliotic heart disease",
    "I272": "Other secondary pulmonary hypertension",
    "I281": "Aneurysm of pulmonary artery",
    "I348": "Other nonrheumatic mitral valve disorders",
    "I358": "Other aortic valve disorders",
    "I429": "Cardiomyopathy, unspecified",
    "I443": "Other and unspecified atrioventricular block",
    "I480": "Paroxysmal atrial fibrillation",
    "I492": "Junctional premature depolarization",
    "I499": "Cardiac arrhythmia, unspecified",
    "I50": "Heart failure",
    "I510": "Cardiac septal defect, acquired",
    "S664": "Injury of intrinsic muscle and tendon of thumb at wrist and hand level",
    "M872": "Osteonecrosis due to previous trauma",
    "E55": "Vitamin D deficiency",
    "E639": "Nutritional deficiency, unspecified",
    "E725": "Disorders of glycine metabolism",
    "E739": "Lactose intolerance, unspecified",
    "E741": "Disorders of fructose metabolism",
    "E79": "Disorders of purine and pyrimidine metabolism",
    "E88": "Other metabolic disorders",
    "E891": "Postprocedural hypoinsulinaemia",
    "F000": "Dementia in Alzheimer disease with early onset",
    "45591071": "Invalid ICD10 Concept, do not use",
    "45591072": "Invalid ICD10 Concept, do not use",
    "F021": "Dementia in Creutzfeldt-Jakob disease",
    "45591075": "Invalid ICD10 Concept, do not use",
    "45591077": "Invalid ICD10 Concept, do not use",
    "F059": "Delirium, unspecified",
    "45591081": "Invalid ICD10 Concept, do not use",
    "45591085": "Invalid ICD10 Concept, do not use",
    "45591086": "Invalid ICD10 Concept, do not use",
    "45591089": "Invalid ICD10 Concept, do not use",
    "45591092": "Invalid ICD10 Concept, do not use",
    "45591093": "Invalid ICD10 Concept, do not use",
    "F118": "Mental and behavioural disorders due to use of opioids, other mental and behavioural disorders",
    "45591100": "Invalid ICD10 Concept, do not use",
    "45591103": "Invalid ICD10 Concept, do not use",
    "F145": "Mental and behavioural disorders due to use of cocaine, psychotic disorder",
    "45591106": "Invalid ICD10 Concept, do not use",
    "S665": "Injury of intrinsic muscle and tendon of other finger at wrist and hand level",
    "S697": "Multiple injuries of wrist and hand",
    "M9900": "Segmental and somatic dysfunction, head region",
    "N018": "Rapidly progressive nephritic syndrome, other",
    "N036": "Chronic nephritic syndrome, dense deposit disease",
    "N051": "Unspecified nephritic syndrome, focal and segmental glomerular lesions",
    "N138": "Other obstructive and reflux uropathy",
    "N20": "Calculus of kidney and ureter",
    "V030": "Pedestrian injured in collision with car, pick-up truck or van, nontraffic accident",
    "F16": "Mental and behavioural disorders due to use of hallucinogens",
    "F17": "Mental and behavioural disorders due to use of tobacco",
    "F182": "Mental and behavioural disorders due to use of volatile solvents, dependence syndrome",
    "F183": "Mental and behavioural disorders due to use of volatile solvents, withdrawal state",
    "F190": "Mental and behavioural disorders due to multiple drug use and use of other psychoactive substances, acute intoxication",
    "45586230": "Invalid ICD10 Concept, do not use",
    "45586231": "Invalid ICD10 Concept, do not use",
    "F21": "Schizotypal disorder",
    "F232": "Acute schizophrenia-like psychotic disorder",
    "F233": "Other acute predominantly delusional psychotic disorders",
    "F315": "Bipolar affective disorder, current episode severe depression with psychotic symptoms",
    "F318": "Other bipolar affective disorders",
    "F341": "Dysthymia",
    "F381": "Other recurrent mood [affective] disorders",
    "F402": "Specific (isolated) phobias",
    "45586244": "Invalid ICD10 Concept, do not use",
    "F501": "Atypical anorexia nervosa",
    "F530": "Mild mental and behavioural disorders associated with the puerperium, not elsewhere classified",
    "F602": "Dissocial personality disorder",
    "45586249": "Invalid ICD10 Concept, do not use",
    "F629": "Enduring personality change, unspecified",
    "F632": "Pathological stealing [kleptomania]",
    "F662": "Sexual relationship disorder",
    "45586253": "Invalid ICD10 Concept, do not use",
    "Z834": "Family history of other endocrine, nutritional and metabolic diseases",
    "Z918": "Personal history of other specified risk-factors, not elsewhere classified",
    "A030": "Shigellosis due to Shigella dysenteriae",
    "A033": "Shigellosis due to Shigella sonnei",
    "A083": "Other viral enteritis",
    "A152": "Tuberculosis of lung, confirmed histologically",
    "M460": "Spinal enthesopathy",
    "M462": "Osteomyelitis of vertebra",
    "M483": "Traumatic spondylopathy",
    "M501": "Cervical disc disorder with radiculopathy",
    "M502": "Other cervical disc displacement",
    "M519": "Intervertebral disc disorder, unspecified",
    "45595575": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "R452": "Unhappiness",
    "R457": "State of emotional shock and stress, unspecified",
    "R467": "Verbosity and circumstantial detail obscuring reason for contact",
    "R49": "Voice disturbances",
    "R491": "Aphonia",
    "R560": "Febrile convulsions",
    "R59": "Enlarged lymph nodes",
    "R77": "Other abnormalities of plasma proteins",
    "R870": "Abnormal findings in specimens from female genital organs, abnormal level of enzymes",
    "R877": "Abnormal findings in specimens from female genital organs, abnormal histological findings",
    "R99": "Other ill-defined and unspecified causes of mortality",
    "R896": "Abnormal findings in specimens from other organs, systems and tissues, abnormal cytological findings",
    "S066": "Traumatic subarachnoid haemorrhage",
    "S092": "Traumatic rupture of ear drum",
    "S101": "Other and unspecified superficial injuries of throat",
    "X84": "Intentional self-harm by unspecified means",
    "Y070": "Other maltreatment by spouse or partner",
    "J630": "Aluminosis (of lung)",
    "J67": "Hypersensitivity pneumonitis due to organic dust",
    "J869": "Pyothorax without fistula",
    "J91": "Pleural effusion in conditions classified elsewhere",
    "J953": "Chronic pulmonary insufficiency following surgery",
    "J96": "Respiratory failure, not elsewhere classified",
    "K002": "Abnormalities of size and form of teeth",
    "K023": "Arrested dental caries",
    "K024": "Odontoclasia",
    "K028": "Other dental caries",
    "K045": "Chronic apical periodontitis",
    "K047": "Periapical abscess without sinus",
    "K053": "Chronic periodontitis",
    "K06": "Other disorders of gingiva and edentulous alveolar ridge",
    "K07": "Dentofacial anomalies [including malocclusion]",
    "K073": "Anomalies of tooth position",
    "T408": "Poisoning: Lysergide [LSD]",
    "I67": "Other cerebrovascular diseases",
    "S005": "Superficial injury of lip and oral cavity",
    "S01": "Open wound of head",
    "S941": "Injury of medial plantar nerve",
    "S969": "Injury of unspecified muscle and tendon at ankle and foot level",
    "F162": "Mental and behavioural disorders due to use of hallucinogens, dependence syndrome",
    "M903": "Osteonecrosis in caisson disease",
    "M904": "Osteonecrosis due to haemoglobinopathy",
    "M932": "Osteochondritis dissecans",
    "V360": "Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, driver injured in nontraffic accident",
    "F177": "Mental and behavioural disorders due to use of tobacco, residual and late-onset psychotic disorder",
    "45591119": "Invalid ICD10 Concept, do not use",
    "45591121": "Invalid ICD10 Concept, do not use",
    "45591127": "Invalid ICD10 Concept, do not use",
    "F201": "Hebephrenic schizophrenia",
    "45591129": "Invalid ICD10 Concept, do not use",
    "45591130": "Invalid ICD10 Concept, do not use",
    "45591131": "Invalid ICD10 Concept, do not use",
    "S707": "Multiple superficial injuries of hip and thigh",
    "V414": "Car occupant injured in collision with pedal cycle, person injured while boarding or alighting",
    "V415": "Car occupant injured in collision with pedal cycle, driver injured in traffic accident",
    "V401": "Car occupant injured in collision with pedestrian or animal, Passenger injured in nontraffic accident",
    "V402": "Car occupant injured in collision with pedestrian or animal, Person on outside of vehicle injured in nontraffic accident",
    "V434": "Car occupant injured in collision with car, pick-up truck or van, person injured while boarding or alighting",
    "V439": "Car occupant injured in collision with car, pick-up truck or van, unspecified car occupant injured in traffic accident",
    "F68": "Other disorders of adult personality and behaviour",
    "F71": "Moderate mental retardation",
    "F728": "Severe mental retardation, other impairments of behaviour",
    "F73": "Profound mental retardation",
    "F739": "Profound mental retardation, without mention of impairment of behaviour",
    "F799": "Unspecified mental retardation, without mention of impairment of behaviour",
    "F908": "Other hyperkinetic disorders",
    "F929": "Mixed disorder of conduct and emotions, unspecified",
    "F932": "Social anxiety disorder of childhood",
    "F948": "Other childhood disorders of social functioning",
    "G001": "Pneumococcal meningitis",
    "G02": "Meningitis in other infectious and parasitic diseases classified elsewhere",
    "G041": "Tropical spastic paraplegia",
    "G042": "Bacterial meningoencephalitis and meningomyelitis, not elsewhere classified",
    "G118": "Other hereditary ataxias",
    "G138": "Systemic atrophy primarily affecting central nervous system in other diseases classified elsewhere",
    "G219": "Secondary parkinsonism, unspecified",
    "G24": "Dystonia",
    "N219": "Calculus of lower urinary tract, unspecified",
    "N28": "Other disorders of kidney and ureter, not elsewhere classified",
    "N288": "Other specified disorders of kidney and ureter",
    "N49": "Inflammatory disorders of male genital organs, not elsewhere classified",
    "N744": "Female chlamydial pelvic inflammatory disease",
    "N751": "Abscess of Bartholin gland",
    "N762": "Acute vulvitis",
    "N814": "Uterovaginal prolapse, unspecified",
    "N838": "Other noninflammatory disorders of ovary, fallopian tube and broad ligament",
    "N893": "Dysplasia of vagina, unspecified",
    "N940": "Mittelschmerz",
    "N999": "Postprocedural disorder of genitourinary system, unspecified",
    "O037": "Spontaneous abortion, Complete or unspecified, complicated by embolism",
    "O040": "Medical abortion, incomplete, complicated by genital tract and pelvic infection",
    "O045": "Medical abortion, complete or unspecified, complicated by genital tract and pelvic infection",
    "V262": "Motorcycle rider injured in collision with other nonmotor vehicle, unspecified motorcycle rider injured in nontraffic accident",
    "V159": "Pedal cyclist injured in collision with railway train or railway vehicle, unspecified pedal cyclist injured in traffic accident",
    "V161": "Pedal cyclist injured in collision with other nonmotor vehicle, passenger injured in nontraffic accident",
    "V174": "Pedal cyclist injured in collision with fixed or stationary object, driver injured in traffic accident",
    "V182": "Pedal cyclist injured in noncollision transport accident, unspecified pedal cyclist injured in nontraffic accident",
    "V210": "Motorcycle rider injured in collision with pedal cycle, driver injured in nontraffic accident",
    "V223": "Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, person injured while boarding or alighting",
    "V280": "Motorcycle rider injured in noncollision transport accident, driver injured in nontraffic accident",
    "V300": "Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, Driver injured in nontraffic accident",
    "V330": "Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, driver injured in nontraffic accident",
    "V339": "Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, unspecified occupant of three-wheeled motor vehicle injured in traffic accident",
    "M612": "Paralytic calcification and ossification of muscle",
    "M614": "Other calcification of muscle",
    "M62": "Other disorders of muscle",
    "M623": "Immobility syndrome (paraplegic)",
    "S309": "Superficial injury of abdomen, lower back and pelvis, part unspecified",
    "A300": "Indeterminate leprosy",
    "A303": "Borderline leprosy",
    "A32": "Listeriosis",
    "A371": "Whooping cough due to Bordetella parapertussis",
    "A409": "Streptococcal sepsis, unspecified",
    "A418": "Other specified sepsis",
    "A448": "Other forms of bartonellosis",
    "A67": "Pinta [carate]",
    "A679": "Pinta, unspecified",
    "A692": "Lyme disease",
    "A70": "Chlamydia psittaci infection",
    "A809": "Acute poliomyelitis, unspecified",
    "A871": "Adenoviral meningitis",
    "A923": "West Nile virus infection",
    "A988": "Other specified viral haemorrhagic fevers",
    "45595602": "Invalid ICD10 Concept, do not use",
    "B171": "Acute hepatitis C",
    "B199": "Unspecified viral hepatitis without hepatic coma",
    "B220": "HIV disease resulting in encephalopathy",
    "B269": "Mumps without complication",
    "B271": "Cytomegaloviral mononucleosis",
    "B301": "Conjunctivitis due to adenovirus",
    "B37": "Candidiasis",
    "B372": "Candidiasis of skin and nail",
    "B377": "Candidal sepsis",
    "B44": "Aspergillosis",
    "B518": "Plasmodium vivax malaria with other complications",
    "B65": "Schistosomiasis [bilharziasis]",
    "B651": "Schistosomiasis due to Schistosoma mansoni [intestinal schistosomiasis]",
    "B675": "Echinococcus multilocularis infection of liver",
    "B691": "Cysticercosis of eye",
    "B87": "Myiasis",
    "B900": "Sequelae of central nervous system tuberculosis",
    "B953": "Streptococcus pneumoniae as the cause of diseases classified to other chapters",
    "B957": "Other staphylococcus as the cause of diseases classified to other chapters",
    "B978": "Other viral agents as the cause of diseases classified to other chapters",
    "C000": "Malignant neoplasm: External upper lip",
    "C041": "Malignant neoplasm: Lateral floor of mouth",
    "C05": "Malignant neoplasm of palate",
    "C109": "Malignant neoplasm: Oropharynx, unspecified",
    "C111": "Malignant neoplasm: Posterior wall of nasopharynx",
    "C131": "Malignant neoplasm: Aryepiglottic fold, hypopharyngeal aspect",
    "C154": "Malignant neoplasm: Middle third of oesophagus",
    "C181": "Malignant neoplasm: Appendix",
    "T619": "Toxic effect: Toxic effect of unspecified seafood",
    "T620": "Toxic effect: Ingested mushrooms",
    "S564": "Injury of extensor muscle and tendon of other finger(s) at forearm level",
    "K088": "Other specified disorders of teeth and supporting structures",
    "K112": "Sialoadenitis",
    "K117": "Disturbances of salivary secretion",
    "K21": "Gastro-oesophageal reflux disease",
    "K286": "Gastrojejunal ulcer, chronic or unspecified with both haemorrhage and perforation",
    "K292": "Alcoholic gastritis",
    "K315": "Obstruction of duodenum",
    "K351": "Acute appendicitis with peritoneal abscess",
    "K518": "Other ulcerative colitis",
    "K52": "Other noninfective gastroenteritis and colitis",
    "K620": "Anal polyp",
    "K621": "Rectal polyp",
    "K704": "Alcoholic hepatic failure",
    "K740": "Hepatic fibrosis",
    "K744": "Secondary biliary cirrhosis",
    "K753": "Granulomatous hepatitis, not elsewhere classified",
    "K800": "Calculus of gallbladder with acute cholecystitis",
    "K803": "Calculus of bile duct with cholangitis",
    "K821": "Hydrops of gallbladder",
    "K828": "Other specified diseases of gallbladder",
    "K838": "Other specified diseases of biliary tract",
    "K839": "Disease of biliary tract, unspecified",
    "K853": "Drug-induced acute pancreatitis",
    "K861": "Other chronic pancreatitis",
    "K868": "Other specified diseases of pancreas",
    "K900": "Coeliac disease",
    "S040": "Injury of optic nerve and pathways",
    "S532": "Traumatic rupture of radial collateral ligament",
    "S533": "Traumatic rupture of ulnar collateral ligament",
    "I719": "Aortic aneurysm of unspecified site, without mention of rupture",
    "I744": "Embolism and thrombosis of arteries of extremities, unspecified",
    "I792": "Peripheral angiopathy in diseases classified elsewhere",
    "I822": "Embolism and thrombosis of vena cava",
    "I831": "Varicose veins of lower extremities with inflammation",
    "I845": "External hemorrhoids without complication",
    "I85": "Oesophageal varices",
    "I859": "Oesophageal varices without bleeding",
    "I864": "Gastric varices",
    "I898": "Other specified noninfective disorders of lymphatic vessels and lymph nodes",
    "J118": "Influenza with other manifestations, virus not identified",
    "J14": "Pneumonia due to Haemophilus influenzae",
    "J15": "Bacterial pneumonia, not elsewhere classified",
    "J155": "Pneumonia due to Escherichia coli",
    "J20": "Acute bronchitis",
    "J206": "Acute bronchitis due to rhinovirus",
    "J21": "Acute bronchiolitis",
    "J300": "Vasomotor rhinitis",
    "S709": "Superficial injury of hip and thigh, unspecified",
    "S720": "Fracture of neck of femur",
    "S978": "Crushing injury of other parts of ankle and foot",
    "M952": "Other acquired deformity of head",
    "M990": "Segmental and somatic dysfunction",
    "M992": "Subluxation stenosis of neural canal",
    "N01": "Rapidly progressive nephritic syndrome",
    "N041": "Nephrotic syndrome, focal and segmental glomerular lesions",
    "N050": "Unspecified nephritic syndrome, minor glomerular abnormality",
    "S424": "Fracture of lower end of humerus",
    "45591132": "Invalid ICD10 Concept, do not use",
    "F301": "Mania without psychotic symptoms",
    "F39": "Unspecified mood [affective] disorder",
    "F421": "Predominantly compulsive acts [obsessional rituals]",
    "F430": "Acute stress reaction",
    "F440": "Dissociative amnesia",
    "F447": "Mixed dissociative [conversion] disorders",
    "F489": "Neurotic disorder, unspecified",
    "F505": "Vomiting associated with other psychological disturbances",
    "F529": "Unspecified sexual dysfunction, not caused by organic disorder or disease",
    "F54": "Psychological and behavioural factors associated with disorders or diseases classified elsewhere",
    "45591147": "Invalid ICD10 Concept, do not use",
    "F59": "Unspecified behavioural syndromes associated with physiological disturbances and physical factors",
    "F601": "Schizoid personality disorder",
    "F605": "Anankastic personality disorder",
    "F638": "Other habit and impulse disorders",
    "F729": "Severe mental retardation, without mention of impairment of behaviour",
    "F780": "Other mental retardation, with the statement of no, or minimal, impairment of behaviour",
    "F81": "Specific developmental disorders of scholastic skills",
    "F92": "Mixed disorders of conduct and emotions",
    "G051": "Encephalitis, myelitis and encephalomyelitis in viral diseases classified elsewhere",
    "G120": "Infantile spinal muscular atrophy, type I [Werdnig-Hoffman]",
    "G122": "Motor neuron disease",
    "G21": "Secondary parkinsonism",
    "G210": "Malignant neuroleptic syndrome",
    "G213": "Postencephalitic parkinsonism",
    "G309": "Alzheimer disease, unspecified",
    "G310": "Circumscribed brain atrophy",
    "G312": "Degeneration of nervous system due to alcohol",
    "G320": "Subacute combined degeneration of spinal cord in diseases classified elsewhere",
    "G37": "Other demyelinating diseases of central nervous system",
    "G400": "Localization-related (focal)(partial) idiopathic epilepsy and epileptic syndromes with seizures of localized onset",
    "G402": "Localization-related (focal)(partial) symptomatic epilepsy and epileptic syndromes with complex partial seizures",
    "G411": "Petit mal status epilepticus",
    "G418": "Other status epilepticus",
    "N052": "Unspecified nephritic syndrome, diffuse membranous glomerulonephritis",
    "N08": "Glomerular disorders in diseases classified elsewhere",
    "N083": "Glomerular disorders in diabetes mellitus",
    "N132": "Hydronephrosis with renal and ureteral calculous obstruction",
    "N310": "Uninhibited neuropathic bladder, not elsewhere classified",
    "N319": "Neuromuscular dysfunction of bladder, unspecified",
    "N32": "Other disorders of bladder",
    "N321": "Vesicointestinal fistula",
    "N33": "Bladder disorders in diseases classified elsewhere",
    "N369": "Urethral disorder, unspecified",
    "V460": "Car occupant injured in collision with other nonmotor vehicle, driver injured in nontraffic accident",
    "V441": "Car occupant injured in collision with heavy transport vehicle or bus, passenger injured in nontraffic accident",
    "V443": "Car occupant injured in collision with heavy transport vehicle or bus, unspecified car occupant injured in nontraffic accident",
    "V476": "Car occupant injured in collision with fixed or stationary object, passenger injured in traffic accident",
    "V543": "Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, unspecified occupant of pick-up truck or van injured in nontraffic accident",
    "O063": "Unspecified abortion, incomplete, with other and unspecified complications",
    "O077": "Other and unspecified failed attempted abortion, complicated by embolism",
    "O141": "Severe pre-eclampsia",
    "O220": "Varicose veins of lower extremity in pregnancy",
    "O235": "Infections of the genital tract in pregnancy",
    "G406": "Grand mal seizures, unspecified (with or without petit mal)",
    "G408": "Other epilepsy",
    "G463": "Brain stem stroke syndrome",
    "G518": "Other disorders of facial nerve",
    "G532": "Multiple cranial nerve palsies in sarcoidosis",
    "G540": "Brachial plexus disorders",
    "G544": "Lumbosacral root disorders, not elsewhere classified",
    "G549": "Nerve root and plexus disorder, unspecified",
    "G576": "Lesion of plantar nerve",
    "G580": "Intercostal neuropathy",
    "G603": "Idiopathic progressive neuropathy",
    "G638": "Polyneuropathy in other diseases classified elsewhere",
    "G70": "Myasthenia gravis and other myoneural disorders",
    "G708": "Other specified myoneural disorders",
    "G721": "Alcoholic myopathy",
    "G80": "Cerebral palsy",
    "G803": "Dyskinetic cerebral palsy",
    "G832": "Monoplegia of upper limb",
    "G900": "Idiopathic peripheral autonomic neuropathy",
    "G932": "Benign intracranial hypertension",
    "G940": "Hydrocephalus in infectious and parasitic diseases classified elsewhere",
    "G95": "Other diseases of spinal cord",
    "G958": "Other specified diseases of spinal cord",
    "G991": "Other disorders of autonomic nervous system in other diseases classified elsewhere",
    "45586288": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "C319": "Malignant neoplasm: Accessory sinus, unspecified",
    "C32": "Malignant neoplasm of larynx",
    "C328": "Malignant neoplasm: Overlapping lesion of larynx",
    "C329": "Malignant neoplasm: Larynx, unspecified",
    "C34": "Malignant neoplasm of bronchus and lung",
    "C341": "Malignant neoplasm: Upper lobe, bronchus or lung",
    "C342": "Malignant neoplasm: Middle lobe, bronchus or lung",
    "C388": "Malignant neoplasm: Overlapping lesion of heart, mediastinum and pleura",
    "C409": "Malignant neoplasm: Bone and articular cartilage of limb, unspecified",
    "C41": "Malignant neoplasm of bone and articular cartilage of other and unspecified sites",
    "C413": "Malignant neoplasm: Ribs, sternum and clavicle",
    "M652": "Calcific tendinitis",
    "M712": "Synovial cyst of popliteal space [Baker]",
    "M751": "Rotator cuff syndrome",
    "M76": "Enthesopathies of lower limb, excluding foot",
    "M766": "Achilles tendinitis",
    "T672": "Heat cramp",
    "45594857": "Invalid ICD10 Concept, do not use",
    "C432": "Malignant neoplasm: Malignant melanoma of ear and external auricular canal",
    "C451": "Mesothelioma of peritoneum",
    "S121": "Fracture of second cervical vertebra",
    "S570": "Crushing injury of elbow",
    "K913": "Postoperative intestinal obstruction",
    "K915": "Postcholecystectomy syndrome",
    "L022": "Cutaneous abscess, furuncle and carbuncle of trunk",
    "L031": "Cellulitis of other parts of limb",
    "L14": "Bullous disorders in diseases classified elsewhere",
    "L210": "Seborrhoea capitis",
    "L278": "Dermatitis due to other substances taken internally",
    "L41": "Parapsoriasis",
    "L433": "Subacute (active) lichen planus",
    "L444": "Infantile papular acrodermatitis [Giannotti-Crosti]",
    "L55": "Sunburn",
    "L604": "Beau lines",
    "L650": "Telogen effluvium",
    "L678": "Other hair colour and hair shaft abnormalities",
    "L682": "Localized hypertrichosis",
    "L688": "Other hypertrichosis",
    "L71": "Rosacea",
    "L722": "Steatocystoma multiplex",
    "L75": "Apocrine sweat disorders",
    "L871": "Reactive perforating collagenosis",
    "L890": "Stage I decubitus ulcer and pressure area",
    "T472": "Poisoning: Stimulant laxatives",
    "S550": "Injury of ulnar artery at forearm level",
    "S561": "Injury of long flexor muscle and tendon of other finger(s) at forearm level",
    "J324": "Chronic pansinusitis",
    "J34": "Other disorders of nose and nasal sinuses",
    "S060": "Concussion",
    "T003": "Superficial injuries involving multiple regions of lower limb(s)",
    "T006": "Superficial injuries involving multiple regions of upper limb(s) with lower limb(s)",
    "T02": "Fractures involving multiple body regions",
    "T022": "Fractures involving multiple regions of one upper limb",
    "T027": "Fractures involving thorax with lower back and pelvis with limb(s)",
    "T08": "Fracture of spine, level unspecified",
    "T090": "Superficial injury of trunk, level unspecified",
    "T114": "Injury of unspecified blood vessel of upper limb, level unspecified",
    "T178": "Foreign body in other and multiple parts of respiratory tract",
    "J36": "Peritonsillar abscess",
    "J61": "Pneumoconiosis due to asbestos and other mineral fibres",
    "J704": "Drug-induced interstitial lung disorders, unspecified",
    "J84": "Other interstitial pulmonary diseases",
    "J958": "Other postprocedural respiratory disorders",
    "J991": "Respiratory disorders in other diffuse connective tissue disorders",
    "45594358": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45594359": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "K006": "Disturbances in tooth eruption",
    "S432": "Dislocation of sternoclavicular joint",
    "N44": "Torsion of testis",
    "N480": "Leukoplakia of penis",
    "N491": "Inflammatory disorders of spermatic cord, tunica vaginalis and vas deferens",
    "N600": "Solitary cyst of breast",
    "N603": "Fibrosclerosis of breast",
    "N759": "Disease of Bartholin gland, unspecified",
    "N805": "Endometriosis of intestine",
    "N834": "Prolapse and hernia of ovary and fallopian tube",
    "N853": "Subinvolution of uterus",
    "N86": "Erosion and ectropion of cervix uteri",
    "N903": "Dysplasia of vulva, unspecified",
    "N905": "Atrophy of vulva",
    "N912": "Amenorrhoea, unspecified",
    "N939": "Abnormal uterine and vaginal bleeding, unspecified",
    "N948": "Other specified conditions associated with female genital organs and menstrual cycle",
    "N953": "States associated with artificial menopause",
    "N970": "Female infertility associated with anovulation",
    "N992": "Postoperative adhesions of vagina",
    "N994": "Postprocedural pelvic peritoneal adhesions",
    "O010": "Classical hydatidiform mole",
    "O03": "Spontaneous abortion",
    "O07": "Failed attempted abortion",
    "45592186": "Invalid ICD10 Concept, do not use",
    "G514": "Facial myokymia",
    "G545": "Neuralgic amyotrophy",
    "G570": "Lesion of sciatic nerve",
    "G59": "Mononeuropathy in diseases classified elsewhere",
    "G702": "Congenital and developmental myasthenia",
    "G804": "Ataxic cerebral palsy",
    "G810": "Flaccid hemiplegia",
    "G811": "Spastic hemiplegia",
    "G824": "Spastic tetraplegia",
    "G93": "Other disorders of brain",
    "G942": "Hydrocephalus in other diseases classified elsewhere",
    "G970": "Cerebrospinal fluid leak from spinal puncture",
    "H011": "Noninfectious dermatoses of eyelid",
    "V630": "Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, driver injured in nontraffic accident",
    "V637": "Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, person on outside of vehicle injured in traffic accident",
    "V644": "Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, person injured while boarding or alighting",
    "T023": "Fractures involving multiple regions of one lower limb",
    "T058": "Traumatic amputations involving other combinations of body regions",
    "T115": "Injury of unspecified muscle and tendon of upper limb, level unspecified",
    "T141": "Open wound of unspecified body region",
    "T145": "Injury of blood vessel(s) of unspecified body region",
    "T18": "Foreign body in alimentary tract",
    "T181": "Foreign body in oesophagus",
    "T192": "Foreign body in vulva and vagina",
    "45589502": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S463": "Injury of muscle and tendon of triceps",
    "S481": "Traumatic amputation at level between shoulder and elbow",
    "H023": "Blepharochalasis",
    "O310": "Papyraceous fetus",
    "S324": "Fracture of acetabulum",
    "C47": "Malignant neoplasm of peripheral nerves and autonomic nervous system",
    "C472": "Malignant neoplasm: Peripheral nerves of lower limb, including hip",
    "C519": "Malignant neoplasm: Vulva, unspecified",
    "C530": "Malignant neoplasm: Endocervix",
    "C542": "Malignant neoplasm: Myometrium",
    "C630": "Malignant neoplasm: Epididymis",
    "45595675": "Invalid ICD10 Concept, do not use",
    "45595676": "Invalid ICD10 Concept, do not use",
    "C700": "Malignant neoplasm: Cerebral meninges",
    "C714": "Malignant neoplasm: Occipital lobe",
    "C775": "Secondary and unspecified malignant neoplasm: Intrapelvic lymph nodes",
    "C784": "Secondary malignant neoplasm of small intestine",
    "C785": "Secondary malignant neoplasm of large intestine and rectum",
    "C787": "Secondary malignant neoplasm of liver and intrahepatic bile duct",
    "C820": "Follicular lymphoma grade I",
    "C841": "Sézary disease",
    "C849": "Mature T/NK-cell lymphoma, unspecified",
    "T492": "Poisoning: Local astringents and local detergents",
    "L901": "Anetoderma of Schweninger-Buzzi",
    "L919": "Hypertrophic disorder of skin, unspecified",
    "L941": "Linear scleroderma",
    "L946": "Ainhum",
    "Y655": "Performance of inappropriate operation",
    "Y66": "Nonadministration of surgical and medical care",
    "Y838": "Other surgical procedures as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y840": "Cardiac catheterization as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y919": "Alcohol involvement, not otherwise specified",
    "Y96": "Work-related condition",
    "Z000": "General medical examination",
    "Z013": "Examination of blood pressure",
    "Z038": "Observation for other suspected diseases and conditions",
    "Z042": "Examination and observation following work accident",
    "Z097": "Follow-up examination after combined treatment for other conditions",
    "T487": "Poisoning: Other and unspecified agents primarily acting on the respiratory system",
    "S068": "Other intracranial injuries",
    "S567": "Injury of multiple muscles and tendons at forearm level",
    "S578": "Crushing injury of other parts of forearm",
    "K043": "Abnormal hard tissue formation in pulp",
    "K099": "Cyst of oral region, unspecified",
    "K148": "Other diseases of tongue",
    "K220": "Achalasia of cardia",
    "K23": "Disorders of oesophagus in diseases classified elsewhere",
    "K256": "Gastric ulcer, Chronic or unspecified with both haemorrhage and perforation",
    "K274": "Peptic ulcer, site unspecified, chronic or unspecified with haemorrhage",
    "K277": "Peptic ulcer, site unspecified, chronic without haemorrhage or perforation",
    "K419": "Unilateral or unspecified femoral hernia, without obstruction or gangrene",
    "K430": "Incisional hernia with obstruction, without gangrene",
    "K432": "Incisional hernia without obstruction or gangrene",
    "K594": "Anal spasm",
    "K612": "Anorectal abscess",
    "K628": "Other specified diseases of anus and rectum",
    "K643": "Fourth degree haemorrhoids",
    "K649": "Haemorrhoids, unspecified",
    "K650": "Acute peritonitis",
    "K718": "Toxic liver disease with other disorders of liver",
    "K751": "Phlebitis of portal vein",
    "K80": "Cholelithiasis",
    "K811": "Chronic cholecystitis",
    "S461": "Injury of muscle and tendon of long head of biceps",
    "O14": "Pre-eclampsia",
    "O150": "Eclampsia in pregnancy",
    "O225": "Cerebral venous thrombosis in pregnancy",
    "O239": "Other and unspecified genitourinary tract infection in pregnancy",
    "O284": "Abnormal radiological finding on antenatal screening of mother",
    "O301": "Triplet pregnancy",
    "V654": "Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, person injured while boarding or alighting",
    "V677": "Occupant of heavy transport vehicle injured in collision with fixed or stationary object, person on outside of vehicle injured in traffic accident",
    "V684": "Occupant of heavy transport vehicle injured in noncollision transport accident, person injured while boarding or alighting",
    "V685": "Occupant of heavy transport vehicle injured in noncollision transport accident, driver injured in traffic accident",
    "V695": "Passenger injured in collision with other and unspecified motor vehicles in traffic accident",
    "V706": "Bus occupant injured in collision with pedestrian or animal, Passenger injured in traffic accident",
    "V737": "Bus occupant injured in collision with car, pick-up truck or van, person on outside of vehicle injured in traffic accident",
    "V745": "Bus occupant injured in collision with heavy transport vehicle or bus, driver injured in traffic accident",
    "S498": "Other specified injuries of shoulder and upper arm",
    "S499": "Unspecified injury of shoulder and upper arm",
    "S508": "Other superficial injuries of forearm",
    "S86": "Injury of muscle and tendon at lower leg level",
    "S625": "Fracture of thumb",
    "M843": "Stress fracture, not elsewhere classified",
    "T521": "Toxic effect: Benzene",
    "T524": "Toxic effect: Ketones",
    "Y618": "Foreign object accidentally left in body during surgical and medical care during other surgical and medical care",
    "Y619": "Foreign object accidentally left in body during surgical and medical care during unspecified surgical and medical care",
    "Y633": "Inadvertent exposure of patient to radiation during medical care",
    "Y836": "Removal of other organ (partial) (total) as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y843": "Shock therapy as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y900": "Blood alcohol level of less than 20 mg/100 ml",
    "Z13": "Special screening examination for other diseases and disorders",
    "Z138": "Special screening examination for other specified diseases and disorders",
    "Z139": "Special screening examination, unspecified",
    "M020": "Arthropathy following intestinal bypass",
    "M080": "Juvenile rheumatoid arthritis",
    "M098": "Juvenile arthritis in other diseases classified elsewhere",
    "T499": "Poisoning: Topical agent, unspecified",
    "Z221": "Carrier of other intestinal infectious diseases",
    "Z231": "Need for immunization against typhoid-paratyphoid alone [TAB]",
    "Z250": "Need for immunization against mumps alone",
    "Z320": "Pregnancy, not (yet) confirmed",
    "Z352": "Supervision of pregnancy with other poor reproductive or obstetric history",
    "S118": "Open wound of other parts of neck",
    "S119": "Open wound of neck, part unspecified",
    "T225": "Corrosion of first degree of shoulder and upper limb, except wrist and hand",
    "L039": "Cellulitis, unspecified",
    "L05": "Pilonidal cyst",
    "L059": "Pilonidal cyst without abscess",
    "L103": "Brazilian pemphigus [fogo selvagem]",
    "L130": "Dermatitis herpetiformis",
    "L211": "Seborrhoeic infantile dermatitis",
    "L26": "Exfoliative dermatitis",
    "L282": "Other prurigo",
    "L308": "Other specified dermatitis",
    "L412": "Lymphomatoid papulosis",
    "L414": "Large plaque parapsoriasis",
    "L500": "Allergic urticaria",
    "L511": "Bullous erythema multiforme",
    "L575": "Actinic granuloma",
    "L579": "Skin changes due to chronic exposure to nonionizing radiation, unspecified",
    "L59": "Other disorders of skin and subcutaneous tissue related to radiation",
    "L605": "Yellow nail syndrome",
    "L608": "Other nail disorders",
    "O362": "Maternal care for hydrops fetalis",
    "H109": "Conjunctivitis, unspecified",
    "H11": "Other disorders of conjunctiva",
    "H119": "Disorder of conjunctiva, unspecified",
    "H151": "Episcleritis",
    "H158": "Other disorders of sclera",
    "H186": "Keratoconus",
    "H211": "Other vascular disorders of iris and ciliary body",
    "V782": "Bus occupant injured in noncollision transport accident, person on outside of vehicle injured in nontraffic accident",
    "V787": "Bus occupant injured in noncollision transport accident, person on outside of vehicle injured in traffic accident",
    "S520": "Fracture of upper end of ulna",
    "V794": "Driver injured in collision with other and unspecified motor vehicles in traffic accident",
    "T818": "Other complications of procedures, not elsewhere classified",
    "T833": "Mechanical complication of intrauterine contraceptive device",
    "T842": "Mechanical complication of internal fixation device of other bones",
    "S900": "Contusion of ankle",
    "S334": "Traumatic rupture of symphysis pubis",
    "S335": "Sprain and strain of lumbar spine",
    "Z015": "Diagnostic skin and sensitization tests",
    "Z035": "Observation for other suspected cardiovascular diseases",
    "Z092": "Follow-up examination after chemotherapy for other conditions",
    "Z093": "Follow-up examination after psychotherapy",
    "Z132": "Special screening examination for nutritional disorders",
    "Z205": "Contact with and exposure to viral hepatitis",
    "M073": "Other psoriatic arthropathies",
    "Z088": "Follow-up examination after other treatment for malignant neoplasm",
    "M092": "Juvenile arthritis in ulcerative colitis",
    "T533": "Toxic effect: Tetrachloroethylene",
    "T540": "Toxic effect: Phenol and phenol homologues",
    "T542": "Toxic effect: Corrosive acids and acid-like substances",
    "T593": "Toxic effect: Lacrimogenic gas",
    "M119": "Crystal arthropathy, unspecified",
    "M125": "Traumatic arthropathy",
    "S241": "Other and unspecified injuries of thoracic spinal cord",
    "S242": "Injury of nerve root of thoracic spine",
    "S25": "Injury of blood vessels of thorax",
    "S250": "Injury of thoracic aorta",
    "Z413": "Ear piercing",
    "Z502": "Alcohol rehabilitation",
    "Z561": "Change of job",
    "Z582": "Exposure to water pollution",
    "Z609": "Problem related to social environment, unspecified",
    "Z613": "Events resulting in loss of self-esteem in childhood",
    "Z620": "Inadequate parental supervision and control",
    "Z623": "Hostility towards and scapegoating of child",
    "Z71": "Persons encountering health services for other counselling and medical advice, not elsewhere classified",
    "Z739": "Problem related to life-management difficulty, unspecified",
    "Z74": "Problems related to care-provider dependency",
    "Z749": "Problem related to care-provider dependency, unspecified",
    "Z810": "Family history of mental retardation",
    "Z859": "Personal history of malignant neoplasm, unspecified",
    "Z863": "Personal history of endocrine, nutritional and metabolic diseases",
    "T510": "Toxic effect: Ethanol",
    "Z889": "Personal history of allergy to unspecified drugs, medicaments and biological substances",
    "45585866": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "T56": "Toxic effect of metals",
    "L648": "Other androgenic alopecia",
    "L660": "Pseudopelade",
    "L669": "Cicatricial alopecia, unspecified",
    "L670": "Trichorrhexis nodosa",
    "L700": "Acne vulgaris",
    "L739": "Follicular disorder, unspecified",
    "L740": "Miliaria rubra",
    "L80": "Vitiligo",
    "45581963": "Invalid ICD10 Concept, do not use",
    "L903": "Atrophoderma of Pasini and Pierini",
    "M016": "Arthritis in mycoses",
    "H271": "Dislocation of lens",
    "H313": "Choroidal haemorrhage and rupture",
    "H320": "Chorioretinal inflammation in infectious and parasitic diseases classified elsewhere",
    "O639": "Long labour, unspecified",
    "O652": "Obstructed labour due to pelvic inlet contraction",
    "O66": "Other obstructed labour",
    "V807": "Rider or occupant injured in collision with other nonmotor vehicle",
    "V808": "Rider or occupant injured in collision with fixed or stationary object",
    "V812": "Occupant of railway train or railway vehicle injured in collision with or hit by rolling stock",
    "V859": "Unspecified occupant of special construction vehicle injured in nontraffic accident",
    "T232": "Burn of second degree of wrist and hand",
    "V870": "Person injured in collision between car and two- or three-wheeled motor vehicle (traffic)",
    "T235": "Corrosion of first degree of wrist and hand",
    "D748": "Other methaemoglobinaemias",
    "D762": "Haemophagocytic syndrome, infection-associated",
    "D804": "Selective deficiency of immunoglobulin M [IgM]",
    "D810": "Severe combined immunodeficiency [SCID] with reticular dysgenesis",
    "D814": "Nezelof syndrome",
    "D82": "Immunodeficiency associated with other major defects",
    "D890": "Polyclonal hypergammaglobulinaemia",
    "E02": "Subclinical iodine-deficiency hypothyroidism",
    "E035": "Myxoedema coma",
    "E050": "Thyrotoxicosis with diffuse goitre",
    "E052": "Thyrotoxicosis with toxic multinodular goitre",
    "E061": "Subacute thyroiditis",
    "E127": "Malnutrition-related diabetes mellitus, with multiple complications",
    "45600645": "Invalid ICD10 Concept, do not use",
    "E147": "Unspecified diabetes mellitus, with multiple complications",
    "E164": "Abnormal secretion of gastrin",
    "E221": "Hyperprolactinaemia",
    "E231": "Drug-induced hypopituitarism",
    "E232": "Diabetes insipidus",
    "E243": "Ectopic ACTH syndrome",
    "E250": "Congenital adrenogenital disorders associated with enzyme deficiency",
    "E34": "Other endocrine disorders",
    "E613": "Manganese deficiency",
    "E640": "Sequelae of protein-energy malnutrition",
    "E670": "Hypervitaminosis A",
    "E678": "Other specified hyperalimentation",
    "E708": "Other disorders of aromatic amino-acid metabolism",
    "E72": "Other disorders of amino-acid metabolism",
    "E672": "Megavitamin-B6syndrome",
    "T850": "Mechanical complication of ventricular intracranial (communicating) shunt",
    "M131": "Monoarthritis, not elsewhere classified",
    "M161": "Other primary coxarthrosis",
    "M169": "Coxarthrosis, unspecified",
    "S220": "Fracture of thoracic vertebra",
    "T609": "Toxic effect: Pesticide, unspecified",
    "Z245": "Need for immunization against rubella alone",
    "Z269": "Need for immunization against unspecified infectious disease",
    "Z315": "Genetic counselling",
    "Z428": "Follow-up care involving plastic surgery of other body part",
    "Z433": "Attention to colostomy",
    "Z442": "Fitting and adjustment of artificial eye",
    "Z459": "Adjustment and management of unspecified implanted device",
    "Z462": "Fitting and adjustment of other devices related to nervous system and special senses",
    "Z488": "Other specified surgical follow-up care",
    "Z381": "Singleton, born outside hospital",
    "45590717": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "Z50": "Care involving use of rehabilitation procedures",
    "Z518": "Other specified medical care",
    "Z523": "Bone marrow donor",
    "Z53": "Persons encountering health services for specific procedures, not carried out",
    "Z548": "Convalescence following other treatment",
    "Z572": "Occupational exposure to dust",
    "Z577": "Occupational exposure to vibration",
    "Z578": "Occupational exposure to other risk-factors",
    "Z725": "High-risk sexual behaviour",
    "Z732": "Lack of relaxation and leisure",
    "Z761": "Health supervision and care of foundling",
    "Z765": "Malingerer [conscious simulation]",
    "T618": "Toxic effect: Toxic effect of other seafoods",
    "S252": "Injury of superior vena cava",
    "S617": "Multiple open wounds of wrist and hand",
    "S618": "Open wound of other parts of wrist and hand",
    "M214": "Flat foot [pes planus] (acquired)",
    "M233": "Other meniscus derangements",
    "M2350": "Chronic instability of knee, multiple sites",
    "M255": "Pain in joint",
    "S260": "Injury of heart with haemopericardium",
    "T561": "Toxic effect: Mercury and its compounds",
    "Z910": "Personal history of allergy, other than to drugs and biological substances",
    "Z899": "Acquired absence of limb, unspecified",
    "Z901": "Acquired absence of breast(s)",
    "Z908": "Acquired absence of other organs",
    "Z961": "Presence of intraocular lens",
    "Z964": "Presence of endocrine implants",
    "Z967": "Presence of other bone and tendon implants",
    "A041": "Enterotoxigenic Escherichia coli infection",
    "A043": "Enterohaemorrhagic Escherichia coli infection",
    "A153": "Tuberculosis of lung, confirmed by unspecified means",
    "A158": "Other respiratory tuberculosis, confirmed bacteriologically and histologically",
    "A169": "Respiratory tuberculosis unspecified, without mention of bacteriological or histological confirmation",
    "A198": "Other miliary tuberculosis",
    "A200": "Bubonic plague",
    "Z930": "Tracheostomy status",
    "Z931": "Gastrostomy status",
    "45585882": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45585900": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S170": "Crushing injury of larynx and trachea",
    "S179": "Crushing injury of neck, part unspecified",
    "S207": "Multiple superficial injuries of thorax",
    "M084": "Pauciarticular juvenile arthritis",
    "T244": "Corrosion of unspecified degree of hip and lower limb, except ankle and foot",
    "O71": "Other obstetric trauma",
    "O712": "Postpartum inversion of uterus",
    "O718": "Other specified obstetric trauma",
    "O754": "Other complications of obstetric surgery and procedures",
    "O757": "Vaginal delivery following previous caesarean section",
    "O758": "Other specified complications of labour and delivery",
    "O829": "Delivery by caesarean section, unspecified",
    "O860": "Infection of obstetric surgical wound",
    "O879": "Venous complication in the puerperium, unspecified",
    "O810": "Low forceps delivery",
    "H360": "Diabetic retinopathy",
    "V908": "Accident to watercraft causing drowning and submersion, Other unpowered watercraft",
    "V916": "Accident to watercraft causing other injury, inflatable craft (nonpowered)",
    "E753": "Sphingolipidosis, unspecified",
    "E761": "Mucopolysaccharidosis, type II",
    "E770": "Defects in post-translational modification of lysosomal enzymes",
    "E881": "Lipodystrophy, not elsewhere classified",
    "45600682": "Invalid ICD10 Concept, do not use",
    "M87": "Osteonecrosis",
    "T900": "Sequelae of superficial injury of head",
    "V010": "Pedestrian injured in collision with pedal cycle, Nontraffic accident",
    "45600685": "Invalid ICD10 Concept, do not use",
    "45600686": "Invalid ICD10 Concept, do not use",
    "45600687": "Invalid ICD10 Concept, do not use",
    "F07": "Personality and behavioural disorders due to brain disease, damage and dysfunction",
    "F070": "Organic personality disorder",
    "F079": "Unspecified organic personality and behavioural disorder due to brain disease, damage and dysfunction",
    "F112": "Mental and behavioural disorders due to use of opioids, dependence syndrome",
    "45600699": "Invalid ICD10 Concept, do not use",
    "F116": "Mental and behavioural disorders due to use of opioids, amnesic syndrome",
    "S913": "Open wound of other parts of foot",
    "Z860": "Personal history of other neoplasms",
    "Z913": "Personal history of unhealthy sleep-wake schedule",
    "Z914": "Personal history of psychological trauma, not elsewhere classified",
    "F186": "Mental and behavioural disorders due to use of volatile solvents, amnesic syndrome",
    "M219": "Acquired deformity of limb, unspecified",
    "M221": "Recurrent subluxation of patella",
    "M232": "Derangement of meniscus due to old tear or injury",
    "M250": "Haemarthrosis",
    "Z929": "Personal history of medical treatment, unspecified",
    "S6221": "Fracture of first metacarpal bone, open",
    "Z933": "Colostomy status",
    "Z935": "Cystostomy status",
    "S276": "Injury of pleura",
    "A21": "Tularaemia",
    "A305": "Lepromatous leprosy",
    "A328": "Other forms of listeriosis",
    "A378": "Whooping cough due to other Bordetella species",
    "A419": "Sepsis, unspecified",
    "A422": "Cervicofacial actinomycosis",
    "A440": "Systemic bartonellosis",
    "A481": "Legionnaires disease",
    "A493": "Mycoplasma infection, unspecified site",
    "A509": "Congenital syphilis, unspecified",
    "A560": "Chlamydial infection of lower genitourinary tract",
    "A562": "Chlamydial infection of genitourinary tract, unspecified",
    "A630": "Anogenital (venereal) warts",
    "A672": "Late lesions of pinta",
    "A699": "Spirochaetal infection, unspecified",
    "A779": "Spotted fever, unspecified",
    "A79": "Other rickettsioses",
    "A819": "Atypical virus infection of central nervous system, unspecified",
    "A87": "Viral meningitis",
    "A930": "Oropouche virus disease",
    "A931": "Sandfly fever",
    "A950": "Sylvatic yellow fever",
    "A969": "Arenaviral haemorrhagic fever, unspecified",
    "A982": "Kyasanur Forest disease",
    "B01": "Varicella [chickenpox]",
    "M319": "Necrotizing vasculopathy, unspecified",
    "M34": "Systemic sclerosis",
    "M415": "Other secondary scoliosis",
    "M418": "Other forms of scoliosis",
    "T603": "Toxic effect: Herbicides and fungicides",
    "M146": "Neuropathic arthropathy",
    "S224": "Multiple fractures of ribs",
    "S231": "Dislocation of thoracic vertebra",
    "T253": "Burn of third degree of ankle and foot",
    "T26": "Burn and corrosion confined to eye and adnexa",
    "T311": "Burns involving 10-19% of body surface",
    "M182": "Post-traumatic arthrosis of first carpometacarpal joints, bilateral",
    "O89": "Complications of anaesthesia during the puerperium",
    "O980": "Tuberculosis complicating pregnancy, childbirth and the puerperium",
    "O986": "Protozoal diseases complicating pregnancy, childbirth and the puerperium",
    "O994": "Diseases of the circulatory system complicating pregnancy, childbirth and the puerperium",
    "P015": "Fetus and newborn affected by multiple pregnancy",
    "P021": "Fetus and newborn affected by other forms of placental separation and haemorrhage",
    "P115": "Birth injury to spine and spinal cord",
    "P131": "Other birth injuries to skull",
    "P140": "Erb paralysis due to birth injury",
    "P221": "Transient tachypnoea of newborn",
    "P242": "Neonatal aspiration of blood",
    "P281": "Other and unspecified atelectasis of newborn",
    "P284": "Other apnoea of newborn",
    "P361": "Sepsis of newborn due to other and unspecified streptococci",
    "P363": "Sepsis of newborn due to other and unspecified staphylococci",
    "P510": "Massive umbilical haemorrhage of newborn",
    "P599": "Neonatal jaundice, unspecified",
    "P618": "Other specified perinatal haematological disorders",
    "P619": "Perinatal haematological disorder, unspecified",
    "45592340": "Invalid ICD10 Concept, do not use",
    "P70": "Transitory disorders of carbohydrate metabolism specific to fetus and newborn",
    "P702": "Neonatal diabetes mellitus",
    "P721": "Transitory neonatal hyperthyroidism",
    "P729": "Transitory neonatal endocrine disorder, unspecified",
    "P744": "Other transitory electrolyte disturbances of newborn",
    "P78": "Other perinatal digestive system disorders",
    "P839": "Condition of integument specific to fetus and newborn, unspecified",
    "V931": "Accident on board watercraft without accident to watercraft, not causing drowning and submersion, passenger ship",
    "V941": "Other and unspecified water transport accidents, passenger ship",
    "V948": "Other and unspecified water transport accidents, other unpowered watercraft",
    "H501": "Divergent concomitant strabismus",
    "H53": "Visual disturbances",
    "H605": "Acute otitis externa, noninfective",
    "M908": "Osteopathy in other diseases classified elsewhere",
    "M911": "Juvenile osteochondrosis of head of femur [Legg-Calvé-Perthes]",
    "F117": "Mental and behavioural disorders due to use of opioids, residual and late-onset psychotic disorder",
    "F124": "Mental and behavioural disorders due to use of cannabinoids, withdrawal state with delirium",
    "45600703": "Invalid ICD10 Concept, do not use",
    "45600704": "Invalid ICD10 Concept, do not use",
    "F131": "Mental and behavioural disorders due to use of sedatives or hypnotics, harmful use",
    "F132": "Mental and behavioural disorders due to use of sedatives or hypnotics, dependence syndrome",
    "F15": "Mental and behavioural disorders due to use of other stimulants, including caffeine",
    "45600713": "Invalid ICD10 Concept, do not use",
    "45600716": "Invalid ICD10 Concept, do not use",
    "45600717": "Invalid ICD10 Concept, do not use",
    "F170": "Mental and behavioural disorders due to use of tobacco, acute intoxication",
    "F188": "Mental and behavioural disorders due to use of volatile solvents, other mental and behavioural disorders",
    "F189": "Mental and behavioural disorders due to use of volatile solvents, unspecified mental and behavioural disorder",
    "F193": "Mental and behavioural disorders due to multiple drug use and use of other psychoactive substances, withdrawal state",
    "F199": "Mental and behavioural disorders due to multiple drug use and use of other psychoactive substances, unspecified mental and behavioural disorder",
    "45600733": "Invalid ICD10 Concept, do not use",
    "45600734": "Invalid ICD10 Concept, do not use",
    "45600735": "Invalid ICD10 Concept, do not use",
    "45600736": "Invalid ICD10 Concept, do not use",
    "45600737": "Invalid ICD10 Concept, do not use",
    "F309": "Manic episode, unspecified",
    "F323": "Severe depressive episode with psychotic symptoms",
    "F338": "Other recurrent depressive disorders",
    "F349": "Persistent mood [affective] disorder, unspecified",
    "F429": "Obsessive-compulsive disorder, unspecified",
    "F444": "Dissociative motor disorders",
    "F458": "Other somatoform disorders",
    "F488": "Other specified neurotic disorders",
    "F503": "Atypical bulimia nervosa",
    "V131": "Pedal cyclist injured in collision with car, pick-up truck or van, passenger injured in nontraffic accident",
    "V040": "Pedestrian injured in collision with heavy transport vehicle or bus, nontraffic accident",
    "V041": "Pedestrian injured in collision with heavy transport vehicle or bus, traffic accident",
    "S847": "Injury of multiple nerves at lower leg level",
    "M313": "Wegener granulomatosis",
    "M35": "Other systemic involvement of connective tissue",
    "S254": "Injury of pulmonary blood vessels",
    "S29": "Other and unspecified injuries of thorax",
    "Z960": "Presence of urogenital implants",
    "Z990": "Dependence on aspirator",
    "A009": "Cholera, unspecified",
    "A039": "Shigellosis, unspecified",
    "A045": "Campylobacter enteritis",
    "A050": "Foodborne staphylococcal intoxication",
    "A051": "Botulism",
    "A061": "Chronic intestinal amoebiasis",
    "A069": "Amoebiasis, unspecified",
    "A071": "Giardiasis [lambliasis]",
    "A072": "Cryptosporidiosis",
    "A182": "Tuberculous peripheral lymphadenopathy",
    "A188": "Tuberculosis of other specified organs",
    "A199": "Miliary tuberculosis, unspecified",
    "A213": "Gastrointestinal tularaemia",
    "A268": "Other forms of erysipeloid",
    "A288": "Other specified zoonotic bacterial diseases, not elsewhere classified",
    "A310": "Pulmonary mycobacterial infection",
    "A320": "Cutaneous listeriosis",
    "A36": "Diphtheria",
    "45590809": "Invalid ICD10 Concept, do not use",
    "Z941": "Heart transplant status",
    "Z947": "Corneal transplant status",
    "A403": "Sepsis due to Streptococcus pneumoniae",
    "A43": "Nocardiosis",
    "A499": "Bacterial infection, unspecified",
    "A502": "Early congenital syphilis, unspecified",
    "A511": "Primary anal syphilis",
    "A512": "Primary syphilis of other sites",
    "A598": "Trichomoniasis of other sites",
    "A667": "Other manifestations of yaws",
    "A740": "Chlamydial conjunctivitis",
    "A772": "Spotted fever due to Rickettsia sibirica",
    "A773": "Spotted fever due to Rickettsia australis",
    "A811": "Subacute sclerosing panencephalitis",
    "A851": "Adenoviral encephalitis",
    "A951": "Urban yellow fever",
    "B019": "Varicella without complication",
    "B059": "Measles without complication",
    "B088": "Other specified viral infections characterized by skin and mucous membrane lesions",
    "B161": "Acute hepatitis B with delta-agent (coinfection) without hepatic coma",
    "B169": "Acute hepatitis B without delta-agent and without hepatic coma",
    "B182": "Chronic viral hepatitis C",
    "B227": "HIV disease resulting in multiple diseases classified elsewhere",
    "B302": "Viral pharyngoconjunctivitis",
    "T676": "Heat fatigue, transient",
    "T698": "Other specified effects of reduced temperature",
    "T701": "Sinus barotrauma",
    "T732": "Exhaustion due to exposure",
    "M500": "Cervical disc disorder with myelopathy",
    "M543": "Sciatica",
    "B05": "Measles",
    "B068": "Rubella with other complications",
    "B084": "Enteroviral vesicular stomatitis with exanthem",
    "B190": "Unspecified viral hepatitis with hepatic coma",
    "B204": "HIV disease resulting in candidiasis",
    "B262": "Mumps encephalitis",
    "B268": "Mumps with other complications",
    "B334": "Hantavirus (cardio-)pulmonary syndrome [HPS] [HCPS]",
    "B342": "Coronavirus infection, unspecified site",
    "B348": "Other viral infections of unspecified site",
    "B355": "Tinea imbricata",
    "B368": "Other specified superficial mycoses",
    "B438": "Other forms of chromomycosis",
    "B447": "Disseminated aspergillosis",
    "B468": "Other zygomycoses",
    "B560": "Gambiense trypanosomiasis",
    "B57": "Chagas disease",
    "B589": "Toxoplasmosis, unspecified",
    "B601": "Acanthamoebiasis",
    "B710": "Hymenolepiasis",
    "B73": "Onchocerciasis",
    "B770": "Ascariasis with intestinal complications",
    "B789": "Strongyloidiasis, unspecified",
    "B814": "Mixed intestinal helminthiases",
    "B818": "Other specified intestinal helminthiases",
    "B854": "Mixed pediculosis and phthiriasis",
    "B981": "Vibrio vulnificus as the cause of diseases classified to other chapters",
    "C039": "Malignant neoplasm: Gum, unspecified",
    "C04": "Malignant neoplasm of floor of mouth",
    "C098": "Malignant neoplasm: Overlapping lesion of tonsil",
    "C163": "Malignant neoplasm: Pyloric antrum",
    "C17": "Malignant neoplasm of small intestine",
    "C184": "Malignant neoplasm: Transverse colon",
    "C31": "Malignant neoplasm of accessory sinuses",
    "C33": "Malignant neoplasm of trachea",
    "C390": "Malignant neoplasm: Upper respiratory tract, part unspecified",
    "C414": "Malignant neoplasm: Pelvic bones, sacrum and coccyx",
    "45585962": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S829": "Fracture of lower leg, part unspecified",
    "S245": "Injury of other nerves of thorax",
    "S259": "Injury of unspecified blood vessel of thorax",
    "M185": "Other secondary arthrosis of first carpometacarpal joint",
    "M222": "Patellofemoral disorders",
    "M2390": "Internal derangement of knee, unspecified, multiple sites",
    "T321": "Corrosions involving 10-19% of body surface",
    "T324": "Corrosions involving 40-49% of body surface",
    "T327": "Corrosions involving 70-79% of body surface",
    "T33": "Superficial frostbite",
    "T34": "Frostbite with tissue necrosis",
    "45592351": "Invalid ICD10 Concept, do not use",
    "P93": "Reactions and intoxications due to drugs administered to fetus and newborn",
    "P968": "Other specified conditions originating in the perinatal period",
    "Q010": "Frontal encephalocele",
    "Q043": "Other reduction deformities of brain",
    "Q054": "Unspecified spina bifida with hydrocephalus",
    "Q064": "Hydromyelia",
    "Q069": "Congenital malformation of spinal cord, unspecified",
    "Q135": "Blue sclera",
    "Q150": "Congenital glaucoma",
    "Q161": "Congenital absence, atresia and stricture of auditory canal (external)",
    "Q202": "Double outlet left ventricle",
    "Q214": "Aortopulmonary septal defect",
    "Q222": "Congenital pulmonary valve insufficiency",
    "Q224": "Congenital tricuspid stenosis",
    "S523": "Fracture of shaft of radius",
    "H620": "Otitis externa in bacterial diseases classified elsewhere",
    "H728": "Other perforations of tympanic membrane",
    "H738": "Other specified disorders of tympanic membrane",
    "H801": "Otosclerosis involving oval window, obliterative",
    "H911": "Presbycusis",
    "I050": "Mitral stenosis",
    "Q23": "Congenital malformations of aortic and mitral valves",
    "Q241": "Laevocardia",
    "Q28": "Other congenital malformations of circulatory system",
    "Q280": "Arteriovenous malformation of precerebral vessels",
    "Q282": "Arteriovenous malformation of cerebral vessels",
    "Q315": "Congenital laryngomalacia",
    "Q373": "Cleft soft palate with unilateral cleft lip",
    "S663": "Injury of extensor muscle and tendon of other finger at wrist and hand level",
    "M955": "Acquired deformity of pelvis",
    "M963": "Postlaminectomy kyphosis",
    "N002": "Acute nephritic syndrome, Diffuse membranous glomerulonephritis",
    "N021": "Recurrent and persistent haematuria, focal and segmental glomerular lesions",
    "N029": "Recurrent and persistent haematuria, unspecified",
    "N063": "Isolated proteinuria with specified morphological lesion, diffuse mesangial proliferative glomerulonephritis",
    "N067": "Isolated proteinuria with specified morphological lesion, diffuse crescentic glomerulonephritis",
    "N180": "End-stage renal disease",
    "N19": "Unspecified kidney failure",
    "N26": "Unspecified contracted kidney",
    "N289": "Disorder of kidney and ureter, unspecified",
    "N300": "Acute cystitis",
    "N412": "Abscess of prostate",
    "N482": "Other inflammatory disorders of penis",
    "N488": "Other specified disorders of penis",
    "N490": "Inflammatory disorders of seminal vesicle",
    "N63": "Unspecified lump in breast",
    "N64": "Other disorders of breast",
    "N738": "Other specified female pelvic inflammatory diseases",
    "N748": "Female pelvic inflammatory disorders in other diseases classified elsewhere",
    "N804": "Endometriosis of rectovaginal septum and vagina",
    "N849": "Polyp of female genital tract, unspecified",
    "N87": "Dysplasia of cervix uteri",
    "N897": "Haematocolpos",
    "N90": "Other noninflammatory disorders of vulva and perineum",
    "N910": "Primary amenorrhoea",
    "N911": "Secondary amenorrhoea",
    "N913": "Primary oligomenorrhoea",
    "N945": "Secondary dysmenorrhoea",
    "N972": "Female infertility of uterine origin",
    "V185": "Pedal cyclist injured in noncollision transport accident, passenger injured in traffic accident",
    "V205": "Motorcycle rider injured in collision with pedestrian or animal, Passenger injured in traffic accident",
    "V212": "Motorcycle rider injured in collision with pedal cycle, unspecified motorcycle rider injured in nontraffic accident",
    "45600754": "Invalid ICD10 Concept, do not use",
    "F523": "Orgasmic dysfunction",
    "F608": "Other specific personality disorders",
    "F630": "Pathological gambling",
    "F648": "Other gender identity disorders",
    "45600759": "Invalid ICD10 Concept, do not use",
    "F680": "Elaboration of physical symptoms for psychological reasons",
    "F80": "Specific developmental disorders of speech and language",
    "F84": "Pervasive developmental disorders",
    "F849": "Pervasive developmental disorder, unspecified",
    "F91": "Conduct disorders",
    "F951": "Chronic motor or vocal tic disorder",
    "F981": "Nonorganic encopresis",
    "G03": "Meningitis due to other and unspecified causes",
    "G111": "Early-onset cerebellar ataxia",
    "G12": "Spinal muscular atrophy and related syndromes",
    "G128": "Other spinal muscular atrophies and related syndromes",
    "G129": "Spinal muscular atrophy, unspecified",
    "G243": "Spasmodic torticollis",
    "G319": "Degenerative disease of nervous system, unspecified",
    "G403": "Generalized idiopathic epilepsy and epileptic syndromes",
    "V224": "Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, driver injured in traffic accident",
    "45600765": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S862": "Injury of muscle(s) and tendon(s) of anterior muscle group at lower leg level",
    "S312": "Open wound of penis",
    "M419": "Scoliosis, unspecified",
    "M45": "Ankylosing spondylitis",
    "M472": "Other spondylosis with radiculopathy",
    "M481": "Ankylosing hyperostosis [Forestier]",
    "M489": "Spondylopathy, unspecified",
    "M508": "Other cervical disc disorders",
    "M513": "Other specified intervertebral disc degeneration",
    "M542": "Cervicalgia",
    "M601": "Interstitial myositis",
    "M608": "Other myositis",
    "M619": "Calcification and ossification of muscle, unspecified",
    "B351": "Tinea unguium",
    "B363": "Black piedra",
    "B392": "Pulmonary histoplasmosis capsulati, unspecified",
    "B407": "Disseminated blastomycosis",
    "B470": "Eumycetoma",
    "B519": "Plasmodium vivax malaria without complication",
    "B52": "Plasmodium malariae malaria",
    "B531": "Malaria due to simian plasmodia",
    "B538": "Other parasitologically confirmed malaria, not elsewhere classified",
    "B572": "Chagas disease (chronic) with heart involvement",
    "B574": "Chagas disease (chronic) with nervous system involvement",
    "B582": "Toxoplasma meningoencephalitis",
    "B608": "Other specified protozoal diseases",
    "B660": "Opisthorchiasis",
    "B674": "Echinococcus granulosus infection, unspecified",
    "B769": "Hookworm disease, unspecified",
    "B853": "Phthiriasis",
    "B940": "Sequelae of trachoma",
    "B956": "Staphylococcus aureus as the cause of diseases classified to other chapters",
    "B963": "Haemophilus influenzae [H. influenzae] as the cause of diseases classified to other chapters",
    "B968": "Other specified bacterial agents as the cause of diseases classified to other chapters",
    "B972": "Coronavirus as the cause of diseases classified to other chapters",
    "S84": "Injury of nerves at lower leg level",
    "C443": "Malignant neoplasm: Skin of other and unspecified parts of face",
    "C452": "Mesothelioma of pericardium",
    "M626": "Muscle strain",
    "M661": "Rupture of synovium",
    "T652": "Toxic effect: Tobacco and nicotine",
    "T675": "Heat exhaustion, unspecified",
    "T678": "Other effects of heat and light",
    "T731": "Effects of thirst",
    "T739": "Effect of deprivation, unspecified",
    "T748": "Other maltreatment syndromes",
    "T749": "Maltreatment syndrome, unspecified",
    "T754": "Effects of electric current",
    "T758": "Other specified effects of external causes",
    "T797": "Traumatic subcutaneous emphysema",
    "M257": "Osteophyte",
    "S274": "Injury of bronchus",
    "T350": "Superficial frostbite involving multiple body regions",
    "T355": "Unspecified frostbite of lower limb",
    "M340": "Progressive systemic sclerosis",
    "M341": "CR(E)ST syndrome",
    "M354": "Diffuse (eosinophilic) fasciitis",
    "M356": "Relapsing panniculitis [Weber-Christian]",
    "S763": "Injury of muscle and tendon of the posterior muscle group at thigh level",
    "Q391": "Atresia of oesophagus with tracheo-oesophageal fistula",
    "Q393": "Congenital stenosis and stricture of oesophagus",
    "Q43": "Other congenital malformations of intestine",
    "Q523": "Imperforate hymen",
    "Q56": "Indeterminate sex and pseudohermaphroditism",
    "Q613": "Polycystic kidney, unspecified",
    "Q641": "Exstrophy of urinary bladder",
    "Q66": "Congenital deformities of feet",
    "Q70": "Syndactyly",
    "Q703": "Webbed toes",
    "Q713": "Congenital absence of hand and finger(s)",
    "Q754": "Mandibulofacial dysostosis",
    "Q783": "Progressive diaphyseal dysplasia",
    "Q789": "Osteochondrodysplasia, unspecified",
    "Q820": "Hereditary lymphoedema",
    "Q83": "Congenital malformations of breast",
    "Q859": "Phakomatosis, unspecified",
    "Q910": "Trisomy 18, meiotic nondisjunction",
    "Q911": "Trisomy 18, mosaicism (mitotic nondisjunction)",
    "Q920": "Whole chromosome trisomy, meiotic nondisjunction",
    "Q923": "Minor partial trisomy",
    "Q951": "Chromosome inversion in normal individual",
    "Q98": "Other sex chromosome abnormalities, male phenotype, not elsewhere classified",
    "Q982": "Klinefelter syndrome, male with 46,XX karyotype",
    "Q984": "Klinefelter syndrome, unspecified",
    "Q998": "Other specified chromosome abnormalities",
    "R070": "Pain in throat",
    "R221": "Localized swelling, mass and lump, neck",
    "R252": "Cramp and spasm",
    "R27": "Other lack of coordination",
    "R300": "Dysuria",
    "R46": "Symptoms and signs involving appearance and behaviour",
    "R470": "Dysphasia and aphasia",
    "R478": "Other and unspecified speech disturbances",
    "R501": "Persistent fever",
    "R56": "Convulsions, not elsewhere classified",
    "R578": "Other shock",
    "R659": "Systemic Inflammatory Response Syndrome, unspecified",
    "R772": "Abnormality of alphafetoprotein",
    "R789": "Finding of unspecified substance, not normally found in blood",
    "R700": "Elevated erythrocyte sedimentation rate",
    "R785": "Finding of psychotropic drug in blood",
    "R82": "Other abnormal findings in urine",
    "S666": "Injury of multiple flexor muscles and tendons at wrist and hand level",
    "S668": "Injury of other muscles and tendons at wrist and hand level",
    "S669": "Injury of unspecified muscle and tendon at wrist and hand level",
    "N982": "Complications of attempted introduction of fertilized ovum following in vitro fertilization",
    "S429": "Fracture of shoulder girdle, part unspecified",
    "S458": "Injury of other blood vessels at shoulder and upper arm level",
    "G430": "Migraine without aura [common migraine]",
    "G453": "Amaurosis fugax",
    "G467": "Other lacunar syndromes",
    "G50": "Disorders of trigeminal nerve",
    "G52": "Disorders of other cranial nerves",
    "G573": "Lesion of lateral popliteal nerve",
    "G575": "Tarsal tunnel syndrome",
    "G601": "Refsum disease",
    "G61": "Inflammatory polyneuropathy",
    "G809": "Cerebral palsy, unspecified",
    "G821": "Spastic paraplegia",
    "G913": "Post-traumatic hydrocephalus, unspecified",
    "45600813": "Invalid ICD10 Concept, do not use",
    "O060": "Unspecified abortion, incomplete, complicated by genital tract and pelvic infection",
    "O083": "Shock following abortion and ectopic and molar pregnancy",
    "O100": "Pre-existing essential hypertension complicating pregnancy, childbirth and the puerperium",
    "O23": "Infections of genitourinary tract in pregnancy",
    "O041": "Medical abortion, incomplete, complicated by delayed or excessive haemorrhage",
    "O051": "Other abortion, incomplete, complicated by delayed or excessive haemorrhage",
    "O054": "Other abortion, incomplete, without complication",
    "H025": "Other disorders affecting eyelid function",
    "H04": "Disorders of lacrimal system",
    "H045": "Stenosis and insufficiency of lacrimal passages",
    "H058": "Other disorders of orbit",
    "H10": "Conjunctivitis",
    "M629": "Disorder of muscle, unspecified",
    "S32": "Fracture of lumbar spine and pelvis",
    "S321": "Fracture of sacrum",
    "S323": "Fracture of ilium",
    "B977": "Papillomavirus as the cause of diseases classified to other chapters",
    "B99": "Other and unspecified infectious diseases",
    "C006": "Malignant neoplasm: Commissure of lip",
    "C103": "Malignant neoplasm: Posterior wall of oropharynx",
    "C138": "Malignant neoplasm: Overlapping lesion of hypopharynx",
    "C151": "Malignant neoplasm: Thoracic part of oesophagus",
    "C158": "Malignant neoplasm: Overlapping lesion of oesophagus",
    "C23": "Malignant neoplasm of gallbladder",
    "C250": "Malignant neoplasm: Head of pancreas",
    "C268": "Malignant neoplasm: Overlapping lesion of digestive system",
    "C311": "Malignant neoplasm: Ethmoidal sinus",
    "C434": "Malignant neoplasm: Malignant melanoma of scalp and neck",
    "C449": "Malignant neoplasm: Malignant neoplasm of skin, unspecified",
    "C608": "Malignant neoplasm: Overlapping lesion of penis",
    "S870": "Crushing injury of knee",
    "S889": "Traumatic amputation of lower leg, level unspecified",
    "T820": "Mechanical complication of heart valve prosthesis",
    "T825": "Mechanical complication of other cardiac and vascular devices and implants",
    "T830": "Mechanical complication of urinary (indwelling) catheter",
    "M711": "Other infective bursitis",
    "M731": "Syphilitic bursitis",
    "M791": "Myalgia",
    "M796": "Pain in limb",
    "T801": "Vascular complications following infusion, transfusion and therapeutic injection",
    "C510": "Malignant neoplasm: Labium majus",
    "C54": "Malignant neoplasm of corpus uteri",
    "C672": "Malignant neoplasm: Lateral wall of bladder",
    "C728": "Malignant neoplasm: Overlapping lesion of brain and other parts of central nervous system",
    "C729": "Malignant neoplasm: Central nervous system, unspecified",
    "C783": "Secondary malignant neoplasm of other and unspecified respiratory organs",
    "C810": "Nodular lymphocyte predominant Hodgkin lymphoma",
    "C835": "Lymphoblastic (diffuse) lymphoma",
    "C847": "Anaplastic large cell lymphoma, ALK-negative",
    "C851": "B-cell lymphoma, unspecified",
    "C883": "Immunoproliferative small intestinal disease",
    "C903": "Solitary plasmacytoma",
    "C91": "Lymphoid leukaemia",
    "S855": "Injury of popliteal vein",
    "M439": "Deforming dorsopathy, unspecified",
    "M485": "Collapsed vertebra, not elsewhere classified",
    "M494": "Neuropathic spondylopathy",
    "M503": "Other cervical disc degeneration",
    "M510": "Lumbar and other intervertebral disc disorders with myelopathy",
    "M514": "Schmorl nodes",
    "M538": "Other specified dorsopathies",
    "M539": "Dorsopathy, unspecified",
    "M600": "Infective myositis",
    "M602": "Foreign body granuloma of soft tissue, not elsewhere classified",
    "S807": "Multiple superficial injuries of lower leg",
    "T404": "Poisoning: Other synthetic narcotics",
    "S959": "Injury of unspecified blood vessel at ankle and foot level",
    "S960": "Injury of muscle and tendon of long flexor muscle of toe at ankle and foot level",
    "V670": "Occupant of heavy transport vehicle injured in collision with fixed or stationary object, driver injured in nontraffic accident",
    "V693": "Occupant [any] of heavy transport vehicle injured in unspecified nontraffic accident",
    "S711": "Open wound of thigh",
    "O296": "Failed or difficult intubation during pregnancy",
    "H164": "Corneal neovascularization",
    "O628": "Other abnormalities of forces of labour",
    "O663": "Obstructed labour due to other abnormalities of fetus",
    "O688": "Labour and delivery complicated by other evidence of fetal stress",
    "O698": "Labour and delivery complicated by other cord complications",
    "O703": "Fourth degree perineal laceration during delivery",
    "O731": "Retained portions of placenta and membranes, without haemorrhage",
    "O745": "Spinal and epidural anaesthesia-induced headache during labour and delivery",
    "O75": "Other complications of labour and delivery, not elsewhere classified",
    "O756": "Delayed delivery after spontaneous or unspecified rupture of membranes",
    "O814": "Vacuum extractor delivery",
    "O82": "Single delivery by caesarean section",
    "O868": "Other specified puerperal infections",
    "O871": "Deep phlebothrombosis in the puerperium",
    "O903": "Cardiomyopathy in the puerperium",
    "O908": "Other complications of the puerperium, not elsewhere classified",
    "O920": "Retracted nipple associated with childbirth",
    "S910": "Open wound of ankle",
    "H180": "Corneal pigmentations and deposits",
    "H185": "Hereditary corneal dystrophies",
    "H187": "Other corneal deformities",
    "M673": "Transient synovitis",
    "M779": "Enthesopathy, unspecified",
    "M798": "Other specified soft tissue disorders",
    "M802": "Osteoporosis of disuse with pathological fracture",
    "T849": "Unspecified complication of internal orthopaedic prosthetic device, implant and graft",
    "C674": "Malignant neoplasm: Posterior wall of bladder",
    "C699": "Malignant neoplasm: Eye, unspecified",
    "C721": "Malignant neoplasm: Cauda equina",
    "C73": "Malignant neoplasm of thyroid gland",
    "C74": "Malignant neoplasm of adrenal gland",
    "C741": "Malignant neoplasm: Medulla of adrenal gland",
    "C753": "Malignant neoplasm: Pineal gland",
    "C762": "Malignant neoplasm of other and ill-defined sites: Abdomen",
    "C770": "Secondary and unspecified malignant neoplasm: Lymph nodes of head, face and neck",
    "C797": "Secondary malignant neoplasm of adrenal gland",
    "C823": "Follicular lymphoma grade IIIa",
    "C830": "Small cell B-cell lymphoma",
    "C837": "Burkitt lymphoma",
    "S630": "Dislocation of wrist",
    "C945": "Acute myelofibrosis",
    "C959": "Leukaemia, unspecified",
    "C964": "Sarcoma of dendritic cells (accessory cells)",
    "D010": "Carcinoma in situ: Colon",
    "D013": "Carcinoma in situ: Anus and anal canal",
    "M81": "Osteoporosis without pathological fracture",
    "T828": "Other specified complications of cardiac and vascular prosthetic devices, implants and grafts",
    "D034": "Melanoma in situ of scalp and neck",
    "D043": "Carcinoma in situ: Skin of other and unspecified parts of face",
    "D075": "Carcinoma in situ: Prostate",
    "D10": "Benign neoplasm of mouth and pharynx",
    "D101": "Benign neoplasm: Tongue",
    "D102": "Benign neoplasm: Floor of mouth",
    "D120": "Benign neoplasm: Caecum",
    "D131": "Benign neoplasm: Stomach",
    "D175": "Benign lipomatous neoplasm of intra-abdominal organs",
    "D180": "Haemangioma, any site",
    "D197": "Benign neoplasm: Mesothelial tissue of other sites",
    "S320": "Fracture of lumbar vertebra",
    "T415": "Poisoning: Therapeutic gases",
    "T426": "Poisoning: Other antiepileptic and sedative-hypnotic drugs",
    "M622": "Ischaemic infarction of muscle",
    "M651": "Other infective (teno)synovitis",
    "M658": "Other synovitis and tenosynovitis",
    "H659": "Nonsuppurative otitis media, unspecified",
    "H671": "Otitis media in viral diseases classified elsewhere",
    "V774": "Bus occupant injured in collision with fixed or stationary object, person injured while boarding or alighting",
    "V783": "Bus occupant injured in noncollision transport accident, unspecified bus occupant injured in nontraffic accident",
    "V843": "Unspecified occupant of special agricultural vehicle injured in traffic accident",
    "V845": "Driver of special agricultural vehicle injured in nontraffic accident",
    "S981": "Traumatic amputation of one toe",
    "S997": "Multiple injuries of ankle and foot",
    "T01": "Open wounds involving multiple body regions",
    "T011": "Open wounds involving thorax with abdomen, lower back and pelvis",
    "T026": "Fractures involving multiple regions of upper limb(s) with lower limb(s)",
    "T039": "Multiple dislocations, sprains and strains, unspecified",
    "T056": "Traumatic amputation of upper and lower limbs, any combination [any level]",
    "T07": "Unspecified multiple injuries",
    "T119": "Unspecified injury of upper limb, level unspecified",
    "T158": "Foreign body in other and multiple parts of external eye",
    "T170": "Foreign body in nasal sinus",
    "S467": "Injury of multiple muscles and tendons at shoulder and upper arm level",
    "45604011": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S509": "Superficial injury of forearm, unspecified",
    "O600": "Preterm labour without delivery",
    "O601": "Preterm spontaneous labour with preterm delivery",
    "O432": "Morbidly adherent placenta",
    "H341": "Central retinal artery occlusion",
    "H42": "Glaucoma in diseases classified elsewhere",
    "H439": "Disorder of vitreous body, unspecified",
    "T14": "Injury of unspecified body region",
    "T146": "Injury of muscles and tendons of unspecified body region",
    "V582": "Occupant of pick-up truck or van injured in noncollision transport accident, person on outside of vehicle injured in nontraffic accident",
    "45599170": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "T172": "Foreign body in pharynx",
    "T191": "Foreign body in bladder",
    "S452": "Injury of axillary or brachial vein",
    "S453": "Injury of superficial vein at shoulder and upper arm level",
    "S480": "Traumatic amputation at shoulder joint",
    "H213": "Cyst of iris, ciliary body and anterior chamber",
    "H221": "Iridocyclitis in other diseases classified elsewhere",
    "H260": "Infantile, juvenile and presenile cataract",
    "H262": "Complicated cataract",
    "O629": "Abnormality of forces of labour, unspecified",
    "O63": "Long labour",
    "C840": "Mycosis fungoides",
    "M706": "Trochanteric bursitis",
    "M707": "Other bursitis of hip",
    "M710": "Abscess of bursa",
    "M713": "Other bursal cyst",
    "M719": "Bursopathy, unspecified",
    "M755": "Bursitis of shoulder",
    "T650": "Toxic effect: Cyanides",
    "T659": "Toxic effect: Toxic effect of unspecified substance",
    "T671": "Heat syncope",
    "T751": "Drowning and nonfatal submersion",
    "T809": "Unspecified complication following infusion, transfusion and therapeutic injection",
    "M411": "Juvenile idiopathic scoliosis",
    "M42": "Spinal osteochondrosis",
    "S301": "Contusion of abdominal wall",
    "S302": "Contusion of external genital organs",
    "S311": "Open wound of abdominal wall",
    "A449": "Bartonellosis, unspecified",
    "A519": "Early syphilis, unspecified",
    "A523": "Neurosyphilis, unspecified",
    "A539": "Syphilis, unspecified",
    "A542": "Gonococcal pelviperitonitis and other gonococcal genitourinary infections",
    "A545": "Gonococcal pharyngitis",
    "A59": "Trichomoniasis",
    "A599": "Trichomoniasis, unspecified",
    "A65": "Nonvenereal syphilis",
    "A759": "Typhus fever, unspecified",
    "A771": "Spotted fever due to Rickettsia conorii",
    "A804": "Acute nonparalytic poliomyelitis",
    "A821": "Urban rabies",
    "A834": "Australian encephalitis",
    "A879": "Viral meningitis, unspecified",
    "A968": "Other arenaviral haemorrhagic fevers",
    "B003": "Herpesviral meningitis",
    "B007": "Disseminated herpesviral disease",
    "B058": "Measles with other complications",
    "B181": "Chronic viral hepatitis B without delta-agent",
    "B205": "HIV disease resulting in other mycoses",
    "B261": "Mumps meningitis",
    "B362": "White piedra",
    "B382": "Pulmonary coccidioidomycosis, unspecified",
    "B41": "Paracoccidioidomycosis",
    "B453": "Osseous cryptococcosis",
    "B482": "Allescheriasis",
    "B49": "Unspecified mycosis",
    "B51": "Plasmodium vivax malaria",
    "B690": "Cysticercosis of central nervous system",
    "B700": "Diphyllobothriasis",
    "B77": "Ascariasis",
    "S246": "Injury of unspecified nerve of thorax",
    "D235": "Benign neoplasm: Skin of trunk",
    "D237": "Benign neoplasm: Skin of lower limb, including hip",
    "D28": "Benign neoplasm of other and unspecified female genital organs",
    "D304": "Benign neoplasm: Urethra",
    "D309": "Benign neoplasm: Urinary organ, unspecified",
    "D329": "Benign neoplasm: Meninges, unspecified",
    "D332": "Benign neoplasm: Brain, unspecified",
    "D352": "Benign neoplasm: Pituitary gland",
    "D357": "Benign neoplasm: Other specified endocrine glands",
    "D358": "Benign neoplasm: Pluriglandular involvement",
    "D360": "Benign neoplasm: Lymph nodes",
    "D369": "Benign neoplasm: Benign neoplasm of unspecified site",
    "D410": "Neoplasm of uncertain or unknown behaviour: Kidney",
    "D444": "Neoplasm of uncertain or unknown behaviour: Craniopharyngeal duct",
    "T846": "Infection and inflammatory reaction due to internal fixation device [any site]",
    "D449": "Neoplasm of uncertain or unknown behaviour: Endocrine gland, unspecified",
    "D479": "Neoplasm of uncertain or unknown behaviour of lymphoid, haematopoietic and related tissue, unspecified",
    "D520": "Dietary folate deficiency anaemia",
    "D550": "Anaemia due to glucose-6-phosphate dehydrogenase [G6PD] deficiency",
    "D553": "Anaemia due to disorders of nucleotide metabolism",
    "D563": "Thalassaemia trait",
    "D58": "Other hereditary haemolytic anaemias",
    "D638": "Anaemia in other chronic diseases classified elsewhere",
    "D696": "Thrombocytopenia, unspecified",
    "D739": "Disease of spleen, unspecified",
    "D812": "Severe combined immunodeficiency [SCID] with low or normal B-cell numbers",
    "D813": "Adenosine deaminase [ADA] deficiency",
    "D839": "Common variable immunodeficiency, unspecified",
    "D841": "Defects in the complement system",
    "E03": "Other hypothyroidism",
    "E04": "Other nontoxic goitre",
    "E06": "Thyroiditis",
    "E109": "Type 1 diabetes mellitus, Without complications",
    "E130": "Other specified diabetes mellitus, with coma",
    "H449": "Disorder of globe, unspecified",
    "H480": "Optic atrophy in diseases classified elsewhere",
    "O631": "Prolonged second stage (of labour)",
    "O653": "Obstructed labour due to pelvic outlet and mid-cavity contraction",
    "O690": "Labour and delivery complicated by prolapse of cord",
    "O740": "Aspiration pneumonitis due to anaesthesia during labour and delivery",
    "O812": "Mid-cavity forceps with rotation",
    "O900": "Disruption of caesarean section wound",
    "V591": "Passenger injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V593": "Occupant [any] of pick-up truck or van injured in unspecified nontraffic accident",
    "V602": "Occupant of heavy transport vehicle injured in collision with pedestrian or animal, Person on outside of vehicle injured in nontraffic accident",
    "V640": "Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, driver injured in nontraffic accident",
    "V705": "Bus occupant injured in collision with pedestrian or animal, Driver injured in traffic accident",
    "V744": "Bus occupant injured in collision with heavy transport vehicle or bus, person injured while boarding or alighting",
    "O661": "Obstructed labour due to locked twins",
    "O67": "Labour and delivery complicated by intrapartum haemorrhage, not elsewhere classified",
    "O699": "Labour and delivery complicated by cord complication, unspecified",
    "O716": "Obstetric damage to pelvic joints and ligaments",
    "O722": "Delayed and secondary postpartum haemorrhage",
    "O759": "Complication of labour and delivery, unspecified",
    "O80": "Single spontaneous delivery",
    "O809": "Single spontaneous delivery, unspecified",
    "O813": "Other and unspecified forceps delivery",
    "O83": "Other assisted single delivery",
    "O85": "Puerperal sepsis",
    "O873": "Cerebral venous thrombosis in the puerperium",
    "O888": "Other obstetric embolism",
    "O926": "Galactorrhoea",
    "O927": "Other and unspecified disorders of lactation",
    "S500": "Contusion of elbow",
    "H308": "Other chorioretinal inflammations",
    "H328": "Other chorioretinal disorders in diseases classified elsewhere",
    "H333": "Retinal breaks without detachment",
    "H352": "Other proliferative retinopathy",
    "H354": "Peripheral retinal degeneration",
    "H368": "Other retinal disorders in diseases classified elsewhere",
    "H406": "Glaucoma secondary to drugs",
    "V725": "Bus occupant injured in collision with two- or three-wheeled motor vehicle, driver injured in traffic accident",
    "V736": "Bus occupant injured in collision with car, pick-up truck or van, passenger injured in traffic accident",
    "S624": "Multiple fractures of metacarpal bones",
    "V741": "Bus occupant injured in collision with heavy transport vehicle or bus, passenger injured in nontraffic accident",
    "S325": "Fracture of pubis",
    "S331": "Dislocation of lumbar vertebra",
    "S333": "Dislocation of other and unspecified parts of lumbar spine and pelvis",
    "S353": "Injury of portal or splenic vein",
    "C861": "Hepatosplenic T-cell lymphoma",
    "C931": "Chronic myelomonocytic leukaemia",
    "D024": "Carcinoma in situ: Respiratory system, unspecified",
    "D040": "Carcinoma in situ: Skin of lip",
    "D076": "Carcinoma in situ: Other and unspecified male genital organs",
    "D130": "Benign neoplasm: Oesophagus",
    "D136": "Benign neoplasm: Pancreas",
    "D143": "Benign neoplasm: Bronchus and lung",
    "D191": "Benign neoplasm: Mesothelial tissue of peritoneum",
    "D359": "Benign neoplasm: Endocrine gland, unspecified",
    "D381": "Neoplasm of uncertain or unknown behaviour: Trachea, bronchus and lung",
    "D384": "Neoplasm of uncertain or unknown behaviour: Thymus",
    "D399": "Neoplasm of uncertain or unknown behaviour: Female genital organ, unspecified",
    "D411": "Neoplasm of uncertain or unknown behaviour: Renal pelvis",
    "D430": "Neoplasm of uncertain or unknown behaviour: Brain, supratentorial",
    "D433": "Neoplasm of uncertain or unknown behaviour: Cranial nerves",
    "D440": "Neoplasm of uncertain or unknown behaviour: Thyroid gland",
    "D448": "Neoplasm of uncertain or unknown behaviour: Pluriglandular involvement",
    "D46": "Myelodysplastic syndromes",
    "D486": "Neoplasm of uncertain or unknown behaviour: Breast",
    "D509": "Iron deficiency anaemia, unspecified",
    "D53": "Other nutritional anaemias",
    "D531": "Other megaloblastic anaemias, not elsewhere classified",
    "D578": "Other sickle-cell disorders",
    "D59": "Acquired haemolytic anaemia",
    "D612": "Aplastic anaemia due to other external agents",
    "D733": "Abscess of spleen",
    "D738": "Other diseases of spleen",
    "T817": "Vascular complications following a procedure, not elsewhere classified",
    "B780": "Intestinal strongyloidiasis",
    "B89": "Unspecified parasitic disease",
    "B970": "Adenovirus as the cause of diseases classified to other chapters",
    "B973": "Retrovirus as the cause of diseases classified to other chapters",
    "C059": "Malignant neoplasm: Palate, unspecified",
    "C060": "Malignant neoplasm: Cheek mucosa",
    "C081": "Malignant neoplasm: Sublingual gland",
    "C099": "Malignant neoplasm: Tonsil, unspecified",
    "C148": "Malignant neoplasm: Overlapping lesion of lip, oral cavity and pharynx",
    "C15": "Malignant neoplasm of oesophagus",
    "C150": "Malignant neoplasm: Cervical part of oesophagus",
    "C152": "Malignant neoplasm: Abdominal part of oesophagus",
    "C165": "Malignant neoplasm: Lesser curvature of stomach, unspecified",
    "C172": "Malignant neoplasm: Ileum",
    "C182": "Malignant neoplasm: Ascending colon",
    "M498": "Spondylopathy in other diseases classified elsewhere",
    "M51": "Other intervertebral disc disorders",
    "M532": "Spinal instabilities",
    "T639": "Toxic effect: Toxic effect of contact with unspecified venomous animal",
    "T65": "Toxic effect of other and unspecified substances",
    "T651": "Toxic effect: Strychnine and its salts",
    "T653": "Toxic effect: Nitroderivatives and aminoderivatives of benzene and its homologues",
    "O997": "Diseases of the skin and subcutaneous tissue complicating pregnancy, childbirth and the puerperium",
    "P01": "Fetus and newborn affected by maternal complications of pregnancy",
    "P023": "Fetus and newborn affected by placental transfusion syndromes",
    "P024": "Fetus and newborn affected by prolapsed cord",
    "P032": "Fetus and newborn affected by forceps delivery",
    "P14": "Birth injury to peripheral nervous system",
    "P149": "Birth injury to peripheral nervous system, unspecified",
    "P156": "Subcutaneous fat necrosis due to birth injury",
    "P159": "Birth injury, unspecified",
    "P258": "Other conditions related to interstitial emphysema originating in the perinatal period",
    "P269": "Unspecified pulmonary haemorrhage originating in the perinatal period",
    "P282": "Cyanotic attacks of newborn",
    "P288": "Other specified respiratory conditions of newborn",
    "P29": "Cardiovascular disorders originating in the perinatal period",
    "H57": "Other disorders of eye and adnexa",
    "H650": "Acute serous otitis media",
    "H721": "Attic perforation of tympanic membrane",
    "V786": "Bus occupant injured in noncollision transport accident, passenger injured in traffic accident",
    "H47": "Other disorders of optic [2nd] nerve and visual pathways",
    "P003": "Fetus and newborn affected by other maternal circulatory and respiratory diseases",
    "P013": "Fetus and newborn affected by polyhydramnios",
    "P036": "Fetus and newborn affected by abnormal uterine contractions",
    "P049": "Fetus and newborn affected by maternal noxious influence, unspecified",
    "P070": "Extremely low birth weight",
    "P124": "Monitoring injury of scalp of newborn",
    "P209": "Intrauterine hypoxia, unspecified",
    "P229": "Respiratory distress of newborn, unspecified",
    "P249": "Neonatal aspiration syndrome, unspecified",
    "P261": "Massive pulmonary haemorrhage originating in the perinatal period",
    "P270": "Wilson-Mikity syndrome",
    "P293": "Persistent fetal circulation",
    "P350": "Congenital rubella syndrome",
    "P379": "Congenital infectious and parasitic disease, unspecified",
    "P393": "Neonatal urinary tract infection",
    "P501": "Fetal blood loss from ruptured cord",
    "P51": "Umbilical haemorrhage of newborn",
    "P520": "Intraventricular (nontraumatic) haemorrhage, grade 1, of fetus and newborn",
    "P54": "Other neonatal haemorrhages",
    "P548": "Other specified neonatal haemorrhages",
    "P579": "Kernicterus, unspecified",
    "P585": "Neonatal jaundice due to swallowed maternal blood",
    "P589": "Neonatal jaundice due to excessive haemolysis, unspecified",
    "P590": "Neonatal jaundice associated with preterm delivery",
    "P616": "Other transient neonatal disorders of coagulation",
    "P059": "Slow fetal growth, unspecified",
    "V780": "Bus occupant injured in noncollision transport accident, driver injured in nontraffic accident",
    "V814": "Person injured while boarding or alighting from railway train or railway vehicle",
    "V816": "Occupant of railway train or railway vehicle injured by fall from railway train or railway vehicle",
    "V850": "Driver of special construction vehicle injured in traffic accident",
    "V875": "Person injured in collision between heavy transport vehicle and bus (traffic)",
    "V880": "Person injured in collision between car and two- or three-wheeled motor vehicle, nontraffic",
    "D749": "Methaemoglobinaemia, unspecified",
    "D758": "Other specified diseases of blood and blood-forming organs",
    "D80": "Immunodeficiency with predominantly antibody defects",
    "D802": "Selective deficiency of immunoglobulin A [IgA]",
    "D84": "Other immunodeficiencies",
    "E010": "Iodine-deficiency-related diffuse (endemic) goitre",
    "E062": "Chronic thyroiditis with transient thyrotoxicosis",
    "C188": "Malignant neoplasm: Overlapping lesion of colon",
    "C320": "Malignant neoplasm: Glottis",
    "C442": "Malignant neoplasm: Skin of ear and external auricular canal",
    "C446": "Malignant neoplasm: Skin of upper limb, including shoulder",
    "C463": "Kaposi sarcoma of lymph nodes",
    "C488": "Malignant neoplasm: Overlapping lesion of retroperitoneum and peritoneum",
    "C506": "Malignant neoplasm: Axillary tail of breast",
    "C51": "Malignant neoplasm of vulva",
    "45600513": "Invalid ICD10 Concept, do not use",
    "C572": "Malignant neoplasm: Round ligament",
    "C64": "Malignant neoplasm of kidney, except renal pelvis",
    "C66": "Malignant neoplasm of ureter",
    "C670": "Malignant neoplasm: Trigone of bladder",
    "C692": "Malignant neoplasm: Retina",
    "C712": "Malignant neoplasm: Temporal lobe",
    "C799": "Secondary malignant neoplasm, unspecified site",
    "S830": "Dislocation of patella",
    "S800": "Contusion of knee",
    "T384": "Poisoning: Oral contraceptives",
    "I832": "Varicose veins of lower extremities with both ulcer and inflammation",
    "I840": "Internal thrombosed hemorrhoids",
    "45605867": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "I870": "Postthrombotic syndrome",
    "I890": "Lymphoedema, not elsewhere classified",
    "I951": "Orthostatic hypotension",
    "J014": "Acute pansinusitis",
    "J188": "Other pneumonia, organism unspecified",
    "J200": "Acute bronchitis due to Mycoplasma pneumoniae",
    "J30": "Vasomotor and allergic rhinitis",
    "J328": "Other chronic sinusitis",
    "J382": "Nodules of vocal cords",
    "J431": "Panlobular emphysema",
    "J47": "Bronchiectasis",
    "T243": "Burn of third degree of hip and lower limb, except ankle and foot",
    "T250": "Burn of unspecified degree of ankle and foot",
    "H906": "Mixed conductive and sensorineural hearing loss, bilateral",
    "H951": "Other disorders following mastoidectomy",
    "I010": "Acute rheumatic pericarditis",
    "I058": "Other mitral valve diseases",
    "I069": "Rheumatic aortic valve disease, unspecified",
    "I071": "Tricuspid insufficiency",
    "I082": "Disorders of both aortic and tricuspid valves",
    "I228": "Subsequent myocardial infarction of other sites",
    "I235": "Rupture of papillary muscle as current complication following acute myocardial infarction",
    "P36": "Bacterial sepsis of newborn",
    "P362": "Sepsis of newborn due to Staphylococcus aureus",
    "P372": "Neonatal (disseminated) listeriosis",
    "P374": "Other congenital malaria",
    "P503": "Haemorrhage into co-twin",
    "P528": "Other intracranial (nontraumatic) haemorrhages of fetus and newborn",
    "P544": "Neonatal adrenal haemorrhage",
    "P569": "Hydrops fetalis due to other and unspecified haemolytic disease",
    "P610": "Transient neonatal thrombocytopenia",
    "P709": "Transitory disorder of carbohydrate metabolism of fetus and newborn, unspecified",
    "P742": "Disturbances of sodium balance of newborn",
    "P789": "Perinatal digestive system disorder, unspecified",
    "P924": "Overfeeding of newborn",
    "P928": "Other feeding problems of newborn",
    "P948": "Other disorders of muscle tone of newborn",
    "Q070": "Arnold-Chiari syndrome",
    "Q101": "Congenital ectropion",
    "Q16": "Congenital malformations of ear causing impairment of hearing",
    "Q178": "Other specified congenital malformations of ear",
    "Q269": "Congenital malformation of great vein, unspecified",
    "Q30": "Congenital malformations of nose",
    "Q318": "Other congenital malformations of larynx",
    "Q431": "Hirschsprung disease",
    "Q435": "Ectopic anus",
    "Q452": "Congenital pancreatic cyst",
    "Q503": "Other congenital malformations of ovary",
    "Q560": "Hermaphroditism, not elsewhere classified",
    "Q620": "Congenital hydronephrosis",
    "Q622": "Congenital megaloureter",
    "Q645": "Congenital absence of bladder and urethra",
    "Q668": "Other congenital deformities of feet",
    "Q682": "Congenital deformity of knee",
    "Q701": "Webbed fingers",
    "Q738": "Other reduction defects of unspecified limb(s)",
    "Q764": "Other congenital malformations of spine, not associated with scoliosis",
    "Q777": "Spondyloepiphyseal dysplasia",
    "Q795": "Other congenital malformations of abdominal wall",
    "Q798": "Other congenital malformations of musculoskeletal system",
    "Q799": "Congenital malformation of musculoskeletal system, unspecified",
    "V854": "Person injured while boarding or alighting from special construction vehicle",
    "V866": "Passenger of all-terrain or other off-road motor vehicle injured in nontraffic accident",
    "V885": "Person injured in collision between heavy transport vehicle and bus, nontraffic",
    "T234": "Corrosion of unspecified degree of wrist and hand",
    "45597090": "Invalid ICD10 Concept, do not use",
    "P711": "Other neonatal hypocalcaemia",
    "P718": "Other transitory neonatal disorders of calcium and magnesium metabolism",
    "P768": "Other specified intestinal obstruction of newborn",
    "P780": "Perinatal intestinal perforation",
    "45597096": "Invalid ICD10 Concept, do not use",
    "P830": "Sclerema neonatorum",
    "P949": "Disorder of muscle tone of newborn, unspecified",
    "P969": "Condition originating in the perinatal period, unspecified",
    "Q019": "Encephalocele, unspecified",
    "Q030": "Malformations of aqueduct of Sylvius",
    "Q031": "Atresia of foramina of Magendie and Luschka",
    "Q044": "Septo-optic dysplasia",
    "Q061": "Hypoplasia and dysplasia of spinal cord",
    "Q12": "Congenital lens malformations",
    "Q129": "Congenital lens malformation, unspecified",
    "Q143": "Congenital malformation of choroid",
    "Q164": "Other congenital malformations of middle ear",
    "Q209": "Congenital malformation of cardiac chambers and connections, unspecified",
    "Q220": "Pulmonary valve atresia",
    "Q228": "Other congenital malformations of tricuspid valve",
    "Q243": "Pulmonary infundibular stenosis",
    "H533": "Other disorders of binocular vision",
    "H545": "Severe visual impairment, monocular",
    "H571": "Ocular pain",
    "H590": "Keratopathy (bullous aphakic) following cataract surgery",
    "H622": "Otitis externa in mycoses",
    "H722": "Other marginal perforations of tympanic membrane",
    "H73": "Other disorders of tympanic membrane",
    "H80": "Otosclerosis",
    "H902": "Conductive hearing loss, unspecified",
    "H920": "Otalgia",
    "H959": "Postprocedural disorder of ear and mastoid process, unspecified",
    "I089": "Multiple valve disease, unspecified",
    "V887": "Person injured in collision between other specified motor vehicles, nontraffic",
    "V888": "Person injured in other specified noncollision transport accidents involving motor vehicle, nontraffic",
    "S3681": "Injury of other intra-abdominal organs, with open wound into cavity",
    "S372": "Injury of bladder",
    "E112": "Type 2 diabetes mellitus, with renal complications",
    "E125": "Malnutrition-related diabetes mellitus, with peripheral circulatory complications",
    "E142": "Unspecified diabetes mellitus, with renal complications",
    "E149": "Unspecified diabetes mellitus, without complications",
    "E20": "Hypoparathyroidism",
    "E24": "Cushing syndrome",
    "E244": "Alcohol-induced pseudo-Cushing syndrome",
    "E248": "Other Cushing syndrome",
    "E507": "Other ocular manifestations of vitamin A deficiency",
    "E512": "Wernicke encephalopathy",
    "E630": "Essential fatty acid [EFA] deficiency",
    "E709": "Disorder of aromatic amino-acid metabolism, unspecified",
    "E711": "Other disorders of branched-chain amino-acid metabolism",
    "E712": "Disorder of branched-chain amino-acid metabolism, unspecified",
    "E729": "Disorder of amino-acid metabolism, unspecified",
    "E790": "Hyperuricaemia without signs of inflammatory arthritis and tophaceous disease",
    "E805": "Crigler-Najjar syndrome",
    "E840": "Cystic fibrosis with pulmonary manifestations",
    "E841": "Cystic fibrosis with intestinal manifestations",
    "E848": "Cystic fibrosis with other manifestations",
    "45605438": "Invalid ICD10 Concept, do not use",
    "E889": "Metabolic disorder, unspecified",
    "E893": "Postprocedural hypopituitarism",
    "45605441": "Invalid ICD10 Concept, do not use",
    "45605442": "Invalid ICD10 Concept, do not use",
    "F011": "Multi-infarct dementia",
    "45605444": "Invalid ICD10 Concept, do not use",
    "45605445": "Invalid ICD10 Concept, do not use",
    "45605446": "Invalid ICD10 Concept, do not use",
    "F058": "Other delirium",
    "F06": "Other mental disorders due to brain damage and dysfunction and to physical disease",
    "F063": "Organic mood [affective] disorders",
    "F067": "Mild cognitive disorder",
    "45605451": "Invalid ICD10 Concept, do not use",
    "S860": "Injury of Achilles tendon",
    "S327": "Multiple fractures of lumbar spine and pelvis",
    "C827": "Other types of follicular lymphoma",
    "M765": "Patellar tendinitis",
    "M774": "Metatarsalgia",
    "M801": "Postoophorectomy osteoporosis with pathological fracture",
    "M808": "Other osteoporosis with pathological fracture",
    "T703": "Caisson disease [decompression sickness]",
    "T708": "Other effects of air pressure and water pressure",
    "T71": "Asphyxiation",
    "T738": "Other effects of deprivation",
    "T794": "Traumatic shock",
    "T800": "Air embolism following infusion, transfusion and therapeutic injection",
    "T805": "Anaphylactic shock due to serum",
    "T810": "Haemorrhage and haematoma complicating a procedure, not elsewhere classified",
    "T811": "Shock during or resulting from a procedure, not elsewhere classified",
    "T386": "Poisoning: Antigonadotrophins, antiestrogens, antiandrogens, not elsewhere classified",
    "T402": "Poisoning: Other opioids",
    "J620": "Pneumoconiosis due to talc dust",
    "J65": "Pneumoconiosis associated with tuberculosis",
    "J673": "Suberosis",
    "J674": "Maltworker lung",
    "J680": "Bronchitis and pneumonitis due to chemicals, gases, fumes and vapours",
    "J709": "Respiratory conditions due to unspecified external agent",
    "J90": "Pleural effusion, not elsewhere classified",
    "J929": "Pleural plaque without asbestos",
    "J930": "Spontaneous tension pneumothorax",
    "J941": "Fibrothorax",
    "J954": "Mendelson syndrome",
    "J960": "Acute respiratory failure",
    "J98": "Other respiratory disorders",
    "K011": "Impacted teeth",
    "K033": "Pathological resorption of teeth",
    "K051": "Chronic gingivitis",
    "S018": "Open wound of other parts of head",
    "T263": "Burn of other parts of eye and adnexa",
    "Q825": "Congenital non-neoplastic naevus",
    "Q828": "Other specified congenital malformations of skin",
    "Q85": "Phakomatoses, not elsewhere classified",
    "Q861": "Fetal hydantoin syndrome",
    "Q875": "Other congenital malformation syndromes with other skeletal changes",
    "Q894": "Conjoined twins",
    "Q916": "Trisomy 13, translocation",
    "Q924": "Duplications seen only at prometaphase",
    "Q935": "Other deletions of part of a chromosome",
    "Q971": "Female with more than three X chromosomes",
    "Q991": "46,XX true hermaphrodite",
    "R041": "Haemorrhage from throat",
    "R07": "Pain in throat and chest",
    "I252": "Old myocardial infarction",
    "I308": "Other forms of acute pericarditis",
    "I340": "Mitral (valve) insufficiency",
    "I349": "Nonrheumatic mitral valve disorder, unspecified",
    "I40": "Acute myocarditis",
    "I418": "Myocarditis in other diseases classified elsewhere",
    "I444": "Left anterior fascicular block",
    "I450": "Right fascicular block",
    "I459": "Conduction disorder, unspecified",
    "I511": "Rupture of chordae tendineae, not elsewhere classified",
    "I521": "Other heart disorders in other infectious and parasitic diseases classified elsewhere",
    "I664": "Occlusion and stenosis of multiple and bilateral cerebral arteries",
    "I682": "Cerebral arteritis in other diseases classified elsewhere",
    "I120": "Hypertensive renal disease with renal failure",
    "Q268": "Other congenital malformations of great veins",
    "Q270": "Congenital absence and hypoplasia of umbilical artery",
    "Q301": "Agenesis and underdevelopment of nose",
    "Q311": "Congenital subglottic stenosis",
    "Q324": "Other congenital malformations of bronchus",
    "Q333": "Agenesis of lung",
    "Q359": "Cleft palate, unspecified",
    "Q36": "Cleft lip",
    "Q369": "Cleft lip, unilateral",
    "Q381": "Ankyloglossia",
    "Q382": "Macroglossia",
    "Q41": "Congenital absence, atresia and stenosis of small intestine",
    "Q419": "Congenital absence, atresia and stenosis of small intestine, part unspecified",
    "Q433": "Congenital malformations of intestinal fixation",
    "Q444": "Choledochal cyst",
    "Q518": "Other congenital malformations of uterus and cervix",
    "Q52": "Other congenital malformations of female genitalia",
    "Q531": "Undescended testicle, unilateral",
    "Q544": "Congenital chordee",
    "Q625": "Duplication of ureter",
    "Q651": "Congenital dislocation of hip, bilateral",
    "Q674": "Other congenital deformities of skull, face and jaw",
    "Q692": "Accessory toe(s)",
    "Q714": "Longitudinal reduction defect of radius",
    "Q773": "Chondrodysplasia punctata",
    "Q776": "Chondroectodermal dysplasia",
    "Q780": "Osteogenesis imperfecta",
    "Q786": "Multiple congenital exostoses",
    "Q79": "Congenital malformations of the musculoskeletal system, not elsewhere classified",
    "Q790": "Congenital diaphragmatic hernia",
    "Q793": "Gastroschisis",
    "Q929": "Trisomy and partial trisomy of autosomes, unspecified",
    "Q938": "Other deletions from the autosomes",
    "Q958": "Other balanced rearrangements and structural markers",
    "Q983": "Other male with 46,XX karyotype",
    "R031": "Nonspecific low blood-pressure reading",
    "R073": "Other chest pain",
    "R20": "Disturbances of skin sensation",
    "R224": "Localized swelling, mass and lump, lower limb",
    "R268": "Other and unspecified abnormalities of gait and mobility",
    "R278": "Other and unspecified lack of coordination",
    "R291": "Meningismus",
    "V959": "Unspecified aircraft accident injuring occupant",
    "I152": "Hypertension secondary to endocrine disorders",
    "I212": "Acute transmural myocardial infarction of other sites",
    "I213": "Acute transmural myocardial infarction of unspecified site",
    "I220": "Subsequent myocardial infarction of anterior wall",
    "I231": "Atrial septal defect as current complication following acute myocardial infarction",
    "I248": "Other forms of acute ischaemic heart disease",
    "I251": "Atherosclerotic heart disease",
    "I310": "Chronic adhesive pericarditis",
    "I359": "Aortic valve disorder, unspecified",
    "I393": "Pulmonary valve disorders in diseases classified elsewhere",
    "I409": "Acute myocarditis, unspecified",
    "S637": "Sprain and strain of other and unspecified parts of hand",
    "45605453": "Invalid ICD10 Concept, do not use",
    "45605454": "Invalid ICD10 Concept, do not use",
    "45605455": "Invalid ICD10 Concept, do not use",
    "45605457": "Invalid ICD10 Concept, do not use",
    "45605462": "Invalid ICD10 Concept, do not use",
    "45605463": "Invalid ICD10 Concept, do not use",
    "M864": "Chronic osteomyelitis with draining sinus",
    "M870": "Idiopathic aseptic necrosis of bone",
    "M889": "Paget disease of bone, unspecified",
    "M899": "Disorder of bone, unspecified",
    "T880": "Infection following immunization",
    "T909": "Sequelae of unspecified injury of head",
    "T939": "Sequelae of unspecified injury of lower limb",
    "U049": "Severe acute respiratory syndrome [SARS], unspecified",
    "45604614": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S899": "Unspecified injury of lower leg",
    "S336": "Sprain and strain of sacroiliac joint",
    "S348": "Injury of other and unspecified nerves at abdomen, lower back and pelvis level",
    "S3611": "Injury of liver or gallbladder, with open wound into cavity",
    "C833": "Diffuse large B-cell lymphoma",
    "C862": "Enteropathy-type (intestinal) T-cell lymphoma",
    "C900": "Multiple myeloma",
    "C911": "Chronic lymphocytic leukaemia of B-cell type",
    "C920": "Acute myeloblastic leukaemia [AML]",
    "C927": "Other myeloid leukaemia",
    "C933": "Juvenile myelomonocytic leukaemia",
    "C946": "Myelodysplastic and myeloproliferative disease, not elsewhere classified",
    "C950": "Acute leukaemia of unspecified cell type",
    "C962": "Malignant mast cell tumour",
    "D060": "Carcinoma in situ: Endocervix",
    "D090": "Carcinoma in situ: Bladder",
    "D122": "Benign neoplasm: Ascending colon",
    "D168": "Benign neoplasm: Pelvic bones, sacrum and coccyx",
    "D231": "Benign neoplasm: Skin of eyelid, including canthus",
    "D26": "Other benign neoplasms of uterus",
    "D287": "Benign neoplasm: Other specified female genital organs",
    "D307": "Benign neoplasm: Other urinary organs",
    "D330": "Benign neoplasm: Brain, supratentorial",
    "D361": "Benign neoplasm: Peripheral nerves and autonomic nervous system",
    "D390": "Neoplasm of uncertain or unknown behaviour: Uterus",
    "D392": "Neoplasm of uncertain or unknown behaviour: Placenta",
    "D463": "Refractory anemia with excess of blasts with transformation",
    "D471": "Chronic myeloproliferative disease",
    "45571178": "Invalid ICD10 Concept, do not use",
    "X35": "Victim of volcanic eruption",
    "X70": "Intentional self-harm by hanging, strangulation and suffocation",
    "J158": "Other bacterial pneumonia",
    "J172": "Pneumonia in mycoses",
    "J180": "Bronchopneumonia, unspecified",
    "J310": "Chronic rhinitis",
    "J386": "Stenosis of larynx",
    "J40": "Bronchitis, not specified as acute or chronic",
    "S032": "Dislocation of tooth",
    "S057": "Avulsion of eye",
    "S063": "Focal brain injury",
    "X52": "Prolonged stay in weightless environment",
    "X67": "Intentional self-poisoning by and exposure to other gases and vapours",
    "K056": "Periodontal disease, unspecified",
    "K111": "Hypertrophy of salivary gland",
    "45605922": "Invalid ICD10 Concept, do not use",
    "K227": "Barrett oesophagus",
    "K263": "Duodenal ulcer, acute without haemorrhage or perforation",
    "K287": "Gastrojejunal ulcer, chronic without haemorrhage or perforation",
    "K299": "Gastroduodenitis, unspecified",
    "K31": "Other diseases of stomach and duodenum",
    "K311": "Adult hypertrophic pyloric stenosis",
    "K38": "Other diseases of appendix",
    "K380": "Hyperplasia of appendix",
    "K514": "Inflammatory polyps",
    "K519": "Ulcerative colitis, unspecified",
    "K574": "Diverticular disease of both small and large intestine with perforation and abscess",
    "K623": "Rectal prolapse",
    "K660": "Peritoneal adhesions",
    "K669": "Disorder of peritoneum, unspecified",
    "K709": "Alcoholic liver disease, unspecified",
    "K712": "Toxic liver disease with acute hepatitis",
    "K752": "Nonspecific reactive hepatitis",
    "K76": "Other diseases of liver",
    "K832": "Perforation of bile duct",
    "K863": "Pseudocyst of pancreas",
    "K901": "Tropical sprue",
    "K911": "Postgastric surgery syndromes",
    "K914": "Colostomy and enterostomy malfunction",
    "K920": "Haematemesis",
    "K929": "Disease of digestive system, unspecified",
    "T300": "Burn of unspecified body region, unspecified degree",
    "T310": "Burns involving less than 10% of body surface",
    "T319": "Burns involving 90% or more of body surface",
    "T322": "Corrosions involving 20-29% of body surface",
    "T329": "Corrosions involving 90% or more of body surface",
    "T348": "Frostbite with tissue necrosis of ankle and foot",
    "T349": "Frostbite with tissue necrosis of other and unspecified sites",
    "45602009": "Invalid ICD10 Concept, do not use",
    "R192": "Visible peristalsis",
    "R208": "Other and unspecified disturbances of skin sensation",
    "R222": "Localized swelling, mass and lump, trunk",
    "R258": "Other and unspecified abnormal involuntary movements",
    "R301": "Vesical tenesmus",
    "R34": "Anuria and oliguria",
    "R36": "Urethral discharge",
    "R431": "Parosmia",
    "R441": "Visual hallucinations",
    "R442": "Other hallucinations",
    "R568": "Other and unspecified convulsions",
    "45602034": "Invalid ICD10 Concept, do not use",
    "R630": "Anorexia",
    "R778": "Other specified abnormalities of plasma proteins",
    "R852": "Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal level of other drugs, medicaments and biological substances",
    "S011": "Open wound of eyelid and periocular area",
    "V926": "Water-transport-related drowning and submersion without accident to watercraft, inflatable craft (nonpowered)",
    "R72": "Abnormality of white blood cells, not elsewhere classified",
    "R739": "Hyperglycaemia, unspecified",
    "R787": "Finding of abnormal level of heavy metals in blood",
    "R835": "Abnormal findings in cerebrospinal fluid, Abnormal microbiological findings",
    "45602031": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "V942": "Other and unspecified water transport accidents, fishing boat",
    "I48": "Atrial fibrillation and flutter",
    "I512": "Rupture of papillary muscle, not elsewhere classified",
    "I514": "Myocarditis, unspecified",
    "I516": "Cardiovascular disease, unspecified",
    "I528": "Other heart disorders in other diseases classified elsewhere",
    "I629": "Intracranial haemorrhage (nontraumatic), unspecified",
    "I639": "Cerebral infarction, unspecified",
    "I669": "Occlusion and stenosis of unspecified cerebral artery",
    "I681": "Cerebral arteritis in infectious and parasitic diseases classified elsewhere",
    "I700": "Atherosclerosis of aorta",
    "I701": "Atherosclerosis of renal artery",
    "R451": "Restlessness and agitation",
    "R481": "Agnosia",
    "R600": "Localized oedema",
    "R611": "Generalized hyperhidrosis",
    "R620": "Delayed milestone",
    "S660": "Injury of long flexor muscle and tendon of thumb at wrist and hand level",
    "M902": "Osteopathy in other infectious diseases classified elsewhere",
    "M910": "Juvenile osteochondrosis of pelvis",
    "M918": "Other juvenile osteochondrosis of hip and pelvis",
    "M921": "Juvenile osteochondrosis of radius and ulna",
    "M927": "Juvenile osteochondrosis of metatarsus",
    "M943": "Chondrolysis",
    "V972": "Parachutist injured in air transport accident",
    "45605470": "Invalid ICD10 Concept, do not use",
    "45605477": "Invalid ICD10 Concept, do not use",
    "F181": "Mental and behavioural disorders due to use of volatile solvents, harmful use",
    "F195": "Mental and behavioural disorders due to multiple drug use and use of other psychoactive substances, psychotic disorder",
    "45605485": "Invalid ICD10 Concept, do not use",
    "45605486": "Invalid ICD10 Concept, do not use",
    "45605487": "Invalid ICD10 Concept, do not use",
    "45605488": "Invalid ICD10 Concept, do not use",
    "45605489": "Invalid ICD10 Concept, do not use",
    "F259": "Schizoaffective disorder, unspecified",
    "F28": "Other nonorganic psychotic disorders",
    "F413": "Other mixed anxiety disorders",
    "F420": "Predominantly obsessional thoughts or ruminations",
    "45605494": "Invalid ICD10 Concept, do not use",
    "F449": "Dissociative [conversion] disorder, unspecified",
    "F452": "Hypochondriacal disorder",
    "45605497": "Invalid ICD10 Concept, do not use",
    "F454": "Persistent somatoform pain disorder",
    "F50": "Eating disorders",
    "F519": "Nonorganic sleep disorder, unspecified",
    "F526": "Nonorganic dyspareunia",
    "F62": "Enduring personality changes, not attributable to brain damage and disease",
    "F621": "Enduring personality change after psychiatric illness",
    "F650": "Fetishism",
    "F681": "Intentional production or feigning of symptoms or disabilities, either physical or psychological [factitious disorder]",
    "F730": "Profound mental retardation, with the statement of no, or minimal, impairment of behaviour",
    "F731": "Profound mental retardation, significant impairment of behaviour requiring attention or treatment",
    "F813": "Mixed disorder of scholastic skills",
    "F82": "Specific developmental disorder of motor function",
    "45605517": "Invalid ICD10 Concept, do not use",
    "F901": "Hyperkinetic conduct disorder",
    "F928": "Other mixed disorders of conduct and emotions",
    "F938": "Other childhood emotional disorders",
    "V113": "Pedal cyclist injured in collision with other pedal cycle, person injured while boarding or alighting",
    "V129": "Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, unspecified pedal cyclist injured in traffic accident",
    "V104": "Pedal cyclist injured in collision with pedestrian or animal, Driver injured in traffic accident",
    "D48": "Neoplasm of uncertain or unknown behaviour of other and unspecified sites",
    "D558": "Other anaemias due to enzyme disorders",
    "D564": "Hereditary persistence of fetal haemoglobin [HPFH]",
    "D641": "Secondary sideroblastic anaemia due to disease",
    "D643": "Other sideroblastic anaemias",
    "D649": "Anaemia, unspecified",
    "D67": "Hereditary factor IX deficiency",
    "D686": "Other thrombophilia",
    "D740": "Congenital methaemoglobinaemia",
    "D510": "Vitamin B12deficiency anaemia due to intrinsic factor deficiency",
    "J679": "Hypersensitivity pneumonitis due to unspecified organic dust",
    "J708": "Respiratory conditions due to other specified external agents",
    "J851": "Abscess of lung with pneumonia",
    "J989": "Respiratory disorder, unspecified",
    "K009": "Disorder of tooth development, unspecified",
    "K032": "Erosion of teeth",
    "K034": "Hypercementosis",
    "K035": "Ankylosis of teeth",
    "K041": "Necrosis of pulp",
    "K052": "Acute periodontitis",
    "K089": "Disorder of teeth and supporting structures, unspecified",
    "K092": "Other cysts of jaw",
    "K113": "Abscess of salivary gland",
    "K123": "Oral mucositis (ulcerative)",
    "K134": "Granuloma and granuloma-like lesions of oral mucosa",
    "K225": "Diverticulum of oesophagus, acquired",
    "K226": "Gastro-oesophageal laceration-haemorrhage syndrome",
    "K28": "Gastrojejunal ulcer",
    "K280": "Gastrojejunal ulcer, acute with haemorrhage",
    "K319": "Disease of stomach and duodenum, unspecified",
    "K401": "Bilateral inguinal hernia, with gangrene",
    "K434": "Parastomal hernia with gangrene",
    "K450": "Other specified abdominal hernia with obstruction, without gangrene",
    "K529": "Noninfective gastroenteritis and colitis, unspecified",
    "K560": "Paralytic ileus",
    "K58": "Irritable bowel syndrome",
    "K614": "Intrasphincteric abscess",
    "K641": "Second degree haemorrhoids",
    "K648": "Other specified haemorrhoids",
    "K715": "Toxic liver disease with chronic active hepatitis",
    "K730": "Chronic persistent hepatitis, not elsewhere classified",
    "K731": "Chronic lobular hepatitis, not elsewhere classified",
    "K741": "Hepatic sclerosis",
    "K75": "Other inflammatory liver diseases",
    "K758": "Other specified inflammatory liver diseases",
    "K763": "Infarction of liver",
    "T741": "Physical abuse",
    "T752": "Effects of vibration",
    "T753": "Motion sickness",
    "T781": "Other adverse food reactions, not elsewhere classified",
    "T804": "Rh incompatibility reaction",
    "L04": "Acute lymphadenitis",
    "L119": "Acantholytic disorder, unspecified",
    "L12": "Pemphigoid",
    "L235": "Allergic contact dermatitis due to other chemical products",
    "L246": "Irritant contact dermatitis due to food in contact with skin",
    "L249": "Irritant contact dermatitis, unspecified cause",
    "L252": "Unspecified contact dermatitis due to dyes",
    "Y352": "Legal intervention involving gas",
    "L413": "Small plaque parapsoriasis",
    "L418": "Other parapsoriasis",
    "L442": "Lichen striatus",
    "L449": "Papulosquamous disorder, unspecified",
    "L659": "Nonscarring hair loss, unspecified",
    "L709": "Acne, unspecified",
    "L730": "Acne keloid",
    "T372": "Poisoning: Antimalarials and drugs acting on other blood protozoa",
    "T385": "Poisoning: Other estrogens and progestogens",
    "S524": "Fracture of shafts of both ulna and radius",
    "I71": "Aortic aneurysm and dissection",
    "I712": "Thoracic aortic aneurysm, without mention of rupture",
    "I808": "Phlebitis and thrombophlebitis of other sites",
    "I847": "Unspecified thrombosed hemorrhoids",
    "I891": "Lymphangitis",
    "J010": "Acute maxillary sinusitis",
    "J030": "Streptococcal tonsillitis",
    "J06": "Acute upper respiratory infections of multiple and unspecified sites",
    "J100": "Influenza with pneumonia, seasonal influenza virus identified",
    "J101": "Influenza with other respiratory manifestations, seasonal influenza virus identified",
    "J189": "Pneumonia, unspecified",
    "J201": "Acute bronchitis due to Haemophilus influenzae",
    "J311": "Chronic nasopharyngitis",
    "J351": "Hypertrophy of tonsils",
    "J370": "Chronic laryngitis",
    "J387": "Other diseases of larynx",
    "J39": "Other diseases of upper respiratory tract",
    "J440": "Chronic obstructive pulmonary disease with acute lower respiratory infection",
    "J441": "Chronic obstructive pulmonary disease with acute exacerbation, unspecified",
    "T270": "Burn of larynx and trachea",
    "T283": "Burn of internal genitourinary organs",
    "T286": "Corrosion of oesophagus",
    "T320": "Corrosions involving less than 10% of body surface",
    "T325": "Corrosions involving 50-59% of body surface",
    "T326": "Corrosions involving 60-69% of body surface",
    "T335": "Superficial frostbite of wrist and hand",
    "T339": "Superficial frostbite of other and unspecified sites",
    "T342": "Frostbite with tissue necrosis of thorax",
    "45597200": "Invalid ICD10 Concept, do not use",
    "R859": "Abnormal findings in specimens from digestive organs and abdominal cavity, unspecified abnormal finding",
    "R866": "Abnormal findings in specimens from male genital organs, abnormal cytological findings",
    "I772": "Rupture of artery",
    "F941": "Reactive attachment disorder of childhood",
    "F983": "Pica of infancy and childhood",
    "F984": "Stereotyped movement disorders",
    "F988": "Other specified behavioural and emotional disorders with onset usually occurring in childhood and adolescence",
    "F99": "Mental disorder, not otherwise specified",
    "G002": "Streptococcal meningitis",
    "G062": "Extradural and subdural abscess, unspecified",
    "G07": "Intracranial and intraspinal abscess and granuloma in diseases classified elsewhere",
    "G244": "Idiopathic orofacial dystonia",
    "G254": "Drug-induced chorea",
    "G256": "Drug-induced tics and other tics of organic origin",
    "M95": "Other acquired deformities of musculoskeletal system and connective tissue",
    "N001": "Acute nephritic syndrome, Focal and segmental glomerular lesions",
    "N012": "Rapidly progressive nephritic syndrome, diffuse membranous glomerulonephritis",
    "N023": "Recurrent and persistent haematuria, diffuse mesangial proliferative glomerulonephritis",
    "N027": "Recurrent and persistent haematuria, diffuse crescentic glomerulonephritis",
    "N060": "Isolated proteinuria with specified morphological lesion, minor glomerular abnormality",
    "N13": "Obstructive and reflux uropathy",
    "N140": "Analgesic nephropathy",
    "N16": "Renal tubulo-interstitial disorders in diseases classified elsewhere",
    "N17": "Acute renal failure",
    "N25": "Disorders resulting from impaired renal tubular function",
    "N309": "Cystitis, unspecified",
    "N391": "Persistent proteinuria, unspecified",
    "N421": "Congestion and haemorrhage of prostate",
    "45606493": "Invalid ICD10 Concept, do not use",
    "N492": "Inflammatory disorders of scrotum",
    "N518": "Other disorders of male genital organs in diseases classified elsewhere",
    "N731": "Chronic parametritis and pelvic cellulitis",
    "N736": "Female pelvic peritoneal adhesions",
    "N770": "Ulceration of vulva in infectious and parasitic diseases classified elsewhere",
    "N803": "Endometriosis of pelvic peritoneum",
    "N815": "Vaginal enterocele",
    "N83": "Noninflammatory disorders of ovary, fallopian tube and broad ligament",
    "N836": "Haematosalpinx",
    "N850": "Endometrial glandular hyperplasia",
    "N851": "Endometrial adenomatous hyperplasia",
    "N858": "Other specified noninflammatory disorders of uterus",
    "N880": "Leukoplakia of cervix uteri",
    "N892": "Severe vaginal dysplasia, not elsewhere classified",
    "N895": "Stricture and atresia of vagina",
    "V180": "Pedal cyclist injured in noncollision transport accident, driver injured in nontraffic accident",
    "V198": "Pedal cyclist [any] injured in other specified transport accidents",
    "V213": "Motorcycle rider injured in collision with pedal cycle, person injured while boarding or alighting",
    "V229": "Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, unspecified motorcycle rider injured in traffic accident",
    "G308": "Other Alzheimer disease",
    "G373": "Acute transverse myelitis in demyelinating disease of central nervous system",
    "V249": "Motorcycle rider injured in collision with heavy transport vehicle or bus, unspecified motorcycle rider injured in traffic accident",
    "S377": "Injury of multiple pelvic organs",
    "S088": "Traumatic amputation of other parts of head",
    "T822": "Mechanical complication of coronary artery bypass and valve grafts",
    "C857": "Other specified types of non-Hodgkin lymphoma",
    "C947": "Other specified leukaemias",
    "C96": "Other and unspecified malignant neoplasms of lymphoid, haematopoietic and related tissue",
    "S530": "Dislocation of radial head",
    "S531": "Dislocation of elbow, unspecified",
    "L759": "Apocrine sweat disorder, unspecified",
    "L813": "Café au lait spots",
    "L817": "Pigmented purpuric dermatosis",
    "L83": "Acanthosis nigricans",
    "L859": "Epidermal thickening, unspecified",
    "L87": "Transepidermal elimination disorders",
    "L909": "Atrophic disorder of skin, unspecified",
    "L92": "Granulomatous disorders of skin and subcutaneous tissue",
    "L928": "Other granulomatous disorders of skin and subcutaneous tissue",
    "L931": "Subacute cutaneous lupus erythematosus",
    "L942": "Calcinosis cutis",
    "L945": "Poikiloderma vasculare atrophicans",
    "L980": "Pyogenic granuloma",
    "L988": "Other specified disorders of skin and subcutaneous tissue",
    "M021": "Postdysenteric arthropathy",
    "M05": "Seropositive rheumatoid arthritis",
    "J981": "Pulmonary collapse",
    "S042": "Injury of trochlear nerve",
    "K030": "Excessive attrition of teeth",
    "K061": "Gingival enlargement",
    "K068": "Other specified disorders of gingiva and edentulous alveolar ridge",
    "K080": "Exfoliation of teeth due to systemic causes",
    "T351": "Frostbite with tissue necrosis involving multiple body regions",
    "T373": "Poisoning: Other antiprotozoal drugs",
    "T387": "Poisoning: Androgens and anabolic congeners",
    "I842": "Internal hemorrhoids without complication",
    "I860": "Sublingual varices",
    "I861": "Scrotal varices",
    "I880": "Nonspecific mesenteric lymphadenitis",
    "J329": "Chronic sinusitis, unspecified",
    "J37": "Chronic laryngitis and laryngotracheitis",
    "J392": "Other diseases of pharynx",
    "J45": "Asthma",
    "J677": "Air-conditioner and humidifier lung",
    "J931": "Other spontaneous pneumothorax",
    "J983": "Compensatory emphysema",
    "J99": "Respiratory disorders in diseases classified elsewhere",
    "K055": "Other periodontal diseases",
    "K075": "Dentofacial functional abnormalities",
    "K098": "Other cysts of oral region, not elsewhere classified",
    "K133": "Hairy leukoplakia",
    "K135": "Oral submucous fibrosis",
    "K146": "Glossodynia",
    "S023": "Fracture of orbital floor",
    "N924": "Excessive bleeding in the premenopausal period",
    "N930": "Postcoital and contact bleeding",
    "N938": "Other specified abnormal uterine and vaginal bleeding",
    "N944": "Primary dysmenorrhoea",
    "N946": "Dysmenorrhoea, unspecified",
    "N974": "Female infertility associated with male factors",
    "O00": "Ectopic pregnancy",
    "O020": "Blighted ovum and nonhydatidiform mole",
    "O076": "Other and unspecified failed attempted abortion, complicated by delayed or excessive haemorrhage",
    "O058": "Other abortion, complete or unspecified, with other and unspecified complications",
    "45606524": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "G432": "Status migrainosus",
    "G460": "Middle cerebral artery syndrome",
    "G472": "Disorders of the sleep-wake schedule",
    "G509": "Disorder of trigeminal nerve, unspecified",
    "G512": "Melkersson syndrome",
    "G521": "Disorders of glossopharyngeal nerve",
    "G546": "Phantom limb syndrome with pain",
    "G55": "Nerve root and plexus compressions in diseases classified elsewhere",
    "G552": "Nerve root and plexus compressions in spondylosis",
    "G608": "Other hereditary and idiopathic neuropathies",
    "G634": "Polyneuropathy in nutritional deficiency",
    "G936": "Cerebral oedema",
    "H024": "Ptosis of eyelid",
    "S922": "Fracture of other tarsal bone(s)",
    "S633": "Traumatic rupture of ligament of wrist and carpus",
    "S55": "Injury of blood vessels at forearm level",
    "D127": "Benign neoplasm: Rectosigmoid junction",
    "D128": "Benign neoplasm: Rectum",
    "D177": "Benign lipomatous neoplasm of other sites",
    "D22": "Melanocytic naevi",
    "D233": "Benign neoplasm: Skin of other and unspecified parts of face",
    "D234": "Benign neoplasm: Skin of scalp and neck",
    "D289": "Benign neoplasm: Female genital organ, unspecified",
    "D32": "Benign neoplasm of meninges",
    "D331": "Benign neoplasm: Brain, infratentorial",
    "D370": "Neoplasm of uncertain or unknown behaviour: Lip, oral cavity and pharynx",
    "D44": "Neoplasm of uncertain or unknown behaviour of endocrine glands",
    "D443": "Neoplasm of uncertain or unknown behaviour: Pituitary gland",
    "D45": "Polycythaemia vera",
    "D467": "Other myelodysplastic syndromes",
    "D55": "Anaemia due to enzyme disorders",
    "D590": "Drug-induced autoimmune haemolytic anaemia",
    "D594": "Other nonautoimmune haemolytic anaemias",
    "D613": "Idiopathic aplastic anaemia",
    "D648": "Other specified anaemias",
    "D698": "Other specified haemorrhagic conditions",
    "D73": "Diseases of spleen",
    "D731": "Hypersplenism",
    "D760": "Langerhans' cell histiocytosis, not elsewhere classified",
    "D803": "Selective deficiency of immunoglobulin G [IgG] subclasses",
    "D807": "Transient hypogammaglobulinaemia of infancy",
    "D811": "Severe combined immunodeficiency [SCID] with low T- and B-cell numbers",
    "D89": "Other disorders involving the immune mechanism, not elsewhere classified",
    "M849": "Disorder of continuity of bone, unspecified",
    "S541": "Injury of median nerve at forearm level",
    "T829": "Unspecified complication of cardiac and vascular prosthetic device, implant and graft",
    "S071": "Crushing injury of skull",
    "S120": "Fracture of first cervical vertebra",
    "Y615": "Foreign object accidentally left in body during surgical and medical care during heart catheterization",
    "Y621": "Failure of sterile precautions during surgical and medical care during infusion or transfusion",
    "Y638": "Failure in dosage during other surgical and medical care",
    "Y652": "Failure in suture or ligature during surgical operation",
    "Y69": "Unspecified misadventure during surgical and medical care",
    "Y426": "Adverse effects in the therapeutic use of antigonadotrophins, antiestrogens, antiandrogens, not elsewhere classified",
    "Y450": "Adverse effects in the therapeutic use of opioids and related analgesics",
    "S80": "Superficial injury of lower leg",
    "T431": "Poisoning: Monoamine-oxidase-inhibitor antidepressants",
    "K109": "Disease of jaws, unspecified",
    "K142": "Median rhomboid glossitis",
    "K145": "Plicated tongue",
    "K230": "Tuberculous oesophagitis",
    "K25": "Gastric ulcer",
    "K255": "Gastric ulcer, Chronic or unspecified with perforation",
    "K260": "Duodenal ulcer, acute with haemorrhage",
    "K266": "Duodenal ulcer, chronic or unspecified with both haemorrhage and perforation",
    "K272": "Peptic ulcer, site unspecified, acute with both haemorrhage and perforation",
    "K275": "Peptic ulcer, site unspecified, chronic or unspecified with perforation",
    "K281": "Gastrojejunal ulcer, acute with perforation",
    "K282": "Gastrojejunal ulcer, acute with both haemorrhage and perforation",
    "K317": "Polyp of stomach and duodenum",
    "K35": "Acute appendicitis",
    "K389": "Disease of appendix, unspecified",
    "K436": "Other and unspecified ventral hernia with obstruction without gangrene",
    "K441": "Diaphragmatic hernia with gangrene",
    "K501": "Crohn disease of large intestine",
    "K523": "Indeterminate colitis",
    "K565": "Intestinal adhesions [bands] with obstruction",
    "K610": "Anal abscess",
    "K635": "Polyp of colon",
    "K66": "Other disorders of peritoneum",
    "K721": "Chronic hepatic failure",
    "K754": "Autoimmune hepatitis",
    "K760": "Fatty (change of) liver, not elsewhere classified",
    "K761": "Chronic passive congestion of liver",
    "K82": "Other diseases of gallbladder",
    "K852": "Alcohol-induced acute pancreatitis",
    "K87": "Disorders of gallbladder, biliary tract and pancreas in diseases classified elsewhere",
    "K908": "Other intestinal malabsorption",
    "T388": "Poisoning: Other and unspecified hormones and their synthetic substitutes",
    "T391": "Poisoning: 4-Aminophenol derivatives",
    "T399": "Poisoning: Nonopioid analgesic, antipyretic and antirheumatic, unspecified",
    "X599": "Exposure to unspecified factor causing other and unspecified injury",
    "X61": "Intentional self-poisoning by and exposure to antiepileptic, sedative-hypnotic, antiparkinsonism and psychotropic drugs, not elsewhere classified",
    "S799": "Unspecified injury of hip and thigh",
    "S031": "Dislocation of septal cartilage of nose",
    "S043": "Injury of trigeminal nerve",
    "K149": "Disease of tongue, unspecified",
    "K20": "Oesophagitis",
    "K228": "Other specified diseases of oesophagus",
    "K262": "Duodenal ulcer, acute with both haemorrhage and perforation",
    "K270": "Peptic ulcer, site unspecified, acute with haemorrhage",
    "K276": "Peptic ulcer, site unspecified, chronic or unspecified with both haemorrhage and perforation",
    "K284": "Gastrojejunal ulcer, chronic or unspecified with haemorrhage",
    "K285": "Gastrojejunal ulcer, chronic or unspecified with perforation",
    "K293": "Chronic superficial gastritis",
    "K316": "Fistula of stomach and duodenum",
    "K37": "Unspecified appendicitis",
    "K402": "Bilateral inguinal hernia, without obstruction or gangrene",
    "K41": "Femoral hernia",
    "K414": "Unilateral or unspecified femoral hernia, with gangrene",
    "K500": "Crohn disease of small intestine",
    "S689": "Traumatic amputation of wrist and hand, level unspecified",
    "S69": "Other and unspecified injuries of wrist and hand",
    "S701": "Contusion of thigh",
    "H030": "Parasitic infestation of eyelid in diseases classified elsewhere",
    "O151": "Eclampsia in labour",
    "O280": "Abnormal haematological finding on antenatal screening of mother",
    "O31": "Complications specific to multiple gestation",
    "V386": "Occupant of three-wheeled motor vehicle injured in noncollision transport accident, passenger injured in traffic accident",
    "V419": "Car occupant injured in collision with pedal cycle, unspecified car occupant injured in traffic accident",
    "V429": "Car occupant injured in collision with two- or three-wheeled motor vehicle, unspecified car occupant injured in traffic accident",
    "V433": "Car occupant injured in collision with car, pick-up truck or van, unspecified car occupant injured in nontraffic accident",
    "V464": "Car occupant injured in collision with other nonmotor vehicle, person injured while boarding or alighting",
    "M854": "Solitary bone cyst",
    "M86": "Osteomyelitis",
    "M866": "Other chronic osteomyelitis",
    "D899": "Disorder involving the immune mechanism, unspecified",
    "E00": "Congenital iodine-deficiency syndrome",
    "E012": "Iodine-deficiency-related (endemic) goitre, unspecified",
    "E105": "Type 1 diabetes mellitus, With peripheral circulatory complications",
    "E120": "Malnutrition-related diabetes mellitus, with coma",
    "45595801": "Invalid ICD10 Concept, do not use",
    "S129": "Fracture of neck, part unspecified",
    "S568": "Injury of other and unspecified muscles and tendons at forearm level",
    "S589": "Traumatic amputation of forearm, level unspecified",
    "M076": "Other enteropathic arthropathies",
    "M081": "Juvenile ankylosing spondylitis",
    "M110": "Hydroxyapatite deposition disease",
    "T438": "Poisoning: Other psychotropic drugs, not elsewhere classified",
    "Y834": "Other reconstructive surgery as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y84": "Other medical procedures as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y905": "Blood alcohol level of 100-119 mg/100 ml",
    "Y908": "Blood alcohol level of 240 mg/100 ml or more",
    "Y910": "Mild alcohol intoxication",
    "Y872": "Sequelae of events of undetermined intent",
    "S091": "Injury of muscle and tendon of head",
    "S097": "Multiple injuries of head",
    "S099": "Unspecified injury of head",
    "S10": "Superficial injury of neck",
    "S107": "Multiple superficial injuries of neck",
    "S110": "Open wound involving larynx and trachea",
    "Y072": "Other maltreatment by acquaintance or friend",
    "L043": "Acute lymphadenitis of lower limb",
    "L081": "Erythrasma",
    "L088": "Other specified local infections of skin and subcutaneous tissue",
    "L24": "Irritant contact dermatitis",
    "L241": "Irritant contact dermatitis due to oils and greases",
    "L247": "Irritant contact dermatitis due to plants, except food",
    "L255": "Unspecified contact dermatitis due to plants, except food",
    "L291": "Pruritus scroti",
    "L293": "Anogenital pruritus, unspecified",
    "L298": "Other pruritus",
    "L304": "Erythema intertrigo",
    "L440": "Pityriasis rubra pilaris",
    "L504": "Vibratory urticaria",
    "L533": "Other chronic figurate erythema",
    "L603": "Nail dystrophy",
    "L640": "Drug-induced androgenic alopecia",
    "L66": "Cicatricial alopecia [scarring hair loss]",
    "L710": "Perioral dermatitis",
    "L729": "Follicular cyst of skin and subcutaneous tissue, unspecified",
    "L758": "Other apocrine sweat disorders",
    "L85": "Other epidermal thickening",
    "L852": "Keratosis punctata (palmaris et plantaris)",
    "L89": "Decubitus ulcer and pressure area",
    "Y35": "Legal intervention",
    "S819": "Open wound of lower leg, part unspecified",
    "S820": "Fracture of patella",
    "T420": "Poisoning: Hydantoin derivatives",
    "K512": "Ulcerative (chronic) proctitis",
    "K580": "Irritable bowel syndrome with diarrhoea",
    "K592": "Neurogenic bowel, not elsewhere classified",
    "K604": "Rectal fistula",
    "K625": "Haemorrhage of anus and rectum",
    "K638": "Other specified diseases of intestine",
    "K703": "Alcoholic cirrhosis of liver",
    "K73": "Chronic hepatitis, not elsewhere classified",
    "K801": "Calculus of gallbladder with other cholecystitis",
    "K819": "Cholecystitis, unspecified",
    "K851": "Biliary acute pancreatitis",
    "K870": "Disorders of gallbladder and biliary tract in diseases classified elsewhere",
    "L00": "Staphylococcal scalded skin syndrome",
    "L020": "Cutaneous abscess, furuncle and carbuncle of face",
    "L041": "Acute lymphadenitis of trunk",
    "L049": "Acute lymphadenitis, unspecified",
    "L08": "Other local infections of skin and subcutaneous tissue",
    "L128": "Other pemphigoid",
    "L21": "Seborrhoeic dermatitis",
    "L231": "Allergic contact dermatitis due to adhesives",
    "L239": "Allergic contact dermatitis, unspecified cause",
    "L248": "Irritant contact dermatitis due to other agents",
    "L272": "Dermatitis due to ingested food",
    "L29": "Pruritus",
    "L503": "Dermatographic urticaria",
    "L432": "Lichenoid drug reaction",
    "Y061": "Neglect and abandonment by parent",
    "Y068": "Neglect and abandonment by other specified persons",
    "Y069": "Neglect and abandonment by unspecified person",
    "Y07": "Other maltreatment",
    "O321": "Maternal care for breech presentation",
    "O338": "Maternal care for disproportion of other origin",
    "O351": "Maternal care for (suspected) chromosomal abnormality in fetus",
    "S434": "Sprain and strain of shoulder joint",
    "H051": "Chronic inflammatory disorders of orbit",
    "H101": "Acute atopic conjunctivitis",
    "H169": "Keratitis, unspecified",
    "H189": "Disorder of cornea, unspecified",
    "H258": "Other senile cataract",
    "H269": "Cataract, unspecified",
    "H311": "Choroidal degeneration",
    "V477": "Car occupant injured in collision with fixed or stationary object, person on outside of vehicle injured in traffic accident",
    "V480": "Car occupant injured in noncollision transport accident, driver injured in nontraffic accident",
    "V483": "Car occupant injured in noncollision transport accident, unspecified car occupant injured in nontraffic accident",
    "T522": "Toxic effect: Homologues of benzene",
    "T531": "Toxic effect: Chloroform",
    "S396": "Injury of intra-abdominal organ(s) with pelvic organ(s)",
    "S409": "Superficial injury of shoulder and upper arm, unspecified",
    "S42": "Fracture of shoulder and upper arm",
    "E273": "Drug-induced adrenocortical insufficiency",
    "E279": "Disorder of adrenal gland, unspecified",
    "E283": "Primary ovarian failure",
    "E300": "Delayed puberty",
    "E318": "Other polyglandular dysfunction",
    "E32": "Diseases of thymus",
    "E349": "Endocrine disorder, unspecified",
    "E350": "Disorders of thyroid gland in diseases classified elsewhere",
    "E43": "Unspecified severe protein-energy malnutrition",
    "E46": "Unspecified protein-energy malnutrition",
    "E50": "Vitamin A deficiency",
    "E531": "Pyridoxine deficiency",
    "E561": "Deficiency of vitamin K",
    "E611": "Iron deficiency",
    "E754": "Neuronal ceroid lipofuscinosis",
    "E778": "Other disorders of glycoprotein metabolism",
    "E786": "Lipoprotein deficiency",
    "E834": "Disorders of magnesium metabolism",
    "E877": "Fluid overload",
    "45595840": "Invalid ICD10 Concept, do not use",
    "45595841": "Invalid ICD10 Concept, do not use",
    "F101": "Mental and behavioural disorders due to use of alcohol, Harmful use",
    "45595848": "Invalid ICD10 Concept, do not use",
    "45595849": "Invalid ICD10 Concept, do not use",
    "45595850": "Invalid ICD10 Concept, do not use",
    "M895": "Osteolysis",
    "M898": "Other specified disorders of bone",
    "T857": "Infection and inflammatory reaction due to other internal prosthetic devices, implants and grafts",
    "T869": "Failure and rejection of unspecified transplanted organ and tissue",
    "T888": "Other specified complications of surgical and medical care, not elsewhere classified",
    "T925": "Sequelae of injury of muscle and tendon of upper limb",
    "S135": "Sprain and strain of thyroid region",
    "T886": "Anaphylactic shock due to adverse effect of correct drug or medicament properly administered",
    "V101": "Pedal cyclist injured in collision with pedestrian or animal, Passenger injured in nontraffic accident",
    "45594990": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S17": "Crushing injury of neck",
    "S201": "Other and unspecified superficial injuries of breast",
    "Z004": "General psychiatric examination, not elsewhere classified",
    "Z016": "Radiological examination, not elsewhere classified",
    "Z021": "Pre-employment examination",
    "Z044": "Examination and observation following alleged rape and seduction",
    "Z046": "General psychiatric examination, requested by authority",
    "Z049": "Examination and observation for unspecified reason",
    "Z123": "Special screening examination for neoplasm of breast",
    "Z131": "Special screening examination for diabetes mellitus",
    "Z133": "Special screening examination for mental and behavioural disorders",
    "Z137": "Special screening examination for congenital malformations, deformations and chromosomal abnormalities",
    "Z232": "Need for immunization against tuberculosis [BCG]",
    "Z273": "Need for immunization against diphtheria-tetanus-pertussis with poliomyelitis [DTP + polio]",
    "Z288": "Immunization not carried out for other reasons",
    "Z289": "Immunization not carried out for unspecified reason",
    "Z303": "Menstrual extraction",
    "Z316": "General counselling and advice on procreation",
    "45605099": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "T466": "Poisoning: Antihyperlipidaemic and antiarteriosclerotic drugs",
    "S548": "Injury of other nerves at forearm level",
    "S552": "Injury of vein at forearm level",
    "S560": "Injury of flexor muscle and tendon of thumb at forearm level",
    "S57": "Crushing injury of forearm",
    "L921": "Necrobiosis lipoidica, not elsewhere classified",
    "L929": "Granulomatous disorder of skin and subcutaneous tissue, unspecified",
    "L930": "Discoid lupus erythematosus",
    "L958": "Other vasculitis limited to skin",
    "L98": "Other disorders of skin and subcutaneous tissue, not elsewhere classified",
    "Y360": "War operations involving explosion of marine weapons",
    "Y369": "War operations, unspecified",
    "S070": "Crushing injury of face",
    "S080": "Avulsion of scalp",
    "Y357": "Legal intervention, means unspecified",
    "L552": "Sunburn of third degree",
    "L57": "Skin changes due to chronic exposure to nonionizing radiation",
    "L589": "Radiodermatitis, unspecified",
    "L601": "Onycholysis",
    "L62": "Nail disorders in diseases classified elsewhere",
    "L639": "Alopecia areata, unspecified",
    "L64": "Androgenic alopecia",
    "L705": "Acné excoriée",
    "L718": "Other rosacea",
    "L721": "Trichilemmal cyst",
    "L818": "Other specified disorders of pigmentation",
    "L923": "Foreign body granuloma of skin and subcutaneous tissue",
    "S457": "Injury of multiple blood vessels at shoulder and upper arm level",
    "O40": "Polyhydramnios",
    "O422": "Premature rupture of membranes, labour delayed by therapy",
    "O47": "False labour",
    "H342": "Other retinal artery occlusions",
    "H351": "Retinopathy of prematurity",
    "T539": "Toxic effect: Halogen derivative of aliphatic and aromatic hydrocarbons, unspecified",
    "V585": "Occupant of pick-up truck or van injured in noncollision transport accident, driver injured in traffic accident",
    "V645": "Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, driver injured in traffic accident",
    "Z857": "Personal history of other malignant neoplasms of lymphoid, haematopoietic and related tissues",
    "Z858": "Personal history of malignant neoplasms of other organs and systems",
    "Z861": "Personal history of infectious and parasitic diseases",
    "Z867": "Personal history of diseases of the circulatory system",
    "Z912": "Personal history of poor personal hygiene",
    "Z928": "Personal history of other medical treatment",
    "Z904": "Acquired absence of other parts of digestive tract",
    "S635": "Sprain and strain of wrist",
    "M939": "Osteochondropathy, unspecified",
    "M951": "Cauliflower ear",
    "M9940": "Connective tissue stenosis of neural canal, head region",
    "M995": "Intervertebral disc stenosis of neural canal",
    "N013": "Rapidly progressive nephritic syndrome, diffuse mesangial proliferative glomerulonephritis",
    "N02": "Recurrent and persistent haematuria",
    "N024": "Recurrent and persistent haematuria, diffuse endocapillary proliferative glomerulonephritis",
    "N025": "Recurrent and persistent haematuria, diffuse mesangiocapillary glomerulonephritis",
    "N039": "Chronic nephritic syndrome, unspecified",
    "N044": "Nephrotic syndrome, diffuse endocapillary proliferative glomerulonephritis",
    "N057": "Unspecified nephritic syndrome, diffuse crescentic glomerulonephritis",
    "N059": "Unspecified nephritic syndrome, unspecified",
    "N066": "Isolated proteinuria with specified morphological lesion, dense deposit disease",
    "N119": "Chronic tubulo-interstitial nephritis, unspecified",
    "N131": "Hydronephrosis with ureteral stricture, not elsewhere classified",
    "N141": "Nephropathy induced by other drugs, medicaments and biological substances",
    "N162": "Renal tubulo-interstitial disorders in blood diseases and disorders involving the immune mechanism",
    "N23": "Unspecified renal colic",
    "N301": "Interstitial cystitis (chronic)",
    "N35": "Urethral stricture",
    "N361": "Urethral diverticulum",
    "N363": "Prolapsed urethral mucosa",
    "N41": "Inflammatory diseases of prostate",
    "N413": "Prostatocystitis",
    "N46": "Male infertility",
    "N47": "Redundant prepuce, phimosis and paraphimosis",
    "V122": "Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, unspecified pedal cyclist injured in nontraffic accident",
    "V124": "Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, driver injured in traffic accident",
    "F11": "Mental and behavioural disorders due to use of opioids",
    "45595855": "Invalid ICD10 Concept, do not use",
    "45595858": "Invalid ICD10 Concept, do not use",
    "45595859": "Invalid ICD10 Concept, do not use",
    "F14": "Mental and behavioural disorders due to use of cocaine",
    "45595870": "Invalid ICD10 Concept, do not use",
    "45595873": "Invalid ICD10 Concept, do not use",
    "45595881": "Invalid ICD10 Concept, do not use",
    "45595882": "Invalid ICD10 Concept, do not use",
    "F167": "Mental and behavioural disorders due to use of hallucinogens, residual and late-onset psychotic disorder",
    "S607": "Multiple superficial injuries of wrist and hand",
    "M167": "Other secondary coxarthrosis",
    "M179": "Gonarthrosis, unspecified",
    "M180": "Primary arthrosis of first carpometacarpal joints, bilateral",
    "M189": "Arthrosis of first carpometacarpal joint, unspecified",
    "M201": "Hallux valgus (acquired)",
    "M230": "Cystic meniscus",
    "T493": "Poisoning: Emollients, demulcents and protectants",
    "T497": "Poisoning: Dental drugs, topically applied",
    "Z516": "Desensitization to allergens",
    "Z532": "Procedure not carried out because of patient's decision for other and unspecified reasons",
    "Z544": "Convalescence following treatment of fracture",
    "Z562": "Threat of job loss",
    "Z573": "Occupational exposure to other air contaminants",
    "Z64": "Problems related to certain psychosocial circumstances",
    "Z754": "Unavailability and inaccessibility of other helping agencies",
    "S152": "Injury of external jugular vein",
    "Y620": "Failure of sterile precautions during surgical and medical care during surgical operation",
    "Y625": "Failure of sterile precautions during surgical and medical care during heart catheterization",
    "Y639": "Failure in dosage during unspecified surgical and medical care",
    "M071": "Arthritis mutilans",
    "M075": "Arthropathy in ulcerative colitis",
    "M082": "Juvenile arthritis with systemic onset",
    "T447": "Poisoning: Beta-adrenoreceptor antagonists, not elsewhere classified",
    "S528": "Fracture of other parts of forearm",
    "S542": "Injury of radial nerve at forearm level",
    "S543": "Injury of cutaneous sensory nerve at forearm level",
    "M00": "Pyogenic arthritis",
    "M000": "Staphylococcal arthritis and polyarthritis",
    "M002": "Other streptococcal arthritis and polyarthritis",
    "M028": "Other reactive arthropathies",
    "M030": "Postmeningococcal arthritis",
    "O618": "Other failed induction of labour",
    "O622": "Other uterine inertia",
    "O640": "Obstructed labour due to incomplete rotation of fetal head",
    "S51": "Open wound of forearm",
    "H524": "Presbyopia",
    "H527": "Disorder of refraction, unspecified",
    "H544": "Blindness, monocular",
    "H581": "Visual disturbances in diseases classified elsewhere",
    "H609": "Otitis externa, unspecified",
    "H613": "Acquired stenosis of external ear canal",
    "O694": "Labour and delivery complicated by vasa praevia",
    "Z959": "Presence of cardiac and vascular implant and graft, unspecified",
    "A01": "Typhoid and paratyphoid fevers",
    "A063": "Amoeboma of intestine",
    "A073": "Isosporiasis",
    "A084": "Viral intestinal infection, unspecified",
    "A157": "Primary respiratory tuberculosis, confirmed bacteriologically and histologically",
    "A16": "Respiratory tuberculosis, not confirmed bacteriologically or histologically",
    "A212": "Pulmonary tularaemia",
    "A22": "Anthrax",
    "A227": "Anthrax sepsis",
    "A230": "Brucellosis due to Brucella melitensis",
    "A280": "Pasteurellosis",
    "A401": "Sepsis due to streptococcus, group B",
    "A491": "Streptococcal and enterococcal infection, unspecified site",
    "A52": "Late syphilis",
    "A520": "Cardiovascular syphilis",
    "A662": "Other early skin lesions of yaws",
    "A753": "Typhus fever due to Rickettsia tsutsugamushi",
    "A82": "Rabies",
    "A831": "Western equine encephalitis",
    "A832": "Eastern equine encephalitis",
    "A881": "Epidemic vertigo",
    "A92": "Other mosquito-borne viral fevers",
    "A94": "Unspecified arthropod-borne viral fever",
    "B009": "Herpesviral infection, unspecified",
    "B150": "Hepatitis A with hepatic coma",
    "B160": "Acute hepatitis B with delta-agent (coinfection) with hepatic coma",
    "B230": "Acute HIV infection syndrome",
    "M420": "Juvenile osteochondrosis of spine",
    "M461": "Sacroiliitis, not elsewhere classified",
    "S423": "Fracture of shaft of humerus",
    "45595886": "Invalid ICD10 Concept, do not use",
    "45595894": "Invalid ICD10 Concept, do not use",
    "45595895": "Invalid ICD10 Concept, do not use",
    "F203": "Undifferentiated schizophrenia",
    "45595897": "Invalid ICD10 Concept, do not use",
    "45595898": "Invalid ICD10 Concept, do not use",
    "F239": "Acute and transient psychotic disorder, unspecified",
    "F31": "Bipolar affective disorder",
    "F32": "Depressive episode",
    "F40": "Phobic anxiety disorders",
    "F401": "Social phobias",
    "45595900": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "F418": "Other specified anxiety disorders",
    "F431": "Post-traumatic stress disorder",
    "45595912": "Invalid ICD10 Concept, do not use",
    "F61": "Mixed and other personality disorders",
    "F642": "Gender identity disorder of childhood",
    "F656": "Multiple disorders of sexual preference",
    "N486": "Induratio penis plastica",
    "N489": "Disorder of penis, unspecified",
    "N642": "Atrophy of breast",
    "N710": "Acute inflammatory disease of uterus",
    "N73": "Other female pelvic inflammatory diseases",
    "N810": "Female urethrocele",
    "N812": "Incomplete uterovaginal prolapse",
    "N828": "Other female genital tract fistulae",
    "N837": "Haematoma of broad ligament",
    "N839": "Noninflammatory disorder of ovary, fallopian tube and broad ligament, unspecified",
    "N840": "Polyp of corpus uteri",
    "N978": "Female infertility of other origin",
    "N998": "Other postprocedural disorders of genitourinary system",
    "O001": "Tubal pregnancy",
    "O019": "Hydatidiform mole, unspecified",
    "O030": "Spontaneous abortion, Incomplete, complicated by genital tract and pelvic infection",
    "45596888": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45596890": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S228": "Fracture of other parts of bony thorax",
    "S235": "Sprain and strain of other and unspecified parts of thorax",
    "S253": "Injury of innominate or subclavian vein",
    "Z80": "Family history of malignant neoplasm",
    "Z802": "Family history of malignant neoplasm of other respiratory and intrathoracic organs",
    "Z806": "Family history of leukaemia",
    "Z842": "Family history of other diseases of the genitourinary system",
    "Z878": "Personal history of other specified conditions",
    "Z884": "Personal history of allergy to anaesthetic agent",
    "45607077": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "Z915": "Personal history of self-harm",
    "Z920": "Personal history of contraception",
    "Z953": "Presence of xenogenic heart valve",
    "Z962": "Presence of otological and audiological implants",
    "Z969": "Presence of functional implant, unspecified",
    "Z982": "Presence of cerebrospinal fluid drainage device",
    "A038": "Other shigellosis",
    "M235": "Chronic instability of knee",
    "Z906": "Acquired absence of other organs of urinary tract",
    "S597": "Multiple injuries of forearm",
    "S602": "Contusion of other parts of wrist and hand",
    "S609": "Superficial injury of wrist and hand, unspecified",
    "M101": "Lead-induced gout",
    "M118": "Other specified crystal arthropathies",
    "S178": "Crushing injury of other parts of neck",
    "S198": "Other specified injuries of neck",
    "S199": "Unspecified injury of neck",
    "S203": "Other superficial injuries of front wall of thorax",
    "Y658": "Other specified misadventures during surgical and medical care",
    "Y835": "Amputation of limb(s) as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y846": "Urinary catheterization as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Z036": "Observation for suspected toxic effect from ingested substance",
    "Z098": "Follow-up examination after other treatment for other conditions",
    "Z120": "Special screening examination for neoplasm of stomach",
    "Z242": "Need for immunization against rabies",
    "Z292": "Other prophylactic chemotherapy",
    "Z311": "Artificial insemination",
    "Z081": "Follow-up examination after radiotherapy for malignant neoplasm",
    "Z309": "Contraceptive management, unspecified",
    "S133": "Multiple dislocations of neck",
    "S150": "Injury of carotid artery",
    "S151": "Injury of vertebral artery",
    "Y63": "Failure in dosage during surgical and medical care",
    "Y844": "Aspiration of fluid as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y901": "Blood alcohol level of 20-39 mg/100 ml",
    "M06": "Other rheumatoid arthritis",
    "M083": "Juvenile polyarthritis (seronegative)",
    "M089": "Juvenile arthritis, unspecified",
    "O741": "Other pulmonary complications of anaesthesia during labour and delivery",
    "O828": "Other single delivery by caesarean section",
    "O831": "Other assisted breech delivery",
    "O834": "Destructive operation for delivery",
    "O87": "Venous complications and haemorrhoids in the puerperium",
    "O881": "Amniotic fluid embolism",
    "O895": "Other complications of spinal and epidural anaesthesia during the puerperium",
    "O902": "Haematoma of obstetric wound",
    "O993": "Mental disorders and diseases of the nervous system complicating pregnancy, childbirth and the puerperium",
    "P008": "Fetus and newborn affected by other maternal conditions",
    "P043": "Fetus and newborn affected by maternal use of alcohol",
    "P071": "Other low birth weight",
    "P101": "Cerebral haemorrhage due to birth injury",
    "P111": "Other specified brain damage due to birth injury",
    "P12": "Birth injury to scalp",
    "P128": "Other birth injuries to scalp",
    "P13": "Birth injury to skeleton",
    "P132": "Birth injury to femur",
    "P152": "Sternomastoid injury due to birth injury",
    "P200": "Intrauterine hypoxia first noted before onset of labour",
    "P22": "Respiratory distress of newborn",
    "P241": "Neonatal aspiration of amniotic fluid and mucus",
    "P250": "Interstitial emphysema originating in the perinatal period",
    "P278": "Other chronic respiratory diseases originating in the perinatal period",
    "P280": "Primary atelectasis of newborn",
    "P358": "Other congenital viral diseases",
    "P500": "Fetal blood loss from vasa praevia",
    "P504": "Haemorrhage into maternal circulation",
    "M492": "Enterobacterial spondylitis",
    "M541": "Radiculopathy",
    "M613": "Calcification and ossification of muscles associated with burns",
    "M615": "Other ossification of muscle",
    "M624": "Contracture of muscle",
    "M630": "Myositis in bacterial diseases classified elsewhere",
    "V282": "Motorcycle rider injured in noncollision transport accident, unspecified motorcycle rider injured in nontraffic accident",
    "V284": "Motorcycle rider injured in noncollision transport accident, driver injured in traffic accident",
    "V344": "Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, person injured while boarding or alighting",
    "V384": "Occupant of three-wheeled motor vehicle injured in noncollision transport accident, person injured while boarding or alighting",
    "O04": "Medical abortion",
    "O064": "Unspecified abortion, incomplete, without complication",
    "O065": "Unspecified abortion, complete or unspecified, complicated by genital tract and pelvic infection",
    "O066": "Unspecified abortion, complete or unspecified, complicated by delayed or excessive haemorrhage",
    "O067": "Unspecified abortion, complete or unspecified, complicated by embolism",
    "O079": "Other and unspecified failed attempted abortion, without complication",
    "O080": "Genital tract and pelvic infection following abortion and ectopic and molar pregnancy",
    "O086": "Damage to pelvic organs and tissues following abortion and ectopic and molar pregnancy",
    "45596921": "Invalid ICD10 Concept, do not use",
    "O15": "Eclampsia",
    "O210": "Mild hyperemesis gravidarum",
    "O053": "Other abortion, incomplete, with other and unspecified complications",
    "O057": "Other abortion, complete or unspecified, complicated by embolism",
    "O267": "Subluxation of symphysis (pubis) in pregnancy, childbirth and the puerperium",
    "F66": "Psychological and behavioural disorders associated with sexual development and orientation",
    "45595918": "Invalid ICD10 Concept, do not use",
    "F688": "Other specified disorders of adult personality and behaviour",
    "F700": "Mild mental retardation, With the statement of no, or minimal, impairment of behaviour",
    "F801": "Expressive language disorder",
    "F83": "Mixed specific developmental disorders",
    "F841": "Atypical autism",
    "F844": "Overactive disorder associated with mental retardation and stereotyped movements",
    "F93": "Emotional disorders with onset specific to childhood",
    "F958": "Other tic disorders",
    "V294": "Driver injured in collision with other and unspecified motor vehicles in traffic accident",
    "G09": "Sequelae of inflammatory diseases of central nervous system",
    "G211": "Other drug-induced secondary parkinsonism",
    "G230": "Hallervorden-Spatz disease",
    "G369": "Acute disseminated demyelination, unspecified",
    "G371": "Central demyelination of corpus callosum",
    "G40": "Epilepsy",
    "G412": "Complex partial status epilepticus",
    "G438": "Other migraine",
    "G439": "Migraine, unspecified",
    "G444": "Drug-induced headache, not elsewhere classified",
    "G479": "Sleep disorder, unspecified",
    "G519": "Disorder of facial nerve, unspecified",
    "G528": "Disorders of other specified cranial nerves",
    "G562": "Lesion of ulnar nerve",
    "M363": "Arthropathy in other blood disorders",
    "M405": "Lordosis, unspecified",
    "M431": "Spondylolisthesis",
    "M434": "Other recurrent atlantoaxial subluxation",
    "M464": "Discitis, unspecified",
    "M471": "Other spondylosis with myelopathy",
    "M491": "Brucella spondylitis",
    "S26": "Injury of heart",
    "T549": "Toxic effect: Corrosive substance, unspecified",
    "A049": "Bacterial intestinal infection, unspecified",
    "A080": "Rotaviral enteritis",
    "A09": "Other gastroenteritis and colitis of infectious and unspecified origin",
    "A15": "Respiratory tuberculosis, bacteriologically and histologically confirmed",
    "A155": "Tuberculosis of larynx, trachea and bronchus, confirmed bacteriologically and histologically",
    "A170": "Tuberculous meningitis",
    "A180": "Tuberculosis of bones and joints",
    "A232": "Brucellosis due to Brucella suis",
    "A243": "Other melioidosis",
    "A329": "Listeriosis, unspecified",
    "A412": "Sepsis due to unspecified staphylococcus",
    "A44": "Bartonellosis",
    "A492": "Haemophilus influenzae infection, unspecified site",
    "A50": "Congenital syphilis",
    "A601": "Herpesviral infection of perianal skin and rectum",
    "A660": "Initial lesions of yaws",
    "A691": "Other Vincent infections",
    "A836": "Rocio virus disease",
    "B053": "Measles complicated by otitis media",
    "B060": "Rubella with neurological complications",
    "B260": "Mumps orchitis",
    "B263": "Mumps pancreatitis",
    "B303": "Acute epidemic haemorrhagic conjunctivitis (enteroviral)",
    "S823": "Fracture of lower end of tibia",
    "S219": "Open wound of thorax, part unspecified",
    "Z350": "Supervision of pregnancy with history of infertility",
    "Z421": "Follow-up care involving plastic surgery of breast",
    "Z501": "Other physical therapy",
    "Z522": "Bone donor",
    "Z591": "Inadequate housing",
    "Z612": "Altered pattern of family relationships in childhood",
    "Z631": "Problems in relationship with parents and in-laws",
    "M152": "Bouchard nodes (with arthropathy)",
    "M17": "Gonarthrosis [arthrosis of knee]",
    "M174": "Other secondary gonarthrosis, bilateral",
    "M19": "Other arthrosis",
    "M190": "Primary arthrosis of other joints",
    "M192": "Other secondary arthrosis",
    "T500": "Poisoning: Mineralocorticoids and their antagonists",
    "S565": "Injury of other extensor muscle and tendon at forearm level",
    "M123": "Palindromic rheumatism",
    "M15": "Polyarthrosis",
    "M154": "Erosive (osteo)arthrosis",
    "M164": "Post-traumatic coxarthrosis, bilateral",
    "M171": "Other primary gonarthrosis",
    "M18": "Arthrosis of first carpometacarpal joint",
    "M191": "Post-traumatic arthrosis of other joints",
    "S19": "Other and unspecified injuries of neck",
    "Y909": "Presence of alcohol in blood, level not specified",
    "Y95": "Nosocomial condition",
    "Z00": "General examination and investigation of persons without complaint and reported diagnosis",
    "Z002": "Examination for period of rapid growth in childhood",
    "Z006": "Examination for normal comparison and control in clinical research programme",
    "Z099": "Follow-up examination after unspecified treatment for other conditions",
    "P522": "Intraventricular (nontraumatic) haemorrhage, grade 3, and grade 4 of fetus and newborn",
    "P526": "Cerebellar (nontraumatic) and posterior fossa haemorrhage of fetus and newborn",
    "Z082": "Follow-up examination after chemotherapy for malignant neoplasm",
    "H031": "Involvement of eyelid in other infectious diseases classified elsewhere",
    "V404": "Car occupant injured in collision with pedestrian or animal, Person injured while boarding or alighting",
    "V425": "Car occupant injured in collision with two- or three-wheeled motor vehicle, driver injured in traffic accident",
    "H041": "Other disorders of lacrimal gland",
    "H105": "Blepharoconjunctivitis",
    "H113": "Conjunctival haemorrhage",
    "H114": "Other conjunctival vascular disorders and cysts",
    "S930": "Dislocation of ankle joint",
    "S94": "Injury of nerves at ankle and foot level",
    "S968": "Injury of other muscles and tendons at ankle and foot level",
    "S684": "Traumatic amputation of hand at wrist level",
    "G590": "Diabetic mononeuropathy",
    "G628": "Other specified polyneuropathies",
    "G631": "Polyneuropathy in neoplastic disease",
    "G635": "Polyneuropathy in systemic connective tissue disorders",
    "G736": "Myopathy in metabolic diseases",
    "G822": "Paraplegia, unspecified",
    "G911": "Obstructive hydrocephalus",
    "G918": "Other hydrocephalus",
    "G930": "Cerebral cysts",
    "G933": "Postviral fatigue syndrome",
    "G938": "Other specified disorders of brain",
    "G979": "Postprocedural disorder of nervous system, unspecified",
    "H018": "Other specified inflammation of eyelid",
    "H020": "Entropion and trichiasis of eyelid",
    "H028": "Other specified disorders of eyelid",
    "O311": "Continuing pregnancy after abortion of one fetus or more",
    "S272": "Traumatic haemopneumothorax",
    "S310": "Open wound of lower back and pelvis",
    "V474": "Car occupant injured in collision with fixed or stationary object, person injured while boarding or alighting",
    "V475": "Car occupant injured in collision with fixed or stationary object, driver injured in traffic accident",
    "V489": "Car occupant injured in noncollision transport accident, unspecified car occupant injured in traffic accident",
    "V490": "Driver injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "B331": "Ross River disease",
    "B349": "Viral infection, unspecified",
    "B373": "Candidiasis of vulva and vagina",
    "B375": "Candidal meningitis",
    "B376": "Candidal endocarditis",
    "B409": "Blastomycosis, unspecified",
    "B43": "Chromomycosis and phaeomycotic abscess",
    "B448": "Other forms of aspergillosis",
    "B465": "Mucormycosis, unspecified",
    "B520": "Plasmodium malariae malaria with nephropathy",
    "B559": "Leishmaniasis, unspecified",
    "B58": "Toxoplasmosis",
    "B600": "Babesiosis",
    "B671": "Echinococcus granulosus infection of lung",
    "B744": "Mansonelliasis",
    "B76": "Hookworm diseases",
    "B831": "Gnathostomiasis",
    "B871": "Wound myiasis",
    "B88": "Other infestations",
    "B92": "Sequelae of leprosy",
    "B948": "Sequelae of other specified infectious and parasitic diseases",
    "C022": "Malignant neoplasm: Ventral surface of tongue",
    "C030": "Malignant neoplasm: Upper gum",
    "C050": "Malignant neoplasm: Hard palate",
    "C110": "Malignant neoplasm: Superior wall of nasopharynx",
    "C118": "Malignant neoplasm: Overlapping lesion of nasopharynx",
    "C140": "Malignant neoplasm: Pharynx, unspecified",
    "M512": "Other specified intervertebral disc displacement",
    "M518": "Other specified intervertebral disc disorders",
    "M546": "Pain in thoracic spine",
    "M620": "Diastasis of muscle",
    "T63": "Toxic effect of contact with venomous animals",
    "M200": "Deformity of finger(s)",
    "M236": "Other spontaneous disruption of ligament(s) of knee",
    "M2392": "Internal derangement of knee, unspecified, posterior cruciate ligament or Posterior horn of medial meniscus",
    "M243": "Pathological dislocation and subluxation of joint, not elsewhere classified",
    "S225": "Flail chest",
    "T523": "Toxic effect: Glycols",
    "Z632": "Inadequate family support",
    "Z633": "Absence of family member",
    "Z642": "Seeking and accepting physical, nutritional and chemical interventions known to be hazardous and harmful",
    "Z738": "Other problems related to life-management difficulty",
    "Z873": "Personal history of diseases of the musculoskeletal system and connective tissue",
    "Z875": "Personal history of complications of pregnancy, childbirth and the puerperium",
    "Z921": "Personal history of long-term (current) use of anticoagulants",
    "Z943": "Heart and lungs transplant status",
    "Z965": "Presence of tooth-root and mandibular implants",
    "Z966": "Presence of orthopaedic joint implants",
    "Z898": "Acquired absence of upper and lower limbs [any level]",
    "Z900": "Acquired absence of part of head and neck",
    "Z948": "Other transplanted organ and tissue status",
    "Z949": "Transplanted organ and tissue status, unspecified",
    "S202": "Contusion of thorax",
    "Z113": "Special screening examination for infections with a predominantly sexual mode of transmission",
    "Z209": "Contact with and exposure to unspecified communicable disease",
    "Z22": "Carrier of infectious disease",
    "Z233": "Need for immunization against plague",
    "Z235": "Need for immunization against tetanus alone",
    "Z236": "Need for immunization against diphtheria alone",
    "Z238": "Need for immunization against other single bacterial diseases",
    "Z340": "Supervision of normal first pregnancy",
    "Z362": "Other antenatal screening based on amniocentesis",
    "Z373": "Twins, one liveborn and one stillborn",
    "Z388": "Other multiple, unspecified as to place of birth",
    "M216": "Other acquired deformities of ankle and foot",
    "M228": "Other disorders of patella",
    "S522": "Fracture of shaft of ulna",
    "H193": "Keratitis and keratoconjunctivitis in other diseases classified elsewhere",
    "H264": "After-cataract",
    "H278": "Other specified disorders of lens",
    "45578926": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S980": "Traumatic amputation of foot at ankle level",
    "V461": "Car occupant injured in collision with other nonmotor vehicle, passenger injured in nontraffic accident",
    "O361": "Maternal care for other isoimmunization",
    "V481": "Car occupant injured in noncollision transport accident, passenger injured in nontraffic accident",
    "V485": "Car occupant injured in noncollision transport accident, driver injured in traffic accident",
    "V560": "Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, driver injured in nontraffic accident",
    "V546": "Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, passenger injured in traffic accident",
    "T012": "Open wounds involving multiple regions of upper limb(s)",
    "45599169": "Invalid ICD10 Concept, do not use",
    "O334": "Maternal care for disproportion of mixed maternal and fetal origin",
    "H055": "Retained (old) foreign body following penetrating wound of orbit",
    "H060": "Disorders of lacrimal system in diseases classified elsewhere",
    "H100": "Mucopurulent conjunctivitis",
    "V500": "Occupant of pick-up truck or van injured in collision with pedestrian or animal, Driver injured in nontraffic accident",
    "H150": "Scleritis",
    "M625": "Muscle wasting and atrophy, not elsewhere classified",
    "M633": "Myositis in sarcoidosis",
    "M680": "Synovitis and tenosynovitis in bacterial diseases classified elsewhere",
    "C318": "Malignant neoplasm: Overlapping lesion of accessory sinuses",
    "C343": "Malignant neoplasm: Lower lobe, bronchus or lung",
    "C37": "Malignant neoplasm of thymus",
    "C384": "Malignant neoplasm: Pleura",
    "C39": "Malignant neoplasm of other and ill-defined sites in the respiratory system and intrathoracic organs",
    "C471": "Malignant neoplasm: Peripheral nerves of upper limb, including shoulder",
    "C480": "Malignant neoplasm: Retroperitoneum",
    "C549": "Malignant neoplasm: Corpus uteri, unspecified",
    "C574": "Malignant neoplasm: Uterine adnexa, unspecified",
    "C58": "Malignant neoplasm of placenta",
    "C621": "Malignant neoplasm: Descended testis",
    "C694": "Malignant neoplasm: Ciliary body",
    "C725": "Malignant neoplasm: Other and unspecified cranial nerves",
    "C826": "Cutaneous follicle centre lymphoma",
    "C829": "Follicular lymphoma, unspecified",
    "C836": "Undifferentiated (diffuse) non-Hodgkin's lymphoma",
    "S257": "Injury of multiple blood vessels of thorax",
    "S269": "Injury of heart, unspecified",
    "S270": "Traumatic pneumothorax",
    "S275": "Injury of thoracic trachea",
    "S278": "Injury of other specified intrathoracic organs",
    "S281": "Traumatic amputation of part of thorax",
    "S298": "Other specified injuries of thorax",
    "S299": "Unspecified injury of thorax",
    "Z970": "Presence of artificial eye",
    "A013": "Paratyphoid fever C",
    "A021": "Salmonella sepsis",
    "A03": "Shigellosis",
    "A046": "Enteritis due to Yersinia enterocolitica",
    "A164": "Tuberculosis of larynx, trachea and bronchus, without mention of bacteriological or histological confirmation",
    "A179": "Tuberculosis of nervous system, unspecified",
    "A20": "Plague",
    "A222": "Gastrointestinal anthrax",
    "A25": "Rat-bite fevers",
    "A301": "Tuberculoid leprosy",
    "A308": "Other forms of leprosy",
    "A321": "Listerial meningitis and meningoencephalitis",
    "A369": "Diphtheria, unspecified",
    "M248": "Other specific joint derangements, not elsewhere classified",
    "M249": "Joint derangement, unspecified",
    "M317": "Microscopic polyangiitis",
    "M330": "Juvenile dermatomyositis",
    "M348": "Other forms of systemic sclerosis",
    "M357": "Hypermobility syndrome",
    "T58": "Toxic effect of carbon monoxide",
    "T610": "Toxic effect: Ciguatera fish poisoning",
    "T611": "Toxic effect: Scombroid fish poisoning",
    "M312": "Lethal midline granuloma",
    "M315": "Giant cell arteritis with polymyalgia rheumatica",
    "M316": "Other giant cell arteritis",
    "M400": "Postural kyphosis",
    "M403": "Flatback syndrome",
    "M412": "Other idiopathic scoliosis",
    "C881": "Alpha heavy chain disease",
    "C902": "Extramedullary plasmacytoma",
    "C916": "Prolymphocytic leukaemia of T-cell type",
    "C926": "Acute myeloid leukaemia with 11q23-abnormality",
    "C937": "Other monocytic leukaemia",
    "C957": "Other leukaemia of unspecified cell type",
    "C966": "Unifocal Langerhans-cell histiocytosis",
    "C967": "Other specified malignant neoplasms of lymphoid, haematopoietic and related tissue",
    "C968": "Histiocytic sarcoma",
    "D01": "Carcinoma in situ of other and unspecified digestive organs",
    "D044": "Carcinoma in situ: Skin of scalp and neck",
    "D06": "Carcinoma in situ of cervix uteri",
    "D072": "Carcinoma in situ: Vagina",
    "D117": "Benign neoplasm: Other major salivary glands",
    "D121": "Benign neoplasm: Appendix",
    "D123": "Benign neoplasm: Transverse colon",
    "D135": "Benign neoplasm: Extrahepatic bile ducts",
    "D140": "Benign neoplasm: Middle ear, nasal cavity and accessory sinuses",
    "D16": "Benign neoplasm of bone and articular cartilage",
    "D199": "Benign neoplasm: Mesothelial tissue, unspecified",
    "D220": "Melanocytic naevi of lip",
    "S898": "Other specified injuries of lower leg",
    "T257": "Corrosion of third degree of ankle and foot",
    "T273": "Burn of respiratory tract, part unspecified",
    "T288": "Corrosion of internal genitourinary organs",
    "T301": "Burn of first degree, body region unspecified",
    "T362": "Poisoning: Chloramphenicol group",
    "S420": "Fracture of clavicle",
    "D561": "Beta thalassaemia",
    "D596": "Haemoglobinuria due to haemolysis from other external causes",
    "D600": "Chronic acquired pure red cell aplasia",
    "D640": "Hereditary sideroblastic anaemia",
    "D690": "Allergic purpura",
    "D735": "Infarction of spleen",
    "D750": "Familial erythrocytosis",
    "D759": "Disease of blood and blood-forming organs, unspecified",
    "D763": "Other histiocytosis syndromes",
    "D821": "Di George syndrome",
    "D823": "Immunodeficiency following hereditary defective response to Epstein-Barr virus",
    "D860": "Sarcoidosis of lung",
    "D868": "Sarcoidosis of other and combined sites",
    "E031": "Congenital hypothyroidism without goitre",
    "E042": "Nontoxic multinodular goitre",
    "E048": "Other specified nontoxic goitre",
    "E054": "Thyrotoxicosis factitia",
    "E10": "Type 1 diabetes mellitus",
    "E110": "Type 2 diabetes mellitus, with coma",
    "E114": "Type 2 diabetes mellitus, with neurological complications",
    "E122": "Malnutrition-related diabetes mellitus, with renal complications",
    "E148": "Unspecified diabetes mellitus, with unspecified complications",
    "E209": "Hypoparathyroidism, unspecified",
    "E274": "Other and unspecified adrenocortical insufficiency",
    "E291": "Testicular hypofunction",
    "E319": "Polyglandular dysfunction, unspecified",
    "C860": "Extranodal NK/T-cell lymphoma, nasal type",
    "C92": "Myeloid leukaemia",
    "C922": "Atypical chronic myeloid leukaemia, BCR/ABL- negative",
    "C924": "Acute promyelocytic leukaemia [PML]",
    "C940": "Acute erythroid leukaemia",
    "D001": "Carcinoma in situ: Oesophagus",
    "D021": "Carcinoma in situ: Trachea",
    "D050": "Lobular carcinoma in situ",
    "D061": "Carcinoma in situ: Exocervix",
    "D070": "Carcinoma in situ: Endometrium",
    "D091": "Carcinoma in situ: Other and unspecified urinary organs",
    "D092": "Carcinoma in situ: Eye",
    "D109": "Benign neoplasm: Pharynx, unspecified",
    "D110": "Benign neoplasm: Parotid gland",
    "D124": "Benign neoplasm: Descending colon",
    "D144": "Benign neoplasm: Respiratory system, unspecified",
    "D162": "Benign neoplasm: Long bones of lower limb",
    "D176": "Benign lipomatous neoplasm of spermatic cord",
    "D214": "Benign neoplasm: Connective and other soft tissue of abdomen",
    "D229": "Melanocytic naevi, unspecified",
    "D25": "Leiomyoma of uterus",
    "D27": "Benign neoplasm of ovary",
    "S375": "Injury of fallopian tube",
    "S821": "Fracture of upper end of tibia",
    "T405": "Poisoning: Cocaine",
    "T411": "Poisoning: Intravenous anaesthetics",
    "K55": "Vascular disorders of intestine",
    "K578": "Diverticular disease of intestine, part unspecified, with perforation and abscess",
    "K603": "Anal fistula",
    "K613": "Ischiorectal abscess",
    "K627": "Radiation proctitis",
    "K631": "Perforation of intestine (nontraumatic)",
    "K835": "Biliary cyst",
    "K86": "Other diseases of pancreas",
    "S728": "Fractures of other parts of femur",
    "S742": "Injury of cutaneous sensory nerve at hip and thigh level",
    "S751": "Injury of femoral vein at hip and thigh level",
    "I351": "Aortic (valve) insufficiency",
    "I394": "Multiple valve disorders in diseases classified elsewhere",
    "I426": "Alcoholic cardiomyopathy",
    "I431": "Cardiomyopathy in metabolic diseases",
    "I470": "Re-entry ventricular arrhythmia",
    "45572093": "Invalid ICD10 Concept, do not use",
    "I606": "Subarachnoid haemorrhage from other intracranial arteries",
    "I607": "Subarachnoid haemorrhage from intracranial artery, unspecified",
    "I65": "Occlusion and stenosis of precerebral arteries, not resulting in cerebral infarction",
    "I658": "Occlusion and stenosis of other precerebral artery",
    "I676": "Nonpyogenic thrombosis of intracranial venous system",
    "R840": "Abnormal findings in specimens from respiratory organs and thorax, abnormal level of enzymes",
    "R847": "Abnormal findings in specimens from respiratory organs and thorax, abnormal histological findings",
    "R849": "Abnormal findings in specimens from respiratory organs and thorax, unspecified abnormal finding",
    "R872": "Abnormal findings in specimens from female genital organs, abnormal level of other drugs, medicaments and biological substances",
    "W14": "Fall from tree",
    "S647": "Injury of multiple nerves at wrist and hand level",
    "M861": "Other acute osteomyelitis",
    "M869": "Osteomyelitis, unspecified",
    "M905": "Osteonecrosis in other diseases classified elsewhere",
    "T876": "Other and unspecified complications of amputation stump",
    "T902": "Sequelae of fracture of skull and facial bones",
    "T910": "Sequelae of superficial injury and open wound of neck and trunk",
    "T919": "Sequelae of unspecified injury of neck and trunk",
    "T922": "Sequelae of fracture at wrist and hand level",
    "T923": "Sequelae of dislocation, sprain and strain of upper limb",
    "T928": "Sequelae of other specified injuries of upper limb",
    "E518": "Other manifestations of thiamine deficiency",
    "E539": "Vitamin B deficiency, unspecified",
    "E65": "Localized adiposity",
    "E669": "Obesity, unspecified",
    "E700": "Classical phenylketonuria",
    "E701": "Other hyperphenylalaninaemias",
    "E702": "Disorders of tyrosine metabolism",
    "E748": "Other specified disorders of carbohydrate metabolism",
    "E788": "Other disorders of lipoprotein metabolism",
    "E800": "Hereditary erythropoietic porphyria",
    "E849": "Cystic fibrosis, unspecified",
    "E858": "Other amyloidosis",
    "E899": "Postprocedural endocrine and metabolic disorder, unspecified",
    "45576483": "Invalid ICD10 Concept, do not use",
    "45576484": "Invalid ICD10 Concept, do not use",
    "45575637": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S917": "Multiple open wounds of ankle and foot",
    "S364": "Injury of small intestine",
    "S369": "Injury of unspecified intra-abdominal organ",
    "D320": "Benign neoplasm: Cerebral meninges",
    "D37": "Neoplasm of uncertain or unknown behaviour of oral cavity and digestive organs",
    "D379": "Neoplasm of uncertain or unknown behaviour: Digestive organ, unspecified",
    "D383": "Neoplasm of uncertain or unknown behaviour: Mediastinum",
    "D386": "Neoplasm of uncertain or unknown behaviour: Respiratory organ, unspecified",
    "D434": "Neoplasm of uncertain or unknown behaviour: Spinal cord",
    "D437": "Neoplasm of uncertain or unknown behaviour: Other parts of central nervous system",
    "D441": "Neoplasm of uncertain or unknown behaviour: Adrenal gland",
    "D460": "Refractory anaemia without ring sideroblasts, so stated",
    "D484": "Neoplasm of uncertain or unknown behaviour: Peritoneum",
    "D50": "Iron deficiency anaemia",
    "D508": "Other iron deficiency anaemias",
    "M85": "Other disorders of bone density and structure",
    "M855": "Aneurysmal bone cyst",
    "T861": "Kidney transplant failure and rejection",
    "T870": "Complications of reattached (part of) upper extremity",
    "T875": "Necrosis of amputation stump",
    "T903": "Sequelae of injury of cranial nerves",
    "45570793": "Invalid ICD10 Concept, do not use",
    "D512": "Transcobalamin II deficiency",
    "D530": "Protein deficiency anaemia",
    "D532": "Scorbutic anaemia",
    "D570": "Sickle-cell anaemia with crisis",
    "D581": "Hereditary elliptocytosis",
    "D608": "Other acquired pure red cell aplasias",
    "T884": "Failed or difficult intubation",
    "V091": "Pedestrian injured in unspecified nontraffic accident",
    "V092": "Pedestrian injured in traffic accident involving other and unspecified motor vehicles",
    "45570791": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45570792": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S653": "Injury of deep palmar arch",
    "T43": "Poisoning by psychotropic drugs, not elsewhere classified",
    "L033": "Cellulitis of trunk",
    "L042": "Acute lymphadenitis of upper limb",
    "L089": "Local infection of skin and subcutaneous tissue, unspecified",
    "L102": "Pemphigus foliaceus",
    "L138": "Other specified bullous disorders",
    "L22": "Diaper [napkin] dermatitis",
    "L233": "Allergic contact dermatitis due to drugs in contact with skin",
    "L280": "Lichen simplex chronicus",
    "L281": "Prurigo nodularis",
    "L303": "Infective dermatitis",
    "L40": "Psoriasis",
    "L404": "Guttate psoriasis",
    "L411": "Pityriasis lichenoides chronica",
    "L438": "Other lichen planus",
    "L441": "Lichen nitidus",
    "L53": "Other erythematous conditions",
    "L531": "Erythema annulare centrifugum",
    "L539": "Erythematous condition, unspecified",
    "L571": "Actinic reticuloid",
    "L572": "Cutis rhomboidalis nuchae",
    "L574": "Cutis laxa senilis",
    "L58": "Radiodermatitis",
    "L598": "Other specified disorders of skin and subcutaneous tissue related to radiation",
    "L632": "Ophiasis",
    "L671": "Variations in hair colour",
    "L74": "Eccrine sweat disorders",
    "L741": "Miliaria crystallina",
    "L853": "Xerosis cutis",
    "L86": "Keratoderma in diseases classified elsewhere",
    "T392": "Poisoning: Pyrazolone derivatives",
    "T401": "Poisoning: Heroin",
    "E213": "Hyperparathyroidism, unspecified",
    "E25": "Adrenogenital disorders",
    "E278": "Other specified disorders of adrenal gland",
    "E301": "Precocious puberty",
    "E310": "Autoimmune polyglandular failure",
    "E340": "Carcinoid syndrome",
    "E351": "Disorders of adrenal glands in diseases classified elsewhere",
    "E509": "Vitamin A deficiency, unspecified",
    "E511": "Beriberi",
    "E52": "Niacin deficiency [pellagra]",
    "E660": "Obesity due to excess calories",
    "E662": "Extreme obesity with alveolar hypoventilation",
    "E720": "Disorders of amino-acid transport",
    "E742": "Disorders of galactose metabolism",
    "E752": "Other sphingolipidosis",
    "T860": "Bone-marrow transplant rejection",
    "T862": "Heart transplant failure and rejection",
    "T864": "Liver transplant failure and rejection",
    "T873": "Neuroma of amputation stump",
    "T881": "Other complications following immunization, not elsewhere classified",
    "T952": "Sequelae of burn, corrosion and frostbite of upper limb",
    "T96": "Sequelae of poisoning by drugs, medicaments and biological substances",
    "T980": "Sequelae of effects of foreign body entering through natural orifice",
    "V031": "Pedestrian injured in collision with car, pick-up truck or van, traffic accident",
    "M922": "Juvenile osteochondrosis of hand",
    "M924": "Juvenile osteochondrosis of patella",
    "F018": "Other vascular dementia",
    "45576487": "Invalid ICD10 Concept, do not use",
    "45576488": "Invalid ICD10 Concept, do not use",
    "45576489": "Invalid ICD10 Concept, do not use",
    "F078": "Other organic personality and behavioural disorders due to brain disease, damage and dysfunction",
    "45576492": "Invalid ICD10 Concept, do not use",
    "F102": "Mental and behavioural disorders due to use of alcohol, Dependence syndrome",
    "F111": "Mental and behavioural disorders due to use of opioids, harmful use",
    "45576503": "Invalid ICD10 Concept, do not use",
    "F142": "Mental and behavioural disorders due to use of cocaine, dependence syndrome",
    "45576513": "Invalid ICD10 Concept, do not use",
    "F152": "Mental and behavioural disorders due to use of other stimulants, including caffeine, dependence syndrome",
    "F156": "Mental and behavioural disorders due to use of other stimulants, including caffeine, amnesic syndrome",
    "45576520": "Invalid ICD10 Concept, do not use",
    "F173": "Mental and behavioural disorders due to use of tobacco, withdrawal state",
    "45576525": "Invalid ICD10 Concept, do not use",
    "M925": "Juvenile osteochondrosis of tibia and fibula",
    "M931": "Kienböck disease of adults",
    "V111": "Pedal cyclist injured in collision with other pedal cycle, passenger injured in nontraffic accident",
    "V123": "Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, person injured while boarding or alighting",
    "S628": "Fracture of other and unspecified parts of wrist and hand",
    "D730": "Hyposplenism",
    "D816": "Major histocompatibility complex class I deficiency",
    "D828": "Immunodeficiency associated with other specified major defects",
    "D898": "Other specified disorders involving the immune mechanism, not elsewhere classified",
    "E001": "Congenital iodine-deficiency syndrome, myxoedematous type",
    "E107": "Type 1 diabetes mellitus, With multiple complications",
    "E11": "Type 2 diabetes mellitus",
    "E123": "Malnutrition-related diabetes mellitus, with ophthalmic complications",
    "E135": "Other specified diabetes mellitus, with peripheral circulatory complications",
    "E14": "Unspecified diabetes mellitus",
    "E144": "Unspecified diabetes mellitus, with neurological complications",
    "E16": "Other disorders of pancreatic internal secretion",
    "E160": "Drug-induced hypoglycaemia without coma",
    "E210": "Primary hyperparathyroidism",
    "E215": "Disorder of parathyroid gland, unspecified",
    "E242": "Drug-induced Cushing syndrome",
    "E261": "Secondary hyperaldosteronism",
    "E281": "Ovarian dysfunction: Androgen excess",
    "E29": "Testicular dysfunction",
    "E30": "Disorders of puberty, not elsewhere classified",
    "E440": "Moderate protein-energy malnutrition",
    "E503": "Vitamin A deficiency with corneal ulceration and xerosis",
    "E508": "Other manifestations of vitamin A deficiency",
    "E569": "Vitamin deficiency, unspecified",
    "E60": "Dietary zinc deficiency",
    "E643": "Sequelae of rickets",
    "E661": "Drug-induced obesity",
    "E749": "Disorder of carbohydrate metabolism, unspecified",
    "E76": "Disorders of glycosaminoglycan metabolism",
    "E801": "Porphyria cutanea tarda",
    "E803": "Defects of catalase and peroxidase",
    "E859": "Amyloidosis, unspecified",
    "E870": "Hyperosmolality and hypernatraemia",
    "E872": "Acidosis",
    "45571698": "Invalid ICD10 Concept, do not use",
    "45571699": "Invalid ICD10 Concept, do not use",
    "45571700": "Invalid ICD10 Concept, do not use",
    "V141": "Pedal cyclist injured in collision with heavy transport vehicle or bus, passenger injured in nontraffic accident",
    "V100": "Pedal cyclist injured in collision with pedestrian or animal, Driver injured in nontraffic accident",
    "V134": "Pedal cyclist injured in collision with car, pick-up truck or van, driver injured in traffic accident",
    "V145": "Pedal cyclist injured in collision with heavy transport vehicle or bus, passenger injured in traffic accident",
    "V164": "Pedal cyclist injured in collision with other nonmotor vehicle, driver injured in traffic accident",
    "S654": "Injury of blood vessel(s) of thumb",
    "Y354": "Legal intervention involving sharp objects",
    "T439": "Poisoning: Psychotropic drug, unspecified",
    "T448": "Poisoning: Centrally acting and adrenergic-neuron-blocking agents, not elsewhere classified",
    "T456": "Poisoning: Fibrinolysis-affecting drugs",
    "S153": "Injury of internal jugular vein",
    "S525": "Fracture of lower end of radius",
    "S771": "Crushing injury of thigh",
    "S772": "Crushing injury of hip with thigh",
    "S781": "Traumatic amputation at level between hip and knee",
    "45554846": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45554847": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "M962": "Postradiation kyphosis",
    "N007": "Acute nephritic syndrome, Diffuse crescentic glomerulonephritis",
    "N015": "Rapidly progressive nephritic syndrome, diffuse mesangiocapillary glomerulonephritis",
    "N03": "Chronic nephritic syndrome",
    "N040": "Nephrotic syndrome, minor glomerular abnormality",
    "N046": "Nephrotic syndrome, dense deposit disease",
    "N064": "Isolated proteinuria with specified morphological lesion, diffuse endocapillary proliferative glomerulonephritis",
    "N070": "Hereditary nephropathy, not elsewhere classified, minor glomerular abnormality",
    "N071": "Hereditary nephropathy, not elsewhere classified, focal and segmental glomerular lesions",
    "N211": "Calculus in urethra",
    "N318": "Other neuromuscular dysfunction of bladder",
    "N323": "Diverticulum of bladder",
    "N360": "Urethral fistula",
    "N362": "Urethral caruncle",
    "N378": "Other urethral disorders in diseases classified elsewhere",
    "N394": "Other specified urinary incontinence",
    "N399": "Disorder of urinary system, unspecified",
    "N418": "Other inflammatory diseases of prostate",
    "N450": "Orchitis, epididymitis and epididymo-orchitis with abscess",
    "45577533": "Invalid ICD10 Concept, do not use",
    "N499": "Inflammatory disorder of unspecified male genital organ",
    "N50": "Other disorders of male genital organs",
    "N500": "Atrophy of testis",
    "N62": "Hypertrophy of breast",
    "N81": "Female genital prolapse",
    "N899": "Noninflammatory disorder of vagina, unspecified",
    "N920": "Excessive and frequent menstruation with regular cycle",
    "O081": "Delayed or excessive haemorrhage following abortion and ectopic and molar pregnancy",
    "45576529": "Invalid ICD10 Concept, do not use",
    "45576531": "Invalid ICD10 Concept, do not use",
    "45576532": "Invalid ICD10 Concept, do not use",
    "F209": "Schizophrenia, unspecified",
    "F308": "Other manic episodes",
    "F311": "Bipolar affective disorder, current episode manic without psychotic symptoms",
    "F33": "Recurrent depressive disorder",
    "F331": "Recurrent depressive disorder, current episode moderate",
    "F443": "Trance and possession disorders",
    "F453": "Somatoform autonomic dysfunction",
    "F513": "Sleepwalking [somnambulism]",
    "F53": "Mental and behavioural disorders associated with the puerperium, not elsewhere classified",
    "F55": "Abuse of non-dependence-producing substances",
    "F600": "Paranoid personality disorder",
    "F63": "Habit and impulse disorders",
    "F633": "Trichotillomania",
    "45576557": "Invalid ICD10 Concept, do not use",
    "F661": "Egodystonic sexual orientation",
    "F710": "Moderate mental retardation, with the statement of no, or minimal, impairment of behaviour",
    "F789": "Other mental retardation, without mention of impairment of behaviour",
    "F802": "Receptive language disorder",
    "F845": "Asperger syndrome",
    "F930": "Separation anxiety disorder of childhood",
    "F94": "Disorders of social functioning with onset specific to childhood and adolescence",
    "F959": "Tic disorder, unspecified",
    "G003": "Staphylococcal meningitis",
    "G020": "Meningitis in viral diseases classified elsewhere",
    "V243": "Motorcycle rider injured in collision with heavy transport vehicle or bus, person injured while boarding or alighting",
    "S923": "Fracture of metatarsal bone",
    "S421": "Fracture of scapula",
    "F023": "Dementia in Parkinson disease",
    "45571702": "Invalid ICD10 Concept, do not use",
    "M941": "Relapsing polychondritis",
    "M966": "Fracture of bone following insertion of orthopaedic implant, joint prosthesis, or bone plate",
    "N005": "Acute nephritic syndrome, Diffuse mesangiocapillary glomerulonephritis",
    "N008": "Acute nephritic syndrome, Other",
    "N019": "Rapidly progressive nephritic syndrome, unspecified",
    "N028": "Recurrent and persistent haematuria, other",
    "N053": "Unspecified nephritic syndrome, diffuse mesangial proliferative glomerulonephritis",
    "N069": "Isolated proteinuria with specified morphological lesion, unspecified",
    "N073": "Hereditary nephropathy, not elsewhere classified, diffuse mesangial proliferative glomerulonephritis",
    "N078": "Hereditary nephropathy, not elsewhere classified, other",
    "N081": "Glomerular disorders in neoplastic diseases",
    "N139": "Obstructive and reflux uropathy, unspecified",
    "N279": "Small kidney, unspecified",
    "N351": "Postinfective urethral stricture, not elsewhere classified",
    "N36": "Other disorders of urethra",
    "N392": "Orthostatic proteinuria, unspecified",
    "45572711": "Invalid ICD10 Concept, do not use",
    "N429": "Disorder of prostate, unspecified",
    "N431": "Infected hydrocele",
    "N433": "Hydrocele, unspecified",
    "N509": "Disorder of male genital organs, unspecified",
    "V196": "Unspecified pedal cyclist injured in collision with other and unspecified motor vehicles in traffic accident",
    "V250": "Motorcycle rider injured in collision with railway train or railway vehicle, driver injured in nontraffic accident",
    "F050": "Delirium not superimposed on dementia, so described",
    "F064": "Organic anxiety disorder",
    "F071": "Postencephalitic syndrome",
    "F113": "Mental and behavioural disorders due to use of opioids, withdrawal state",
    "F115": "Mental and behavioural disorders due to use of opioids, psychotic disorder",
    "45571717": "Invalid ICD10 Concept, do not use",
    "F119": "Mental and behavioural disorders due to use of opioids, unspecified mental and behavioural disorder",
    "F12": "Mental and behavioural disorders due to use of cannabinoids",
    "V233": "Motorcycle rider injured in collision with car, pick-up truck or van, person injured while boarding or alighting",
    "45571710": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45571711": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S678": "Crushing injury of other and unspecified parts of wrist and hand",
    "T473": "Poisoning: Saline and osmotic laxatives",
    "T475": "Poisoning: Digestants",
    "S601": "Contusion of finger(s) with damage to nail",
    "L899": "Decubitus ulcer and pressure area, unspecified",
    "L91": "Hypertrophic disorders of skin",
    "M053": "Rheumatoid arthritis with involvement of other organs and systems",
    "S527": "Multiple fractures of forearm",
    "V162": "Pedal cyclist injured in collision with other nonmotor vehicle, unspecified pedal cyclist injured in nontraffic accident",
    "V110": "Pedal cyclist injured in collision with other pedal cycle, driver injured in nontraffic accident",
    "V179": "Pedal cyclist injured in collision with fixed or stationary object, unspecified pedal cyclist injured in traffic accident",
    "S451": "Injury of brachial artery",
    "S681": "Traumatic amputation of other single finger (complete)(partial)",
    "G050": "Encephalitis, myelitis and encephalomyelitis in bacterial diseases classified elsewhere",
    "G241": "Idiopathic familial dystonia",
    "G410": "Grand mal status epilepticus",
    "G433": "Complicated migraine",
    "G451": "Carotid artery syndrome (hemispheric)",
    "G458": "Other transient cerebral ischaemic attacks and related syndromes",
    "G47": "Sleep disorders",
    "G471": "Disorders of excessive somnolence [hypersomnias]",
    "G523": "Disorders of hypoglossal nerve",
    "G531": "Multiple cranial nerve palsies in infectious and parasitic diseases classified elsewhere",
    "O122": "Gestational oedema with proteinuria",
    "O219": "Vomiting of pregnancy, unspecified",
    "O265": "Maternal hypotension syndrome",
    "O268": "Other specified pregnancy-related conditions",
    "O292": "Central nervous system complications of anaesthesia during pregnancy",
    "S640": "Injury of ulnar nerve at wrist and hand level",
    "V393": "Occupant [any] of three-wheeled motor vehicle injured in unspecified nontraffic accident",
    "N511": "Disorders of testis and epididymis in diseases classified elsewhere",
    "N608": "Other benign mammary dysplasias",
    "N641": "Fat necrosis of breast",
    "N71": "Inflammatory disease of uterus, except cervix",
    "N806": "Endometriosis in cutaneous scar",
    "N820": "Vesicovaginal fistula",
    "N823": "Fistula of vagina to large intestine",
    "45571722": "Invalid ICD10 Concept, do not use",
    "F130": "Mental and behavioural disorders due to use of sedatives or hypnotics, acute intoxication",
    "F149": "Mental and behavioural disorders due to use of cocaine, unspecified mental and behavioural disorder",
    "F166": "Mental and behavioural disorders due to use of hallucinogens, amnesic syndrome",
    "F171": "Mental and behavioural disorders due to use of tobacco, harmful use",
    "F172": "Mental and behavioural disorders due to use of tobacco, dependence syndrome",
    "F185": "Mental and behavioural disorders due to use of volatile solvents, psychotic disorder",
    "45571747": "Invalid ICD10 Concept, do not use",
    "45571748": "Invalid ICD10 Concept, do not use",
    "F23": "Acute and transient psychotic disorders",
    "45571751": "Invalid ICD10 Concept, do not use",
    "F25": "Schizoaffective disorders",
    "F312": "Bipolar affective disorder, current episode manic with psychotic symptoms",
    "F313": "Bipolar affective disorder, current episode mild or moderate depression",
    "F316": "Bipolar affective disorder, current episode mixed",
    "F319": "Bipolar affective disorder, unspecified",
    "F328": "Other depressive episodes",
    "F329": "Depressive episode, unspecified",
    "F41": "Other anxiety disorders",
    "F411": "Generalized anxiety disorder",
    "F45": "Somatoform disorders",
    "45571769": "Invalid ICD10 Concept, do not use",
    "F65": "Disorders of sexual preference",
    "N824": "Other female intestinal-genital tract fistulae",
    "N84": "Polyp of female genital tract",
    "N843": "Polyp of vulva",
    "N88": "Other noninflammatory disorders of cervix uteri",
    "N882": "Stricture and stenosis of cervix uteri",
    "V335": "Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, driver injured in traffic accident",
    "V385": "Occupant of three-wheeled motor vehicle injured in noncollision transport accident, driver injured in traffic accident",
    "S717": "Multiple open wounds of hip and thigh",
    "S72": "Fracture of femur",
    "Y634": "Failure in dosage in electroshock or insulin-shock therapy",
    "Y64": "Contaminated medical or biological substances",
    "Y649": "Contaminated medical or biological substance administered by unspecified means",
    "Y904": "Blood alcohol level of 80-99 mg/100 ml",
    "M060": "Seronegative rheumatoid arthritis",
    "M062": "Rheumatoid bursitis",
    "M070": "Distal interphalangeal psoriatic arthropathy",
    "M074": "Arthropathy in Crohn disease [regional enteritis]",
    "T442": "Poisoning: Ganglionic blocking drugs, not elsewhere classified",
    "T460": "Poisoning: Cardiac-stimulant glycosides and drugs of similar action",
    "T461": "Poisoning: Calcium-channel blockers",
    "T432": "Poisoning: Other and unspecified antidepressants",
    "T436": "Poisoning: Psychostimulants with abuse potential",
    "Y078": "Other maltreatment by other specified persons",
    "S078": "Crushing injury of other parts of head",
    "S109": "Superficial injury of neck, part unspecified",
    "S122": "Fracture of other specified cervical vertebra",
    "V355": "Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, driver injured in traffic accident",
    "O350": "Maternal care for (suspected) central nervous system malformation in fetus",
    "O326": "Maternal care for compound presentation",
    "O330": "Maternal care for disproportion due to deformity of maternal pelvic bones",
    "S489": "Traumatic amputation of shoulder and upper arm, level unspecified",
    "G572": "Lesion of femoral nerve",
    "G587": "Mononeuritis multiplex",
    "G621": "Alcoholic polyneuropathy",
    "G700": "Myasthenia gravis",
    "G732": "Other myasthenic syndromes in neoplastic disease",
    "G820": "Flaccid paraplegia",
    "G903": "Multi-system degeneration",
    "45576611": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "G998": "Other specified disorders of nervous system in diseases classified elsewhere",
    "H022": "Lagophthalmos",
    "H027": "Other degenerative disorders of eyelid and periocular area",
    "H044": "Chronic inflammation of lacrimal passages",
    "N890": "Mild vaginal dysplasia",
    "N898": "Other specified noninflammatory disorders of vagina",
    "N902": "Severe vulvar dysplasia, not elsewhere classified",
    "N904": "Leukoplakia of vulva",
    "N915": "Oligomenorrhoea, unspecified",
    "N923": "Ovulation bleeding",
    "N981": "Hyperstimulation of ovaries",
    "N983": "Complications of attempted introduction of embryo in embryo transfer",
    "N988": "Other complications associated with artificial fertilization",
    "O002": "Ovarian pregnancy",
    "O009": "Ectopic pregnancy, unspecified",
    "O01": "Hydatidiform mole",
    "O028": "Other specified abnormal products of conception",
    "O035": "Spontaneous abortion, Complete or unspecified, complicated by genital tract and pelvic infection",
    "O08": "Complications following abortion and ectopic and molar pregnancy",
    "O088": "Other complications following abortion and ectopic and molar pregnancy",
    "O089": "Complication following abortion and ectopic and molar pregnancy, unspecified",
    "O11": "Pre-eclampsia superimposed on chronic hypertension",
    "O055": "Other abortion, complete or unspecified, complicated by genital tract and pelvic infection",
    "45572751": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "O149": "Pre-eclampsia, unspecified",
    "O20": "Haemorrhage in early pregnancy",
    "O208": "Other haemorrhage in early pregnancy",
    "O232": "Infections of urethra in pregnancy",
    "F653": "Voyeurism",
    "F669": "Psychosexual development disorder, unspecified",
    "F708": "Mild mental retardation, Other impairments of behaviour",
    "F721": "Severe mental retardation, significant impairment of behaviour requiring attention or treatment",
    "F738": "Profound mental retardation, other impairments of behaviour",
    "F800": "Specific speech articulation disorder",
    "F811": "Specific spelling disorder",
    "F848": "Other pervasive developmental disorders",
    "F918": "Other conduct disorders",
    "F952": "Combined vocal and multiple motor tic disorder [de la Tourette]",
    "F980": "Nonorganic enuresis",
    "F986": "Cluttering",
    "G039": "Meningitis, unspecified",
    "G058": "Encephalitis, myelitis and encephalomyelitis in other diseases classified elsewhere",
    "G218": "Other secondary parkinsonism",
    "G232": "Multiple system atrophy, parkinsonian type [MSA-P]",
    "G239": "Degenerative disease of basal ganglia, unspecified",
    "G25": "Other extrapyramidal and movement disorders",
    "G35": "Multiple sclerosis",
    "G361": "Acute and subacute haemorrhagic leukoencephalitis [Hurst]",
    "G370": "Diffuse sclerosis",
    "G379": "Demyelinating disease of central nervous system, unspecified",
    "V466": "Car occupant injured in collision with other nonmotor vehicle, passenger injured in traffic accident",
    "S984": "Traumatic amputation of foot, level unspecified",
    "T021": "Fractures involving thorax with lower back and pelvis",
    "T482": "Poisoning: Other and unspecified agents primarily acting on muscles",
    "T490": "Poisoning: Local antifungal, anti-infective and anti-inflammatory drugs, not elsewhere classified",
    "S61": "Open wound of wrist and hand",
    "S610": "Open wound of finger(s) without damage to nail",
    "S611": "Open wound of finger(s) with damage to nail",
    "Y611": "Foreign object accidentally left in body during surgical and medical care during infusion or transfusion",
    "Y442": "Adverse effects in the therapeutic use of anticoagulants",
    "Y616": "Foreign object accidentally left in body during surgical and medical care during aspiration, puncture and other catheterization",
    "Y845": "Insertion of gastric or duodenal sound as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y848": "Other medical procedures as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Z019": "Special examination, unspecified",
    "Z022": "Examination for admission to residential institutions",
    "Y356": "Legal intervention involving other specified means",
    "Y98": "Lifestyle-related condition",
    "Y365": "War operations involving nuclear weapons",
    "K769": "Liver disease, unspecified",
    "K805": "Calculus of bile duct without cholangitis or cholecystitis",
    "K829": "Disease of gallbladder, unspecified",
    "K834": "Spasm of sphincter of Oddi",
    "K928": "Other specified diseases of digestive system",
    "K930": "Tuberculous disorders of intestines, peritoneum and mesenteric glands",
    "L010": "Impetigo [any organism] [any site]",
    "S563": "Injury of extensor or abductor muscles and tendons of thumb at forearm level",
    "S14": "Injury of nerves and spinal cord at neck level",
    "S140": "Concussion and oedema of cervical spinal cord",
    "S936": "Sprain and strain of other and unspecified parts of foot",
    "S947": "Injury of multiple nerves at ankle and foot level",
    "S952": "Injury of dorsal vein of foot",
    "S961": "Injury of muscle and tendon of long extensor muscle of toe at ankle and foot level",
    "S982": "Traumatic amputation of two or more toes",
    "S501": "Contusion of other and unspecified parts of forearm",
    "S507": "Multiple superficial injuries of forearm",
    "S510": "Open wound of elbow",
    "H054": "Enophthalmos",
    "45577628": "Invalid ICD10 Concept, do not use",
    "O369": "Maternal care for fetal problem, unspecified",
    "O410": "Oligohydramnios",
    "V504": "Occupant of pick-up truck or van injured in collision with pedestrian or animal, Person injured while boarding or alighting",
    "V505": "Occupant of pick-up truck or van injured in collision with pedestrian or animal, Driver injured in traffic accident",
    "V526": "Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, passenger injured in traffic accident",
    "V534": "Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, person injured while boarding or alighting",
    "V536": "Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, passenger injured in traffic accident",
    "V574": "Occupant of pick-up truck or van injured in collision with fixed or stationary object, person injured while boarding or alighting",
    "S430": "Dislocation of shoulder joint",
    "G441": "Vascular headache, not elsewhere classified",
    "G464": "Cerebellar stroke syndrome",
    "G474": "Narcolepsy and cataplexy",
    "G510": "Bell palsy",
    "G54": "Nerve root and plexus disorders",
    "G564": "Causalgia",
    "G71": "Primary disorders of muscles",
    "G713": "Mitochondrial myopathy, not elsewhere classified",
    "G728": "Other specified myopathies",
    "G729": "Myopathy, unspecified",
    "G802": "Spastic hemiplegic cerebral palsy",
    "G81": "Hemiplegia",
    "G834": "Cauda equina syndrome",
    "G919": "Hydrocephalus, unspecified",
    "G951": "Vascular myelopathies",
    "G952": "Cord compression, unspecified",
    "G969": "Disorder of central nervous system, unspecified",
    "T024": "Fractures involving multiple regions of both upper limbs",
    "T040": "Crushing injuries involving head with neck",
    "T048": "Crushing injuries involving other combinations of body regions",
    "T060": "Injuries of brain and cranial nerves with injuries of nerves and spinal cord at neck level",
    "T061": "Injuries of nerves and spinal cord involving other multiple body regions",
    "O324": "Maternal care for high head at term",
    "V562": "Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, person on outside of vehicle injured in nontraffic accident",
    "V572": "Occupant of pick-up truck or van injured in collision with fixed or stationary object, person on outside of vehicle injured in nontraffic accident",
    "V604": "Occupant of heavy transport vehicle injured in collision with pedestrian or animal, Person injured while boarding or alighting",
    "T099": "Unspecified injury of trunk, level unspecified",
    "T136": "Traumatic amputation of lower limb, level unspecified",
    "T147": "Crushing injury and traumatic amputation of unspecified body region",
    "T150": "Foreign body in cornea",
    "T171": "Foreign body in nostril",
    "T174": "Foreign body in trachea",
    "45570138": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "Z003": "Examination for adolescent development state",
    "Z005": "Examination of potential donor of organ and tissue",
    "Z008": "Other general examinations",
    "Z012": "Dental examination",
    "Z018": "Other specified special examinations",
    "Z041": "Examination and observation following transport accident",
    "Z09": "Follow-up examination after treatment for conditions other than malignant neoplasms",
    "Z100": "Occupational health examination",
    "Z119": "Special screening examination for infectious and parasitic diseases, unspecified",
    "Z122": "Special screening examination for neoplasm of respiratory organs",
    "Z124": "Special screening examination for neoplasm of cervix",
    "Z229": "Carrier of infectious disease, unspecified",
    "Z230": "Need for immunization against cholera alone",
    "Z243": "Need for immunization against yellow fever",
    "Z251": "Need for immunization against influenza",
    "Z270": "Need for immunization against cholera with typhoid-paratyphoid [cholera + TAB]",
    "Z319": "Procreative management, unspecified",
    "Z363": "Antenatal screening for malformations using ultrasound and other physical methods",
    "Z410": "Hair transplant",
    "Z412": "Routine and ritual circumcision",
    "Z312": "In vitrofertilization",
    "Z37": "Outcome of delivery",
    "Z023": "Examination for recruitment to armed forces",
    "M100": "Idiopathic gout",
    "M138": "Other specified arthritis",
    "M142": "Diabetic arthropathy",
    "M16": "Coxarthrosis [arthrosis of hip]",
    "M175": "Other secondary gonarthrosis",
    "M184": "Other secondary arthrosis of first carpometacarpal joints, bilateral",
    "L040": "Acute lymphadenitis of face, head and neck",
    "L080": "Pyoderma",
    "L109": "Pemphigus, unspecified",
    "L139": "Bullous disorder, unspecified",
    "L219": "Seborrhoeic dermatitis, unspecified",
    "L232": "Allergic contact dermatitis due to cosmetics",
    "L254": "Unspecified contact dermatitis due to food in contact with skin",
    "L301": "Dyshidrosis [pompholyx]",
    "L305": "Pityriasis alba",
    "L309": "Dermatitis, unspecified",
    "L410": "Pityriasis lichenoides et varioliformis acuta",
    "L519": "Erythema multiforme, unspecified",
    "L558": "Other sunburn",
    "L573": "Poikiloderma of Civatte",
    "L65": "Other nonscarring hair loss",
    "L68": "Hypertrichosis",
    "L708": "Other acne",
    "L748": "Other eccrine sweat disorders",
    "L850": "Acquired ichthyosis",
    "L893": "Stage IV decubitus ulcer",
    "T474": "Poisoning: Other laxatives",
    "Y631": "Incorrect dilution of fluid used during infusion",
    "Y635": "Inappropriate temperature in local application and packing",
    "Y636": "Nonadministration of necessary drug, medicament or biological substance",
    "Y470": "Adverse effects in the therapeutic use of barbiturates, not elsewhere classified",
    "S143": "Injury of brachial plexus",
    "S158": "Injury of other blood vessels at neck level",
    "S598": "Other specified injuries of forearm",
    "T029": "Multiple fractures, unspecified",
    "T031": "Dislocations, sprains and strains involving thorax with lower back and pelvis",
    "T053": "Traumatic amputation of both feet",
    "T063": "Injuries of blood vessels involving multiple body regions",
    "T09": "Other injuries of spine and trunk, level unspecified",
    "V459": "Car occupant injured in collision with railway train or railway vehicle, unspecified car occupant injured in traffic accident",
    "45579826": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "45579830": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "V511": "Occupant of pick-up truck or van injured in collision with pedal cycle, passenger injured in nontraffic accident",
    "V495": "Passenger injured in collision with other and unspecified motor vehicles in traffic accident",
    "45579832": "Invalid ICD10 Concept, do not use",
    "O623": "Precipitate labour",
    "O644": "Obstructed labour due to shoulder presentation",
    "O700": "First degree perineal laceration during delivery",
    "O750": "Maternal distress during labour and delivery",
    "O755": "Delayed delivery after artificial rupture of membranes",
    "O800": "Spontaneous vertex delivery",
    "O459": "Premature separation of placenta, unspecified",
    "H191": "Herpesviral keratitis and keratoconjunctivitis",
    "H219": "Disorder of iris and ciliary body, unspecified",
    "H250": "Senile incipient cataract",
    "H301": "Disseminated chorioretinal inflammation",
    "H31": "Other disorders of choroid",
    "H349": "Retinal vascular occlusion, unspecified",
    "H350": "Background retinopathy and retinal vascular changes",
    "T009": "Multiple superficial injuries, unspecified",
    "T016": "Open wounds involving multiple regions of upper limb(s) with lower limb(s)",
    "S700": "Contusion of hip",
    "V583": "Occupant of pick-up truck or van injured in noncollision transport accident, unspecified occupant of pick-up truck or van injured in nontraffic accident",
    "V625": "Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, driver injured in traffic accident",
    "O358": "Maternal care for other (suspected) fetal abnormality and damage",
    "S435": "Sprain and strain of acromioclavicular joint",
    "H038": "Involvement of eyelid in other diseases classified elsewhere",
    "H049": "Disorder of lacrimal system, unspecified",
    "H052": "Exophthalmic conditions",
    "T193": "Foreign body in uterus [any part]",
    "Z452": "Adjustment and management of vascular access device",
    "Z468": "Fitting and adjustment of other specified devices",
    "Z500": "Cardiac rehabilitation",
    "Z504": "Psychotherapy, not elsewhere classified",
    "Z524": "Kidney donor",
    "Z527": "Heart donor",
    "S459": "Injury of unspecified blood vessel at shoulder and upper arm level",
    "45581041": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "T51": "Toxic effect of alcohol",
    "T511": "Toxic effect: Methanol",
    "T530": "Toxic effect: Carbon tetrachloride",
    "S240": "Concussion and oedema of thoracic spinal cord",
    "S134": "Sprain and strain of cervical spine",
    "S141": "Other and unspecified injuries of cervical spinal cord",
    "S200": "Contusion of breast",
    "S204": "Other superficial injuries of back wall of thorax",
    "Y842": "Radiological procedure and radiotherapy as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure",
    "Y907": "Blood alcohol level of 200-239 mg/100 ml",
    "Y912": "Severe alcohol intoxication",
    "Y870": "Sequelae of intentional self-harm",
    "M011": "Tuberculous arthritis",
    "M023": "Reiter disease",
    "M032": "Other postinfectious arthropathies in diseases classified elsewhere",
    "T491": "Poisoning: Antipruritics",
    "T496": "Poisoning: Otorhinolaryngological drugs and preparations",
    "T498": "Poisoning: Other topical agents",
    "T503": "Poisoning: Electrolytic, caloric and water-balance agents",
    "V559": "Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, unspecified occupant of pick-up truck or van injured in traffic accident",
    "V566": "Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, passenger injured in traffic accident",
    "T180": "Foreign body in mouth",
    "T183": "Foreign body in small intestine",
    "T188": "Foreign body in other and multiple parts of alimentary tract",
    "T190": "Foreign body in urethra",
    "T201": "Burn of first degree of head and neck",
    "V584": "Occupant of pick-up truck or van injured in noncollision transport accident, person injured while boarding or alighting",
    "O923": "Agalactia",
    "O925": "Suppressed lactation",
    "O981": "Syphilis complicating pregnancy, childbirth and the puerperium",
    "P000": "Fetus and newborn affected by maternal hypertensive disorders",
    "P02": "Fetus and newborn affected by complications of placenta, cord and membranes",
    "P022": "Fetus and newborn affected by other and unspecified morphological and functional abnormalities of placenta",
    "P028": "Fetus and newborn affected by other abnormalities of membranes",
    "P039": "Fetus and newborn affected by complication of labour and delivery, unspecified",
    "P040": "Fetus and newborn affected by maternal anaesthesia and analgesia in pregnancy, labour and delivery",
    "P072": "Extreme immaturity",
    "P109": "Unspecified intracranial laceration and haemorrhage due to birth injury",
    "P134": "Fracture of clavicle due to birth injury",
    "P139": "Birth injury to skeleton, unspecified",
    "P142": "Phrenic nerve paralysis due to birth injury",
    "P201": "Intrauterine hypoxia first noted during labour and delivery",
    "P243": "Neonatal aspiration of milk and regurgitated food",
    "P292": "Neonatal hypertension",
    "P378": "Other specified congenital infectious and parasitic diseases",
    "P613": "Congenital anaemia from fetal blood loss",
    "45577710": "Invalid ICD10 Concept, do not use",
    "P741": "Dehydration of newborn",
    "P781": "Other neonatal peritonitis",
    "P788": "Other specified perinatal digestive system disorders",
    "P96": "Other conditions originating in the perinatal period",
    "Q000": "Anencephaly",
    "Q018": "Encephalocele of other sites",
    "Q110": "Cystic eyeball",
    "Q128": "Other congenital lens malformations",
    "Q130": "Coloboma of iris",
    "Q141": "Congenital malformation of retina",
    "Q18": "Other congenital malformations of face and neck",
    "Q181": "Preauricular sinus and cyst",
    "V704": "Bus occupant injured in collision with pedestrian or animal, Person injured while boarding or alighting",
    "V672": "Occupant of heavy transport vehicle injured in collision with fixed or stationary object, person on outside of vehicle injured in nontraffic accident",
    "V687": "Occupant of heavy transport vehicle injured in noncollision transport accident, person on outside of vehicle injured in traffic accident",
    "V709": "Bus occupant injured in collision with pedestrian or animal, Unspecified bus occupant injured in traffic accident",
    "H441": "Other endophthalmitis",
    "T041": "Crushing injuries involving thorax with abdomen, lower back and pelvis",
    "T059": "Multiple traumatic amputations, unspecified",
    "T065": "Injuries of intrathoracic organs with intra-abdominal and pelvic organs",
    "T10": "Fracture of upper limb, level unspecified",
    "T131": "Open wound of lower limb, level unspecified",
    "T151": "Foreign body in conjunctival sac",
    "V772": "Bus occupant injured in collision with fixed or stationary object, person on outside of vehicle injured in nontraffic accident",
    "O621": "Secondary uterine inertia",
    "O643": "Obstructed labour due to brow presentation",
    "O650": "Obstructed labour due to deformed pelvis",
    "O665": "Failed application of vacuum extractor and forceps, unspecified",
    "O670": "Intrapartum haemorrhage with coagulation defect",
    "O420": "Premature rupture of membranes, onset of labour within 24 hours",
    "O460": "Antepartum haemorrhage with coagulation defect",
    "V646": "Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, passenger injured in traffic accident",
    "V676": "Occupant of heavy transport vehicle injured in collision with fixed or stationary object, passenger injured in traffic accident",
    "S723": "Fracture of shaft of femur",
    "V716": "Bus occupant injured in collision with pedal cycle, passenger injured in traffic accident",
    "V735": "Bus occupant injured in collision with car, pick-up truck or van, driver injured in traffic accident",
    "V747": "Bus occupant injured in collision with heavy transport vehicle or bus, person on outside of vehicle injured in traffic accident",
    "V771": "Bus occupant injured in collision with fixed or stationary object, passenger injured in nontraffic accident",
    "V784": "Bus occupant injured in noncollision transport accident, person injured while boarding or alighting",
    "V799": "Bus occupant [any] injured in unspecified traffic accident",
    "T564": "Toxic effect: Copper and its compounds",
    "Z559": "Problem related to education and literacy, unspecified",
    "Z57": "Occupational exposure to risk-factors",
    "Z583": "Exposure to soil pollution",
    "Z585": "Exposure to other pollution",
    "Z604": "Social exclusion and rejection",
    "Z639": "Problem related to primary support group, unspecified",
    "Z640": "Problems related to unwanted pregnancy",
    "Z659": "Problem related to unspecified psychosocial circumstances",
    "S2780": "Injury of other specified intrathoracic organs, without open wound into thoracic cavity",
    "T507": "Poisoning: Analeptics and opioid receptor antagonists",
    "Z08": "Follow-up examination after treatment for malignant neoplasms",
    "Z126": "Special screening examination for neoplasm of bladder",
    "Z128": "Special screening examination for neoplasms of other sites",
    "Z129": "Special screening examination for neoplasm, unspecified",
    "Z220": "Carrier of typhoid",
    "Z224": "Carrier of infections with a predominantly sexual mode of transmission",
    "Z246": "Need for immunization against viral hepatitis",
    "Z271": "Need for immunization against diphtheria-tetanus-pertussis, combined [DTP]",
    "Z278": "Need for immunization against other combinations of infectious diseases",
    "Z282": "Immunization not carried out because of patient's decision for other and unspecified reasons",
    "Z313": "Other assisted fertilization methods",
    "Z351": "Supervision of pregnancy with history of abortive outcome",
    "Z360": "Antenatal screening for chromosomal anomalies",
    "Z370": "Single live birth",
    "Z308": "Other contraceptive management",
    "45571334": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "T223": "Burn of third degree of shoulder and upper limb, except wrist and hand",
    "Q205": "Discordant atrioventricular connection",
    "Q206": "Isomerism of atrial appendages",
    "Q303": "Congenital perforated nasal septum",
    "Q348": "Other specified congenital malformations of respiratory system",
    "Q372": "Cleft soft palate with bilateral cleft lip",
    "H443": "Other degenerative disorders of globe",
    "H473": "Other disorders of optic disc",
    "H532": "Diplopia",
    "45576796": "Invalid ICD10 Concept, do not use",
    "Q398": "Other congenital malformations of oesophagus",
    "Q438": "Other specified congenital malformations of intestine",
    "Q53": "Undescended testicle",
    "Q603": "Renal hypoplasia, unilateral",
    "Q626": "Malposition of ureter",
    "Q678": "Other congenital deformities of chest",
    "Q699": "Polydactyly, unspecified",
    "Q709": "Syndactyly, unspecified",
    "Q716": "Lobster-claw hand",
    "T217": "Corrosion of third degree of trunk",
    "V795": "Passenger injured in collision with other and unspecified motor vehicles in traffic accident",
    "S721": "Pertrochanteric fracture",
    "O679": "Intrapartum haemorrhage, unspecified",
    "O682": "Labour and delivery complicated by fetal heart rate anomaly with meconium in amniotic fluid",
    "O689": "Labour and delivery complicated by fetal stress, unspecified",
    "O692": "Labour and delivery complicated by other cord entanglement, with compression",
    "O701": "Second degree perineal laceration during delivery",
    "O717": "Obstetric haematoma of pelvis",
    "O822": "Delivery by caesarean hysterectomy",
    "O863": "Other genitourinary tract infections following delivery",
    "O94": "Sequelae of complication of pregnancy, childbirth and the puerperium",
    "H220": "Iridocyclitis in infectious and parasitic diseases classified elsewhere",
    "H228": "Other disorders of iris and ciliary body in diseases classified elsewhere",
    "H28": "Cataract and other disorders of lens in diseases classified elsewhere",
    "H288": "Other disorders of lens in diseases classified elsewhere",
    "H318": "Other specified disorders of choroid",
    "H331": "Retinoschisis and retinal cysts",
    "H334": "Traction detachment of retina",
    "H359": "Retinal disorder, unspecified",
    "S724": "Fracture of lower end of femur",
    "Z702": "Counselling related to sexual behaviour and orientation of third party",
    "Z718": "Other specified counselling",
    "Z73": "Problems related to life-management difficulty",
    "Z731": "Accentuation of personality traits",
    "Z734": "Inadequate social skills, not elsewhere classified",
    "Z758": "Other problems related to medical facilities and other health care",
    "Z764": "Other boarder in health-care facility",
    "Z824": "Family history of ischaemic heart disease and other diseases of the circulatory system",
    "Z866": "Personal history of diseases of the nervous system and sense organs",
    "Z876": "Personal history of certain conditions arising in the perinatal period",
    "Z720": "Tobacco use",
    "Z741": "Need for assistance with personal care",
    "Z93": "Artificial opening status",
    "Z978": "Presence of other specified devices",
    "Z992": "Dependence on renal dialysis",
    "A028": "Other specified salmonella infections",
    "A052": "Foodborne Clostridium perfringens [Clostridium welchii] intoxication",
    "A202": "Pneumonic plague",
    "A229": "Anthrax, unspecified",
    "A233": "Brucellosis due to Brucella canis",
    "A279": "Leptospirosis, unspecified",
    "A402": "Sepsis due to streptococcus, group D",
    "S622": "Fracture of first metacarpal bone",
    "S599": "Unspecified injury of forearm",
    "S825": "Fracture of medial malleolus",
    "Z371": "Single stillbirth",
    "Z375": "Other multiple births, all liveborn",
    "Z443": "Fitting and adjustment of external breast prosthesis",
    "Z451": "Adjustment and management of infusion pump",
    "M128": "Other specific arthropathies, not elsewhere classified",
    "M144": "Arthropathy in amyloidosis",
    "45572369": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "M206": "Acquired deformity of toe(s), unspecified",
    "M210": "Valgus deformity, not elsewhere classified",
    "M231": "Discoid meniscus (congenital)",
    "M2340": "Loose body in knee, multiple sites",
    "M2352": "Chronic instability of knee, posterior cruciate ligament or Posterior horn of medial meniscus",
    "M2391": "Internal derangement of knee, unspecified, anterior cruciate ligament or Anterior horn of medial meniscus",
    "T565": "Toxic effect: Zinc and its compounds",
    "T570": "Toxic effect: Arsenic and its compounds",
    "T572": "Toxic effect: Manganese and its compounds",
    "T578": "Toxic effect: Other specified inorganic substances",
    "T594": "Toxic effect: Chlorine gas",
    "T596": "Toxic effect: Hydrogen sulfide",
    "Z490": "Preparatory care for dialysis",
    "S826": "Fracture of lateral malleolus",
    "Q728": "Other reduction defects of lower limb(s)",
    "Q748": "Other specified congenital malformations of limb(s)",
    "Q751": "Craniofacial dysostosis",
    "Q772": "Short rib syndrome",
    "Q775": "Dystrophic dysplasia",
    "Q808": "Other congenital ichthyosis",
    "Q841": "Congenital morphological disturbances of hair, not elsewhere classified",
    "Q843": "Anonychia",
    "Q936": "Deletions seen only at prometaphase",
    "Q939": "Deletion from autosomes, unspecified",
    "Q95": "Balanced rearrangements and structural markers, not elsewhere classified",
    "Q968": "Other variants of Turner syndrome",
    "Q969": "Turner syndrome, unspecified",
    "Q992": "Fragile X chromosome",
    "R00": "Abnormalities of heart beat",
    "R042": "Haemoptysis",
    "R071": "Chest pain on breathing",
    "R10": "Abdominal and pelvic pain",
    "R229": "Localized swelling, mass and lump, unspecified",
    "R30": "Pain associated with micturition",
    "R309": "Painful micturition, unspecified",
    "45577791": "Invalid ICD10 Concept, do not use",
    "R456": "Physical violence",
    "R48": "Dyslexia and other symbolic dysfunctions, not elsewhere classified",
    "R502": "Drug-induced fever",
    "R60": "Oedema, not elsewhere classified",
    "H603": "Other infective otitis externa",
    "R636": "Insufficient intake of food and water due to self neglect",
    "V878": "Person injured in other specified noncollision transport accidents involving motor vehicle (traffic)",
    "H69": "Other disorders of Eustachian tube",
    "H742": "Discontinuity and dislocation of ear ossicles",
    "S517": "Multiple open wounds of forearm",
    "O996": "Diseases of the digestive system complicating pregnancy, childbirth and the puerperium",
    "P004": "Fetus and newborn affected by maternal nutritional disorders",
    "P009": "Fetus and newborn affected by unspecified maternal condition",
    "P012": "Fetus and newborn affected by oligohydramnios",
    "P029": "Fetus and newborn affected by abnormality of membranes, unspecified",
    "P033": "Fetus and newborn affected by delivery by vacuum extractor [ventouse]",
    "P051": "Small for gestational age",
    "P113": "Birth injury to facial nerve",
    "P24": "Neonatal aspiration syndromes",
    "P240": "Neonatal aspiration of meconium",
    "P371": "Congenital toxoplasmosis",
    "P525": "Subarachnoid (nontraumatic) haemorrhage of fetus and newborn",
    "P583": "Neonatal jaundice due to polycythaemia",
    "45572936": "Invalid ICD10 Concept, do not use",
    "P704": "Other neonatal hypoglycaemia",
    "P808": "Other hypothermia of newborn",
    "P831": "Neonatal erythema toxicum",
    "P911": "Acquired periventricular cysts of newborn",
    "P942": "Congenital hypotonia",
    "P965": "Complications of intrauterine procedures, not elsewhere classified",
    "Q04": "Other congenital malformations of brain",
    "Q042": "Holoprosencephaly",
    "Q048": "Other specified congenital malformations of brain",
    "Q059": "Spina bifida, unspecified",
    "Q132": "Other congenital malformations of iris",
    "Q184": "Macrostomia",
    "Q208": "Other congenital malformations of cardiac chambers and connections",
    "Q21": "Congenital malformations of cardiac septa",
    "Q210": "Ventricular septal defect",
    "Q229": "Congenital malformation of tricuspid valve, unspecified",
    "Q233": "Congenital mitral insufficiency",
    "Q240": "Dextrocardia",
    "Q262": "Total anomalous pulmonary venous connection",
    "V821": "Occupant of streetcar injured in collision with motor vehicle in traffic accident",
    "V803": "Rider or occupant injured in collision with two- or three-wheeled motor vehicle",
    "V830": "Driver of special industrial vehicle injured in traffic accident",
    "S223": "Fracture of rib",
    "S230": "Traumatic rupture of thoracic intervertebral disc",
    "S24": "Injury of nerves and spinal cord at thorax level",
    "S243": "Injury of peripheral nerves of thorax",
    "Z538": "Procedure not carried out for other reasons",
    "Z54": "Convalescence",
    "Z558": "Other problems related to education and literacy",
    "Z593": "Problems related to living in residential institution",
    "Z596": "Low income",
    "Z628": "Other specified problems related to upbringing",
    "Z629": "Problem related to upbringing, unspecified",
    "Z636": "Dependent relative needing care at home",
    "Z703": "Counselling related to combined concerns regarding sexual attitude, behaviour and orientation",
    "Z722": "Drug use",
    "Z752": "Other waiting period for investigation and treatment",
    "Z763": "Healthy person accompanying sick person",
    "Z600": "Problems of adjustment to life-cycle transitions",
    "Z615": "Problems related to alleged sexual abuse of child by person outside primary support group",
    "Z870": "Personal history of diseases of the respiratory system",
    "Z95": "Presence of cardiac and vascular implants and grafts",
    "Z950": "Presence of electronic cardiac devices",
    "Z971": "Presence of artificial limb (complete)(partial)",
    "A012": "Paratyphoid fever B",
    "A022": "Localized salmonella infections",
    "A066": "Amoebic brain abscess",
    "A085": "Other specified intestinal infections",
    "A156": "Tuberculous pleurisy, confirmed bacteriologically and histologically",
    "A185": "Tuberculosis of eye",
    "A209": "Plague, unspecified",
    "A221": "Pulmonary anthrax",
    "A260": "Cutaneous erysipeloid",
    "A318": "Other mycobacterial infections",
    "Z892": "Acquired absence of upper limb above wrist",
    "T631": "Toxic effect: Venom of other reptiles",
    "V809": "Rider or occupant injured in other and unspecified transport accidents",
    "V860": "Driver of all-terrain or other off-road motor vehicle injured in traffic accident",
    "H758": "Other specified disorders of middle ear and mastoid in diseases classified elsewhere",
    "H830": "Labyrinthitis",
    "H903": "Sensorineural hearing loss, bilateral",
    "H913": "Deaf mutism, not elsewhere classified",
    "H93": "Other disorders of ear, not elsewhere classified",
    "H932": "Other abnormal auditory perceptions",
    "I059": "Mitral valve disease, unspecified",
    "I060": "Rheumatic aortic stenosis",
    "I119": "Hypertensive heart disease without (congestive) heart failure",
    "I13": "Hypertensive heart and renal disease",
    "I255": "Ischaemic cardiomyopathy",
    "I350": "Aortic (valve) stenosis",
    "R680": "Hypothermia, not associated with low environmental temperature",
    "R683": "Clubbing of fingers",
    "R76": "Other abnormal immunological findings in serum",
    "R841": "Abnormal findings in specimens from respiratory organs and thorax, abnormal level of hormones",
    "R865": "Abnormal findings in specimens from male genital organs, abnormal microbiological findings",
    "R762": "False-positive serological test for syphilis",
    "R786": "Finding of steroid agent in blood",
    "R799": "Abnormal finding of blood chemistry, unspecified",
    "R823": "Haemoglobinuria",
    "R839": "Abnormal findings in cerebrospinal fluid, Unspecified abnormal finding",
    "R92": "Abnormal findings on diagnostic imaging of breast",
    "R935": "Abnormal findings on diagnostic imaging of other abdominal regions, including retroperitoneum",
    "R936": "Abnormal findings on diagnostic imaging of limbs",
    "45577812": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "W06": "Fall involving bed",
    "Q31": "Congenital malformations of larynx",
    "Q313": "Laryngocele",
    "Q320": "Congenital tracheomalacia",
    "Q321": "Other congenital malformations of trachea",
    "Q335": "Ectopic tissue in lung",
    "Q39": "Congenital malformations of oesophagus",
    "Q396": "Diverticulum of oesophagus",
    "Q442": "Atresia of bile ducts",
    "Q511": "Doubling of uterus with doubling of cervix and vagina",
    "Q521": "Doubling of vagina",
    "H405": "Glaucoma secondary to other eye disorders",
    "V834": "Person injured while boarding or alighting from special industrial vehicle",
    "V836": "Passenger of special industrial vehicle injured in nontraffic accident",
    "V861": "Passenger of all-terrain or other off-road motor vehicle injured in traffic accident",
    "H448": "Other disorders of globe",
    "H46": "Optic neuritis",
    "H474": "Disorders of optic chiasm",
    "H475": "Disorders of other visual pathways",
    "A503": "Late congenital syphilitic oculopathy",
    "A505": "Other late congenital syphilis, symptomatic",
    "A506": "Late congenital syphilis, latent",
    "A544": "Gonococcal infection of musculoskeletal system",
    "A546": "Gonococcal infection of anus and rectum",
    "A549": "Gonococcal infection, unspecified",
    "A57": "Chancroid",
    "A600": "Herpesviral infection of genitalia and urogenital tract",
    "A681": "Tick-borne relapsing fever",
    "A798": "Other specified rickettsioses",
    "A800": "Acute paralytic poliomyelitis, vaccine-associated",
    "A803": "Acute paralytic poliomyelitis, other and unspecified",
    "A880": "Enteroviral exanthematous fever [Boston exanthem]",
    "A90": "Dengue fever [classical dengue]",
    "A928": "Other specified mosquito-borne viral fevers",
    "B022": "Zoster with other nervous system involvement",
    "B259": "Cytomegaloviral disease, unspecified",
    "B333": "Retrovirus infections, not elsewhere classified",
    "B354": "Tinea corporis",
    "B369": "Superficial mycosis, unspecified",
    "B379": "Candidiasis, unspecified",
    "B387": "Disseminated coccidioidomycosis",
    "B441": "Other pulmonary aspergillosis",
    "B442": "Tonsillar aspergillosis",
    "B449": "Aspergillosis, unspecified",
    "B481": "Rhinosporidiosis",
    "B508": "Other severe and complicated Plasmodium falciparum malaria",
    "B530": "Plasmodium ovale malaria",
    "B55": "Leishmaniasis",
    "B570": "Acute Chagas disease with heart involvement",
    "B64": "Unspecified protozoal disease",
    "B662": "Dicrocoeliasis",
    "B678": "Echinococcosis, unspecified, of liver",
    "B698": "Cysticercosis of other sites",
    "B71": "Other cestode infections",
    "B741": "Filariasis due to Brugia malayi",
    "B811": "Intestinal capillariasis",
    "B813": "Intestinal angiostrongyliasis",
    "B83": "Other helminthiases",
    "B874": "Aural myiasis",
    "B879": "Myiasis, unspecified",
    "B964": "Proteus (mirabilis)(morganii) as the cause of diseases classified to other chapters",
    "B975": "Reovirus as the cause of diseases classified to other chapters",
    "45576293": "Invalid ICD10 Concept, do not use",
    "C003": "Malignant neoplasm: Upper lip, inner aspect",
    "C020": "Malignant neoplasm: Dorsal surface of tongue",
    "C06": "Malignant neoplasm of other and unspecified parts of mouth",
    "C061": "Malignant neoplasm: Vestibule of mouth",
    "C07": "Malignant neoplasm of parotid gland",
    "C091": "Malignant neoplasm: Tonsillar pillar (anterior)(posterior)",
    "C119": "Malignant neoplasm: Nasopharynx, unspecified",
    "C12": "Malignant neoplasm of piriform sinus",
    "C153": "Malignant neoplasm: Upper third of oesophagus",
    "C168": "Malignant neoplasm: Overlapping lesion of stomach",
    "C173": "Malignant neoplasm: Meckel diverticulum",
    "C18": "Malignant neoplasm of colon",
    "C211": "Malignant neoplasm: Anal canal",
    "C24": "Malignant neoplasm of other and unspecified parts of biliary tract",
    "C261": "Malignant neoplasm: Spleen",
    "C269": "Malignant neoplasm: Ill-defined sites within the digestive system",
    "S827": "Multiple fractures of lower leg",
    "S27": "Injury of other and unspecified intrathoracic organs",
    "S279": "Injury of unspecified intrathoracic organ",
    "A39": "Meningococcal infection",
    "A394": "Meningococcaemia, unspecified",
    "M328": "Other forms of systemic lupus erythematosus",
    "45572453": "Invalid ICD10 Concept, do not use",
    "M463": "Infection of intervertebral disc (pyogenic)",
    "M484": "Fatigue fracture of vertebra",
    "T679": "Effect of heat and light, unspecified",
    "T702": "Other and unspecified effects of high altitude",
    "A515": "Early syphilis, latent",
    "A521": "Symptomatic neurosyphilis",
    "A564": "Chlamydial infection of pharynx",
    "A749": "Chlamydial infection, unspecified",
    "A75": "Typhus fever",
    "A750": "Epidemic louse-borne typhus fever due to Rickettsia prowazekii",
    "A791": "Rickettsialpox due to Rickettsia akari",
    "A835": "California encephalitis",
    "S833": "Tear of articular cartilage of knee, current",
    "V904": "Accident to watercraft causing drowning and submersion, Sailboat",
    "V911": "Accident to watercraft causing other injury, passenger ship",
    "S003": "Superficial injury of nose",
    "I361": "Nonrheumatic tricuspid (valve) insufficiency",
    "I371": "Pulmonary valve insufficiency",
    "I442": "Atrioventricular block, complete",
    "I45": "Other conduction disorders",
    "I453": "Trifascicular block",
    "I498": "Other specified cardiac arrhythmias",
    "I509": "Heart failure, unspecified",
    "I518": "Other ill-defined heart diseases",
    "I613": "Intracerebral haemorrhage in brain stem",
    "I619": "Intracerebral haemorrhage, unspecified",
    "I62": "Other nontraumatic intracranial haemorrhage",
    "45576875": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "I70": "Atherosclerosis",
    "T237": "Corrosion of third degree of wrist and hand",
    "T251": "Burn of first degree of ankle and foot",
    "H510": "Palsy of conjugate gaze",
    "H660": "Acute suppurative otitis media",
    "Q527": "Other congenital malformations of vulva",
    "Q553": "Atresia of vas deferens",
    "Q602": "Renal agenesis, unspecified",
    "Q610": "Congenital single renal cyst",
    "Q615": "Medullary cystic kidney",
    "Q624": "Agenesis of ureter",
    "Q642": "Congenital posterior urethral valves",
    "Q643": "Other atresia and stenosis of urethra and bladder neck",
    "B029": "Zoster without complication",
    "B052": "Measles complicated by pneumonia",
    "B170": "Acute delta-(super)infection of hepatitis B carrier",
    "B179": "Acute viral hepatitis, unspecified",
    "B217": "HIV disease resulting in multiple malignant neoplasms",
    "B232": "HIV disease resulting in haematological and immunological abnormalities, not elsewhere classified",
    "B330": "Epidemic myalgia",
    "B338": "Other specified viral diseases",
    "B353": "Tinea pedis",
    "B371": "Pulmonary candidiasis",
    "B374": "Candidiasis of other urogenital sites",
    "B391": "Chronic pulmonary histoplasmosis capsulati",
    "B395": "Histoplasmosis duboisii",
    "B410": "Pulmonary paracoccidioidomycosis",
    "B428": "Other forms of sporotrichosis",
    "B450": "Pulmonary cryptococcosis",
    "B460": "Pulmonary mucormycosis",
    "B471": "Actinomycetoma",
    "B487": "Opportunistic mycoses",
    "B509": "Plasmodium falciparum malaria, unspecified",
    "B573": "Chagas disease (chronic) with digestive system involvement",
    "B581": "Toxoplasma hepatitis",
    "B650": "Schistosomiasis due to Schistosoma haematobium [urinary schistosomiasis]",
    "B668": "Other specified fluke infections",
    "B67": "Echinococcosis",
    "B676": "Echinococcus multilocularis infection, other and multiple sites",
    "B768": "Other hookworm diseases",
    "B778": "Ascariasis with other complications",
    "B78": "Strongyloidiasis",
    "B810": "Anisakiasis",
    "B82": "Unspecified intestinal parasitism",
    "B820": "Intestinal helminthiasis, unspecified",
    "C419": "Malignant neoplasm: Bone and articular cartilage, unspecified",
    "C457": "Mesothelioma of other sites",
    "C476": "Malignant neoplasm: Peripheral nerves of trunk, unspecified",
    "C492": "Malignant neoplasm: Connective and soft tissue of lower limb, including hip",
    "C503": "Malignant neoplasm: Lower-inner quadrant of breast",
    "C52": "Malignant neoplasm of vagina",
    "M670": "Short Achilles tendon (acquired)",
    "M671": "Other contracture of tendon (sheath)",
    "M715": "Other bursitis, not elsewhere classified",
    "M729": "Fibroblastic disorder, unspecified",
    "M768": "Other enthesopathies of lower limb, excluding foot",
    "M775": "Other enthesopathy of foot",
    "T700": "Otitic barotrauma",
    "T780": "Anaphylactic shock due to adverse food reaction",
    "T80": "Complications following infusion, transfusion and therapeutic injection",
    "T814": "Infection following a procedure, not elsewhere classified",
    "45575531": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "S831": "Dislocation of knee",
    "S317": "Multiple open wounds of abdomen, lower back and pelvis",
    "A84": "Tick-borne viral encephalitis",
    "A849": "Tick-borne viral encephalitis, unspecified",
    "A938": "Other specified arthropod-borne viral fevers",
    "A95": "Yellow fever",
    "A981": "Omsk haemorrhagic fever",
    "B023": "Zoster ocular disease",
    "B06": "Rubella [German measles]",
    "B069": "Rubella without complication",
    "B082": "Exanthema subitum [sixth disease]",
    "B178": "Other specified acute viral hepatitis",
    "B20": "Human immunodeficiency virus [HIV] disease resulting in infectious and parasitic diseases",
    "B206": "HIV disease resulting in Pneumocystis jirovecii pneumonia",
    "B210": "HIV disease resulting in Kaposi sarcoma",
    "B211": "HIV disease resulting in Burkitt lymphoma",
    "B213": "HIV disease resulting in other malignant neoplasms of lymphoid, haematopoietic and related tissue",
    "B252": "Cytomegaloviral pancreatitis",
    "B341": "Enterovirus infection, unspecified site",
    "B358": "Other dermatophytoses",
    "B361": "Tinea nigra",
    "B384": "Coccidioidomycosis meningitis",
    "B389": "Coccidioidomycosis, unspecified",
    "B56": "African trypanosomiasis",
    "B569": "African trypanosomiasis, unspecified",
    "B580": "Toxoplasma oculopathy",
    "B718": "Other specified cestode infections",
    "B761": "Necatoriasis",
    "B80": "Enterobiasis",
    "B873": "Nasopharyngeal myiasis",
    "B882": "Other arthropod infestations",
    "B883": "External hirudiniasis",
    "B908": "Sequelae of tuberculosis of other organs",
    "B942": "Sequelae of viral hepatitis",
    "C01": "Malignant neoplasm of base of tongue",
    "C08": "Malignant neoplasm of other and unspecified major salivary glands",
    "C159": "Malignant neoplasm: Oesophagus, unspecified",
    "C169": "Malignant neoplasm: Stomach, unspecified",
    "C187": "Malignant neoplasm: Sigmoid colon",
    "C224": "Malignant neoplasm: Other sarcomas of liver",
    "C382": "Malignant neoplasm: Posterior mediastinum",
    "C399": "Malignant neoplasm: Ill-defined sites within the respiratory system",
    "C408": "Malignant neoplasm: Overlapping lesion of bone and articular cartilage of limbs",
    "C411": "Malignant neoplasm: Mandible",
    "S859": "Injury of unspecified blood vessel at lower leg level",
    "T742": "Sexual abuse",
    "T788": "Other adverse effects, not elsewhere classified",
    "V938": "Accident on board watercraft without accident to watercraft, not causing drowning and submersion, other unpowered watercraft",
    "V954": "Spacecraft accident injuring occupant",
    "V958": "Other aircraft accidents injuring occupant",
    "T256": "Corrosion of second degree of ankle and foot",
    "T262": "Burn with resulting rupture and destruction of eyeball",
    "T277": "Corrosion of respiratory tract, part unspecified",
    "T315": "Burns involving 50-59% of body surface",
    "I740": "Embolism and thrombosis of abdominal aorta",
    "I800": "Phlebitis and thrombophlebitis of superficial vessels of lower extremities",
    "S019": "Open wound of head, part unspecified",
    "S059": "Injury of eye and orbit, unspecified",
    "T271": "Burn involving larynx and trachea with lung",
    "T294": "Corrosions of multiple regions, unspecified degree",
    "T305": "Corrosion of first degree, body region unspecified",
    "T345": "Frostbite with tissue necrosis of wrist and hand",
    "Q722": "Congenital absence of both lower leg and foot",
    "Q74": "Other congenital malformations of limb(s)",
    "Q752": "Hypertelorism",
    "Q753": "Macrocephaly",
    "Q761": "Klippel-Feil syndrome",
    "Q774": "Achondroplasia",
    "Q800": "Ichthyosis vulgaris",
    "Q804": "Harlequin fetus",
    "Q824": "Ectodermal dysplasia (anhidrotic)",
    "Q84": "Other congenital malformations of integument",
    "Q844": "Congenital leukonychia",
    "Q850": "Neurofibromatosis (nonmalignant)",
    "Q871": "Congenital malformation syndromes predominantly associated with short stature",
    "Q873": "Congenital malformation syndromes involving early overgrowth",
    "Q901": "Trisomy 21, mosaicism (mitotic nondisjunction)",
    "Q909": "Down syndrome, unspecified",
    "Q970": "Karyotype 47,XXX",
    "45573004": "Invalid ICD10 Concept, do not use",
    "R064": "Hyperventilation",
    "R065": "Mouth breathing",
    "R098": "Other specified symptoms and signs involving the circulatory and respiratory systems",
    "R13": "Dysphagia",
    "R15": "Faecal incontinence",
    "R194": "Change in bowel habit",
    "R22": "Localized swelling, mass and lump of skin and subcutaneous tissue",
    "R238": "Other and unspecified skin changes",
    "R448": "Other and unspecified symptoms and signs involving general sensations and perceptions",
    "R464": "Slowness and poor responsiveness",
    "R520": "Acute pain",
    "R58": "Haemorrhage, not elsewhere classified",
    "R71": "Abnormality of red blood cells",
    "V913": "Accident to watercraft causing other injury, other powered watercraft",
    "R829": "Other and unspecified abnormal findings in urine",
    "45573036": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "V918": "Accident to watercraft causing other injury, other unpowered watercraft",
    "V943": "Other and unspecified water transport accidents, other powered watercraft",
    "M778": "Other enthesopathies, not elsewhere classified",
    "M793": "Panniculitis, unspecified",
    "M80": "Osteoporosis with pathological fracture",
    "S330": "Traumatic rupture of lumbar intervertebral disc",
    "C531": "Malignant neoplasm: Exocervix",
    "C609": "Malignant neoplasm: Penis, unspecified",
    "C632": "Malignant neoplasm: Scrotum",
    "C639": "Malignant neoplasm: Male genital organ, unspecified",
    "C675": "Malignant neoplasm: Bladder neck",
    "C765": "Malignant neoplasm of other and ill-defined sites: Lower limb",
    "C772": "Secondary and unspecified malignant neoplasm: Intra-abdominal lymph nodes",
    "C788": "Secondary malignant neoplasm of other and unspecified digestive organs",
    "C81": "Hodgkin lymphoma",
    "C825": "Diffuse follicle centre lymphoma",
    "C838": "Other non-follicular lymphoma",
    "C921": "Chronic myeloid leukaemia [CML], BCR/ABL-positive",
    "C939": "Monocytic leukaemia, unspecified",
    "D036": "Melanoma in situ of upper limb, including shoulder",
    "D045": "Carcinoma in situ: Skin of trunk",
    "D051": "Intraductal carcinoma in situ",
    "D107": "Benign neoplasm: Hypopharynx",
    "D126": "Benign neoplasm: Colon, unspecified",
    "D137": "Benign neoplasm: Endocrine pancreas",
    "S841": "Injury of peroneal nerve at lower leg level",
    "M660": "Rupture of popliteal cyst",
    "M662": "Spontaneous rupture of extensor tendons",
    "M705": "Other bursitis of knee",
    "M714": "Calcium deposit in bursa",
    "M718": "Other specified bursopathies",
    "M726": "Necrotizing fasciitis",
    "M728": "Other fibroblastic disorders",
    "M758": "Other shoulder lesions",
    "M762": "Iliac crest spur",
    "M771": "Lateral epicondylitis",
    "M800": "Postmenopausal osteoporosis with pathological fracture",
    "C43": "Malignant melanoma of skin",
    "C450": "Mesothelioma of pleura",
    "C462": "Kaposi sarcoma of palate",
    "C491": "Malignant neoplasm: Connective and soft tissue of upper limb, including shoulder",
    "C495": "Malignant neoplasm: Connective and soft tissue of pelvis",
    "C50": "Malignant neoplasm of breast",
    "C543": "Malignant neoplasm: Fundus uteri",
    "C602": "Malignant neoplasm: Body of penis",
    "C673": "Malignant neoplasm: Anterior wall of bladder",
    "S89": "Other and unspecified injuries of lower leg",
    "T361": "Poisoning: Cefalosporins and other beta-lactam antibiotics",
    "J039": "Acute tonsillitis, unspecified",
    "J041": "Acute tracheitis",
    "J322": "Chronic ethmoidal sinusitis",
    "J348": "Other specified disorders of nose and nasal sinuses",
    "J371": "Chronic laryngotracheitis",
    "45576954": "Invalid ICD10 Concept, do not use",
    "J670": "Farmer lung",
    "J684": "Chronic respiratory conditions due to chemicals, gases, fumes and vapours",
    "J850": "Gangrene and necrosis of lung",
    "J938": "Other pneumothorax",
    "J942": "Haemothorax",
    "K003": "Mottled teeth",
    "K020": "Caries limited to enamel",
    "K031": "Abrasion of teeth",
    "K046": "Periapical abscess with sinus",
    "K050": "Acute gingivitis",
    "K060": "Gingival recession",
    "K070": "Major anomalies of jaw size",
    "K09": "Cysts of oral region, not elsewhere classified",
    "K120": "Recurrent oral aphthae",
    "K130": "Diseases of lips",
    "K14": "Diseases of tongue",
    "K22": "Other diseases of oesophagus",
    "K269": "Duodenal ulcer, unspecified as acute or chronic, without haemorrhage or perforation",
    "K29": "Gastritis and duodenitis",
    "T356": "Unspecified frostbite involving multiple body regions",
    "T382": "Poisoning: Antithyroid drugs",
    "T383": "Poisoning: Insulin and oral hypoglycaemic [antidiabetic] drugs",
    "X590": "Exposure to unspecified factor causing fracture",
    "X34": "Victim of earthquake",
    "V949": "Other and unspecified water transport accidents, unspecified watercraft",
    "H690": "Patulous Eustachian tube",
    "H800": "Otosclerosis involving oval window, nonobliterative",
    "H802": "Cochlear otosclerosis",
    "H811": "Benign paroxysmal vertigo",
    "H82": "Vertiginous syndromes in diseases classified elsewhere",
    "H904": "Sensorineural hearing loss, unilateral with unrestricted hearing on the contralateral side",
    "H908": "Mixed conductive and sensorineural hearing loss, unspecified",
    "I00": "Rheumatic fever without mention of heart involvement",
    "I01": "Rheumatic fever with heart involvement",
    "I062": "Rheumatic aortic stenosis with insufficiency",
    "I130": "Hypertensive heart and renal disease with (congestive) heart failure",
    "I131": "Hypertensive heart and renal disease with renal failure",
    "I150": "Renovascular hypertension",
    "I20": "Angina pectoris",
    "I214": "Acute subendocardial myocardial infarction",
    "I229": "Subsequent myocardial infarction of unspecified site",
    "I288": "Other specified diseases of pulmonary vessels",
    "I309": "Acute pericarditis, unspecified",
    "S752": "Injury of greater saphenous vein at hip and thigh level",
    "S361": "Injury of liver or gallbladder",
    "S362": "Injury of pancreas",
    "S631": "Dislocation of finger",
    "D230": "Benign neoplasm: Skin of lip",
    "D310": "Benign neoplasm: Conjunctiva",
    "D321": "Benign neoplasm: Spinal meninges",
    "D35": "Benign neoplasm of other and unspecified endocrine glands",
    "D350": "Benign neoplasm: Adrenal gland",
    "D354": "Benign neoplasm: Pineal gland",
    "M812": "Osteoporosis of disuse",
    "M830": "Puerperal osteomalacia",
    "M840": "Malunion of fracture",
    "T826": "Infection and inflammatory reaction due to cardiac valve prosthesis",
    "T831": "Mechanical complication of other urinary devices and implants",
    "D391": "Neoplasm of uncertain or unknown behaviour: Ovary",
    "D41": "Neoplasm of uncertain or unknown behaviour of urinary organs",
    "D473": "Essential (haemorrhagic) thrombocythaemia",
    "D483": "Neoplasm of uncertain or unknown behaviour: Retroperitoneum",
    "D501": "Sideropenic dysphagia",
    "S88": "Traumatic amputation of lower leg",
    "S328": "Fracture of other and unspecified parts of lumbar spine and pelvis",
    "C679": "Malignant neoplasm: Bladder, unspecified",
    "C690": "Malignant neoplasm: Conjunctiva",
    "C719": "Malignant neoplasm: Brain, unspecified",
    "C740": "Malignant neoplasm: Cortex of adrenal gland",
    "C763": "Malignant neoplasm of other and ill-defined sites: Pelvis",
    "C764": "Malignant neoplasm of other and ill-defined sites: Upper limb",
    "C773": "Secondary and unspecified malignant neoplasm: Axillary and upper limb lymph nodes",
    "C792": "Secondary malignant neoplasm of skin",
    "C795": "Secondary malignant neoplasm of bone and bone marrow",
    "C813": "Lymphocyte depleted classical Hodgkin lymphoma",
    "C82": "Follicular lymphoma",
    "C834": "Immunoblastic (diffuse) non-Hodgkin's lymphoma",
    "C844": "Peripheral T-cell lymphoma, not elsewhere classified",
    "M835": "Other drug-induced osteomalacia in adults",
    "T832": "Mechanical complication of graft of urinary organ",
    "T836": "Infection and inflammatory reaction due to prosthetic device, implant and graft in genital tract",
    "T840": "Mechanical complication of internal joint prosthesis",
    "S908": "Other superficial injuries of ankle and foot",
    "S352": "Injury of coeliac or mesenteric artery",
    "S359": "Injury of unspecified blood vessel at abdomen, lower back and pelvis level",
    "S36": "Injury of intra-abdominal organs",
    "T364": "Poisoning: Tetracyclines",
    "S529": "Fracture of forearm, part unspecified",
    "S067": "Intracranial injury with prolonged coma",
    "S090": "Injury of blood vessels of head, not elsewhere classified",
    "S098": "Other specified injuries of head",
    "T446": "Poisoning: Alpha-adrenoreceptor antagonists, not elsewhere classified",
    "Y406": "Adverse effects in the therapeutic use of rifamycins",
    "T481": "Poisoning: Skeletal muscle relaxants [neuromuscular blocking agents]",
    "T504": "Poisoning: Drugs affecting uric acid metabolism",
    "I708": "Atherosclerosis of other arteries",
    "I714": "Abdominal aortic aneurysm, without mention of rupture",
    "I741": "Embolism and thrombosis of other and unspecified parts of aorta",
    "I748": "Embolism and thrombosis of other arteries",
    "I775": "Necrosis of artery",
    "I803": "Phlebitis and thrombophlebitis of lower extremities, unspecified",
    "I829": "Embolism and thrombosis of unspecified vein",
    "45572149": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "Y472": "Adverse effects in the therapeutic use of cloral derivatives",
    "Y653": "Endotracheal tube wrongly placed during anaesthetic procedure",
    "Y588": "Adverse effects in the therapeutic use of mixed bacterial vaccines, except combinations with a pertussis component",
    "Y598": "Adverse effects in the therapeutic use of other specified vaccines and biological substances",
    "Z033": "Observation for suspected nervous system disorder",
    "Z04": "Examination and observation for other reasons",
    "Z101": "Routine general health check-up of inhabitants of institutions",
    "Z108": "Routine general health check-up of other defined subpopulations",
    "Z111": "Special screening examination for respiratory tuberculosis",
    "Z121": "Special screening examination for neoplasm of intestinal tract",
    "Z202": "Contact with and exposure to infections with a predominantly sexual mode of transmission",
    "Z207": "Contact with and exposure to pediculosis, acariasis and other infestations",
    "Z291": "Prophylactic immunotherapy",
    "Z302": "Sterilization",
    "Z310": "Tuboplasty or vasoplasty after previous sterilization",
    "Z353": "Supervision of pregnancy with history of insufficient antenatal care",
    "Z372": "Twins, both liveborn",
    "Z423": "Follow-up care involving plastic surgery of upper extremity",
    "Z432": "Attention to ileostomy",
    "Z383": "Twin, born in hospital",
    "Z386": "Other multiple, born in hospital",
    "Z437": "Attention to artificial vagina",
    "T537": "Toxic effect: Other halogen derivatives of aromatic hydrocarbons",
    "I878": "Other specified disorders of veins",
    "I899": "Noninfective disorder of lymphatic vessels and lymph nodes, unspecified",
    "I959": "Hypotension, unspecified",
    "J04": "Acute laryngitis and tracheitis",
    "J108": "Influenza with other manifestations, seasonal influenza virus identified",
    "S035": "Sprain and strain of joints and ligaments of other and unspecified parts of head",
    "S04": "Injury of cranial nerves",
    "Z510": "Radiotherapy session",
    "Z512": "Other chemotherapy",
    "Z526": "Liver donor",
    "Z550": "Illiteracy and low-level literacy",
    "Z575": "Occupational exposure to toxic agents in other industries",
    "Z586": "Inadequate drinking-water supply",
    "Z598": "Other problems related to housing and economic circumstances",
    "Z625": "Other problems related to neglect in upbringing",
    "Z480": "Attention to surgical dressings and sutures",
    "Z728": "Other problems related to lifestyle",
    "Z769": "Person encountering health services in unspecified circumstances",
    "Z801": "Family history of malignant neoplasm of trachea, bronchus and lung",
    "Z812": "Family history of tobacco abuse",
    "Z814": "Family history of other substance abuse",
    "Z821": "Family history of blindness and visual loss",
    "Z837": "Family history of diseases of the digestive system",
    "Z848": "Family history of other specified conditions",
    "Z856": "Personal history of leukaemia",
    "Z958": "Presence of other cardiac and vascular implants and grafts",
    "Z891": "Acquired absence of hand and wrist",
    "Z942": "Lung transplant status",
    "Z945": "Skin transplant status",
    "T608": "Toxic effect: Other pesticides",
    "T630": "Toxic effect: Snake venom",
    "Z975": "Presence of (intrauterine) contraceptive device",
    "T635": "Toxic effect: Toxic effect of contact with fish",
    "T638": "Toxic effect: Toxic effect of contact with other venomous animals",
    "45609269": "Invalid ICD10 Concept, do not use",
    "T690": "Immersion hand and foot",
    "T730": "Effects of hunger",
    "T740": "Neglect or abandonment",
    "T789": "Adverse effect, unspecified",
    "T799": "Unspecified early complication of trauma",
    "S835": "Sprain and strain involving (anterior)(posterior) cruciate ligament of knee",
    "S857": "Injury of multiple blood vessels at lower leg level",
    "S863": "Injury of muscle(s) and tendon(s) of peroneal muscle group at lower leg level",
    "S880": "Traumatic amputation at knee level",
    "S897": "Multiple injuries of lower leg",
    "S909": "Superficial injury of ankle and foot, unspecified",
    "T854": "Mechanical complication of breast prosthesis and implant",
    "T901": "Sequelae of open wound of head",
    "T950": "Sequelae of burn, corrosion and frostbite of head and neck",
    "T981": "Sequelae of other and unspecified effects of external causes",
    "45609404": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "V050": "Pedestrian injured in collision with railway train or railway vehicle, nontraffic accident",
    "45609425": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "Z034": "Observation for suspected myocardial infarction",
    "Z040": "Blood-alcohol and blood-drug test",
    "Z045": "Examination and observation following other inflicted injury",
    "Z090": "Follow-up examination after surgery for other conditions",
    "Z102": "Routine general health check-up of armed forces",
    "Z110": "Special screening examination for intestinal infectious diseases",
    "Z228": "Carrier of other infectious diseases",
    "Z241": "Need for immunization against arthropod-borne viral encephalitis",
    "Z290": "Isolation",
    "45576147": "Invalid ICD10 Concept, do not use",
    "V093": "Pedestrian injured in unspecified traffic accident",
    "V310": "Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, driver injured in nontraffic accident",
    "V199": "Pedal cyclist [any] injured in unspecified traffic accident",
    "V214": "Motorcycle rider injured in collision with pedal cycle, driver injured in traffic accident",
    "Z365": "Antenatal screening for isoimmunization",
    "Z359": "Supervision of high-risk pregnancy, unspecified",
    "Z377": "Other multiple births, all stillborn",
    "Z424": "Follow-up care involving plastic surgery of lower extremity",
    "Z387": "Other multiple, born outside hospital",
    "Z436": "Attention to other artificial openings of urinary tract",
    "Z460": "Fitting and adjustment of spectacles and contact lenses",
    "Z465": "Fitting and adjustment of ileostomy and other intestinal appliances",
    "Z492": "Other dialysis",
    "Z520": "Blood donor",
    "Z540": "Convalescence following surgery",
    "Z574": "Occupational exposure to toxic agents in agriculture",
    "Z602": "Living alone",
    "Z610": "Loss of love relationship in childhood",
    "Z63": "Other problems related to primary support group, including family circumstances",
    "Z641": "Problems related to multiparity",
    "Z701": "Counselling related to patient's sexual behaviour and orientation",
    "Z730": "Burn-out",
    "Z736": "Limitation of activities due to disability",
    "Z808": "Family history of malignant neoplasm of other organs or systems",
    "Z818": "Family history of other mental and behavioural disorders",
    "M213": "Wrist or foot drop (acquired)",
    "M218": "Other specified acquired deformities of limbs",
    "V376": "Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, passenger injured in traffic accident",
    "V406": "Car occupant injured in collision with pedestrian or animal, Passenger injured in traffic accident",
    "V409": "Car occupant injured in collision with pedestrian or animal, Unspecified car occupant injured in traffic accident",
    "V420": "Car occupant injured in collision with two- or three-wheeled motor vehicle, driver injured in nontraffic accident",
    "T010": "Open wounds involving head with neck",
    "T018": "Open wounds involving other combinations of body regions",
    "T033": "Dislocations, sprains and strains involving multiple regions of lower limb(s)",
    "V437": "Car occupant injured in collision with car, pick-up truck or van, person on outside of vehicle injured in traffic accident",
    "V486": "Car occupant injured in noncollision transport accident, passenger injured in traffic accident",
    "T062": "Injuries of nerves involving multiple body regions",
    "T094": "Injury of unspecified nerve, spinal nerve root and plexus of trunk",
    "T130": "Superficial injury of lower limb, level unspecified",
    "T142": "Fracture of unspecified body region",
    "T143": "Dislocation, sprain and strain of unspecified body region",
    "T149": "Injury, unspecified",
    "T179": "Foreign body in respiratory tract, part unspecified",
    "T200": "Burn of unspecified degree of head and neck",
    "T205": "Corrosion of first degree of head and neck",
    "T206": "Corrosion of second degree of head and neck",
    "45608751": "Duplicate of ICD10 Concept, do not use, use replacement Concept from CONCEPT_RELATIONSHIP table instead",
    "M247": "Protrusio acetabuli",
    "M251": "Fistula of joint",
    "M342": "Systemic sclerosis induced by drugs and chemicals",
    "M361": "Arthropathy in neoplastic disease",
    "M362": "Haemophilic arthropathy",
    "M413": "Thoracogenic scoliosis",
    "S308": "Other superficial injuries of abdomen, lower back and pelvis",
    "V535": "Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, driver injured in traffic accident",
    "V577": "Occupant of pick-up truck or van injured in collision with fixed or stationary object, person on outside of vehicle injured in traffic accident",
    "V595": "Passenger injured in collision with other and unspecified motor vehicles in traffic accident",
    "V635": "Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, driver injured in traffic accident",
    "V707": "Bus occupant injured in collision with pedestrian or animal, Person on outside of vehicle injured in traffic accident",
    "V739": "Bus occupant injured in collision with car, pick-up truck or van, unspecified bus occupant injured in traffic accident",
    "V764": "Bus occupant injured in collision with other nonmotor vehicle, person injured while boarding or alighting",
    "V781": "Bus occupant injured in noncollision transport accident, passenger injured in nontraffic accident",
    "S313": "Open wound of scrotum and testes",
    "S314": "Open wound of vagina and vulva",
    "S315": "Open wound of other and unspecified external genital organs",
    "S318": "Open wound of other and unspecified parts of abdomen",
    "V826": "Occupant of streetcar injured by fall from streetcar",
    "V852": "Person on outside of special construction vehicle injured in traffic accident",
    "V862": "Person on outside of all-terrain or other off-road motor vehicle injured in traffic accident",
    "V863": "Unspecified occupant of all-terrain or other off-road motor vehicle injured in traffic accident",
    "V865": "Driver of all-terrain or other off-road motor vehicle injured in nontraffic accident",
    "T242": "Burn of second degree of hip and lower limb, except ankle and foot",
    "T289": "Corrosion of other and unspecified internal organs",
    "T292": "Burns of multiple regions, no more than second-degree burns mentioned",
    "V945": "Other and unspecified water transport accidents, canoe or kayak",
    "V961": "Hang-glider accident injuring occupant",
    "T260": "Burn of eyelid and periocular area",
    "T307": "Corrosion of third degree, body region unspecified",
    "T323": "Corrosions involving 30-39% of body surface",
    "T344": "Frostbite with tissue necrosis of arm",
    "T374": "Poisoning: Anthelminthics",
    "S836": "Sprain and strain of other and unspecified parts of knee",
    "S837": "Injury to multiple structures of knee",
    "S861": "Injury of other muscle(s) and tendon(s) of posterior muscle group at lower leg level",
    "T691": "Chilblains",
    "T784": "Allergy, unspecified",
    "B829": "Intestinal parasitism, unspecified",
    "B852": "Pediculosis, unspecified",
    "B881": "Tungiasis [sandflea infestation]",
    "B949": "Sequelae of unspecified infectious or parasitic disease",
    "B955": "Unspecified streptococcus as the cause of diseases classified to other chapters",
    "C00": "Malignant neoplasm of lip",
    "C001": "Malignant neoplasm: External lower lip",
    "C008": "Malignant neoplasm: Overlapping lesion of lip",
    "C03": "Malignant neoplasm of gum",
    "C161": "Malignant neoplasm: Fundus of stomach",
    "C248": "Malignant neoplasm: Overlapping lesion of biliary tract",
    "C26": "Malignant neoplasm of other and ill-defined digestive organs",
    "C402": "Malignant neoplasm: Long bones of lower limb",
    "C440": "Malignant neoplasm: Skin of lip",
    "C445": "Malignant neoplasm: Skin of trunk",
    "C448": "Malignant neoplasm: Overlapping lesion of skin",
    "C468": "Kaposi sarcoma of multiple organs",
    "C475": "Malignant neoplasm: Peripheral nerves of pelvis",
    "C498": "Malignant neoplasm: Overlapping lesion of connective and soft tissue",
    "C505": "Malignant neoplasm: Lower-outer quadrant of breast",
    "C720": "Malignant neoplasm: Spinal cord",
    "C768": "Malignant neoplasm of other and ill-defined sites: Overlapping lesion of other and ill-defined sites",
    "C819": "Hodgkin lymphoma, unspecified",
    "T407": "Poisoning: Cannabis (derivatives)",
    "Y060": "Neglect and abandonment by spouse or partner",
    "Y350": "Legal intervention involving firearm discharge",
    "Y361": "War operations involving destruction of aircraft",
    "X42": "Accidental poisoning by and exposure to narcotics and psychodysleptics [hallucinogens], not elsewhere classified",
    "X43": "Accidental poisoning by and exposure to other drugs acting on the autonomic nervous system",
    "Q73": "Reduction defects of unspecified limb",
    "Q86": "Congenital malformation syndromes due to known exogenous causes, not elsewhere classified",
    "Q87": "Other specified congenital malformation syndromes affecting multiple systems",
    "S2680": "Other injuries of heart, without open wound into thoracic cavity",
    "S2681": "Other injuries of heart, with open wound into thoracic cavity",
    "S2690": "Injury of heart, unspecified, without open wound into thoracic cavity",
    "S2691": "Injury of heart, unspecified, with open wound into thoracic cavity",
    "S2700": "Traumatic pneumothorax, without open wound into thoracic cavity",
    "S2701": "Traumatic pneumothorax, with open wound into thoracic cavity",
    "S2710": "Traumatic haemothorax, without open wound into thoracic cavity",
    "S2711": "Traumatic haemothorax, with open wound into thoracic cavity",
    "S2720": "Traumatic haemopneumothorax, without open wound into thoracic cavity",
    "S2721": "Traumatic haemopneumothorax, with open wound into thoracic cavity",
    "S2730": "Other injuries of lung, without open wound into thoracic cavity",
    "S2731": "Other injuries of lung, with open wound into thoracic cavity",
    "S2740": "Injury of bronchus, without open wound into thoracic cavity",
    "S2741": "Injury of bronchus, with open wound into thoracic cavity",
    "S2750": "Injury of thoracic trachea, without open wound into thoracic cavity",
    "S2751": "Injury of thoracic trachea, with open wound into thoracic cavity",
    "S2760": "Injury of pleura, without open wound into thoracic cavity",
    "S2761": "Injury of pleura, with open wound into thoracic cavity",
    "S2770": "Multiple injuries of intrathoracic organs, without open wound into thoracic cavity",
    "S2771": "Multiple injuries of intrathoracic organs, with open wound into thoracic cavity",
    "S2781": "Injury of other specified intrathoracic organs, with open wound into thoracic cavity",
    "S2790": "Injury of unspecified intrathoracic organ, without open wound into thoracic cavity",
    "S2791": "Injury of unspecified intrathoracic organ, with open wound into thoracic cavity",
    "S28": "Crushing injury of thorax and traumatic amputation of part of thorax",
    "S31": "Open wound of abdomen, lower back and pelvis",
    "S3200": "Fracture of lumbar vertebra, closed",
    "S3201": "Fracture of lumbar vertebra, open",
    "S3210": "Fracture of sacrum, closed",
    "S3211": "Fracture of sacrum, open",
    "S3220": "Fracture of coccyx, closed",
    "D76": "Other specified diseases with participation of lymphoreticular and reticulohistiocytic tissue",
    "E01": "Iodine-deficiency-related thyroid disorders and allied conditions",
    "E100": "Type 1 diabetes mellitus, With coma",
    "E128": "Malnutrition-related diabetes mellitus, with unspecified complications",
    "E44": "Protein-energy malnutrition of moderate and mild degree",
    "E67": "Other hyperalimentation",
    "E71": "Disorders of branched-chain amino-acid metabolism and fatty-acid metabolism",
    "E75": "Disorders of sphingolipid metabolism and other lipid storage disorders",
    "E21": "Hyperparathyroidism and other disorders of parathyroid gland",
    "E23": "Hypofunction and other disorders of pituitary gland",
    "D36": "Benign neoplasm of other and unspecified sites",
    "D38": "Neoplasm of uncertain or unknown behaviour of middle ear and respiratory and intrathoracic organs",
    "D57": "Sickle-cell disorders",
    "D63": "Anaemia in chronic diseases classified elsewhere",
    "F38": "Other mood [affective] disorders",
    "E80": "Disorders of porphyrin and bilirubin metabolism",
    "E87": "Other disorders of fluid, electrolyte and acid-base balance",
    "E89": "Postprocedural endocrine and metabolic disorders, not elsewhere classified",
    "F001": "Dementia in Alzheimer disease with late onset",
    "F100": "Mental and behavioural disorders due to use of alcohol, Acute intoxication",
    "F105": "Mental and behavioural disorders due to use of alcohol, Psychotic disorder",
    "F128": "Mental and behavioural disorders due to use of cannabinoids, other mental and behavioural disorders",
    "F133": "Mental and behavioural disorders due to use of sedatives or hypnotics, withdrawal state",
    "F134": "Mental and behavioural disorders due to use of sedatives or hypnotics, withdrawal state with delirium",
    "F136": "Mental and behavioural disorders due to use of sedatives or hypnotics, amnesic syndrome",
    "F138": "Mental and behavioural disorders due to use of sedatives or hypnotics, other mental and behavioural disorders",
    "F140": "Mental and behavioural disorders due to use of cocaine, acute intoxication",
    "F143": "Mental and behavioural disorders due to use of cocaine, withdrawal state",
    "F150": "Mental and behavioural disorders due to use of other stimulants, including caffeine, acute intoxication",
    "F155": "Mental and behavioural disorders due to use of other stimulants, including caffeine, psychotic disorder",
    "F157": "Mental and behavioural disorders due to use of other stimulants, including caffeine, residual and late-onset psychotic disorder",
    "F165": "Mental and behavioural disorders due to use of hallucinogens, psychotic disorder",
    "G56": "Mononeuropathies of upper limb",
    "G57": "Mononeuropathies of lower limb",
    "G73": "Disorders of myoneural junction and muscle in diseases classified elsewhere",
    "G82": "Paraplegia and tetraplegia",
    "G97": "Postprocedural disorders of nervous system, not elsewhere classified",
    "G99": "Other disorders of nervous system in diseases classified elsewhere",
    "H00": "Hordeolum and chalazion",
    "S3221": "Fracture of coccyx, open",
    "S3230": "Fracture of ilium, closed",
    "S3231": "Fracture of ilium, open",
    "S3240": "Fracture of acetabulum, closed",
    "S3241": "Fracture of acetabulum, open",
    "S3250": "Fracture of pubis, closed",
    "S3251": "Fracture of pubis, open",
    "S3270": "Multiple fractures of lumbar spine and pelvis, closed",
    "S3271": "Multiple fractures of lumbar spine and pelvis, open",
    "S3280": "Fracture of other and unspecified parts of lumbar spine and pelvis, closed",
    "S3281": "Fracture of other and unspecified parts of lumbar spine and pelvis, open",
    "S33": "Dislocation, sprain and strain of joints and ligaments of lumbar spine and pelvis",
    "S34": "Injury of nerves and lumbar spinal cord at abdomen, lower back and pelvis level",
    "S35": "Injury of blood vessels at abdomen, lower back and pelvis level",
    "S3610": "Injury of liver or gallbladder, without open wound into cavity",
    "S3620": "Injury of pancreas, without open wound into cavity",
    "S3621": "Injury of pancreas, with open wound into cavity",
    "S3630": "Injury of stomach, without open wound into cavity",
    "S3631": "Injury of stomach, with open wound into cavity",
    "S3640": "Injury of small intestine, without open wound into cavity",
    "S3641": "Injury of small intestine, with open wound into cavity",
    "S3650": "Injury of colon, without open wound into cavity",
    "S3651": "Injury of colon, with open wound into cavity",
    "S3660": "Injury of rectum, without open wound into cavity",
    "S3661": "Injury of rectum, with open wound into cavity",
    "S3670": "Injury of multiple intra-abdominal organs, without open wound into cavity",
    "S3671": "Injury of multiple intra-abdominal organs, with open wound into cavity",
    "S3680": "Injury of other intra-abdominal organs, without open wound into cavity",
    "Z96": "Presence of other functional implants",
    "Z97": "Presence of other devices",
    "Z99": "Dependence on enabling machines and devices, not elsewhere classified",
    "T23": "Burn and corrosion of wrist and hand",
    "T24": "Burn and corrosion of hip and lower limb, except ankle and foot",
    "T25": "Burn and corrosion of ankle and foot",
    "T27": "Burn and corrosion of respiratory tract",
    "T28": "Burn and corrosion of other internal organs",
    "T29": "Burns and corrosions of multiple body regions",
    "T30": "Burn and corrosion, body region unspecified",
    "H19": "Disorders of sclera and cornea in diseases classified elsewhere",
    "H33": "Retinal detachments and breaks",
    "H45": "Disorders of vitreous body and globe in diseases classified elsewhere",
    "H451": "Endophthalmitis in diseases classified elsewhere",
    "H48": "Disorders of optic [2nd] nerve and visual pathways in diseases classified elsewhere",
    "H52": "Disorders of refraction and accommodation",
    "H03": "Disorders of eyelid in diseases classified elsewhere",
    "H06": "Disorders of lacrimal system and orbit in diseases classified elsewhere",
    "H061": "Parasitic infestation of orbit in diseases classified elsewhere",
    "H13": "Disorders of conjunctiva in diseases classified elsewhere",
    "G05": "Encephalitis, myelitis and encephalomyelitis in diseases classified elsewhere",
    "G06": "Intracranial and intraspinal abscess and granuloma",
    "G13": "Systemic atrophies primarily affecting central nervous system in diseases classified elsewhere",
    "G32": "Other degenerative disorders of nervous system in diseases classified elsewhere",
    "G44": "Other headache syndromes",
    "G46": "Vascular syndromes of brain in cerebrovascular diseases",
    "I44": "Atrioventricular and left bundle-branch block",
    "I489": "Atrial fibrillation and atrial flutter, unspecified",
    "W50": "Hit, struck, kicked, twisted, bitten or scratched by another person",
    "W51": "Striking against or bumped into by another person",
    "W52": "Crushed, pushed or stepped on by crowd or human stampede",
    "W53": "Bitten by rat",
    "W54": "Bitten or struck by dog",
    "W55": "Bitten or struck by other mammals",
    "W56": "Contact with marine animal",
    "W57": "Bitten or stung by nonvenomous insect and other nonvenomous arthropods",
    "W58": "Bitten or struck by crocodile or alligator",
    "W59": "Bitten or crushed by other reptiles",
    "W60": "Contact with plant thorns and spines and sharp leaves",
    "W64": "Exposure to other and unspecified animate mechanical forces",
    "W65": "Drowning and submersion while in bath-tub",
    "W66": "Drowning and submersion following fall into bath-tub",
    "W67": "Drowning and submersion while in swimming-pool",
    "W68": "Drowning and submersion following fall into swimming-pool",
    "W69": "Drowning and submersion while in natural water",
    "W70": "Drowning and submersion following fall into natural water",
    "W73": "Other specified drowning and submersion",
    "W74": "Unspecified drowning and submersion",
    "W75": "Accidental suffocation and strangulation in bed",
    "W76": "Other accidental hanging and strangulation",
    "W77": "Threat to breathing due to cave-in, falling earth and other substances",
    "W78": "Inhalation of gastric contents",
    "W79": "Inhalation and ingestion of food causing obstruction of respiratory tract",
    "W80": "Inhalation and ingestion of other objects causing obstruction of respiratory tract",
    "W81": "Confined to or trapped in a low-oxygen environment",
    "W83": "Other specified threats to breathing",
    "W84": "Unspecified threat to breathing",
    "W85": "Exposure to electric transmission lines",
    "W86": "Exposure to other specified electric current",
    "W87": "Exposure to unspecified electric current",
    "W89": "Exposure to man-made visible and ultraviolet light",
    "W90": "Exposure to other nonionizing radiation",
    "W91": "Exposure to unspecified type of radiation",
    "W92": "Exposure to excessive heat of man-made origin",
    "W93": "Exposure to excessive cold of man-made origin",
    "W94": "Exposure to high and low air pressure and changes in air pressure",
    "T31": "Burns classified according to extent of body surface involved",
    "T32": "Corrosions classified according to extent of body surface involved",
    "T35": "Frostbite involving multiple body regions and unspecified frostbite",
    "T36": "Poisoning by systemic antibiotics",
    "T37": "Poisoning by other systemic anti-infectives and antiparasitics",
    "V510": "Occupant of pick-up truck or van injured in collision with pedal cycle, driver injured in nontraffic accident",
    "Z40": "Prophylactic surgery",
    "V876": "Person injured in collision between railway train or railway vehicle and car (traffic)",
    "V877": "Person injured in collision between other specified motor vehicles (traffic)",
    "Z41": "Procedures for purposes other than remedying health state",
    "Z42": "Follow-up care involving plastic surgery",
    "Z44": "Fitting and adjustment of external prosthetic device",
    "Z47": "Other orthopaedic follow-up care",
    "Z48": "Other surgical follow-up care",
    "Z49": "Care involving dialysis",
    "V11": "Pedal cyclist injured in collision with other pedal cycle",
    "V121": "Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, passenger injured in nontraffic accident",
    "V90": "Accident to watercraft causing drowning and submersion",
    "V900": "Accident to watercraft causing drowning and submersion, Merchant ship",
    "V905": "Accident to watercraft causing drowning and submersion, Canoe or kayak",
    "W99": "Exposure to other and unspecified man-made environmental factors",
    "V311": "Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, passenger injured in nontraffic accident",
    "O99": "Other maternal diseases classifiable elsewhere but complicating pregnancy, childbirth and the puerperium",
    "P07": "Disorders related to short gestation and low birth weight, not elsewhere classified",
    "P08": "Disorders related to long gestation and high birth weight",
    "O97": "Death from sequelae of obstetric causes",
    "A08": "Viral and other specified intestinal infections",
    "A090": "Other and unspecified gastroenteritis and colitis of infectious origin",
    "A099": "Gastroenteritis and colitis of unspecified origin",
    "A85": "Other viral encephalitis, not elsewhere classified",
    "A88": "Other viral infections of central nervous system, not elsewhere classified",
    "A93": "Other arthropod-borne viral fevers, not elsewhere classified",
    "A18": "Tuberculosis of other organs",
    "A48": "Other bacterial diseases, not elsewhere classified",
    "A56": "Other sexually transmitted chlamydial diseases",
    "A63": "Other predominantly sexually transmitted diseases, not elsewhere classified",
    "B53": "Other parasitologically confirmed malaria",
    "B60": "Other protozoal diseases, not elsewhere classified",
    "B70": "Diphyllobothriasis and sparganosis",
    "B81": "Other intestinal helminthiases, not elsewhere classified",
    "B85": "Pediculosis and phthiriasis",
    "B95": "Streptococcus and staphylococcus as the cause of diseases classified to other chapters",
    "B96": "Other specified bacterial agents as the cause of diseases classified to other chapters",
    "C14": "Malignant neoplasm of other and ill-defined sites in the lip, oral cavity and pharynx",
    "C141": "Malignant neoplasm of laryngopharynx unspecified",
    "C21": "Malignant neoplasm of anus and anal canal",
    "C30": "Malignant neoplasm of nasal cavity and middle ear",
    "C38": "Malignant neoplasm of heart, mediastinum and pleura",
    "C40": "Malignant neoplasm of bone and articular cartilage of limbs",
    "B97": "Viral agents as the cause of diseases classified to other chapters",
    "B98": "Other specified infectious agents as the cause of diseases classified to other chapters",
    "B980": "Helicobacter pylori [H.pylori] as the cause of diseases classified to other chapters",
    "A98": "Other viral haemorrhagic fevers, not elsewhere classified",
    "B08": "Other viral infections characterized by skin and mucous membrane lesions, not elsewhere classified",
    "P20": "Intrauterine hypoxia",
    "P21": "Birth asphyxia",
    "P25": "Interstitial emphysema and related conditions originating in the perinatal period",
    "O81": "Single delivery by forceps and vacuum extractor",
    "O84": "Multiple delivery",
    "O86": "Other puerperal infections",
    "O88": "Obstetric embolism",
    "O10": "Pre-existing hypertension complicating pregnancy, childbirth and the puerperium",
    "O12": "Gestational [pregnancy-induced] oedema and proteinuria without hypertension",
    "O22": "Venous complications and haemorrhoids in pregnancy",
    "O26": "Maternal care for other conditions predominantly related to pregnancy",
    "O29": "Complications of anaesthesia during pregnancy",
    "O603": "Preterm delivery without spontaneous labour",
    "O64": "Obstructed labour due to malposition and malpresentation of fetus",
    "Q314": "Congenital laryngeal stridor",
    "Q32": "Congenital malformations of trachea and bronchus",
    "Q350": "Cleft hard palate, bilateral",
    "Q352": "Cleft soft palate, bilateral",
    "Q356": "Cleft palate, medial",
    "Q358": "Cleft palate, unspecified, bilateral",
    "Q38": "Other congenital malformations of tongue, mouth and pharynx",
    "Q44": "Congenital malformations of gallbladder, bile ducts and liver",
    "Q50": "Congenital malformations of ovaries, fallopian tubes and broad ligaments",
    "P57": "Kernicterus",
    "Q00": "Anencephaly and similar malformations",
    "Q10": "Congenital malformations of eyelid, lacrimal apparatus and orbit",
    "Q11": "Anophthalmos, microphthalmos and macrophthalmos",
    "Q91": "Edwards syndrome and Patau syndrome",
    "R01": "Cardiac murmurs and other cardiac sounds",
    "R03": "Abnormal blood-pressure reading, without diagnosis",
    "R04": "Haemorrhage from respiratory passages",
    "R09": "Other symptoms and signs involving the circulatory and respiratory systems",
    "R16": "Hepatomegaly and splenomegaly, not elsewhere classified",
    "R19": "Other symptoms and signs involving the digestive system and abdomen",
    "R63": "Symptoms and signs concerning food and fluid intake",
    "R65": "Systemic Inflammatory Response Syndrome [SIRS]",
    "R650": "Systemic Inflammatory Response Syndrome of infectious origin without organ failure",
    "R652": "Systemic Inflammatory Response Syndrome of non-infectious origin without organ failure",
    "R68": "Other general symptoms and signs",
    "R70": "Elevated erythrocyte sedimentation rate and abnormality of plasma viscosity",
    "R29": "Other symptoms and signs involving the nervous and musculoskeletal systems",
    "R40": "Somnolence, stupor and coma",
    "R44": "Other symptoms and signs involving general sensations and perceptions",
    "R45": "Symptoms and signs involving emotional state",
    "R47": "Speech disturbances, not elsewhere classified",
    "Q60": "Renal agenesis and other reduction defects of kidney",
    "Q62": "Congenital obstructive defects of renal pelvis and congenital malformations of ureter",
    "Q67": "Congenital musculoskeletal deformities of head, face, spine and chest",
    "Q68": "Other congenital musculoskeletal deformities",
    "Q71": "Reduction defects of upper limb",
    "Q72": "Reduction defects of lower limb",
    "V396": "Unspecified occupant of three-wheeled motor vehicle injured in collision with other and unspecified motor vehicles in traffic accident",
    "B21": "Human immunodeficiency virus [HIV] disease resulting in malignant neoplasms",
    "B22": "Human immunodeficiency virus [HIV] disease resulting in other specified diseases",
    "B23": "Human immunodeficiency virus [HIV] disease resulting in other conditions",
    "B33": "Other viral diseases, not elsewhere classified",
    "B48": "Other mycoses, not elsewhere classified",
    "C952": "Subacute leukemia of unspecified cell type",
    "C963": "True histiocytic lymphoma",
    "D00": "Carcinoma in situ of oral cavity, oesophagus and stomach",
    "D02": "Carcinoma in situ of middle ear and respiratory system",
    "D07": "Carcinoma in situ of other and unspecified genital organs",
    "D09": "Carcinoma in situ of other and unspecified sites",
    "D14": "Benign neoplasm of middle ear and respiratory system",
    "D18": "Haemangioma and lymphangioma, any site",
    "D20": "Benign neoplasm of soft tissue of retroperitoneum and peritoneum",
    "D31": "Benign neoplasm of eye and adnexa",
    "C69": "Malignant neoplasm of eye and adnexa",
    "C76": "Malignant neoplasm of other and ill-defined sites",
    "C78": "Secondary malignant neoplasm of respiratory and digestive organs",
    "C83": "Non-follicular lymphoma",
    "C832": "Mixed small and large cell (diffuse) non-Hodgkin's lymphoma",
    "C84": "Mature T/NK-cell lymphomas",
    "C850": "Lymphosarcoma",
    "C86": "Other specified types of T/NK-cell lymphoma",
    "C90": "Multiple myeloma and malignant plasma cell neoplasms",
    "C912": "Subacute lymphocytic leukemia",
    "C918": "Mature B-cell leukaemia Burkitt-type",
    "C932": "Subacute monocytic leukemia",
    "C94": "Other leukaemias of specified cell type",
    "C941": "Chronic erythremia",
    "W12": "Fall on and from scaffolding",
    "W13": "Fall from, out of or through building or structure",
    "W16": "Diving or jumping into water causing injury other than drowning or submersion",
    "W17": "Other fall from one level to another",
    "W18": "Other fall on same level",
    "W20": "Struck by thrown, projected or falling object",
    "W21": "Striking against or struck by sports equipment",
    "W22": "Striking against or struck by other objects",
    "W23": "Caught, crushed, jammed or pinched in or between objects",
    "Z70": "Counselling related to sexual attitude, behaviour and orientation",
    "V251": "Motorcycle rider injured in collision with railway train or railway vehicle, passenger injured in nontraffic accident",
    "V252": "Motorcycle rider injured in collision with railway train or railway vehicle, unspecified motorcycle rider injured in nontraffic accident",
    "Y20": "Hanging, strangulation and suffocation, undetermined intent",
    "Y21": "Drowning and submersion, undetermined intent",
    "Y22": "Handgun discharge, undetermined intent",
    "Y29": "Contact with blunt object, undetermined intent",
    "Y31": "Falling, lying or running before or into moving object, undetermined intent",
    "Y34": "Unspecified event, undetermined intent",
    "Y340": "Victim of cataclysmic earth movements caused by earthquake",
    "Y341": "Victim of tsunami",
    "Y348": "Victim of other specified effects of earthquake",
    "Y349": "Victim of unspecified effect of earthquake",
    "Y351": "Legal intervention involving explosives",
    "Y363": "War operations involving fires, conflagrations and hot substances",
    "Y366": "War operations involving biological weapons",
    "Y367": "War operations involving chemical weapons and other forms of unconventional warfare",
    "Z92": "Personal history of medical treatment",
    "Z926": "Personal history of chemotherapy for neoplastic disease",
    "V411": "Car occupant injured in collision with pedal cycle, passenger injured in nontraffic accident",
    "V450": "Car occupant injured in collision with railway train or railway vehicle, driver injured in nontraffic accident",
    "V451": "Car occupant injured in collision with railway train or railway vehicle, passenger injured in nontraffic accident",
    "S45": "Injury of blood vessels at shoulder and upper arm level",
    "S48": "Traumatic amputation of shoulder and upper arm",
    "S50": "Superficial injury of forearm",
    "S5200": "Fracture of upper end of ulna, closed",
    "S5201": "Fracture of upper end of ulna, open",
    "S5210": "Fracture of upper end of radius, closed",
    "S5211": "Fracture of upper end of radius, open",
    "S5220": "Fracture of shaft of ulna, closed",
    "S5221": "Fracture of shaft of ulna, open",
    "S5230": "Fracture of shaft of radius, closed",
    "S5231": "Fracture of shaft of radius, open",
    "S5240": "Fracture of shafts of both ulna and radius, closed",
    "S5241": "Fracture of shafts of both ulna and radius, open",
    "S5250": "Fracture of lower end of radius, closed",
    "S5251": "Fracture of lower end of radius, open",
    "S5260": "Fracture of lower end of both ulna and radius, closed",
    "S5261": "Fracture of lower end of both ulna and radius, open",
    "S5270": "Multiple fractures of forearm, closed",
    "S5271": "Multiple fractures of forearm, open",
    "S5280": "Fracture of other parts of forearm, closed",
    "S5281": "Fracture of other parts of forearm, open",
    "S5290": "Fracture of forearm, part unspecified, closed",
    "S5291": "Fracture of forearm, part unspecified, open",
    "S53": "Dislocation, sprain and strain of joints and ligaments of elbow",
    "S54": "Injury of nerves at forearm level",
    "V261": "Motorcycle rider injured in collision with other nonmotor vehicle, passenger injured in nontraffic accident",
    "W24": "Contact with lifting and transmission devices, not elsewhere classified",
    "W25": "Contact with sharp glass",
    "W26": "Contact with other sharp object(s)",
    "W27": "Contact with nonpowered hand tool",
    "W28": "Contact with powered lawnmower",
    "W29": "Contact with other powered hand tools and household machinery",
    "W30": "Contact with agricultural machinery",
    "W31": "Contact with other and unspecified machinery",
    "W32": "Handgun discharge",
    "W33": "Rifle, shotgun and larger firearm discharge",
    "W34": "Discharge from other and unspecified firearms",
    "W35": "Explosion and rupture of boiler",
    "W36": "Explosion and rupture of gas cylinder",
    "W37": "Explosion and rupture of pressurized tyre, pipe or hose",
    "W38": "Explosion and rupture of other specified pressurized devices",
    "W39": "Discharge of firework",
    "W40": "Explosion of other materials",
    "W41": "Exposure to high-pressure jet",
    "W42": "Exposure to noise",
    "W43": "Exposure to vibration",
    "W44": "Foreign body entering into or through eye or natural orifice",
    "W46": "Contact with hypodermic needle",
    "W49": "Exposure to other and unspecified inanimate mechanical forces",
    "S56": "Injury of muscle and tendon at forearm level",
    "S60": "Superficial injury of wrist and hand",
    "S6200": "Fracture of navicular [scaphoid] bone of hand, closed",
    "S6201": "Fracture of navicular [scaphoid] bone of hand, open",
    "S6210": "Fracture of other carpal bone(s), closed",
    "S6211": "Fracture of other carpal bone(s), open",
    "S6220": "Fracture of first metacarpal bone, closed",
    "S6230": "Fracture of other metacarpal bone, closed",
    "S6231": "Fracture of other metacarpal bone, open",
    "S6240": "Multiple fractures of metacarpal bones, closed",
    "S6241": "Multiple fractures of metacarpal bones, open",
    "S6250": "Fracture of thumb, closed",
    "S6251": "Fracture of thumb, open",
    "S6260": "Fracture of other finger, closed",
    "S6261": "Fracture of other finger, open",
    "S6270": "Multiple fractures of fingers, closed",
    "S6271": "Multiple fractures of fingers, open",
    "S6280": "Fracture of other and unspecified parts of wrist and hand, closed",
    "S6281": "Fracture of other and unspecified parts of wrist and hand, open",
    "S63": "Dislocation, sprain and strain of joints and ligaments at wrist and hand level",
    "S64": "Injury of nerves at wrist and hand level",
    "S65": "Injury of blood vessels at wrist and hand level",
    "S66": "Injury of muscle and tendon at wrist and hand level",
    "S67": "Crushing injury of wrist and hand",
    "S68": "Traumatic amputation of wrist and hand",
    "S70": "Superficial injury of hip and thigh",
    "S7210": "Pertrochanteric fracture, closed",
    "S7211": "Pertrochanteric fracture, open",
    "S7220": "Subtrochanteric fracture, closed",
    "S7221": "Subtrochanteric fracture, open",
    "S7230": "Fracture of shaft of femur, closed",
    "S7231": "Fracture of shaft of femur, open",
    "S7240": "Fracture of lower end of femur, closed",
    "S7241": "Fracture of lower end of femur, open",
    "S7270": "Multiple fractures of femur, closed",
    "S7271": "Multiple fractures of femur, open",
    "S7280": "Fractures of other parts of femur, closed",
    "S7281": "Fractures of other parts of femur, open",
    "S7290": "Fracture of femur, part unspecified, closed",
    "S7291": "Fracture of femur, part unspecified, open",
    "S73": "Dislocation, sprain and strain of joint and ligaments of hip",
    "M2344": "Loose body in knee, lateral collateral ligament or Anterior horn of lateral meniscus",
    "M2345": "Loose body in knee, posterior horn of lateral meniscus",
    "M2346": "Loose body in knee, other and unspecified lateral meniscus",
    "M2347": "Loose body in knee, capsular ligament",
    "M2349": "Loose body in knee, unspecified ligament or Unspecified meniscus",
    "M2353": "Chronic instability of knee, medial collateral ligament or Other and unspecified medial meniscus",
    "M2354": "Chronic instability of knee, lateral collateral ligament or Anterior horn of lateral meniscus",
    "M2355": "Chronic instability of knee, posterior horn of lateral meniscus",
    "M2356": "Chronic instability of knee, other and unspecified lateral meniscus",
    "M2357": "Chronic instability of knee, capsular ligament",
    "M2359": "Chronic instability of knee, unspecified ligament or Unspecified meniscus",
    "M2360": "Other spontaneous disruption of ligament(s) of knee, multiple sites",
    "M2361": "Other spontaneous disruption of ligament(s) of knee, anterior cruciate ligament or Anterior horn of medial meniscus",
    "M2362": "Other spontaneous disruption of ligament(s) of knee, posterior cruciate ligament or Posterior horn of medial meniscus",
    "M2363": "Other spontaneous disruption of ligament(s) of knee, medial collateral ligament or Other and unspecified medial meniscus",
    "M2364": "Other spontaneous disruption of ligament(s) of knee, lateral collateral ligament or Anterior horn of lateral meniscus",
    "M2365": "Other spontaneous disruption of ligament(s) of knee, posterior horn of lateral meniscus",
    "M2366": "Other spontaneous disruption of ligament(s) of knee, other and unspecified lateral meniscus",
    "M2367": "Other spontaneous disruption of ligament(s) of knee, capsular ligament",
    "M2369": "Other spontaneous disruption of ligament(s) of knee, unspecified ligament or Unspecified meniscus",
    "M2380": "Other internal derangements of knee, multiple sites",
    "M2381": "Other internal derangements of knee, anterior cruciate ligament or Anterior horn of medial meniscus",
    "M2382": "Other internal derangements of knee, posterior cruciate ligament or Posterior horn of medial meniscus",
    "M2383": "Other internal derangements of knee, medial collateral ligament or Other and unspecified medial meniscus",
    "M2384": "Other internal derangements of knee, lateral collateral ligament or Anterior horn of lateral meniscus",
    "M2385": "Other internal derangements of knee, posterior horn of lateral meniscus",
    "M2386": "Other internal derangements of knee, other and unspecified lateral meniscus",
    "M2387": "Other internal derangements of knee, capsular ligament",
    "M2389": "Other internal derangements of knee, unspecified ligament or Unspecified meniscus",
    "M2393": "Internal derangement of knee, unspecified, medial collateral ligament or Other and unspecified medial meniscus",
    "M2394": "Internal derangement of knee, unspecified, lateral collateral ligament or Anterior horn of lateral meniscus",
    "M2395": "Internal derangement of knee, unspecified, posterior horn of lateral meniscus",
    "M2396": "Internal derangement of knee, unspecified, other and unspecified lateral meniscus",
    "M2397": "Internal derangement of knee, unspecified, capsular ligament",
    "V906": "Accident to watercraft causing drowning and submersion, Inflatable craft (nonpowered)",
    "V909": "Accident to watercraft causing drowning and submersion, Unspecified watercraft",
    "V91": "Accident to watercraft causing other injury",
    "V910": "Accident to watercraft causing other injury, merchant ship",
    "V915": "Accident to watercraft causing other injury, canoe or kayak",
    "V917": "Accident to watercraft causing other injury, water-skis",
    "V92": "Water-transport-related drowning and submersion without accident to watercraft",
    "V920": "Water-transport-related drowning and submersion without accident to watercraft, merchant ship",
    "V923": "Water-transport-related drowning and submersion without accident to watercraft, other powered watercraft",
    "V925": "Water-transport-related drowning and submersion without accident to watercraft, canoe or kayak",
    "V927": "Water-transport-related drowning and submersion without accident to watercraft, water-skis",
    "V929": "Water-transport-related drowning and submersion without accident to watercraft, unspecified watercraft",
    "V93": "Accident on board watercraft without accident to watercraft, not causing drowning and submersion",
    "Z51": "Other medical care",
    "Z52": "Donors of organs and tissues",
    "Z58": "Problems related to physical environment",
    "V16": "Pedal cyclist injured in collision with other nonmotor vehicle",
    "M2399": "Internal derangement of knee, unspecified, unspecified ligament or Unspecified meniscus",
    "M30": "Polyarteritis nodosa and related conditions",
    "N76": "Other inflammation of vagina and vulva",
    "N77": "Vulvovaginal ulceration and inflammation in diseases classified elsewhere",
    "N91": "Absent, scanty and rare menstruation",
    "N92": "Excessive, frequent and irregular menstruation",
    "N99": "Postprocedural disorders of genitourinary system, not elsewhere classified",
    "O06": "Unspecified abortion",
    "O062": "Unspecified abortion, incomplete, complicated by embolism",
    "N14": "Drug- and heavy-metal-induced tubulo-interstitial and tubular conditions",
    "N15": "Other renal tubulo-interstitial diseases",
    "N34": "Urethritis and urethral syndrome",
    "N43": "Hydrocele and spermatocele",
    "N742": "Female syphilitic pelvic inflammatory disease",
    "O69": "Labour and delivery complicated by umbilical cord complications",
    "O73": "Retained placenta and membranes, without haemorrhage",
    "O91": "Infections of breast associated with childbirth",
    "O92": "Other disorders of breast and lactation associated with childbirth",
    "X63": "Intentional self-poisoning by and exposure to other drugs acting on the autonomic nervous system",
    "X64": "Intentional self-poisoning by and exposure to other and unspecified drugs, medicaments and biological substances",
    "X65": "Intentional self-poisoning by and exposure to alcohol",
    "X66": "Intentional self-poisoning by and exposure to organic solvents and halogenated hydrocarbons and their vapours",
    "X68": "Intentional self-poisoning by and exposure to pesticides",
    "X85": "Assault by drugs, medicaments and biological substances",
    "X86": "Assault by corrosive substance",
    "X87": "Assault by pesticides",
    "X88": "Assault by gases and vapours",
    "X89": "Assault by other specified chemicals and noxious substances",
    "X90": "Assault by unspecified chemical or noxious substance",
    "X91": "Assault by hanging, strangulation and suffocation",
    "X92": "Assault by drowning and submersion",
    "X93": "Assault by handgun discharge",
    "X94": "Assault by rifle, shotgun and larger firearm discharge",
    "X95": "Assault by other and unspecified firearm discharge",
    "X96": "Assault by explosive material",
    "X97": "Assault by smoke, fire and flames",
    "X98": "Assault by steam, hot vapours and hot objects",
    "X99": "Assault by sharp object",
    "Y00": "Assault by blunt object",
    "Y02": "Assault by pushing or placing victim before moving object",
    "Y03": "Assault by crashing of motor vehicle",
    "Y04": "Assault by bodily force",
    "Y05": "Sexual assault by bodily force",
    "Y06": "Neglect and abandonment",
    "Y08": "Assault by other specified means",
    "S8261": "Fracture of lateral malleolus, open",
    "S8270": "Multiple fractures of lower leg, closed",
    "S8271": "Multiple fractures of lower leg, open",
    "S8280": "Fractures of other parts of lower leg, closed",
    "S8281": "Fractures of other parts of lower leg, open",
    "S8290": "Fracture of lower leg, part unspecified, closed",
    "S8291": "Fracture of lower leg, part unspecified, open",
    "S83": "Dislocation, sprain and strain of joints and ligaments of knee",
    "S90": "Superficial injury of ankle and foot",
    "S91": "Open wound of ankle and foot",
    "S9200": "Fracture of calcaneus, closed",
    "S9201": "Fracture of calcaneus, open",
    "S9210": "Fracture of talus, closed",
    "S9211": "Fracture of talus, open",
    "S9220": "Fracture of other tarsal bone(s), closed",
    "S9221": "Fracture of other tarsal bone(s), open",
    "S9230": "Fracture of metatarsal bone, closed",
    "S9231": "Fracture of metatarsal bone, open",
    "S9240": "Fracture of great toe, closed",
    "S9241": "Fracture of great toe, open",
    "S9250": "Fracture of other toe, closed",
    "S9251": "Fracture of other toe, open",
    "S9270": "Multiple fractures of foot, closed",
    "S9271": "Multiple fractures of foot, open",
    "S9290": "Fracture of foot, unspecified, closed",
    "S9291": "Fracture of foot, unspecified, open",
    "S93": "Dislocation, sprain and strain of joints and ligaments at ankle and foot level",
    "T0271": "Fractures involving thorax with lower back and pelvis with limb(s), open",
    "T0280": "Fractures involving other combinations of body regions, closed",
    "T0281": "Fractures involving other combinations of body regions, open",
    "T0290": "Multiple fractures, unspecified, closed",
    "T0291": "Multiple fractures, unspecified, open",
    "T04": "Crushing injuries involving multiple body regions",
    "T05": "Traumatic amputations involving multiple body regions",
    "T06": "Other injuries involving multiple body regions, not elsewhere classified",
    "T080": "Fracture of spine, level unspecified, closed",
    "T081": "Fracture of spine, level unspecified, open",
    "T096": "Traumatic amputation of trunk, level unspecified",
    "T100": "Fracture of upper limb, level unspecified, closed",
    "T101": "Fracture of upper limb, level unspecified, open",
    "T11": "Other injuries of upper limb, level unspecified",
    "T120": "Fracture of lower limb, level unspecified, closed",
    "T121": "Fracture of lower limb, level unspecified, open",
    "T13": "Other injuries of lower limb, level unspecified",
    "T1420": "Fracture of unspecified body region, closed",
    "T1421": "Fracture of unspecified body region, open",
    "T20": "Burn and corrosion of head and neck",
    "T21": "Burn and corrosion of trunk",
    "T22": "Burn and corrosion of shoulder and upper limb, except wrist and hand",
    "S97": "Crushing injury of ankle and foot",
    "S98": "Traumatic amputation of ankle and foot",
    "S99": "Other and unspecified injuries of ankle and foot",
    "T0210": "Fractures involving thorax with lower back and pelvis, closed",
    "T0211": "Fractures involving thorax with lower back and pelvis, open",
    "T0220": "Fractures involving multiple regions of one upper limb, closed",
    "T0221": "Fractures involving multiple regions of one upper limb, open",
    "T0230": "Fractures involving multiple regions of one lower limb, closed",
    "T0231": "Fractures involving multiple regions of one lower limb, open",
    "T0240": "Fractures involving multiple regions of both upper limbs, closed",
    "T0241": "Fractures involving multiple regions of both upper limbs, open",
    "V939": "Accident on board watercraft without accident to watercraft, not causing drowning and submersion, unspecified watercraft",
    "V94": "Other and unspecified water transport accidents",
    "V940": "Other and unspecified water transport accidents, merchant ship",
    "V946": "Other and unspecified water transport accidents, inflatable craft (nonpowered)",
    "V95": "Accident to powered aircraft causing injury to occupant",
    "V950": "Helicopter accident injuring occupant",
    "V953": "Accident to commercial fixed-wing aircraft, injuring occupant",
    "V96": "Accident to nonpowered aircraft causing injury to occupant",
    "V960": "Balloon accident injuring occupant",
    "V962": "Glider (nonpowered) accident injuring occupant",
    "V969": "Unspecified nonpowered-aircraft accident injuring occupant",
    "V97": "Other specified air transport accidents",
    "V971": "Person injured while boarding or alighting from aircraft",
    "W00": "Fall on same level involving ice and snow",
    "W01": "Fall on same level from slipping, tripping and stumbling",
    "W02": "Fall involving ice-skates, skis, roller-skates or skateboards",
    "W03": "Other fall on same level due to collision with, or pushing by, another person",
    "W04": "Fall while being carried or supported by other persons",
    "W05": "Fall involving wheelchair",
    "W08": "Fall involving other furniture",
    "W09": "Fall involving playground equipment",
    "W10": "Fall on and from stairs and steps",
    "W11": "Fall on and from ladder",
    "Z86": "Personal history of certain other diseases",
    "Z87": "Personal history of other diseases and conditions",
    "V361": "Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, passenger injured in nontraffic accident",
    "T0250": "Fractures involving multiple regions of both lower limbs, closed",
    "T0251": "Fractures involving multiple regions of both lower limbs, open",
    "T0260": "Fractures involving multiple regions of upper limb(s) with lower limb(s), closed",
    "T0261": "Fractures involving multiple regions of upper limb(s) with lower limb(s), open",
    "T0270": "Fractures involving thorax with lower back and pelvis with limb(s), closed",
    "Y76": "Obstetric and gynaecological devices associated with adverse incidents",
    "T53": "Toxic effect of halogen derivatives of aliphatic and aromatic hydrocarbons",
    "T54": "Toxic effect of corrosive substances",
    "T57": "Toxic effect of other inorganic substances",
    "T59": "Toxic effect of other gases, fumes and vapours",
    "T61": "Toxic effect of noxious substances eaten as seafood",
    "V650": "Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, driver injured in nontraffic accident",
    "V651": "Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, passenger injured in nontraffic accident",
    "V660": "Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, driver injured in nontraffic accident",
    "V661": "Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, passenger injured in nontraffic accident",
    "M63": "Disorders of muscle in diseases classified elsewhere",
    "M632": "Myositis in other infectious diseases classified elsewhere",
    "M67": "Other disorders of synovium and tendon",
    "M68": "Disorders of synovium and tendon in diseases classified elsewhere",
    "M82": "Osteoporosis in diseases classified elsewhere",
    "M828": "Osteoporosis in other diseases classified elsewhere",
    "M90": "Osteopathies in diseases classified elsewhere",
    "M91": "Juvenile osteochondrosis of hip and pelvis",
    "M96": "Postprocedural musculoskeletal disorders, not elsewhere classified",
    "M9990": "Biomechanical lesion, unspecified, head region",
    "M70": "Soft tissue disorders related to use, overuse and pressure",
    "M723": "Nodular fasciitis",
    "M725": "Fasciitis, not elsewhere classified",
    "M73": "Soft tissue disorders in diseases classified elsewhere",
    "M730": "Gonococcal bursitis",
    "M14": "Arthropathies in other diseases classified elsewhere",
    "M143": "Lipoid dermatoarthritis",
    "M20": "Acquired deformities of fingers and toes",
    "M22": "Disorders of patella",
    "M2300": "Cystic meniscus, multiple sites",
    "M2301": "Cystic meniscus, anterior cruciate ligament or Anterior horn of medial meniscus",
    "S0610": "Traumatic cerebral oedema, without open intracranial wound",
    "S0611": "Traumatic cerebral oedema, with open intracranial wound",
    "S0620": "Diffuse brain injury, without open intracranial wound",
    "S0621": "Diffuse brain injury, with open intracranial wound",
    "S0630": "Focal brain injury, without open intracranial wound",
    "S0631": "Focal brain injury, with open intracranial wound",
    "S0640": "Epidural haemorrhage, without open intracranial wound",
    "S0641": "Epidural haemorrhage, with open intracranial wound",
    "S0650": "Traumatic subdural haemorrhage, without open intracranial wound",
    "S0651": "Traumatic subdural haemorrhage, with open intracranial wound",
    "S0660": "Traumatic subarachnoid haemorrhage, without open intracranial wound",
    "S0661": "Traumatic subarachnoid haemorrhage, with open intracranial wound",
    "S0670": "Intracranial injury with prolonged coma, without open intracranial wound",
    "S0671": "Intracranial injury with prolonged coma, with open intracranial wound",
    "S0680": "Other intracranial injuries, without open intracranial wound",
    "S0681": "Other intracranial injuries, with open intracranial wound",
    "S0690": "Intracranial injury, unspecified, without open intracranial wound",
    "S0691": "Intracranial injury, unspecified, with open intracranial wound",
    "S07": "Crushing injury of head",
    "S08": "Traumatic amputation of part of head",
    "S1210": "Fracture of second cervical vertebra, closed",
    "S1211": "Fracture of second cervical vertebra, open",
    "S1220": "Fracture of other specified cervical vertebra, closed",
    "S1221": "Fracture of other specified cervical vertebra, open",
    "S1270": "Multiple fractures of cervical spine, closed",
    "S1271": "Multiple fractures of cervical spine, open",
    "S1280": "Fracture of other parts of neck, closed",
    "S1281": "Fracture of other parts of neck, open",
    "S1290": "Fracture of neck, part unspecified, closed",
    "Y79": "Orthopaedic devices associated with adverse incidents",
    "M2302": "Cystic meniscus, posterior cruciate ligament or Posterior horn of medial meniscus",
    "M2303": "Cystic meniscus, medial collateral ligament or Other and unspecified medial meniscus",
    "M2304": "Cystic meniscus, lateral collateral ligament or Anterior horn of lateral meniscus",
    "M2305": "Cystic meniscus, posterior horn of lateral meniscus",
    "M2306": "Cystic meniscus, other and unspecified lateral meniscus",
    "M2307": "Cystic meniscus, capsular ligament",
    "M2309": "Cystic meniscus, unspecified ligament or Unspecified meniscus",
    "M2310": "Discoid meniscus (congenital), multiple sites",
    "M2311": "Discoid meniscus (congenital), anterior cruciate ligament or Anterior horn of medial meniscus",
    "M2312": "Discoid meniscus (congenital), posterior cruciate ligament or Posterior horn of medial meniscus",
    "M2313": "Discoid meniscus (congenital), medial collateral ligament or Other and unspecified medial meniscus",
    "M2314": "Discoid meniscus (congenital), lateral collateral ligament or Anterior horn of lateral meniscus",
    "M2315": "Discoid meniscus (congenital), posterior horn of lateral meniscus",
    "M2316": "Discoid meniscus (congenital), other and unspecified lateral meniscus",
    "M2317": "Discoid meniscus (congenital), capsular ligament",
    "M2319": "Discoid meniscus (congenital), unspecified ligament or Unspecified meniscus",
    "M2320": "Derangement of meniscus due to old tear or injury, multiple sites",
    "M2321": "Derangement of meniscus due to old tear or injury, anterior cruciate ligament or Anterior horn of medial meniscus",
    "M2322": "Derangement of meniscus due to old tear or injury, posterior cruciate ligament or Posterior horn of medial meniscus",
    "M2323": "Derangement of meniscus due to old tear or injury, medial collateral ligament or Other and unspecified medial meniscus",
    "M2324": "Derangement of meniscus due to old tear or injury, lateral collateral ligament or Anterior horn of lateral meniscus",
    "M2325": "Derangement of meniscus due to old tear or injury, posterior horn of lateral meniscus",
    "M2326": "Derangement of meniscus due to old tear or injury, other and unspecified lateral meniscus",
    "M2327": "Derangement of meniscus due to old tear or injury, capsular ligament",
    "M2329": "Derangement of meniscus due to old tear or injury, unspecified ligament or Unspecified meniscus",
    "M2330": "Other meniscus derangements, multiple sites",
    "M2331": "Other meniscus derangements, anterior cruciate ligament or Anterior horn of medial meniscus",
    "M2332": "Other meniscus derangements, posterior cruciate ligament or Posterior horn of medial meniscus",
    "M2333": "Other meniscus derangements, medial collateral ligament or Other and unspecified medial meniscus",
    "M2334": "Other meniscus derangements, lateral collateral ligament or Anterior horn of lateral meniscus",
    "M2335": "Other meniscus derangements, posterior horn of lateral meniscus",
    "M2336": "Other meniscus derangements, other and unspecified lateral meniscus",
    "M2337": "Other meniscus derangements, capsular ligament",
    "M2339": "Other meniscus derangements, unspecified ligament or Unspecified meniscus",
    "M2343": "Loose body in knee, medial collateral ligament or Other and unspecified medial meniscus",
    "X44": "Accidental poisoning by and exposure to other and unspecified drugs, medicaments and biological substances",
    "X45": "Accidental poisoning by and exposure to alcohol",
    "X46": "Accidental poisoning by and exposure to organic solvents and halogenated hydrocarbons and their vapours",
    "X47": "Accidental poisoning by and exposure to other gases and vapours",
    "X48": "Accidental poisoning by and exposure to pesticides",
    "X49": "Accidental poisoning by and exposure to other and unspecified chemicals and noxious substances",
    "X50": "Overexertion and strenuous or repetitive movements",
    "X51": "Travel and motion",
    "X53": "Lack of food",
    "X54": "Lack of water",
    "X57": "Unspecified privation",
    "X58": "Exposure to other specified factors",
    "X59": "Exposure to unspecified factor",
    "Z83": "Family history of other specific disorders",
    "Z84": "Family history of other conditions",
    "S1291": "Fracture of neck, part unspecified, open",
    "S13": "Dislocation, sprain and strain of joints and ligaments at neck level",
    "S15": "Injury of blood vessels at neck level",
    "S20": "Superficial injury of thorax",
    "S22": "Fracture of rib(s), sternum and thoracic spine",
    "S2200": "Fracture of thoracic vertebra, closed",
    "S2201": "Fracture of thoracic vertebra, open",
    "S2210": "Multiple fractures of thoracic spine, closed",
    "S2211": "Multiple fractures of thoracic spine, open",
    "S2220": "Fracture of sternum, closed",
    "S2221": "Fracture of sternum, open",
    "S2230": "Fracture of rib, closed",
    "S2231": "Fracture of rib, open",
    "S2240": "Multiple fractures of ribs, closed",
    "S2241": "Multiple fractures of ribs, open",
    "S2250": "Flail chest, closed",
    "S2251": "Flail chest, open",
    "S2280": "Fracture of other parts of bony thorax, closed",
    "S2281": "Fracture of other parts of bony thorax, open",
    "S2290": "Fracture of bony thorax, part unspecified, closed",
    "S2291": "Fracture of bony thorax, part unspecified, open",
    "S23": "Dislocation, sprain and strain of joints and ligaments of thorax",
    "S74": "Injury of nerves at hip and thigh level",
    "S75": "Injury of blood vessels at hip and thigh level",
    "S76": "Injury of muscle and tendon at hip and thigh level",
    "S77": "Crushing injury of hip and thigh",
    "S82": "Fracture of lower leg, including ankle",
    "S8200": "Fracture of patella, closed",
    "S8201": "Fracture of patella, open",
    "S8210": "Fracture of upper end of tibia, closed",
    "S8220": "Fracture of shaft of tibia, closed",
    "S8221": "Fracture of shaft of tibia, open",
    "S8230": "Fracture of lower end of tibia, closed",
    "S8231": "Fracture of lower end of tibia, open",
    "S8240": "Fracture of fibula alone, closed",
    "S8241": "Fracture of fibula alone, open",
    "S8250": "Fracture of medial malleolus, closed",
    "S8251": "Fracture of medial malleolus, open",
    "S8260": "Fracture of lateral malleolus, closed",
    "Y612": "Foreign object accidentally left in body during surgical and medical care during kidney dialysis or other perfusion",
    "Y65": "Other misadventures during surgical and medical care",
    "T46": "Poisoning by agents primarily affecting the cardiovascular system",
    "T47": "Poisoning by agents primarily affecting the gastrointestinal system",
    "T48": "Poisoning by agents primarily acting on smooth and skeletal muscles and the respiratory system",
    "T49": "Poisoning by topical agents primarily affecting skin and mucous membrane and by ophthalmological, otorhinolaryngological and dental drugs",
    "T50": "Poisoning by diuretics and other and unspecified drugs, medicaments and biological substances",
    "T52": "Toxic effect of organic solvents",
    "V350": "Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, driver injured in nontraffic accident",
    "V351": "Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, passenger injured in nontraffic accident",
    "X60": "Intentional self-poisoning by and exposure to nonopioid analgesics, antipyretics and antirheumatics",
    "X62": "Intentional self-poisoning by and exposure to narcotics and psychodysleptics [hallucinogens], not elsewhere classified",
    "S3690": "Injury of unspecified intra-abdominal organ, without open wound into cavity",
    "S3691": "Injury of unspecified intra-abdominal organ, with open wound into cavity",
    "V610": "Occupant of heavy transport vehicle injured in collision with pedal cycle, driver injured in nontraffic accident",
    "V611": "Occupant of heavy transport vehicle injured in collision with pedal cycle, passenger injured in nontraffic accident",
    "I68": "Cerebrovascular disorders in diseases classified elsewhere",
    "I725": "Aneurysm and dissection of other precerebral arteries",
    "S3700": "Injury of kidney, without open wound into cavity",
    "S3701": "Injury of kidney, with open wound into cavity",
    "S3710": "Injury of ureter, without open wound into cavity",
    "S3711": "Injury of ureter, with open wound into cavity",
    "S3720": "Injury of bladder, without open wound into cavity",
    "S3721": "Injury of bladder, with open wound into cavity",
    "S3730": "Injury of urethra, without open wound into cavity",
    "S3731": "Injury of urethra, with open wound into cavity",
    "S3740": "Injury of ovary, without open wound into cavity",
    "S3741": "Injury of ovary, with open wound into cavity",
    "S3750": "Injury of fallopian tube, without open wound into cavity",
    "S3751": "Injury of fallopian tube, with open wound into cavity",
    "S3760": "Injury of uterus, without open wound into cavity",
    "S3761": "Injury of uterus, with open wound into cavity",
    "S3770": "Injury of multiple pelvic organs, without open wound into cavity",
    "S3771": "Injury of multiple pelvic organs, with open wound into cavity",
    "S3780": "Injury of other pelvic organs, without open wound into cavity",
    "S3790": "Injury of unspecified pelvic organ, without open wound into cavity",
    "S3791": "Injury of unspecified pelvic organ, with open wound into cavity",
    "S38": "Crushing injury and traumatic amputation of part of abdomen, lower back and pelvis",
    "S383": "Traumatic amputation of other and unspecified parts of abdomen, lower back and pelvis",
    "S39": "Other and unspecified injuries of abdomen, lower back and pelvis",
    "S41": "Open wound of shoulder and upper arm",
    "S4210": "Fracture of scapula, closed",
    "S4211": "Fracture of scapula, open",
    "S4220": "Fracture of upper end of humerus, closed",
    "S4221": "Fracture of upper end of humerus, open",
    "S4230": "Fracture of shaft of humerus, closed",
    "S4231": "Fracture of shaft of humerus, open",
    "S4240": "Fracture of lower end of humerus, closed",
    "S4241": "Fracture of lower end of humerus, open",
    "S4270": "Multiple fractures of clavicle, scapula and humerus, closed",
    "S4271": "Multiple fractures of clavicle, scapula and humerus, open",
    "S4280": "Fracture of other parts of shoulder and upper arm, closed",
    "S4281": "Fracture of other parts of shoulder and upper arm, open",
    "S4290": "Fracture of shoulder girdle, part unspecified, closed",
    "S4291": "Fracture of shoulder girdle, part unspecified, open",
    "S43": "Dislocation, sprain and strain of joints and ligaments of shoulder girdle",
    "R96": "Other sudden death, cause unknown",
    "S0210": "Fracture of base of skull, closed",
    "S0211": "Fracture of base of skull, open",
    "S0220": "Fracture of nasal bones, closed",
    "S0221": "Fracture of nasal bones, open",
    "S0230": "Fracture of orbital floor, closed",
    "S0231": "Fracture of orbital floor, open",
    "S0240": "Fracture of malar and maxillary bones, closed",
    "S0241": "Fracture of malar and maxillary bones, open",
    "S0250": "Fracture of tooth, closed",
    "S0251": "Fracture of tooth, open",
    "S0260": "Fracture of mandible, closed",
    "S0261": "Fracture of mandible, open",
    "S0270": "Multiple fractures involving skull and facial bones, closed",
    "S0271": "Multiple fractures involving skull and facial bones, open",
    "S0280": "Fractures of other skull and facial bones, closed",
    "S0281": "Fractures of other skull and facial bones, open",
    "S0290": "Fracture of skull and facial bones, part unspecified, closed",
    "S0291": "Fracture of skull and facial bones, part unspecified, open",
    "S03": "Dislocation, sprain and strain of joints and ligaments of head",
    "S05": "Injury of eye and orbit",
    "I726": "Aneurysm and dissection of vertebral artery",
    "I79": "Disorders of arteries, arterioles and capillaries in diseases classified elsewhere",
    "H54": "Visual impairment including blindness (binocular or monocular)",
    "H549": "Unspecified visual impairment (binocular)",
    "H58": "Other disorders of eye and adnexa in diseases classified elsewhere",
    "H59": "Postprocedural disorders of eye and adnexa, not elsewhere classified",
    "H61": "Other disorders of external ear",
    "H62": "Disorders of external ear in diseases classified elsewhere",
    "H67": "Otitis media in diseases classified elsewhere",
    "H68": "Eustachian salpingitis and obstruction",
    "H74": "Other disorders of middle ear and mastoid",
    "H75": "Other disorders of middle ear and mastoid in diseases classified elsewhere",
    "H90": "Conductive and sensorineural hearing loss",
    "H92": "Otalgia and effusion of ear",
    "H94": "Other disorders of ear in diseases classified elsewhere",
    "H95": "Postprocedural disorders of ear and mastoid process, not elsewhere classified",
    "I23": "Certain current complications following acute myocardial infarction",
    "J69": "Pneumonitis due to solids and liquids",
    "J93": "Pneumothorax",
    "K025": "Caries with pulp exposure",
    "K04": "Diseases of pulp and periapical tissues",
    "K05": "Gingivitis and periodontal diseases",
    "K45": "Other abdominal hernia",
    "K50": "Crohn disease [regional enteritis]",
    "K511": "Ulcerative (chronic) ileocolitis",
    "K56": "Paralytic ileus and intestinal obstruction without hernia",
    "K57": "Diverticular disease of intestine",
    "K60": "Fissure and fistula of anal and rectal regions",
    "K61": "Abscess of anal and rectal regions",
    "K12": "Stomatitis and related lesions",
    "K13": "Other diseases of lip and oral mucosa",
    "I86": "Varicose veins of other sites",
    "I97": "Postprocedural disorders of circulatory system, not elsewhere classified",
    "I98": "Other disorders of circulatory system in diseases classified elsewhere",
    "I980": "Cardiovascular syphilis",
    "I983": "Oesophageal varices with bleeding in diseases classified elsewhere",
    "J05": "Acute obstructive laryngitis [croup] and epiglottitis",
    "J09": "Influenza due to identified zoonotic or pandemic influenza virus",
    "J10": "influenza due to identified seasonal influenza virus",
    "J11": "Influenza, virus not identified",
    "J16": "Pneumonia due to other infectious organisms, not elsewhere classified",
    "J31": "Chronic rhinitis, nasopharyngitis and pharyngitis",
    "J38": "Diseases of vocal cords and larynx, not elsewhere classified",
    "J41": "Simple and mucopurulent chronic bronchitis",
    "J62": "Pneumoconiosis due to dust containing silica",
    "J63": "Pneumoconiosis due to other inorganic dusts",
    "J66": "Airway disease due to specific organic dust",
    "M01": "Direct infections of joint in infectious and parasitic diseases classified elsewhere",
    "M014": "Rubella arthritis",
    "M03": "Postinfective and reactive arthropathies in diseases classified elsewhere",
    "M07": "Psoriatic and enteropathic arthropathies",
    "M09": "Juvenile arthritis in diseases classified elsewhere",
    "K64": "Haemorrhoids and perianal venous thrombosis",
    "K672": "Syphilitic peritonitis",
    "K72": "Hepatic failure, not elsewhere classified",
    "K74": "Fibrosis and cirrhosis of liver",
    "K91": "Postprocedural disorders of digestive system, not elsewhere classified",
    "K93": "Disorders of other digestive organs in diseases classified elsewhere",
    "K931": "Megacolon in Chagas disease",
    "L28": "Lichen simplex chronicus and prurigo",
    "M36": "Systemic disorders of connective tissue in diseases classified elsewhere",
    "M40": "Kyphosis and lordosis",
    "M49": "Spondylopathies in diseases classified elsewhere",
    "T38": "Poisoning by hormones and their synthetic substitutes and antagonists, not elsewhere classified",
    "T40": "Poisoning by narcotics and psychodysleptics [hallucinogens]",
    "T41": "Poisoning by anaesthetics and therapeutic gases",
    "T42": "Poisoning by antiepileptic, sedative-hypnotic and antiparkinsonism drugs",
    "T44": "Poisoning by drugs primarily affecting the autonomic nervous system",
    "T45": "Poisoning by primarily systemic and haematological agents, not elsewhere classified",
    "V550": "Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, driver injured in nontraffic accident",
    "X00": "Exposure to uncontrolled fire in building or structure",
    "X01": "Exposure to uncontrolled fire, not in building or structure",
    "X02": "Exposure to controlled fire in building or structure",
    "X03": "Exposure to controlled fire, not in building or structure",
    "X04": "Exposure to ignition of highly flammable material",
    "X05": "Exposure to ignition or melting of nightwear",
    "X06": "Exposure to ignition or melting of other clothing and apparel",
    "X08": "Exposure to other specified smoke, fire and flames",
    "X09": "Exposure to unspecified smoke, fire and flames",
    "X10": "Contact with hot drinks, food, fats and cooking oils",
    "X11": "Contact with hot tap-water",
    "X12": "Contact with other hot fluids",
    "X13": "Contact with steam and hot vapours",
    "X14": "Contact with hot air and gases",
    "X15": "Contact with hot household appliances",
    "X16": "Contact with hot heating appliances, radiators and pipes",
    "X17": "Contact with hot engines, machinery and tools",
    "X18": "Contact with other hot metals",
    "X19": "Contact with other and unspecified heat and hot substances",
    "X20": "Contact with venomous snakes and lizards",
    "X21": "Contact with venomous spiders",
    "X22": "Contact with scorpions",
    "X23": "Contact with hornets, wasps and bees",
    "X24": "Contact with centipedes and venomous millipedes (tropical)",
    "X25": "Contact with other venomous arthropods",
    "X26": "Contact with venomous marine animals and plants",
    "X27": "Contact with other specified venomous animals",
    "X28": "Contact with other specified venomous plants",
    "X29": "Contact with unspecified venomous animal or plant",
    "X30": "Exposure to excessive natural heat",
    "X31": "Exposure to excessive natural cold",
    "X32": "Exposure to sunlight",
    "X33": "Victim of lightning",
    "X36": "Victim of avalanche, landslide and other earth movements",
    "X37": "Victim of cataclysmic storm",
    "X39": "Exposure to other and unspecified forces of nature",
    "X40": "Accidental poisoning by and exposure to nonopioid analgesics, antipyretics and antirheumatics",
    "X41": "Accidental poisoning by and exposure to antiepileptic, sedative-hypnotic, antiparkinsonism and psychotropic drugs, not elsewhere classified",
    "V820": "Occupant of streetcar injured in collision with motor vehicle in nontraffic accident",
    "Z28": "Immunization not carried out",
    "Y89": "Sequelae of other external causes",
    "Z01": "Other special examinations and investigations of persons without complaint or reported diagnosis",
    "T67": "Effects of heat and light",
    "T69": "Other effects of reduced temperature",
    "T70": "Effects of air pressure and water pressure",
    "T73": "Effects of other deprivation",
    "T75": "Effects of other external causes",
    "T79": "Certain early complications of trauma, not elsewhere classified",
    "V70": "Bus occupant injured in collision with pedestrian or animal",
    "V710": "Bus occupant injured in collision with pedal cycle, driver injured in nontraffic accident",
    "V711": "Bus occupant injured in collision with pedal cycle, passenger injured in nontraffic accident",
    "T81": "Complications of procedures, not elsewhere classified",
    "T82": "Complications of cardiac and vascular prosthetic devices, implants and grafts",
    "T83": "Complications of genitourinary prosthetic devices, implants and grafts",
    "T84": "Complications of internal orthopaedic prosthetic devices, implants and grafts",
    "T85": "Complications of other internal prosthetic devices, implants and grafts",
    "V73": "Bus occupant injured in collision with car, pick-up truck or van",
    "Z35": "Supervision of high-risk pregnancy",
    "Z38": "Liveborn infants according to place of birth",
    "U04": "Severe acute respiratory syndrome [SARS]",
    "U07": "Emergency use of U07",
    "U069": "Emergency use of U06.9",
    "U80": "Agent resistant to penicillin and related antibiotics",
    "U801": "Methicillin resistant agent",
    "U808": "Agent resistant to other penicillin-related antibiotic",
    "U81": "Agent resistant to vancomycin and related antibiotics",
    "U810": "Vancomycin resistant agent",
    "U818": "Agent resistant to other vancomycin-related antibiotic",
    "U82": "Resistance to betalactam antibiotics",
    "U820": "Resistance to penicillin",
    "U821": "Resistance to methicillin",
    "U822": "Extended spectrum betalactamase (ESBL) resistance",
    "U828": "Resistance to other betalactam antibiotics",
    "U829": "Resistance to betalactam antibiotics, unspecified",
    "U83": "Resistance to other antibiotics",
    "U830": "Resistance to vancomycin",
    "U831": "Resistance to other vancomycin related antibiotics",
    "U832": "Resistance to quinolones",
    "U837": "Resistance to multiple antibiotics",
    "U838": "Resistance to other single specified antibiotic",
    "U839": "Resistance to unspecified antibiotic",
    "U84": "Resistance to other antimicrobial drugs",
    "U840": "Resistance to antiparasitic drug(s)",
    "U841": "Resistance to antifungal drug(s)",
    "U842": "Resistance to antiviral drug(s)",
    "U843": "Resistance to tuberculostatic drug(s)",
    "U847": "Resistance to multiple antimicrobial drugs",
    "U848": "Resistance to other specified antimicrobial drug",
    "U849": "Resistance to unspecified antimicrobial drugs",
    "U85": "Resistance to antineoplastic drugs",
    "U88": "Agent resistant to multiple antibiotics",
    "U89": "Agent resistant to other and unspecified antibiotics",
    "U898": "Agent resistant to other single specified antibiotic",
    "V01": "Pedestrian injured in collision with pedal cycle",
    "V04": "Pedestrian injured in collision with heavy transport vehicle or bus",
    "V02": "Pedestrian injured in collision with two- or three-wheeled motor vehicle",
    "V03": "Pedestrian injured in collision with car, pick-up truck or van",
    "V05": "Pedestrian injured in collision with railway train or railway vehicle",
    "V823": "Occupant of streetcar injured in collision with other object",
    "V822": "Occupant of streetcar injured in collision with or hit by rolling stock",
    "V825": "Occupant of streetcar injured by fall in streetcar",
    "V827": "Occupant of streetcar injured in derailment without antecedent collision",
    "V828": "Occupant of streetcar injured in other specified transport accidents",
    "V829": "Occupant of streetcar injured in unspecified traffic accident",
    "V750": "Bus occupant injured in collision with railway train or railway vehicle, driver injured in nontraffic accident",
    "V751": "Bus occupant injured in collision with railway train or railway vehicle, passenger injured in nontraffic accident",
    "V760": "Bus occupant injured in collision with other nonmotor vehicle, driver injured in nontraffic accident",
    "Z20": "Contact with and exposure to communicable diseases",
    "Z24": "Need for immunization against certain single viral diseases",
    "Z25": "Need for immunization against other single viral diseases",
    "Z27": "Need for immunization against combinations of infectious diseases",
    "T91": "Sequelae of injuries of neck and trunk",
    "T92": "Sequelae of injuries of upper limb",
    "T93": "Sequelae of injuries of lower limb",
    "T94": "Sequelae of injuries involving multiple and unspecified body regions",
    "T95": "Sequelae of burns, corrosions and frostbite",
    "T98": "Sequelae of other and unspecified effects of external causes",
    "D51": "Vitamin B12deficiency anaemia",
    "D511": "Vitamin B12deficiency anaemia due to selective vitamin B12malabsorption with proteinuria",
    "D513": "Other dietary vitamin B12deficiency anaemia",
    "D519": "Vitamin B12deficiency anaemia, unspecified",
    "U070": "Emergency use of U07.0",
    "U071": "Emergency use of U07.1",
    "U072": "Emergency use of U07.2",
    "U073": "Emergency use of U07.3",
    "U074": "Emergency use of U07.4",
    "B222": "HIV disease resulting in wasting syndrome",
    "D800": "Hereditary hypogammaglobulinaemia",
    "D892": "Hypergammaglobulinaemia, unspecified",
    "E163": "Increased secretion of glucagon",
    "E342": "Ectopic hormone secretion, not elsewhere classified",
    "E344": "Constitutional tall stature",
    "E631": "Imbalance of constituents of food intake",
    "J430": "MacLeod syndrome",
    "L271": "Localized skin eruption due to drugs and medicaments",
    "L560": "Drug phototoxic response",
    "L816": "Other disorders of diminished melanin formation",
    "M432": "Other fusion of spine",
    "M4320": "Other fusion of spine, multiple sites in spine",
    "M4321": "Other fusion of spine, occipito-atlanto-axial region",
    "M4322": "Other fusion of spine, cervical region",
    "M4323": "Other fusion of spine, cervicothoracic region",
    "M4324": "Other fusion of spine, thoracic region",
    "M4325": "Other fusion of spine, thoracolumbar region",
    "M4326": "Other fusion of spine, lumbar region",
    "M4327": "Other fusion of spine, lumbosacral region",
    "M4328": "Other fusion of spine, sacral and sacrococcygeal region",
    "M4329": "Other fusion of spine, site unspecified",
    "O458": "Other premature separation of placenta",
    "O044": "Medical abortion, incomplete, without complication",
    "O047": "Medical abortion, complete or unspecified, complicated by embolism",
    "O05": "Other abortion",
    "O050": "Other abortion, incomplete, complicated by genital tract and pelvic infection",
    "O052": "Other abortion, incomplete, complicated by embolism",
    "O059": "Other abortion, complete or unspecified, without complication",
    "O281": "Abnormal biochemical finding on antenatal screening of mother",
    "O282": "Abnormal cytological finding on antenatal screening of mother",
    "O285": "Abnormal chromosomal and genetic finding on antenatal screening of mother",
    "O320": "Maternal care for unstable lie",
    "O322": "Maternal care for transverse and oblique lie",
    "U079": "Emergency use of U07.9",
    "45538059": "Invalid ICD10 Concept, do not use",
    "M2487": "Other specific joint derangements, not elsewhere classified, ankle and foot",
    "M2488": "Other specific joint derangements, not elsewhere classified, other",
    "M2489": "Other specific joint derangements, not elsewhere classified, site unspecified",
    "M2490": "Joint derangement, unspecified, multiple sites",
    "M2491": "Joint derangement, unspecified, shoulder region",
    "M2492": "Joint derangement, unspecified, upper arm",
    "M2493": "Joint derangement, unspecified, forearm",
    "M2494": "Joint derangement, unspecified, hand",
    "M2495": "Joint derangement, unspecified, pelvic region and thigh",
    "M2496": "Joint derangement, unspecified, lower leg",
    "M2497": "Joint derangement, unspecified, ankle and foot",
    "M2498": "Joint derangement, unspecified, other",
    "M2499": "Joint derangement, unspecified, site unspecified",
    "M2500": "Haemarthrosis, multiple sites",
    "M2501": "Haemarthrosis, shoulder region",
    "M2502": "Haemarthrosis, upper arm",
    "M2503": "Haemarthrosis, forearm",
    "M2504": "Haemarthrosis, hand",
    "M2505": "Haemarthrosis, pelvic region and thigh",
    "M2506": "Haemarthrosis, lower leg",
    "M2507": "Haemarthrosis, ankle and foot",
    "M2508": "Haemarthrosis, other",
    "M2509": "Haemarthrosis, site unspecified",
    "M2510": "Fistula of joint, multiple sites",
    "M2511": "Fistula of joint, shoulder region",
    "M2512": "Fistula of joint, upper arm",
    "M2513": "Fistula of joint, forearm",
    "M2514": "Fistula of joint, hand",
    "M2515": "Fistula of joint, pelvic region and thigh",
    "M2516": "Fistula of joint, lower leg",
    "M2517": "Fistula of joint, ankle and foot",
    "M2518": "Fistula of joint, other",
    "M2519": "Fistula of joint, site unspecified",
    "M2520": "Flail joint, multiple sites",
    "M2521": "Flail joint, shoulder region",
    "M2522": "Flail joint, upper arm",
    "M2523": "Flail joint, forearm",
    "M2524": "Flail joint, hand",
    "M2525": "Flail joint, pelvic region and thigh",
    "M2527": "Flail joint, ankle and foot",
    "M2528": "Flail joint, other",
    "M2529": "Flail joint, site unspecified",
    "M2530": "Other instability of joint, multiple sites",
    "M2531": "Other instability of joint, shoulder region",
    "M2532": "Other instability of joint, upper arm",
    "M2533": "Other instability of joint, forearm",
    "M2534": "Other instability of joint, hand",
    "M2535": "Other instability of joint, pelvic region and thigh",
    "M2536": "Other instability of joint, lower leg",
    "M2537": "Other instability of joint, ankle and foot",
    "M2538": "Other instability of joint, other",
    "M2539": "Other instability of joint, site unspecified",
    "M2540": "Effusion of joint, multiple sites",
    "M2542": "Effusion of joint, upper arm",
    "M2543": "Effusion of joint, forearm",
    "M2544": "Effusion of joint, hand",
    "M2545": "Effusion of joint, pelvic region and thigh",
    "M2546": "Effusion of joint, lower leg",
    "M2547": "Effusion of joint, ankle and foot",
    "M2548": "Effusion of joint, other",
    "M2549": "Effusion of joint, site unspecified",
    "M2550": "Pain in joint, multiple sites",
    "M2551": "Pain in joint, shoulder region",
    "M2552": "Pain in joint, upper arm",
    "M2553": "Pain in joint, forearm",
    "M2554": "Pain in joint, hand",
    "M2555": "Pain in joint, pelvic region and thigh",
    "M2556": "Pain in joint, lower leg",
    "M2557": "Pain in joint, ankle and foot",
    "M2559": "Pain in joint, site unspecified",
    "M2560": "Stiffness of joint, not elsewhere classified, multiple sites",
    "M2561": "Stiffness of joint, not elsewhere classified, shoulder region",
    "M2562": "Stiffness of joint, not elsewhere classified, upper arm",
    "M2563": "Stiffness of joint, not elsewhere classified, forearm",
    "M6656": "Spontaneous rupture of unspecified tendon, lower leg",
    "M6657": "Spontaneous rupture of unspecified tendon, ankle and foot",
    "M6658": "Spontaneous rupture of unspecified tendon, other",
    "M6659": "Spontaneous rupture of unspecified tendon, site unspecified",
    "M7010": "Bursitis of hand, multiple sites",
    "M7011": "Bursitis of hand, shoulder region",
    "M7012": "Bursitis of hand, upper arm",
    "M7013": "Bursitis of hand, forearm",
    "M7014": "Bursitis of hand, hand",
    "M7015": "Bursitis of hand, pelvic region and thigh",
    "M7016": "Bursitis of hand, lower leg",
    "M7017": "Bursitis of hand, ankle and foot",
    "M7018": "Bursitis of hand, other",
    "M7019": "Bursitis of hand, site unspecified",
    "M7080": "Other soft tissue disorders related to use, overuse and pressure, multiple sites",
    "M7081": "Other soft tissue disorders related to use, overuse and pressure, shoulder region",
    "M7082": "Other soft tissue disorders related to use, overuse and pressure, upper arm",
    "M7083": "Other soft tissue disorders related to use, overuse and pressure, forearm",
    "M7084": "Other soft tissue disorders related to use, overuse and pressure, hand",
    "M7085": "Other soft tissue disorders related to use, overuse and pressure, pelvic region and thigh",
    "M7086": "Other soft tissue disorders related to use, overuse and pressure, lower leg",
    "M7087": "Other soft tissue disorders related to use, overuse and pressure, ankle and foot",
    "M7088": "Other soft tissue disorders related to use, overuse and pressure, other",
    "M7089": "Other soft tissue disorders related to use, overuse and pressure, site unspecified",
    "M7090": "Unspecified soft tissue disorder related to use, overuse and pressure, multiple sites",
    "M7091": "Unspecified soft tissue disorder related to use, overuse and pressure, shoulder region",
    "M7092": "Unspecified soft tissue disorder related to use, overuse and pressure, upper arm",
    "M7093": "Unspecified soft tissue disorder related to use, overuse and pressure, forearm",
    "M7094": "Unspecified soft tissue disorder related to use, overuse and pressure, hand",
    "M7095": "Unspecified soft tissue disorder related to use, overuse and pressure, pelvic region and thigh",
    "M7096": "Unspecified soft tissue disorder related to use, overuse and pressure, lower leg",
    "M7097": "Unspecified soft tissue disorder related to use, overuse and pressure, ankle and foot",
    "M7098": "Unspecified soft tissue disorder related to use, overuse and pressure, other",
    "M7099": "Unspecified soft tissue disorder related to use, overuse and pressure, site unspecified",
    "M7100": "Abscess of bursa, multiple sites",
    "M7101": "Abscess of bursa, shoulder region",
    "M7102": "Abscess of bursa, upper arm",
    "M7103": "Abscess of bursa, forearm",
    "M7104": "Abscess of bursa, hand",
    "M7105": "Abscess of bursa, pelvic region and thigh",
    "M7106": "Abscess of bursa, lower leg",
    "M7107": "Abscess of bursa, ankle and foot",
    "M7108": "Abscess of bursa, other",
    "M7109": "Abscess of bursa, site unspecified",
    "M7110": "Other infective bursitis, multiple sites",
    "M7111": "Other infective bursitis, shoulder region",
    "M7112": "Other infective bursitis, upper arm",
    "M7113": "Other infective bursitis, forearm",
    "M7114": "Other infective bursitis, hand",
    "M7115": "Other infective bursitis, pelvic region and thigh",
    "M7116": "Other infective bursitis, lower leg",
    "M7117": "Other infective bursitis, ankle and foot",
    "M7118": "Other infective bursitis, other",
    "M7119": "Other infective bursitis, site unspecified",
    "M7130": "Other bursal cyst, multiple sites",
    "M7131": "Other bursal cyst, shoulder region",
    "M7132": "Other bursal cyst, upper arm",
    "M7133": "Other bursal cyst, forearm",
    "M7134": "Other bursal cyst, hand",
    "M7135": "Other bursal cyst, pelvic region and thigh",
    "M7136": "Other bursal cyst, lower leg",
    "M7137": "Other bursal cyst, ankle and foot",
    "M7138": "Other bursal cyst, other",
    "M7139": "Other bursal cyst, site unspecified",
    "M7140": "Calcium deposit in bursa, multiple sites",
    "M9419": "Relapsing polychondritis, site unspecified",
    "M9420": "Chondromalacia, multiple sites",
    "M9421": "Chondromalacia, shoulder region",
    "M9422": "Chondromalacia, upper arm",
    "M9423": "Chondromalacia, forearm",
    "M9424": "Chondromalacia, hand",
    "M9425": "Chondromalacia, pelvic region and thigh",
    "M9426": "Chondromalacia, lower leg",
    "M9427": "Chondromalacia, ankle and foot",
    "M9428": "Chondromalacia, other",
    "M9429": "Chondromalacia, site unspecified",
    "M9430": "Chondrolysis, multiple sites",
    "M9431": "Chondrolysis, shoulder region",
    "M9432": "Chondrolysis, upper arm",
    "M9433": "Chondrolysis, forearm",
    "M9434": "Chondrolysis, hand",
    "M9435": "Chondrolysis, pelvic region and thigh",
    "M9436": "Chondrolysis, lower leg",
    "M9437": "Chondrolysis, ankle and foot",
    "M9438": "Chondrolysis, other",
    "M9439": "Chondrolysis, site unspecified",
    "M9480": "Other specified disorders of cartilage, multiple sites",
    "M9481": "Other specified disorders of cartilage, shoulder region",
    "M9482": "Other specified disorders of cartilage, upper arm",
    "M9483": "Other specified disorders of cartilage, forearm",
    "M9484": "Other specified disorders of cartilage, hand",
    "M9485": "Other specified disorders of cartilage, pelvic region and thigh",
    "M9486": "Other specified disorders of cartilage, lower leg",
    "M9487": "Other specified disorders of cartilage, ankle and foot",
    "M9488": "Other specified disorders of cartilage, other",
    "M9489": "Other specified disorders of cartilage, site unspecified",
    "M9490": "Disorder of cartilage, unspecified, multiple sites",
    "M9491": "Disorder of cartilage, unspecified, shoulder region",
    "M9492": "Disorder of cartilage, unspecified, upper arm",
    "M9493": "Disorder of cartilage, unspecified, forearm",
    "M9494": "Disorder of cartilage, unspecified, hand",
    "M9495": "Disorder of cartilage, unspecified, pelvic region and thigh",
    "M9496": "Disorder of cartilage, unspecified, lower leg",
    "M9497": "Disorder of cartilage, unspecified, ankle and foot",
    "M9498": "Disorder of cartilage, unspecified, other",
    "M9499": "Disorder of cartilage, unspecified, site unspecified",
    "O142": "HELLP syndrome",
    "O987": "Human immunodeficiency virus [HIV] disease complicating pregnancy, childbirth and the puerperium",
    "P917": "Acquired hydrocephalus of newborn",
    "R572": "Septic shock",
    "W260": "Contact with knife, sword or dagger",
    "W268": "Contact with other sharp object(s), not elsewhere classified",
    "W269": "Contact with unspecified sharp object(s)",
    "Z917": "Personal history of female genital mutilation",
    "D474": "Osteomyelofibrosis",
    "M1994": "Arthrosis, unspecified, hand",
    "M2412": "Other articular cartilage disorders, upper arm",
    "M6222": "Ischaemic infarction of muscle, upper arm",
    "M6240": "Contracture of muscle, multiple sites",
    "M8686": "Other osteomyelitis, lower leg",
    "M6258": "Muscle wasting and atrophy, not elsewhere classified, other",
    "M8917": "Epiphyseal arrest, ankle and foot",
    "M2526": "Flail joint, lower leg",
    "M2541": "Effusion of joint, shoulder region",
    "M2558": "Pain in joint, other",
    "M2572": "Osteophyte, upper arm",
    "M8934": "Hypertrophy of bone, hand",
    "M8950": "Osteolysis, multiple sites",
    "M8982": "Other specified disorders of bone, upper arm",
    "M0018": "Pneumococcal arthritis and polyarthritis, Other",
    "M0117": "Tuberculous arthritis, ankle and foot",
    "M2587": "Other specified joint disorders, ankle and foot",
    "M2593": "Joint disorder, unspecified, forearm",
    "M2564": "Stiffness of joint, not elsewhere classified, hand",
    "M2565": "Stiffness of joint, not elsewhere classified, pelvic region and thigh",
    "M2566": "Stiffness of joint, not elsewhere classified, lower leg",
    "M2567": "Stiffness of joint, not elsewhere classified, ankle and foot",
    "M2568": "Stiffness of joint, not elsewhere classified, other",
    "M2569": "Stiffness of joint, not elsewhere classified, site unspecified",
    "M2570": "Osteophyte, multiple sites",
    "M2571": "Osteophyte, shoulder region",
    "M2573": "Osteophyte, forearm",
    "M2574": "Osteophyte, hand",
    "M2575": "Osteophyte, pelvic region and thigh",
    "M2576": "Osteophyte, lower leg",
    "M2577": "Osteophyte, ankle and foot",
    "M2578": "Osteophyte, other",
    "M2579": "Osteophyte, site unspecified",
    "M2580": "Other specified joint disorders, multiple sites",
    "M2581": "Other specified joint disorders, shoulder region",
    "M2582": "Other specified joint disorders, upper arm",
    "M2583": "Other specified joint disorders, forearm",
    "M2584": "Other specified joint disorders, hand",
    "M2585": "Other specified joint disorders, pelvic region and thigh",
    "M2586": "Other specified joint disorders, lower leg",
    "M2588": "Other specified joint disorders, other",
    "M2589": "Other specified joint disorders, site unspecified",
    "M2590": "Joint disorder, unspecified, multiple sites",
    "M2591": "Joint disorder, unspecified, shoulder region",
    "M2592": "Joint disorder, unspecified, upper arm",
    "M2594": "Joint disorder, unspecified, hand",
    "M2595": "Joint disorder, unspecified, pelvic region and thigh",
    "M2596": "Joint disorder, unspecified, lower leg",
    "M2597": "Joint disorder, unspecified, ankle and foot",
    "M2598": "Joint disorder, unspecified, other",
    "M2599": "Joint disorder, unspecified, site unspecified",
    "M4000": "Postural kyphosis, Multiple sites in spine",
    "M4001": "Postural kyphosis, Occipito-atlanto-axial region",
    "M4002": "Postural kyphosis, Cervical region",
    "M4003": "Postural kyphosis, Cervicothoracic region",
    "M4004": "Postural kyphosis, Thoracic region",
    "M4005": "Postural kyphosis, Thoracolumbar region",
    "M4006": "Postural kyphosis, Lumbar region",
    "M4007": "Postural kyphosis, Lumbosacral region",
    "M4008": "Postural kyphosis, Sacral and sacrococcygeal region",
    "M4009": "Postural kyphosis, Site unspecified",
    "M4010": "Other secondary kyphosis, Multiple sites in spine",
    "M4012": "Other secondary kyphosis, Cervical region",
    "M4013": "Other secondary kyphosis, Cervicothoracic region",
    "M4014": "Other secondary kyphosis, Thoracic region",
    "M4015": "Other secondary kyphosis, Thoracolumbar region",
    "M4016": "Other secondary kyphosis, Lumbar region",
    "M4017": "Other secondary kyphosis, Lumbosacral region",
    "M4018": "Other secondary kyphosis, Sacral and sacrococcygeal region",
    "M4019": "Other secondary kyphosis, Site unspecified",
    "M4020": "Other and unspecified kyphosis, Multiple sites in spine",
    "M4021": "Other and unspecified kyphosis, Occipito-atlanto-axial region",
    "M4022": "Other and unspecified kyphosis, Cervical region",
    "M4023": "Other and unspecified kyphosis, Cervicothoracic region",
    "M4024": "Other and unspecified kyphosis, Thoracic region",
    "M4025": "Other and unspecified kyphosis, Thoracolumbar region",
    "M4026": "Other and unspecified kyphosis, Lumbar region",
    "M4027": "Other and unspecified kyphosis, Lumbosacral region",
    "M4028": "Other and unspecified kyphosis, Sacral and sacrococcygeal region",
    "M4029": "Other and unspecified kyphosis, Site unspecified",
    "M4030": "Flatback syndrome, Multiple sites in spine",
    "M4031": "Flatback syndrome, Occipito-atlanto-axial region",
    "M4032": "Flatback syndrome, Cervical region",
    "M4033": "Flatback syndrome, Cervicothoracic region",
    "M4035": "Flatback syndrome, Thoracolumbar region",
    "M4036": "Flatback syndrome, Lumbar region",
    "M7141": "Calcium deposit in bursa, shoulder region",
    "M7142": "Calcium deposit in bursa, upper arm",
    "M7143": "Calcium deposit in bursa, forearm",
    "M7144": "Calcium deposit in bursa, hand",
    "M7145": "Calcium deposit in bursa, pelvic region and thigh",
    "M7146": "Calcium deposit in bursa, lower leg",
    "M7147": "Calcium deposit in bursa, ankle and foot",
    "M7148": "Calcium deposit in bursa, other",
    "M7149": "Calcium deposit in bursa, site unspecified",
    "M7150": "Other bursitis, not elsewhere classified, multiple sites",
    "M7151": "Other bursitis, not elsewhere classified, shoulder region",
    "M7152": "Other bursitis, not elsewhere classified, upper arm",
    "M7153": "Other bursitis, not elsewhere classified, forearm",
    "M7154": "Other bursitis, not elsewhere classified, hand",
    "M7155": "Other bursitis, not elsewhere classified, pelvic region and thigh",
    "M7156": "Other bursitis, not elsewhere classified, lower leg",
    "M7157": "Other bursitis, not elsewhere classified, ankle and foot",
    "M7158": "Other bursitis, not elsewhere classified, other",
    "M7159": "Other bursitis, not elsewhere classified, site unspecified",
    "M7180": "Other specified bursopathies, multiple sites",
    "M7181": "Other specified bursopathies, shoulder region",
    "M7182": "Other specified bursopathies, upper arm",
    "M7183": "Other specified bursopathies, forearm",
    "M7184": "Other specified bursopathies, hand",
    "M7185": "Other specified bursopathies, pelvic region and thigh",
    "M7186": "Other specified bursopathies, lower leg",
    "M7187": "Other specified bursopathies, ankle and foot",
    "M7188": "Other specified bursopathies, other",
    "M7189": "Other specified bursopathies, site unspecified",
    "M7190": "Bursopathy, unspecified, multiple sites",
    "M7191": "Bursopathy, unspecified, shoulder region",
    "M7192": "Bursopathy, unspecified, upper arm",
    "M7193": "Bursopathy, unspecified, forearm",
    "M7194": "Bursopathy, unspecified, hand",
    "M7195": "Bursopathy, unspecified, pelvic region and thigh",
    "M7196": "Bursopathy, unspecified, lower leg",
    "M7197": "Bursopathy, unspecified, ankle and foot",
    "M7198": "Bursopathy, unspecified, other",
    "M7199": "Bursopathy, unspecified, site unspecified",
    "M7240": "Pseudosarcomatous fibromatosis, multiple sites",
    "M7241": "Pseudosarcomatous fibromatosis, shoulder region",
    "M7242": "Pseudosarcomatous fibromatosis, upper arm",
    "M7243": "Pseudosarcomatous fibromatosis, forearm",
    "M7244": "Pseudosarcomatous fibromatosis, hand",
    "M7245": "Pseudosarcomatous fibromatosis, pelvic region and thigh",
    "M7246": "Pseudosarcomatous fibromatosis, lower leg",
    "M7247": "Pseudosarcomatous fibromatosis, ankle and foot",
    "M7248": "Pseudosarcomatous fibromatosis, other",
    "M7249": "Pseudosarcomatous fibromatosis, site unspecified",
    "M7260": "Necrotizing fasciitis, multiple sites",
    "M7261": "Necrotizing fasciitis, shoulder region",
    "M7262": "Necrotizing fasciitis, upper arm",
    "M7263": "Necrotizing fasciitis, forearm",
    "M7264": "Necrotizing fasciitis, hand",
    "M7265": "Necrotizing fasciitis, pelvic region and thigh",
    "M7266": "Necrotizing fasciitis, lower leg",
    "M7267": "Necrotizing fasciitis, ankle and foot",
    "M7268": "Necrotizing fasciitis, other",
    "M7269": "Necrotizing fasciitis, site unspecified",
    "M7280": "Other fibroblastic disorders, multiple sites",
    "M7281": "Other fibroblastic disorders, shoulder region",
    "M7282": "Other fibroblastic disorders, upper arm",
    "M7283": "Other fibroblastic disorders, forearm",
    "M7284": "Other fibroblastic disorders, hand",
    "M7285": "Other fibroblastic disorders, pelvic region and thigh",
    "M7286": "Other fibroblastic disorders, lower leg",
    "M7287": "Other fibroblastic disorders, ankle and foot",
    "M7288": "Other fibroblastic disorders, other",
    "M7289": "Other fibroblastic disorders, site unspecified",
    "M4011": "Other secondary kyphosis, Occipito-atlanto-axial region",
    "M4034": "Flatback syndrome, Thoracic region",
    "M9002": "Tuberculosis of bone, upper arm",
    "M9018": "Periostitis in other infectious diseases classified elsewhere, other",
    "M0135": "Arthritis in other bacterial diseases classified elsewhere, pelvic region and thigh",
    "M4052": "Lordosis, unspecified, Cervical region",
    "M4110": "Juvenile idiopathic scoliosis, multiple sites in spine",
    "M9064": "Osteitis deformans in neoplastic disease, hand",
    "M9083": "Osteopathy in other diseases classified elsewhere, forearm",
    "M0206": "Arthropathy following intestinal bypass, lower leg",
    "M0227": "Postimmunization arthropathy, ankle and foot",
    "M4158": "Other secondary scoliosis, sacral and sacrococcygeal region",
    "M4201": "Juvenile osteochondrosis of spine, occipito-atlanto-axial region",
    "M0318": "Postinfective arthropathy in syphilis, other",
    "M0367": "Reactive arthropathy in other diseases classified elsewhere, ankle and foot",
    "M4339": "Recurrent atlantoaxial subluxation with myelopathy, site unspecified",
    "M0538": "Rheumatoid arthritis with involvement of other organs and systems, other",
    "M0603": "Seronegative rheumatoid arthritis, forearm",
    "M0632": "Rheumatoid nodule, upper arm",
    "M4387": "Other specified deforming dorsopathies, lumbosacral region",
    "M4610": "Sacroiliitis, not elsewhere classified, multiple sites in spine",
    "M0648": "Inflammatory polyarthropathy, other",
    "M0695": "Rheumatoid arthritis, unspecified, pelvic region and thigh",
    "M4703": "Anterior spinal and vertebral artery compression syndromes, cervicothoracic region",
    "M8026": "Osteoporosis of disuse with pathological fracture, lower leg",
    "M8095": "Unspecified osteoporosis with pathological fracture, pelvic region and thigh",
    "M0742": "Arthropathy in Crohn disease [regional enteritis], upper arm",
    "M0764": "Other enteropathic arthropathies, hand",
    "M0812": "Juvenile ankylosing spondylitis, upper arm",
    "M4784": "Other spondylosis, thoracic region",
    "M4801": "Spinal stenosis, occipito-atlanto-axial region",
    "M4820": "Kissing spine, multiple sites in spine",
    "M8121": "Osteoporosis of disuse, shoulder region",
    "M8153": "Idiopathic osteoporosis, forearm",
    "M0846": "Pauciarticular juvenile arthritis, lower leg",
    "M0895": "Juvenile arthritis, unspecified, pelvic region and thigh",
    "M4844": "Fatigue fracture of vertebra, thoracic region",
    "M4884": "Other specified spondylopathies, thoracic region",
    "M4904": "Tuberculosis of spine, thoracic region",
    "M8169": "Localized osteoporosis [Lequesne], site unspecified",
    "M8200": "Osteoporosis in multiple myelomatosis, multiple sites",
    "M8313": "Senile osteomalacia, forearm",
    "M0984": "Juvenile arthritis in other diseases classified elsewhere, hand",
    "M1017": "Lead-induced gout, ankle and foot",
    "M1034": "Gout due to impairment of renal function, hand",
    "M4984": "Spondylopathy in other diseases classified elsewhere, thoracic region",
    "M8329": "Adult osteomalacia due to malabsorption, site unspecified",
    "M8358": "Other drug-induced osteomalacia in adults, other",
    "M8398": "Adult osteomalacia, unspecified, other",
    "M1105": "Hydroxyapatite deposition disease, pelvic region and thigh",
    "M1127": "Other chondrocalcinosis, ankle and foot",
    "M1195": "Crystal arthropathy, unspecified, pelvic region and thigh",
    "M5318": "Cervicobrachial syndrome, sacral and sacrococcygeal region",
    "M5381": "Other specified dorsopathies, occipito-atlanto-axial region",
    "M8416": "Nonunion of fracture [pseudarthrosis], lower leg",
    "M1227": "Villonodular synovitis (pigmented), ankle and foot",
    "M1248": "Intermittent hydrarthrosis, other",
    "M1285": "Other specific arthropathies, not elsewhere classified, pelvic region and thigh",
    "M1303": "Polyarthritis, unspecified, forearm",
    "M8561": "Other cyst of bone, shoulder region",
    "M1381": "Other specified arthritis, shoulder region",
    "M1399": "Arthritis, unspecified, site unspecified",
    "M1900": "Primary arthrosis of other joints, multiple sites",
    "A97": "Dengue",
    "A970": "Dengue without warning signs",
    "A971": "Dengue with warning signs",
    "A972": "Severe Dengue",
    "A979": "Dengue, unspecified",
    "D465": "Refractory anaemia with multi-lineage dysplasia",
    "D466": "Myelodysplastic syndrome with isolated del(5q) chromosomal abnormality",
    "D475": "Chronic eosinophilic leukaemia [hypereosinophilic syndrome]",
    "G233": "Multiple system atrophy, cerebellar type [MSA-C]",
    "G835": "Locked-in syndrome",
    "L987": "Excessive and redundant skin and subcutaneous tissue",
    "M0000": "Staphylococcal arthritis and polyarthritis, Multiple sites",
    "M0001": "Staphylococcal arthritis and polyarthritis, Shoulder region",
    "M0002": "Staphylococcal arthritis and polyarthritis, Upper arm",
    "M0003": "Staphylococcal arthritis and polyarthritis, Forearm",
    "M0004": "Staphylococcal arthritis and polyarthritis, Hand",
    "M0005": "Staphylococcal arthritis and polyarthritis, Pelvic region and thigh",
    "M0006": "Staphylococcal arthritis and polyarthritis, Lower leg",
    "M0007": "Staphylococcal arthritis and polyarthritis, Ankle and foot",
    "M0008": "Staphylococcal arthritis and polyarthritis, Other",
    "M0009": "Staphylococcal arthritis and polyarthritis, Site unspecified",
    "M0010": "Pneumococcal arthritis and polyarthritis, Multiple sites",
    "M0011": "Pneumococcal arthritis and polyarthritis, Shoulder region",
    "M0012": "Pneumococcal arthritis and polyarthritis, Upper arm",
    "M0013": "Pneumococcal arthritis and polyarthritis, Forearm",
    "M0014": "Pneumococcal arthritis and polyarthritis, Hand",
    "M0015": "Pneumococcal arthritis and polyarthritis, Pelvic region and thigh",
    "M0016": "Pneumococcal arthritis and polyarthritis, Lower leg",
    "M0017": "Pneumococcal arthritis and polyarthritis, Ankle and foot",
    "M0019": "Pneumococcal arthritis and polyarthritis, Site unspecified",
    "M0020": "Other streptococcal arthritis and polyarthritis, Multiple sites",
    "M0021": "Other streptococcal arthritis and polyarthritis, Shoulder region",
    "M0022": "Other streptococcal arthritis and polyarthritis, Upper arm",
    "M0023": "Other streptococcal arthritis and polyarthritis, Forearm",
    "M0024": "Other streptococcal arthritis and polyarthritis, Hand",
    "M0025": "Other streptococcal arthritis and polyarthritis, Pelvic region and thigh",
    "M4037": "Flatback syndrome, Lumbosacral region",
    "M4038": "Flatback syndrome, Sacral and sacrococcygeal region",
    "M4039": "Flatback syndrome, Site unspecified",
    "M4040": "Other lordosis, Multiple sites in spine",
    "M4041": "Other lordosis, Occipito-atlanto-axial region",
    "M4042": "Other lordosis, Cervical region",
    "M4043": "Other lordosis, Cervicothoracic region",
    "M4044": "Other lordosis, Thoracic region",
    "M4045": "Other lordosis, Thoracolumbar region",
    "M4046": "Other lordosis, Lumbar region",
    "M4047": "Other lordosis, Lumbosacral region",
    "M4048": "Other lordosis, Sacral and sacrococcygeal region",
    "M4049": "Other lordosis, Site unspecified",
    "M4050": "Lordosis, unspecified, Multiple sites in spine",
    "M4051": "Lordosis, unspecified, Occipito-atlanto-axial region",
    "M4053": "Lordosis, unspecified, Cervicothoracic region",
    "M4054": "Lordosis, unspecified, Thoracic region",
    "M4055": "Lordosis, unspecified, Thoracolumbar region",
    "M4056": "Lordosis, unspecified, Lumbar region",
    "M4057": "Lordosis, unspecified, Lumbosacral region",
    "M4058": "Lordosis, unspecified, Sacral and sacrococcygeal region",
    "M4059": "Lordosis, unspecified, Site unspecified",
    "M4100": "Infantile idiopathic scoliosis, multiple sites in spine",
    "M4101": "Infantile idiopathic scoliosis, occipito-atlanto-axial region",
    "M4102": "Infantile idiopathic scoliosis, cervical region",
    "M4103": "Infantile idiopathic scoliosis, cervicothoracic region",
    "M4104": "Infantile idiopathic scoliosis, thoracic region",
    "M4105": "Infantile idiopathic scoliosis, thoracolumbar region",
    "M4106": "Infantile idiopathic scoliosis, lumbar region",
    "M4107": "Infantile idiopathic scoliosis, lumbosacral region",
    "M4108": "Infantile idiopathic scoliosis, sacral and sacrococcygeal region",
    "M4109": "Infantile idiopathic scoliosis, site unspecified",
    "M4111": "Juvenile idiopathic scoliosis, occipito-atlanto-axial region",
    "M4112": "Juvenile idiopathic scoliosis, cervical region",
    "M4113": "Juvenile idiopathic scoliosis, cervicothoracic region",
    "M4114": "Juvenile idiopathic scoliosis, thoracic region",
    "M4115": "Juvenile idiopathic scoliosis, thoracolumbar region",
    "M4116": "Juvenile idiopathic scoliosis, lumbar region",
    "M4117": "Juvenile idiopathic scoliosis, lumbosacral region",
    "M4118": "Juvenile idiopathic scoliosis, sacral and sacrococcygeal region",
    "M4119": "Juvenile idiopathic scoliosis, site unspecified",
    "M4120": "Other idiopathic scoliosis, multiple sites in spine",
    "M4121": "Other idiopathic scoliosis, occipito-atlanto-axial region",
    "M4122": "Other idiopathic scoliosis, cervical region",
    "M4123": "Other idiopathic scoliosis, cervicothoracic region",
    "M4124": "Other idiopathic scoliosis, thoracic region",
    "M4125": "Other idiopathic scoliosis, thoracolumbar region",
    "M4126": "Other idiopathic scoliosis, lumbar region",
    "M4127": "Other idiopathic scoliosis, lumbosacral region",
    "M4128": "Other idiopathic scoliosis, sacral and sacrococcygeal region",
    "M4129": "Other idiopathic scoliosis, site unspecified",
    "M4130": "Thoracogenic scoliosis, multiple sites in spine",
    "M4131": "Thoracogenic scoliosis, occipito-atlanto-axial region",
    "M4132": "Thoracogenic scoliosis, cervical region",
    "M4133": "Thoracogenic scoliosis, cervicothoracic region",
    "M4134": "Thoracogenic scoliosis, thoracic region",
    "M4135": "Thoracogenic scoliosis, thoracolumbar region",
    "M4136": "Thoracogenic scoliosis, lumbar region",
    "M4137": "Thoracogenic scoliosis, lumbosacral region",
    "M4138": "Thoracogenic scoliosis, sacral and sacrococcygeal region",
    "M4139": "Thoracogenic scoliosis, site unspecified",
    "M4140": "Neuromuscular scoliosis, multiple sites in spine",
    "M4141": "Neuromuscular scoliosis, occipito-atlanto-axial region",
    "M4142": "Neuromuscular scoliosis, cervical region",
    "M4143": "Neuromuscular scoliosis, cervicothoracic region",
    "M4144": "Neuromuscular scoliosis, thoracic region",
    "M7290": "Fibroblastic disorder, unspecified, multiple sites",
    "M7291": "Fibroblastic disorder, unspecified, shoulder region",
    "M7292": "Fibroblastic disorder, unspecified, upper arm",
    "M7293": "Fibroblastic disorder, unspecified, forearm",
    "M7294": "Fibroblastic disorder, unspecified, hand",
    "M7295": "Fibroblastic disorder, unspecified, pelvic region and thigh",
    "M7296": "Fibroblastic disorder, unspecified, lower leg",
    "M7297": "Fibroblastic disorder, unspecified, ankle and foot",
    "M7298": "Fibroblastic disorder, unspecified, other",
    "M7299": "Fibroblastic disorder, unspecified, site unspecified",
    "M7300": "Gonococcal bursitis, multiple sites",
    "M7301": "Gonococcal bursitis, shoulder region",
    "M7302": "Gonococcal bursitis, upper arm",
    "M7303": "Gonococcal bursitis, forearm",
    "M7304": "Gonococcal bursitis, hand",
    "M7305": "Gonococcal bursitis, pelvic region and thigh",
    "M7306": "Gonococcal bursitis, lower leg",
    "M7307": "Gonococcal bursitis, ankle and foot",
    "M7308": "Gonococcal bursitis, other",
    "M7309": "Gonococcal bursitis, site unspecified",
    "M7310": "Syphilitic bursitis, multiple sites",
    "M7311": "Syphilitic bursitis, shoulder region",
    "M7312": "Syphilitic bursitis, upper arm",
    "M7313": "Syphilitic bursitis, forearm",
    "M7314": "Syphilitic bursitis, hand",
    "M7315": "Syphilitic bursitis, pelvic region and thigh",
    "M7316": "Syphilitic bursitis, lower leg",
    "M7317": "Syphilitic bursitis, ankle and foot",
    "M7318": "Syphilitic bursitis, other",
    "M7319": "Syphilitic bursitis, site unspecified",
    "M7380": "Other soft tissue disorders in diseases classified elsewhere, multiple sites",
    "M7381": "Other soft tissue disorders in diseases classified elsewhere, shoulder region",
    "M7382": "Other soft tissue disorders in diseases classified elsewhere, upper arm",
    "M7383": "Other soft tissue disorders in diseases classified elsewhere, forearm",
    "M7384": "Other soft tissue disorders in diseases classified elsewhere, hand",
    "M7385": "Other soft tissue disorders in diseases classified elsewhere, pelvic region and thigh",
    "M7386": "Other soft tissue disorders in diseases classified elsewhere, lower leg",
    "M7387": "Other soft tissue disorders in diseases classified elsewhere, ankle and foot",
    "M7388": "Other soft tissue disorders in diseases classified elsewhere, other",
    "M7389": "Other soft tissue disorders in diseases classified elsewhere, site unspecified",
    "M7600": "Gluteal tendinitis, multiple sites",
    "M7601": "Gluteal tendinitis, shoulder region",
    "M7602": "Gluteal tendinitis, upper arm",
    "M7603": "Gluteal tendinitis, forearm",
    "M7604": "Gluteal tendinitis, hand",
    "M7605": "Gluteal tendinitis, pelvic region and thigh",
    "M7606": "Gluteal tendinitis, lower leg",
    "M7607": "Gluteal tendinitis, ankle and foot",
    "M7608": "Gluteal tendinitis, other",
    "M7609": "Gluteal tendinitis, site unspecified",
    "M7780": "Other enthesopathies, not elsewhere classified, multiple sites",
    "M7781": "Other enthesopathies, not elsewhere classified, shoulder region",
    "M7782": "Other enthesopathies, not elsewhere classified, upper arm",
    "M7783": "Other enthesopathies, not elsewhere classified, forearm",
    "M7784": "Other enthesopathies, not elsewhere classified, hand",
    "M7785": "Other enthesopathies, not elsewhere classified, pelvic region and thigh",
    "M7786": "Other enthesopathies, not elsewhere classified, lower leg",
    "M7787": "Other enthesopathies, not elsewhere classified, ankle and foot",
    "M7788": "Other enthesopathies, not elsewhere classified, other",
    "M7789": "Other enthesopathies, not elsewhere classified, site unspecified",
    "M7790": "Enthesopathy, unspecified, multiple sites",
    "M7791": "Enthesopathy, unspecified, shoulder region",
    "M7792": "Enthesopathy, unspecified, upper arm",
    "M7793": "Enthesopathy, unspecified, forearm",
    "M7794": "Enthesopathy, unspecified, hand",
    "M7795": "Enthesopathy, unspecified, pelvic region and thigh",
    "M1921": "Other secondary arthrosis, shoulder region",
    "M6112": "Myositis ossificans progressiva, upper arm",
    "M6131": "Calcification and ossification of muscles associated with burns, shoulder region",
    "M8589": "Other specified disorders of bone density and structure, site unspecified",
    "M8614": "Other acute osteomyelitis, hand",
    "M8621": "Subacute osteomyelitis, shoulder region",
    "M8639": "Chronic multifocal osteomyelitis, site unspecified",
    "M0026": "Other streptococcal arthritis and polyarthritis, Lower leg",
    "M0027": "Other streptococcal arthritis and polyarthritis, Ankle and foot",
    "M0028": "Other streptococcal arthritis and polyarthritis, Other",
    "M0029": "Other streptococcal arthritis and polyarthritis, Site unspecified",
    "M0080": "Arthritis and polyarthritis due to other specified bacterial agents, Multiple sites",
    "M0081": "Arthritis and polyarthritis due to other specified bacterial agents, Shoulder region",
    "M0082": "Arthritis and polyarthritis due to other specified bacterial agents, Upper arm",
    "M0083": "Arthritis and polyarthritis due to other specified bacterial agents, Forearm",
    "M0084": "Arthritis and polyarthritis due to other specified bacterial agents, Hand",
    "M0085": "Arthritis and polyarthritis due to other specified bacterial agents, Pelvic region and thigh",
    "M0086": "Arthritis and polyarthritis due to other specified bacterial agents, Lower leg",
    "M0087": "Arthritis and polyarthritis due to other specified bacterial agents, Ankle and foot",
    "M0088": "Arthritis and polyarthritis due to other specified bacterial agents, Other",
    "M0089": "Arthritis and polyarthritis due to other specified bacterial agents, Site unspecified",
    "M0090": "Pyogenic arthritis, unspecified, Multiple sites",
    "M0091": "Pyogenic arthritis, unspecified, Shoulder region",
    "M0092": "Pyogenic arthritis, unspecified, Upper arm",
    "M0093": "Pyogenic arthritis, unspecified, Forearm",
    "M0094": "Pyogenic arthritis, unspecified, Hand",
    "M0095": "Pyogenic arthritis, unspecified, Pelvic region and thigh",
    "M0096": "Pyogenic arthritis, unspecified, Lower leg",
    "M0097": "Pyogenic arthritis, unspecified, Ankle and foot",
    "M0098": "Pyogenic arthritis, unspecified, Other",
    "M0099": "Pyogenic arthritis, unspecified, Site unspecified",
    "M0100": "Meningococcal arthritis, multiple sites",
    "M0101": "Meningococcal arthritis, shoulder region",
    "M0102": "Meningococcal arthritis, upper arm",
    "M0103": "Meningococcal arthritis, forearm",
    "M0104": "Meningococcal arthritis, hand",
    "M0105": "Meningococcal arthritis, pelvic region and thigh",
    "M0106": "Meningococcal arthritis, lower leg",
    "M0107": "Meningococcal arthritis, ankle and foot",
    "M0108": "Meningococcal arthritis, other",
    "M0109": "Meningococcal arthritis, site unspecified",
    "M0110": "Tuberculous arthritis, multiple sites",
    "M0111": "Tuberculous arthritis, shoulder region",
    "M0112": "Tuberculous arthritis, upper arm",
    "M0113": "Tuberculous arthritis, forearm",
    "M0114": "Tuberculous arthritis, hand",
    "M0115": "Tuberculous arthritis, pelvic region and thigh",
    "M0116": "Tuberculous arthritis, lower leg",
    "M0118": "Tuberculous arthritis, other",
    "M0119": "Tuberculous arthritis, site unspecified",
    "M0120": "Arthritis in Lyme disease, multiple sites",
    "M0121": "Arthritis in Lyme disease, shoulder region",
    "M0122": "Arthritis in Lyme disease, upper arm",
    "M0123": "Arthritis in Lyme disease, forearm",
    "M0124": "Arthritis in Lyme disease, hand",
    "M0125": "Arthritis in Lyme disease, pelvic region and thigh",
    "M0126": "Arthritis in Lyme disease, lower leg",
    "M0127": "Arthritis in Lyme disease, ankle and foot",
    "M0128": "Arthritis in Lyme disease, other",
    "M0129": "Arthritis in Lyme disease, site unspecified",
    "M0130": "Arthritis in other bacterial diseases classified elsewhere, multiple sites",
    "M0131": "Arthritis in other bacterial diseases classified elsewhere, shoulder region",
    "M0132": "Arthritis in other bacterial diseases classified elsewhere, upper arm",
    "M0133": "Arthritis in other bacterial diseases classified elsewhere, forearm",
    "M0134": "Arthritis in other bacterial diseases classified elsewhere, hand",
    "M0136": "Arthritis in other bacterial diseases classified elsewhere, lower leg",
    "M0137": "Arthritis in other bacterial diseases classified elsewhere, ankle and foot",
    "M0138": "Arthritis in other bacterial diseases classified elsewhere, other",
    "M0139": "Arthritis in other bacterial diseases classified elsewhere, site unspecified",
    "M0140": "Rubella arthritis, multiple sites",
    "M4145": "Neuromuscular scoliosis, thoracolumbar region",
    "M4146": "Neuromuscular scoliosis, lumbar region",
    "M4147": "Neuromuscular scoliosis, lumbosacral region",
    "M4148": "Neuromuscular scoliosis, sacral and sacrococcygeal region",
    "M4149": "Neuromuscular scoliosis, site unspecified",
    "M4150": "Other secondary scoliosis, multiple sites in spine",
    "M4151": "Other secondary scoliosis, occipito-atlanto-axial region",
    "M4152": "Other secondary scoliosis, cervical region",
    "M4153": "Other secondary scoliosis, cervicothoracic region",
    "M4154": "Other secondary scoliosis, thoracic region",
    "M4155": "Other secondary scoliosis, thoracolumbar region",
    "M4156": "Other secondary scoliosis, lumbar region",
    "M4157": "Other secondary scoliosis, lumbosacral region",
    "M4159": "Other secondary scoliosis, site unspecified",
    "M4180": "Other forms of scoliosis, multiple sites in spine",
    "M4181": "Other forms of scoliosis, occipito-atlanto-axial region",
    "M4182": "Other forms of scoliosis, cervical region",
    "M4183": "Other forms of scoliosis, cervicothoracic region",
    "M4184": "Other forms of scoliosis, thoracic region",
    "M4185": "Other forms of scoliosis, thoracolumbar region",
    "M4186": "Other forms of scoliosis, lumbar region",
    "M4187": "Other forms of scoliosis, lumbosacral region",
    "M4188": "Other forms of scoliosis, sacral and sacrococcygeal region",
    "M4189": "Other forms of scoliosis, site unspecified",
    "M4190": "Scoliosis, unspecified, multiple sites in spine",
    "M4191": "Scoliosis, unspecified, occipito-atlanto-axial region",
    "M4192": "Scoliosis, unspecified, cervical region",
    "M4193": "Scoliosis, unspecified, cervicothoracic region",
    "M4194": "Scoliosis, unspecified, thoracic region",
    "M4195": "Scoliosis, unspecified, thoracolumbar region",
    "M4196": "Scoliosis, unspecified, lumbar region",
    "M4197": "Scoliosis, unspecified, lumbosacral region",
    "M4198": "Scoliosis, unspecified, sacral and sacrococcygeal region",
    "M4199": "Scoliosis, unspecified, site unspecified",
    "M4200": "Juvenile osteochondrosis of spine, multiple sites in spine",
    "M4202": "Juvenile osteochondrosis of spine, cervical region",
    "M4203": "Juvenile osteochondrosis of spine, cervicothoracic region",
    "M4204": "Juvenile osteochondrosis of spine, thoracic region",
    "M4205": "Juvenile osteochondrosis of spine, thoracolumbar region",
    "M4206": "Juvenile osteochondrosis of spine, lumbar region",
    "M4207": "Juvenile osteochondrosis of spine, lumbosacral region",
    "M4208": "Juvenile osteochondrosis of spine, sacral and sacrococcygeal region",
    "M4209": "Juvenile osteochondrosis of spine, site unspecified",
    "M4210": "Adult osteochondrosis of spine, multiple sites in spine",
    "M4211": "Adult osteochondrosis of spine, occipito-atlanto-axial region",
    "M4212": "Adult osteochondrosis of spine, cervical region",
    "M4213": "Adult osteochondrosis of spine, cervicothoracic region",
    "M4214": "Adult osteochondrosis of spine, thoracic region",
    "M4215": "Adult osteochondrosis of spine, thoracolumbar region",
    "M4216": "Adult osteochondrosis of spine, lumbar region",
    "M4217": "Adult osteochondrosis of spine, lumbosacral region",
    "M4218": "Adult osteochondrosis of spine, sacral and sacrococcygeal region",
    "M4219": "Adult osteochondrosis of spine, site unspecified",
    "M4290": "Spinal osteochondrosis, unspecified, multiple sites in spine",
    "M4291": "Spinal osteochondrosis, unspecified, occipito-atlanto-axial region",
    "M4292": "Spinal osteochondrosis, unspecified, cervical region",
    "M4293": "Spinal osteochondrosis, unspecified, cervicothoracic region",
    "M4294": "Spinal osteochondrosis, unspecified, thoracic region",
    "M4295": "Spinal osteochondrosis, unspecified, thoracolumbar region",
    "M4296": "Spinal osteochondrosis, unspecified, lumbar region",
    "M4297": "Spinal osteochondrosis, unspecified, lumbosacral region",
    "M4298": "Spinal osteochondrosis, unspecified, sacral and sacrococcygeal region",
    "M4299": "Spinal osteochondrosis, unspecified, site unspecified",
    "M4300": "Spondylolysis, multiple sites in spine",
    "M7796": "Enthesopathy, unspecified, lower leg",
    "M7797": "Enthesopathy, unspecified, ankle and foot",
    "M7798": "Enthesopathy, unspecified, other",
    "M7799": "Enthesopathy, unspecified, site unspecified",
    "M7900": "Rheumatism, unspecified, multiple sites",
    "M7901": "Rheumatism, unspecified, shoulder region",
    "M7902": "Rheumatism, unspecified, upper arm",
    "M7903": "Rheumatism, unspecified, forearm",
    "M7904": "Rheumatism, unspecified, hand",
    "M7905": "Rheumatism, unspecified, pelvic region and thigh",
    "M7906": "Rheumatism, unspecified, lower leg",
    "M7907": "Rheumatism, unspecified, ankle and foot",
    "M7908": "Rheumatism, unspecified, other",
    "M7909": "Rheumatism, unspecified, site unspecified",
    "M7910": "Myalgia, multiple sites",
    "M7911": "Myalgia, shoulder region",
    "M7912": "Myalgia, upper arm",
    "M7913": "Myalgia, forearm",
    "M7914": "Myalgia, hand",
    "M7915": "Myalgia, pelvic region and thigh",
    "M7916": "Myalgia, lower leg",
    "M7917": "Myalgia, ankle and foot",
    "M7918": "Myalgia, other",
    "M7919": "Myalgia, site unspecified",
    "M7920": "Neuralgia and neuritis, unspecified, multiple sites",
    "M7921": "Neuralgia and neuritis, unspecified, shoulder region",
    "M7922": "Neuralgia and neuritis, unspecified, upper arm",
    "M7923": "Neuralgia and neuritis, unspecified, forearm",
    "M7924": "Neuralgia and neuritis, unspecified, hand",
    "M7925": "Neuralgia and neuritis, unspecified, pelvic region and thigh",
    "M7926": "Neuralgia and neuritis, unspecified, lower leg",
    "M7927": "Neuralgia and neuritis, unspecified, ankle and foot",
    "M7928": "Neuralgia and neuritis, unspecified, other",
    "M7929": "Neuralgia and neuritis, unspecified, site unspecified",
    "M7930": "Panniculitis, unspecified, multiple sites",
    "M7931": "Panniculitis, unspecified, shoulder region",
    "M7932": "Panniculitis, unspecified, upper arm",
    "M7933": "Panniculitis, unspecified, forearm",
    "M7934": "Panniculitis, unspecified, hand",
    "M7935": "Panniculitis, unspecified, pelvic region and thigh",
    "M7936": "Panniculitis, unspecified, lower leg",
    "M7937": "Panniculitis, unspecified, ankle and foot",
    "M7938": "Panniculitis, unspecified, other",
    "M7939": "Panniculitis, unspecified, site unspecified",
    "M7950": "Residual foreign body in soft tissue, multiple sites",
    "M7951": "Residual foreign body in soft tissue, shoulder region",
    "M7952": "Residual foreign body in soft tissue, upper arm",
    "M7953": "Residual foreign body in soft tissue, forearm",
    "M7954": "Residual foreign body in soft tissue, hand",
    "M7955": "Residual foreign body in soft tissue, pelvic region and thigh",
    "M7956": "Residual foreign body in soft tissue, lower leg",
    "M7957": "Residual foreign body in soft tissue, ankle and foot",
    "M7958": "Residual foreign body in soft tissue, other",
    "M7959": "Residual foreign body in soft tissue, site unspecified",
    "M7960": "Pain in limb, multiple sites",
    "M7961": "Pain in limb, shoulder region",
    "M7962": "Pain in limb, upper arm",
    "M7963": "Pain in limb, forearm",
    "M7964": "Pain in limb, hand",
    "M7965": "Pain in limb, pelvic region and thigh",
    "M7966": "Pain in limb, lower leg",
    "M7967": "Pain in limb, ankle and foot",
    "M7968": "Pain in limb, other",
    "M7969": "Pain in limb, site unspecified",
    "M7970": "Fibromyalgia, multiple sites",
    "M7971": "Fibromyalgia, shoulder region",
    "M7972": "Fibromyalgia, upper arm",
    "M7973": "Fibromyalgia, forearm",
    "M7974": "Fibromyalgia, hand",
    "M7975": "Fibromyalgia, pelvic region and thigh",
    "M7976": "Fibromyalgia, lower leg",
    "M7977": "Fibromyalgia, ankle and foot",
    "M7978": "Fibromyalgia, other",
    "M0141": "Rubella arthritis, shoulder region",
    "M0142": "Rubella arthritis, upper arm",
    "M0143": "Rubella arthritis, forearm",
    "M0144": "Rubella arthritis, hand",
    "M0145": "Rubella arthritis, pelvic region and thigh",
    "M0146": "Rubella arthritis, lower leg",
    "M0147": "Rubella arthritis, ankle and foot",
    "M0148": "Rubella arthritis, other",
    "M0149": "Rubella arthritis, site unspecified",
    "M0150": "Arthritis in other viral diseases classified elsewhere, multiple sites",
    "M0151": "Arthritis in other viral diseases classified elsewhere, shoulder region",
    "M0152": "Arthritis in other viral diseases classified elsewhere, upper arm",
    "M0153": "Arthritis in other viral diseases classified elsewhere, forearm",
    "M0154": "Arthritis in other viral diseases classified elsewhere, hand",
    "M0155": "Arthritis in other viral diseases classified elsewhere, pelvic region and thigh",
    "M0156": "Arthritis in other viral diseases classified elsewhere, lower leg",
    "M0157": "Arthritis in other viral diseases classified elsewhere, ankle and foot",
    "M0158": "Arthritis in other viral diseases classified elsewhere, other",
    "M0159": "Arthritis in other viral diseases classified elsewhere, site unspecified",
    "M0160": "Arthritis in mycoses, multiple sites",
    "M0161": "Arthritis in mycoses, shoulder region",
    "M0162": "Arthritis in mycoses, upper arm",
    "M0163": "Arthritis in mycoses, forearm",
    "M0164": "Arthritis in mycoses, hand",
    "M0165": "Arthritis in mycoses, pelvic region and thigh",
    "M0166": "Arthritis in mycoses, lower leg",
    "M0167": "Arthritis in mycoses, ankle and foot",
    "M0168": "Arthritis in mycoses, other",
    "M0169": "Arthritis in mycoses, site unspecified",
    "M0180": "Arthritis in other infectious and parasitic diseases classified elsewhere, multiple sites",
    "M0181": "Arthritis in other infectious and parasitic diseases classified elsewhere, shoulder region",
    "M0182": "Arthritis in other infectious and parasitic diseases classified elsewhere, upper arm",
    "M0183": "Arthritis in other infectious and parasitic diseases classified elsewhere, forearm",
    "M0184": "Arthritis in other infectious and parasitic diseases classified elsewhere, hand",
    "M0185": "Arthritis in other infectious and parasitic diseases classified elsewhere, pelvic region and thigh",
    "M0186": "Arthritis in other infectious and parasitic diseases classified elsewhere, lower leg",
    "M0187": "Arthritis in other infectious and parasitic diseases classified elsewhere, ankle and foot",
    "M0188": "Arthritis in other infectious and parasitic diseases classified elsewhere, other",
    "M0189": "Arthritis in other infectious and parasitic diseases classified elsewhere, site unspecified",
    "M0200": "Arthropathy following intestinal bypass, multiple sites",
    "M0201": "Arthropathy following intestinal bypass, shoulder region",
    "M0202": "Arthropathy following intestinal bypass, upper arm",
    "M0203": "Arthropathy following intestinal bypass, forearm",
    "M0204": "Arthropathy following intestinal bypass, hand",
    "M0205": "Arthropathy following intestinal bypass, pelvic region and thigh",
    "M0207": "Arthropathy following intestinal bypass, ankle and foot",
    "M0208": "Arthropathy following intestinal bypass, other",
    "M0209": "Arthropathy following intestinal bypass, site unspecified",
    "M0210": "Postdysenteric arthropathy, multiple sites",
    "M0211": "Postdysenteric arthropathy, shoulder region",
    "M0212": "Postdysenteric arthropathy, upper arm",
    "M0213": "Postdysenteric arthropathy, forearm",
    "M0214": "Postdysenteric arthropathy, hand",
    "M0215": "Postdysenteric arthropathy, pelvic region and thigh",
    "M0216": "Postdysenteric arthropathy, lower leg",
    "M0217": "Postdysenteric arthropathy, ankle and foot",
    "M0218": "Postdysenteric arthropathy, other",
    "M0219": "Postdysenteric arthropathy, site unspecified",
    "M0220": "Postimmunization arthropathy, multiple sites",
    "M0221": "Postimmunization arthropathy, shoulder region",
    "M0222": "Postimmunization arthropathy, upper arm",
    "M0223": "Postimmunization arthropathy, forearm",
    "M0224": "Postimmunization arthropathy, hand",
    "M4301": "Spondylolysis, occipito-atlanto-axial region",
    "M4302": "Spondylolysis, cervical region",
    "M4303": "Spondylolysis, cervicothoracic region",
    "M4304": "Spondylolysis, thoracic region",
    "M4305": "Spondylolysis, thoracolumbar region",
    "M4306": "Spondylolysis, lumbar region",
    "M4307": "Spondylolysis, lumbosacral region",
    "M4308": "Spondylolysis, sacral and sacrococcygeal region",
    "M4309": "Spondylolysis, site unspecified",
    "M4310": "Spondylolisthesis, multiple sites in spine",
    "M4311": "Spondylolisthesis, occipito-atlanto-axial region",
    "M4312": "Spondylolisthesis, cervical region",
    "M4313": "Spondylolisthesis, cervicothoracic region",
    "M4314": "Spondylolisthesis, thoracic region",
    "M4315": "Spondylolisthesis, thoracolumbar region",
    "M4316": "Spondylolisthesis, lumbar region",
    "M4317": "Spondylolisthesis, lumbosacral region",
    "M4318": "Spondylolisthesis, sacral and sacrococcygeal region",
    "M4319": "Spondylolisthesis, site unspecified",
    "M4330": "Recurrent atlantoaxial subluxation with myelopathy, multiple sites in spine",
    "M4331": "Recurrent atlantoaxial subluxation with myelopathy, occipito-atlanto-axial region",
    "M4332": "Recurrent atlantoaxial subluxation with myelopathy, cervical region",
    "M4333": "Recurrent atlantoaxial subluxation with myelopathy, cervicothoracic region",
    "M4334": "Recurrent atlantoaxial subluxation with myelopathy, thoracic region",
    "M4335": "Recurrent atlantoaxial subluxation with myelopathy, thoracolumbar region",
    "M4336": "Recurrent atlantoaxial subluxation with myelopathy, lumbar region",
    "M4337": "Recurrent atlantoaxial subluxation with myelopathy, lumbosacral region",
    "M4338": "Recurrent atlantoaxial subluxation with myelopathy, sacral and sacrococcygeal region",
    "M4340": "Other recurrent atlantoaxial subluxation, multiple sites in spine",
    "M4341": "Other recurrent atlantoaxial subluxation, occipito-atlanto-axial region",
    "M4342": "Other recurrent atlantoaxial subluxation, cervical region",
    "M4343": "Other recurrent atlantoaxial subluxation, cervicothoracic region",
    "M4344": "Other recurrent atlantoaxial subluxation, thoracic region",
    "M4345": "Other recurrent atlantoaxial subluxation, thoracolumbar region",
    "M4346": "Other recurrent atlantoaxial subluxation, lumbar region",
    "M4347": "Other recurrent atlantoaxial subluxation, lumbosacral region",
    "M4348": "Other recurrent atlantoaxial subluxation, sacral and sacrococcygeal region",
    "M4349": "Other recurrent atlantoaxial subluxation, site unspecified",
    "M4350": "Other recurrent vertebral subluxation, multiple sites in spine",
    "M4351": "Other recurrent vertebral subluxation, occipito-atlanto-axial region",
    "M4352": "Other recurrent vertebral subluxation, cervical region",
    "M4353": "Other recurrent vertebral subluxation, cervicothoracic region",
    "M4354": "Other recurrent vertebral subluxation, thoracic region",
    "M4355": "Other recurrent vertebral subluxation, thoracolumbar region",
    "M4356": "Other recurrent vertebral subluxation, lumbar region",
    "M4357": "Other recurrent vertebral subluxation, lumbosacral region",
    "M4358": "Other recurrent vertebral subluxation, sacral and sacrococcygeal region",
    "M4359": "Other recurrent vertebral subluxation, site unspecified",
    "M4360": "Torticollis, multiple sites in spine",
    "M4361": "Torticollis, occipito-atlanto-axial region",
    "M4362": "Torticollis, cervical region",
    "M4363": "Torticollis, cervicothoracic region",
    "M4364": "Torticollis, thoracic region",
    "M4365": "Torticollis, thoracolumbar region",
    "M4366": "Torticollis, lumbar region",
    "M7979": "Fibromyalgia, site unspecified",
    "M7980": "Other specified soft tissue disorders, multiple sites",
    "M7981": "Other specified soft tissue disorders, shoulder region",
    "M7982": "Other specified soft tissue disorders, upper arm",
    "M7983": "Other specified soft tissue disorders, forearm",
    "M7984": "Other specified soft tissue disorders, hand",
    "M7985": "Other specified soft tissue disorders, pelvic region and thigh",
    "M7986": "Other specified soft tissue disorders, lower leg",
    "M7987": "Other specified soft tissue disorders, ankle and foot",
    "M7988": "Other specified soft tissue disorders, other",
    "M7989": "Other specified soft tissue disorders, site unspecified",
    "M7990": "Soft tissue disorder, unspecified, multiple sites",
    "M7991": "Soft tissue disorder, unspecified, shoulder region",
    "M7992": "Soft tissue disorder, unspecified, upper arm",
    "M7993": "Soft tissue disorder, unspecified, forearm",
    "M7994": "Soft tissue disorder, unspecified, hand",
    "M7995": "Soft tissue disorder, unspecified, pelvic region and thigh",
    "M7996": "Soft tissue disorder, unspecified, lower leg",
    "M7997": "Soft tissue disorder, unspecified, ankle and foot",
    "M7998": "Soft tissue disorder, unspecified, other",
    "M7999": "Soft tissue disorder, unspecified, site unspecified",
    "M8000": "Postmenopausal osteoporosis with pathological fracture, multiple sites",
    "M8001": "Postmenopausal osteoporosis with pathological fracture, shoulder region",
    "M8002": "Postmenopausal osteoporosis with pathological fracture, upper arm",
    "M8003": "Postmenopausal osteoporosis with pathological fracture, forearm",
    "M8004": "Postmenopausal osteoporosis with pathological fracture, hand",
    "M8005": "Postmenopausal osteoporosis with pathological fracture, pelvic region and thigh",
    "M8006": "Postmenopausal osteoporosis with pathological fracture, lower leg",
    "M8007": "Postmenopausal osteoporosis with pathological fracture, ankle and foot",
    "M8008": "Postmenopausal osteoporosis with pathological fracture, other",
    "M8009": "Postmenopausal osteoporosis with pathological fracture, site unspecified",
    "M8010": "Postoophorectomy osteoporosis with pathological fracture, multiple sites",
    "M8011": "Postoophorectomy osteoporosis with pathological fracture, shoulder region",
    "M8012": "Postoophorectomy osteoporosis with pathological fracture, upper arm",
    "M8013": "Postoophorectomy osteoporosis with pathological fracture, forearm",
    "M8014": "Postoophorectomy osteoporosis with pathological fracture, hand",
    "M8015": "Postoophorectomy osteoporosis with pathological fracture, pelvic region and thigh",
    "M8016": "Postoophorectomy osteoporosis with pathological fracture, lower leg",
    "M8017": "Postoophorectomy osteoporosis with pathological fracture, ankle and foot",
    "M8018": "Postoophorectomy osteoporosis with pathological fracture, other",
    "M8019": "Postoophorectomy osteoporosis with pathological fracture, site unspecified",
    "M8020": "Osteoporosis of disuse with pathological fracture, multiple sites",
    "M8021": "Osteoporosis of disuse with pathological fracture, shoulder region",
    "M8022": "Osteoporosis of disuse with pathological fracture, upper arm",
    "M8023": "Osteoporosis of disuse with pathological fracture, forearm",
    "M8024": "Osteoporosis of disuse with pathological fracture, hand",
    "M8025": "Osteoporosis of disuse with pathological fracture, pelvic region and thigh",
    "M8027": "Osteoporosis of disuse with pathological fracture, ankle and foot",
    "M8028": "Osteoporosis of disuse with pathological fracture, other",
    "M8029": "Osteoporosis of disuse with pathological fracture, site unspecified",
    "M8030": "Postsurgical malabsorption osteoporosis with pathological fracture, multiple sites",
    "M8031": "Postsurgical malabsorption osteoporosis with pathological fracture, shoulder region",
    "M8032": "Postsurgical malabsorption osteoporosis with pathological fracture, upper arm",
    "M8033": "Postsurgical malabsorption osteoporosis with pathological fracture, forearm",
    "M8034": "Postsurgical malabsorption osteoporosis with pathological fracture, hand",
    "M8035": "Postsurgical malabsorption osteoporosis with pathological fracture, pelvic region and thigh",
    "M8036": "Postsurgical malabsorption osteoporosis with pathological fracture, lower leg",
    "M8037": "Postsurgical malabsorption osteoporosis with pathological fracture, ankle and foot",
    "M0225": "Postimmunization arthropathy, pelvic region and thigh",
    "M0226": "Postimmunization arthropathy, lower leg",
    "M0228": "Postimmunization arthropathy, other",
    "M0229": "Postimmunization arthropathy, site unspecified",
    "M0230": "Reiter disease, multiple sites",
    "M0231": "Reiter disease, shoulder region",
    "M0232": "Reiter disease, upper arm",
    "M0233": "Reiter disease, forearm",
    "M0234": "Reiter disease, hand",
    "M0235": "Reiter disease, pelvic region and thigh",
    "M0236": "Reiter disease, lower leg",
    "M0237": "Reiter disease, ankle and foot",
    "M0238": "Reiter disease, other",
    "M0239": "Reiter disease, site unspecified",
    "M0280": "Other reactive arthropathies, multiple sites",
    "M0281": "Other reactive arthropathies, shoulder region",
    "M0282": "Other reactive arthropathies, upper arm",
    "M0283": "Other reactive arthropathies, forearm",
    "M0284": "Other reactive arthropathies, hand",
    "M0285": "Other reactive arthropathies, pelvic region and thigh",
    "M0286": "Other reactive arthropathies, lower leg",
    "M0287": "Other reactive arthropathies, ankle and foot",
    "M0288": "Other reactive arthropathies, other",
    "M0289": "Other reactive arthropathies, site unspecified",
    "M0290": "Reactive arthropathy, unspecified, multiple sites",
    "M0291": "Reactive arthropathy, unspecified, shoulder region",
    "M0292": "Reactive arthropathy, unspecified, upper arm",
    "M0293": "Reactive arthropathy, unspecified, forearm",
    "M0294": "Reactive arthropathy, unspecified, hand",
    "M0295": "Reactive arthropathy, unspecified, pelvic region and thigh",
    "M0296": "Reactive arthropathy, unspecified, lower leg",
    "M0297": "Reactive arthropathy, unspecified, ankle and foot",
    "M0298": "Reactive arthropathy, unspecified, other",
    "M0299": "Reactive arthropathy, unspecified, site unspecified",
    "M0300": "Postmeningococcal arthritis, multiple sites",
    "M0301": "Postmeningococcal arthritis, shoulder region",
    "M0302": "Postmeningococcal arthritis, upper arm",
    "M0303": "Postmeningococcal arthritis, forearm",
    "M0304": "Postmeningococcal arthritis, hand",
    "M0305": "Postmeningococcal arthritis, pelvic region and thigh",
    "M0306": "Postmeningococcal arthritis, lower leg",
    "M0307": "Postmeningococcal arthritis, ankle and foot",
    "M0308": "Postmeningococcal arthritis, other",
    "M0309": "Postmeningococcal arthritis, site unspecified",
    "M0310": "Postinfective arthropathy in syphilis, multiple sites",
    "M0311": "Postinfective arthropathy in syphilis, shoulder region",
    "M0312": "Postinfective arthropathy in syphilis, upper arm",
    "M0313": "Postinfective arthropathy in syphilis, forearm",
    "M0314": "Postinfective arthropathy in syphilis, hand",
    "M0315": "Postinfective arthropathy in syphilis, pelvic region and thigh",
    "M0316": "Postinfective arthropathy in syphilis, lower leg",
    "M0317": "Postinfective arthropathy in syphilis, ankle and foot",
    "M0319": "Postinfective arthropathy in syphilis, site unspecified",
    "M0320": "Other postinfectious arthropathies in diseases classified elsewhere, multiple sites",
    "M0321": "Other postinfectious arthropathies in diseases classified elsewhere, shoulder region",
    "M0322": "Other postinfectious arthropathies in diseases classified elsewhere, upper arm",
    "M0323": "Other postinfectious arthropathies in diseases classified elsewhere, forearm",
    "M0324": "Other postinfectious arthropathies in diseases classified elsewhere, hand",
    "M0325": "Other postinfectious arthropathies in diseases classified elsewhere, pelvic region and thigh",
    "M0326": "Other postinfectious arthropathies in diseases classified elsewhere, lower leg",
    "M0327": "Other postinfectious arthropathies in diseases classified elsewhere, ankle and foot",
    "M0328": "Other postinfectious arthropathies in diseases classified elsewhere, other",
    "M0329": "Other postinfectious arthropathies in diseases classified elsewhere, site unspecified",
    "M0360": "Reactive arthropathy in other diseases classified elsewhere, multiple sites",
    "M0361": "Reactive arthropathy in other diseases classified elsewhere, shoulder region",
    "M4367": "Torticollis, lumbosacral region",
    "M4368": "Torticollis, sacral and sacrococcygeal region",
    "M4369": "Torticollis, site unspecified",
    "M4380": "Other specified deforming dorsopathies, multiple sites in spine",
    "M4381": "Other specified deforming dorsopathies, occipito-atlanto-axial region",
    "M4382": "Other specified deforming dorsopathies, cervical region",
    "M4383": "Other specified deforming dorsopathies, cervicothoracic region",
    "M4384": "Other specified deforming dorsopathies, thoracic region",
    "M4385": "Other specified deforming dorsopathies, thoracolumbar region",
    "M4386": "Other specified deforming dorsopathies, lumbar region",
    "M4388": "Other specified deforming dorsopathies, sacral and sacrococcygeal region",
    "M4389": "Other specified deforming dorsopathies, site unspecified",
    "M4390": "Deforming dorsopathy, unspecified, multiple sites in spine",
    "M4391": "Deforming dorsopathy, unspecified, occipito-atlanto-axial region",
    "M4392": "Deforming dorsopathy, unspecified, cervical region",
    "M4393": "Deforming dorsopathy, unspecified, cervicothoracic region",
    "M4394": "Deforming dorsopathy, unspecified, thoracic region",
    "M4395": "Deforming dorsopathy, unspecified, thoracolumbar region",
    "M4396": "Deforming dorsopathy, unspecified, lumbar region",
    "M4397": "Deforming dorsopathy, unspecified, lumbosacral region",
    "M4398": "Deforming dorsopathy, unspecified, sacral and sacrococcygeal region",
    "M4399": "Deforming dorsopathy, unspecified, site unspecified",
    "M4600": "Spinal enthesopathy, multiple sites in spine",
    "M4601": "Spinal enthesopathy, occipito-atlanto-axial region",
    "M4602": "Spinal enthesopathy, cervical region",
    "M4603": "Spinal enthesopathy, cervicothoracic region",
    "M4604": "Spinal enthesopathy, thoracic region",
    "M4605": "Spinal enthesopathy, thoracolumbar region",
    "M4606": "Spinal enthesopathy, lumbar region",
    "M4607": "Spinal enthesopathy, lumbosacral region",
    "M4608": "Spinal enthesopathy, sacral and sacrococcygeal region",
    "M4609": "Spinal enthesopathy, site unspecified",
    "M4611": "Sacroiliitis, not elsewhere classified, occipito-atlanto-axial region",
    "M4612": "Sacroiliitis, not elsewhere classified, cervical region",
    "M4613": "Sacroiliitis, not elsewhere classified, cervicothoracic region",
    "M4614": "Sacroiliitis, not elsewhere classified, thoracic region",
    "M4615": "Sacroiliitis, not elsewhere classified, thoracolumbar region",
    "M4616": "Sacroiliitis, not elsewhere classified, lumbar region",
    "M4617": "Sacroiliitis, not elsewhere classified, lumbosacral region",
    "M4618": "Sacroiliitis, not elsewhere classified, sacral and sacrococcygeal region",
    "M4619": "Sacroiliitis, not elsewhere classified, site unspecified",
    "M4620": "Osteomyelitis of vertebra, multiple sites in spine",
    "M4621": "Osteomyelitis of vertebra, occipito-atlanto-axial region",
    "M4622": "Osteomyelitis of vertebra, cervical region",
    "M4623": "Osteomyelitis of vertebra, cervicothoracic region",
    "M4624": "Osteomyelitis of vertebra, thoracic region",
    "M4625": "Osteomyelitis of vertebra, thoracolumbar region",
    "M4626": "Osteomyelitis of vertebra, lumbar region",
    "M4627": "Osteomyelitis of vertebra, lumbosacral region",
    "M4628": "Osteomyelitis of vertebra, sacral and sacrococcygeal region",
    "M4629": "Osteomyelitis of vertebra, site unspecified",
    "M4630": "Infection of intervertebral disc (pyogenic), multiple sites in spine",
    "M4631": "Infection of intervertebral disc (pyogenic), occipito-atlanto-axial region",
    "M4632": "Infection of intervertebral disc (pyogenic), cervical region",
    "M4633": "Infection of intervertebral disc (pyogenic), cervicothoracic region",
    "M4634": "Infection of intervertebral disc (pyogenic), thoracic region",
    "M4635": "Infection of intervertebral disc (pyogenic), thoracolumbar region",
    "M4636": "Infection of intervertebral disc (pyogenic), lumbar region",
    "M4637": "Infection of intervertebral disc (pyogenic), lumbosacral region",
    "M4638": "Infection of intervertebral disc (pyogenic), sacral and sacrococcygeal region",
    "M4639": "Infection of intervertebral disc (pyogenic), site unspecified",
    "M4640": "Discitis, unspecified, multiple sites in spine",
    "M8038": "Postsurgical malabsorption osteoporosis with pathological fracture, other",
    "M8039": "Postsurgical malabsorption osteoporosis with pathological fracture, site unspecified",
    "M8040": "Drug-induced osteoporosis with pathological fracture, multiple sites",
    "M8041": "Drug-induced osteoporosis with pathological fracture, shoulder region",
    "M8042": "Drug-induced osteoporosis with pathological fracture, upper arm",
    "M8043": "Drug-induced osteoporosis with pathological fracture, forearm",
    "M8044": "Drug-induced osteoporosis with pathological fracture, hand",
    "M8045": "Drug-induced osteoporosis with pathological fracture, pelvic region and thigh",
    "M8046": "Drug-induced osteoporosis with pathological fracture, lower leg",
    "M8047": "Drug-induced osteoporosis with pathological fracture, ankle and foot",
    "M8048": "Drug-induced osteoporosis with pathological fracture, other",
    "M8049": "Drug-induced osteoporosis with pathological fracture, site unspecified",
    "M8050": "Idiopathic osteoporosis with pathological fracture, multiple sites",
    "M8051": "Idiopathic osteoporosis with pathological fracture, shoulder region",
    "M8052": "Idiopathic osteoporosis with pathological fracture, upper arm",
    "M8053": "Idiopathic osteoporosis with pathological fracture, forearm",
    "M8054": "Idiopathic osteoporosis with pathological fracture, hand",
    "M8055": "Idiopathic osteoporosis with pathological fracture, pelvic region and thigh",
    "M8056": "Idiopathic osteoporosis with pathological fracture, lower leg",
    "M8057": "Idiopathic osteoporosis with pathological fracture, ankle and foot",
    "M8058": "Idiopathic osteoporosis with pathological fracture, other",
    "M8059": "Idiopathic osteoporosis with pathological fracture, site unspecified",
    "M8080": "Other osteoporosis with pathological fracture, multiple sites",
    "M8081": "Other osteoporosis with pathological fracture, shoulder region",
    "M8082": "Other osteoporosis with pathological fracture, upper arm",
    "M8083": "Other osteoporosis with pathological fracture, forearm",
    "M8084": "Other osteoporosis with pathological fracture, hand",
    "M8085": "Other osteoporosis with pathological fracture, pelvic region and thigh",
    "M8086": "Other osteoporosis with pathological fracture, lower leg",
    "M8087": "Other osteoporosis with pathological fracture, ankle and foot",
    "M8088": "Other osteoporosis with pathological fracture, other",
    "M8089": "Other osteoporosis with pathological fracture, site unspecified",
    "M8090": "Unspecified osteoporosis with pathological fracture, multiple sites",
    "M8091": "Unspecified osteoporosis with pathological fracture, shoulder region",
    "M8092": "Unspecified osteoporosis with pathological fracture, upper arm",
    "M8093": "Unspecified osteoporosis with pathological fracture, forearm",
    "M8094": "Unspecified osteoporosis with pathological fracture, hand",
    "M8096": "Unspecified osteoporosis with pathological fracture, lower leg",
    "M8097": "Unspecified osteoporosis with pathological fracture, ankle and foot",
    "M8098": "Unspecified osteoporosis with pathological fracture, other",
    "M8099": "Unspecified osteoporosis with pathological fracture, site unspecified",
    "M8100": "Postmenopausal osteoporosis, multiple sites",
    "M8101": "Postmenopausal osteoporosis, shoulder region",
    "M8102": "Postmenopausal osteoporosis, upper arm",
    "M8103": "Postmenopausal osteoporosis, forearm",
    "M8104": "Postmenopausal osteoporosis, hand",
    "M8105": "Postmenopausal osteoporosis, pelvic region and thigh",
    "M8106": "Postmenopausal osteoporosis, lower leg",
    "M8107": "Postmenopausal osteoporosis, ankle and foot",
    "M8108": "Postmenopausal osteoporosis, other",
    "M8109": "Postmenopausal osteoporosis, site unspecified",
    "M8110": "Postoophorectomy osteoporosis, multiple sites",
    "M8111": "Postoophorectomy osteoporosis, shoulder region",
    "M8112": "Postoophorectomy osteoporosis, upper arm",
    "M8113": "Postoophorectomy osteoporosis, forearm",
    "M8114": "Postoophorectomy osteoporosis, hand",
    "M8115": "Postoophorectomy osteoporosis, pelvic region and thigh",
    "M8116": "Postoophorectomy osteoporosis, lower leg",
    "M8117": "Postoophorectomy osteoporosis, ankle and foot",
    "M8118": "Postoophorectomy osteoporosis, other",
    "M0362": "Reactive arthropathy in other diseases classified elsewhere, upper arm",
    "M0363": "Reactive arthropathy in other diseases classified elsewhere, forearm",
    "M0364": "Reactive arthropathy in other diseases classified elsewhere, hand",
    "M0365": "Reactive arthropathy in other diseases classified elsewhere, pelvic region and thigh",
    "M0366": "Reactive arthropathy in other diseases classified elsewhere, lower leg",
    "M0368": "Reactive arthropathy in other diseases classified elsewhere, other",
    "M0369": "Reactive arthropathy in other diseases classified elsewhere, site unspecified",
    "M0500": "Felty syndrome, multiple sites",
    "M0501": "Felty syndrome, shoulder region",
    "M0502": "Felty syndrome, upper arm",
    "M0503": "Felty syndrome, forearm",
    "M0504": "Felty syndrome, hand",
    "M0505": "Felty syndrome, pelvic region and thigh",
    "M0506": "Felty syndrome, lower leg",
    "M0507": "Felty syndrome, ankle and foot",
    "M0508": "Felty syndrome, other",
    "M0509": "Felty syndrome, site unspecified",
    "M0510": "Rheumatoid lung disease, multiple sites",
    "M0511": "Rheumatoid lung disease, shoulder region",
    "M0512": "Rheumatoid lung disease, upper arm",
    "M0513": "Rheumatoid lung disease, forearm",
    "M0514": "Rheumatoid lung disease, hand",
    "M0515": "Rheumatoid lung disease, pelvic region and thigh",
    "M0516": "Rheumatoid lung disease, lower leg",
    "M0517": "Rheumatoid lung disease, ankle and foot",
    "M0518": "Rheumatoid lung disease, other",
    "M0519": "Rheumatoid lung disease, site unspecified",
    "M0520": "Rheumatoid vasculitis, multiple sites",
    "M0521": "Rheumatoid vasculitis, shoulder region",
    "M0522": "Rheumatoid vasculitis, upper arm",
    "M0523": "Rheumatoid vasculitis, forearm",
    "M0524": "Rheumatoid vasculitis, hand",
    "M0525": "Rheumatoid vasculitis, pelvic region and thigh",
    "M0526": "Rheumatoid vasculitis, lower leg",
    "M0527": "Rheumatoid vasculitis, ankle and foot",
    "M0528": "Rheumatoid vasculitis, other",
    "M0529": "Rheumatoid vasculitis, site unspecified",
    "M0530": "Rheumatoid arthritis with involvement of other organs and systems, multiple sites",
    "M0531": "Rheumatoid arthritis with involvement of other organs and systems, shoulder region",
    "M0532": "Rheumatoid arthritis with involvement of other organs and systems, upper arm",
    "M0533": "Rheumatoid arthritis with involvement of other organs and systems, forearm",
    "M0534": "Rheumatoid arthritis with involvement of other organs and systems, hand",
    "M0535": "Rheumatoid arthritis with involvement of other organs and systems, pelvic region and thigh",
    "M0536": "Rheumatoid arthritis with involvement of other organs and systems, lower leg",
    "M0537": "Rheumatoid arthritis with involvement of other organs and systems, ankle and foot",
    "M0539": "Rheumatoid arthritis with involvement of other organs and systems, site unspecified",
    "M0580": "Other seropositive rheumatoid arthritis, multiple sites",
    "M0581": "Other seropositive rheumatoid arthritis, shoulder region",
    "M0582": "Other seropositive rheumatoid arthritis, upper arm",
    "M0583": "Other seropositive rheumatoid arthritis, forearm",
    "M0584": "Other seropositive rheumatoid arthritis, hand",
    "M0585": "Other seropositive rheumatoid arthritis, pelvic region and thigh",
    "M0586": "Other seropositive rheumatoid arthritis, lower leg",
    "M0587": "Other seropositive rheumatoid arthritis, ankle and foot",
    "M0588": "Other seropositive rheumatoid arthritis, other",
    "M0589": "Other seropositive rheumatoid arthritis, site unspecified",
    "M0590": "Seropositive rheumatoid arthritis, unspecified, multiple sites",
    "M0591": "Seropositive rheumatoid arthritis, unspecified, shoulder region",
    "M0592": "Seropositive rheumatoid arthritis, unspecified, upper arm",
    "M0593": "Seropositive rheumatoid arthritis, unspecified, forearm",
    "M0594": "Seropositive rheumatoid arthritis, unspecified, hand",
    "M0595": "Seropositive rheumatoid arthritis, unspecified, pelvic region and thigh",
    "M0596": "Seropositive rheumatoid arthritis, unspecified, lower leg",
    "M0597": "Seropositive rheumatoid arthritis, unspecified, ankle and foot",
    "M4641": "Discitis, unspecified, occipito-atlanto-axial region",
    "M4642": "Discitis, unspecified, cervical region",
    "M4643": "Discitis, unspecified, cervicothoracic region",
    "M4644": "Discitis, unspecified, thoracic region",
    "M4645": "Discitis, unspecified, thoracolumbar region",
    "M4646": "Discitis, unspecified, lumbar region",
    "M4647": "Discitis, unspecified, lumbosacral region",
    "M4648": "Discitis, unspecified, sacral and sacrococcygeal region",
    "M4649": "Discitis, unspecified, site unspecified",
    "M4650": "Other infective spondylopathies, multiple sites in spine",
    "M4651": "Other infective spondylopathies, occipito-atlanto-axial region",
    "M4652": "Other infective spondylopathies, cervical region",
    "M4653": "Other infective spondylopathies, cervicothoracic region",
    "M4654": "Other infective spondylopathies, thoracic region",
    "M4655": "Other infective spondylopathies, thoracolumbar region",
    "M4656": "Other infective spondylopathies, lumbar region",
    "M4657": "Other infective spondylopathies, lumbosacral region",
    "M4658": "Other infective spondylopathies, sacral and sacrococcygeal region",
    "M4659": "Other infective spondylopathies, site unspecified",
    "M4680": "Other specified inflammatory spondylopathies, multiple sites in spine",
    "M4681": "Other specified inflammatory spondylopathies, occipito-atlanto-axial region",
    "M4682": "Other specified inflammatory spondylopathies, cervical region",
    "M4683": "Other specified inflammatory spondylopathies, cervicothoracic region",
    "M4684": "Other specified inflammatory spondylopathies, thoracic region",
    "M4685": "Other specified inflammatory spondylopathies, thoracolumbar region",
    "M4686": "Other specified inflammatory spondylopathies, lumbar region",
    "M4687": "Other specified inflammatory spondylopathies, lumbosacral region",
    "M4688": "Other specified inflammatory spondylopathies, sacral and sacrococcygeal region",
    "M4689": "Other specified inflammatory spondylopathies, site unspecified",
    "M4690": "Inflammatory spondylopathy, unspecified, multiple sites in spine",
    "M4691": "Inflammatory spondylopathy, unspecified, occipito-atlanto-axial region",
    "M4692": "Inflammatory spondylopathy, unspecified, cervical region",
    "M4693": "Inflammatory spondylopathy, unspecified, cervicothoracic region",
    "M4694": "Inflammatory spondylopathy, unspecified, thoracic region",
    "M4695": "Inflammatory spondylopathy, unspecified, thoracolumbar region",
    "M4696": "Inflammatory spondylopathy, unspecified, lumbar region",
    "M4697": "Inflammatory spondylopathy, unspecified, lumbosacral region",
    "M4698": "Inflammatory spondylopathy, unspecified, sacral and sacrococcygeal region",
    "M4699": "Inflammatory spondylopathy, unspecified, site unspecified",
    "M4700": "Anterior spinal and vertebral artery compression syndromes, multiple sites in spine",
    "M4701": "Anterior spinal and vertebral artery compression syndromes, occipito-atlanto-axial region",
    "M4702": "Anterior spinal and vertebral artery compression syndromes, cervical region",
    "M4704": "Anterior spinal and vertebral artery compression syndromes, thoracic region",
    "M4705": "Anterior spinal and vertebral artery compression syndromes, thoracolumbar region",
    "M4706": "Anterior spinal and vertebral artery compression syndromes, lumbar region",
    "M4707": "Anterior spinal and vertebral artery compression syndromes, lumbosacral region",
    "M4708": "Anterior spinal and vertebral artery compression syndromes, sacral and sacrococcygeal region",
    "M4709": "Anterior spinal and vertebral artery compression syndromes, site unspecified",
    "M4710": "Other spondylosis with myelopathy, multiple sites in spine",
    "M4711": "Other spondylosis with myelopathy, occipito-atlanto-axial region",
    "M4712": "Other spondylosis with myelopathy, cervical region",
    "M4713": "Other spondylosis with myelopathy, cervicothoracic region",
    "M4714": "Other spondylosis with myelopathy, thoracic region",
    "M4715": "Other spondylosis with myelopathy, thoracolumbar region",
    "M4716": "Other spondylosis with myelopathy, lumbar region",
    "M4717": "Other spondylosis with myelopathy, lumbosacral region",
    "M4718": "Other spondylosis with myelopathy, sacral and sacrococcygeal region",
    "M4719": "Other spondylosis with myelopathy, site unspecified",
    "M4720": "Other spondylosis with radiculopathy, multiple sites in spine",
    "M8119": "Postoophorectomy osteoporosis, site unspecified",
    "M8120": "Osteoporosis of disuse, multiple sites",
    "M8122": "Osteoporosis of disuse, upper arm",
    "M8123": "Osteoporosis of disuse, forearm",
    "M8124": "Osteoporosis of disuse, hand",
    "M8125": "Osteoporosis of disuse, pelvic region and thigh",
    "M8126": "Osteoporosis of disuse, lower leg",
    "M8127": "Osteoporosis of disuse, ankle and foot",
    "M8128": "Osteoporosis of disuse, other",
    "M8129": "Osteoporosis of disuse, site unspecified",
    "M8130": "Postsurgical malabsorption osteoporosis, multiple sites",
    "M8131": "Postsurgical malabsorption osteoporosis, shoulder region",
    "M8132": "Postsurgical malabsorption osteoporosis, upper arm",
    "M8133": "Postsurgical malabsorption osteoporosis, forearm",
    "M8134": "Postsurgical malabsorption osteoporosis, hand",
    "M8135": "Postsurgical malabsorption osteoporosis, pelvic region and thigh",
    "M8136": "Postsurgical malabsorption osteoporosis, lower leg",
    "M8137": "Postsurgical malabsorption osteoporosis, ankle and foot",
    "M8138": "Postsurgical malabsorption osteoporosis, other",
    "M8139": "Postsurgical malabsorption osteoporosis, site unspecified",
    "M8140": "Drug-induced osteoporosis, multiple sites",
    "M8141": "Drug-induced osteoporosis, shoulder region",
    "M8142": "Drug-induced osteoporosis, upper arm",
    "M8143": "Drug-induced osteoporosis, forearm",
    "M8144": "Drug-induced osteoporosis, hand",
    "M8145": "Drug-induced osteoporosis, pelvic region and thigh",
    "M8146": "Drug-induced osteoporosis, lower leg",
    "M8147": "Drug-induced osteoporosis, ankle and foot",
    "M8148": "Drug-induced osteoporosis, other",
    "M8149": "Drug-induced osteoporosis, site unspecified",
    "M8150": "Idiopathic osteoporosis, multiple sites",
    "M8151": "Idiopathic osteoporosis, shoulder region",
    "M8152": "Idiopathic osteoporosis, upper arm",
    "M8154": "Idiopathic osteoporosis, hand",
    "M8155": "Idiopathic osteoporosis, pelvic region and thigh",
    "M8156": "Idiopathic osteoporosis, lower leg",
    "M8157": "Idiopathic osteoporosis, ankle and foot",
    "M8158": "Idiopathic osteoporosis, other",
    "M8159": "Idiopathic osteoporosis, site unspecified",
    "M8160": "Localized osteoporosis [Lequesne], multiple sites",
    "M8161": "Localized osteoporosis [Lequesne], shoulder region",
    "M8162": "Localized osteoporosis [Lequesne], upper arm",
    "M8163": "Localized osteoporosis [Lequesne], forearm",
    "M8164": "Localized osteoporosis [Lequesne], hand",
    "M8165": "Localized osteoporosis [Lequesne], pelvic region and thigh",
    "M8166": "Localized osteoporosis [Lequesne], lower leg",
    "M8167": "Localized osteoporosis [Lequesne], ankle and foot",
    "M8168": "Localized osteoporosis [Lequesne], other",
    "M8180": "Other osteoporosis, multiple sites",
    "M8181": "Other osteoporosis, shoulder region",
    "M8182": "Other osteoporosis, upper arm",
    "M8183": "Other osteoporosis, forearm",
    "M8184": "Other osteoporosis, hand",
    "M8185": "Other osteoporosis, pelvic region and thigh",
    "M8186": "Other osteoporosis, lower leg",
    "M8187": "Other osteoporosis, ankle and foot",
    "M8188": "Other osteoporosis, other",
    "M8189": "Other osteoporosis, site unspecified",
    "M8190": "Osteoporosis, unspecified, multiple sites",
    "M8191": "Osteoporosis, unspecified, shoulder region",
    "M8192": "Osteoporosis, unspecified, upper arm",
    "M8193": "Osteoporosis, unspecified, forearm",
    "M8194": "Osteoporosis, unspecified, hand",
    "M8195": "Osteoporosis, unspecified, pelvic region and thigh",
    "M8196": "Osteoporosis, unspecified, lower leg",
    "M8197": "Osteoporosis, unspecified, ankle and foot",
    "M8198": "Osteoporosis, unspecified, other",
    "M8199": "Osteoporosis, unspecified, site unspecified",
    "M8201": "Osteoporosis in multiple myelomatosis, shoulder region",
    "M8202": "Osteoporosis in multiple myelomatosis, upper arm",
    "M0598": "Seropositive rheumatoid arthritis, unspecified, other",
    "M0599": "Seropositive rheumatoid arthritis, unspecified, site unspecified",
    "M0600": "Seronegative rheumatoid arthritis, multiple sites",
    "M0601": "Seronegative rheumatoid arthritis, shoulder region",
    "M0602": "Seronegative rheumatoid arthritis, upper arm",
    "M0604": "Seronegative rheumatoid arthritis, hand",
    "M0605": "Seronegative rheumatoid arthritis, pelvic region and thigh",
    "M0606": "Seronegative rheumatoid arthritis, lower leg",
    "M0607": "Seronegative rheumatoid arthritis, ankle and foot",
    "M0608": "Seronegative rheumatoid arthritis, other",
    "M0609": "Seronegative rheumatoid arthritis, site unspecified",
    "M0610": "Adult-onset Still disease, multiple sites",
    "M0611": "Adult-onset Still disease, shoulder region",
    "M0612": "Adult-onset Still disease, upper arm",
    "M0613": "Adult-onset Still disease, forearm",
    "M0614": "Adult-onset Still disease, hand",
    "M0615": "Adult-onset Still disease, pelvic region and thigh",
    "M0616": "Adult-onset Still disease, lower leg",
    "M0617": "Adult-onset Still disease, ankle and foot",
    "M0618": "Adult-onset Still disease, other",
    "M0619": "Adult-onset Still disease, site unspecified",
    "M0620": "Rheumatoid bursitis, multiple sites",
    "M0621": "Rheumatoid bursitis, shoulder region",
    "M0622": "Rheumatoid bursitis, upper arm",
    "M0623": "Rheumatoid bursitis, forearm",
    "M0624": "Rheumatoid bursitis, hand",
    "M0625": "Rheumatoid bursitis, pelvic region and thigh",
    "M0626": "Rheumatoid bursitis, lower leg",
    "M0627": "Rheumatoid bursitis, ankle and foot",
    "M0628": "Rheumatoid bursitis, other",
    "M0629": "Rheumatoid bursitis, site unspecified",
    "M0630": "Rheumatoid nodule, multiple sites",
    "M0631": "Rheumatoid nodule, shoulder region",
    "M0633": "Rheumatoid nodule, forearm",
    "M0634": "Rheumatoid nodule, hand",
    "M0635": "Rheumatoid nodule, pelvic region and thigh",
    "M0636": "Rheumatoid nodule, lower leg",
    "M0637": "Rheumatoid nodule, ankle and foot",
    "M0638": "Rheumatoid nodule, other",
    "M0639": "Rheumatoid nodule, site unspecified",
    "M0640": "Inflammatory polyarthropathy, multiple sites",
    "M0641": "Inflammatory polyarthropathy, shoulder region",
    "M0642": "Inflammatory polyarthropathy, upper arm",
    "M0643": "Inflammatory polyarthropathy, forearm",
    "M0644": "Inflammatory polyarthropathy, hand",
    "M0645": "Inflammatory polyarthropathy, pelvic region and thigh",
    "M0646": "Inflammatory polyarthropathy, lower leg",
    "M0647": "Inflammatory polyarthropathy, ankle and foot",
    "M0649": "Inflammatory polyarthropathy, site unspecified",
    "M0680": "Other specified rheumatoid arthritis, multiple sites",
    "M0681": "Other specified rheumatoid arthritis, shoulder region",
    "M0682": "Other specified rheumatoid arthritis, upper arm",
    "M0683": "Other specified rheumatoid arthritis, forearm",
    "M0684": "Other specified rheumatoid arthritis, hand",
    "M0685": "Other specified rheumatoid arthritis, pelvic region and thigh",
    "M0686": "Other specified rheumatoid arthritis, lower leg",
    "M0687": "Other specified rheumatoid arthritis, ankle and foot",
    "M0688": "Other specified rheumatoid arthritis, other",
    "M0689": "Other specified rheumatoid arthritis, site unspecified",
    "M0690": "Rheumatoid arthritis, unspecified, multiple sites",
    "M0691": "Rheumatoid arthritis, unspecified, shoulder region",
    "M0692": "Rheumatoid arthritis, unspecified, upper arm",
    "M0693": "Rheumatoid arthritis, unspecified, forearm",
    "M0694": "Rheumatoid arthritis, unspecified, hand",
    "M0696": "Rheumatoid arthritis, unspecified, lower leg",
    "M0697": "Rheumatoid arthritis, unspecified, ankle and foot",
    "M0698": "Rheumatoid arthritis, unspecified, other",
    "M0699": "Rheumatoid arthritis, unspecified, site unspecified",
    "M0700": "Distal interphalangeal psoriatic arthropathy, multiple sites",
    "M4721": "Other spondylosis with radiculopathy, occipito-atlanto-axial region",
    "M4722": "Other spondylosis with radiculopathy, cervical region",
    "M4723": "Other spondylosis with radiculopathy, cervicothoracic region",
    "M4724": "Other spondylosis with radiculopathy, thoracic region",
    "M4725": "Other spondylosis with radiculopathy, thoracolumbar region",
    "M4726": "Other spondylosis with radiculopathy, lumbar region",
    "M4727": "Other spondylosis with radiculopathy, lumbosacral region",
    "M4728": "Other spondylosis with radiculopathy, sacral and sacrococcygeal region",
    "M4729": "Other spondylosis with radiculopathy, site unspecified",
    "M4780": "Other spondylosis, multiple sites in spine",
    "M4781": "Other spondylosis, occipito-atlanto-axial region",
    "M4782": "Other spondylosis, cervical region",
    "M4783": "Other spondylosis, cervicothoracic region",
    "M4785": "Other spondylosis, thoracolumbar region",
    "M4786": "Other spondylosis, lumbar region",
    "M4787": "Other spondylosis, lumbosacral region",
    "M4788": "Other spondylosis, sacral and sacrococcygeal region",
    "M4789": "Other spondylosis, site unspecified",
    "M4790": "Spondylosis, unspecified, multiple sites in spine",
    "M4791": "Spondylosis, unspecified, occipito-atlanto-axial region",
    "M4792": "Spondylosis, unspecified, cervical region",
    "M4793": "Spondylosis, unspecified, cervicothoracic region",
    "M4794": "Spondylosis, unspecified, thoracic region",
    "M4795": "Spondylosis, unspecified, thoracolumbar region",
    "M4796": "Spondylosis, unspecified, lumbar region",
    "M4797": "Spondylosis, unspecified, lumbosacral region",
    "M4798": "Spondylosis, unspecified, sacral and sacrococcygeal region",
    "M4799": "Spondylosis, unspecified, site unspecified",
    "M4800": "Spinal stenosis, multiple sites in spine",
    "M4802": "Spinal stenosis, cervical region",
    "M4803": "Spinal stenosis, cervicothoracic region",
    "M4804": "Spinal stenosis, thoracic region",
    "M4805": "Spinal stenosis, thoracolumbar region",
    "M4806": "Spinal stenosis, lumbar region",
    "M4807": "Spinal stenosis, lumbosacral region",
    "M4808": "Spinal stenosis, sacral and sacrococcygeal region",
    "M4809": "Spinal stenosis, site unspecified",
    "M4810": "Ankylosing hyperostosis [Forestier], multiple sites in spine",
    "M4811": "Ankylosing hyperostosis [Forestier], occipito-atlanto-axial region",
    "M4812": "Ankylosing hyperostosis [Forestier], cervical region",
    "M4813": "Ankylosing hyperostosis [Forestier], cervicothoracic region",
    "M4814": "Ankylosing hyperostosis [Forestier], thoracic region",
    "M4815": "Ankylosing hyperostosis [Forestier], thoracolumbar region",
    "M4816": "Ankylosing hyperostosis [Forestier], lumbar region",
    "M4817": "Ankylosing hyperostosis [Forestier], lumbosacral region",
    "M4818": "Ankylosing hyperostosis [Forestier], sacral and sacrococcygeal region",
    "M4819": "Ankylosing hyperostosis [Forestier], site unspecified",
    "M4821": "Kissing spine, occipito-atlanto-axial region",
    "M4822": "Kissing spine, cervical region",
    "M4823": "Kissing spine, cervicothoracic region",
    "M4824": "Kissing spine, thoracic region",
    "M4825": "Kissing spine, thoracolumbar region",
    "M4826": "Kissing spine, lumbar region",
    "M4827": "Kissing spine, lumbosacral region",
    "M4828": "Kissing spine, sacral and sacrococcygeal region",
    "M4829": "Kissing spine, site unspecified",
    "M4830": "Traumatic spondylopathy, multiple sites in spine",
    "M4831": "Traumatic spondylopathy, occipito-atlanto-axial region",
    "M4832": "Traumatic spondylopathy, cervical region",
    "M4833": "Traumatic spondylopathy, cervicothoracic region",
    "M4834": "Traumatic spondylopathy, thoracic region",
    "M4835": "Traumatic spondylopathy, thoracolumbar region",
    "M4836": "Traumatic spondylopathy, lumbar region",
    "M4837": "Traumatic spondylopathy, lumbosacral region",
    "M4838": "Traumatic spondylopathy, sacral and sacrococcygeal region",
    "M4839": "Traumatic spondylopathy, site unspecified",
    "M8203": "Osteoporosis in multiple myelomatosis, forearm",
    "M8204": "Osteoporosis in multiple myelomatosis, hand",
    "M8205": "Osteoporosis in multiple myelomatosis, pelvic region and thigh",
    "M8206": "Osteoporosis in multiple myelomatosis, lower leg",
    "M8207": "Osteoporosis in multiple myelomatosis, ankle and foot",
    "M8208": "Osteoporosis in multiple myelomatosis, other",
    "M8209": "Osteoporosis in multiple myelomatosis, site unspecified",
    "M8210": "Osteoporosis in endocrine disorders, multiple sites",
    "M8211": "Osteoporosis in endocrine disorders, shoulder region",
    "M8212": "Osteoporosis in endocrine disorders, upper arm",
    "M8213": "Osteoporosis in endocrine disorders, forearm",
    "M8214": "Osteoporosis in endocrine disorders, hand",
    "M8215": "Osteoporosis in endocrine disorders, pelvic region and thigh",
    "M8216": "Osteoporosis in endocrine disorders, lower leg",
    "M8217": "Osteoporosis in endocrine disorders, ankle and foot",
    "M8218": "Osteoporosis in endocrine disorders, other",
    "M8219": "Osteoporosis in endocrine disorders, site unspecified",
    "M8280": "Osteoporosis in other diseases classified elsewhere, multiple sites",
    "M8281": "Osteoporosis in other diseases classified elsewhere, shoulder region",
    "M8282": "Osteoporosis in other diseases classified elsewhere, upper arm",
    "M8283": "Osteoporosis in other diseases classified elsewhere, forearm",
    "M8284": "Osteoporosis in other diseases classified elsewhere, hand",
    "M8285": "Osteoporosis in other diseases classified elsewhere, pelvic region and thigh",
    "M8286": "Osteoporosis in other diseases classified elsewhere, lower leg",
    "M8287": "Osteoporosis in other diseases classified elsewhere, ankle and foot",
    "M8288": "Osteoporosis in other diseases classified elsewhere, other",
    "M8289": "Osteoporosis in other diseases classified elsewhere, site unspecified",
    "M8300": "Puerperal osteomalacia, multiple sites",
    "M8301": "Puerperal osteomalacia, shoulder region",
    "M8302": "Puerperal osteomalacia, upper arm",
    "M8303": "Puerperal osteomalacia, forearm",
    "M8304": "Puerperal osteomalacia, hand",
    "M8305": "Puerperal osteomalacia, pelvic region and thigh",
    "M8306": "Puerperal osteomalacia, lower leg",
    "M8307": "Puerperal osteomalacia, ankle and foot",
    "M8308": "Puerperal osteomalacia, other",
    "M8309": "Puerperal osteomalacia, site unspecified",
    "M8310": "Senile osteomalacia, multiple sites",
    "M8311": "Senile osteomalacia, shoulder region",
    "M8312": "Senile osteomalacia, upper arm",
    "M8314": "Senile osteomalacia, hand",
    "M8315": "Senile osteomalacia, pelvic region and thigh",
    "M8316": "Senile osteomalacia, lower leg",
    "M8317": "Senile osteomalacia, ankle and foot",
    "M8318": "Senile osteomalacia, other",
    "M8319": "Senile osteomalacia, site unspecified",
    "M8320": "Adult osteomalacia due to malabsorption, multiple sites",
    "M8321": "Adult osteomalacia due to malabsorption, shoulder region",
    "M8322": "Adult osteomalacia due to malabsorption, upper arm",
    "M8323": "Adult osteomalacia due to malabsorption, forearm",
    "M8324": "Adult osteomalacia due to malabsorption, hand",
    "M8325": "Adult osteomalacia due to malabsorption, pelvic region and thigh",
    "M8326": "Adult osteomalacia due to malabsorption, lower leg",
    "M8327": "Adult osteomalacia due to malabsorption, ankle and foot",
    "M8328": "Adult osteomalacia due to malabsorption, other",
    "M8330": "Adult osteomalacia due to malnutrition, multiple sites",
    "M8331": "Adult osteomalacia due to malnutrition, shoulder region",
    "M8332": "Adult osteomalacia due to malnutrition, upper arm",
    "M8333": "Adult osteomalacia due to malnutrition, forearm",
    "M8334": "Adult osteomalacia due to malnutrition, hand",
    "M8335": "Adult osteomalacia due to malnutrition, pelvic region and thigh",
    "M8336": "Adult osteomalacia due to malnutrition, lower leg",
    "M8337": "Adult osteomalacia due to malnutrition, ankle and foot",
    "M8338": "Adult osteomalacia due to malnutrition, other",
    "M8339": "Adult osteomalacia due to malnutrition, site unspecified",
    "M0701": "Distal interphalangeal psoriatic arthropathy, shoulder region",
    "M0702": "Distal interphalangeal psoriatic arthropathy, upper arm",
    "M0703": "Distal interphalangeal psoriatic arthropathy, forearm",
    "M0704": "Distal interphalangeal psoriatic arthropathy, hand",
    "M0705": "Distal interphalangeal psoriatic arthropathy, pelvic region and thigh",
    "M0706": "Distal interphalangeal psoriatic arthropathy, lower leg",
    "M0707": "Distal interphalangeal psoriatic arthropathy, ankle and foot",
    "M0708": "Distal interphalangeal psoriatic arthropathy, other",
    "M0709": "Distal interphalangeal psoriatic arthropathy, site unspecified",
    "M0710": "Arthritis mutilans, multiple sites",
    "M0711": "Arthritis mutilans, shoulder region",
    "M0712": "Arthritis mutilans, upper arm",
    "M0713": "Arthritis mutilans, forearm",
    "M0714": "Arthritis mutilans, hand",
    "M0715": "Arthritis mutilans, pelvic region and thigh",
    "M0716": "Arthritis mutilans, lower leg",
    "M0717": "Arthritis mutilans, ankle and foot",
    "M0718": "Arthritis mutilans, other",
    "M0719": "Arthritis mutilans, site unspecified",
    "M0720": "Psoriatic spondylitis, multiple sites",
    "M0721": "Psoriatic spondylitis, shoulder region",
    "M0722": "Psoriatic spondylitis, upper arm",
    "M0723": "Psoriatic spondylitis, forearm",
    "M0724": "Psoriatic spondylitis, hand",
    "M0725": "Psoriatic spondylitis, pelvic region and thigh",
    "M0726": "Psoriatic spondylitis, lower leg",
    "M0727": "Psoriatic spondylitis, ankle and foot",
    "M0728": "Psoriatic spondylitis, other",
    "M0729": "Psoriatic spondylitis, site unspecified",
    "M0730": "Other psoriatic arthropathies, multiple sites",
    "M0731": "Other psoriatic arthropathies, shoulder region",
    "M0732": "Other psoriatic arthropathies, upper arm",
    "M0733": "Other psoriatic arthropathies, forearm",
    "M0734": "Other psoriatic arthropathies, hand",
    "M0735": "Other psoriatic arthropathies, pelvic region and thigh",
    "M0736": "Other psoriatic arthropathies, lower leg",
    "M0737": "Other psoriatic arthropathies, ankle and foot",
    "M0738": "Other psoriatic arthropathies, other",
    "M0739": "Other psoriatic arthropathies, site unspecified",
    "M0740": "Arthropathy in Crohn disease [regional enteritis], multiple sites",
    "M0741": "Arthropathy in Crohn disease [regional enteritis], shoulder region",
    "M0743": "Arthropathy in Crohn disease [regional enteritis], forearm",
    "M0744": "Arthropathy in Crohn disease [regional enteritis], hand",
    "M0745": "Arthropathy in Crohn disease [regional enteritis], pelvic region and thigh",
    "M0746": "Arthropathy in Crohn disease [regional enteritis], lower leg",
    "M0747": "Arthropathy in Crohn disease [regional enteritis], ankle and foot",
    "M0748": "Arthropathy in Crohn disease [regional enteritis], other",
    "M0749": "Arthropathy in Crohn disease [regional enteritis], site unspecified",
    "M0750": "Arthropathy in ulcerative colitis, multiple sites",
    "M0751": "Arthropathy in ulcerative colitis, shoulder region",
    "M0752": "Arthropathy in ulcerative colitis, upper arm",
    "M0753": "Arthropathy in ulcerative colitis, forearm",
    "M0754": "Arthropathy in ulcerative colitis, hand",
    "M0755": "Arthropathy in ulcerative colitis, pelvic region and thigh",
    "M0756": "Arthropathy in ulcerative colitis, lower leg",
    "M0757": "Arthropathy in ulcerative colitis, ankle and foot",
    "M0758": "Arthropathy in ulcerative colitis, other",
    "M0759": "Arthropathy in ulcerative colitis, site unspecified",
    "M0760": "Other enteropathic arthropathies, multiple sites",
    "M0761": "Other enteropathic arthropathies, shoulder region",
    "M0762": "Other enteropathic arthropathies, upper arm",
    "M0763": "Other enteropathic arthropathies, forearm",
    "M0765": "Other enteropathic arthropathies, pelvic region and thigh",
    "M0766": "Other enteropathic arthropathies, lower leg",
    "M0767": "Other enteropathic arthropathies, ankle and foot",
    "M0768": "Other enteropathic arthropathies, other",
    "M4840": "Fatigue fracture of vertebra, multiple sites in spine",
    "M4841": "Fatigue fracture of vertebra, occipito-atlanto-axial region",
    "M4842": "Fatigue fracture of vertebra, cervical region",
    "M4843": "Fatigue fracture of vertebra, cervicothoracic region",
    "M4845": "Fatigue fracture of vertebra, thoracolumbar region",
    "M4846": "Fatigue fracture of vertebra, lumbar region",
    "M4847": "Fatigue fracture of vertebra, lumbosacral region",
    "M4848": "Fatigue fracture of vertebra, sacral and sacrococcygeal region",
    "M4849": "Fatigue fracture of vertebra, site unspecified",
    "M4850": "Collapsed vertebra, not elsewhere classified, multiple sites in spine",
    "M4851": "Collapsed vertebra, not elsewhere classified, occipito-atlanto-axial region",
    "M4852": "Collapsed vertebra, not elsewhere classified, cervical region",
    "M4853": "Collapsed vertebra, not elsewhere classified, cervicothoracic region",
    "M4854": "Collapsed vertebra, not elsewhere classified, thoracic region",
    "M4855": "Collapsed vertebra, not elsewhere classified, thoracolumbar region",
    "M4856": "Collapsed vertebra, not elsewhere classified, lumbar region",
    "M4857": "Collapsed vertebra, not elsewhere classified, lumbosacral region",
    "M4858": "Collapsed vertebra, not elsewhere classified, sacral and sacrococcygeal region",
    "M4859": "Collapsed vertebra, not elsewhere classified, site unspecified",
    "M4880": "Other specified spondylopathies, multiple sites in spine",
    "M4881": "Other specified spondylopathies, occipito-atlanto-axial region",
    "M4882": "Other specified spondylopathies, cervical region",
    "M4883": "Other specified spondylopathies, cervicothoracic region",
    "M4885": "Other specified spondylopathies, thoracolumbar region",
    "M4886": "Other specified spondylopathies, lumbar region",
    "M4887": "Other specified spondylopathies, lumbosacral region",
    "M4888": "Other specified spondylopathies, sacral and sacrococcygeal region",
    "M4889": "Other specified spondylopathies, site unspecified",
    "M4890": "Spondylopathy, unspecified, multiple sites in spine",
    "M4891": "Spondylopathy, unspecified, occipito-atlanto-axial region",
    "M4892": "Spondylopathy, unspecified, cervical region",
    "M4893": "Spondylopathy, unspecified, cervicothoracic region",
    "M4894": "Spondylopathy, unspecified, thoracic region",
    "M4895": "Spondylopathy, unspecified, thoracolumbar region",
    "M4896": "Spondylopathy, unspecified, lumbar region",
    "M4897": "Spondylopathy, unspecified, lumbosacral region",
    "M4898": "Spondylopathy, unspecified, sacral and sacrococcygeal region",
    "M4899": "Spondylopathy, unspecified, site unspecified",
    "M4900": "Tuberculosis of spine, multiple sites in spine",
    "M4901": "Tuberculosis of spine, occipito-atlanto-axial region",
    "M4902": "Tuberculosis of spine, cervical region",
    "M4903": "Tuberculosis of spine, cervicothoracic region",
    "M4905": "Tuberculosis of spine, thoracolumbar region",
    "M4906": "Tuberculosis of spine, lumbar region",
    "M4907": "Tuberculosis of spine, lumbosacral region",
    "M4908": "Tuberculosis of spine, sacral and sacrococcygeal region",
    "M4909": "Tuberculosis of spine, site unspecified",
    "M4910": "Brucella spondylitis, multiple sites in spine",
    "M4911": "Brucella spondylitis, occipito-atlanto-axial region",
    "M4912": "Brucella spondylitis, cervical region",
    "M4913": "Brucella spondylitis, cervicothoracic region",
    "M4914": "Brucella spondylitis, thoracic region",
    "M4915": "Brucella spondylitis, thoracolumbar region",
    "M4916": "Brucella spondylitis, lumbar region",
    "M4917": "Brucella spondylitis, lumbosacral region",
    "M4918": "Brucella spondylitis, sacral and sacrococcygeal region",
    "M4919": "Brucella spondylitis, site unspecified",
    "M4920": "Enterobacterial spondylitis, multiple sites in spine",
    "M4921": "Enterobacterial spondylitis, occipito-atlanto-axial region",
    "M4922": "Enterobacterial spondylitis, cervical region",
    "M4923": "Enterobacterial spondylitis, cervicothoracic region",
    "M4924": "Enterobacterial spondylitis, thoracic region",
    "M4925": "Enterobacterial spondylitis, thoracolumbar region",
    "M8340": "Aluminium bone disease, multiple sites",
    "M8341": "Aluminium bone disease, shoulder region",
    "M8342": "Aluminium bone disease, upper arm",
    "M8343": "Aluminium bone disease, forearm",
    "M8344": "Aluminium bone disease, hand",
    "M8345": "Aluminium bone disease, pelvic region and thigh",
    "M8346": "Aluminium bone disease, lower leg",
    "M8347": "Aluminium bone disease, ankle and foot",
    "M8348": "Aluminium bone disease, other",
    "M8349": "Aluminium bone disease, site unspecified",
    "M8350": "Other drug-induced osteomalacia in adults, multiple sites",
    "M8351": "Other drug-induced osteomalacia in adults, shoulder region",
    "M8352": "Other drug-induced osteomalacia in adults, upper arm",
    "M8353": "Other drug-induced osteomalacia in adults, forearm",
    "M8354": "Other drug-induced osteomalacia in adults, hand",
    "M8355": "Other drug-induced osteomalacia in adults, pelvic region and thigh",
    "M8356": "Other drug-induced osteomalacia in adults, lower leg",
    "M8357": "Other drug-induced osteomalacia in adults, ankle and foot",
    "M8359": "Other drug-induced osteomalacia in adults, site unspecified",
    "M8380": "Other adult osteomalacia, multiple sites",
    "M8381": "Other adult osteomalacia, shoulder region",
    "M8382": "Other adult osteomalacia, upper arm",
    "M8383": "Other adult osteomalacia, forearm",
    "M8384": "Other adult osteomalacia, hand",
    "M8385": "Other adult osteomalacia, pelvic region and thigh",
    "M8386": "Other adult osteomalacia, lower leg",
    "M8387": "Other adult osteomalacia, ankle and foot",
    "M8388": "Other adult osteomalacia, other",
    "M8389": "Other adult osteomalacia, site unspecified",
    "M8390": "Adult osteomalacia, unspecified, multiple sites",
    "M8391": "Adult osteomalacia, unspecified, shoulder region",
    "M8392": "Adult osteomalacia, unspecified, upper arm",
    "M8393": "Adult osteomalacia, unspecified, forearm",
    "M8394": "Adult osteomalacia, unspecified, hand",
    "M8395": "Adult osteomalacia, unspecified, pelvic region and thigh",
    "M8396": "Adult osteomalacia, unspecified, lower leg",
    "M8397": "Adult osteomalacia, unspecified, ankle and foot",
    "M8399": "Adult osteomalacia, unspecified, site unspecified",
    "M8400": "Malunion of fracture, multiple sites",
    "M8401": "Malunion of fracture, shoulder region",
    "M8402": "Malunion of fracture, upper arm",
    "M8403": "Malunion of fracture, forearm",
    "M8404": "Malunion of fracture, hand",
    "M8405": "Malunion of fracture, pelvic region and thigh",
    "M8406": "Malunion of fracture, lower leg",
    "M8407": "Malunion of fracture, ankle and foot",
    "M8408": "Malunion of fracture, other",
    "M8409": "Malunion of fracture, site unspecified",
    "M8410": "Nonunion of fracture [pseudarthrosis], multiple sites",
    "M8411": "Nonunion of fracture [pseudarthrosis], shoulder region",
    "M8412": "Nonunion of fracture [pseudarthrosis], upper arm",
    "M8413": "Nonunion of fracture [pseudarthrosis], forearm",
    "M8414": "Nonunion of fracture [pseudarthrosis], hand",
    "M8415": "Nonunion of fracture [pseudarthrosis], pelvic region and thigh",
    "M8417": "Nonunion of fracture [pseudarthrosis], ankle and foot",
    "M8418": "Nonunion of fracture [pseudarthrosis], other",
    "M8419": "Nonunion of fracture [pseudarthrosis], site unspecified",
    "M8420": "Delayed union of fracture, multiple sites",
    "M8421": "Delayed union of fracture, shoulder region",
    "M8422": "Delayed union of fracture, upper arm",
    "M8423": "Delayed union of fracture, forearm",
    "M8424": "Delayed union of fracture, hand",
    "M8425": "Delayed union of fracture, pelvic region and thigh",
    "M8426": "Delayed union of fracture, lower leg",
    "M8427": "Delayed union of fracture, ankle and foot",
    "M8428": "Delayed union of fracture, other",
    "M8429": "Delayed union of fracture, site unspecified",
    "M8430": "Stress fracture, not elsewhere classified, multiple sites",
    "M0769": "Other enteropathic arthropathies, site unspecified",
    "M0800": "Juvenile rheumatoid arthritis, multiple sites",
    "M0801": "Juvenile rheumatoid arthritis, shoulder region",
    "M0802": "Juvenile rheumatoid arthritis, upper arm",
    "M0803": "Juvenile rheumatoid arthritis, forearm",
    "M0804": "Juvenile rheumatoid arthritis, hand",
    "M0805": "Juvenile rheumatoid arthritis, pelvic region and thigh",
    "M0806": "Juvenile rheumatoid arthritis, lower leg",
    "M0807": "Juvenile rheumatoid arthritis, ankle and foot",
    "M0808": "Juvenile rheumatoid arthritis, other",
    "M0809": "Juvenile rheumatoid arthritis, site unspecified",
    "M0810": "Juvenile ankylosing spondylitis, multiple sites",
    "M0811": "Juvenile ankylosing spondylitis, shoulder region",
    "M0813": "Juvenile ankylosing spondylitis, forearm",
    "M0814": "Juvenile ankylosing spondylitis, hand",
    "M0815": "Juvenile ankylosing spondylitis, pelvic region and thigh",
    "M0816": "Juvenile ankylosing spondylitis, lower leg",
    "M0817": "Juvenile ankylosing spondylitis, ankle and foot",
    "M0818": "Juvenile ankylosing spondylitis, other",
    "M0819": "Juvenile ankylosing spondylitis, site unspecified",
    "M0820": "Juvenile arthritis with systemic onset, multiple sites",
    "M0821": "Juvenile arthritis with systemic onset, shoulder region",
    "M0822": "Juvenile arthritis with systemic onset, upper arm",
    "M0823": "Juvenile arthritis with systemic onset, forearm",
    "M0824": "Juvenile arthritis with systemic onset, hand",
    "M0825": "Juvenile arthritis with systemic onset, pelvic region and thigh",
    "M0826": "Juvenile arthritis with systemic onset, lower leg",
    "M0827": "Juvenile arthritis with systemic onset, ankle and foot",
    "M0828": "Juvenile arthritis with systemic onset, other",
    "M0829": "Juvenile arthritis with systemic onset, site unspecified",
    "M0830": "Juvenile polyarthritis (seronegative), multiple sites",
    "M0831": "Juvenile polyarthritis (seronegative), shoulder region",
    "M0832": "Juvenile polyarthritis (seronegative), upper arm",
    "M0833": "Juvenile polyarthritis (seronegative), forearm",
    "M0834": "Juvenile polyarthritis (seronegative), hand",
    "M0835": "Juvenile polyarthritis (seronegative), pelvic region and thigh",
    "M0836": "Juvenile polyarthritis (seronegative), lower leg",
    "M0837": "Juvenile polyarthritis (seronegative), ankle and foot",
    "M0838": "Juvenile polyarthritis (seronegative), other",
    "M0839": "Juvenile polyarthritis (seronegative), site unspecified",
    "M0840": "Pauciarticular juvenile arthritis, multiple sites",
    "M0841": "Pauciarticular juvenile arthritis, shoulder region",
    "M0842": "Pauciarticular juvenile arthritis, upper arm",
    "M0843": "Pauciarticular juvenile arthritis, forearm",
    "M0844": "Pauciarticular juvenile arthritis, hand",
    "M0845": "Pauciarticular juvenile arthritis, pelvic region and thigh",
    "M0847": "Pauciarticular juvenile arthritis, ankle and foot",
    "M0848": "Pauciarticular juvenile arthritis, other",
    "M0849": "Pauciarticular juvenile arthritis, site unspecified",
    "M0880": "Other juvenile arthritis, multiple sites",
    "M0881": "Other juvenile arthritis, shoulder region",
    "M0882": "Other juvenile arthritis, upper arm",
    "M0883": "Other juvenile arthritis, forearm",
    "M0884": "Other juvenile arthritis, hand",
    "M0885": "Other juvenile arthritis, pelvic region and thigh",
    "M0886": "Other juvenile arthritis, lower leg",
    "M0887": "Other juvenile arthritis, ankle and foot",
    "M0888": "Other juvenile arthritis, other",
    "M0889": "Other juvenile arthritis, site unspecified",
    "M0890": "Juvenile arthritis, unspecified, multiple sites",
    "M0891": "Juvenile arthritis, unspecified, shoulder region",
    "M0892": "Juvenile arthritis, unspecified, upper arm",
    "M0893": "Juvenile arthritis, unspecified, forearm",
    "M0894": "Juvenile arthritis, unspecified, hand",
    "M0896": "Juvenile arthritis, unspecified, lower leg",
    "M0897": "Juvenile arthritis, unspecified, ankle and foot",
    "M0898": "Juvenile arthritis, unspecified, other",
    "M4926": "Enterobacterial spondylitis, lumbar region",
    "M4927": "Enterobacterial spondylitis, lumbosacral region",
    "M4928": "Enterobacterial spondylitis, sacral and sacrococcygeal region",
    "M4929": "Enterobacterial spondylitis, site unspecified",
    "M4930": "Spondylopathy in other infectious and parasitic diseases classified elsewhere, multiple sites in spine",
    "M4931": "Spondylopathy in other infectious and parasitic diseases classified elsewhere, occipito-atlanto-axial region",
    "M4932": "Spondylopathy in other infectious and parasitic diseases classified elsewhere, cervical region",
    "M4933": "Spondylopathy in other infectious and parasitic diseases classified elsewhere, cervicothoracic region",
    "M4934": "Spondylopathy in other infectious and parasitic diseases classified elsewhere, thoracic region",
    "M4935": "Spondylopathy in other infectious and parasitic diseases classified elsewhere, thoracolumbar region",
    "M4936": "Spondylopathy in other infectious and parasitic diseases classified elsewhere, lumbar region",
    "M4937": "Spondylopathy in other infectious and parasitic diseases classified elsewhere, lumbosacral region",
    "M4938": "Spondylopathy in other infectious and parasitic diseases classified elsewhere, sacral and sacrococcygeal region",
    "M4939": "Spondylopathy in other infectious and parasitic diseases classified elsewhere, site unspecified",
    "M4940": "Neuropathic spondylopathy, multiple sites in spine",
    "M4941": "Neuropathic spondylopathy, occipito-atlanto-axial region",
    "M4942": "Neuropathic spondylopathy, cervical region",
    "M4943": "Neuropathic spondylopathy, cervicothoracic region",
    "M4944": "Neuropathic spondylopathy, thoracic region",
    "M4945": "Neuropathic spondylopathy, thoracolumbar region",
    "M4946": "Neuropathic spondylopathy, lumbar region",
    "M4947": "Neuropathic spondylopathy, lumbosacral region",
    "M4948": "Neuropathic spondylopathy, sacral and sacrococcygeal region",
    "M4949": "Neuropathic spondylopathy, site unspecified",
    "M4950": "Collapsed vertebra in diseases classified elsewhere, multiple sites in spine",
    "M4951": "Collapsed vertebra in diseases classified elsewhere, occipito-atlanto-axial region",
    "M4952": "Collapsed vertebra in diseases classified elsewhere, cervical region",
    "M4953": "Collapsed vertebra in diseases classified elsewhere, cervicothoracic region",
    "M4954": "Collapsed vertebra in diseases classified elsewhere, thoracic region",
    "M4955": "Collapsed vertebra in diseases classified elsewhere, thoracolumbar region",
    "M4956": "Collapsed vertebra in diseases classified elsewhere, lumbar region",
    "M4957": "Collapsed vertebra in diseases classified elsewhere, lumbosacral region",
    "M4958": "Collapsed vertebra in diseases classified elsewhere, sacral and sacrococcygeal region",
    "M4959": "Collapsed vertebra in diseases classified elsewhere, site unspecified",
    "M4980": "Spondylopathy in other diseases classified elsewhere, multiple sites in spine",
    "M4981": "Spondylopathy in other diseases classified elsewhere, occipito-atlanto-axial region",
    "M4982": "Spondylopathy in other diseases classified elsewhere, cervical region",
    "M4983": "Spondylopathy in other diseases classified elsewhere, cervicothoracic region",
    "M4985": "Spondylopathy in other diseases classified elsewhere, thoracolumbar region",
    "M4986": "Spondylopathy in other diseases classified elsewhere, lumbar region",
    "M4987": "Spondylopathy in other diseases classified elsewhere, lumbosacral region",
    "M4988": "Spondylopathy in other diseases classified elsewhere, sacral and sacrococcygeal region",
    "M4989": "Spondylopathy in other diseases classified elsewhere, site unspecified",
    "M5300": "Cervicocranial syndrome, multiple sites in spine",
    "M5301": "Cervicocranial syndrome, occipito-atlanto-axial region",
    "M5302": "Cervicocranial syndrome, cervical region",
    "M5303": "Cervicocranial syndrome, cervicothoracic region",
    "M5304": "Cervicocranial syndrome, thoracic region",
    "M5305": "Cervicocranial syndrome, thoracolumbar region",
    "M5306": "Cervicocranial syndrome, lumbar region",
    "M5307": "Cervicocranial syndrome, lumbosacral region",
    "M5308": "Cervicocranial syndrome, sacral and sacrococcygeal region",
    "M5309": "Cervicocranial syndrome, site unspecified",
    "M5310": "Cervicobrachial syndrome, multiple sites in spine",
    "M5311": "Cervicobrachial syndrome, occipito-atlanto-axial region",
    "M5312": "Cervicobrachial syndrome, cervical region",
    "M8431": "Stress fracture, not elsewhere classified, shoulder region",
    "M8432": "Stress fracture, not elsewhere classified, upper arm",
    "M8433": "Stress fracture, not elsewhere classified, forearm",
    "M8434": "Stress fracture, not elsewhere classified, hand",
    "M8435": "Stress fracture, not elsewhere classified, pelvic region and thigh",
    "M8436": "Stress fracture, not elsewhere classified, lower leg",
    "M8437": "Stress fracture, not elsewhere classified, ankle and foot",
    "M8438": "Stress fracture, not elsewhere classified, other",
    "M8439": "Stress fracture, not elsewhere classified, site unspecified",
    "M8440": "Pathological fracture, not elsewhere classified, multiple sites",
    "M8441": "Pathological fracture, not elsewhere classified, shoulder region",
    "M8442": "Pathological fracture, not elsewhere classified, upper arm",
    "M8443": "Pathological fracture, not elsewhere classified, forearm",
    "M8444": "Pathological fracture, not elsewhere classified, hand",
    "M8445": "Pathological fracture, not elsewhere classified, pelvic region and thigh",
    "M8446": "Pathological fracture, not elsewhere classified, lower leg",
    "M8447": "Pathological fracture, not elsewhere classified, ankle and foot",
    "M8448": "Pathological fracture, not elsewhere classified, other",
    "M8449": "Pathological fracture, not elsewhere classified, site unspecified",
    "M8480": "Other disorders of continuity of bone, multiple sites",
    "M8481": "Other disorders of continuity of bone, shoulder region",
    "M8482": "Other disorders of continuity of bone, upper arm",
    "M8483": "Other disorders of continuity of bone, forearm",
    "M8484": "Other disorders of continuity of bone, hand",
    "M8485": "Other disorders of continuity of bone, pelvic region and thigh",
    "M8486": "Other disorders of continuity of bone, lower leg",
    "M8487": "Other disorders of continuity of bone, ankle and foot",
    "M8488": "Other disorders of continuity of bone, other",
    "M8489": "Other disorders of continuity of bone, site unspecified",
    "M8490": "Disorder of continuity of bone, unspecified, multiple sites",
    "M8491": "Disorder of continuity of bone, unspecified, shoulder region",
    "M8492": "Disorder of continuity of bone, unspecified, upper arm",
    "M8493": "Disorder of continuity of bone, unspecified, forearm",
    "M8494": "Disorder of continuity of bone, unspecified, hand",
    "M8495": "Disorder of continuity of bone, unspecified, pelvic region and thigh",
    "M8496": "Disorder of continuity of bone, unspecified, lower leg",
    "M8497": "Disorder of continuity of bone, unspecified, ankle and foot",
    "M8498": "Disorder of continuity of bone, unspecified, other",
    "M8499": "Disorder of continuity of bone, unspecified, site unspecified",
    "M8500": "Fibrous dysplasia (monostotic), multiple sites",
    "M8501": "Fibrous dysplasia (monostotic), shoulder region",
    "M8502": "Fibrous dysplasia (monostotic), upper arm",
    "M8503": "Fibrous dysplasia (monostotic), forearm",
    "M8504": "Fibrous dysplasia (monostotic), hand",
    "M8505": "Fibrous dysplasia (monostotic), pelvic region and thigh",
    "M8506": "Fibrous dysplasia (monostotic), lower leg",
    "M8507": "Fibrous dysplasia (monostotic), ankle and foot",
    "M8508": "Fibrous dysplasia (monostotic), other",
    "M8509": "Fibrous dysplasia (monostotic), site unspecified",
    "M8510": "Skeletal fluorosis, multiple sites",
    "M8511": "Skeletal fluorosis, shoulder region",
    "M8512": "Skeletal fluorosis, upper arm",
    "M8513": "Skeletal fluorosis, forearm",
    "M8514": "Skeletal fluorosis, hand",
    "M8515": "Skeletal fluorosis, pelvic region and thigh",
    "M8516": "Skeletal fluorosis, lower leg",
    "M8517": "Skeletal fluorosis, ankle and foot",
    "M8518": "Skeletal fluorosis, other",
    "M8519": "Skeletal fluorosis, site unspecified",
    "M8530": "Osteitis condensans, multiple sites",
    "M8531": "Osteitis condensans, shoulder region",
    "M8532": "Osteitis condensans, upper arm",
    "M8533": "Osteitis condensans, forearm",
    "M8534": "Osteitis condensans, hand",
    "M8535": "Osteitis condensans, pelvic region and thigh",
    "M0899": "Juvenile arthritis, unspecified, site unspecified",
    "M0900": "Juvenile arthritis in psoriasis, multiple sites",
    "M0901": "Juvenile arthritis in psoriasis, shoulder region",
    "M0902": "Juvenile arthritis in psoriasis, upper arm",
    "M0903": "Juvenile arthritis in psoriasis, forearm",
    "M0904": "Juvenile arthritis in psoriasis, hand",
    "M0905": "Juvenile arthritis in psoriasis, pelvic region and thigh",
    "M0906": "Juvenile arthritis in psoriasis, lower leg",
    "M0907": "Juvenile arthritis in psoriasis, ankle and foot",
    "M0908": "Juvenile arthritis in psoriasis, other",
    "M0909": "Juvenile arthritis in psoriasis, site unspecified",
    "M0910": "Juvenile arthritis in Crohn disease [regional enteritis], multiple sites",
    "M0911": "Juvenile arthritis in Crohn disease [regional enteritis], shoulder region",
    "M0912": "Juvenile arthritis in Crohn disease [regional enteritis], upper arm",
    "M0913": "Juvenile arthritis in Crohn disease [regional enteritis], forearm",
    "M0914": "Juvenile arthritis in Crohn disease [regional enteritis], hand",
    "M0915": "Juvenile arthritis in Crohn disease [regional enteritis], pelvic region and thigh",
    "M0916": "Juvenile arthritis in Crohn disease [regional enteritis], lower leg",
    "M0917": "Juvenile arthritis in Crohn disease [regional enteritis], ankle and foot",
    "M0918": "Juvenile arthritis in Crohn disease [regional enteritis], other",
    "M0919": "Juvenile arthritis in Crohn disease [regional enteritis], site unspecified",
    "M0920": "Juvenile arthritis in ulcerative colitis, multiple sites",
    "M0921": "Juvenile arthritis in ulcerative colitis, shoulder region",
    "M0922": "Juvenile arthritis in ulcerative colitis, upper arm",
    "M0923": "Juvenile arthritis in ulcerative colitis, forearm",
    "M0924": "Juvenile arthritis in ulcerative colitis, hand",
    "M0925": "Juvenile arthritis in ulcerative colitis, pelvic region and thigh",
    "M0926": "Juvenile arthritis in ulcerative colitis, lower leg",
    "M0927": "Juvenile arthritis in ulcerative colitis, ankle and foot",
    "M0928": "Juvenile arthritis in ulcerative colitis, other",
    "M0929": "Juvenile arthritis in ulcerative colitis, site unspecified",
    "M0980": "Juvenile arthritis in other diseases classified elsewhere, multiple sites",
    "M0981": "Juvenile arthritis in other diseases classified elsewhere, shoulder region",
    "M0982": "Juvenile arthritis in other diseases classified elsewhere, upper arm",
    "M0983": "Juvenile arthritis in other diseases classified elsewhere, forearm",
    "M0985": "Juvenile arthritis in other diseases classified elsewhere, pelvic region and thigh",
    "M0986": "Juvenile arthritis in other diseases classified elsewhere, lower leg",
    "M0987": "Juvenile arthritis in other diseases classified elsewhere, ankle and foot",
    "M0988": "Juvenile arthritis in other diseases classified elsewhere, other",
    "M0989": "Juvenile arthritis in other diseases classified elsewhere, site unspecified",
    "M1000": "Idiopathic gout, multiple sites",
    "M1001": "Idiopathic gout, shoulder region",
    "M1002": "Idiopathic gout, upper arm",
    "M1003": "Idiopathic gout, forearm",
    "M1004": "Idiopathic gout, hand",
    "M1005": "Idiopathic gout, pelvic region and thigh",
    "M1006": "Idiopathic gout, lower leg",
    "M1007": "Idiopathic gout, ankle and foot",
    "M1008": "Idiopathic gout, other",
    "M1009": "Idiopathic gout, site unspecified",
    "M1010": "Lead-induced gout, multiple sites",
    "M1011": "Lead-induced gout, shoulder region",
    "M1012": "Lead-induced gout, upper arm",
    "M1013": "Lead-induced gout, forearm",
    "M1014": "Lead-induced gout, hand",
    "M1015": "Lead-induced gout, pelvic region and thigh",
    "M1016": "Lead-induced gout, lower leg",
    "M1018": "Lead-induced gout, other",
    "M1019": "Lead-induced gout, site unspecified",
    "M1020": "Drug-induced gout, multiple sites",
    "M1021": "Drug-induced gout, shoulder region",
    "M1022": "Drug-induced gout, upper arm",
    "M1023": "Drug-induced gout, forearm",
    "M1024": "Drug-induced gout, hand",
    "M1025": "Drug-induced gout, pelvic region and thigh",
    "M5313": "Cervicobrachial syndrome, cervicothoracic region",
    "M5314": "Cervicobrachial syndrome, thoracic region",
    "M5315": "Cervicobrachial syndrome, thoracolumbar region",
    "M5316": "Cervicobrachial syndrome, lumbar region",
    "M5317": "Cervicobrachial syndrome, lumbosacral region",
    "M5319": "Cervicobrachial syndrome, site unspecified",
    "M5320": "Spinal instabilities, multiple sites in spine",
    "M5321": "Spinal instabilities, occipito-atlanto-axial region",
    "M5322": "Spinal instabilities, cervical region",
    "M5323": "Spinal instabilities, cervicothoracic region",
    "M5324": "Spinal instabilities, thoracic region",
    "M5325": "Spinal instabilities, thoracolumbar region",
    "M5326": "Spinal instabilities, lumbar region",
    "M5327": "Spinal instabilities, lumbosacral region",
    "M5328": "Spinal instabilities, sacral and sacrococcygeal region",
    "M5329": "Spinal instabilities, site unspecified",
    "M5330": "Sacrococcygeal disorders, not elsewhere classified, multiple sites in spine",
    "M5331": "Sacrococcygeal disorders, not elsewhere classified, occipito-atlanto-axial region",
    "M5332": "Sacrococcygeal disorders, not elsewhere classified, cervical region",
    "M5333": "Sacrococcygeal disorders, not elsewhere classified, cervicothoracic region",
    "M5334": "Sacrococcygeal disorders, not elsewhere classified, thoracic region",
    "M5335": "Sacrococcygeal disorders, not elsewhere classified, thoracolumbar region",
    "M5336": "Sacrococcygeal disorders, not elsewhere classified, lumbar region",
    "M5337": "Sacrococcygeal disorders, not elsewhere classified, lumbosacral region",
    "M5338": "Sacrococcygeal disorders, not elsewhere classified, sacral and sacrococcygeal region",
    "M5339": "Sacrococcygeal disorders, not elsewhere classified, site unspecified",
    "M5380": "Other specified dorsopathies, multiple sites in spine",
    "M5382": "Other specified dorsopathies, cervical region",
    "M5383": "Other specified dorsopathies, cervicothoracic region",
    "M5384": "Other specified dorsopathies, thoracic region",
    "M5385": "Other specified dorsopathies, thoracolumbar region",
    "M5386": "Other specified dorsopathies, lumbar region",
    "M5387": "Other specified dorsopathies, lumbosacral region",
    "M5388": "Other specified dorsopathies, sacral and sacrococcygeal region",
    "M5389": "Other specified dorsopathies, site unspecified",
    "M5390": "Dorsopathy, unspecified, multiple sites in spine",
    "M5391": "Dorsopathy, unspecified, occipito-atlanto-axial region",
    "M5392": "Dorsopathy, unspecified, cervical region",
    "M5393": "Dorsopathy, unspecified, cervicothoracic region",
    "M5394": "Dorsopathy, unspecified, thoracic region",
    "M5395": "Dorsopathy, unspecified, thoracolumbar region",
    "M5396": "Dorsopathy, unspecified, lumbar region",
    "M5397": "Dorsopathy, unspecified, lumbosacral region",
    "M5398": "Dorsopathy, unspecified, sacral and sacrococcygeal region",
    "M5399": "Dorsopathy, unspecified, site unspecified",
    "M5400": "Panniculitis affecting regions of neck and back, multiple sites in spine",
    "M5401": "Panniculitis affecting regions of neck and back, occipito-atlanto-axial region",
    "M5402": "Panniculitis affecting regions of neck and back, cervical region",
    "M5403": "Panniculitis affecting regions of neck and back, cervicothoracic region",
    "M5404": "Panniculitis affecting regions of neck and back, thoracic region",
    "M5405": "Panniculitis affecting regions of neck and back, thoracolumbar region",
    "M5406": "Panniculitis affecting regions of neck and back, lumbar region",
    "M5407": "Panniculitis affecting regions of neck and back, lumbosacral region",
    "M5408": "Panniculitis affecting regions of neck and back, sacral and sacrococcygeal region",
    "M5409": "Panniculitis affecting regions of neck and back, site unspecified",
    "M5410": "Radiculopathy, multiple sites in spine",
    "M5411": "Radiculopathy, occipito-atlanto-axial region",
    "M5412": "Radiculopathy, cervical region",
    "M5413": "Radiculopathy, cervicothoracic region",
    "M5414": "Radiculopathy, thoracic region",
    "M5415": "Radiculopathy, thoracolumbar region",
    "M5416": "Radiculopathy, lumbar region",
    "M5417": "Radiculopathy, lumbosacral region",
    "M8536": "Osteitis condensans, lower leg",
    "M8537": "Osteitis condensans, ankle and foot",
    "M8538": "Osteitis condensans, other",
    "M8539": "Osteitis condensans, site unspecified",
    "M8540": "Solitary bone cyst, multiple sites",
    "M8541": "Solitary bone cyst, shoulder region",
    "M8542": "Solitary bone cyst, upper arm",
    "M8543": "Solitary bone cyst, forearm",
    "M8544": "Solitary bone cyst, hand",
    "M8545": "Solitary bone cyst, pelvic region and thigh",
    "M8546": "Solitary bone cyst, lower leg",
    "M8547": "Solitary bone cyst, ankle and foot",
    "M8548": "Solitary bone cyst, other",
    "M8549": "Solitary bone cyst, site unspecified",
    "M8550": "Aneurysmal bone cyst, multiple sites",
    "M8551": "Aneurysmal bone cyst, shoulder region",
    "M8552": "Aneurysmal bone cyst, upper arm",
    "M8553": "Aneurysmal bone cyst, forearm",
    "M8554": "Aneurysmal bone cyst, hand",
    "M8555": "Aneurysmal bone cyst, pelvic region and thigh",
    "M8556": "Aneurysmal bone cyst, lower leg",
    "M8557": "Aneurysmal bone cyst, ankle and foot",
    "M8558": "Aneurysmal bone cyst, other",
    "M8559": "Aneurysmal bone cyst, site unspecified",
    "M8560": "Other cyst of bone, multiple sites",
    "M8562": "Other cyst of bone, upper arm",
    "M8563": "Other cyst of bone, forearm",
    "M8564": "Other cyst of bone, hand",
    "M8565": "Other cyst of bone, pelvic region and thigh",
    "M8566": "Other cyst of bone, lower leg",
    "M8567": "Other cyst of bone, ankle and foot",
    "M8568": "Other cyst of bone, other",
    "M8569": "Other cyst of bone, site unspecified",
    "M8580": "Other specified disorders of bone density and structure, multiple sites",
    "M8581": "Other specified disorders of bone density and structure, shoulder region",
    "M8582": "Other specified disorders of bone density and structure, upper arm",
    "M8583": "Other specified disorders of bone density and structure, forearm",
    "M8584": "Other specified disorders of bone density and structure, hand",
    "M8585": "Other specified disorders of bone density and structure, pelvic region and thigh",
    "M8586": "Other specified disorders of bone density and structure, lower leg",
    "M8587": "Other specified disorders of bone density and structure, ankle and foot",
    "M8588": "Other specified disorders of bone density and structure, other",
    "M8590": "Disorder of bone density and structure, unspecified, multiple sites",
    "M8591": "Disorder of bone density and structure, unspecified, shoulder region",
    "M8592": "Disorder of bone density and structure, unspecified, upper arm",
    "M8593": "Disorder of bone density and structure, unspecified, forearm",
    "M8594": "Disorder of bone density and structure, unspecified, hand",
    "M8595": "Disorder of bone density and structure, unspecified, pelvic region and thigh",
    "M8596": "Disorder of bone density and structure, unspecified, lower leg",
    "M8597": "Disorder of bone density and structure, unspecified, ankle and foot",
    "M8598": "Disorder of bone density and structure, unspecified, other",
    "M8599": "Disorder of bone density and structure, unspecified, site unspecified",
    "M8600": "Acute haematogenous osteomyelitis, multiple sites",
    "M8601": "Acute haematogenous osteomyelitis, shoulder region",
    "M8602": "Acute haematogenous osteomyelitis, upper arm",
    "M8603": "Acute haematogenous osteomyelitis, forearm",
    "M8604": "Acute haematogenous osteomyelitis, hand",
    "M8605": "Acute haematogenous osteomyelitis, pelvic region and thigh",
    "M8606": "Acute haematogenous osteomyelitis, lower leg",
    "M8607": "Acute haematogenous osteomyelitis, ankle and foot",
    "M8608": "Acute haematogenous osteomyelitis, other",
    "M8609": "Acute haematogenous osteomyelitis, site unspecified",
    "M8610": "Other acute osteomyelitis, multiple sites",
    "M8611": "Other acute osteomyelitis, shoulder region",
    "M8612": "Other acute osteomyelitis, upper arm",
    "M8613": "Other acute osteomyelitis, forearm",
    "M8615": "Other acute osteomyelitis, pelvic region and thigh",
    "M1026": "Drug-induced gout, lower leg",
    "M1027": "Drug-induced gout, ankle and foot",
    "M1028": "Drug-induced gout, other",
    "M1029": "Drug-induced gout, site unspecified",
    "M1030": "Gout due to impairment of renal function, multiple sites",
    "M1031": "Gout due to impairment of renal function, shoulder region",
    "M1032": "Gout due to impairment of renal function, upper arm",
    "M1033": "Gout due to impairment of renal function, forearm",
    "M1035": "Gout due to impairment of renal function, pelvic region and thigh",
    "M1036": "Gout due to impairment of renal function, lower leg",
    "M1037": "Gout due to impairment of renal function, ankle and foot",
    "M1038": "Gout due to impairment of renal function, other",
    "M1039": "Gout due to impairment of renal function, site unspecified",
    "M1040": "Other secondary gout, multiple sites",
    "M1041": "Other secondary gout, shoulder region",
    "M1042": "Other secondary gout, upper arm",
    "M1043": "Other secondary gout, forearm",
    "M1044": "Other secondary gout, hand",
    "M1045": "Other secondary gout, pelvic region and thigh",
    "M1046": "Other secondary gout, lower leg",
    "M1047": "Other secondary gout, ankle and foot",
    "M1048": "Other secondary gout, other",
    "M1049": "Other secondary gout, site unspecified",
    "M1090": "Gout, unspecified, multiple sites",
    "M1091": "Gout, unspecified, shoulder region",
    "M1092": "Gout, unspecified, upper arm",
    "M1093": "Gout, unspecified, forearm",
    "M1094": "Gout, unspecified, hand",
    "M1095": "Gout, unspecified, pelvic region and thigh",
    "M1096": "Gout, unspecified, lower leg",
    "M1097": "Gout, unspecified, ankle and foot",
    "M1098": "Gout, unspecified, other",
    "M1099": "Gout, unspecified, site unspecified",
    "M1100": "Hydroxyapatite deposition disease, multiple sites",
    "M1101": "Hydroxyapatite deposition disease, shoulder region",
    "M1102": "Hydroxyapatite deposition disease, upper arm",
    "M1103": "Hydroxyapatite deposition disease, forearm",
    "M1104": "Hydroxyapatite deposition disease, hand",
    "M1106": "Hydroxyapatite deposition disease, lower leg",
    "M1107": "Hydroxyapatite deposition disease, ankle and foot",
    "M1108": "Hydroxyapatite deposition disease, other",
    "M1109": "Hydroxyapatite deposition disease, site unspecified",
    "M1110": "Familial chondrocalcinosis, multiple sites",
    "M1111": "Familial chondrocalcinosis, shoulder region",
    "M1112": "Familial chondrocalcinosis, upper arm",
    "M1113": "Familial chondrocalcinosis, forearm",
    "M1114": "Familial chondrocalcinosis, hand",
    "M1115": "Familial chondrocalcinosis, pelvic region and thigh",
    "M1116": "Familial chondrocalcinosis, lower leg",
    "M1117": "Familial chondrocalcinosis, ankle and foot",
    "M1118": "Familial chondrocalcinosis, other",
    "M1119": "Familial chondrocalcinosis, site unspecified",
    "M1120": "Other chondrocalcinosis, multiple sites",
    "M1121": "Other chondrocalcinosis, shoulder region",
    "M1122": "Other chondrocalcinosis, upper arm",
    "M1123": "Other chondrocalcinosis, forearm",
    "M1124": "Other chondrocalcinosis, hand",
    "M1125": "Other chondrocalcinosis, pelvic region and thigh",
    "M1126": "Other chondrocalcinosis, lower leg",
    "M1128": "Other chondrocalcinosis, other",
    "M1129": "Other chondrocalcinosis, site unspecified",
    "M1180": "Other specified crystal arthropathies, multiple sites",
    "M1181": "Other specified crystal arthropathies, shoulder region",
    "M1182": "Other specified crystal arthropathies, upper arm",
    "M1183": "Other specified crystal arthropathies, forearm",
    "M1184": "Other specified crystal arthropathies, hand",
    "M1185": "Other specified crystal arthropathies, pelvic region and thigh",
    "M1186": "Other specified crystal arthropathies, lower leg",
    "M1187": "Other specified crystal arthropathies, ankle and foot",
    "M1188": "Other specified crystal arthropathies, other",
    "M5418": "Radiculopathy, sacral and sacrococcygeal region",
    "M5419": "Radiculopathy, site unspecified",
    "M5480": "Other dorsalgia, multiple sites in spine",
    "M5481": "Other dorsalgia, occipito-atlanto-axial region",
    "M5482": "Other dorsalgia, cervical region",
    "M5483": "Other dorsalgia, cervicothoracic region",
    "M5484": "Other dorsalgia, thoracic region",
    "M5485": "Other dorsalgia, thoracolumbar region",
    "M5486": "Other dorsalgia, lumbar region",
    "M5487": "Other dorsalgia, lumbosacral region",
    "M5488": "Other dorsalgia, sacral and sacrococcygeal region",
    "M5489": "Other dorsalgia, site unspecified",
    "M5490": "Dorsalgia, unspecified, multiple sites in spine",
    "M5491": "Dorsalgia, unspecified, occipito-atlanto-axial region",
    "M5492": "Dorsalgia, unspecified, cervical region",
    "M5493": "Dorsalgia, unspecified, cervicothoracic region",
    "M5494": "Dorsalgia, unspecified, thoracic region",
    "M5495": "Dorsalgia, unspecified, thoracolumbar region",
    "M5496": "Dorsalgia, unspecified, lumbar region",
    "M5497": "Dorsalgia, unspecified, lumbosacral region",
    "M5498": "Dorsalgia, unspecified, sacral and sacrococcygeal region",
    "M5499": "Dorsalgia, unspecified, site unspecified",
    "M6000": "Infective myositis, multiple sites",
    "M6001": "Infective myositis, shoulder region",
    "M6002": "Infective myositis, upper arm",
    "M6003": "Infective myositis, forearm",
    "M6004": "Infective myositis, hand",
    "M6005": "Infective myositis, pelvic region and thigh",
    "M6006": "Infective myositis, lower leg",
    "M6007": "Infective myositis, ankle and foot",
    "M6008": "Infective myositis, other",
    "M6009": "Infective myositis, site unspecified",
    "M6010": "Interstitial myositis, multiple sites",
    "M6011": "Interstitial myositis, shoulder region",
    "M6012": "Interstitial myositis, upper arm",
    "M6013": "Interstitial myositis, forearm",
    "M6014": "Interstitial myositis, hand",
    "M6015": "Interstitial myositis, pelvic region and thigh",
    "M6016": "Interstitial myositis, lower leg",
    "M6017": "Interstitial myositis, ankle and foot",
    "M6018": "Interstitial myositis, other",
    "M6019": "Interstitial myositis, site unspecified",
    "M6020": "Foreign body granuloma of soft tissue, not elsewhere classified, multiple sites",
    "M6021": "Foreign body granuloma of soft tissue, not elsewhere classified, shoulder region",
    "M6022": "Foreign body granuloma of soft tissue, not elsewhere classified, upper arm",
    "M6023": "Foreign body granuloma of soft tissue, not elsewhere classified, forearm",
    "M6024": "Foreign body granuloma of soft tissue, not elsewhere classified, hand",
    "M6025": "Foreign body granuloma of soft tissue, not elsewhere classified, pelvic region and thigh",
    "M6026": "Foreign body granuloma of soft tissue, not elsewhere classified, lower leg",
    "M6027": "Foreign body granuloma of soft tissue, not elsewhere classified, ankle and foot",
    "M6028": "Foreign body granuloma of soft tissue, not elsewhere classified, other",
    "M6029": "Foreign body granuloma of soft tissue, not elsewhere classified, site unspecified",
    "M6080": "Other myositis, multiple sites",
    "M6081": "Other myositis, shoulder region",
    "M6082": "Other myositis, upper arm",
    "M6083": "Other myositis, forearm",
    "M6084": "Other myositis, hand",
    "M6085": "Other myositis, pelvic region and thigh",
    "M6086": "Other myositis, lower leg",
    "M6087": "Other myositis, ankle and foot",
    "M6088": "Other myositis, other",
    "M6089": "Other myositis, site unspecified",
    "M6090": "Myositis, unspecified, multiple sites",
    "M6091": "Myositis, unspecified, shoulder region",
    "M6092": "Myositis, unspecified, upper arm",
    "M6093": "Myositis, unspecified, forearm",
    "M6094": "Myositis, unspecified, hand",
    "M6095": "Myositis, unspecified, pelvic region and thigh",
    "M6096": "Myositis, unspecified, lower leg",
    "M8616": "Other acute osteomyelitis, lower leg",
    "M8617": "Other acute osteomyelitis, ankle and foot",
    "M8618": "Other acute osteomyelitis, other",
    "M8619": "Other acute osteomyelitis, site unspecified",
    "M8620": "Subacute osteomyelitis, multiple sites",
    "M8622": "Subacute osteomyelitis, upper arm",
    "M8623": "Subacute osteomyelitis, forearm",
    "M8624": "Subacute osteomyelitis, hand",
    "M8625": "Subacute osteomyelitis, pelvic region and thigh",
    "M8626": "Subacute osteomyelitis, lower leg",
    "M8627": "Subacute osteomyelitis, ankle and foot",
    "M8628": "Subacute osteomyelitis, other",
    "M8629": "Subacute osteomyelitis, site unspecified",
    "M8630": "Chronic multifocal osteomyelitis, multiple sites",
    "M8631": "Chronic multifocal osteomyelitis, shoulder region",
    "M8632": "Chronic multifocal osteomyelitis, upper arm",
    "M8633": "Chronic multifocal osteomyelitis, forearm",
    "M8634": "Chronic multifocal osteomyelitis, hand",
    "M8635": "Chronic multifocal osteomyelitis, pelvic region and thigh",
    "M8636": "Chronic multifocal osteomyelitis, lower leg",
    "M8637": "Chronic multifocal osteomyelitis, ankle and foot",
    "M8638": "Chronic multifocal osteomyelitis, other",
    "M8640": "Chronic osteomyelitis with draining sinus, multiple sites",
    "M8641": "Chronic osteomyelitis with draining sinus, shoulder region",
    "M8642": "Chronic osteomyelitis with draining sinus, upper arm",
    "M8643": "Chronic osteomyelitis with draining sinus, forearm",
    "M8644": "Chronic osteomyelitis with draining sinus, hand",
    "M8645": "Chronic osteomyelitis with draining sinus, pelvic region and thigh",
    "M8646": "Chronic osteomyelitis with draining sinus, lower leg",
    "M8647": "Chronic osteomyelitis with draining sinus, ankle and foot",
    "M8648": "Chronic osteomyelitis with draining sinus, other",
    "M8649": "Chronic osteomyelitis with draining sinus, site unspecified",
    "M8650": "Other chronic haematogenous osteomyelitis, multiple sites",
    "M8651": "Other chronic haematogenous osteomyelitis, shoulder region",
    "M8652": "Other chronic haematogenous osteomyelitis, upper arm",
    "M8653": "Other chronic haematogenous osteomyelitis, forearm",
    "M8654": "Other chronic haematogenous osteomyelitis, hand",
    "M8655": "Other chronic haematogenous osteomyelitis, pelvic region and thigh",
    "M8656": "Other chronic haematogenous osteomyelitis, lower leg",
    "M8657": "Other chronic haematogenous osteomyelitis, ankle and foot",
    "M8658": "Other chronic haematogenous osteomyelitis, other",
    "M8659": "Other chronic haematogenous osteomyelitis, site unspecified",
    "M8660": "Other chronic osteomyelitis, multiple sites",
    "M8661": "Other chronic osteomyelitis, shoulder region",
    "M8662": "Other chronic osteomyelitis, upper arm",
    "M8663": "Other chronic osteomyelitis, forearm",
    "M8664": "Other chronic osteomyelitis, hand",
    "M8665": "Other chronic osteomyelitis, pelvic region and thigh",
    "M8666": "Other chronic osteomyelitis, lower leg",
    "M8667": "Other chronic osteomyelitis, ankle and foot",
    "M8668": "Other chronic osteomyelitis, other",
    "M8669": "Other chronic osteomyelitis, site unspecified",
    "M8680": "Other osteomyelitis, multiple sites",
    "M8681": "Other osteomyelitis, shoulder region",
    "M8682": "Other osteomyelitis, upper arm",
    "M8683": "Other osteomyelitis, forearm",
    "M8684": "Other osteomyelitis, hand",
    "M8685": "Other osteomyelitis, pelvic region and thigh",
    "M8687": "Other osteomyelitis, ankle and foot",
    "M8688": "Other osteomyelitis, other",
    "M8689": "Other osteomyelitis, site unspecified",
    "M8690": "Osteomyelitis, unspecified, multiple sites",
    "M8691": "Osteomyelitis, unspecified, shoulder region",
    "M8692": "Osteomyelitis, unspecified, upper arm",
    "M8693": "Osteomyelitis, unspecified, forearm",
    "M8694": "Osteomyelitis, unspecified, hand",
    "M8695": "Osteomyelitis, unspecified, pelvic region and thigh",
    "M8696": "Osteomyelitis, unspecified, lower leg",
    "M1189": "Other specified crystal arthropathies, site unspecified",
    "M1190": "Crystal arthropathy, unspecified, multiple sites",
    "M1191": "Crystal arthropathy, unspecified, shoulder region",
    "M1192": "Crystal arthropathy, unspecified, upper arm",
    "M1193": "Crystal arthropathy, unspecified, forearm",
    "M1194": "Crystal arthropathy, unspecified, hand",
    "M1196": "Crystal arthropathy, unspecified, lower leg",
    "M1197": "Crystal arthropathy, unspecified, ankle and foot",
    "M1198": "Crystal arthropathy, unspecified, other",
    "M1199": "Crystal arthropathy, unspecified, site unspecified",
    "M1200": "Chronic postrheumatic arthropathy [Jaccoud], multiple sites",
    "M1201": "Chronic postrheumatic arthropathy [Jaccoud], shoulder region",
    "M1202": "Chronic postrheumatic arthropathy [Jaccoud], upper arm",
    "M1203": "Chronic postrheumatic arthropathy [Jaccoud], forearm",
    "M1204": "Chronic postrheumatic arthropathy [Jaccoud], hand",
    "M1205": "Chronic postrheumatic arthropathy [Jaccoud], pelvic region and thigh",
    "M1206": "Chronic postrheumatic arthropathy [Jaccoud], lower leg",
    "M1207": "Chronic postrheumatic arthropathy [Jaccoud], ankle and foot",
    "M1208": "Chronic postrheumatic arthropathy [Jaccoud], other",
    "M1209": "Chronic postrheumatic arthropathy [Jaccoud], site unspecified",
    "M1210": "Kaschin-Beck disease, multiple sites",
    "M1211": "Kaschin-Beck disease, shoulder region",
    "M1212": "Kaschin-Beck disease, upper arm",
    "M1213": "Kaschin-Beck disease, forearm",
    "M1214": "Kaschin-Beck disease, hand",
    "M1215": "Kaschin-Beck disease, pelvic region and thigh",
    "M1216": "Kaschin-Beck disease, lower leg",
    "M1217": "Kaschin-Beck disease, ankle and foot",
    "M1218": "Kaschin-Beck disease, other",
    "M1219": "Kaschin-Beck disease, site unspecified",
    "M1220": "Villonodular synovitis (pigmented), multiple sites",
    "M1221": "Villonodular synovitis (pigmented), shoulder region",
    "M1222": "Villonodular synovitis (pigmented), upper arm",
    "M1223": "Villonodular synovitis (pigmented), forearm",
    "M1224": "Villonodular synovitis (pigmented), hand",
    "M1225": "Villonodular synovitis (pigmented), pelvic region and thigh",
    "M1226": "Villonodular synovitis (pigmented), lower leg",
    "M1228": "Villonodular synovitis (pigmented), other",
    "M1229": "Villonodular synovitis (pigmented), site unspecified",
    "M1230": "Palindromic rheumatism, multiple sites",
    "M1231": "Palindromic rheumatism, shoulder region",
    "M1232": "Palindromic rheumatism, upper arm",
    "M1233": "Palindromic rheumatism, forearm",
    "M1234": "Palindromic rheumatism, hand",
    "M1235": "Palindromic rheumatism, pelvic region and thigh",
    "M1236": "Palindromic rheumatism, lower leg",
    "M1237": "Palindromic rheumatism, ankle and foot",
    "M1238": "Palindromic rheumatism, other",
    "M1239": "Palindromic rheumatism, site unspecified",
    "M1240": "Intermittent hydrarthrosis, multiple sites",
    "M1241": "Intermittent hydrarthrosis, shoulder region",
    "M1242": "Intermittent hydrarthrosis, upper arm",
    "M1243": "Intermittent hydrarthrosis, forearm",
    "M1244": "Intermittent hydrarthrosis, hand",
    "M1245": "Intermittent hydrarthrosis, pelvic region and thigh",
    "M1246": "Intermittent hydrarthrosis, lower leg",
    "M1247": "Intermittent hydrarthrosis, ankle and foot",
    "M1249": "Intermittent hydrarthrosis, site unspecified",
    "M1250": "Traumatic arthropathy, multiple sites",
    "M1251": "Traumatic arthropathy, shoulder region",
    "M1252": "Traumatic arthropathy, upper arm",
    "M1253": "Traumatic arthropathy, forearm",
    "M1254": "Traumatic arthropathy, hand",
    "M1255": "Traumatic arthropathy, pelvic region and thigh",
    "M1256": "Traumatic arthropathy, lower leg",
    "M1257": "Traumatic arthropathy, ankle and foot",
    "M1258": "Traumatic arthropathy, other",
    "M1259": "Traumatic arthropathy, site unspecified",
    "M6097": "Myositis, unspecified, ankle and foot",
    "M6098": "Myositis, unspecified, other",
    "M6099": "Myositis, unspecified, site unspecified",
    "M6100": "Myositis ossificans traumatica, multiple sites",
    "M6101": "Myositis ossificans traumatica, shoulder region",
    "M6102": "Myositis ossificans traumatica, upper arm",
    "M6103": "Myositis ossificans traumatica, forearm",
    "M6104": "Myositis ossificans traumatica, hand",
    "M6105": "Myositis ossificans traumatica, pelvic region and thigh",
    "M6106": "Myositis ossificans traumatica, lower leg",
    "M6107": "Myositis ossificans traumatica, ankle and foot",
    "M6108": "Myositis ossificans traumatica, other",
    "M6109": "Myositis ossificans traumatica, site unspecified",
    "M6110": "Myositis ossificans progressiva, multiple sites",
    "M6111": "Myositis ossificans progressiva, shoulder region",
    "M6113": "Myositis ossificans progressiva, forearm",
    "M6114": "Myositis ossificans progressiva, hand",
    "M6115": "Myositis ossificans progressiva, pelvic region and thigh",
    "M6116": "Myositis ossificans progressiva, lower leg",
    "M6117": "Myositis ossificans progressiva, ankle and foot",
    "M6118": "Myositis ossificans progressiva, other",
    "M6119": "Myositis ossificans progressiva, site unspecified",
    "M6120": "Paralytic calcification and ossification of muscle, multiple sites",
    "M6121": "Paralytic calcification and ossification of muscle, shoulder region",
    "M6122": "Paralytic calcification and ossification of muscle, upper arm",
    "M6123": "Paralytic calcification and ossification of muscle, forearm",
    "M6124": "Paralytic calcification and ossification of muscle, hand",
    "M6125": "Paralytic calcification and ossification of muscle, pelvic region and thigh",
    "M6126": "Paralytic calcification and ossification of muscle, lower leg",
    "M6127": "Paralytic calcification and ossification of muscle, ankle and foot",
    "M6128": "Paralytic calcification and ossification of muscle, other",
    "M6129": "Paralytic calcification and ossification of muscle, site unspecified",
    "M6130": "Calcification and ossification of muscles associated with burns, multiple sites",
    "M6132": "Calcification and ossification of muscles associated with burns, upper arm",
    "M6133": "Calcification and ossification of muscles associated with burns, forearm",
    "M6134": "Calcification and ossification of muscles associated with burns, hand",
    "M6135": "Calcification and ossification of muscles associated with burns, pelvic region and thigh",
    "M6136": "Calcification and ossification of muscles associated with burns, lower leg",
    "M6137": "Calcification and ossification of muscles associated with burns, ankle and foot",
    "M6138": "Calcification and ossification of muscles associated with burns, other",
    "M6139": "Calcification and ossification of muscles associated with burns, site unspecified",
    "M6140": "Other calcification of muscle, multiple sites",
    "M6141": "Other calcification of muscle, shoulder region",
    "M6142": "Other calcification of muscle, upper arm",
    "M6143": "Other calcification of muscle, forearm",
    "M6144": "Other calcification of muscle, hand",
    "M6145": "Other calcification of muscle, pelvic region and thigh",
    "M6146": "Other calcification of muscle, lower leg",
    "M6147": "Other calcification of muscle, ankle and foot",
    "M6148": "Other calcification of muscle, other",
    "M6149": "Other calcification of muscle, site unspecified",
    "M6150": "Other ossification of muscle, multiple sites",
    "M6151": "Other ossification of muscle, shoulder region",
    "M6152": "Other ossification of muscle, upper arm",
    "M6153": "Other ossification of muscle, forearm",
    "M6154": "Other ossification of muscle, hand",
    "M6155": "Other ossification of muscle, pelvic region and thigh",
    "M6156": "Other ossification of muscle, lower leg",
    "M6157": "Other ossification of muscle, ankle and foot",
    "M6158": "Other ossification of muscle, other",
    "M6159": "Other ossification of muscle, site unspecified",
    "M6190": "Calcification and ossification of muscle, unspecified, multiple sites",
    "M6191": "Calcification and ossification of muscle, unspecified, shoulder region",
    "M8697": "Osteomyelitis, unspecified, ankle and foot",
    "M8698": "Osteomyelitis, unspecified, other",
    "M8699": "Osteomyelitis, unspecified, site unspecified",
    "M8700": "Idiopathic aseptic necrosis of bone, multiple sites",
    "M8701": "Idiopathic aseptic necrosis of bone, shoulder region",
    "M8702": "Idiopathic aseptic necrosis of bone, upper arm",
    "M8703": "Idiopathic aseptic necrosis of bone, forearm",
    "M8704": "Idiopathic aseptic necrosis of bone, hand",
    "M8705": "Idiopathic aseptic necrosis of bone, pelvic region and thigh",
    "M8706": "Idiopathic aseptic necrosis of bone, lower leg",
    "M8707": "Idiopathic aseptic necrosis of bone, ankle and foot",
    "M8708": "Idiopathic aseptic necrosis of bone, other",
    "M8709": "Idiopathic aseptic necrosis of bone, site unspecified",
    "M8710": "Osteonecrosis due to drugs, multiple sites",
    "M8711": "Osteonecrosis due to drugs, shoulder region",
    "M8712": "Osteonecrosis due to drugs, upper arm",
    "M8713": "Osteonecrosis due to drugs, forearm",
    "M8714": "Osteonecrosis due to drugs, hand",
    "M8715": "Osteonecrosis due to drugs, pelvic region and thigh",
    "M8716": "Osteonecrosis due to drugs, lower leg",
    "M8717": "Osteonecrosis due to drugs, ankle and foot",
    "M8718": "Osteonecrosis due to drugs, other",
    "M8719": "Osteonecrosis due to drugs, site unspecified",
    "M8720": "Osteonecrosis due to previous trauma, multiple sites",
    "M8721": "Osteonecrosis due to previous trauma, shoulder region",
    "M8722": "Osteonecrosis due to previous trauma, upper arm",
    "M8723": "Osteonecrosis due to previous trauma, forearm",
    "M8724": "Osteonecrosis due to previous trauma, hand",
    "M8725": "Osteonecrosis due to previous trauma, pelvic region and thigh",
    "M8726": "Osteonecrosis due to previous trauma, lower leg",
    "M8727": "Osteonecrosis due to previous trauma, ankle and foot",
    "M8728": "Osteonecrosis due to previous trauma, other",
    "M8729": "Osteonecrosis due to previous trauma, site unspecified",
    "M8730": "Other secondary osteonecrosis, multiple sites",
    "M8731": "Other secondary osteonecrosis, shoulder region",
    "M8732": "Other secondary osteonecrosis, upper arm",
    "M8733": "Other secondary osteonecrosis, forearm",
    "M8734": "Other secondary osteonecrosis, hand",
    "M8735": "Other secondary osteonecrosis, pelvic region and thigh",
    "M8736": "Other secondary osteonecrosis, lower leg",
    "M8737": "Other secondary osteonecrosis, ankle and foot",
    "M8738": "Other secondary osteonecrosis, other",
    "M8739": "Other secondary osteonecrosis, site unspecified",
    "M8780": "Other osteonecrosis, multiple sites",
    "M8781": "Other osteonecrosis, shoulder region",
    "M8782": "Other osteonecrosis, upper arm",
    "M8783": "Other osteonecrosis, forearm",
    "M8784": "Other osteonecrosis, hand",
    "M8785": "Other osteonecrosis, pelvic region and thigh",
    "M8786": "Other osteonecrosis, lower leg",
    "M8787": "Other osteonecrosis, ankle and foot",
    "M8788": "Other osteonecrosis, other",
    "M8789": "Other osteonecrosis, site unspecified",
    "M8790": "Osteonecrosis, unspecified, multiple sites",
    "M8791": "Osteonecrosis, unspecified, shoulder region",
    "M8792": "Osteonecrosis, unspecified, upper arm",
    "M8793": "Osteonecrosis, unspecified, forearm",
    "M8794": "Osteonecrosis, unspecified, hand",
    "M8795": "Osteonecrosis, unspecified, pelvic region and thigh",
    "M8796": "Osteonecrosis, unspecified, lower leg",
    "M8797": "Osteonecrosis, unspecified, ankle and foot",
    "M8798": "Osteonecrosis, unspecified, other",
    "M8799": "Osteonecrosis, unspecified, site unspecified",
    "M8880": "Paget disease of other bones, multiple sites",
    "M8881": "Paget disease of other bones, shoulder region",
    "M8882": "Paget disease of other bones, upper arm",
    "M8883": "Paget disease of other bones, forearm",
    "M8884": "Paget disease of other bones, hand",
    "M8885": "Paget disease of other bones, pelvic region and thigh",
    "M1280": "Other specific arthropathies, not elsewhere classified, multiple sites",
    "M1281": "Other specific arthropathies, not elsewhere classified, shoulder region",
    "M1282": "Other specific arthropathies, not elsewhere classified, upper arm",
    "M1283": "Other specific arthropathies, not elsewhere classified, forearm",
    "M1284": "Other specific arthropathies, not elsewhere classified, hand",
    "M1286": "Other specific arthropathies, not elsewhere classified, lower leg",
    "M1287": "Other specific arthropathies, not elsewhere classified, ankle and foot",
    "M1288": "Other specific arthropathies, not elsewhere classified, other",
    "M1289": "Other specific arthropathies, not elsewhere classified, site unspecified",
    "M1300": "Polyarthritis, unspecified, multiple sites",
    "M1301": "Polyarthritis, unspecified, shoulder region",
    "M1302": "Polyarthritis, unspecified, upper arm",
    "M1304": "Polyarthritis, unspecified, hand",
    "M1305": "Polyarthritis, unspecified, pelvic region and thigh",
    "M1306": "Polyarthritis, unspecified, lower leg",
    "M1307": "Polyarthritis, unspecified, ankle and foot",
    "M1308": "Polyarthritis, unspecified, other",
    "M1309": "Polyarthritis, unspecified, site unspecified",
    "M1310": "Monoarthritis, not elsewhere classified, multiple sites",
    "M1311": "Monoarthritis, not elsewhere classified, shoulder region",
    "M1312": "Monoarthritis, not elsewhere classified, upper arm",
    "M1313": "Monoarthritis, not elsewhere classified, forearm",
    "M1314": "Monoarthritis, not elsewhere classified, hand",
    "M1315": "Monoarthritis, not elsewhere classified, pelvic region and thigh",
    "M1316": "Monoarthritis, not elsewhere classified, lower leg",
    "M1317": "Monoarthritis, not elsewhere classified, ankle and foot",
    "M1318": "Monoarthritis, not elsewhere classified, other",
    "M1319": "Monoarthritis, not elsewhere classified, site unspecified",
    "M1380": "Other specified arthritis, multiple sites",
    "M1382": "Other specified arthritis, upper arm",
    "M1383": "Other specified arthritis, forearm",
    "M1384": "Other specified arthritis, hand",
    "M1385": "Other specified arthritis, pelvic region and thigh",
    "M1386": "Other specified arthritis, lower leg",
    "M1387": "Other specified arthritis, ankle and foot",
    "M1388": "Other specified arthritis, other",
    "M1389": "Other specified arthritis, site unspecified",
    "M1390": "Arthritis, unspecified, multiple sites",
    "M1391": "Arthritis, unspecified, shoulder region",
    "M1392": "Arthritis, unspecified, upper arm",
    "M1393": "Arthritis, unspecified, forearm",
    "M1394": "Arthritis, unspecified, hand",
    "M1395": "Arthritis, unspecified, pelvic region and thigh",
    "M1396": "Arthritis, unspecified, lower leg",
    "M1397": "Arthritis, unspecified, ankle and foot",
    "M1398": "Arthritis, unspecified, other",
    "M1901": "Primary arthrosis of other joints, shoulder region",
    "M1902": "Primary arthrosis of other joints, upper arm",
    "M1903": "Primary arthrosis of other joints, forearm",
    "M1904": "Primary arthrosis of other joints, hand",
    "M1905": "Primary arthrosis of other joints, pelvic region and thigh",
    "M1906": "Primary arthrosis of other joints, lower leg",
    "M1907": "Primary arthrosis of other joints, ankle and foot",
    "M1908": "Primary arthrosis of other joints, other",
    "M1909": "Primary arthrosis of other joints, site unspecified",
    "M1910": "Post-traumatic arthrosis of other joints, multiple sites",
    "M1911": "Post-traumatic arthrosis of other joints, shoulder region",
    "M1912": "Post-traumatic arthrosis of other joints, upper arm",
    "M1913": "Post-traumatic arthrosis of other joints, forearm",
    "M1914": "Post-traumatic arthrosis of other joints, hand",
    "M1915": "Post-traumatic arthrosis of other joints, pelvic region and thigh",
    "M1916": "Post-traumatic arthrosis of other joints, lower leg",
    "M1917": "Post-traumatic arthrosis of other joints, ankle and foot",
    "M1918": "Post-traumatic arthrosis of other joints, other",
    "M1919": "Post-traumatic arthrosis of other joints, site unspecified",
    "M6192": "Calcification and ossification of muscle, unspecified, upper arm",
    "M6193": "Calcification and ossification of muscle, unspecified, forearm",
    "M6194": "Calcification and ossification of muscle, unspecified, hand",
    "M6195": "Calcification and ossification of muscle, unspecified, pelvic region and thigh",
    "M6196": "Calcification and ossification of muscle, unspecified, lower leg",
    "M6197": "Calcification and ossification of muscle, unspecified, ankle and foot",
    "M6198": "Calcification and ossification of muscle, unspecified, other",
    "M6199": "Calcification and ossification of muscle, unspecified, site unspecified",
    "M6200": "Diastasis of muscle, multiple sites",
    "M6201": "Diastasis of muscle, shoulder region",
    "M6202": "Diastasis of muscle, upper arm",
    "M6203": "Diastasis of muscle, forearm",
    "M6204": "Diastasis of muscle, hand",
    "M6205": "Diastasis of muscle, pelvic region and thigh",
    "M6206": "Diastasis of muscle, lower leg",
    "M6207": "Diastasis of muscle, ankle and foot",
    "M6208": "Diastasis of muscle, other",
    "M6209": "Diastasis of muscle, site unspecified",
    "M6210": "Other rupture of muscle (nontraumatic), multiple sites",
    "M6211": "Other rupture of muscle (nontraumatic), shoulder region",
    "M6212": "Other rupture of muscle (nontraumatic), upper arm",
    "M6213": "Other rupture of muscle (nontraumatic), forearm",
    "M6214": "Other rupture of muscle (nontraumatic), hand",
    "M6215": "Other rupture of muscle (nontraumatic), pelvic region and thigh",
    "M6216": "Other rupture of muscle (nontraumatic), lower leg",
    "M6217": "Other rupture of muscle (nontraumatic), ankle and foot",
    "M6218": "Other rupture of muscle (nontraumatic), other",
    "M6219": "Other rupture of muscle (nontraumatic), site unspecified",
    "M6220": "Ischaemic infarction of muscle, multiple sites",
    "M6221": "Ischaemic infarction of muscle, shoulder region",
    "M6223": "Ischaemic infarction of muscle, forearm",
    "M6224": "Ischaemic infarction of muscle, hand",
    "M6225": "Ischaemic infarction of muscle, pelvic region and thigh",
    "M6226": "Ischaemic infarction of muscle, lower leg",
    "M6227": "Ischaemic infarction of muscle, ankle and foot",
    "M6228": "Ischaemic infarction of muscle, other",
    "M6229": "Ischaemic infarction of muscle, site unspecified",
    "M6230": "Immobility syndrome (paraplegic), multiple sites",
    "M6231": "Immobility syndrome (paraplegic), shoulder region",
    "M6232": "Immobility syndrome (paraplegic), upper arm",
    "M6233": "Immobility syndrome (paraplegic), forearm",
    "M6234": "Immobility syndrome (paraplegic), hand",
    "M6235": "Immobility syndrome (paraplegic), pelvic region and thigh",
    "M6236": "Immobility syndrome (paraplegic), lower leg",
    "M6237": "Immobility syndrome (paraplegic), ankle and foot",
    "M6238": "Immobility syndrome (paraplegic), other",
    "M6239": "Immobility syndrome (paraplegic), site unspecified",
    "M6241": "Contracture of muscle, shoulder region",
    "M6242": "Contracture of muscle, upper arm",
    "M6243": "Contracture of muscle, forearm",
    "M6244": "Contracture of muscle, hand",
    "M6245": "Contracture of muscle, pelvic region and thigh",
    "M6246": "Contracture of muscle, lower leg",
    "M6247": "Contracture of muscle, ankle and foot",
    "M6248": "Contracture of muscle, other",
    "M6249": "Contracture of muscle, site unspecified",
    "M6250": "Muscle wasting and atrophy, not elsewhere classified, multiple sites",
    "M6251": "Muscle wasting and atrophy, not elsewhere classified, shoulder region",
    "M6252": "Muscle wasting and atrophy, not elsewhere classified, upper arm",
    "M6253": "Muscle wasting and atrophy, not elsewhere classified, forearm",
    "M6254": "Muscle wasting and atrophy, not elsewhere classified, hand",
    "M6255": "Muscle wasting and atrophy, not elsewhere classified, pelvic region and thigh",
    "M6256": "Muscle wasting and atrophy, not elsewhere classified, lower leg",
    "M6257": "Muscle wasting and atrophy, not elsewhere classified, ankle and foot",
    "M6259": "Muscle wasting and atrophy, not elsewhere classified, site unspecified",
    "M8886": "Paget disease of other bones, lower leg",
    "M8887": "Paget disease of other bones, ankle and foot",
    "M8888": "Paget disease of other bones, other",
    "M8889": "Paget disease of other bones, site unspecified",
    "M8890": "Paget disease of bone, unspecified, multiple sites",
    "M8891": "Paget disease of bone, unspecified, shoulder region",
    "M8892": "Paget disease of bone, unspecified, upper arm",
    "M8893": "Paget disease of bone, unspecified, forearm",
    "M8894": "Paget disease of bone, unspecified, hand",
    "M8895": "Paget disease of bone, unspecified, pelvic region and thigh",
    "M8896": "Paget disease of bone, unspecified, lower leg",
    "M8897": "Paget disease of bone, unspecified, ankle and foot",
    "M8898": "Paget disease of bone, unspecified, other",
    "M8899": "Paget disease of bone, unspecified, site unspecified",
    "M8900": "Algoneurodystrophy, multiple sites",
    "M8901": "Algoneurodystrophy, shoulder region",
    "M8902": "Algoneurodystrophy, upper arm",
    "M8903": "Algoneurodystrophy, forearm",
    "M8904": "Algoneurodystrophy, hand",
    "M8905": "Algoneurodystrophy, pelvic region and thigh",
    "M8906": "Algoneurodystrophy, lower leg",
    "M8907": "Algoneurodystrophy, ankle and foot",
    "M8908": "Algoneurodystrophy, other",
    "M8909": "Algoneurodystrophy, site unspecified",
    "M8910": "Epiphyseal arrest, multiple sites",
    "M8911": "Epiphyseal arrest, shoulder region",
    "M8912": "Epiphyseal arrest, upper arm",
    "M8913": "Epiphyseal arrest, forearm",
    "M8914": "Epiphyseal arrest, hand",
    "M8915": "Epiphyseal arrest, pelvic region and thigh",
    "M8916": "Epiphyseal arrest, lower leg",
    "M8918": "Epiphyseal arrest, other",
    "M8919": "Epiphyseal arrest, site unspecified",
    "M8920": "Other disorders of bone development and growth, multiple sites",
    "M8921": "Other disorders of bone development and growth, shoulder region",
    "M8922": "Other disorders of bone development and growth, upper arm",
    "M8923": "Other disorders of bone development and growth, forearm",
    "M8924": "Other disorders of bone development and growth, hand",
    "M8925": "Other disorders of bone development and growth, pelvic region and thigh",
    "M8926": "Other disorders of bone development and growth, lower leg",
    "M8927": "Other disorders of bone development and growth, ankle and foot",
    "M8928": "Other disorders of bone development and growth, other",
    "M8929": "Other disorders of bone development and growth, site unspecified",
    "M8930": "Hypertrophy of bone, multiple sites",
    "M8931": "Hypertrophy of bone, shoulder region",
    "M8932": "Hypertrophy of bone, upper arm",
    "M8933": "Hypertrophy of bone, forearm",
    "M8935": "Hypertrophy of bone, pelvic region and thigh",
    "M8936": "Hypertrophy of bone, lower leg",
    "M8937": "Hypertrophy of bone, ankle and foot",
    "M8938": "Hypertrophy of bone, other",
    "M8939": "Hypertrophy of bone, site unspecified",
    "M8940": "Other hypertrophic osteoarthropathy, multiple sites",
    "M8941": "Other hypertrophic osteoarthropathy, shoulder region",
    "M8942": "Other hypertrophic osteoarthropathy, upper arm",
    "M8943": "Other hypertrophic osteoarthropathy, forearm",
    "M8944": "Other hypertrophic osteoarthropathy, hand",
    "M8945": "Other hypertrophic osteoarthropathy, pelvic region and thigh",
    "M8946": "Other hypertrophic osteoarthropathy, lower leg",
    "M8947": "Other hypertrophic osteoarthropathy, ankle and foot",
    "M8948": "Other hypertrophic osteoarthropathy, other",
    "M8949": "Other hypertrophic osteoarthropathy, site unspecified",
    "M8951": "Osteolysis, shoulder region",
    "M8952": "Osteolysis, upper arm",
    "M8953": "Osteolysis, forearm",
    "M8954": "Osteolysis, hand",
    "M8955": "Osteolysis, pelvic region and thigh",
    "M8956": "Osteolysis, lower leg",
    "M8957": "Osteolysis, ankle and foot",
    "M8958": "Osteolysis, other",
    "M1920": "Other secondary arthrosis, multiple sites",
    "M1922": "Other secondary arthrosis, upper arm",
    "M1923": "Other secondary arthrosis, forearm",
    "M1924": "Other secondary arthrosis, hand",
    "M1925": "Other secondary arthrosis, pelvic region and thigh",
    "M1926": "Other secondary arthrosis, lower leg",
    "M1927": "Other secondary arthrosis, ankle and foot",
    "M1928": "Other secondary arthrosis, other",
    "M1929": "Other secondary arthrosis, site unspecified",
    "M1980": "Other specified arthrosis, multiple sites",
    "M1981": "Other specified arthrosis, shoulder region",
    "M1982": "Other specified arthrosis, upper arm",
    "M1983": "Other specified arthrosis, forearm",
    "M1984": "Other specified arthrosis, hand",
    "M1985": "Other specified arthrosis, pelvic region and thigh",
    "M1986": "Other specified arthrosis, lower leg",
    "M1987": "Other specified arthrosis, ankle and foot",
    "M1988": "Other specified arthrosis, other",
    "M1989": "Other specified arthrosis, site unspecified",
    "M1990": "Arthrosis, unspecified, multiple sites",
    "M1991": "Arthrosis, unspecified, shoulder region",
    "M1992": "Arthrosis, unspecified, upper arm",
    "M1993": "Arthrosis, unspecified, forearm",
    "M1995": "Arthrosis, unspecified, pelvic region and thigh",
    "M1996": "Arthrosis, unspecified, lower leg",
    "M1997": "Arthrosis, unspecified, ankle and foot",
    "M1998": "Arthrosis, unspecified, other",
    "M1999": "Arthrosis, unspecified, site unspecified",
    "M2100": "Valgus deformity, not elsewhere classified, multiple sites",
    "M2101": "Valgus deformity, not elsewhere classified, shoulder region",
    "M2102": "Valgus deformity, not elsewhere classified, upper arm",
    "M2103": "Valgus deformity, not elsewhere classified, forearm",
    "M2104": "Valgus deformity, not elsewhere classified, hand",
    "M2105": "Valgus deformity, not elsewhere classified, pelvic region and thigh",
    "M2106": "Valgus deformity, not elsewhere classified, lower leg",
    "M2107": "Valgus deformity, not elsewhere classified, ankle and foot",
    "M2108": "Valgus deformity, not elsewhere classified, other",
    "M2109": "Valgus deformity, not elsewhere classified, site unspecified",
    "M2110": "Varus deformity, not elsewhere classified, multiple sites",
    "M2111": "Varus deformity, not elsewhere classified, shoulder region",
    "M2112": "Varus deformity, not elsewhere classified, upper arm",
    "M2113": "Varus deformity, not elsewhere classified, forearm",
    "M2114": "Varus deformity, not elsewhere classified, hand",
    "M2115": "Varus deformity, not elsewhere classified, pelvic region and thigh",
    "M2116": "Varus deformity, not elsewhere classified, lower leg",
    "M2117": "Varus deformity, not elsewhere classified, ankle and foot",
    "M2118": "Varus deformity, not elsewhere classified, other",
    "M2119": "Varus deformity, not elsewhere classified, site unspecified",
    "M2120": "Flexion deformity, multiple sites",
    "M2121": "Flexion deformity, shoulder region",
    "M2122": "Flexion deformity, upper arm",
    "M2123": "Flexion deformity, forearm",
    "M2124": "Flexion deformity, hand",
    "M2125": "Flexion deformity, pelvic region and thigh",
    "M2126": "Flexion deformity, lower leg",
    "M2127": "Flexion deformity, ankle and foot",
    "M2128": "Flexion deformity, other",
    "M2129": "Flexion deformity, site unspecified",
    "M2190": "Acquired deformity of limb, unspecified, multiple sites",
    "M2191": "Acquired deformity of limb, unspecified, shoulder region",
    "M2192": "Acquired deformity of limb, unspecified, upper arm",
    "M2193": "Acquired deformity of limb, unspecified, forearm",
    "M2194": "Acquired deformity of limb, unspecified, hand",
    "M2195": "Acquired deformity of limb, unspecified, pelvic region and thigh",
    "M2196": "Acquired deformity of limb, unspecified, lower leg",
    "M2197": "Acquired deformity of limb, unspecified, ankle and foot",
    "M2198": "Acquired deformity of limb, unspecified, other",
    "M6260": "Muscle strain, multiple sites",
    "M6261": "Muscle strain, shoulder region",
    "M6262": "Muscle strain, upper arm",
    "M6263": "Muscle strain, forearm",
    "M6264": "Muscle strain, hand",
    "M6265": "Muscle strain, pelvic region and thigh",
    "M6266": "Muscle strain, lower leg",
    "M6267": "Muscle strain, ankle and foot",
    "M6268": "Muscle strain, other",
    "M6269": "Muscle strain, site unspecified",
    "M6280": "Other specified disorders of muscle, multiple sites",
    "M6281": "Other specified disorders of muscle, shoulder region",
    "M6282": "Other specified disorders of muscle, upper arm",
    "M6283": "Other specified disorders of muscle, forearm",
    "M6284": "Other specified disorders of muscle, hand",
    "M6285": "Other specified disorders of muscle, pelvic region and thigh",
    "M6286": "Other specified disorders of muscle, lower leg",
    "M6287": "Other specified disorders of muscle, ankle and foot",
    "M6288": "Other specified disorders of muscle, other",
    "M6289": "Other specified disorders of muscle, site unspecified",
    "M6290": "Disorder of muscle, unspecified, multiple sites",
    "M6291": "Disorder of muscle, unspecified, shoulder region",
    "M6292": "Disorder of muscle, unspecified, upper arm",
    "M6293": "Disorder of muscle, unspecified, forearm",
    "M6294": "Disorder of muscle, unspecified, hand",
    "M6295": "Disorder of muscle, unspecified, pelvic region and thigh",
    "M6296": "Disorder of muscle, unspecified, lower leg",
    "M6297": "Disorder of muscle, unspecified, ankle and foot",
    "M6298": "Disorder of muscle, unspecified, other",
    "M6299": "Disorder of muscle, unspecified, site unspecified",
    "M6500": "Abscess of tendon sheath, multiple sites",
    "M6501": "Abscess of tendon sheath, shoulder region",
    "M6502": "Abscess of tendon sheath, upper arm",
    "M6503": "Abscess of tendon sheath, forearm",
    "M6504": "Abscess of tendon sheath, hand",
    "M6505": "Abscess of tendon sheath, pelvic region and thigh",
    "M6506": "Abscess of tendon sheath, lower leg",
    "M6507": "Abscess of tendon sheath, ankle and foot",
    "M6508": "Abscess of tendon sheath, other",
    "M6509": "Abscess of tendon sheath, site unspecified",
    "M6510": "Other infective (teno)synovitis, multiple sites",
    "M6511": "Other infective (teno)synovitis, shoulder region",
    "M6512": "Other infective (teno)synovitis, upper arm",
    "M6513": "Other infective (teno)synovitis, forearm",
    "M6514": "Other infective (teno)synovitis, hand",
    "M6515": "Other infective (teno)synovitis, pelvic region and thigh",
    "M6516": "Other infective (teno)synovitis, lower leg",
    "M6517": "Other infective (teno)synovitis, ankle and foot",
    "M6518": "Other infective (teno)synovitis, other",
    "M6519": "Other infective (teno)synovitis, site unspecified",
    "M6520": "Calcific tendinitis, multiple sites",
    "M6521": "Calcific tendinitis, shoulder region",
    "M6522": "Calcific tendinitis, upper arm",
    "M6523": "Calcific tendinitis, forearm",
    "M6524": "Calcific tendinitis, hand",
    "M6525": "Calcific tendinitis, pelvic region and thigh",
    "M6526": "Calcific tendinitis, lower leg",
    "M6527": "Calcific tendinitis, ankle and foot",
    "M6528": "Calcific tendinitis, other",
    "M6529": "Calcific tendinitis, site unspecified",
    "M6580": "Other synovitis and tenosynovitis, multiple sites",
    "M6581": "Other synovitis and tenosynovitis, shoulder region",
    "M6582": "Other synovitis and tenosynovitis, upper arm",
    "M6583": "Other synovitis and tenosynovitis, forearm",
    "M6584": "Other synovitis and tenosynovitis, hand",
    "M6585": "Other synovitis and tenosynovitis, pelvic region and thigh",
    "M6586": "Other synovitis and tenosynovitis, lower leg",
    "M6587": "Other synovitis and tenosynovitis, ankle and foot",
    "M6588": "Other synovitis and tenosynovitis, other",
    "M6589": "Other synovitis and tenosynovitis, site unspecified",
    "M8959": "Osteolysis, site unspecified",
    "M8960": "Osteopathy after poliomyelitis, multiple sites",
    "M8961": "Osteopathy after poliomyelitis, shoulder region",
    "M8962": "Osteopathy after poliomyelitis, upper arm",
    "M8963": "Osteopathy after poliomyelitis, forearm",
    "M8964": "Osteopathy after poliomyelitis, hand",
    "M8965": "Osteopathy after poliomyelitis, pelvic region and thigh",
    "M8966": "Osteopathy after poliomyelitis, lower leg",
    "M8967": "Osteopathy after poliomyelitis, ankle and foot",
    "M8968": "Osteopathy after poliomyelitis, other",
    "M8969": "Osteopathy after poliomyelitis, site unspecified",
    "M8980": "Other specified disorders of bone, multiple sites",
    "M8981": "Other specified disorders of bone, shoulder region",
    "M8983": "Other specified disorders of bone, forearm",
    "M8984": "Other specified disorders of bone, hand",
    "M8985": "Other specified disorders of bone, pelvic region and thigh",
    "M8986": "Other specified disorders of bone, lower leg",
    "M8987": "Other specified disorders of bone, ankle and foot",
    "M8988": "Other specified disorders of bone, other",
    "M8989": "Other specified disorders of bone, site unspecified",
    "M8990": "Disorder of bone, unspecified, multiple sites",
    "M8991": "Disorder of bone, unspecified, shoulder region",
    "M8992": "Disorder of bone, unspecified, upper arm",
    "M8993": "Disorder of bone, unspecified, forearm",
    "M8994": "Disorder of bone, unspecified, hand",
    "M8995": "Disorder of bone, unspecified, pelvic region and thigh",
    "M8996": "Disorder of bone, unspecified, lower leg",
    "M8997": "Disorder of bone, unspecified, ankle and foot",
    "M8998": "Disorder of bone, unspecified, other",
    "M8999": "Disorder of bone, unspecified, site unspecified",
    "M9000": "Tuberculosis of bone, multiple sites",
    "M9001": "Tuberculosis of bone, shoulder region",
    "M9003": "Tuberculosis of bone, forearm",
    "M9004": "Tuberculosis of bone, hand",
    "M9005": "Tuberculosis of bone, pelvic region and thigh",
    "M9006": "Tuberculosis of bone, lower leg",
    "M9007": "Tuberculosis of bone, ankle and foot",
    "M9008": "Tuberculosis of bone, other",
    "M9009": "Tuberculosis of bone, site unspecified",
    "M9010": "Periostitis in other infectious diseases classified elsewhere, multiple sites",
    "M9011": "Periostitis in other infectious diseases classified elsewhere, shoulder region",
    "M9012": "Periostitis in other infectious diseases classified elsewhere, upper arm",
    "M9013": "Periostitis in other infectious diseases classified elsewhere, forearm",
    "M9014": "Periostitis in other infectious diseases classified elsewhere, hand",
    "M9015": "Periostitis in other infectious diseases classified elsewhere, pelvic region and thigh",
    "M9016": "Periostitis in other infectious diseases classified elsewhere, lower leg",
    "M9017": "Periostitis in other infectious diseases classified elsewhere, ankle and foot",
    "M9019": "Periostitis in other infectious diseases classified elsewhere, site unspecified",
    "M9020": "Osteopathy in other infectious diseases classified elsewhere, multiple sites",
    "M9021": "Osteopathy in other infectious diseases classified elsewhere, shoulder region",
    "M9022": "Osteopathy in other infectious diseases classified elsewhere, upper arm",
    "M9023": "Osteopathy in other infectious diseases classified elsewhere, forearm",
    "M9024": "Osteopathy in other infectious diseases classified elsewhere, hand",
    "M9025": "Osteopathy in other infectious diseases classified elsewhere, pelvic region and thigh",
    "M9026": "Osteopathy in other infectious diseases classified elsewhere, lower leg",
    "M9027": "Osteopathy in other infectious diseases classified elsewhere, ankle and foot",
    "M9028": "Osteopathy in other infectious diseases classified elsewhere, other",
    "M9029": "Osteopathy in other infectious diseases classified elsewhere, site unspecified",
    "M9030": "Osteonecrosis in caisson disease, multiple sites",
    "M9031": "Osteonecrosis in caisson disease, shoulder region",
    "M9032": "Osteonecrosis in caisson disease, upper arm",
    "M9033": "Osteonecrosis in caisson disease, forearm",
    "M9034": "Osteonecrosis in caisson disease, hand",
    "M2199": "Acquired deformity of limb, unspecified, site unspecified",
    "M2400": "Loose body in joint, multiple sites",
    "M2401": "Loose body in joint, shoulder region",
    "M2402": "Loose body in joint, upper arm",
    "M2403": "Loose body in joint, forearm",
    "M2404": "Loose body in joint, hand",
    "M2405": "Loose body in joint, pelvic region and thigh",
    "M2406": "Loose body in joint, lower leg",
    "M2407": "Loose body in joint, ankle and foot",
    "M2408": "Loose body in joint, other",
    "M2409": "Loose body in joint, site unspecified",
    "M2410": "Other articular cartilage disorders, multiple sites",
    "M2411": "Other articular cartilage disorders, shoulder region",
    "M2413": "Other articular cartilage disorders, forearm",
    "M2414": "Other articular cartilage disorders, hand",
    "M2415": "Other articular cartilage disorders, pelvic region and thigh",
    "M2416": "Other articular cartilage disorders, lower leg",
    "M2417": "Other articular cartilage disorders, ankle and foot",
    "M2418": "Other articular cartilage disorders, other",
    "M2419": "Other articular cartilage disorders, site unspecified",
    "M2420": "Disorder of ligament, multiple sites",
    "M2421": "Disorder of ligament, shoulder region",
    "M2422": "Disorder of ligament, upper arm",
    "M2423": "Disorder of ligament, forearm",
    "M2424": "Disorder of ligament, hand",
    "M2425": "Disorder of ligament, pelvic region and thigh",
    "M2426": "Disorder of ligament, lower leg",
    "M2427": "Disorder of ligament, ankle and foot",
    "M2428": "Disorder of ligament, other",
    "M2429": "Disorder of ligament, site unspecified",
    "M2440": "Recurrent dislocation and subluxation of joint, multiple sites",
    "M2441": "Recurrent dislocation and subluxation of joint, shoulder region",
    "M2442": "Recurrent dislocation and subluxation of joint, upper arm",
    "M2443": "Recurrent dislocation and subluxation of joint, forearm",
    "M2444": "Recurrent dislocation and subluxation of joint, hand",
    "M2445": "Recurrent dislocation and subluxation of joint, pelvic region and thigh",
    "M2446": "Recurrent dislocation and subluxation of joint, lower leg",
    "M2447": "Recurrent dislocation and subluxation of joint, ankle and foot",
    "M2448": "Recurrent dislocation and subluxation of joint, other",
    "M2449": "Recurrent dislocation and subluxation of joint, site unspecified",
    "M2450": "Contracture of joint, multiple sites",
    "M2451": "Contracture of joint, shoulder region",
    "M2452": "Contracture of joint, upper arm",
    "M2453": "Contracture of joint, forearm",
    "M2454": "Contracture of joint, hand",
    "M2455": "Contracture of joint, pelvic region and thigh",
    "M2456": "Contracture of joint, lower leg",
    "M2457": "Contracture of joint, ankle and foot",
    "M2458": "Contracture of joint, other",
    "M2459": "Contracture of joint, site unspecified",
    "M2460": "Ankylosis of joint, multiple sites",
    "M2461": "Ankylosis of joint, shoulder region",
    "M2462": "Ankylosis of joint, upper arm",
    "M2463": "Ankylosis of joint, forearm",
    "M2464": "Ankylosis of joint, hand",
    "M2465": "Ankylosis of joint, pelvic region and thigh",
    "M2466": "Ankylosis of joint, lower leg",
    "M2467": "Ankylosis of joint, ankle and foot",
    "M2468": "Ankylosis of joint, other",
    "M2469": "Ankylosis of joint, site unspecified",
    "M2480": "Other specific joint derangements, not elsewhere classified, multiple sites",
    "M2481": "Other specific joint derangements, not elsewhere classified, shoulder region",
    "M2482": "Other specific joint derangements, not elsewhere classified, upper arm",
    "M2483": "Other specific joint derangements, not elsewhere classified, forearm",
    "M2484": "Other specific joint derangements, not elsewhere classified, hand",
    "M2485": "Other specific joint derangements, not elsewhere classified, pelvic region and thigh",
    "M2486": "Other specific joint derangements, not elsewhere classified, lower leg",
    "M6590": "Synovitis and tenosynovitis, unspecified, multiple sites",
    "M6591": "Synovitis and tenosynovitis, unspecified, shoulder region",
    "M6592": "Synovitis and tenosynovitis, unspecified, upper arm",
    "M6593": "Synovitis and tenosynovitis, unspecified, forearm",
    "M6594": "Synovitis and tenosynovitis, unspecified, hand",
    "M6595": "Synovitis and tenosynovitis, unspecified, pelvic region and thigh",
    "M6596": "Synovitis and tenosynovitis, unspecified, lower leg",
    "M6597": "Synovitis and tenosynovitis, unspecified, ankle and foot",
    "M6598": "Synovitis and tenosynovitis, unspecified, other",
    "M6599": "Synovitis and tenosynovitis, unspecified, site unspecified",
    "M6600": "Rupture of popliteal cyst, multiple sites",
    "M6601": "Rupture of popliteal cyst, shoulder region",
    "M6602": "Rupture of popliteal cyst, upper arm",
    "M6603": "Rupture of popliteal cyst, forearm",
    "M6604": "Rupture of popliteal cyst, hand",
    "M6605": "Rupture of popliteal cyst, pelvic region and thigh",
    "M6606": "Rupture of popliteal cyst, lower leg",
    "M6607": "Rupture of popliteal cyst, ankle and foot",
    "M6608": "Rupture of popliteal cyst, other",
    "M6609": "Rupture of popliteal cyst, site unspecified",
    "M6610": "Rupture of synovium, multiple sites",
    "M6611": "Rupture of synovium, shoulder region",
    "M6612": "Rupture of synovium, upper arm",
    "M6613": "Rupture of synovium, forearm",
    "M6614": "Rupture of synovium, hand",
    "M6615": "Rupture of synovium, pelvic region and thigh",
    "M6616": "Rupture of synovium, lower leg",
    "M6617": "Rupture of synovium, ankle and foot",
    "M6618": "Rupture of synovium, other",
    "M6619": "Rupture of synovium, site unspecified",
    "M6620": "Spontaneous rupture of extensor tendons, multiple sites",
    "M6621": "Spontaneous rupture of extensor tendons, shoulder region",
    "M6622": "Spontaneous rupture of extensor tendons, upper arm",
    "M6623": "Spontaneous rupture of extensor tendons, forearm",
    "M6624": "Spontaneous rupture of extensor tendons, hand",
    "M6625": "Spontaneous rupture of extensor tendons, pelvic region and thigh",
    "M6626": "Spontaneous rupture of extensor tendons, lower leg",
    "M6627": "Spontaneous rupture of extensor tendons, ankle and foot",
    "M6628": "Spontaneous rupture of extensor tendons, other",
    "M6629": "Spontaneous rupture of extensor tendons, site unspecified",
    "M6630": "Spontaneous rupture of flexor tendons, multiple sites",
    "M6631": "Spontaneous rupture of flexor tendons, shoulder region",
    "M6632": "Spontaneous rupture of flexor tendons, upper arm",
    "M6633": "Spontaneous rupture of flexor tendons, forearm",
    "M6634": "Spontaneous rupture of flexor tendons, hand",
    "M6635": "Spontaneous rupture of flexor tendons, pelvic region and thigh",
    "M6636": "Spontaneous rupture of flexor tendons, lower leg",
    "M6637": "Spontaneous rupture of flexor tendons, ankle and foot",
    "M6638": "Spontaneous rupture of flexor tendons, other",
    "M6639": "Spontaneous rupture of flexor tendons, site unspecified",
    "M6640": "Spontaneous rupture of other tendons, multiple sites",
    "M6641": "Spontaneous rupture of other tendons, shoulder region",
    "M6642": "Spontaneous rupture of other tendons, upper arm",
    "M6643": "Spontaneous rupture of other tendons, forearm",
    "M6644": "Spontaneous rupture of other tendons, hand",
    "M6645": "Spontaneous rupture of other tendons, pelvic region and thigh",
    "M6646": "Spontaneous rupture of other tendons, lower leg",
    "M6647": "Spontaneous rupture of other tendons, ankle and foot",
    "M6648": "Spontaneous rupture of other tendons, other",
    "M6649": "Spontaneous rupture of other tendons, site unspecified",
    "M6650": "Spontaneous rupture of unspecified tendon, multiple sites",
    "M6651": "Spontaneous rupture of unspecified tendon, shoulder region",
    "M6652": "Spontaneous rupture of unspecified tendon, upper arm",
    "M6653": "Spontaneous rupture of unspecified tendon, forearm",
    "M6654": "Spontaneous rupture of unspecified tendon, hand",
    "M6655": "Spontaneous rupture of unspecified tendon, pelvic region and thigh",
    "M9035": "Osteonecrosis in caisson disease, pelvic region and thigh",
    "M9036": "Osteonecrosis in caisson disease, lower leg",
    "M9037": "Osteonecrosis in caisson disease, ankle and foot",
    "M9038": "Osteonecrosis in caisson disease, other",
    "M9039": "Osteonecrosis in caisson disease, site unspecified",
    "M9040": "Osteonecrosis due to haemoglobinopathy, multiple sites",
    "M9041": "Osteonecrosis due to haemoglobinopathy, shoulder region",
    "M9042": "Osteonecrosis due to haemoglobinopathy, upper arm",
    "M9043": "Osteonecrosis due to haemoglobinopathy, forearm",
    "M9044": "Osteonecrosis due to haemoglobinopathy, hand",
    "M9045": "Osteonecrosis due to haemoglobinopathy, pelvic region and thigh",
    "M9046": "Osteonecrosis due to haemoglobinopathy, lower leg",
    "M9047": "Osteonecrosis due to haemoglobinopathy, ankle and foot",
    "M9048": "Osteonecrosis due to haemoglobinopathy, other",
    "M9049": "Osteonecrosis due to haemoglobinopathy, site unspecified",
    "M9050": "Osteonecrosis in other diseases classified elsewhere, multiple sites",
    "M9051": "Osteonecrosis in other diseases classified elsewhere, shoulder region",
    "M9052": "Osteonecrosis in other diseases classified elsewhere, upper arm",
    "M9053": "Osteonecrosis in other diseases classified elsewhere, forearm",
    "M9054": "Osteonecrosis in other diseases classified elsewhere, hand",
    "M9055": "Osteonecrosis in other diseases classified elsewhere, pelvic region and thigh",
    "M9056": "Osteonecrosis in other diseases classified elsewhere, lower leg",
    "M9057": "Osteonecrosis in other diseases classified elsewhere, ankle and foot",
    "M9058": "Osteonecrosis in other diseases classified elsewhere, other",
    "M9059": "Osteonecrosis in other diseases classified elsewhere, site unspecified",
    "M9060": "Osteitis deformans in neoplastic disease, multiple sites",
    "M9061": "Osteitis deformans in neoplastic disease, shoulder region",
    "M9062": "Osteitis deformans in neoplastic disease, upper arm",
    "M9063": "Osteitis deformans in neoplastic disease, forearm",
    "M9065": "Osteitis deformans in neoplastic disease, pelvic region and thigh",
    "M9066": "Osteitis deformans in neoplastic disease, lower leg",
    "M9067": "Osteitis deformans in neoplastic disease, ankle and foot",
    "M9068": "Osteitis deformans in neoplastic disease, other",
    "M9069": "Osteitis deformans in neoplastic disease, site unspecified",
    "M9070": "Fracture of bone in neoplastic disease, multiple sites",
    "M9071": "Fracture of bone in neoplastic disease, shoulder region",
    "M9072": "Fracture of bone in neoplastic disease, upper arm",
    "M9073": "Fracture of bone in neoplastic disease, forearm",
    "M9074": "Fracture of bone in neoplastic disease, hand",
    "M9075": "Fracture of bone in neoplastic disease, pelvic region and thigh",
    "M9076": "Fracture of bone in neoplastic disease, lower leg",
    "M9077": "Fracture of bone in neoplastic disease, ankle and foot",
    "M9078": "Fracture of bone in neoplastic disease, other",
    "M9079": "Fracture of bone in neoplastic disease, site unspecified",
    "M9080": "Osteopathy in other diseases classified elsewhere, multiple sites",
    "M9081": "Osteopathy in other diseases classified elsewhere, shoulder region",
    "M9082": "Osteopathy in other diseases classified elsewhere, upper arm",
    "M9084": "Osteopathy in other diseases classified elsewhere, hand",
    "M9085": "Osteopathy in other diseases classified elsewhere, pelvic region and thigh",
    "M9086": "Osteopathy in other diseases classified elsewhere, lower leg",
    "M9087": "Osteopathy in other diseases classified elsewhere, ankle and foot",
    "M9088": "Osteopathy in other diseases classified elsewhere, other",
    "M9089": "Osteopathy in other diseases classified elsewhere, site unspecified",
    "M9410": "Relapsing polychondritis, multiple sites",
    "M9411": "Relapsing polychondritis, shoulder region",
    "M9412": "Relapsing polychondritis, upper arm",
    "M9413": "Relapsing polychondritis, forearm",
    "M9414": "Relapsing polychondritis, hand",
    "M9415": "Relapsing polychondritis, pelvic region and thigh",
    "M9416": "Relapsing polychondritis, lower leg",
    "M9417": "Relapsing polychondritis, ankle and foot",
    "M9418": "Relapsing polychondritis, other",
    "O971": "Death from sequelae of indirect obstetric cause",
    "O325": "Maternal care for multiple gestation with malpresentation of one fetus or more",
    "O328": "Maternal care for other malpresentation of fetus",
    "O329": "Maternal care for malpresentation of fetus, unspecified",
    "O33": "Maternal care for known or suspected disproportion",
    "O331": "Maternal care for disproportion due to generally contracted pelvis",
    "O332": "Maternal care for disproportion due to inlet contraction of pelvis",
    "O335": "Maternal care for disproportion due to unusually large fetus",
    "O336": "Maternal care for disproportion due to hydrocephalic fetus",
    "O337": "Maternal care for disproportion due to other fetal deformities",
    "O339": "Maternal care for disproportion, unspecified",
    "O34": "Maternal care for known or suspected abnormality of pelvic organs",
    "O340": "Maternal care for congenital malformation of uterus",
    "O341": "Maternal care for tumour of corpus uteri",
    "O342": "Maternal care due to uterine scar from previous surgery",
    "O343": "Maternal care for cervical incompetence",
    "O344": "Maternal care for other abnormalities of cervix",
    "O345": "Maternal care for other abnormalities of gravid uterus",
    "O346": "Maternal care for abnormality of vagina",
    "O347": "Maternal care for abnormality of vulva and perineum",
    "O348": "Maternal care for other abnormalities of pelvic organs",
    "O349": "Maternal care for abnormality of pelvic organ, unspecified",
    "O35": "Maternal care for known or suspected fetal abnormality and damage",
    "O355": "Maternal care for (suspected) damage to fetus by drugs",
    "O356": "Maternal care for (suspected) damage to fetus by radiation",
    "O357": "Maternal care for (suspected) damage to fetus by other medical procedures",
    "O359": "Maternal care for (suspected) fetal abnormality and damage, unspecified",
    "O36": "Maternal care for other known or suspected fetal problems",
    "O360": "Maternal care for rhesus isoimmunization",
    "O365": "Maternal care for poor fetal growth",
    "O366": "Maternal care for excessive fetal growth",
    "O368": "Maternal care for other specified fetal problems",
    "O41": "Other disorders of amniotic fluid and membranes",
    "O411": "Infection of amniotic sac and membranes",
    "O418": "Other specified disorders of amniotic fluid and membranes",
    "O419": "Disorder of amniotic fluid and membranes, unspecified",
    "O42": "Premature rupture of membranes",
    "O421": "Premature rupture of membranes, onset of labour after 24 hours",
    "O429": "Premature rupture of membranes, unspecified",
    "O430": "Placental transfusion syndromes",
    "O431": "Malformation of placenta",
    "O438": "Other placental disorders",
    "O439": "Placental disorder, unspecified",
    "O44": "Placenta praevia",
    "O440": "Placenta praevia specified as without haemorrhage",
    "O441": "Placenta praevia with haemorrhage",
    "O450": "Premature separation of placenta with coagulation defect",
    "O46": "Antepartum haemorrhage, not elsewhere classified",
    "O468": "Other antepartum haemorrhage",
    "O469": "Antepartum haemorrhage, unspecified",
    "O470": "False labour before 37 completed weeks of gestation",
    "O471": "False labour at or after 37 completed weeks of gestation",
    "O479": "False labour, unspecified",
    "O48": "Prolonged pregnancy",
    "O801": "Spontaneous breech delivery",
    "O811": "Mid-cavity forceps delivery",
    "O830": "Breech extraction",
    "O838": "Other specified assisted single delivery",
    "O839": "Assisted single delivery, unspecified",
    "O95": "Obstetric death of unspecified cause",
    "O969": "Death from unspecified obstetric cause occurring more than 42 days but less than one year after delivery",
    "O970": "Death from sequelae of direct obstetric cause",
    "O979": "Death from sequelae of obstetric cause, unspecified",
    "O98": "Maternal infectious and parasitic diseases classifiable elsewhere but complicating pregnancy, childbirth and the puerperium",
    "P95": "Fetal death of unspecified cause",
    "P964": "Termination of pregnancy, affecting fetus and newborn",
    "Q653": "Congenital subluxation of hip, unilateral",
    "R090": "Asphyxia",
    "R093": "Abnormal sputum",
    "R262": "Difficulty in walking, not elsewhere classified",
    "R635": "Abnormal weight gain",
    "R730": "Abnormal glucose tolerance test",
    "R761": "Abnormal reaction to tuberculin test",
    "R780": "Finding of alcohol in blood",
    "R783": "Finding of hallucinogen in blood",
    "R821": "Myoglobinuria",
    "R822": "Biliuria",
    "R824": "Acetonuria",
    "R825": "Elevated urine levels of drugs, medicaments and biological substances",
    "R826": "Abnormal urine levels of substances chiefly nonmedicinal as to source",
    "R827": "Abnormal findings on microbiological examination of urine",
    "R828": "Abnormal findings on cytological and histological examination of urine",
    "R83": "Abnormal findings in cerebrospinal fluid",
    "R830": "Abnormal findings in cerebrospinal fluid, Abnormal level of enzymes",
    "R831": "Abnormal findings in cerebrospinal fluid, Abnormal level of hormones",
    "R832": "Abnormal findings in cerebrospinal fluid, Abnormal level of other drugs, medicaments and biological substances",
    "R833": "Abnormal findings in cerebrospinal fluid, Abnormal level of substances chiefly nonmedicinal as to source",
    "R836": "Abnormal findings in cerebrospinal fluid, Abnormal cytological findings",
    "R84": "Abnormal findings in specimens from respiratory organs and thorax",
    "R891": "Abnormal findings in specimens from other organs, systems and tissues, abnormal level of hormones",
    "R892": "Abnormal findings in specimens from other organs, systems and tissues, abnormal level of other drugs, medicaments and biological substances",
    "R893": "Abnormal findings in specimens from other organs, systems and tissues, abnormal level of substances chiefly nonmedicinal as to source",
    "R894": "Abnormal findings in specimens from other organs, systems and tissues, abnormal immunological findings",
    "R895": "Abnormal findings in specimens from other organs, systems and tissues, abnormal microbiological findings",
    "R897": "Abnormal findings in specimens from other organs, systems and tissues, abnormal histological findings",
    "R898": "Abnormal findings in specimens from other organs, systems and tissues, other abnormal findings",
    "R90": "Abnormal findings on diagnostic imaging of central nervous system",
    "R908": "Other abnormal findings on diagnostic imaging of central nervous system",
    "R91": "Abnormal findings on diagnostic imaging of lung",
    "R93": "Abnormal findings on diagnostic imaging of other body structures",
    "R930": "Abnormal findings on diagnostic imaging of skull and head, not elsewhere classified",
    "R931": "Abnormal findings on diagnostic imaging of heart and coronary circulation",
    "R932": "Abnormal findings on diagnostic imaging of liver and biliary tract",
    "R934": "Abnormal findings on diagnostic imaging of urinary organs",
    "R938": "Abnormal findings on diagnostic imaging of other specified body structures",
    "R94": "Abnormal results of function studies",
    "R940": "Abnormal results of function studies of central nervous system",
    "R941": "Abnormal results of function studies of peripheral nervous system and special senses",
    "R943": "Abnormal results of cardiovascular function studies",
    "R945": "Abnormal results of liver function studies",
    "R950": "Sudden infant death syndrome with mention of autopsy",
    "R959": "Sudden infant death syndrome without mention of autopsy",
    "T622": "Toxic effect: Other ingested (parts of) plant(s)",
    "T78": "Adverse effects, not elsewhere classified",
    "U075": "Emergency use of U07.5",
    "U076": "Emergency use of U07.6",
    "U077": "Emergency use of U07.7",
    "U078": "Emergency use of U07.8",
    "V029": "Pedestrian injured in collision with two- or three-wheeled motor vehicle, unspecified whether traffic or nontraffic accident",
    "V051": "Pedestrian injured in collision with railway train or railway vehicle, traffic accident",
    "V059": "Pedestrian injured in collision with railway train or railway vehicle, unspecified whether traffic or nontraffic accident",
    "V06": "Pedestrian injured in collision with other nonmotor vehicle",
    "V061": "Pedestrian injured in collision with other nonmotor vehicle, traffic accident",
    "V069": "Pedestrian injured in collision with other nonmotor vehicle, unspecified whether traffic or nontraffic accident",
    "V09": "Pedestrian injured in other and unspecified transport accidents",
    "V10": "Pedal cyclist injured in collision with pedestrian or animal",
    "V105": "Pedal cyclist injured in collision with pedestrian or animal, Passenger injured in traffic accident",
    "V12": "Pedal cyclist injured in collision with two- or three-wheeled motor vehicle",
    "V125": "Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, passenger injured in traffic accident",
    "V13": "Pedal cyclist injured in collision with car, pick-up truck or van",
    "V14": "Pedal cyclist injured in collision with heavy transport vehicle or bus",
    "V143": "Pedal cyclist injured in collision with heavy transport vehicle or bus, person injured while boarding or alighting",
    "V15": "Pedal cyclist injured in collision with railway train or railway vehicle",
    "V150": "Pedal cyclist injured in collision with railway train or railway vehicle, driver injured in nontraffic accident",
    "V151": "Pedal cyclist injured in collision with railway train or railway vehicle, passenger injured in nontraffic accident",
    "V152": "Pedal cyclist injured in collision with railway train or railway vehicle, unspecified pedal cyclist injured in nontraffic accident",
    "V153": "Pedal cyclist injured in collision with railway train or railway vehicle, person injured while boarding or alighting",
    "V155": "Pedal cyclist injured in collision with railway train or railway vehicle, passenger injured in traffic accident",
    "V163": "Pedal cyclist injured in collision with other nonmotor vehicle, person injured while boarding or alighting",
    "V165": "Pedal cyclist injured in collision with other nonmotor vehicle, passenger injured in traffic accident",
    "V17": "Pedal cyclist injured in collision with fixed or stationary object",
    "V18": "Pedal cyclist injured in noncollision transport accident",
    "V183": "Pedal cyclist injured in noncollision transport accident, person injured while boarding or alighting",
    "V184": "Pedal cyclist injured in noncollision transport accident, driver injured in traffic accident",
    "V189": "Pedal cyclist injured in noncollision transport accident, unspecified pedal cyclist injured in traffic accident",
    "V19": "Pedal cyclist injured in other and unspecified transport accidents",
    "V191": "Passenger injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V194": "Driver injured in collision with other and unspecified motor vehicles in traffic accident",
    "V195": "Passenger injured in collision with other and unspecified motor vehicles in traffic accident",
    "V20": "Motorcycle rider injured in collision with pedestrian or animal",
    "V201": "Motorcycle rider injured in collision with pedestrian or animal, Passenger injured in nontraffic accident",
    "V203": "Motorcycle rider injured in collision with pedestrian or animal, Person injured while boarding or alighting",
    "V204": "Motorcycle rider injured in collision with pedestrian or animal, Driver injured in traffic accident",
    "V21": "Motorcycle rider injured in collision with pedal cycle",
    "V211": "Motorcycle rider injured in collision with pedal cycle, passenger injured in nontraffic accident",
    "V215": "Motorcycle rider injured in collision with pedal cycle, passenger injured in traffic accident",
    "V219": "Motorcycle rider injured in collision with pedal cycle, unspecified motorcycle rider injured in traffic accident",
    "V22": "Motorcycle rider injured in collision with two- or three-wheeled motor vehicle",
    "V221": "Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, passenger injured in nontraffic accident",
    "V225": "Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, passenger injured in traffic accident",
    "V23": "Motorcycle rider injured in collision with car, pick-up truck or van",
    "V230": "Motorcycle rider injured in collision with car, pick-up truck or van, driver injured in nontraffic accident",
    "V232": "Motorcycle rider injured in collision with car, pick-up truck or van, unspecified motorcycle rider injured in nontraffic accident",
    "V235": "Motorcycle rider injured in collision with car, pick-up truck or van, passenger injured in traffic accident",
    "V24": "Motorcycle rider injured in collision with heavy transport vehicle or bus",
    "V240": "Motorcycle rider injured in collision with heavy transport vehicle or bus, driver injured in nontraffic accident",
    "V245": "Motorcycle rider injured in collision with heavy transport vehicle or bus, passenger injured in traffic accident",
    "V25": "Motorcycle rider injured in collision with railway train or railway vehicle",
    "V253": "Motorcycle rider injured in collision with railway train or railway vehicle, person injured while boarding or alighting",
    "V255": "Motorcycle rider injured in collision with railway train or railway vehicle, passenger injured in traffic accident",
    "V26": "Motorcycle rider injured in collision with other nonmotor vehicle",
    "V263": "Motorcycle rider injured in collision with other nonmotor vehicle, person injured while boarding or alighting",
    "V265": "Motorcycle rider injured in collision with other nonmotor vehicle, passenger injured in traffic accident",
    "V27": "Motorcycle rider injured in collision with fixed or stationary object",
    "V271": "Motorcycle rider injured in collision with fixed or stationary object, passenger injured in nontraffic accident",
    "V273": "Motorcycle rider injured in collision with fixed or stationary object, person injured while boarding or alighting",
    "V274": "Motorcycle rider injured in collision with fixed or stationary object, driver injured in traffic accident",
    "V279": "Motorcycle rider injured in collision with fixed or stationary object, unspecified motorcycle rider injured in traffic accident",
    "V28": "Motorcycle rider injured in noncollision transport accident",
    "V281": "Motorcycle rider injured in noncollision transport accident, passenger injured in nontraffic accident",
    "V283": "Motorcycle rider injured in noncollision transport accident, person injured while boarding or alighting",
    "V29": "Motorcycle rider injured in other and unspecified transport accidents",
    "V290": "Driver injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V293": "Motorcycle rider [any] injured in unspecified nontraffic accident",
    "V295": "Passenger injured in collision with other and unspecified motor vehicles in traffic accident",
    "V296": "Unspecified motorcycle rider injured in collision with other and unspecified motor vehicles in traffic accident",
    "V30": "Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal",
    "V301": "Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, Passenger injured in nontraffic accident",
    "V302": "Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, Person on outside of vehicle injured in nontraffic accident",
    "V304": "Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, Person injured while boarding or alighting",
    "V306": "Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, Passenger injured in traffic accident",
    "V307": "Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, Person on outside of vehicle injured in traffic accident",
    "V309": "Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, Unspecified occupant of three-wheeled motor vehicle injured in traffic accident",
    "V31": "Occupant of three-wheeled motor vehicle injured in collision with pedal cycle",
    "V312": "Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, person on outside of vehicle injured in nontraffic accident",
    "V313": "Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, unspecified occupant of three-wheeled motor vehicle injured in nontraffic accident",
    "V314": "Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, person injured while boarding or alighting",
    "V316": "Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, passenger injured in traffic accident",
    "V317": "Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, person on outside of vehicle injured in traffic accident",
    "V319": "Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, unspecified occupant of three-wheeled motor vehicle injured in traffic accident",
    "V32": "Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle",
    "V320": "Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, driver injured in nontraffic accident",
    "V321": "Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, passenger injured in nontraffic accident",
    "V322": "Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle injured in nontraffic accident",
    "V323": "Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, unspecified occupant of three-wheeled motor vehicle injured in nontraffic accident",
    "V324": "Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, person injured while boarding or alighting",
    "V325": "Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, driver injured in traffic accident",
    "V326": "Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, passenger injured in traffic accident",
    "V327": "Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle injured in traffic accident",
    "V33": "Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van",
    "V332": "Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, person on outside of vehicle injured in nontraffic accident",
    "V333": "Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, unspecified occupant of three-wheeled motor vehicle injured in nontraffic accident",
    "V334": "Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, person injured while boarding or alighting",
    "V336": "Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, passenger injured in traffic accident",
    "V337": "Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, person on outside of vehicle injured in traffic accident",
    "V34": "Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus",
    "V340": "Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, driver injured in nontraffic accident",
    "V341": "Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, passenger injured in nontraffic accident",
    "V342": "Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, person on outside of vehicle injured in nontraffic accident",
    "V343": "Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, unspecified occupant of three-wheeled motor vehicle injured in nontraffic accident",
    "V345": "Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, driver injured in traffic accident",
    "V347": "Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, person on outside of vehicle injured in traffic accident",
    "V35": "Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle",
    "V352": "Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, person on outside of vehicle injured in nontraffic accident",
    "V353": "Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, unspecified occupant of three-wheeled motor vehicle injured in nontraffic accident",
    "V354": "Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, person injured while boarding or alighting",
    "V356": "Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, passenger injured in traffic accident",
    "V357": "Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, person on outside of vehicle injured in traffic accident",
    "V359": "Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, unspecified occupant of three-wheeled motor vehicle injured in traffic accident",
    "V36": "Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle",
    "V362": "Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, person on outside of vehicle injured in nontraffic accident",
    "V363": "Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, unspecified occupant of three-wheeled motor vehicle injured in nontraffic accident",
    "V364": "Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, person injured while boarding or alighting",
    "V367": "Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, person on outside of vehicle injured in traffic accident",
    "V369": "Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, unspecified occupant of three-wheeled motor vehicle injured in traffic accident",
    "V37": "Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object",
    "V372": "Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, person on outside of vehicle injured in nontraffic accident",
    "V373": "Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, unspecified occupant of three-wheeled motor vehicle injured in nontraffic accident",
    "V374": "Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, person injured while boarding or alighting",
    "V377": "Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, person on outside of vehicle injured in traffic accident",
    "V38": "Occupant of three-wheeled motor vehicle injured in noncollision transport accident",
    "V381": "Occupant of three-wheeled motor vehicle injured in noncollision transport accident, passenger injured in nontraffic accident",
    "V39": "Occupant of three-wheeled motor vehicle injured in other and unspecified transport accidents",
    "V40": "Car occupant injured in collision with pedestrian or animal",
    "V400": "Car occupant injured in collision with pedestrian or animal, Driver injured in nontraffic accident",
    "V403": "Car occupant injured in collision with pedestrian or animal, Unspecified car occupant injured in nontraffic accident",
    "V41": "Car occupant injured in collision with pedal cycle",
    "V412": "Car occupant injured in collision with pedal cycle, person on outside of vehicle injured in nontraffic accident",
    "V413": "Car occupant injured in collision with pedal cycle, unspecified car occupant injured in nontraffic accident",
    "Y36": "Operations of war",
    "V417": "Car occupant injured in collision with pedal cycle, person on outside of vehicle injured in traffic accident",
    "V42": "Car occupant injured in collision with two- or three-wheeled motor vehicle",
    "V421": "Car occupant injured in collision with two- or three-wheeled motor vehicle, passenger injured in nontraffic accident",
    "V427": "Car occupant injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle injured in traffic accident",
    "V43": "Car occupant injured in collision with car, pick-up truck or van",
    "V430": "Car occupant injured in collision with car, pick-up truck or van, driver injured in nontraffic accident",
    "V44": "Car occupant injured in collision with heavy transport vehicle or bus",
    "V440": "Car occupant injured in collision with heavy transport vehicle or bus, driver injured in nontraffic accident",
    "V442": "Car occupant injured in collision with heavy transport vehicle or bus, person on outside of vehicle injured in nontraffic accident",
    "V447": "Car occupant injured in collision with heavy transport vehicle or bus, person on outside of vehicle injured in traffic accident",
    "V45": "Car occupant injured in collision with railway train or railway vehicle",
    "V452": "Car occupant injured in collision with railway train or railway vehicle, person on outside of vehicle injured in nontraffic accident",
    "V454": "Car occupant injured in collision with railway train or railway vehicle, person injured while boarding or alighting",
    "V457": "Car occupant injured in collision with railway train or railway vehicle, person on outside of vehicle injured in traffic accident",
    "V46": "Car occupant injured in collision with other nonmotor vehicle",
    "V462": "Car occupant injured in collision with other nonmotor vehicle, person on outside of vehicle injured in nontraffic accident",
    "V465": "Car occupant injured in collision with other nonmotor vehicle, driver injured in traffic accident",
    "V467": "Car occupant injured in collision with other nonmotor vehicle, person on outside of vehicle injured in traffic accident",
    "V47": "Car occupant injured in collision with fixed or stationary object",
    "V48": "Car occupant injured in noncollision transport accident",
    "V487": "Car occupant injured in noncollision transport accident, person on outside of vehicle injured in traffic accident",
    "V49": "Car occupant injured in other and unspecified transport accidents",
    "V491": "Passenger injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V494": "Driver injured in collision with other and unspecified motor vehicles in traffic accident",
    "V496": "Unspecified car occupant injured in collision with other and unspecified motor vehicles in traffic accident",
    "V50": "Occupant of pick-up truck or van injured in collision with pedestrian or animal",
    "V502": "Occupant of pick-up truck or van injured in collision with pedestrian or animal, Person on outside of vehicle injured in nontraffic accident",
    "V503": "Occupant of pick-up truck or van injured in collision with pedestrian or animal, Unspecified occupant of pick-up truck or van injured in nontraffic accident",
    "V506": "Occupant of pick-up truck or van injured in collision with pedestrian or animal, Passenger injured in traffic accident",
    "V507": "Occupant of pick-up truck or van injured in collision with pedestrian or animal, Person on outside of vehicle injured in traffic accident",
    "V51": "Occupant of pick-up truck or van injured in collision with pedal cycle",
    "V512": "Occupant of pick-up truck or van injured in collision with pedal cycle, person on outside of vehicle injured in nontraffic accident",
    "V513": "Occupant of pick-up truck or van injured in collision with pedal cycle, unspecified occupant of pick-up truck or van injured in nontraffic accident",
    "V514": "Occupant of pick-up truck or van injured in collision with pedal cycle, person injured while boarding or alighting",
    "V515": "Occupant of pick-up truck or van injured in collision with pedal cycle, driver injured in traffic accident",
    "V516": "Occupant of pick-up truck or van injured in collision with pedal cycle, passenger injured in traffic accident",
    "V517": "Occupant of pick-up truck or van injured in collision with pedal cycle, person on outside of vehicle injured in traffic accident",
    "V519": "Occupant of pick-up truck or van injured in collision with pedal cycle, unspecified occupant of pick-up truck or van injured in traffic accident",
    "V52": "Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle",
    "V520": "Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, driver injured in nontraffic accident",
    "V521": "Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, passenger injured in nontraffic accident",
    "V522": "Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle injured in nontraffic accident",
    "V523": "Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, unspecified occupant of pick-up truck or van injured in nontraffic accident",
    "V524": "Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, person injured while boarding or alighting",
    "V525": "Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, driver injured in traffic accident",
    "V527": "Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle injured in traffic accident",
    "V529": "Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, unspecified occupant of pick-up truck or van injured in traffic accident",
    "V53": "Occupant of pick-up truck or van injured in collision with car, pick-up truck or van",
    "V531": "Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, passenger injured in nontraffic accident",
    "V532": "Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, person on outside of vehicle injured in nontraffic accident",
    "V533": "Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, unspecified occupant of pick-up truck or van injured in nontraffic accident",
    "V537": "Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, person on outside of vehicle injured in traffic accident",
    "V54": "Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus",
    "V540": "Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, driver injured in nontraffic accident",
    "V542": "Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, person on outside of vehicle injured in nontraffic accident",
    "V544": "Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, person injured while boarding or alighting",
    "V547": "Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, person on outside of vehicle injured in traffic accident",
    "V55": "Occupant of pick-up truck or van injured in collision with railway train or railway vehicle",
    "V553": "Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, unspecified occupant of pick-up truck or van injured in nontraffic accident",
    "V554": "Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, person injured while boarding or alighting",
    "V555": "Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, driver injured in traffic accident",
    "V556": "Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, passenger injured in traffic accident",
    "V557": "Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, person on outside of vehicle injured in traffic accident",
    "V56": "Occupant of pick-up truck or van injured in collision with other nonmotor vehicle",
    "V563": "Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, unspecified occupant of pick-up truck or van injured in nontraffic accident",
    "V564": "Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, person injured while boarding or alighting",
    "V567": "Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, person on outside of vehicle injured in traffic accident",
    "V569": "Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, unspecified occupant of pick-up truck or van injured in traffic accident",
    "V57": "Occupant of pick-up truck or van injured in collision with fixed or stationary object",
    "V573": "Occupant of pick-up truck or van injured in collision with fixed or stationary object, unspecified occupant of pick-up truck or van injured in nontraffic accident",
    "V575": "Occupant of pick-up truck or van injured in collision with fixed or stationary object, driver injured in traffic accident",
    "V576": "Occupant of pick-up truck or van injured in collision with fixed or stationary object, passenger injured in traffic accident",
    "V579": "Occupant of pick-up truck or van injured in collision with fixed or stationary object, unspecified occupant of pick-up truck or van injured in traffic accident",
    "V58": "Occupant of pick-up truck or van injured in noncollision transport accident",
    "V581": "Occupant of pick-up truck or van injured in noncollision transport accident, passenger injured in nontraffic accident",
    "V59": "Occupant of pick-up truck or van injured in other and unspecified transport accidents",
    "V596": "Unspecified occupant of pick-up truck or van injured in collision with other and unspecified motor vehicles in traffic accident",
    "V60": "Occupant of heavy transport vehicle injured in collision with pedestrian or animal",
    "V600": "Occupant of heavy transport vehicle injured in collision with pedestrian or animal, Driver injured in nontraffic accident",
    "V601": "Occupant of heavy transport vehicle injured in collision with pedestrian or animal, Passenger injured in nontraffic accident",
    "V603": "Occupant of heavy transport vehicle injured in collision with pedestrian or animal, Unspecified occupant of heavy transport vehicle injured in nontraffic accident",
    "V605": "Occupant of heavy transport vehicle injured in collision with pedestrian or animal, Driver injured in traffic accident",
    "V606": "Occupant of heavy transport vehicle injured in collision with pedestrian or animal, Passenger injured in traffic accident",
    "V607": "Occupant of heavy transport vehicle injured in collision with pedestrian or animal, Person on outside of vehicle injured in traffic accident",
    "V609": "Occupant of heavy transport vehicle injured in collision with pedestrian or animal, Unspecified occupant of heavy transport vehicle injured in traffic accident",
    "V61": "Occupant of heavy transport vehicle injured in collision with pedal cycle",
    "V612": "Occupant of heavy transport vehicle injured in collision with pedal cycle, person on outside of vehicle injured in nontraffic accident",
    "V613": "Occupant of heavy transport vehicle injured in collision with pedal cycle, unspecified occupant of heavy transport vehicle injured in nontraffic accident",
    "V614": "Occupant of heavy transport vehicle injured in collision with pedal cycle, person injured while boarding or alighting",
    "V615": "Occupant of heavy transport vehicle injured in collision with pedal cycle, driver injured in traffic accident",
    "V616": "Occupant of heavy transport vehicle injured in collision with pedal cycle, passenger injured in traffic accident",
    "V617": "Occupant of heavy transport vehicle injured in collision with pedal cycle, person on outside of vehicle injured in traffic accident",
    "V619": "Occupant of heavy transport vehicle injured in collision with pedal cycle, unspecified occupant of heavy transport vehicle injured in traffic accident",
    "V62": "Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle",
    "V620": "Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, driver injured in nontraffic accident",
    "V621": "Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, passenger injured in nontraffic accident",
    "V622": "Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle injured in nontraffic accident",
    "V623": "Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, unspecified occupant of heavy transport vehicle injured in nontraffic accident",
    "V624": "Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, person injured while boarding or alighting",
    "V626": "Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, passenger injured in traffic accident",
    "V627": "Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle injured in traffic accident",
    "V629": "Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, unspecified occupant of heavy transport vehicle injured in traffic accident",
    "V63": "Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van",
    "V631": "Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, passenger injured in nontraffic accident",
    "V632": "Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, person on outside of vehicle injured in nontraffic accident",
    "V636": "Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, passenger injured in traffic accident",
    "V639": "Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, unspecified occupant of heavy transport vehicle injured in traffic accident",
    "V64": "Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus",
    "V641": "Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, passenger injured in nontraffic accident",
    "V643": "Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, unspecified occupant of heavy transport vehicle injured in nontraffic accident",
    "V647": "Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, person on outside of vehicle injured in traffic accident",
    "V65": "Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle",
    "V652": "Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, person on outside of vehicle injured in nontraffic accident",
    "V653": "Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, unspecified occupant of heavy transport vehicle injured in nontraffic accident",
    "V655": "Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, driver injured in traffic accident",
    "V656": "Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, passenger injured in traffic accident",
    "V657": "Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, person on outside of vehicle injured in traffic accident",
    "V66": "Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle",
    "V662": "Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, person on outside of vehicle injured in nontraffic accident",
    "V663": "Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, unspecified occupant of heavy transport vehicle injured in nontraffic accident",
    "V664": "Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, person injured while boarding or alighting",
    "V665": "Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, driver injured in traffic accident",
    "V666": "Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, passenger injured in traffic accident",
    "V667": "Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, person on outside of vehicle injured in traffic accident",
    "V67": "Occupant of heavy transport vehicle injured in collision with fixed or stationary object",
    "V673": "Occupant of heavy transport vehicle injured in collision with fixed or stationary object, unspecified occupant of heavy transport vehicle injured in nontraffic accident",
    "V679": "Occupant of heavy transport vehicle injured in collision with fixed or stationary object, unspecified occupant of heavy transport vehicle injured in traffic accident",
    "V68": "Occupant of heavy transport vehicle injured in noncollision transport accident",
    "V682": "Occupant of heavy transport vehicle injured in noncollision transport accident, person on outside of vehicle injured in nontraffic accident",
    "V69": "Occupant of heavy transport vehicle injured in other and unspecified transport accidents",
    "V692": "Unspecified occupant of heavy transport vehicle injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V700": "Bus occupant injured in collision with pedestrian or animal, Driver injured in nontraffic accident",
    "V701": "Bus occupant injured in collision with pedestrian or animal, Passenger injured in nontraffic accident",
    "V71": "Bus occupant injured in collision with pedal cycle",
    "V712": "Bus occupant injured in collision with pedal cycle, person on outside of vehicle injured in nontraffic accident",
    "V713": "Bus occupant injured in collision with pedal cycle, unspecified bus occupant injured in nontraffic accident",
    "V714": "Bus occupant injured in collision with pedal cycle, person injured while boarding or alighting",
    "V715": "Bus occupant injured in collision with pedal cycle, driver injured in traffic accident",
    "V717": "Bus occupant injured in collision with pedal cycle, person on outside of vehicle injured in traffic accident",
    "V719": "Bus occupant injured in collision with pedal cycle, unspecified bus occupant injured in traffic accident",
    "V72": "Bus occupant injured in collision with two- or three-wheeled motor vehicle",
    "V720": "Bus occupant injured in collision with two- or three-wheeled motor vehicle, driver injured in nontraffic accident",
    "V721": "Bus occupant injured in collision with two- or three-wheeled motor vehicle, passenger injured in nontraffic accident",
    "V722": "Bus occupant injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle injured in nontraffic accident",
    "V723": "Bus occupant injured in collision with two- or three-wheeled motor vehicle, unspecified bus occupant injured in nontraffic accident",
    "V724": "Bus occupant injured in collision with two- or three-wheeled motor vehicle, person injured while boarding or alighting",
    "V727": "Bus occupant injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle injured in traffic accident",
    "V729": "Bus occupant injured in collision with two- or three-wheeled motor vehicle, unspecified bus occupant injured in traffic accident",
    "V730": "Bus occupant injured in collision with car, pick-up truck or van, driver injured in nontraffic accident",
    "V731": "Bus occupant injured in collision with car, pick-up truck or van, passenger injured in nontraffic accident",
    "V732": "Bus occupant injured in collision with car, pick-up truck or van, person on outside of vehicle injured in nontraffic accident",
    "V733": "Bus occupant injured in collision with car, pick-up truck or van, unspecified bus occupant injured in nontraffic accident",
    "V734": "Bus occupant injured in collision with car, pick-up truck or van, person injured while boarding or alighting",
    "V74": "Bus occupant injured in collision with heavy transport vehicle or bus",
    "V740": "Bus occupant injured in collision with heavy transport vehicle or bus, driver injured in nontraffic accident",
    "V742": "Bus occupant injured in collision with heavy transport vehicle or bus, person on outside of vehicle injured in nontraffic accident",
    "V743": "Bus occupant injured in collision with heavy transport vehicle or bus, unspecified bus occupant injured in nontraffic accident",
    "V749": "Bus occupant injured in collision with heavy transport vehicle or bus, unspecified bus occupant injured in traffic accident",
    "V75": "Bus occupant injured in collision with railway train or railway vehicle",
    "V752": "Bus occupant injured in collision with railway train or railway vehicle, person on outside of vehicle injured in nontraffic accident",
    "V753": "Bus occupant injured in collision with railway train or railway vehicle, unspecified bus occupant injured in nontraffic accident",
    "V754": "Bus occupant injured in collision with railway train or railway vehicle, person injured while boarding or alighting",
    "V755": "Bus occupant injured in collision with railway train or railway vehicle, driver injured in traffic accident",
    "V756": "Bus occupant injured in collision with railway train or railway vehicle, passenger injured in traffic accident",
    "V757": "Bus occupant injured in collision with railway train or railway vehicle, person on outside of vehicle injured in traffic accident",
    "V759": "Bus occupant injured in collision with railway train or railway vehicle, unspecified bus occupant injured in traffic accident",
    "V76": "Bus occupant injured in collision with other nonmotor vehicle",
    "V762": "Bus occupant injured in collision with other nonmotor vehicle, person on outside of vehicle injured in nontraffic accident",
    "V763": "Bus occupant injured in collision with other nonmotor vehicle, unspecified bus occupant injured in nontraffic accident",
    "V765": "Bus occupant injured in collision with other nonmotor vehicle, driver injured in traffic accident",
    "V766": "Bus occupant injured in collision with other nonmotor vehicle, passenger injured in traffic accident",
    "V767": "Bus occupant injured in collision with other nonmotor vehicle, person on outside of vehicle injured in traffic accident",
    "V769": "Bus occupant injured in collision with other nonmotor vehicle, unspecified bus occupant injured in traffic accident",
    "V77": "Bus occupant injured in collision with fixed or stationary object",
    "V770": "Bus occupant injured in collision with fixed or stationary object, driver injured in nontraffic accident",
    "V773": "Bus occupant injured in collision with fixed or stationary object, unspecified bus occupant injured in nontraffic accident",
    "V776": "Bus occupant injured in collision with fixed or stationary object, passenger injured in traffic accident",
    "V777": "Bus occupant injured in collision with fixed or stationary object, person on outside of vehicle injured in traffic accident",
    "V78": "Bus occupant injured in noncollision transport accident",
    "V79": "Bus occupant injured in other and unspecified transport accidents",
    "V791": "Passenger injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V792": "Unspecified bus occupant injured in collision with other and unspecified motor vehicles in nontraffic accident",
    "V80": "Animal-rider or occupant of animal-drawn vehicle injured in transport accident",
    "V801": "Rider or occupant injured in collision with pedestrian or animal",
    "V805": "Rider or occupant injured in collision with other specified motor vehicle",
    "V806": "Rider or occupant injured in collision with railway train or railway vehicle",
    "V81": "Occupant of railway train or railway vehicle injured in transport accident",
    "Y436": "Adverse effects in the therapeutic use of enzymes, not elsewhere classified",
    "V810": "Occupant of railway train or railway vehicle injured in collision with motor vehicle in nontraffic accident",
    "V811": "Occupant of railway train or railway vehicle injured in collision with motor vehicle in traffic accident",
    "V813": "Occupant of railway train or railway vehicle injured in collision with other object",
    "V815": "Occupant of railway train or railway vehicle injured by fall in railway train or railway vehicle",
    "V817": "Occupant of railway train or railway vehicle injured in derailment without antecedent collision",
    "V819": "Occupant of railway train or railway vehicle injured in unspecified railway accident",
    "V82": "Occupant of streetcar injured in transport accident",
    "V83": "Occupant of special vehicle mainly used on industrial premises injured in transport accident",
    "V831": "Passenger of special industrial vehicle injured in traffic accident",
    "V833": "Unspecified occupant of special industrial vehicle injured in traffic accident",
    "V835": "Driver of special industrial vehicle injured in nontraffic accident",
    "V837": "Person on outside of special industrial vehicle injured in nontraffic accident",
    "V84": "Occupant of special vehicle mainly used in agriculture injured in transport accident",
    "V840": "Driver of special agricultural vehicle injured in traffic accident",
    "V842": "Person on outside of special agricultural vehicle injured in traffic accident",
    "V844": "Person injured while boarding or alighting from special agricultural vehicle",
    "V846": "Passenger of special agricultural vehicle injured in nontraffic accident",
    "V849": "Unspecified occupant of special agricultural vehicle injured in nontraffic accident",
    "V85": "Occupant of special construction vehicle injured in transport accident",
    "V851": "Passenger of special construction vehicle injured in traffic accident",
    "V853": "Unspecified occupant of special construction vehicle injured in traffic accident",
    "V855": "Driver of special construction vehicle injured in nontraffic accident",
    "V857": "Person on outside of special construction vehicle injured in nontraffic accident",
    "V86": "Occupant of special all-terrain or other motor vehicle designed primarily for off-road use, injured in transport accident",
    "V87": "Traffic accident of specified type but victim's mode of transport unknown",
    "V871": "Person injured in collision between other motor vehicle and two- or three-wheeled motor vehicle (traffic)",
    "V873": "Person injured in collision between car and bus (traffic)",
    "V874": "Person injured in collision between car and heavy transport vehicle (traffic)",
    "V879": "Person injured in other specified (collision)(noncollision) transport accidents involving nonmotor vehicle (traffic)",
    "V88": "Nontraffic accident of specified type but victim's mode of transport unknown",
    "V881": "Person injured in collision between other motor vehicle and two- or three-wheeled motor vehicle, nontraffic",
    "V882": "Person injured in collision between car and pick-up truck or van, nontraffic",
    "V884": "Person injured in collision between car and heavy transport vehicle, nontraffic",
    "V886": "Person injured in collision between railway train or railway vehicle and car, nontraffic",
    "V889": "Person injured in other specified (collision)(noncollision) transport accidents involving nonmotor vehicle, nontraffic",
    "V89": "Motor- or nonmotor-vehicle accident, type of vehicle unspecified",
    "V891": "Person injured in unspecified nonmotor-vehicle accident, nontraffic",
    "V893": "Person injured in unspecified nonmotor-vehicle accident, traffic",
    "W19": "Unspecified fall",
    "W45": "Foreign body or object entering through skin",
    "X340": "Victim of cataclysmic earth movements caused by earthquake",
    "X341": "Victim of tsunami",
    "X348": "Victim of other specified effects of earthquake",
    "X349": "Victim of unspecified effect of earthquake",
    "X72": "Intentional self-harm by handgun discharge",
    "X73": "Intentional self-harm by rifle, shotgun and larger firearm discharge",
    "X77": "Intentional self-harm by steam, hot vapours and hot objects",
    "X78": "Intentional self-harm by sharp object",
    "X79": "Intentional self-harm by blunt object",
    "X82": "Intentional self-harm by crashing of motor vehicle",
    "Y10": "Poisoning by and exposure to nonopioid analgesics, antipyretics and antirheumatics, undetermined intent",
    "Y11": "Poisoning by and exposure to antiepileptic, sedative-hypnotic, antiparkinsonism and psychotropic drugs, not elsewhere classified, undetermined intent",
    "Y12": "Poisoning by and exposure to narcotics and psychodysleptics [hallucinogens], not elsewhere classified, undetermined intent",
    "Y13": "Poisoning by and exposure to other drugs acting on the autonomic nervous system, undetermined intent",
    "Y14": "Poisoning by and exposure to other and unspecified drugs, medicaments and biological substances, undetermined intent",
    "Y15": "Poisoning by and exposure to alcohol, undetermined intent",
    "Y16": "Poisoning by and exposure to organic solvents and halogenated hydrocarbons and their vapours, undetermined intent",
    "Y17": "Poisoning by and exposure to other gases and vapours, undetermined intent",
    "Y18": "Poisoning by and exposure to pesticides, undetermined intent",
    "Y19": "Poisoning by and exposure to other and unspecified chemicals and noxious substances, undetermined intent",
    "Y23": "Rifle, shotgun and larger firearm discharge, undetermined intent",
    "Y24": "Other and unspecified firearm discharge, undetermined intent",
    "Y25": "Contact with explosive material, undetermined intent",
    "Y26": "Exposure to smoke, fire and flames, undetermined intent",
    "Y27": "Contact with steam, hot vapours and hot objects, undetermined intent",
    "Y28": "Contact with sharp object, undetermined intent",
    "Y30": "Falling, jumping or pushed from a high place, undetermined intent",
    "Y32": "Crashing of motor vehicle, undetermined intent",
    "Y33": "Other specified events, undetermined intent",
    "Y40": "Adverse effects in the therapeutic use of systemic antibiotics",
    "Y400": "Adverse effects in the therapeutic use of penicillins",
    "Y401": "Adverse effects in the therapeutic use of cefalosporins and other beta-lactam antibiotics",
    "Y402": "Adverse effects in the therapeutic use of chloramphenicol group",
    "Y403": "Adverse effects in the therapeutic use of macrolides",
    "Y404": "Adverse effects in the therapeutic use of tetracyclines",
    "Y407": "Adverse effects in the therapeutic use of antifungal antibiotics, systemically used",
    "Y408": "Adverse effects in the therapeutic use of other systemic antibiotics",
    "Y409": "Adverse effects in the therapeutic use of systemic antibiotic, unspecified",
    "Y41": "Adverse effects in the therapeutic use of other systemic anti-infectives and antiparasitics",
    "Y410": "Adverse effects in the therapeutic use of sulfonamides",
    "Y412": "Adverse effects in the therapeutic use of antimalarials and drugs acting on other blood protozoa",
    "Y413": "Adverse effects in the therapeutic use of other antiprotozoal drugs",
    "Y414": "Adverse effects in the therapeutic use of anthelminthics",
    "Y415": "Adverse effects in the therapeutic use of antiviral drugs",
    "Y418": "Adverse effects in the therapeutic use of other specified systemic anti-infectives and antiparasitics",
    "Y42": "Adverse effects in the therapeutic use of hormones and their synthetic substitutes and antagonists, not elsewhere classified",
    "Y420": "Adverse effects in the therapeutic use of glucocorticoids and synthetic analogues",
    "Y421": "Adverse effects in the therapeutic use of thyroid hormones and substitutes",
    "Y422": "Adverse effects in the therapeutic use of antithyroid drugs",
    "Y423": "Adverse effects in the therapeutic use of insulin and oral hypoglycaemic [antidiabetic] drugs",
    "Y425": "Adverse effects in the therapeutic use of other estrogens and progestogens",
    "Y428": "Adverse effects in the therapeutic use of other and unspecified hormones and their synthetic substitutes",
    "Y429": "Adverse effects in the therapeutic use of other and unspecified hormone antagonists",
    "Y43": "Adverse effects in the therapeutic use of primarily systemic agents",
    "Y430": "Adverse effects in the therapeutic use of antiallergic and antiemetic drugs",
    "Y431": "Adverse effects in the therapeutic use of antineoplastic antimetabolites",
    "Y432": "Adverse effects in the therapeutic use of antineoplastic natural products",
    "Y434": "Adverse effects in the therapeutic use of immunosuppressive agents",
    "Y435": "Adverse effects in the therapeutic use of acidifying and alkalizing agents",
    "Y438": "Adverse effects in the therapeutic use of other primarily systemic agents, not elsewhere classified",
    "Y439": "Adverse effects in the therapeutic use of primarily systemic agent, unspecified",
    "Y44": "Adverse effects in the therapeutic use of agents primarily affecting blood constituents",
    "Y440": "Adverse effects in the therapeutic use of iron preparations and other anti-hypochromic-anaemia preparations",
    "Y441": "Adverse effects in the therapeutic use of vitamin b12, folic acid and other anti-megaloblastic-anaemia preparations",
    "Y443": "Adverse effects in the therapeutic use of anticoagulant antagonists, vitamin k and other coagulants",
    "Y444": "Adverse effects in the therapeutic use of antithrombotic drugs [platelet-aggregation inhibitors]",
    "Y445": "Adverse effects in the therapeutic use of thrombolytic drugs",
    "Y446": "Adverse effects in the therapeutic use of natural blood and blood products",
    "Y449": "Adverse effects in the therapeutic use of other and unspecified agents affecting blood constituents",
    "Y45": "Adverse effects in the therapeutic use of analgesics, antipyretics and anti-inflammatory drugs",
    "Y451": "Adverse effects in the therapeutic use of salicylates",
    "Y452": "Adverse effects in the therapeutic use of propionic acid derivatives",
    "Y453": "Adverse effects in the therapeutic use of other nonsteroidal anti-inflammatory drugs [nsaid]",
    "Y454": "Adverse effects in the therapeutic use of antirheumatics",
    "Y455": "Adverse effects in the therapeutic use of 4-aminophenol derivatives",
    "Y458": "Adverse effects in the therapeutic use of other analgesics and antipyretics",
    "Y459": "Adverse effects in the therapeutic use of analgesic, antipyretic and anti-inflammatory drug, unspecified",
    "Y46": "Adverse effects in the therapeutic use of antiepileptics and antiparkinsonism drugs",
    "Y460": "Adverse effects in the therapeutic use of succinimides",
    "Y462": "Adverse effects in the therapeutic use of hydantoin derivatives",
    "Y463": "Adverse effects in the therapeutic use of deoxybarbiturates",
    "Y464": "Adverse effects in the therapeutic use of iminostilbenes",
    "Y467": "Adverse effects in the therapeutic use of antiparkinsonism drugs",
    "Y47": "Adverse effects in the therapeutic use of sedatives, hypnotics and antianxiety drugs",
    "Y471": "Adverse effects in the therapeutic use of benzodiazepines",
    "Y473": "Adverse effects in the therapeutic use of paraldehyde",
    "Y474": "Adverse effects in the therapeutic use of bromine compounds",
    "Y475": "Adverse effects in the therapeutic use of mixed sedatives and hypnotics, not elsewhere classified",
    "Y478": "Adverse effects in the therapeutic use of other sedatives, hypnotics and antianxiety drugs",
    "Y48": "Adverse effects in the therapeutic use of anaesthetics and therapeutic gases",
    "Y480": "Adverse effects in the therapeutic use of inhaled anaesthetics",
    "Y481": "Adverse effects in the therapeutic use of parenteral anaesthetics",
    "Y483": "Adverse effects in the therapeutic use of local anaesthetics",
    "Y484": "Adverse effects in the therapeutic use of anaesthetic, unspecified",
    "Y485": "Adverse effects in the therapeutic use of therapeutic gases",
    "Y49": "Adverse effects in the therapeutic use of psychotropic drugs, not elsewhere classified",
    "Y491": "Adverse effects in the therapeutic use of monoamine-oxidase-inhibitor antidepressants",
    "Y492": "Adverse effects in the therapeutic use of other and unspecified antidepressants",
    "Y493": "Adverse effects in the therapeutic use of phenothiazine antipsychotics and neuroleptics",
    "Y494": "Adverse effects in the therapeutic use of butyrophenone and thioxanthene neuroleptics",
    "Y495": "Adverse effects in the therapeutic use of other antipsychotics and neuroleptics",
    "Y496": "Adverse effects in the therapeutic use of psychodysleptics [hallucinogens]",
    "Y497": "Adverse effects in the therapeutic use of psychostimulants with abuse potential",
    "Y498": "Adverse effects in the therapeutic use of other psychotropic drugs, not elsewhere classified",
    "Y499": "Adverse effects in the therapeutic use of psychotropic drug, unspecified",
    "Y50": "Adverse effects in the therapeutic use of central nervous system stimulants, not elsewhere classified",
    "Y500": "Adverse effects in the therapeutic use of analeptics",
    "Y502": "Adverse effects in the therapeutic use of methylxanthines, not elsewhere classified",
    "Y508": "Adverse effects in the therapeutic use of other central nervous system stimulants",
    "Y509": "Adverse effects in the therapeutic use of central nervous system stimulant, unspecified",
    "Y51": "Adverse effects in the therapeutic use of drugs primarily affecting the autonomic nervous system",
    "Y511": "Adverse effects in the therapeutic use of other parasympathomimetics [cholinergics]",
    "Y512": "Adverse effects in the therapeutic use of ganglionic blocking drugs, not elsewhere classified",
    "Y513": "Adverse effects in the therapeutic use of other parasympatholytics [anticholinergics and antimuscarinics] and spasmolytics, not elsewhere classified",
    "Y514": "Adverse effects in the therapeutic use of predominantly alpha-adrenoreceptor agonists, not elsewhere classified",
    "Y515": "Adverse effects in the therapeutic use of predominantly beta-adrenoreceptor agonists, not elsewhere classified",
    "Y516": "Adverse effects in the therapeutic use of alpha-adrenoreceptor antagonists, not elsewhere classified",
    "Y517": "Adverse effects in the therapeutic use of beta-adrenoreceptor antagonists, not elsewhere classified",
    "Y518": "Adverse effects in the therapeutic use of centrally acting and adrenergic-neuron-blocking agents, not elsewhere classified",
    "Y519": "Adverse effects in the therapeutic use of other and unspecified drugs primarily affecting the autonomic nervous system",
    "Y52": "Adverse effects in the therapeutic use of agents primarily affecting the cardiovascular system",
    "Y520": "Adverse effects in the therapeutic use of cardiac-stimulant glycosides and drugs of similar action",
    "Y521": "Adverse effects in the therapeutic use of calcium-channel blockers",
    "Y522": "Adverse effects in the therapeutic use of other antidysrhythmic drugs, not elsewhere classified",
    "Y524": "Adverse effects in the therapeutic use of angiotensin-converting-enzyme inhibitors",
    "Y525": "Adverse effects in the therapeutic use of other antihypertensive drugs, not elsewhere classified",
    "Y526": "Adverse effects in the therapeutic use of antihyperlipidaemic and antiarteriosclerotic drugs",
    "Y527": "Adverse effects in the therapeutic use of peripheral vasodilators",
    "Y528": "Adverse effects in the therapeutic use of antivaricose drugs, including sclerosing agents",
    "Y529": "Adverse effects in the therapeutic use of other and unspecified agents primarily affecting the cardiovascular system",
    "Y53": "Adverse effects in the therapeutic use of agents primarily affecting the gastrointestinal system",
    "Y530": "Adverse effects in the therapeutic use of histamine h2-receptor antagonists",
    "Y531": "Adverse effects in the therapeutic use of other antacids and anti-gastric-secretion drugs",
    "Y532": "Adverse effects in the therapeutic use of stimulant laxatives",
    "Y533": "Adverse effects in the therapeutic use of saline and osmotic laxatives",
    "Y534": "Adverse effects in the therapeutic use of other laxatives",
    "Y535": "Adverse effects in the therapeutic use of digestants",
    "Y536": "Adverse effects in the therapeutic use of antidiarrhoeal drugs",
    "Y537": "Adverse effects in the therapeutic use of emetics",
    "Y538": "Adverse effects in the therapeutic use of other agents primarily affecting the gastrointestinal system",
    "Y539": "Adverse effects in the therapeutic use of agent primarily affecting the gastrointestinal system, unspecified",
    "Y54": "Adverse effects in the therapeutic use of agents primarily affecting water-balance and mineral and uric acid metabolism",
    "Y540": "Adverse effects in the therapeutic use of mineralocorticoids",
    "Y541": "Adverse effects in the therapeutic use of mineralocorticoid antagonists [aldosterone antagonists]",
    "Y542": "Adverse effects in the therapeutic use of carbonic-anhydrase inhibitors",
    "Y543": "Adverse effects in the therapeutic use of benzothiadiazine derivatives",
    "Y544": "Adverse effects in the therapeutic use of loop [high-ceiling] diuretics",
    "Y545": "Adverse effects in the therapeutic use of other diuretics",
    "Y546": "Adverse effects in the therapeutic use of electrolytic, caloric and water-balance agents",
    "Y547": "Adverse effects in the therapeutic use of agents affecting calcification",
    "Y548": "Adverse effects in the therapeutic use of agents affecting uric acid metabolism",
    "Y55": "Adverse effects in the therapeutic use of agents primarily acting on smooth and skeletal muscles and the respiratory system",
    "Y550": "Adverse effects in the therapeutic use of oxytocic drugs",
    "Y551": "Adverse effects in the therapeutic use of skeletal muscle relaxants [neuromuscular blocking agents]",
    "Y552": "Adverse effects in the therapeutic use of other and unspecified agents primarily acting on muscles",
    "Y553": "Adverse effects in the therapeutic use of antitussives",
    "Y554": "Adverse effects in the therapeutic use of expectorants",
    "Y555": "Adverse effects in the therapeutic use of anti-common-cold drugs",
    "Y556": "Adverse effects in the therapeutic use of antiasthmatics, not elsewhere classified",
    "Y557": "Adverse effects in the therapeutic use of other and unspecified agents primarily acting on the respiratory system",
    "Y56": "Adverse effects in the therapeutic use of topical agents primarily affecting skin and mucous membrane and ophthalmological, otorhinolaryngological and dental drugs",
    "Y560": "Adverse effects in the therapeutic use of local antifungal, anti-infective and anti-inflammatory drugs, not elsewhere classified",
    "Y561": "Adverse effects in the therapeutic use of antipruritics",
    "Y562": "Adverse effects in the therapeutic use of local astringents and local detergents",
    "Y563": "Adverse effects in the therapeutic use of emollients, demulcents and protectants",
    "Y564": "Adverse effects in the therapeutic use of keratolytics, keratoplastics and other hair treatment drugs and preparations",
    "Y565": "Adverse effects in the therapeutic use of ophthalmological drugs and preparations",
    "Y566": "Adverse effects in the therapeutic use of otorhinolaryngological drugs and preparations",
    "Y567": "Adverse effects in the therapeutic use of dental drugs, topically applied",
    "Y568": "Adverse effects in the therapeutic use of other topical agents",
    "Y569": "Adverse effects in the therapeutic use of topical agent, unspecified",
    "Y57": "Adverse effects in the therapeutic use of other and unspecified drugs and medicaments",
    "Y570": "Adverse effects in the therapeutic use of appetite depressants [anorectics]",
    "Y571": "Adverse effects in the therapeutic use of lipotropic drugs",
    "Y572": "Adverse effects in the therapeutic use of antidotes and chelating agents, not elsewhere classified",
    "Y573": "Adverse effects in the therapeutic use of alcohol deterrents",
    "Y574": "Adverse effects in the therapeutic use of pharmaceutical excipients",
    "Y575": "Adverse effects in the therapeutic use of x-ray contrast media",
    "Y576": "Adverse effects in the therapeutic use of other diagnostic agents",
    "Y577": "Adverse effects in the therapeutic use of vitamins, not elsewhere classified",
    "Y578": "Adverse effects in the therapeutic use of other drugs and medicaments",
    "Y579": "Adverse effects in the therapeutic use of drug or medicament, unspecified",
    "Y58": "Adverse effects in the therapeutic use of bacterial vaccines",
    "Y580": "Adverse effects in the therapeutic use of bcg vaccine",
    "Y581": "Adverse effects in the therapeutic use of typhoid and paratyphoid vaccine",
    "Y582": "Adverse effects in the therapeutic use of cholera vaccine",
    "Y583": "Adverse effects in the therapeutic use of plague vaccine",
    "Y584": "Adverse effects in the therapeutic use of tetanus vaccine",
    "Y585": "Adverse effects in the therapeutic use of diphtheria vaccine",
    "Y586": "Adverse effects in the therapeutic use of pertussis vaccine, including combinations with a pertussis component",
    "Y589": "Adverse effects in the therapeutic use of other and unspecified bacterial vaccines",
    "Y59": "Adverse effects in the therapeutic use of other and unspecified vaccines and biological substances",
    "Y591": "Adverse effects in the therapeutic use of rickettsial vaccines",
    "Y592": "Adverse effects in the therapeutic use of protozoal vaccines",
    "Y593": "Adverse effects in the therapeutic use of immunoglobulin",
    "Y599": "Adverse effects in the therapeutic use of vaccine or biological substance, unspecified",
    "Y60": "Unintentional cut, puncture, perforation or haemorrhage during surgical and medical care",
    "Y600": "Unintentional cut, puncture, perforation or haemorrhage during surgical and medical care during surgical operation",
    "Y601": "Unintentional cut, puncture, perforation or haemorrhage during surgical and medical care during infusion or transfusion",
    "Y603": "Unintentional cut, puncture, perforation or haemorrhage during surgical and medical care during injection or immunization",
    "Y604": "Unintentional cut, puncture, perforation or haemorrhage during surgical and medical care during endoscopic examination",
    "Y605": "Unintentional cut, puncture, perforation or haemorrhage during surgical and medical care during heart catheterization",
    "Y606": "Unintentional cut, puncture, perforation or haemorrhage during surgical and medical care during aspiration, puncture and other catheterization",
    "Y607": "Unintentional cut, puncture, perforation or haemorrhage during surgical and medical care during administration of enema",
    "Y608": "Unintentional cut, puncture, perforation or haemorrhage during surgical and medical care during other surgical and medical care",
    "Y609": "Unintentional cut, puncture, perforation or haemorrhage during surgical and medical care during unspecified surgical and medical care",
    "Y654": "Failure to introduce or to remove other tube or instrument",
    "Y70": "Anaesthesiology devices associated with adverse incidents",
    "Y700": "Anaesthesiology devices associated with adverse incidents, Diagnostic and monitoring devices",
    "Y701": "Anaesthesiology devices associated with adverse incidents, Therapeutic (nonsurgical) and rehabilitative devices",
    "Y702": "Anaesthesiology devices associated with adverse incidents, Prosthetic and other implants, materials and accessory devices",
    "Y703": "Anaesthesiology devices associated with adverse incidents, Surgical instruments, materials and devices (including sutures)",
    "Y708": "Anaesthesiology devices associated with adverse incidents, Miscellaneous devices, not elsewhere classified",
    "Y71": "Cardiovascular devices associated with adverse incidents",
    "Y711": "Cardiovascular devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices",
    "Y712": "Cardiovascular devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices",
    "Y713": "Cardiovascular devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)",
    "Y718": "Cardiovascular devices associated with adverse incidents, miscellaneous devices, not elsewhere classified",
    "Y72": "Otorhinolaryngological devices associated with adverse incidents",
    "Y720": "Otorhinolaryngological devices associated with adverse incidents, diagnostic and monitoring devices",
    "Y721": "Otorhinolaryngological devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices",
    "Y722": "Otorhinolaryngological devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices",
    "Y723": "Otorhinolaryngological devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)",
    "Y728": "Otorhinolaryngological devices associated with adverse incidents, miscellaneous devices, not elsewhere classified",
    "Y73": "Gastroenterology and urology devices associated with adverse incidents",
    "Y730": "Gastroenterology and urology devices associated with adverse incidents, diagnostic and monitoring devices",
    "Y731": "Gastroenterology and urology devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices",
    "Y732": "Gastroenterology and urology devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices",
    "Y733": "Gastroenterology and urology devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)",
    "Y738": "Gastroenterology and urology devices associated with adverse incidents, miscellaneous devices, not elsewhere classified",
    "Y74": "General hospital and personal-use devices associated with adverse incidents",
    "Y740": "General hospital and personal-use devices associated with adverse incidents, diagnostic and monitoring devices",
    "Y741": "General hospital and personal-use devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices",
    "Y742": "General hospital and personal-use devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices",
    "Y743": "General hospital and personal-use devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)",
    "Y748": "General hospital and personal-use devices associated with adverse incidents, miscellaneous devices, not elsewhere classified",
    "Y75": "Neurological devices associated with adverse incidents",
    "Y751": "Neurological devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices",
    "Y752": "Neurological devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices",
    "Y753": "Neurological devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)",
    "Y758": "Neurological devices associated with adverse incidents, miscellaneous devices, not elsewhere classified",
    "Y760": "Obstetric and gynaecological devices associated with adverse incidents, diagnostic and monitoring devices",
    "Y762": "Obstetric and gynaecological devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices",
    "Y763": "Obstetric and gynaecological devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)",
    "Y768": "Obstetric and gynaecological devices associated with adverse incidents, miscellaneous devices, not elsewhere classified",
    "Y77": "Ophthalmic devices associated with adverse incidents",
    "Y770": "Ophthalmic devices associated with adverse incidents, diagnostic and monitoring devices",
    "Y771": "Ophthalmic devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices",
    "Y772": "Ophthalmic devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices",
    "Y773": "Ophthalmic devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)",
    "Y778": "Ophthalmic devices associated with adverse incidents, miscellaneous devices, not elsewhere classified",
    "Y78": "Radiological devices associated with adverse incidents",
    "Y780": "Radiological devices associated with adverse incidents, diagnostic and monitoring devices",
    "Y781": "Radiological devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices",
    "Y782": "Radiological devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices",
    "Y783": "Radiological devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)",
    "Y788": "Radiological devices associated with adverse incidents, miscellaneous devices, not elsewhere classified",
    "Y790": "Orthopaedic devices associated with adverse incidents, diagnostic and monitoring devices",
    "Y791": "Orthopaedic devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices",
    "Y792": "Orthopaedic devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices",
    "Y793": "Orthopaedic devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)",
    "Y798": "Orthopaedic devices associated with adverse incidents, miscellaneous devices, not elsewhere classified",
    "Y80": "Physical medicine devices associated with adverse incidents",
    "Y800": "Physical medicine devices associated with adverse incidents, diagnostic and monitoring devices",
    "Y801": "Physical medicine devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices",
    "Y802": "Physical medicine devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices",
    "Y803": "Physical medicine devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)",
    "Y808": "Physical medicine devices associated with adverse incidents, miscellaneous devices, not elsewhere classified",
    "Y81": "General- and plastic-surgery devices associated with adverse incidents",
    "Y810": "General- and plastic-surgery devices associated with adverse incidents, diagnostic and monitoring devices",
    "Y811": "General- and plastic-surgery devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices",
    "Y812": "General- and plastic-surgery devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices",
    "Y813": "General- and plastic-surgery devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)",
    "Y818": "General- and plastic-surgery devices associated with adverse incidents, miscellaneous devices, not elsewhere classified",
    "Y82": "Other and unspecified medical devices associated with adverse incidents",
    "Y821": "Other and unspecified medical devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices",
    "Y822": "Other and unspecified medical devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices",
    "Y823": "Other and unspecified medical devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)",
    "Y828": "Other and unspecified medical devices associated with adverse incidents, miscellaneous devices, not elsewhere classified",
    "Y85": "Sequelae of transport accidents",
    "Y850": "Sequelae of motor-vehicle accident",
    "Y859": "Sequelae of other and unspecified transport accidents",
    "Y87": "Sequelae of intentional self-harm, assault and events of undetermined intent",
    "Y88": "Sequelae with surgical and medical care as external cause",
    "Y880": "Sequelae of adverse effects caused by drugs, medicaments and biological substances in therapeutic use",
    "Y881": "Sequelae of misadventures to patients during surgical and medical procedures",
    "Y882": "Sequelae of adverse incidents associated with medical devices in diagnostic and therapeutic use",
    "Y890": "Sequelae of legal intervention",
    "Y891": "Sequelae of war operations",
    "Y899": "Sequelae of unspecified external cause",
    "Y90": "Evidence of alcohol involvement determined by blood alcohol level",
    "Y91": "Evidence of alcohol involvement determined by level of intoxication",
    "Z010": "Examination of eyes and vision",
    "Z02": "Examination and encounter for administrative purposes",
    "Z10": "Routine general health check-up of defined subpopulation",
    "Z29": "Need for other prophylactic measures",
    "Z30": "Contraceptive management",
    "Z31": "Procreative management",
    "Z32": "Pregnancy examination and test",
    "Z355": "Supervision of elderly primigravida",
    "Z384": "Twin, born outside hospital",
    "Z39": "Postpartum care and examination",
    "Z391": "Care and examination of lactating mother",
    "Z43": "Attention to artificial openings",
    "Z434": "Attention to other artificial openings of digestive tract",
    "Z571": "Occupational exposure to radiation",
    "Z61": "Problems related to negative life events in childhood",
    "Z617": "Personal frightening experience in childhood",
    "Z618": "Other negative life events in childhood",
    "Z740": "Need for assistance due to reduced mobility",
    "Z742": "Need for assistance at home and no other household member able to render care",
    "Z75": "Problems related to medical facilities and other health care",
    "Z88": "Personal history of allergy to drugs, medicaments and biological substances",
    "Z89": "Acquired absence of limb",
    "Z90": "Acquired absence of organs, not elsewhere classified",
    "Z94": "Transplanted organ and tissue status",
    "Z98": "Other postsurgical states",
    "Z994": "Dependence on artificial heart",
    "O960": "Death from direct obstetric cause occurring more than 42 days but less than one year after delivery",
    "O961": "Death from indirect obstetric cause occurring more than 42 days but less than one year after delivery",
}
