icd9cm = {
    "7398": "Nonallopathic lesions, rib cage",
    "7423": "Congenital hydrocephalus",
    "74321": "Simple buphthalmos",
    "65821": "Delayed delivery after spontaneous or unspecified rupture of membranes, delivered, with or without mention of antepartum condition",
    "65893": "Unspecified problem associated with amniotic cavity and membranes, antepartum condition or complication",
    "65933": "Generalized infection during labor, antepartum condition or complication",
    "65980": "Other specified indications for care or intervention related to labor and delivery, unspecified as to episode of care or not applicable",
    "65983": "Other specified indications for care or intervention related to labor and delivery, antepartum condition or complication",
    "65991": "Unspecified indication for care or intervention related to labor and delivery, delivered, with or without mention of antepartum condition",
    "6601": "Obstruction by bony pelvis during labor",
    "66013": "Obstruction by bony pelvis during labor, antepartum condition or complication",
    "66040": "Shoulder (girdle) dystocia, unspecified as to episode of care or not applicable",
    "6610": "Primary uterine inertia",
    "66111": "Secondary uterine inertia, delivered, with or without mention of antepartum condition",
    "66230": "Delayed delivery of second twin, triplet, etc., unspecified as to episode of care or not applicable",
    "66301": "Prolapse of cord complicating labor and delivery, delivered, with or without mention of antepartum condition",
    "6633": "Other and unspecified cord entanglement, without mention of compression, complicating labor and delivery",
    "6639": "Unspecified umbilical cord complication during labor and delivery",
    "66580": "Other specified obstetrical trauma, unspecified as to episode of care or not applicable",
    "66581": "Other specified obstetrical trauma, delivered, with or without mention of antepartum condition",
    "6659": "Unspecified obstetrical trauma",
    "66590": "Unspecified obstetrical trauma, unspecified as to episode of care or not applicable",
    "6660": "Third-stage postpartum hemorrhage",
    "66802": "Pulmonary complications of anesthesia or other sedation in labor and delivery, delivered, with mention of postpartum complication",
    "6699": "Unspecified complication of labor and delivery",
    "67080": "Other major puerperal infection, unspecified as to episode of care or not applicable",
    "6710": "Varicose veins of legs in pregnancy and the puerperium",
    "67100": "Varicose veins of legs complicating pregnancy and the puerperium, unspecified as to episode of care or not applicable",
    "67101": "Varicose veins of legs complicating pregnancy and the puerperium, delivered, with or without mention of antepartum condition",
    "67130": "Deep phlebothrombosis, antepartum, unspecified as to episode of care or not applicable",
    "67202": "Pyrexia of unknown origin during the puerperium, delivered, with mention of postpartum complication",
    "67303": "Obstetrical air embolism, antepartum condition or complication",
    "67381": "Other obstetrical pulmonary embolism, delivered, with or without mention of antepartum condition",
    "67410": "Disruption of cesarean wound, unspecified as to episode of care or not applicable",
    "67452": "Peripartum cardiomyopathy, delivered, with mention of postpartum condition",
    "67480": "Other complications of puerperium, unspecified as to episode of care or not applicable",
    "67490": "Unspecified complications of puerperium, unspecified as to episode of care or not applicable",
    "6752": "Nonpurulent mastitis associated with childbirth",
    "67521": "Nonpurulent mastitis associated with childbirth, delivered, with or without mention of antepartum condition",
    "6761": "Cracked nipple associated with childbirth",
    "67631": "Other and unspecified disorder of breast associated with childbirth, delivered, with or without mention of antepartum condition",
    "67642": "Failure of lactation, delivered, with mention of postpartum complication",
    "679": "Complications of in utero procedures",
    "6829": "Cellulitis and abscess of unspecified sites",
    "68601": "Pyoderma gangrenosum",
    "6940": "Dermatitis herpetiformis",
    "69460": "Benign mucous membrane pemphigoid without mention of ocular involvement",
    "6961": "Other psoriasis",
    "70211": "Inflamed seborrheic keratosis",
    "70703": "Pressure ulcer, lower back",
    "7100": "Systemic lupus erythematosus",
    "7110": "Pyogenic arthritis",
    "71114": "Arthropathy associated with Reiter's disease and nonspecific urethritis, hand",
    "71197": "Unspecified infective arthritis, ankle and foot",
    "71294": "Unspecified crystal arthropathy, hand",
    "43320": "Occlusion and stenosis of vertebral artery without mention of cerebral infarction",
    "435": "Transient cerebral ischemia",
    "43819": "Late effects of cerebrovascular disease, other speech and language deficits",
    "43851": "Late effects of cerebrovascular disease, other paralytic syndrome affecting dominant side",
    "44100": "Dissection of aorta, unspecified site",
    "45930": "Chronic venous hypertension without complications",
    "472": "Chronic pharyngitis and nasopharyngitis",
    "4732": "Chronic ethmoidal sinusitis",
    "47400": "Chronic tonsillitis",
    "47811": "Nasal mucositis (ulcerative)",
    "47826": "Cyst of pharynx or nasopharynx",
    "482": "Other bacterial pneumonia",
    "48230": "Pneumonia due to Streptococcus, unspecified",
    "490": "Bronchitis, not specified as acute or chronic",
    "491": "Chronic bronchitis",
    "49321": "Chronic obstructive asthma with status asthmaticus",
    "4954": "Malt workers' lung",
    "4955": "Mushroom workers' lung",
    "505": "Pneumoconiosis, unspecified",
    "506": "Respiratory conditions due to chemical fumes and vapors",
    "5070": "Pneumonitis due to inhalation of food or vomitus",
    "511": "Pleurisy",
    "51283": "Chronic pneumothorax",
    "51661": "Neuroendocrine cell hyperplasia of infancy",
    "51851": "Acute respiratory failure following trauma and surgery",
    "51882": "Other pulmonary insufficiency, not elsewhere classified",
    "521": "Diseases of hard tissues of teeth",
    "52113": "Excessive attrition, extending into pulp",
    "52114": "Excessive attrition, localized",
    "52125": "Abrasion, generalized",
    "522": "Diseases of pulp and periapical tissues",
    "5226": "Chronic apical periodontitis",
    "5227": "Periapical abscess with sinus",
    "5228": "Radicular cyst",
    "52424": "Open anterior occlusal relationship",
    "52427": "Reverse articulation",
    "52452": "Limited mandibular range of motion",
    "52455": "Centric occlusion maximum intercuspation discrepancy",
    "52462": "Temporomandibular joint disorders, arthralgia of temporomandibular joint",
    "5248": "Other specified dentofacial anomalies",
    "52481": "Anterior soft tissue impingement",
    "5252": "Atrophy of edentulous alveolar ridge",
    "52562": "Unrepairable overhanging of dental restorative materials",
    "5257": "Endosseous dental implant failure",
    "52572": "Post-osseointegration biological failure of dental implant",
    "5275": "Sialolithiasis",
    "52809": "Other stomatitis and mucositis (ulcerative)",
    "5287": "Other disturbances of oral epithelium, including tongue",
    "5291": "Geographic tongue",
    "5296": "Glossodynia",
    "53011": "Reflux esophagitis",
    "53013": "Eosinophilic esophagitis",
    "5306": "Diverticulum of esophagus, acquired",
    "53101": "Acute gastric ulcer with hemorrhage, with obstruction",
    "5314": "Chronic or unspecified gastric ulcer with hemorrhage",
    "53160": "Chronic or unspecified gastric ulcer with hemorrhage and perforation, without mention of obstruction",
    "53210": "Acute duodenal ulcer with perforation, without mention of obstruction",
    "80842": "Closed fracture of ischium",
    "8089": "Open unspecified fracture of pelvis",
    "81210": "Open fracture of unspecified part of upper end of humerus",
    "8123": "Fracture of shaft or unspecified part of humerus, open",
    "81243": "Closed fracture of medial condyle of humerus",
    "81381": "Closed fracture of unspecified part of radius (alone)",
    "81417": "Open fracture of capitate bone [os magnum] of wrist",
    "81513": "Open fracture of shaft of metacarpal bone(s)",
    "53221": "Acute duodenal ulcer with hemorrhage and perforation, with obstruction",
    "53230": "Acute duodenal ulcer without mention of hemorrhage or perforation, without mention of obstruction",
    "53240": "Chronic or unspecified duodenal ulcer with hemorrhage, without mention of obstruction",
    "5325": "Chronic or unspecified duodenal ulcer with perforation",
    "53390": "Peptic ulcer of unspecified site, unspecified as acute or chronic, without mention of hemorrhage or perforation, without mention of obstruction",
    "53400": "Acute gastrojejunal ulcer with hemorrhage, without mention of obstruction",
    "53450": "Chronic or unspecified gastrojejunal ulcer with perforation, without mention of obstruction",
    "53570": "Eosinophilic gastritis, without mention of hemorrhage",
    "5369": "Unspecified functional disorder of stomach",
    "818": "Ill-defined fractures of upper limb",
    "82020": "Closed fracture of trochanteric section of neck of femur",
    "82030": "Open fracture of trochanteric section of neck of femur, unspecified",
    "82100": "Closed fracture of unspecified part of femur",
    "8221": "Open fracture of patella",
    "823": "Fracture of tibia and fibula",
    "82380": "Closed fracture of unspecified part of tibia alone",
    "8281": "Open multiple fractures involving both lower limbs, lower with upper limb, and lower limb(s) with rib(s) and sternum",
    "831": "Dislocation of shoulder",
    "8341": "Open dislocation of finger",
    "8350": "Closed dislocation of hip",
    "83907": "Closed dislocation, seventh cervical vertebra",
    "83950": "Open dislocation, vertebra, unspecified site",
    "8410": "Radial collateral ligament sprain",
    "8419": "Sprains and strains of unspecified site of elbow and forearm",
    "84202": "Sprain of radiocarpal (joint) (ligament) of wrist",
    "8430": "Iliofemoral (ligament) sprain",
    "8448": "Sprains and strains of other specified sites of knee and leg",
    "84500": "Sprain of ankle, unspecified site",
    "8504": "Concussion with prolonged loss of consciousness, without return to pre-existing conscious level",
    "8511": "Cortex (cerebral) contusion with open intracranial wound",
    "85120": "Cortex (cerebral) laceration without mention of open intracranial wound, unspecified state of consciousness",
    "85135": "Cortex (cerebral) laceration with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85150": "Cerebellar or brain stem contusion with open intracranial wound, unspecified state of consciousness",
    "85151": "Cerebellar or brain stem contusion with open intracranial wound, with no loss of consciousness",
    "85173": "Cerebellar or brain stem laceration with open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85179": "Cerebellar or brain stem laceration with open intracranial wound, with concussion, unspecified",
    "85201": "Subarachnoid hemorrhage following injury without mention of open intracranial wound, with no loss of consciousness",
    "8521": "Subarachnoid hemorrhage following injury with open intracranial wound",
    "85246": "Extradural hemorrhage following injury without mention of open intracranial wound, with loss of consciousness of unspecified duration",
    "8540": "Intracranial injury of other and unspecified nature without mention of open intracranial wound",
    "8605": "Traumatic pneumohemothorax with open wound into thorax",
    "86100": "Unspecified injury of heart without mention of open wound into thorax",
    "86121": "Contusion of lung without mention of open wound into thorax",
    "8623": "Injury to other specified intrathoracic organs with open wound into cavity",
    "8628": "Injury to multiple and unspecified intrathoracic organs, without mention of open wound into cavity",
    "8630": "Injury to stomach, without mention of open wound into cavity",
    "86382": "Injury to pancreas, body, without mention of open wound into cavity",
    "8641": "Injury to liver with open wound into cavity",
    "865": "Injury to spleen",
    "86512": "Injury to spleen with open wound into cavity, capsular tears, without major disruption of parenchyma",
    "8678": "Injury to unspecified pelvic organ, without mention of open wound into cavity",
    "868": "Injury to other intra-abdominal organs",
    "8711": "Ocular laceration with prolapse or exposure of intraocular tissue",
    "8716": "Penetration of eyeball with (nonmagnetic) foreign body",
    "87279": "Open wound of other and multiple sites of ear, complicated",
    "87344": "Open wound of jaw, without mention of complication",
    "87371": "Open wound of buccal mucosa, complicated",
    "8739": "Other and unspecified open wound of head, complicated",
    "74322": "Buphthalmos associated with other ocular anomalies",
    "74353": "Chorioretinal degeneration, congenital",
    "74369": "Other congenital anomalies of eyelids, lacrimal system, and orbit",
    "74405": "Anomalies of inner ear",
    "7443": "Unspecified anomaly of ear",
    "74449": "Other branchial cleft cyst or fistula; preauricular sinus",
    "74519": "Other transposition of great vessels",
    "7452": "Tetralogy of fallot",
    "7461": "Tricuspid atresia and stenosis, congenital",
    "74741": "Total anomalous pulmonary venous connection",
    "74769": "Anomalies of other specified sites of peripheral vascular system",
    "7490": "Cleft palate",
    "74922": "Cleft palate with cleft lip, unilateral, incomplete",
    "7501": "Other congenital anomalies of tongue",
    "75015": "Macroglossia",
    "75019": "Other congenital anomalies of tongue",
    "7507": "Other specified anomalies of stomach",
    "75235": "Septate uterus",
    "7525": "Undescended and retractile testicle",
    "7531": "Cystic kidney disease",
    "75319": "Other specified cystic kidney disease",
    "75323": "Congenital ureterocele",
    "7535": "Exstrophy of urinary bladder",
    "75510": "Syndactyly of multiple and unspecified sites",
    "75530": "Unspecified reduction deformity of lower limb",
    "75532": "Longitudinal deficiency of lower limb, not elsewhere classified",
    "75539": "Longitudinal deficiency, phalanges, complete or partial",
    "7556": "Other congenital anomalies of lower limb, including pelvic girdle",
    "75610": "Anomaly of spine, unspecified",
    "757": "Congenital anomalies of the integument",
    "7590": "Anomalies of spleen",
    "76076": "Diethylstilbestrol [DES] affecting fetus or newborn via placenta or breast milk",
    "7616": "Maternal death affecting fetus or newborn",
    "7623": "Placental transfusion syndromes affecting fetus or newborn",
    "7624": "Prolapsed umbilical cord affecting fetus or newborn",
    "76406": "Light-for-dates without mention of fetal malnutrition, 1,500- 1,749 grams",
    "76413": "Light-for-dates with signs of fetal malnutrition, 750-999 grams",
    "7642": 'Fetal malnutrition without mention of "light-for-dates"',
    "76428": 'Fetal malnutrition without mention of "light-for-dates", 2,000-2,499 grams',
    "76497": "Fetal growth retardation, unspecified, 1,750-1,999 grams",
    "76513": "Other preterm infants, 750-999 grams",
    "7662": 'Late infant, not "heavy-for-dates"',
    "769": "Respiratory distress syndrome in newborn",
    "770": "Other respiratory conditions of fetus and newborn",
    "77011": "Meconium aspiration without respiratory symptoms",
    "77088": "Hypoxemia of newborn",
    "7732": "Hemolytic disease of fetus or newborn due to other and unspecified isoimmunization",
    "7757": "Late metabolic acidosis of newborn",
    "7764": "Polycythemia neonatorum",
    "7774": "Transitory ileus of newborn",
    "77750": "Necrotizing enterocolitis in newborn, unspecified",
    "7789": "Unspecified condition involving the integument and temperature regulation of fetus and newborn",
    "78050": "Sleep disturbance, unspecified",
    "78054": "Hypersomnia, unspecified",
    "78095": "Excessive crying of child, adolescent, or adult",
    "7829": "Other symptoms involving skin and integumentary tissues",
    "7839": "Other symptoms concerning nutrition, metabolism, and development",
    "7844": "Voice and resonance disorders",
    "78440": "Voice and resonance disorder, unspecified",
    "78449": "Other voice and resonance disorders",
    "78492": "Jaw pain",
    "7850": "Tachycardia, unspecified",
    "7852": "Undiagnosed cardiac murmurs",
    "71517": "Osteoarthrosis, localized, primary, ankle and foot",
    "71521": "Osteoarthrosis, localized, secondary, shoulder region",
    "71592": "Osteoarthrosis, unspecified whether generalized or localized, upper arm",
    "7160": "Kaschin-Beck disease",
    "71622": "Allergic arthritis, upper arm",
    "71624": "Allergic arthritis, hand",
    "71630": "Climacteric arthritis, site unspecified",
    "71653": "Unspecified polyarthropathy or polyarthritis, forearm",
    "71658": "Unspecified polyarthropathy or polyarthritis, other specified sites",
    "71685": "Other specified arthropathy, pelvic region and thigh",
    "71691": "Arthropathy, unspecified, shoulder region",
    "71696": "Arthropathy, unspecified, lower leg",
    "71804": "Articular cartilage disorder, hand",
    "71809": "Articular cartilage disorder, multiple sites",
    "71824": "Pathological dislocation of joint, hand",
    "71825": "Pathological dislocation of joint, pelvic region and thigh",
    "71882": "Other joint derangement, not elsewhere classified, upper arm",
    "71893": "Unspecified derangement of joint, forearm",
    "71923": "Villonodular synovitis, forearm",
    "71932": "Palindromic rheumatism, upper arm",
    "71934": "Palindromic rheumatism, hand",
    "71950": "Stiffness of joint, not elsewhere classified, site unspecified",
    "71970": "Difficulty in walking involving joint, site unspecified",
    "71979": "Difficulty in walking involving joint of multiple sites",
    "71999": "Unspecified disorder of joint, multiple sites",
    "72239": "Schmorl's nodes, other region",
    "72273": "Intervertebral disc disorder with myelopathy, lumbar region",
    "7242": "Lumbago",
    "72479": "Other disorders of coccyx",
    "7269": "Unspecified enthesopathy",
    "7282": "Muscular wasting and disuse atrophy, not elsewhere classified",
    "72882": "Foreign body granuloma of muscle",
    "729": "Other disorders of soft tissues",
    "73006": "Acute osteomyelitis, lower leg",
    "73024": "Unspecified osteomyelitis, hand",
    "73083": "Other infections involving bone in diseases classified elsewhere, forearm",
    "73099": "Unspecified infection of bone, multiple sites",
    "7326": "Other juvenile osteochondrosis",
    "73322": "Aneurysmal bone cyst",
    "73329": "Other bone cyst",
    "73340": "Aseptic necrosis of bone, site unspecified",
    "73341": "Aseptic necrosis of head of humerus",
    "7350": "Hallux valgus (acquired)",
    "7361": "Mallet finger",
    "73672": "Equinus deformity of foot, acquired",
    "73710": "Kyphosis (acquired) (postural)",
    "78559": "Other shock without mention of trauma",
    "78607": "Wheezing",
    "7869": "Other symptoms involving respiratory system and chest",
    "7871": "Heartburn",
    "7872": "Dysphagia",
    "78833": "Mixed incontinence (male) (female)",
    "73719": "Other kyphosis (acquired)",
    "73722": "Other postsurgical lordosis",
    "73729": "Other lordosis (acquired)",
    "7382": "Acquired deformity of neck",
    "7389": "Acquired deformity of unspecified site",
    "7391": "Nonallopathic lesions, cervical region",
    "7419": "Spina bifida without mention of hydrocephalus",
    "7425": "Other specified congenital anomalies of spinal cord",
    "74311": "Simple microphthalmos",
    "74343": "Other corneal opacities, congenital",
    "74351": "Vitreous anomalies",
    "7440": "Congenital anomalies of ear causing impairment of hearing",
    "74401": "Absence of external ear",
    "74510": "Complete transposition of great vessels",
    "74600": "Congenital pulmonary valve anomaly, unspecified",
    "7465": "Congenital mitral stenosis",
    "74710": "Coarctation of aorta (preductal) (postductal)",
    "74720": "Anomaly of aorta, unspecified",
    "749": "Cleft palate and cleft lip",
    "75029": "Other specified anomalies of pharynx",
    "7517": "Anomalies of pancreas",
    "752": "Congenital anomalies of genital organs",
    "75211": "Embryonic cyst of fallopian tubes and broad ligaments",
    "7522": "Doubling of uterus",
    "75233": "Unicornuate uterus",
    "53909": "Other complications of gastric band procedure",
    "5430": "Hyperplasia of appendix (lymphoid)",
    "5510": "Femoral hernia with gangrene",
    "55220": "Ventral, unspecified, hernia with obstruction",
    "5528": "Hernia of other specified sites, with obstruction",
    "5551": "Regional enteritis of large intestine",
    "5560": "Ulcerative (chronic) enterocolitis",
    "56030": "Impaction of intestine, unspecified",
    "56212": "Diverticulosis of colon with hemorrhage",
    "56213": "Diverticulitis of colon with hemorrhage",
    "56781": "Choleperitonitis",
    "56942": "Anal or rectal pain",
    "56962": "Mechanical complication of colostomy and enterostomy",
    "56969": "Other colostomy and enterostomy complication",
    "56982": "Ulceration of intestine",
    "5713": "Alcoholic liver damage, unspecified",
    "5735": "Hepatopulmonary syndrome",
    "574": "Cholelithiasis",
    "5742": "Calculus of gallbladder without mention of cholecystitis",
    "57420": "Calculus of gallbladder without mention of cholecystitis, without mention of obstruction",
    "57490": "Calculus of gallbladder and bile duct without cholecystitis, without mention of obstruction",
    "575": "Other disorders of gallbladder",
    "5765": "Spasm of sphincter of Oddi",
    "577": "Diseases of pancreas",
    "5790": "Celiac disease",
    "5809": "Acute glomerulonephritis with unspecified pathological lesion in kidney",
    "581": "Nephrotic syndrome",
    "5818": "Nephrotic syndrome with other specified pathological lesion in kidney",
    "58189": "Nephrotic syndrome with other specified pathological lesion in kidney",
    "5848": "Acute kidney failure with other specified pathological lesion in kidney",
    "5854": "Chronic kidney disease, Stage IV (severe)",
    "588": "Disorders resulting from impaired renal function",
    "591": "Hydronephrosis",
    "5931": "Hypertrophy of kidney",
    "5936": "Postural proteinuria",
    "5949": "Calculus of lower urinary tract, unspecified",
    "59655": "Detrusor sphincter dyssynergia",
    "5970": "Urethral abscess",
    "5978": "Other urethritis",
    "00320": "Localized salmonella infection, unspecified",
    "0051": "Botulism food poisoning",
    "00581": "Food poisoning due to Vibrio vulnificus",
    "007": "Other protozoal intestinal diseases",
    "00804": "Intestinal infection due to enterohemorrhagic E. coli",
    "0091": "Colitis, enteritis, and gastroenteritis of presumed infectious origin",
    "0092": "Infectious diarrhea",
    "01001": "Primary tuberculous infection, bacteriological or histological examination not done",
    "01005": "Primary tuberculous infection, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01006": "Primary tuberculous infection, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01081": "Other primary progressive tuberculosis, bacteriological or histological examination not done",
    "01096": "Primary tuberculous infection, unspecified, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01124": "Tuberculosis of lung with cavitation, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01126": "Tuberculosis of lung with cavitation, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "0115": "Tuberculous bronchiectasis",
    "0117": "Tuberculous pneumothorax",
    "012": "Other respiratory tuberculosis",
    "01221": "Isolated tracheal or bronchial tuberculosis, bacteriological or histological examination not done",
    "01223": "Isolated tracheal or bronchial tuberculosis, tubercle bacilli found (in sputum) by microscopy",
    "0130": "Tuberculous meningitis",
    "0131": "Tuberculoma of meninges",
    "01312": "Tuberculoma of meninges, bacteriological or histological examination unknown (at present)",
    "0133": "Tuberculous abscess of brain",
    "599": "Other disorders of urethra and urinary tract",
    "5990": "Urinary tract infection, site not specified",
    "59989": "Other specified disorders of urinary tract",
    "60091": "Hyperplasia of prostate, unspecified, with urinary obstruction and other lower urinary symptoms (LUTS)",
    "602": "Other disorders of prostate",
    "6031": "Infected hydrocele",
    "6072": "Other inflammatory disorders of penis",
    "6148": "Other specified inflammatory disease of female pelvic organs and tissues",
    "615": "Inflammatory diseases of uterus, except cervix",
    "6162": "Cyst of Bartholin's gland",
    "6174": "Endometriosis of rectovaginal septum and vagina",
    "6190": "Urinary-genital tract fistula, female",
    "62131": "Simple endometrial hyperplasia without atypia",
    "62132": "Complex endometrial hyperplasia without atypia",
    "6217": "Chronic inversion of uterus",
    "622": "Noninflammatory disorders of cervix",
    "62211": "Mild dysplasia of cervix",
    "6254": "Premenstrual tension syndromes",
    "6263": "Puberty bleeding",
    "6282": "Infertility, female, of tubal origin",
    "629": "Other disorders of female genital organs",
    "62923": "Female genital mutilation Type III status",
    "631": "Other abnormal product of conception",
    "6310": "Inappropriate change in quantitative human chorionic gonadotropin (hCG) in early pregnancy",
    "63301": "Abdominal pregnancy with intrauterine pregnancy",
    "6331": "Tubal pregnancy",
    "63321": "Ovarian pregnancy with intrauterine pregnancy",
    "63380": "Other ectopic pregnancy without intrauterine pregnancy",
    "63391": "Unspecified ectopic pregnancy with intrauterine pregnancy",
    "63420": "Spontaneous abortion, complicated by damage to pelvic organs or tissues, unspecified",
    "8744": "Open wound of pharynx, without mention of complication",
    "8781": "Open wound of penis, complicated",
    "8912": "Open wound of knee, leg [except thigh], and ankle, with tendon involvement",
    "8931": "Open wound of toe(s), complicated",
    "9011": "Injury to innominate and subclavian arteries",
    "9013": "Injury to innominate and subclavian veins",
    "90189": "Injury to other specified blood vessels of thorax",
    "9025": "Injury to iliac blood vessels",
    "90440": "Injury to popliteal vessel(s), unspecified",
    "9066": "Late effect of burn of wrist and hand",
    "9070": "Late effect of intracranial injury without mention of skull fracture",
    "9140": "Abrasion or friction burn of hand(s) except finger(s) alone, without mention of infection",
    "9150": "Abrasion or friction burn of finger(s), without mention of infection",
    "9198": "Other and unspecified superficial injury of other, multiple, and unspecified sites, without mention of infection",
    "9211": "Contusion of eyelids and periocular area",
    "9212": "Contusion of orbital tissues",
    "92810": "Crushing injury of lower leg",
    "92821": "Crushing injury of ankle",
    "9299": "Crushing injury of unspecified site",
    "940": "Burn confined to eye and adnexa",
    "94143": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of lip(s)",
    "94145": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of nose (septum)",
    "94153": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of lip(s)",
    "94219": "Erythema [first degree] of other and multiple sites of trunk",
    "94240": "Deep necrosis of underlying tissues [deep third degree] ) without mention of loss of a body part, of trunk, unspecified site",
    "94301": "Burn of unspecified degree of forearm",
    "94325": "Blisters, epidermal loss [second degree] of shoulder",
    "94332": "Full-thickness skin loss [third degree, not otherwise specified] of elbow",
    "94334": "Full-thickness skin loss [third degree, not otherwise specified] of axilla",
    "94406": "Burn of unspecified degree of back of hand",
    "94411": "Erythema [first degree] of single digit (finger (nail)) other than thumb",
    "94425": "Blisters, epidermal loss [second degree] of palm",
    "94457": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of wrist",
    "9450": "Burn of lower limb(s), unspecified degree",
    "94546": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of thigh [any part]",
    "9471": "Burn of larynx, trachea, and lung",
    "948": "Burns classified according to extent of body surface involved",
    "9481": "Burn [any degree] involving 10-19 percent of body surface",
    "9482": "Burn [any degree] involving 20-29 percent of body surface",
    "94821": "Burn [any degree] involving 20-29 percent of body surface with third degree burn, 10-19%",
    "94851": "Burn [any degree] involving 50-59 percent of body surface with third degree burn, 10-19%",
    "94875": "Burn [any degree] involving 70-79 percent of body surface with third degree burn, 50-59%",
    "94885": "Burn [any degree] involving 80-89 percent of body surface with third degree burn, 50-59%",
    "9510": "Injury to oculomotor nerve",
    "95201": "C1-C4 level with complete lesion of spinal cord",
    "9530": "Injury to cervical nerve root",
    "9534": "Injury to brachial plexus",
    "9552": "Injury to ulnar nerve",
    "9579": "Injury to nerves, unspecified site",
    "958": "Certain early complications of trauma",
    "95893": "Traumatic compartment syndrome of abdomen",
    "9614": "Poisoning by antimalarials and drugs acting on other blood protozoa",
    "9626": "Poisoning by parathyroid and parathyroid derivatives",
    "9646": "Poisoning by gamma globulin",
    "3059": "Other, mixed, or unspecified drug abuse",
    "3070": "Adult onset fluency disorder",
    "3072": "Tics",
    "30746": "Sleep arousal disorder",
    "30750": "Eating disorder, unspecified",
    "3083": "Other acute reactions to stress",
    "3100": "Frontal lobe syndrome",
    "31089": "Other specified nonpsychotic mental disorders following organic brain damage",
    "31201": "Undersocialized conduct disorder, aggressive type, mild",
    "31203": "Undersocialized conduct disorder, aggressive type, severe",
    "316": "Psychic factors associated with diseases classified elsewhere",
    "32302": "Myelitis in viral diseases classified elsewhere",
    "3249": "Intracranial and intraspinal abscess of unspecified site",
    "32711": "Idiopathic hypersomnia with long sleep time",
    "32729": "Other organic sleep apnea",
    "3302": "Cerebral degeneration in generalized lipidoses",
    "3317": "Cerebral degeneration in diseases classified elsewhere",
    "3318": "Other cerebral degeneration",
    "33379": "Other acquired torsion dystonia",
    "33382": "Orofacial dyskinesia",
    "33385": "Subacute dyskinesia due to drugs",
    "335": "Anterior horn cell disease",
    "3352": "Motor neuron disease",
    "33520": "Amyotrophic lateral sclerosis",
    "3361": "Vascular myelopathies",
    "3368": "Other myelopathy",
    "33701": "Carotid sinus syndrome",
    "3393": "Drug induced headache, not elsewhere classified",
    "3411": "Schilder's disease",
    "3418": "Other demyelinating diseases of central nervous system",
    "34431": "Monoplegia of lower limb affecting dominant side",
    "34440": "Monoplegia of upper limb affecting unspecified side",
    "34481": "Locked-in state",
    "3451": "Generalized convulsive epilepsy",
    "34581": "Other forms of epilepsy and recurrent seizures, with intractable epilepsy",
    "34710": "Narcolepsy in conditions classified elsewhere, without cataplexy",
    "348": "Other conditions of brain",
    "34989": "Other specified disorders of nervous system",
    "3530": "Brachial plexus lesions",
    "3534": "Lumbosacral root lesions, not elsewhere classified",
    "3535": "Neuralgic amyotrophy",
    "3545": "Mononeuritis multiplex",
    "3559": "Mononeuritis of unspecified site",
    "3564": "Idiopathic progressive polyneuropathy",
    "35830": "Lambert-Eaton syndrome, unspecified",
    "35831": "Lambert-Eaton syndrome in neoplastic disease",
    "3601": "Other endophthalmitis",
    "36023": "Siderosis of globe",
    "36044": "Leucocoria",
    "36101": "Recent retinal detachment, partial, with single defect",
    "36114": "Secondary retinal cysts",
    "36133": "Multiple defects of retina without detachment",
    "3621": "Other background retinopathy and retinal vascular changes",
    "36233": "Partial retinal arterial occlusion",
    "36243": "Hemorrhagic detachment of retinal pigment epithelium",
    "36253": "Cystoid macular degeneration",
    "36261": "Paving stone degeneration",
    "36274": "Pigmentary retinal dystrophy",
    "36306": "Focal retinitis and retinochoroiditis, macular or paramacular",
    "36340": "Choroidal degeneration, unspecified",
    "36361": "Choroidal hemorrhage, unspecified",
    "36421": "Fuchs' heterochromic cyclitis",
    "36574": "Indeterminate stage glaucoma",
    "36601": "Anterior subcapsular polar cataract",
    "36611": "Pseudoexfoliation of lens capsule",
    "367": "Disorders of refraction and accommodation",
    "36802": "Deprivation amblyopia",
    "3689": "Unspecified visual disturbance",
    "3690": "Profound vision impairment, both eyes",
    "36906": "Better eye: profound vision impairment; lesser eye: total vision impairment",
    "36922": "Better eye: severe vision impairment; lesser eye: severe vision impairment",
    "7530": "Renal agenesis and dysgenesis",
    "75313": "Polycystic kidney, autosomal dominant",
    "75430": "Congenital dislocation of hip, unilateral",
    "75433": "Congenital subluxation of hip, bilateral",
    "75453": "Metatarsus varus",
    "7548": "Other specified nonteratogenic anomalies",
    "75534": "Longitudinal deficiency, femoral, complete or partial (with or without distal deficiencies, incomplete)",
    "75560": "Unspecified anomaly of lower limb",
    "75566": "Other anomalies of toes",
    "75569": "Other anomalies of lower limb, including pelvic girdle",
    "75613": "Absence of vertebra, congenital",
    "7567": "Anomalies of abdominal wall, congenital",
    "75679": "Other congenital anomalies of abdominal wall",
    "75739": "Other specified anomalies of skin",
    "7588": "Other conditions due to chromosome anomalies",
    "7603": "Other chronic maternal circulatory and respiratory diseases affecting fetus or newborn",
    "7635": "Maternal anesthesia and analgesia affecting fetus or newborn",
    "76408": "Light-for-dates without mention of fetal malnutrition, 2,000- 2,499 grams",
    "76421": 'Fetal malnutrition without mention of "light-for-dates", less than 500 grams',
    "76425": 'Fetal malnutrition without mention of "light-for-dates", 1,250-1,499 grams',
    "765": "Disorders relating to short gestation and unspecified low birthweight",
    "76512": "Other preterm infants, 500-749 grams",
    "76524": "27-28 completed weeks of gestation",
    "7673": "Other injuries to skeleton due to birth trauma",
    "7679": "Birth trauma, unspecified",
    "7689": "Unspecified severity of birth asphyxia in liveborn infant",
    "7700": "Congenital pneumonia",
    "7701": "Fetal and newborn aspiration",
    "7704": "Primary atelectasis",
    "7709": "Unspecified respiratory condition of fetus and newborn",
    "7751": "Neonatal diabetes mellitus",
    "7765": "Congenital anemia",
    "7771": "Meconium obstruction in fetus or newborn",
    "77753": "Stage III necrotizing enterocolitis in newborn",
    "7781": "Sclerema neonatorum",
    "78009": "Other alteration of consciousness",
    "78031": "Febrile convulsions (simple), unspecified",
    "78033": "Post traumatic seizures",
    "7808": "Generalized hyperhidrosis",
    "78099": "Other general symptoms",
    "7821": "Rash and other nonspecific skin eruption",
    "7832": "Abnormal loss of weight and underweight",
    "7846": "Other symbolic dysfunction",
    "78491": "Postnasal drip",
    "7859": "Other symptoms involving cardiovascular system",
    "78630": "Hemoptysis, unspecified",
    "78652": "Painful respiration",
    "7873": "Flatulence, eructation, and gas pain",
    "78829": "Other specified retention of urine",
    "78835": "Post-void dribbling",
    "78836": "Nocturnal enuresis",
    "7886": "Other abnormality of urination",
    "78940": "Abdominal rigidity, unspecified site",
    "78959": "Other ascites",
    "79551": "Nonspecific reaction to tuberculin skin test without active tuberculosis",
    "79677": "Satisfactory anal smear but lacking transformation zone",
    "797": "Senility without mention of psychosis",
    "79902": "Hypoxemia",
    "79921": "Nervousness",
    "79929": "Other signs and symptoms involving emotional state",
    "79951": "Attention or concentration deficit",
    "80024": "Closed fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80033": "Closed fracture of vault of skull with other and unspecified intracranial hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80035": "Closed fracture of vault of skull with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80039": "Closed fracture of vault of skull with other and unspecified intracranial hemorrhage, with concussion, unspecified",
    "63440": "Spontaneous abortion, complicated by metabolic disorder, unspecified",
    "63442": "Spontaneous abortion, complicated by metabolic disorder, complete",
    "63451": "Spontaneous abortion, complicated by shock, incomplete",
    "63632": "Illegally induced abortion, complicated by renal failure, complete",
    "6366": "Illegally induced abortion complicated by embolism",
    "63700": "Unspecified abortion, complicated by genital tract and pelvic infection, unspecified",
    "63751": "Unspecified abortion, complicated by shock, incomplete",
    "640": "Hemorrhage in early pregnancy",
    "64090": "Unspecified hemorrhage in early pregnancy, unspecified as to episode of care or not applicable",
    "64091": "Unspecified hemorrhage in early pregnancy, delivered, with or without mention of antepartum condition",
    "64234": "Transient hypertension of pregnancy, postpartum condition or complication",
    "6424": "Mild or unspecified pre-eclampsia",
    "6425": "Severe pre-eclampsia",
    "6452": "Prolonged pregnancy",
    "64621": "Unspecified renal disease in pregnancy, without mention of hypertension, delivered, with or without mention of antepartum condition",
    "64740": "Malaria in the mother, unspecified as to episode of care or not applicable",
    "64210": "Hypertension secondary to renal disease, complicating pregnancy, childbirth, and the puerperium, unspecified as to episode of care or not applicable",
    "64213": "Hypertension secondary to renal disease, complicating pregnancy, childbirth, and the puerperium, antepartum condition or complication",
    "64240": "Mild or unspecified pre-eclampsia, unspecified as to episode of care or not applicable",
    "64253": "Severe pre-eclampsia, antepartum condition or complication",
    "6439": "Unspecified vomiting of pregnancy",
    "64741": "Malaria in the mother, delivered, with or without mention of antepartum condition",
    "64752": "Rubella in the mother, delivered, with mention of postpartum complication",
    "64763": "Other viral diseases in the mother, antepartum condition or complication",
    "64794": "Unspecified infection or infestation of mother, postpartum condition or complication",
    "64842": "Mental disorders of mother, delivered, with mention of postpartum complication",
    "6487": "Bone and joint disorders of back, pelvis, and lower limbs of mother, complicating pregnancy, childbirth, or the puerperium",
    "64893": "Other current conditions classifiable elsewhere of mother, antepartum condition or complication",
    "64912": "Obesity complicating pregnancy, childbirth, or the puerperium, delivered, with mention of postpartum complication",
    "6493": "Coagulation defects complicating pregnancy, childbirth, or the puerperium",
    "64931": "Coagulation defects complicating pregnancy, childbirth, or the puerperium, delivered, with or without mention of antepartum condition",
    "64962": "Uterine size date discrepancy, delivered, with mention of postpartum complication",
    "6516": "Other multiple pregnancy with fetal loss and retention of one or more fetus(es)",
    "65191": "Unspecified multiple gestation, delivered, with or without mention of antepartum condition",
    "65251": "High head at term, delivered, with or without mention of antepartum condition",
    "65381": "Disproportion of other origin, delivered, with or without mention of antepartum condition",
    "654": "Abnormality of organs and soft tissues of pelvis complicating pregnancy, childbirth, or the puerperium",
    "65493": "Other and unspecified abnormality of organs and soft tissues of pelvis, antepartum condition or complication",
    "65511": "Chromosomal abnormality in fetus, affecting management of mother, delivered, with or without mention of antepartum condition",
    "65531": "Suspected damage to fetus from viral disease in the mother, affecting management of mother, delivered, with or without mention of antepartum condition",
    "65571": "Decreased fetal movements, affecting management of mother, delivered, with or without mention of antepartum condition",
    "65843": "Infection of amniotic cavity, antepartum condition or complication",
    "65931": "Generalized infection during labor, delivered, with or without mention of antepartum condition",
    "65960": "Elderly multigravida, unspecified as to episode of care or not applicable",
    "6599": "Unspecified indication for care or intervention related to labor and delivery",
    "66023": "Obstruction by abnormal pelvic soft tissues during labor, antepartum condition or complication",
    "66041": "Shoulder (girdle) dystocia, delivered, with or without mention of antepartum condition",
    "66050": "Locked twins, unspecified as to episode of care or not applicable",
    "66120": "Other and unspecified uterine inertia, unspecified as to episode of care or not applicable",
    "66333": "Other and unspecified cord entanglement, without mention of compression, complicating labor and delivery, antepartum condition or complication",
    "64421": "Early onset of delivery, delivered, with or without mention of antepartum condition",
    "6451": "Post term pregnancy",
    "64510": "Post term pregnancy, unspecified as to episode of care or not applicable",
    "646": "Other complications of pregnancy, not elsewhere classified",
    "64611": "Edema or excessive weight gain in pregnancy, without mention of hypertension, delivered, with or without mention of antepartum complication",
    "64664": "Infections of genitourinary tract in pregnancy, postpartum condition or complication",
    "64690": "Unspecified complication of pregnancy, unspecified as to episode of care or not applicable",
    "64701": "Syphilis of mother, complicating pregnancy, childbirth, or the puerperium, delivered, with or without mention of antepartum condition",
    "6472": "Other venereal diseases in the mother complicating pregnancy, childbirth, or the puerperium",
    "64811": "Thyroid dysfunction of mother, delivered, with or without mention of antepartum condition",
    "64831": "Drug dependence of mother, delivered, with or without mention of antepartum condition",
    "6485": "Congenital cardiovascular disorders complicating pregnancy, childbirth, or the puerperium",
    "64892": "Other current conditions classifiable elsewhere of mother, delivered, with mention of postpartum complication",
    "64921": "Bariatric surgery status complicating pregnancy, childbirth, or the puerperium, delivered, with or without mention of antepartum condition",
    "64973": "Cervical shortening, antepartum condition or complication",
    "65120": "Quadruplet pregnancy, unspecified as to episode of care or not applicable",
    "65121": "Quadruplet pregnancy, delivered, with or without mention of antepartum condition",
    "65133": "Twin pregnancy with fetal loss and retention of one fetus, antepartum condition or complication",
    "6515": "Quadruplet pregnancy with fetal loss and retention of one or more fetus(es)",
    "65170": "Multiple gestation following (elective) fetal reduction, unspecified as to episode of care or not applicable",
    "6519": "Unspecified multiple gestation",
    "65263": "Multiple gestation with malpresentation of one fetus or more, antepartum condtion or complication",
    "6529": "Unspecified malposition or malpresentation of fetus",
    "65321": "Inlet contraction of pelvis, delivered, with or without mention of antepartum condition",
    "65330": "Outlet contraction of pelvis, unspecified as to episode of care or not applicable",
    "65431": "Retroverted and incarcerated gravid uterus, delivered, with mention of antepartum condition",
    "65443": "Other abnormalities in shape or position of gravid uterus and of neighboring structures, antepartum condition or complication",
    "65462": "Other congenital or acquired abnormality of cervix, delivered, with mention of postpartum complication",
    "65463": "Other congenital or acquired abnormality of cervix, antepartum condition or complication",
    "65473": "Congenital or acquired abnormality of vagina, antepartum condition or complication",
    "65491": "Other and unspecified abnormality of organs and soft tissues of pelvis, delivered, with or without mention of antepartum condition",
    "65492": "Other and unspecified abnormality of organs and soft tissues of pelvis, delivered, with mention of postpartum complication",
    "65494": "Other and unspecified abnormality of organs and soft tissues of pelvis, postpartum condition or complication",
    "65500": "Central nervous system malformation in fetus, unspecified as to episode of care or not applicable",
    "65591": "Unspecified suspected fetal abnormality, affecting management of mother, delivered, with or without mention of antepartum condition",
    "65620": "Isoimmunization from other and unspecified blood-group incompatibility, unspecified as to episode of care or not applicable",
    "65621": "Isoimmunization from other and unspecified blood-group incompatibility, delivered, with or without mention of antepartum condition",
    "65673": "Other placental conditions, affecting management of mother, antepartum condition or complication",
    "36924": "Better eye: moderate vision impairment; lesser eye: severe vision impairment",
    "36969": "One eye: profound vision impairment; other eye: normal vision",
    "3698": "Unqualified visual loss, one eye",
    "37052": "Diffuse interstitial keratitis",
    "37121": "Idiopathic corneal edema",
    "37133": "Rupture in descemet's membrane",
    "37148": "Peripheral degenerations of cornea",
    "37157": "Endothelial corneal dystrophy",
    "3716": "Keratoconus",
    "37250": "Conjunctival degeneration, unspecified",
    "37253": "Conjunctival xerosis",
    "37281": "Conjunctivochalasis",
    "3731": "Hordeolum and other deep inflammation of eyelid",
    "3735": "Other infective dermatitis of eyelid",
    "3736": "Parasitic infestation of eyelid",
    "37402": "Mechanical entropion",
    "37453": "Hypopigmentation of eyelid",
    "37557": "Dacryolith",
    "37601": "Orbital cellulitis",
    "37622": "Exophthalmic ophthalmoplegia",
    "3768": "Other orbital disorders",
    "377": "Disorders of optic nerve and visual pathways",
    "3770": "Papilledema",
    "37703": "Papilledema associated with retinal disorder",
    "37721": "Drusen of optic disc",
    "37754": "Disorders of optic chiasm associated with inflammatory disorders",
    "37845": "Alternating hyperphoria",
    "3785": "Paralytic strabismus",
    "37872": "Progressive external ophthalmoplegia",
    "37900": "Scleritis, unspecified",
    "37950": "Nystagmus, unspecified",
    "37961": "Inflammation (infection) of postprocedural bleb, stage 1",
    "3805": "Acquired stenosis of external ear canal",
    "3817": "Patulous Eustachian tube",
    "38181": "Dysfunction of Eustachian tube",
    "38332": "Recurrent cholesteatoma of postmastoidectomy cavity",
    "38401": "Bullous myringitis",
    "38501": "Tympanosclerosis involving tympanic membrane only",
    "38532": "Cholesteatoma of middle ear",
    "38535": "Diffuse cholesteatosis of middle ear and mastoid",
    "387": "Otosclerosis",
    "3881": "Noise effects on inner ear",
    "3882": "Sudden hearing loss, unspecified",
    "38830": "Tinnitus, unspecified",
    "3891": "Sensorineural hearing loss",
    "38914": "Central hearing loss",
    "393": "Chronic rheumatic pericarditis",
    "395": "Diseases of aortic valve",
    "3959": "Other and unspecified rheumatic aortic diseases",
    "397": "Diseases of other endocardial structures",
    "3971": "Rheumatic diseases of pulmonary valve",
    "3979": "Rheumatic diseases of endocardium, valve unspecified",
    "40413": "Hypertensive heart and chronic kidney disease, benign, with heart failure and chronic kidney disease stage V or end stage renal disease",
    "4100": "Acute myocardial infarction, of anterolateral wall",
    "41002": "Acute myocardial infarction of anterolateral wall, subsequent episode of care",
    "41022": "Acute myocardial infarction of inferolateral wall, subsequent episode of care",
    "41032": "Acute myocardial infarction of inferoposterior wall, subsequent episode of care",
    "41092": "Acute myocardial infarction of unspecified site, subsequent episode of care",
    "4118": "Other acute and subacute forms of ischemic heart disease",
    "41189": "Other acute and subacute forms of ischemic heart disease, other",
    "412": "Old myocardial infarction",
    "4220": "Acute myocarditis in diseases classified elsewhere",
    "4241": "Aortic valve disorders",
    "42610": "Atrioventricular block, unspecified",
    "42732": "Atrial flutter",
    "42821": "Acute systolic heart failure",
    "80046": "Closed fracture of vault of skull with intracranial injury of other and unspecified nature, with loss of consciousness of unspecified duration",
    "8009": "Open fracture of vault of skull with intracranial injury of other and unspecified nature",
    "80095": "Open fracture of vault of skull with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80124": "Closed fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80131": "Closed fracture of base of skull with other and unspecified intracranial hemorrhage, with no loss of consciousness",
    "42842": "Chronic combined systolic and diastolic heart failure",
    "429": "Ill-defined descriptions and complications of heart disease",
    "430": "Subarachnoid hemorrhage",
    "433": "Occlusion and stenosis of precerebral arteries",
    "80143": "Closed fracture of base of skull with intracranial injury of other and unspecified nature, with moderate [1-24 hours] loss of consciousness",
    "80153": "Open fracture of base of skull without mention of intracranial injury, with moderate [1-24 hours] loss of consciousness",
    "80165": "Open fracture of base of skull with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80171": "Open fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with no loss of consciousness",
    "8018": "Open fracture of base of skull with other and unspecified intracranial hemorrhage",
    "80195": "Open fracture of base of skull with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "8023": "Mandible open fracture",
    "80231": "Open fracture of mandible, condylar process",
    "80233": "Open fracture of mandible, coronoid process",
    "8028": "Closed fracture of other facial bones",
    "8029": "Open fracture of other facial bones",
    "80303": "Other closed skull fracture without mention of intracranial injury, with moderate [1-24 hours] loss of consciousness",
    "80321": "Other closed skull fracture with subarachnoid, subdural, and extradural hemorrhage, with no loss of consciousness",
    "80325": "Other closed skull fracture with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80340": "Other closed skull fracture with intracranial injury of other and unspecified nature, unspecified state of consciousness",
    "80350": "Other open skull fracture without mention of injury, unspecified state of consciousness",
    "80365": "Other open skull fracture with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80379": "Other open skull fracture with subarachnoid, subdural, and extradural hemorrhage, with concussion, unspecified",
    "80390": "Other open skull fracture with intracranial injury of other and unspecified nature, unspecified state of consciousness",
    "8040": "Closed fractures involving skull or face with other bones, without mention of intracranial injury",
    "8041": "Closed fractures involving skull or face with other bones, with cerebral laceration and contusion",
    "80423": "Closed fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80445": "Closed fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80451": "Open fractures involving skull or face with other bones, without mention of intracranial injury, with no loss of consciousness",
    "80473": "Open fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80483": "Open fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80486": "Open fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with loss of consciousness of unspecified duration",
    "80490": "Open fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, unspecified state of consciousness",
    "80511": "Open fracture of first cervical vertebra",
    "80516": "Open fracture of sixth cervical vertebra",
    "80613": "Open fracture of C1-C4 level with central cord syndrome",
    "80616": "Open fracture of C5-C7 level with complete lesion of cord",
    "8069": "Open fracture of unspecified vertebral column with spinal cord injury",
    "80711": "Open fracture of one rib",
    "80716": "Open fracture of six ribs",
    "80717": "Open fracture of seven ribs",
    "8075": "Closed fracture of larynx and trachea",
    "71186": "Arthropathy associated with other infectious and parasitic diseases, lower leg",
    "7119": "Unspecified infective arthritis",
    "71198": "Unspecified infective arthritis, other specified sites",
    "71233": "Chondrocalcinosis, unspecified, forearm",
    "71239": "Chondrocalcinosis, unspecified, multiple sites",
    "71287": "Other specified crystal arthropathies, ankle and foot",
    "7129": "Unspecified crystal arthropathy",
    "71292": "Unspecified crystal arthropathy, upper arm",
    "7138": "Arthropathy associated with other conditions classifiable elsewhere",
    "7141": "Felty's syndrome",
    "71433": "Monoarticular juvenile rheumatoid arthritis",
    "71531": "Osteoarthrosis, localized, not specified whether primary or secondary, shoulder region",
    "71638": "Climacteric arthritis, other specified sites",
    "71661": "Unspecified monoarthritis, shoulder region",
    "71690": "Arthropathy, unspecified, site unspecified",
    "71692": "Arthropathy, unspecified, upper arm",
    "7174": "Derangement of lateral meniscus",
    "718": "Other derangement of joint",
    "71801": "Articular cartilage disorder, shoulder region",
    "71812": "Loose body in joint, upper arm",
    "7182": "Pathological dislocation",
    "71843": "Contracture of joint, forearm",
    "71844": "Contracture of joint, hand",
    "71865": "Unspecified intrapelvic protrusion of acetabulum, pelvic region and thigh",
    "71871": "Developmental dislocation of joint, shoulder region",
    "71884": "Other joint derangement, not elsewhere classified, hand",
    "71894": "Unspecified derangement of joint, hand",
    "71898": "Unspecified derangement of joint, other specified sites",
    "71903": "Effusion of joint, forearm",
    "71940": "Pain in joint, site unspecified",
    "71945": "Pain in joint, pelvic region and thigh",
    "71965": "Other symptoms referable to joint, pelvic region and thigh",
    "71976": "Difficulty in walking involving lower leg joint",
    "7199": "Unspecified disorder of joint",
    "7214": "Thoracic or lumbar spondylosis with myelopathy",
    "72292": "Other and unspecified disc disorder, thoracic region",
    "7243": "Sciatica",
    "726": "Peripheral enthesopathies and allied syndromes",
    "72613": "Partial tear of rotator cuff",
    "7263": "Enthesopathy of elbow region",
    "72630": "Enthesopathy of elbow, unspecified",
    "7272": "Specific bursitides often of occupational origin",
    "7278": "Other disorders of synovium, tendon, and bursa",
    "72813": "Postoperative heterotopic calcification",
    "72871": "Plantar fascial fibromatosis",
    "7288": "Other disorders of muscle, ligament, and fascia",
    "7290": "Rheumatism, unspecified and fibrositis",
    "7296": "Residual foreign body in soft tissue",
    "73030": "Periostitis, without mention of osteomyelitis, site unspecified",
    "73074": "Osteopathy resulting from poliomyelitis, hand",
    "73089": "Other infections involving bone in diseases classified elsewhere, multiple sites",
    "7320": "Juvenile osteochondrosis of spine",
    "73343": "Aseptic necrosis of medial femoral condyle",
    "7353": "Hallux malleus",
    "73602": "Cubitus varus (acquired)",
    "73607": "Club hand, acquired",
    "7362": "Other acquired deformities of finger",
    "73621": "Boutonniere deformity",
    "73639": "Other acquired deformities of hip",
    "7364": "Genu valgum or varum (acquired)",
    "73641": "Genu valgum (acquired)",
    "73642": "Genu varum (acquired)",
    "7366": "Other acquired deformities of knee",
    "73673": "Cavus deformity of foot, acquired",
    "7369": "Acquired deformity of limb, site unspecified",
    "73732": "Progressive infantile idiopathic scoliosis",
    "7380": "Acquired deformity of nose",
    "V3200": "Twin birth, mate stillborn, born in hospital, delivered without mention of cesarean section",
    "V332": "Twin birth, unspecified whether mate liveborn or stillborn, born outside hospital and not hospitalized",
    "V3400": "Other multiple birth (three or more), mates all liveborn, born in hospital, delivered without mention of cesarean section",
    "44823821": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823822": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823823": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V39": "Liveborn, unspecified whether single, twin, or multiple",
    "V422": "Heart valve replaced by transplant",
    "V442": "Ileostomy status",
    "V4452": "Appendico-vesicostomy",
    "44823828": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4500": "Unspecified cardiac device in situ",
    "V4501": "Cardiac pacemaker in situ",
    "V4572": "Acquired absence of intestine (large) (small)",
    "V458": "Other postprocedural status",
    "V4586": "Bariatric surgery status",
    "V4587": "Transplanted organ removal status",
    "44823836": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V460": "Dependence on aspirator",
    "V497": "Lower limb amputation status",
    "V50": "Elective surgery for purposes other than remedying health states",
    "44823841": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V530": "Fitting and adjustment of devices related to nervous system and special senses",
    "V5309": "Fitting and adjustment of other devices related to nervous system and special senses",
    "99594": "Systemic inflammatory response syndrome due to noninfectious process with acute organ dysfunction",
    "99639": "Other mechanical complication of genitourinary device, implant, and graft",
    "99646": "Articular bearing surface wear of prosthetic joint",
    "99654": "Mechanical complication due to breast prosthesis",
    "9966": "Infection and inflammatory reaction due to internal prosthetic device, implant, and graft",
    "99673": "Other complications due to renal dialysis device, implant, and graft",
    "99684": "Complications of transplanted lung",
    "99689": "Complications of other specified transplanted organ",
    "99701": "Central nervous system complication",
    "99732": "Postprocedural aspiration pneumonia",
    "99799": "Complications affecting other specified body systems, not elsewhere classified",
    "99809": "Postoperative shock, other",
    "99959": "Other serum reaction",
    "9998": "Other infusion and transfusion reaction, not elsewhere classified",
    "E0028": "Activities involving water sliding",
    "E0065": "Activities involving jumping rope",
    "E0091": "Activity involving calisthenics",
    "E0110": "Activities involving computer keyboarding",
    "E0129": "Activity involving other arts and handcrafts",
    "E0140": "Caregiving involving bathing",
    "E0151": "Activities involving grilling and smoking food",
    "E8032": "Railway accident involving explosion, fire, or burning injuring pedestrian",
    "E805": "Hit by rolling stock",
    "E918": "Caught accidentally in or between objects",
    "E9195": "Accidents caused by prime movers, except electrical motors",
    "E9210": "Accident caused by explosion of boilers",
    "E9223": "Accident caused by military firearms",
    "E9232": "Accident caused by explosive gases",
    "E925": "Accident caused by electric current",
    "E9282": "Vibration",
    "E9295": "Late effects of accident due to natural and environmental factors",
    "E9298": "Late effects of other accidents",
    "E9374": "Methaqualone compounds causing adverse effects in therapeutic use",
    "E9511": "Suicide and self-inflicted poisoning by liquefied petroleum gas distributed in mobile containers",
    "E952": "Suicide and self-inflicted poisoning by other gases and vapors",
    "E954": "Suicide and self-inflicted injury by submersion [drowning]",
    "E9657": "Assault by letter bomb",
    "E9918": "Injury due to war operations by fragments from weapons",
    "E9935": "Injury due to war operations by other improvised explosive device [IED]",
    "E9939": "Injury due to war operations by unspecified explosion",
    "E9948": "Injury due to war operations by other destruction of aircraft",
    "E9971": "Injury due to war operations by biological warfare",
    "V014": "Contact with or exposure to rubella",
    "44822640": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822641": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V02": "Carrier or suspected carrier of infectious diseases",
    "V024": "Carrier or suspected carrier of diphtheria",
    "V030": "Need for prophylactic vaccination and inoculation against cholera alone",
    "V039": "Need for prophylactic vaccination and inoculation against unspecified single bacterial disease",
    "44822646": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822647": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V052": "Need for prophylactic vaccination and inoculation against leishmaniasis",
    "44822649": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V0759": "Use of other agents affecting estrogen receptors and estrogen levels",
    "44822651": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822652": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V0970": "Infection with microorganisms without mention of resistance to multiple antimycobacterial agents",
    "44822654": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V106": "Personal history of leukemia",
    "44822656": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822657": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822658": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V119": "Personal history of unspecified mental disorder",
    "V1260": "Personal history of unspecified disease of respiratory system",
    "44822661": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822662": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1302": "Personal history, urinary (tract) infection",
    "V1365": "Personal history of (corrected) congenital malformations of heart and circulatory system",
    "44822665": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V142": "Personal history of allergy to sulfonamides",
    "44822667": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1509": "Other allergy, other than to medicinal agents",
    "V1589": "Other specified personal history presenting hazards to health",
    "44822670": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822671": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1652": "Family history of malignant neoplasm, bladder",
    "44822673": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V181": "Family history of other endocrine and metabolic diseases",
    "V1859": "Family history of other digestive disorders",
    "44822676": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822677": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822678": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822679": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "E8155": "Other motor vehicle traffic accident involving collision on the highway injuring rider of animal; occupant of animal-drawn vehicle",
    "E848": "Accidents involving other vehicles, not elsewhere classifiable",
    "E8492": "Mine and quarry accidents",
    "E8498": "Accidents occurring in other specified places",
    "E8556": "Accidental poisoning by sympatholytics [antiadrenergics]",
    "E8655": "Accidental poisoning from mushrooms and other fungi",
    "E8663": "Accidental poisoning by arsenic and its compounds and fumes",
    "E867": "Accidental poisoning by gas distributed by pipeline",
    "37820": "Intermittent heterotropia, unspecified",
    "3783": "Other and unspecified heterotropia",
    "37853": "Fourth or trochlear nerve palsy",
    "37289": "Other disorders of conjunctiva",
    "37412": "Mechanical ectropion",
    "37423": "Cicatricial lagophthalmos",
    "37446": "Blepharophimosis",
    "37552": "Stenosis of lacrimal punctum",
    "37555": "Obstruction of nasolacrimal duct, neonatal",
    "376": "Disorders of the orbit",
    "37602": "Orbital periostitis",
    "37711": "Primary optic atrophy",
    "37733": "Nutritional optic neuropathy",
    "37741": "Ischemic optic neuropathy",
    "37742": "Hemorrhage in optic nerve sheaths",
    "37761": "Disorders of other visual pathways associated with neoplasms",
    "37762": "Disorders of other visual pathways associated with vascular disorders",
    "378": "Strabismus and other disorders of binocular eye movements",
    "3781": "Exotropia",
    "37823": "Intermittent exotropia, monocular",
    "37906": "Brawny scleritis",
    "37941": "Anisocoria",
    "37943": "Mydriasis (persistent), not due to mydriatics",
    "37945": "Argyll Robertson pupil, atypical",
    "37963": "Inflammation (infection) of postprocedural bleb, stage 3",
    "37999": "Other ill-defined disorders of eye",
    "38001": "Acute perichondritis of pinna",
    "38003": "Chondritis of pinna",
    "3801": "Infective otitis externa",
    "38010": "Infective otitis externa, unspecified",
    "38011": "Acute infection of pinna",
    "38089": "Other disorders of external ear",
    "38100": "Acute nonsuppurative otitis media, unspecified",
    "38300": "Acute mastoiditis without complications",
    "38519": "Other middle ear adhesions and combinations",
    "38521": "Impaired mobility of malleus",
    "386": "Vertiginous syndromes and other disorders of vestibular system",
    "38634": "Toxic labyrinthitis",
    "3864": "Labyrinthine fistula",
    "3892": "Mixed conductive and sensorineural hearing loss",
    "3912": "Acute rheumatic myocarditis",
    "3960": "Mitral valve stenosis and aortic valve stenosis",
    "3969": "Mitral and aortic valve diseases, unspecified",
    "40401": "Hypertensive heart and chronic kidney disease, malignant, with heart failure and with chronic kidney disease stage I through stage IV, or unspecified",
    "40403": "Hypertensive heart and chronic kidney disease, malignant, with heart failure and with chronic kidney disease stage V or end stage renal disease",
    "40410": "Hypertensive heart and chronic kidney disease, benign, without heart failure and with chronic kidney disease stage I through stage IV, or unspecified",
    "40411": "Hypertensive heart and chronic kidney disease, benign, with heart failure and with chronic kidney disease stage I through stage IV, or unspecified",
    "40491": "Hypertensive heart and chronic kidney disease, unspecified, with heart failure and with chronic kidney disease stage I through stage IV, or unspecified",
    "41012": "Acute myocardial infarction of other anterior wall, subsequent episode of care",
    "4102": "Acute myocardial infarction, of inferolateral wall",
    "41020": "Acute myocardial infarction of inferolateral wall, episode of care unspecified",
    "41021": "Acute myocardial infarction of inferolateral wall, initial episode of care",
    "4107": "Acute myocardial infarction, subendocardial infarction",
    "4109": "Acute myocardial infarction, unspecified site",
    "41405": "Coronary atherosclerosis of unspecified bypass graft",
    "4151": "Pulmonary embolism and infarction",
    "41512": "Septic pulmonary embolism",
    "41519": "Other pulmonary embolism and infarction",
    "4162": "Chronic pulmonary embolism",
    "42299": "Other acute myocarditis",
    "4233": "Cardiac tamponade",
    "4258": "Cardiomyopathy in other diseases classified elsewhere",
    "V2511": "Encounter for insertion of intrauterine contraceptive device",
    "V2549": "Surveillance of other contraceptive method",
    "V2622": "Aftercare following sterilization reversal",
    "V2629": "Other investigation and testing",
    "V2682": "Encounter for fertility preservation procedure",
    "44822685": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822686": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822687": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822688": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "9515": "Injury to acoustic nerve",
    "95202": "C1-C4 level with anterior cord syndrome",
    "9528": "Multiple sites of spinal cord injury without evidence of spinal bone injury",
    "9564": "Injury to cutaneous sensory nerve, lower limb",
    "9589": "Traumatic compartment syndrome",
    "960": "Poisoning by antibiotics",
    "9601": "Poisoning by antifungal antibiotics",
    "9610": "Poisoning by sulfonamides",
    "9634": "Poisoning by enzymes, not elsewhere classified",
    "9645": "Poisoning by anticoagulant antagonists and other coagulants",
    "9661": "Poisoning by hydantoin derivatives",
    "9662": "Poisoning by succinimides",
    "9683": "Poisoning by intravenous anesthetics",
    "9687": "Poisoning by spinal anesthetics",
    "96972": "Poisoning by amphetamines",
    "9713": "Poisoning by sympatholytics [antiadrenergics]",
    "9730": "Poisoning by antacids and antigastric secretion drugs",
    "9754": "Poisoning by antitussives",
    "9758": "Poisoning by other and unspecified respiratory drugs",
    "977": "Poisoning by other and unspecified drugs and medicinal substances",
    "9780": "Poisoning by BCG vaccine",
    "9784": "Poisoning by tetanus vaccine",
    "9795": "Poisoning by poliomyelitis vaccine",
    "9808": "Toxic effect of other specified alcohols",
    "9872": "Toxic effect of nitrogen oxides",
    "9898": "Toxic effect of other substances, chiefly nonmedicinal as to source",
    "9932": "Other and unspecified effects of high altitude",
    "99585": "Other adult abuse and neglect",
    "99589": "Other specified adverse effects, not elsewhere classified",
    "9962": "Mechanical complication of nervous system device, implant, and graft",
    "99644": "Peri-prosthetic fracture around prosthetic joint",
    "99660": "Infection and inflammatory reaction due to unspecified device, implant, and graft",
    "99661": "Infection and inflammatory reaction due to cardiac device, implant, and graft",
    "99670": "Other complications due to unspecified device, implant, and graft",
    "997": "Complications affecting specified body systems, not elsewhere classified",
    "9975": "Urinary complications, not elsewhere classified",
    "99831": "Disruption of internal operation (surgical) wound",
    "9988": "Other specified complications of procedures, not elsewhere classified",
    "9994": "Anaphylactic reaction due to serum, not elsewhere classified",
    "99983": "Hemolytic transfusion reaction, incompatibility unspecified",
    "9999": "Other and unspecified complications of medical care, not elsewhere classified",
    "E0002": "Volunteer activity",
    "E0026": "Activities involving water skiing and wake boarding",
    "E0076": "Activities involving basketball",
    "E0084": "Activities involving martial arts",
    "E0090": "Activity involving exercise machines primarily for cardiorespiratory conditioning",
    "E0119": "Other activity involving computer technology and electronic devices",
    "37863": "Limited duction associated with other conditions",
    "3795": "Nystagmus and other irregular eye movements",
    "37952": "Latent nystagmus",
    "38119": "Other chronic serous otitis media",
    "38120": "Chronic mucoid otitis media, simple or unspecified",
    "3813": "Other and unspecified chronic nonsuppurative otitis media",
    "38189": "Other disorders of Eustachian tube",
    "38302": "Acute mastoiditis with other complications",
    "38511": "Adhesions of drum head to incus",
    "38523": "Discontinuity or dislocation of ear ossicles",
    "38524": "Partial loss or necrosis of ear ossicles",
    "38601": "Active Ménière's disease, cochleovestibular",
    "38611": "Benign paroxysmal positional vertigo",
    "38612": "Vestibular neuronitis",
    "38642": "Oval window fistula",
    "38842": "Hyperacusis",
    "38900": "Conductive hearing loss, unspecified",
    "38911": "Sensory hearing loss, bilateral",
    "3897": "Deaf, nonspeaking, not elsewhere classifiable",
    "3920": "Rheumatic chorea with heart involvement",
    "3951": "Rheumatic aortic insufficiency",
    "4019": "Unspecified essential hypertension",
    "40492": "Hypertensive heart and chronic kidney disease, unspecified, without heart failure and with chronic kidney disease stage V or end stage renal disease",
    "41403": "Coronary atherosclerosis of nonautologous biological bypass graft",
    "4144": "Coronary atherosclerosis due to calcified coronary lesion",
    "4149": "Chronic ischemic heart disease, unspecified",
    "4179": "Unspecified disease of pulmonary circulation",
    "4255": "Alcoholic cardiomyopathy",
    "4271": "Paroxysmal ventricular tachycardia",
    "20054": "Primary central nervous system lymphoma, lymph nodes of axilla and upper limb",
    "20080": "Other named variants of lymphosarcoma and reticulosarcoma, unspecified site, extranodal and solid organ sites",
    "20104": "Hodgkin's paragranuloma, lymph nodes of axilla and upper limb",
    "20107": "Hodgkin's paragranuloma, spleen",
    "2012": "Hodgkin's sarcoma",
    "20120": "Hodgkin's sarcoma, unspecified site, extranodal and solid organ sites",
    "20124": "Hodgkin's sarcoma, lymph nodes of axilla and upper limb",
    "2016": "Hodgkin's disease, mixed cellularity",
    "20161": "Hodgkin's disease, mixed cellularity, lymph nodes of head, face, and neck",
    "20162": "Hodgkin's disease, mixed cellularity, intrathoracic lymph nodes",
    "20177": "Hodgkin's disease, lymphocytic depletion, spleen",
    "20197": "Hodgkin's disease, unspecified type, spleen",
    "20216": "Mycosis fungoides, intrapelvic lymph nodes",
    "20243": "Leukemic reticuloendotheliosis, intra-abdominal lymph nodes",
    "20246": "Leukemic reticuloendotheliosis, intrapelvic lymph nodes",
    "2025": "Letterer-Siwe disease",
    "20286": "Other malignant lymphomas, intrapelvic lymph nodes",
    "20380": "Other immunoproliferative neoplasms, without mention of having achieved remission",
    "2051": "Myeloid leukemia, chronic",
    "2070": "Acute erythremia and erythroleukemia",
    "20721": "Megakaryocytic leukemia, in remission",
    "20722": "Megakaryocytic leukemia, in relapse",
    "4291": "Myocardial degeneration",
    "43301": "Occlusion and stenosis of basilar artery with cerebral infarction",
    "43331": "Occlusion and stenosis of multiple and bilateral precerebral arteries with cerebral infarction",
    "4349": "Cerebral artery occlusion, unspecified",
    "4351": "Vertebral artery syndrome",
    "4359": "Unspecified transient cerebral ischemia",
    "01502": "Tuberculosis of vertebral column, bacteriological or histological examination unknown (at present)",
    "0156": "Tuberculosis of mastoid",
    "01600": "Tuberculosis of kidney, unspecified",
    "01603": "Tuberculosis of kidney, tubercle bacilli found (in sputum) by microscopy",
    "01616": "Tuberculosis of bladder, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01653": "Tuberculosis of other male genital organs, tubercle bacilli found (in sputum) by microscopy",
    "01673": "Tuberculosis of other female genital organs, tubercle bacilli found (in sputum) by microscopy",
    "01753": "Tuberculosis of thyroid gland, tubercle bacilli found (in sputum) by microscopy",
    "018": "Miliary tuberculosis",
    "01892": "Miliary tuberculosis, unspecified, bacteriological or histological examination unknown (at present)",
    "01894": "Miliary tuberculosis, unspecified, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "0218": "Other specified tularemia",
    "0340": "Streptococcal sore throat",
    "03643": "Meningococcal myocarditis",
    "04102": "Streptococcus infection in conditions classified elsewhere and of unspecified site, streptococcus, group B",
    "052": "Chickenpox",
    "05311": "Geniculate herpes zoster",
    "05320": "Herpes zoster dermatitis of eyelid",
    "05371": "Otitis externa due to herpes zoster",
    "0541": "Genital herpes",
    "05412": "Herpetic ulceration of vulva",
    "05419": "Other genital herpes",
    "0545": "Herpetic septicemia",
    "0551": "Postmeasles pneumonia",
    "0653": "Other tick-borne hemorrhagic fever",
    "0658": "Other specified arthropod-borne hemorrhagic fever",
    "06640": "West Nile Fever, unspecified",
    "07042": "Hepatitis delta without mention of active hepatitis B disease with hepatic coma",
    "0728": "Mumps with unspecified complication",
    "0741": "Epidemic pleurodynia",
    "0743": "Hand, foot, and mouth disease",
    "0769": "Trachoma, unspecified",
    "0772": "Pharyngoconjunctival fever",
    "0819": "Typhus, unspecified",
    "084": "Malaria",
    "0849": "Other pernicious complications of malaria",
    "0850": "Visceral [kala-azar] leishmaniasis",
    "09040": "Juvenile neurosyphilis, unspecified",
    "0906": "Late congenital syphilis, latent",
    "09150": "Syphilitic uveitis, unspecified",
    "09182": "Syphilitic alopecia",
    "0941": "General paresis",
    "0943": "Asymptomatic neurosyphilis",
    "09810": "Gonococcal infection (acute) of upper genitourinary tract, site unspecified",
    "09859": "Other gonococcal infection of joint",
    "09882": "Gonococcal meningitis",
    "0993": "Reiter's disease",
    "1022": "Other early skin lesions of yaws",
    "1119": "Dermatomycosis, unspecified",
    "11282": "Candidal otitis externa",
    "1149": "Coccidioidomycosis, unspecified",
    "11502": "Infection by Histoplasma capsulatum, retinitis",
    "120": "Schistosomiasis [bilharziasis]",
    "1210": "Opisthorchiasis",
    "1220": "Echinococcus granulosus infection of liver",
    "E0134": "Activities involving floor mopping and cleaning",
    "E0141": "Caregiving involving lifting",
    "E0152": "Activities involving cooking and baking",
    "E0160": "Activities involving digging, shoveling and raking",
    "E8009": "Railway accident involving collision with rolling stock and injuring unspecified person",
    "E8011": "Railway accident involving collision with other object and injuring passenger on railway",
    "E802": "Railway accident involving derailment without antecedent collision",
    "E8022": "Railway accident involving derailment without antecedent collision injuring pedestrian",
    "E8030": "Railway accident involving explosion, fire, or burning injuring railway employee",
    "E8147": "Motor vehicle traffic accident involving collision with pedestrian injuring pedestrian",
    "80474": "Open fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "8053": "Open fracture of dorsal [thoracic] vertebra without mention of spinal cord injury",
    "8056": "Closed fracture of sacrum and coccyx without mention of spinal cord injury",
    "8060": "Closed fracture of cervical vertebra with spinal cord injury",
    "80611": "Open fracture of C1-C4 level with complete lesion of cord",
    "8066": "Closed fracture of sacrum and coccyx with spinal cord injury",
    "80853": "Multiple open pelvic fractures with disruption of pelvic circle",
    "810": "Fracture of clavicle",
    "81101": "Closed fracture of acromial process of scapula",
    "81230": "Open fracture of unspecified part of humerus",
    "81259": "Other open fracture of lower end of humerus",
    "81300": "Closed fracture of upper end of forearm, unspecified",
    "81314": "Other and unspecified open fractures of proximal end of ulna (alone)",
    "81320": "Closed fracture of shaft of radius or ulna, unspecified",
    "81340": "Closed fracture of lower end of forearm, unspecified",
    "81341": "Closed Colles' fracture",
    "81390": "Open fracture of unspecified part of forearm",
    "81393": "Open fracture of unspecified part of radius with ulna",
    "81400": "Closed fracture of carpal bone, unspecified",
    "81402": "Closed fracture of lunate [semilunar] bone of wrist",
    "816": "Fracture of one or more phalanges of hand",
    "81600": "Closed fracture of phalanx or phalanges of hand, unspecified",
    "82022": "Closed fracture of subtrochanteric section of neck of femur",
    "82121": "Closed fracture of condyle, femoral",
    "82131": "Open fracture of condyle, femoral",
    "8230": "Fracture of upper end of tibia and fibula, closed",
    "8231": "Fracture of upper end of tibia and fibula, open",
    "8232": "Fracture of shaft of tibia and fibula, closed",
    "82320": "Closed fracture of shaft of tibia alone",
    "82330": "Open fracture of shaft of tibia alone",
    "8250": "Fracture of calcaneus, closed",
    "82535": "Open fracture of metatarsal bone(s)",
    "8300": "Closed dislocation of jaw",
    "83109": "Closed dislocation of shoulder, other",
    "83203": "Closed medial dislocation of elbow",
    "83314": "Open dislocation of carpometacarpal (joint)",
    "83651": "Anterior dislocation of tibia, proximal end, closed",
    "83669": "Other dislocation of knee, open",
    "8400": "Acromioclavicular (joint) (ligament) sprain",
    "841": "Sprains and strains of elbow and forearm",
    "84209": "Other sprains and strains of wrist",
    "84510": "Sprain of foot, unspecified site",
    "850": "Concussion",
    "42731": "Atrial fibrillation",
    "4296": "Rupture of papillary muscle",
    "43850": "Late effects of cerebrovascular disease, other paralytic syndrome affecting unspecified side",
    "4388": "Other late effects of cerebrovascular disease",
    "44289": "Aneurysm of other specified artery",
    "4431": "Thromboangiitis obliterans [Buerger's disease]",
    "44501": "Atheroembolism of upper extremity",
    "45181": "Phlebitis and thrombophlebitis of iliac vein",
    "45183": "Phlebitis and thrombophlebitis of deep veins of upper extremities",
    "45376": "Chronic venous embolism and thrombosis of internal jugular veins",
    "4548": "Varicose veins of lower extremities with other complications",
    "4551": "Internal thrombosed hemorrhoids",
    "4572": "Lymphangitis",
    "4579": "Unspecified noninfectious disorder of lymphatic channels",
    "458": "Hypotension",
    "45910": "Postphlebetic syndrome without complications",
    "45989": "Other specified disorders of circulatory system",
    "4619": "Acute sinusitis, unspecified",
    "463": "Acute tonsillitis",
    "46400": "Acute laryngitis without mention of obstruction",
    "46611": "Acute bronchiolitis due to respiratory syncytial virus (RSV)",
    "477": "Allergic rhinitis",
    "4778": "Allergic rhinitis due to other allergen",
    "47819": "Other disease of nasal cavity and sinuses",
    "47822": "Parapharyngeal abscess",
    "47825": "Edema of pharynx or nasopharynx",
    "4823": "Pneumonia due to Streptococcus",
    "4829": "Bacterial pneumonia, unspecified",
    "485": "Bronchopneumonia, organism unspecified",
    "49121": "Obstructive chronic bronchitis with (acute) exacerbation",
    "493": "Asthma",
    "49390": "Asthma, unspecified type, unspecified",
    "5062": "Upper respiratory inflammation due to fumes and vapors",
    "5128": "Other pneumothorax and air leak",
    "513": "Abscess of lung and mediastinum",
    "5164": "Lymphangioleiomyomatosis",
    "51662": "Pulmonary interstitial glycogenosis",
    "1715": "Malignant neoplasm of connective and other soft tissue of abdomen",
    "1721": "Malignant melanoma of skin of eyelid, including canthus",
    "17302": "Squamous cell carcinoma of skin of lip",
    "17329": "Other specified malignant neoplasm of skin of ear and external auditory canal",
    "17342": "Squamous cell carcinoma of scalp and skin of neck",
    "17362": "Squamous cell carcinoma of skin of upper limb, including shoulder",
    "184": "Malignant neoplasm of other and unspecified female genital organs",
    "1844": "Malignant neoplasm of vulva, unspecified site",
    "185": "Malignant neoplasm of prostate",
    "1888": "Malignant neoplasm of other specified sites of bladder",
    "1891": "Malignant neoplasm of renal pelvis",
    "1909": "Malignant neoplasm of eye, part unspecified",
    "20012": "Lymphosarcoma, intrathoracic lymph nodes",
    "20013": "Lymphosarcoma, intra-abdominal lymph nodes",
    "2004": "Mantle cell lymphoma",
    "20071": "Large cell lymphoma, lymph nodes of head, face, and neck",
    "20078": "Large cell lymphoma, lymph nodes of multiple sites",
    "20100": "Hodgkin's paragranuloma, unspecified site, extranodal and solid organ sites",
    "20108": "Hodgkin's paragranuloma, lymph nodes of multiple sites",
    "20118": "Hodgkin's granuloma, lymph nodes of multiple sites",
    "2019": "Hodgkin's disease, unspecified type",
    "20201": "Nodular lymphoma, lymph nodes of head, face, and neck",
    "20217": "Mycosis fungoides, spleen",
    "20235": "Malignant histiocytosis, lymph nodes of inguinal region and lower limb",
    "2078": "Other specified leukemia",
    "2080": "Leukemia of unspecified cell type, acute",
    "2081": "Leukemia of unspecified cell type, chronic",
    "20891": "Unspecified leukemia, in remission",
    "20900": "Malignant carcinoid tumor of the small intestine, unspecified portion",
    "20930": "Malignant poorly differentiated neuroendocrine carcinoma, any site",
    "20960": "Benign carcinoid tumor of unknown primary site",
    "20969": "Benign carcinoid tumor of other sites",
    "2101": "Benign neoplasm of tongue",
    "2103": "Benign neoplasm of floor of mouth",
    "2139": "Benign neoplasm of bone and articular cartilage, site unspecified",
    "2160": "Benign neoplasm of skin of lip",
    "2182": "Subserous leiomyoma of uterus",
    "2224": "Benign neoplasm of scrotum",
    "22389": "Benign neoplasm of other specified sites of urinary organs",
    "2258": "Benign neoplasm of other specified sites of nervous system",
    "2271": "Benign neoplasm of parathyroid gland",
    "2274": "Benign neoplasm of pineal gland",
    "22800": "Hemangioma of unspecified site",
    "2330": "Carcinoma in situ of breast",
    "2336": "Carcinoma in situ of other and unspecified male genital organs",
    "234": "Carcinoma in situ of other and unspecified sites",
    "2357": "Neoplasm of uncertain behavior of trachea, bronchus, and lung",
    "2382": "Neoplasm of uncertain behavior of skin",
    "2384": "Polycythemia vera",
    "2400": "Goiter, specified as simple",
    "24200": "Toxic diffuse goiter without mention of thyrotoxic crisis or storm",
    "2421": "Toxic uninodular goiter",
    "244": "Acquired hypothyroidism",
    "24920": "Secondary diabetes mellitus with hyperosmolarity, not stated as uncontrolled, or unspecified",
    "24921": "Secondary diabetes mellitus with hyperosmolarity, uncontrolled",
    "25050": "Diabetes with ophthalmic manifestations, type II or unspecified type, not stated as uncontrolled",
    "25063": "Diabetes with neurological manifestations, type I [juvenile type], uncontrolled",
    "25073": "Diabetes with peripheral circulatory disorders, type I [juvenile type], uncontrolled",
    "2508": "Diabetes with other specified manifestations",
    "25093": "Diabetes with unspecified complication, type I [juvenile type], uncontrolled",
    "251": "Other disorders of pancreatic internal secretion",
    "2550": "Cushing's syndrome",
    "25511": "Glucocorticoid-remediable aldosteronism",
    "2561": "Other ovarian hyperfunction",
    "2588": "Other specified polyglandular dysfunction",
    "2593": "Ectopic hormone secretion, not elsewhere classified",
    "E9659": "Assault by unspecified explosive",
    "E967": "Perpetrator of child and adult abuse",
    "E9688": "Assault by other specified means",
    "E9800": "Poisoning by analgesics, antipyretics, and antirheumatics, undetermined whether accidentally or purposely inflicted",
    "E9803": "Poisoning by tranquilizers and other psychotropic agents, undetermined whether accidentally or purposely inflicted",
    "E9808": "Poisoning by arsenic and its compounds, undetermined whether accidentally or purposely inflicted",
    "E9828": "Poisoning by other specified gases and vapors, undetermined whether accidentally or purposely inflicted",
    "E988": "Injury by other and unspecified means, undetermined whether accidentally or purposely inflicted",
    "E9930": "Injury due to war operations by aerial bomb",
    "V0254": "Carrier or suspected carrier of Methicillin resistant Staphylococcus aureus",
    "V040": "Need for prophylactic vaccination and inoculation against poliomyelitis",
    "1226": "Echinococcus multilocularis infection, other",
    "1304": "Pneumonitis due to toxoplasmosis",
    "133": "Acariasis",
    "136": "Other and unspecified infectious and parasitic diseases",
    "1363": "Pneumocystosis",
    "1439": "Malignant neoplasm of gum, unspecified",
    "1479": "Malignant neoplasm of nasopharynx, unspecified site",
    "1501": "Malignant neoplasm of thoracic esophagus",
    "1511": "Malignant neoplasm of pylorus",
    "1514": "Malignant neoplasm of body of stomach",
    "1519": "Malignant neoplasm of stomach, unspecified site",
    "1531": "Malignant neoplasm of transverse colon",
    "1562": "Malignant neoplasm of ampulla of vater",
    "1572": "Malignant neoplasm of tail of pancreas",
    "85100": "Cortex (cerebral) contusion without mention of open intracranial wound, unspecified state of consciousness",
    "85105": "Cortex (cerebral) contusion without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85116": "Cortex (cerebral) contusion with open intracranial wound, with loss of consciousness of unspecified duration",
    "85119": "Cortex (cerebral) contusion with open intracranial wound, with concussion, unspecified",
    "85144": "Cerebellar or brain stem contusion without mention of open intracranial wound, with prolonged [more than 24 hours] loss consciousness and return to pre-existing conscious level",
    "85172": "Cerebellar or brain stem laceration with open intracranial wound, with brief [less than one hour] loss of consciousness",
    "85180": "Other and unspecified cerebral laceration and contusion, without mention of open intracranial wound, unspecified state of consciousness",
    "85200": "Subarachnoid hemorrhage following injury without mention of open intracranial wound, unspecified state of consciousness",
    "85209": "Subarachnoid hemorrhage following injury without mention of open intracranial wound, with concussion, unspecified",
    "85241": "Extradural hemorrhage following injury without mention of open intracranial wound, with no loss of consciousness",
    "85306": "Other and unspecified intracranial hemorrhage following injury without mention of open intracranial wound, with loss of consciousness of unspecified duration",
    "85410": "Intracranial injury of other and unspecified nature with open intracranial wound, unspecified state of consciousness",
    "134": "Other infestation",
    "1348": "Other specified infestations",
    "1373": "Late effects of tuberculosis of bones and joints",
    "1390": "Late effects of viral encephalitis",
    "1416": "Malignant neoplasm of lingual tonsil",
    "1471": "Malignant neoplasm of posterior wall of nasopharynx",
    "1505": "Malignant neoplasm of lower third of esophagus",
    "1631": "Malignant neoplasm of visceral pleura",
    "1701": "Malignant neoplasm of mandible",
    "1714": "Malignant neoplasm of connective and other soft tissue of thorax",
    "17300": "Unspecified malignant neoplasm of skin of lip",
    "17312": "Squamous cell carcinoma of eyelid, including canthus",
    "17359": "Other specified malignant neoplasm of skin of trunk, except scrotum",
    "17360": "Unspecified malignant neoplasm of skin of upper limb, including shoulder",
    "17382": "Squamous cell carcinoma of other specified sites of skin",
    "1838": "Malignant neoplasm of other specified sites of uterine adnexa",
    "1880": "Malignant neoplasm of trigone of urinary bladder",
    "1917": "Malignant neoplasm of brain stem",
    "195": "Malignant neoplasm of other and ill-defined sites",
    "1951": "Malignant neoplasm of thorax",
    "1962": "Secondary and unspecified malignant neoplasm of intra-abdominal lymph nodes",
    "1963": "Secondary and unspecified malignant neoplasm of lymph nodes of axilla and upper limb",
    "1982": "Secondary malignant neoplasm of skin",
    "20004": "Reticulosarcoma, lymph nodes of axilla and upper limb",
    "20032": "Marginal zone lymphoma, intrathoracic lymph nodes",
    "20034": "Marginal zone lymphoma, lymph nodes of axilla and upper limb",
    "20046": "Mantle cell lymphoma, intrapelvic lymph nodes",
    "20056": "Primary central nervous system lymphoma, intrapelvic lymph nodes",
    "20072": "Large cell lymphoma, intrathoracic lymph nodes",
    "20142": "Hodgkin's disease, lymphocytic-histiocytic predominance, intrathoracic lymph nodes",
    "20158": "Hodgkin's disease, nodular sclerosis, lymph nodes of multiple sites",
    "20203": "Nodular lymphoma, intra-abdominal lymph nodes",
    "20206": "Nodular lymphoma, intrapelvic lymph nodes",
    "20208": "Nodular lymphoma, lymph nodes of multiple sites",
    "20223": "Sezary's disease, intra-abdominal lymph nodes",
    "20224": "Sezary's disease, lymph nodes of axilla and upper limb",
    "20226": "Sezary's disease, intrapelvic lymph nodes",
    "20257": "Letterer-siwe disease, spleen",
    "20240": "Leukemic reticuloendotheliosis, unspecified site, extranodal and solid organ sites",
    "20245": "Leukemic reticuloendotheliosis, lymph nodes of inguinal region and lower limb",
    "20275": "Peripheral T cell lymphoma, lymph nodes of inguinal region and lower limb",
    "20285": "Other malignant lymphomas, lymph nodes of inguinal region and lower limb",
    "20402": "Acute lymphoid leukemia, in relapse",
    "20420": "Subacute lymphoid leukemia, without mention of having achieved remission",
    "2058": "Other myeloid leukemia",
    "20580": "Other myeloid leukemia, without mention of having achieved remission",
    "20681": "Other monocytic leukemia, in remission",
    "20690": "Unspecified monocytic leukemia, without mention of having achieved remission",
    "20821": "Subacute leukemia of unspecified cell type, in remission",
    "20921": "Malignant carcinoid tumor of the bronchus and lung",
    "2112": "Benign neoplasm of duodenum, jejunum, and ileum",
    "2119": "Benign neoplasm of other and unspecified site in the digestive system",
    "2127": "Benign neoplasm of heart",
    "2230": "Benign neoplasm of kidney, except pelvis",
    "2231": "Benign neoplasm of renal pelvis",
    "2232": "Benign neoplasm of ureter",
    "22381": "Benign neoplasm of urethra",
    "2308": "Carcinoma in situ of liver and biliary system",
    "2321": "Carcinoma in situ of eyelid, including canthus",
    "2325": "Carcinoma in situ of skin of trunk, except scrotum",
    "233": "Carcinoma in situ of breast and genitourinary system",
    "2350": "Neoplasm of uncertain behavior of major salivary glands",
    "23773": "Schwannomatosis",
    "240": "Simple and unspecified goiter",
    "2422": "Toxic multinodular goiter",
    "24241": "Thyrotoxicosis from ectopic thyroid nodule with mention of thyrotoxic crisis or storm",
    "2459": "Thyroiditis, unspecified",
    "24950": "Secondary diabetes mellitus with ophthalmic manifestations, not stated as uncontrolled, or unspecified",
    "24961": "Secondary diabetes mellitus with neurological manifestations, uncontrolled",
    "25013": "Diabetes with ketoacidosis, type I [juvenile type], uncontrolled",
    "25041": "Diabetes with renal manifestations, type I [juvenile type], not stated as uncontrolled",
    "25051": "Diabetes with ophthalmic manifestations, type I [juvenile type], not stated as uncontrolled",
    "25201": "Primary hyperparathyroidism",
    "2535": "Diabetes insipidus",
    "2555": "Other adrenal hypofunction",
    "2560": "Hyperestrogenism",
    "2563": "Other ovarian failure",
    "44823844": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823845": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5427": "Aftercare for healing pathologic fracture of vertebrae",
    "44823847": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823848": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5871": "Aftercare following surgery of the sense organs, NEC",
    "V5882": "Fitting and adjustment of nonvascular catheter, NEC",
    "44823851": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823852": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823853": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823854": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823855": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V597": "Egg (oocyte) (ovum)",
    "44823857": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820364": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V073": "Need for other prophylactic chemotherapy",
    "44820366": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820367": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V100": "Personal history of malignant neoplasm of gastrointestinal tract",
    "V1011": "Personal history of malignant neoplasm of bronchus and lung",
    "V1020": "Personal history of malignant neoplasm of respiratory organ, unspecified",
    "V1046": "Personal history of malignant neoplasm of prostate",
    "V1085": "Personal history of malignant neoplasm of brain",
    "44820373": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820374": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820375": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820376": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820377": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820378": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820379": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1209": "Personal history of other infectious and parasitic diseases",
    "V121": "Personal history of nutritional deficiency",
    "V1270": "Personal history of unspecified digestive disease",
    "V1271": "Personal history of peptic ulcer disease",
    "44820384": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V130": "Personal history of disorders of urinary system",
    "V1368": "Personal history of (corrected) congenital malformations of integument, limbs, and musculoskeletal systems",
    "V1389": "Personal history of other specified diseases",
    "44820388": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V147": "Personal history of allergy to serum or vaccine",
    "V15": "Other personal history presenting hazards to health",
    "V1503": "Allergy to eggs",
    "V154": "Personal history of psychological trauma, presenting hazards to health",
    "44820393": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V167": "Family history of other lymphatic and hematopoietic neoplasms",
    "V168": "Family history of other specified malignant neoplasm",
    "44820396": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V20": "Health supervision of infant or child",
    "44820398": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820400": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820401": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820402": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820403": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820404": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820405": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V261": "Artificial insemination",
    "V264": "General counseling and advice on procreative management",
    "44820408": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "20295": "Other and unspecified malignant neoplasms of lymphoid and histiocytic tissue, lymph nodes of inguinal region and lower limb",
    "2031": "Plasma cell leukemia",
    "20310": "Plasma cell leukemia, without mention of having achieved remission",
    "204": "Lymphoid leukemia",
    "2040": "Lymphoid leukemia, acute",
    "20401": "Acute lymphoid leukemia, in remission",
    "20412": "Chronic lymphoid leukemia, in relapse",
    "20581": "Other myeloid leukemia, in remission",
    "20582": "Other myeloid leukemia, in relapse",
    "20912": "Malignant carcinoid tumor of the cecum",
    "20929": "Malignant carcinoid tumor of other sites",
    "2094": "Benign carcinoid tumors of the small intestine",
    "20953": "Benign carcinoid tumor of the ascending colon",
    "2116": "Benign neoplasm of pancreas, except islets of Langerhans",
    "2153": "Other benign neoplasm of connective and other soft tissue of lower limb, including hip",
    "2221": "Benign neoplasm of penis",
    "223": "Benign neoplasm of kidney and other urinary organs",
    "2273": "Benign neoplasm of pituitary gland and craniopharyngeal duct",
    "2275": "Benign neoplasm of carotid body",
    "2279": "Benign neoplasm of endocrine gland, site unspecified",
    "2306": "Carcinoma in situ of anus, unspecified",
    "2326": "Carcinoma in situ of skin of upper limb, including shoulder",
    "2351": "Neoplasm of uncertain behavior of lip, oral cavity, and pharynx",
    "2366": "Neoplasm of uncertain behavior of other and unspecified male genital organs",
    "23876": "Myelofibrosis with myeloid metaplasia",
    "2389": "Neoplasm of uncertain behavior, site unspecified",
    "44822690": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V352": "Other multiple birth (three or more), mates all stillborn, born outside of hospital and not hospitalized",
    "44822692": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V412": "Problems with hearing",
    "V417": "Problems with sexual function",
    "44822695": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822696": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822697": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V449": "Unspecified artificial opening status",
    "V4509": "Other specified cardiac device in situ",
    "V452": "Presence of cerebrospinal fluid drainage device",
    "V4552": "Presence of subdermal contraceptive implant",
    "V456": "States following surgery of eye and adnexa",
    "44822703": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822704": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4976": "Above knee amputation status",
    "44822706": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V502": "Routine or ritual circumcision",
    "V510": "Encounter for breast reconstruction following mastectomy",
    "44822709": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5401": "Encounter for removal of internal fixation device",
    "V5402": "Encounter for lengthening/adjustment of growth rod",
    "V549": "Unspecified orthopedic aftercare",
    "44822713": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V55": "Attention to artificial openings",
    "44822715": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V56": "Encounter for dialysis and dialysis catheter care",
    "44823858": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823859": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823860": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V603": "Person living alone",
    "V612": "Parent-child problems",
    "V6124": "Counseling for parent-adopted child problem",
    "V618": "Other specified family circumstances",
    "V629": "Unspecified psychosocial circumstance",
    "44823866": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V639": "Unspecified reason for unavailability of medical facilities",
    "44823868": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V653": "Dietary surveillance and counseling",
    "V672": "Follow-up examination, following chemotherapy",
    "V6751": "Follow-up examination, following completed treatment with high-risk medication, not elsewhere classified",
    "V6809": "Other issue of medical certificates",
    "44823874": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823875": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V698": "Other problems related to lifestyle",
    "V699": "Unspecified problem related to lifestyle",
    "V711": "Observation for suspected malignant neoplasm",
    "V7219": "Other examination of ears and hearing",
    "V7262": "Laboratory examination ordered as part of a routine general medical examination",
    "V727": "Diagnostic skin and sensitization tests",
    "V731": "Screening examination for smallpox",
    "V733": "Screening examination for rubella",
    "V734": "Screening examination for yellow fever",
    "V7381": "Special screening examination for Human papillomavirus (HPV)",
    "V7398": "Special screening examination for unspecified chlamydial disease",
    "44823888": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823889": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V74": "Special screening examination for bacterial and spirochetal diseases",
    "V741": "Screening examination for pulmonary tuberculosis",
    "44823893": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V755": "Screening examination for schistosomiasis",
    "V7610": "Breast screening, unspecified",
    "V7644": "Screening for malignant neoplasms of prostate",
    "V7646": "Special screening for malignant neoplasms of ovary",
    "V768": "Screening for other malignant neoplasms",
    "44823899": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823900": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823901": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8009": "Special screening for other neurological conditions",
    "V802": "Screening for other eye conditions",
    "44823904": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823905": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V810": "Screening for ischemic heart disease",
    "44823907": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823908": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824950": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V12": "Personal history of certain other diseases",
    "V120": "Personal history of infectious and parasitic diseases",
    "43882": "Other late effects of cerebrovascular disease, dysphagia",
    "44031": "Atherosclerosis of autologous vein bypass graft of the extremities",
    "44032": "Atherosclerosis of nonautologous biological bypass graft of the extremities",
    "4410": "Dissecting aneurysm of aorta",
    "4411": "Thoracic aneurysm, ruptured",
    "4428": "Aneurysm of other specified artery",
    "4432": "Other arterial dissection",
    "44389": "Other specified peripheral vascular diseases",
    "44409": "Other arterial embolism and thrombosis of abdominal aorta",
    "4450": "Atheroembolism Of extremities",
    "44589": "Atheroembolism of other site",
    "446": "Polyarteritis nodosa and allied conditions",
    "44771": "Thoracic aortic ectasia",
    "45342": "Acute venous embolism and thrombosis of deep vessels of distal lower extremity",
    "45350": "Chronic venous embolism and thrombosis of unspecified deep vessels of lower extremity",
    "45374": "Chronic venous embolism and thrombosis of axillary veins",
    "45375": "Chronic venous embolism and thrombosis of subclavian veins",
    "45386": "Acute venous embolism and thrombosis of internal jugular veins",
    "4541": "Varicose veins of lower extremities with inflammation",
    "4563": "Sublingual varices",
    "4568": "Varices of other sites",
    "4580": "Orthostatic hypotension",
    "46451": "Supraglottitis unspecified, with obstruction",
    "4760": "Chronic laryngitis",
    "4780": "Hypertrophy of nasal turbinates",
    "4783": "Paralysis of vocal cords or larynx",
    "48232": "Pneumonia due to Streptococcus, group B",
    "48284": "Pneumonia due to Legionnaires' disease",
    "4838": "Pneumonia due to other specified organism",
    "48801": "Influenza due to identified avian influenza virus with pneumonia",
    "4952": "Bird-fanciers' lung",
    "5080": "Acute pulmonary manifestations due to radiation",
    "5178": "Lung involvement in other diseases classified elsewhere",
    "51853": "Acute and chronic respiratory failure following trauma and surgery",
    "5188": "Other diseases of lung",
    "51889": "Other diseases of lung, not elsewhere classified",
    "5210": "Dental caries",
    "52101": "Dental caries limited to enamel",
    "5211": "Excessive dental attrition [approximal wear] [occlusal wear]",
    "52110": "Excessive attrition, unspecified",
    "52120": "Abrasion, unspecified",
    "52122": "Abrasion, extending into dentine",
    "52341": "Chronic periodontitis, localized",
    "V572": "Care involving occupational therapy and vocational rehabilitation",
    "V5789": "Care involving other specified rehabilitation procedure",
    "44822719": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822720": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5832": "Encounter for removal of sutures",
    "V5849": "Other specified aftercare following surgery",
    "V589": "Unspecified aftercare",
    "V59": "Donors",
    "V591": "Skin donors",
    "V593": "Bone marrow donors",
    "44822727": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822728": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V610": "Family disruption",
    "44822730": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822731": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822732": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822733": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822734": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6541": "Exercise counseling",
    "V6545": "Counseling on other sexually transmitted diseases",
    "44822738": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822739": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822740": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822741": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822742": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822743": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822744": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V691": "Inappropriate diet and eating habits",
    "44822746": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V704": "Examination for medicolegal reasons",
    "V7182": "Observation and evaluation for suspected exposure to anthrax",
    "44822750": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7241": "Pregnancy examination or test, negative result",
    "V743": "Screening examination for diphtheria",
    "V76": "Special screening for malignant neoplasms",
    "V7681": "Special screening for malignant neoplasms of nervous system",
    "E8151": "Other motor vehicle traffic accident involving collision on the highway injuring passenger in motor vehicle other than motorcycle",
    "E8152": "Other motor vehicle traffic accident involving collision on the highway injuring motorcyclist",
    "E8160": "Motor vehicle traffic accident due to loss of control, without collision on the highway, injuring driver of motor vehicle other than motorcycle",
    "E820": "Nontraffic accident involving motor-driven snow vehicle",
    "E8201": "Nontraffic accident involving motor-driven snow vehicle injuring passenger in motor vehicle other than motorcycle",
    "V1204": "Personal history of Methicillin resistant Staphylococcus aureus",
    "V1269": "Personal history of other diseases of respiratory system",
    "44824955": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824956": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1303": "Personal history, nephrotic syndrome",
    "V1322": "Personal history of cervical dysplasia",
    "V1329": "Personal history of other genital system and obstetric disorders",
    "V1351": "Personal history of pathologic fracture",
    "V139": "Personal history of unspecified disease",
    "44824962": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824963": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824964": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824965": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824966": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824967": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824968": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V140": "Personal history of allergy to penicillin",
    "44824971": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824972": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824974": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824975": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824976": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824978": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V161": "Family history of malignant neoplasm of trachea, bronchus, and lung",
    "44824980": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824981": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V18": "Family history of certain other specific conditions",
    "V195": "Family history of congenital anomalies",
    "V2131": "Low birth weight status, less than 500 grams",
    "44824986": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V251": "Encounter for insertion or removal of intrauterine contraceptive device",
    "V254": "Encounter for surveillance of previously prescribed contraceptive methods",
    "44824990": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V2634": "Testing of male for genetic disease carrier status",
    "44824992": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824993": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V270": "Outcome of delivery, single liveborn",
    "V279": "Outcome of delivery, unspecified outcome of delivery",
    "44824996": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824997": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V302": "Single liveborn, born outside hospital and not hospitalized",
    "V310": "Twin, mate liveborn, born in hospital",
    "V3300": "Twin birth, unspecified whether mate liveborn or stillborn, born in hospital, delivered without mention of cesarean section",
    "V3700": "Other multiple birth (three or more), unspecified whether mates liveborn or stillborn, born in hospital, delivered without mention of cesarean section",
    "44825002": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V411": "Other eye problems",
    "52342": "Chronic periodontitis, generalized",
    "52409": "Major anomalies of jaw size, other specified anomaly",
    "52420": "Unspecified anomaly of dental arch relationship",
    "52428": "Anomalies of interarch distance",
    "52451": "Abnormal jaw closure",
    "5246": "Temporomandibular joint disorders",
    "52463": "Temporomandibular joint disorders, articular disc disorder (reducing or non-reducing)",
    "52522": "Moderate atrophy of the mandible",
    "52561": "Open restoration margins",
    "52563": "Fractured dental restorative material without loss of material",
    "52565": "Contour of existing restoration of tooth biologically incompatible with oral health",
    "52661": "Perforation of root canal space",
    "527": "Diseases of the salivary glands",
    "528": "Diseases of the oral soft tissues, excluding lesions specific for gingiva and tongue",
    "5280": "Stomatitis and mucositis (ulcerative)",
    "52800": "Stomatitis and mucositis, unspecified",
    "5286": "Leukoplakia of oral mucosa, including tongue",
    "5304": "Perforation of esophagus",
    "53082": "Esophageal hemorrhage",
    "53170": "Chronic gastric ulcer without mention of hemorrhage or perforation, without mention of obstruction",
    "53190": "Gastric ulcer, unspecified as acute or chronic, without mention of hemorrhage or perforation, without mention of obstruction",
    "5323": "Acute duodenal ulcer without mention of hemorrhage or perforation",
    "53301": "Acute peptic ulcer of unspecified site with hemorrhage, with obstruction",
    "1591": "Malignant neoplasm of spleen, not elsewhere classified",
    "1601": "Malignant neoplasm of auditory tube, middle ear, and mastoid air cells",
    "1608": "Malignant neoplasm of other accessory sinuses",
    "162": "Malignant neoplasm of trachea, bronchus, and lung",
    "1726": "Malignant melanoma of skin of upper limb, including shoulder",
    "17319": "Other specified malignant neoplasm of eyelid, including canthus",
    "17320": "Unspecified malignant neoplasm of skin of ear and external auditory canal",
    "17322": "Squamous cell carcinoma of skin of ear and external auditory canal",
    "1734": "Other and unspecified malignant neoplasm of scalp and skin of neck",
    "17352": "Squamous cell carcinoma of skin of trunk, except scrotum",
    "17361": "Basal cell carcinoma of skin of upper limb, including shoulder",
    "1745": "Malignant neoplasm of lower-outer quadrant of female breast",
    "1808": "Malignant neoplasm of other specified sites of cervix",
    "1871": "Malignant neoplasm of prepuce",
    "1873": "Malignant neoplasm of body of penis",
    "1876": "Malignant neoplasm of spermatic cord",
    "1884": "Malignant neoplasm of posterior wall of urinary bladder",
    "1902": "Malignant neoplasm of lacrimal gland",
    "191": "Malignant neoplasm of brain",
    "1913": "Malignant neoplasm of parietal lobe",
    "1958": "Malignant neoplasm of other specified sites",
    "20018": "Lymphosarcoma, lymph nodes of multiple sites",
    "20041": "Mantle cell lymphoma, lymph nodes of head, face, and neck",
    "20043": "Mantle cell lymphoma, intra-abdominal lymph nodes",
    "20050": "Primary central nervous system lymphoma, unspecified site, extranodal and solid organ sites",
    "2007": "Large cell lymphoma",
    "20101": "Hodgkin's paragranuloma, lymph nodes of head, face, and neck",
    "20103": "Hodgkin's paragranuloma, intra-abdominal lymph nodes",
    "20114": "Hodgkin's granuloma, lymph nodes of axilla and upper limb",
    "20160": "Hodgkin's disease, mixed cellularity, unspecified site, extranodal and solid organ sites",
    "20166": "Hodgkin's disease, mixed cellularity, intrapelvic lymph nodes",
    "2017": "Hodgkin's disease, lymphocytic depletion",
    "20174": "Hodgkin's disease, lymphocytic depletion, lymph nodes of axilla and upper limb",
    "E825": "Other motor vehicle nontraffic accident of other and unspecified nature",
    "E836": "Machinery accident in water transport",
    "E845": "Accident involving spacecraft",
    "E847": "Accidents involving cable cars not running on rails",
    "E8499": "Accidents occurring in unspecified place",
    "E8532": "Accidental poisoning by benzodiazepine-based tranquilizers",
    "E8551": "Accidental poisoning by other central nervous system depressants",
    "E858": "Accidental poisoning by other drugs",
    "E8609": "Accidental poisoning by unspecified alcohol",
    "E8615": "Accidental poisoning by lead paints",
    "E8706": "Accidental cut, puncture, perforation or hemorrhage during heart catheterization",
    "E8707": "Accidental cut, puncture, perforation or hemorrhage during administration of enema",
    "E8715": "Foreign object left in body during aspiration of fluid or tissue, puncture, and catheterization",
    "E8731": "Incorrect dilution of fluid during infusion",
    "E8738": "Other specified failure in dosage",
    "E8742": "Mechanical failure of instrument or apparatus during kidney dialysis and other perfusion",
    "E8748": "Mechanical failure of instrument or apparatus during other specified procedures",
    "E8750": "Contaminated substance transfused or infused",
    "E8766": "Performance of operation (procedure) on patient not scheduled for surgery",
    "E8843": "Accidental fall from wheelchair",
    "E8869": "Other and unspecified falls on same level from collision, pushing, or shoving, by or with other person",
    "E8912": "Other smoke and fumes from conflagration in other and unspecified building or structure",
    "E8938": "Accident caused by ignition of clothing from other specified sources",
    "E9018": "Accident due to excessive cold of other specified origin",
    "E9060": "Dog bite",
    "E9069": "Unspecified injury caused by animal",
    "E9080": "Hurricane",
    "E9088": "Other cataclysmic storms",
    "8611": "Heart injury, with open wound into thorax",
    "86331": "Injury to duodenum, with open wound into cavity",
    "8634": "Injury to colon or rectum without mention of open wound into cavity",
    "86349": "Other injury to colon or rectum, without mention of open wound into cavity",
    "86384": "Injury to pancreas, multiple and unspecified sites, without mention of open wound into cavity",
    "864": "Injury to liver",
    "86405": "Injury to liver without mention of open wound into cavity laceration, unspecified",
    "8650": "Injury to spleen without mention of open wound into cavity",
    "8676": "Injury to other specified pelvic organs, without mention of open wound into cavity",
    "8677": "Injury to other specified pelvic organs, with open wound into cavity",
    "44825004": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4284": "Organ or tissue replaced by transplant, intestines",
    "V438": "Other organ or tissue replaced by other means",
    "44825007": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825008": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825009": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4573": "Acquired absence of kidney",
    "44825011": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "5168": "Other specified alveolar and parietoalveolar pneumonopathies",
    "5182": "Compensatory emphysema",
    "5185": "Pulmonary insufficiency following trauma and surgery",
    "5191": "Other diseases of trachea and bronchus, not elsewhere classified",
    "52124": "Abrasion, localized",
    "52132": "Erosion, extending into dentine",
    "52133": "Erosion, extending into pulp",
    "52135": "Erosion, generalized",
    "52189": "Other specific diseases of hard tissues of teeth",
    "5219": "Unspecified disease of hard tissues of teeth",
    "52301": "Acute gingivitis, non-plaque induced",
    "5232": "Gingival recession",
    "52403": "Major anomalies of jaw size, maxillary hypoplasia",
    "52410": "Anomalies of relationship of jaw to cranial base, unspecified anomaly",
    "52435": "Rotation of tooth/teeth",
    "52437": "Excessive interocclusal distance of teeth",
    "52482": "Posterior soft tissue impingement",
    "52579": "Other endosseous dental implant failure",
    "5262": "Other cysts of jaws",
    "52681": "Exostosis of jaw",
    "52689": "Other specified diseases of the jaws",
    "5293": "Hypertrophy of tongue papillae",
    "5298": "Other specified conditions of the tongue",
    "53019": "Other esophagitis",
    "5302": "Ulcer of esophagus",
    "53081": "Esophageal reflux",
    "53110": "Acute gastric ulcer with perforation, without mention of obstruction",
    "53410": "Acute gastrojejunal ulcer with perforation, without mention of obstruction",
    "5342": "Acute gastrojejunal ulcer with hemorrhage and perforation",
    "53551": "Unspecified gastritis and gastroduodenitis, with hemorrhage",
    "5363": "Gastroparesis",
    "53981": "Infection due to other bariatric procedure",
    "55103": "Femoral hernia with gangrene, bilateral, recurrent",
    "5518": "Hernia of other specified sites, with gangrene",
    "5559": "Regional enteritis of unspecified site",
    "5563": "Ulcerative (chronic) proctosigmoiditis",
    "5581": "Gastroenteritis and colitis due to radiation",
    "56210": "Diverticulosis of colon (without mention of hemorrhage)",
    "5643": "Vomiting following gastrointestinal surgery",
    "56731": "Psoas muscle abscess",
    "56739": "Other retroperitoneal infections",
    "56782": "Sclerosing mesenteritis",
    "56943": "Anal sphincter tear (healed) (old)",
    "56961": "Infection of colostomy or enterostomy",
    "56979": "Other complications of intestinal pouch",
    "56989": "Other specified disorders of intestine",
    "5723": "Portal hypertension",
    "57512": "Acute and chronic cholecystitis",
    "5768": "Other specified disorders of biliary tract",
    "5769": "Unspecified disorder of biliary tract",
    "59001": "Chronic pyelonephritis with lesion of renal medullary necrosis",
    "5901": "Acute pyelonephritis",
    "5930": "Nephroptosis",
    "20214": "Mycosis fungoides, lymph nodes of axilla and upper limb",
    "20228": "Sezary's disease, lymph nodes of multiple sites",
    "20237": "Malignant histiocytosis, spleen",
    "20256": "Letterer-siwe disease, intrapelvic lymph nodes",
    "20292": "Other and unspecified malignant neoplasms of lymphoid and histiocytic tissue, intrathoracic lymph nodes",
    "20312": "Plasma cell leukemia, in relapse",
    "2049": "Unspecified lymphoid leukemia",
    "20490": "Unspecified lymphoid leukemia, without mention of having achieved remission",
    "20492": "Unspecified lymphoid leukemia, in relapse",
    "2050": "Myeloid leukemia, acute",
    "20520": "Subacute myeloid leukemia, without mention of having achieved remission",
    "2062": "Monocytic leukemia, subacute",
    "20924": "Malignant carcinoid tumor of the kidney",
    "20935": "Merkel cell carcinoma of the trunk",
    "20955": "Benign carcinoid tumor of the descending colon",
    "2102": "Benign neoplasm of major salivary glands",
    "2107": "Benign neoplasm of nasopharynx",
    "2115": "Benign neoplasm of liver and biliary passages",
    "2117": "Benign neoplasm of islets of Langerhans",
    "2150": "Other benign neoplasm of connective and other soft tissue of head, face, and neck",
    "2157": "Other benign neoplasm of connective and other soft tissue of trunk, unspecified",
    "2159": "Other benign neoplasm of connective and other soft tissue, site unspecified",
    "2181": "Intramural leiomyoma of uterus",
    "219": "Other benign neoplasm of uterus",
    "2191": "Benign neoplasm of corpus uteri",
    "2238": "Benign neoplasm of other specified sites of urinary organs",
    "2239": "Benign neoplasm of urinary organ, site unspecified",
    "2247": "Benign neoplasm of lacrimal duct",
    "2248": "Benign neoplasm of other specified parts of eye",
    "2251": "Benign neoplasm of cranial nerves",
    "86800": "Injury to other intra-abdominal organs without mention of open wound into cavity, unspecified intra-abdominal organ",
    "86802": "Injury to other intra-abdominal organs without mention of open wound into cavity, bile duct and gallbladder",
    "86804": "Injury to other intra-abdominal organs without mention of open wound into cavity, retroperitoneum",
    "8715": "Penetration of eyeball with magnetic foreign body",
    "87261": "Open wound of ear drum, without mention of complication",
    "87329": "Open wound of multiple sites of nose, without mention of complication",
    "87361": "Open wound of buccal mucosa, without mention of complication",
    "8789": "Open wound of other and unspecified parts of genital organs (external), complicated",
    "8797": "Open wound of other and unspecified parts of trunk, complicated",
    "8799": "Open wound(s) (multiple) of unspecified site(s), complicated",
    "88002": "Open wound of axillary region, without mention of complication",
    "88003": "Open wound of upper arm, without mention of complication",
    "88009": "Open wound of multiple sites of shoulder and upper arm, without mention of complication",
    "8801": "Open wound of shoulder and upper arm, complicated",
    "88013": "Open wound of upper arm, complicated",
    "8821": "Open wound of hand except finger(s) alone, complicated",
    "8940": "Multiple and unspecified open wound of lower limb, without mention of complication",
    "8962": "Traumatic amputation of foot (complete) (partial), bilateral, without mention of complication",
    "8975": "Traumatic amputation of leg(s) (complete) (partial), unilateral, level not specified, complicated",
    "90181": "Injury to intercostal artery or vein",
    "90211": "Injury to hepatic veins",
    "90224": "Injury to other specified branches of celiac axis",
    "90227": "Injury to inferior mesenteric artery",
    "90233": "Injury to portal vein",
    "90254": "Injury to iliac vein",
    "90256": "Injury to uterine vein",
    "9035": "Injury to digital blood vessels",
    "904": "Injury to blood vessels of lower extremity and unspecified sites",
    "9041": "Injury to superficial femoral artery",
    "90441": "Injury to popliteal artery",
    "9046": "Injury to deep plantar blood vessels",
    "9079": "Late effect of injury to other and unspecified nerve",
    "9082": "Late effect of internal injury to other internal organs",
    "9104": "Insect bite, nonvenomous of face, neck, and scalp except eye, without mention of infection",
    "9113": "Blister of trunk, infected",
    "9132": "Blister of elbow, forearm, and wrist, without mention of infection",
    "9151": "Abrasion or friction burn of finger(s), infected",
    "9178": "Other and unspecified superficial injury of foot and toes, without mention of infection",
    "9192": "Blister of other, multiple, and unspecified sites, without mention of infection",
    "9223": "Contusion of back",
    "9233": "Contusion of finger",
    "9242": "Contusion of ankle and foot, excluding toe(s)",
    "9251": "Crushing injury of face and scalp",
    "9261": "Crushing injury of other specified sites of trunk",
    "9269": "Crushing injury of unspecified site of trunk",
    "92700": "Crushing injury of shoulder region",
    "9279": "Crushing injury of unspecified site of upper limb",
    "9280": "Crushing injury of hip and thigh",
    "92811": "Crushing injury of knee",
    "9331": "Foreign body in larynx",
    "2399": "Neoplasm of unspecified nature, site unspecified",
    "2410": "Nontoxic uninodular goiter",
    "24280": "Thyrotoxicosis of other specified origin without mention of thyrotoxic crisis or storm",
    "2442": "Iodine hypothyroidism",
    "24970": "Secondary diabetes mellitus with peripheral circulatory disorders, not stated as uncontrolled, or unspecified",
    "2498": "Secondary diabetes mellitus with other specified manifestations",
    "9680": "Poisoning by central nervous system muscle-tone depressants",
    "9697": "Poisoning by psychostimulants",
    "9701": "Poisoning by opiate antagonists",
    "971": "Poisoning by drugs primarily affecting the autonomic nervous system",
    "9726": "Poisoning by other antihypertensive agents",
    "9735": "Poisoning by antidiarrheal drugs",
    "66343": "Short cord complicating labor and delivery, antepartum condition or complication",
    "66350": "Vasa previa complicating labor and delivery, unspecified as to episode of care or not applicable",
    "66363": "Vascular lesions of cord complicating labor and delivery, antepartum condition or complication",
    "6646": "Anal sphincter tear complicating delivery, not associated with third-degree perineal laceration",
    "6650": "Rupture of uterus before onset of labor",
    "66500": "Rupture of uterus before onset of labor, unspecified as to episode of care or not applicable",
    "66534": "Laceration of cervix, postpartum condition or complication",
    "66594": "Unspecified obstetrical trauma, postpartum condition or complication",
    "66614": "Other immediate postpartum hemorrhage, postpartum condition or complication",
    "6670": "Retained placenta without hemorrhage",
    "66801": "Pulmonary complications of anesthesia or other sedation in labor and delivery, delivered, with or without mention of antepartum condition",
    "6690": "Maternal distress",
    "6694": "Other complications of obstetrical surgery and procedures",
    "66942": "Other complications of obstetrical surgery and procedures, delivered, with mention of postpartum complication",
    "66994": "Unspecified complication of labor and delivery, postpartum condition or complication",
    "67032": "Puerperal septic thrombophlebitis, delivered, with mention of postpartum complication",
    "67084": "Other major puerperal infection, postpartum condition or complication",
    "67113": "Varicose veins of vulva and perineum complicating pregnancy and the puerperium, antepartum condition or complication",
    "6714": "Deep phlebothrombosis, postpartum",
    "67153": "Other phlebitis and thrombosis complicating pregnancy and the puerperium, antepartum condition or complication",
    "67320": "Obstetrical blood-clot embolism, unspecified as to episode of care or not applicable",
    "67333": "Obstetrical pyemic and septic embolism, antepartum condition or complication",
    "6760": "Retracted nipple associated with childbirth",
    "67601": "Retracted nipple associated with childbirth, delivered, with or without mention of antepartum condition",
    "67614": "Cracked nipple associated with childbirth, postpartum condition or complication",
    "67681": "Other disorders of lactation, delivered, with or without mention of antepartum condition",
    "67683": "Other disorders of lactation, antepartum condition or complication",
    "67801": "Fetal hematologic conditions, delivered, with or without mention of antepartum condition",
    "6781": "Fetal conjoined twins",
    "6801": "Carbuncle and furuncle of neck",
    "68111": "Onychia and paronychia of toe",
    "6901": "Seborrheic dermatitis",
    "69010": "Seborrheic dermatitis, unspecified",
    "69011": "Seborrhea capitis",
    "69271": "Sunburn",
    "6929": "Contact dermatitis and other eczema, unspecified cause",
    "695": "Erythematous conditions",
    "6955": "Exfoliation due to erythematous conditions according to extent of body surface involved",
    "69551": "Exfoliation due to erythematous condition involving 10-19 percent of body surface",
    "702": "Other dermatoses",
    "7021": "Seborrheic keratosis",
    "704": "Diseases of hair and hair follicles",
    "70710": "Ulcer of lower limb, unspecified",
    "7085": "Cholinergic urticaria",
    "70900": "Dyschromia, unspecified",
    "71100": "Pyogenic arthritis, site unspecified",
    "71116": "Arthropathy associated with Reiter's disease and nonspecific urethritis, lower leg",
    "7112": "Arthropathy in Behcet's syndrome",
    "2598": "Other specified endocrine disorders",
    "262": "Other severe protein-calorie malnutrition",
    "2632": "Arrested development following protein-calorie malnutrition",
    "2645": "Vitamin A deficiency with night blindness",
    "265": "Thiamine and niacin deficiency states",
    "2699": "Unspecified nutritional deficiency",
    "2713": "Intestinal disaccharidase deficiencies and disaccharide malabsorption",
    "27489": "Gout with other specified manifestations",
    "27650": "Volume depletion, unspecified",
    "27702": "Cystic fibrosis with pulmonary manifestations",
    "27709": "Cystic fibrosis with other manifestations",
    "27731": "Familial Mediterranean fever",
    "2776": "Other deficiencies of circulating enzymes",
    "2784": "Hypervitaminosis D",
    "2788": "Other hyperalimentation",
    "27900": "Hypogammaglobulinemia, unspecified",
    "2810": "Pernicious anemia",
    "28247": "Hemoglobin E-beta thalassemia",
    "28264": "Sickle-cell/Hb-C disease with crisis",
    "2869": "Other and unspecified coagulation defects",
    "28739": "Other primary thrombocytopenia",
    "2878": "Other specified hemorrhagic conditions",
    "2881": "Functional disorders of polymorphonuclear neutrophils",
    "29021": "Senile dementia with depressive features",
    "2912": "Alcohol-induced persisting dementia",
    "29382": "Psychotic disorder with hallucinations in conditions classified elsewhere",
    "29572": "Schizoaffective disorder, chronic",
    "29594": "Unspecified schizophrenia, chronic with acute exacerbation",
    "29603": "Bipolar I disorder, single manic episode, severe, without mention of psychotic behavior",
    "29610": "Manic affective disorder, recurrent episode, unspecified",
    "29611": "Manic affective disorder, recurrent episode, mild",
    "29665": "Bipolar I disorder, most recent episode (or current) mixed, in partial or unspecified remission",
    "29900": "Autistic disorder, current or active state",
    "30081": "Somatization disorder",
    "30112": "Chronic depressive personality disorder",
    "30189": "Other personality disorders",
    "3021": "Zoophilia",
    "3026": "Gender identity disorder in children",
    "3029": "Unspecified psychosexual disorder",
    "3039": "Other and unspecified alcohol dependence",
    "30392": "Other and unspecified alcohol dependence, episodic",
    "30481": "Combinations of drug dependence excluding opioid type drug, continuous",
    "30490": "Unspecified drug dependence, unspecified",
    "305": "Nondependent abuse of drugs",
    "30550": "Opioid abuse, unspecified",
    "25003": "Diabetes mellitus without mention of complication, type I [juvenile type], uncontrolled",
    "2515": "Abnormality of secretion of gastrin",
    "2549": "Unspecified disease of thymus gland",
    "25952": "Partial androgen insensitivity",
    "2682": "Osteomalacia, unspecified",
    "2690": "Deficiency of vitamin K",
    "2691": "Deficiency of other vitamins",
    "2701": "Phenylketonuria [PKU]",
    "2730": "Polyclonal hypergammaglobulinemia",
    "2733": "Macroglobulinemia",
    "2740": "Gouty arthropathy",
    "27652": "Hypovolemia",
    "27700": "Cystic fibrosis without mention of meconium ileus",
    "27802": "Overweight",
    "27913": "Nezelof's syndrome",
    "2793": "Unspecified immunity deficiency",
    "280": "Iron deficiency anemias",
    "2823": "Other hemolytic anemias due to enzyme deficiency",
    "28412": "Other drug-induced pancytopenia",
    "28419": "Other pancytopenia",
    "2862": "Congenital factor XI deficiency",
    "2894": "Hypersplenism",
    "2896": "Familial polycythemia",
    "29011": "Presenile dementia with delirium",
    "29042": "Vascular dementia, with delusions",
    "29384": "Anxiety disorder in conditions classified elsewhere",
    "2940": "Amnestic disorder in conditions classified elsewhere",
    "2941": "Dementia in conditions classified elsewhere",
    "29530": "Paranoid type schizophrenia, unspecified",
    "29531": "Paranoid type schizophrenia, subchronic",
    "29554": "Latent schizophrenia, chronic with acute exacerbation",
    "29564": "Schizophrenic disorders, residual type, chronic with acute exacerbation",
    "71128": "Arthropathy in Behcet's syndrome, other specified sites",
    "71130": "Postdysenteric arthropathy, site unspecified",
    "71131": "Postdysenteric arthropathy, shoulder region",
    "71146": "Arthropathy associated with other bacterial diseases, lower leg",
    "71151": "Arthropathy associated with other viral diseases, shoulder region",
    "71153": "Arthropathy associated with other viral diseases, forearm",
    "71177": "Arthropathy associated with helminthiasis, ankle and foot",
    "71180": "Arthropathy associated with other infectious and parasitic diseases, site unspecified",
    "71182": "Arthropathy associated with other infectious and parasitic diseases, upper arm",
    "3057": "Amphetamine or related acting sympathomimetic abuse",
    "3058": "Antidepressant type abuse",
    "3065": "Genitourinary malfunction arising from mental factors",
    "3089": "Unspecified acute reaction to stress",
    "30982": "Adjustment reaction with physical symptoms",
    "3108": "Other specified nonpsychotic mental disorders following organic brain damage",
    "3124": "Mixed disturbance of conduct and emotions",
    "31322": "Introverted disorder of childhood",
    "31534": "Speech and language developmental delay due to hearing loss",
    "31539": "Other developmental speech or language disorder",
    "3231": "Encephalitis, myelitis, and encephalomyelitis in rickettsial diseases classified elsewhere",
    "3241": "Intraspinal abscess",
    "32720": "Organic sleep apnea, unspecified",
    "32724": "Idiopathic sleep related non-obstructive alveolar hypoventilation",
    "32727": "Central sleep apnea in conditions classified elsewhere",
    "3273": "Circadian rhythm sleep disorder",
    "32741": "Confusional arousals",
    "3319": "Cerebral degeneration, unspecified",
    "3320": "Paralysis agitans",
    "3333": "Tics of organic origin",
    "3338": "Fragments of torsion dystonia",
    "33381": "Blepharospasm",
    "33389": "Other fragments of torsion dystonia",
    "33510": "Spinal muscular atrophy, unspecified",
    "V280": "Antenatal screening for chromosomal anomalies by amniocentesis",
    "V284": "Antenatal screening for fetal growth retardation using ultrasonics",
    "V2881": "Encounter for fetal anatomic survey",
    "V2882": "Encounter for screening for risk of pre-term labor",
    "V29": "Observation and evaluation of newborns for suspected condition not found",
    "44820414": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V322": "Twin birth, mate stillborn, born outside hospital and not hospitalized",
    "V331": "Twin birth, unspecified whether mate liveborn or stillborn, born before admission to hospital",
    "V342": "Other multiple birth (three or more), mates all liveborn, born outside hospital and not hospitalized",
    "V351": "Other multiple birth (three or more), mates all stillborn, born before admission to hospital",
    "44820419": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4039": "Other specified behavioral problem",
    "44820421": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V41": "Problems with special senses and other special functions",
    "V415": "Problems with smell and taste",
    "V419": "Unspecified problem with special functions",
    "44820425": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4281": "Bone marrow replaced by transplant",
    "44820427": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V432": "Heart replaced by other means",
    "V434": "Blood vessel replaced by other means",
    "44820430": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820431": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820432": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V444": "Status of other artificial opening of gastrointestinal tract",
    "44820434": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820435": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820436": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V479": "Unspecified problems with internal organs",
    "5332": "Acute peptic ulcer of unspecified site with hemorrhage and perforation",
    "53340": "Chronic or unspecified peptic ulcer of unspecified site with hemorrhage, without mention of obstruction",
    "53361": "Chronic or unspecified peptic ulcer of unspecified site with hemorrhage and perforation, with obstruction",
    "5337": "Chronic peptic ulcer of unspecified site without mention of hemorrhage or perforation",
    "53421": "Acute gastrojejunal ulcer with hemorrhage and perforation, with obstruction",
    "53511": "Atrophic gastritis, with hemorrhage",
    "5356": "Duodenitis",
    "53560": "Duodenitis, without mention of hemorrhage",
    "5364": "Gastrostomy complications",
    "55002": "Inguinal hernia, with gangrene, bilateral (not specified as recurrent)",
    "5511": "Umbilical hernia with gangrene",
    "55120": "Ventral hernia, unspecified, with gangrene",
    "5521": "Umbilical hernia with obstruction",
    "55229": "Other ventral hernia with obstruction",
    "5523": "Diaphragmatic hernia with obstruction",
    "55300": "Femoral hernia without mention of obstruction of gangrene, unilateral or unspecified(not specified as recurrent)",
    "5562": "Ulcerative (chronic) proctitis",
    "56201": "Diverticulitis of small intestine (without mention of hemorrhage)",
    "56949": "Other specified disorders of rectum and anus",
    "5712": "Alcoholic cirrhosis of liver",
    "5733": "Hepatitis, unspecified",
    "57410": "Calculus of gallbladder with other cholecystitis, without mention of obstruction",
    "57411": "Calculus of gallbladder with other cholecystitis, with obstruction",
    "5744": "Calculus of bile duct with other cholecystitis",
    "5754": "Perforation of gallbladder",
    "5756": "Cholesterolosis of gallbladder",
    "5760": "Postcholecystectomy syndrome",
    "5764": "Fistula of bile duct",
    "5780": "Hematemesis",
    "29595": "Unspecified schizophrenia, in remission",
    "29615": "Manic affective disorder, recurrent episode, in partial or unspecified remission",
    "2962": "Major depressive disorder, single episode",
    "29911": "Childhood disintegrative disorder, residual state",
    "2998": "Other specified pervasive developmental disorders",
    "3002": "Phobic disorders",
    "30491": "Unspecified drug dependence, continuous",
    "30492": "Unspecified drug dependence, episodic",
    "30521": "Cannabis abuse, continuous",
    "30522": "Cannabis abuse, episodic",
    "3067": "Disorder of organs of special sense arising from mental factors",
    "307": "Special symptoms or syndromes, not elsewhere classified",
    "3092": "Adjustment reaction with predominant disturbance of other emotions",
    "31081": "Pseudobulbar affect",
    "3109": "Unspecified nonpsychotic mental disorder following organic brain damage",
    "3129": "Unspecified disturbance of conduct",
    "3140": "Attention deficit disorder of childhood",
    "3141": "Hyperkinesis with developmental delay",
    "3150": "Developmental reading disorder",
    "31535": "Childhood onset fluency disorder",
    "320": "Bacterial meningitis",
    "333": "Other extrapyramidal disease and abnormal movement disorders",
    "3332": "Myoclonus",
    "3334": "Huntington's chorea",
    "3335": "Other choreas",
    "3336": "Genetic torsion dystonia",
    "33391": "Stiff-man syndrome",
    "33392": "Neuroleptic malignant syndrome",
    "3343": "Other cerebellar ataxia",
    "336": "Other diseases of spinal cord",
    "33729": "Reflex sympathetic dystrophy of other specified site",
    "33909": "Other trigeminal autonomic cephalgias",
    "33921": "Acute post-traumatic headache",
    "V773": "Screening for phenylketonuria (PKU)",
    "44822757": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822758": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V783": "Screening for other hemoglobinopathies",
    "V823": "Screening for congenital dislocation of hip",
    "V826": "Multiphasic screening",
    "V8289": "Special screening for other specified conditions",
    "V8389": "Other genetic carrier status",
    "V854": "Body Mass Index 40 and over, adult",
    "V855": "Body Mass Index, pediatric",
    "44822766": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822767": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822768": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822769": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822770": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822771": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "01342": "Tuberculoma of spinal cord, bacteriological or histological examination unknown (at present)",
    "01391": "Unspecified tuberculosis of central nervous system, bacteriological or histological examination not done",
    "01405": "Tuberculous peritonitis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01483": "Other tuberculosis of intestines, peritoneum, and mesenteric glands, tubercle bacilli found (in sputum) by microscopy",
    "015": "Tuberculosis of bones and joints",
    "01520": "Tuberculosis of knee, unspecified",
    "01521": "Tuberculosis of knee, bacteriological or histological examination not done",
    "01526": "Tuberculosis of knee, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01566": "Tuberculosis of mastoid, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01570": "Tuberculosis of other specified bone, unspecified",
    "01580": "Tuberculosis of other specified joint, unspecified",
    "01604": "Tuberculosis of kidney, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01611": "Tuberculosis of bladder, bacteriological or histological examination not done",
    "01632": "Tuberculosis of other urinary organs, bacteriological or histological examination unknown (at present)",
    "01656": "Tuberculosis of other male genital organs, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01714": "Erythema nodosum with hypersensitivity reaction in tuberculosis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01720": "Tuberculosis of peripheral lymph nodes, unspecified",
    "01722": "Tuberculosis of peripheral lymph nodes, bacteriological or histological examination unknown (at present)",
    "01724": "Tuberculosis of peripheral lymph nodes, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01726": "Tuberculosis of peripheral lymph nodes, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01731": "Tuberculosis of eye, bacteriological or histological examination not done",
    "01744": "Tuberculosis of ear, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01746": "Tuberculosis of ear, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01750": "Tuberculosis of thyroid gland, unspecified",
    "01761": "Tuberculosis of adrenal glands, bacteriological or histological examination not done",
    "01793": "Tuberculosis of other specified organs, tubercle bacilli found (in sputum) by microscopy",
    "0200": "Bubonic plague",
    "0230": "Brucella melitensis",
    "0232": "Brucella suis",
    "0278": "Other specified zoonotic bacterial diseases",
    "032": "Diphtheria",
    "0331": "Whooping cough due to bordetella parapertussis [B. parapertussis]",
    "0338": "Whooping cough due to other specified organism",
    "0362": "Meningococcemia",
    "03811": "Methicillin susceptible Staphylococcus aureus septicemia",
    "0408": "Other specified bacterial disease",
    "0418": "Other specified bacterial infections in conditions classified elsewhere and of unspecified site",
    "44820438": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820439": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820440": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V499": "Unspecified problems with limbs and other problems",
    "44820443": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820444": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820445": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820446": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V532": "Fitting and adjustment of hearing aid",
    "V533": "Fitting and adjustment of cardiac pacemaker",
    "V535": "Fitting and adjustment of other gastrointestinal appliance and device",
    "44820450": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820451": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5415": "Aftercare for healing traumatic fracture of upper leg",
    "44820453": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V551": "Attention to gastrostomy",
    "V553": "Attention to colostomy",
    "V559": "Attention to unspecified artificial opening",
    "44820457": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820458": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820459": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820460": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5841": "Encounter for planned post-operative wound closure",
    "V5867": "Long-term (current) use of insulin",
    "44820463": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V594": "Kidney donors",
    "V596": "Liver donors",
    "V6106": "Family disruption due to child in foster care or in care of non-parental family member",
    "V6125": "Counseling for parent (guardian)-foster child problem",
    "44820468": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820469": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820470": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6221": "Personal current military deployment status",
    "V625": "Legal circumstances",
    "5789": "Hemorrhage of gastrointestinal tract, unspecified",
    "5812": "Nephrotic syndrome with lesion of membranoproliferative glomerulonephritis",
    "5836": "Nephritis and nephropathy, not specified as acute or chronic, with lesion of renal cortical necrosis",
    "5890": "Unilateral small kidney",
    "595": "Cystitis",
    "5950": "Acute cystitis",
    "59682": "Mechanical complication of cystostomy",
    "59969": "Urinary obstruction, not elsewhere classified",
    "60021": "Benign localized hyperplasia of prostate with urinary obstruction and other lower urinary tract symptoms (LUTS)",
    "6013": "Prostatocystitis",
    "6028": "Other specified disorders of prostate",
    "6070": "Leukoplakia of penis",
    "60782": "Vascular disorders of penis",
    "60824": "Torsion of appendix epididymis",
    "60885": "Stricture of male genital organs",
    "61171": "Mastodynia",
    "61181": "Ptosis of breast",
    "61651": "Ulceration of vulva in diseases classified elsewhere",
    "6178": "Endometriosis of other specified sites",
    "61802": "Cystocele, lateral",
    "61805": "Perineocele",
    "6183": "Uterovaginal prolapse, complete",
    "6201": "Corpus luteum cyst or hematoma",
    "6207": "Hematoma of broad ligament",
    "6229": "Unspecified noninflammatory disorder of cervix",
    "6243": "Hypertrophy of labia",
    "625": "Pain and other symptoms associated with female genital organs",
    "6271": "Postmenopausal bleeding",
    "6272": "Symptomatic menopausal or female climacteric states",
    "6281": "Infertility, female, of pituitary-hypothalamic origin",
    "6354": "Legally induced abortion complicated by metabolic disorder",
    "63571": "Legally induced abortion, with other specified complications, incomplete",
    "63622": "Illegally induced abortion, complicated by damage to pelvic organs or tissues, complete",
    "6369": "Illegally induced abortion without mention of complication",
    "6387": "Failed attempted abortion with other specified complications",
    "6388": "Failed attempted abortion with unspecified complication",
    "6392": "Damage to pelvic organs and tissues following abortion or ectopic and molar pregnancies",
    "226": "Benign neoplasm of thyroid glands",
    "229": "Benign neoplasm of other and unspecified sites",
    "230": "Carcinoma in situ of digestive organs",
    "2305": "Carcinoma in situ of anal canal",
    "231": "Carcinoma in situ of respiratory system",
    "2318": "Carcinoma in situ of other specified parts of respiratory system",
    "236": "Neoplasm of uncertain behavior of genitourinary organs",
    "2360": "Neoplasm of uncertain behavior of uterus",
    "2362": "Neoplasm of uncertain behavior of ovary",
    "23874": "Myelodysplastic syndrome with 5q deletion",
    "23877": "Post-transplant lymphoproliferative disorder (PTLD)",
    "2411": "Nontoxic multinodular goiter",
    "24201": "Toxic diffuse goiter with mention of thyrotoxic crisis or storm",
    "24210": "Toxic uninodular goiter without mention of thyrotoxic crisis or storm",
    "24900": "Secondary diabetes mellitus without mention of complication, not stated as uncontrolled, or unspecified",
    "24911": "Secondary diabetes mellitus with ketoacidosis, uncontrolled",
    "25001": "Diabetes mellitus without mention of complication, type I [juvenile type], not stated as uncontrolled",
    "25033": "Diabetes with other coma, type I [juvenile type], uncontrolled",
    "25053": "Diabetes with ophthalmic manifestations, type I [juvenile type], uncontrolled",
    "2509": "Diabetes with unspecified complication",
    "2511": "Other specified hypoglycemia",
    "2539": "Unspecified disorder of the pituitary gland and its hypothalamic control",
    "V9121": "Quadruplet gestation, with two or more monochorionic fetuses",
    "44822773": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "0031": "Salmonella septicemia",
    "010": "Primary tuberculous infection",
    "01014": "Tuberculous pleurisy in primary progressive tuberculosis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01083": "Other primary progressive tuberculosis, tubercle bacilli found (in sputum) by microscopy",
    "01086": "Other primary progressive tuberculosis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01092": "Primary tuberculous infection, unspecified, bacteriological or histological examination unknown (at present)",
    "01104": "Tuberculosis of lung, infiltrative, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01105": "Tuberculosis of lung, infiltrative, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "0111": "Tuberculosis of lung, nodular",
    "01123": "Tuberculosis of lung with cavitation, tubercle bacilli found (in sputum) by microscopy",
    "01130": "Tuberculosis of bronchus, unspecified",
    "01193": "Pulmonary tuberculosis, unspecified, tubercle bacilli found (in sputum) by microscopy",
    "01194": "Pulmonary tuberculosis, unspecified, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01231": "Tuberculous laryngitis, bacteriological or histological examination not done",
    "01341": "Tuberculoma of spinal cord, bacteriological or histological examination not done",
    "01356": "Tuberculous abscess of spinal cord, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01383": "Other specified tuberculosis of central nervous system, tubercle bacilli found (in sputum) by microscopy",
    "01400": "Tuberculous peritonitis, unspecified",
    "0148": "Tuberculosis of intestines and mesenteric glands",
    "01486": "Other tuberculosis of intestines, peritoneum, and mesenteric glands, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01503": "Tuberculosis of vertebral column, tubercle bacilli found (in sputum) by microscopy",
    "01551": "Tuberculosis of limb bones, bacteriological or histological examination not done",
    "01610": "Tuberculosis of bladder, unspecified",
    "01622": "Tuberculosis of ureter, bacteriological or histological examination unknown (at present)",
    "01630": "Tuberculosis of other urinary organs, unspecified",
    "01635": "Tuberculosis of other urinary organs, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01654": "Tuberculosis of other male genital organs, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01704": "Tuberculosis of skin and subcutaneous cellular tissue, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01710": "Erythema nodosum with hypersensitivity reaction in tuberculosis, unspecified",
    "01711": "Erythema nodosum with hypersensitivity reaction in tuberculosis, bacteriological or histological examination not done",
    "01751": "Tuberculosis of thyroid gland, bacteriological or histological examination not done",
    "01771": "Tuberculosis of spleen, bacteriological or histological examination not done",
    "01785": "Tuberculosis of esophagus, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "E911": "Inhalation and ingestion of food causing obstruction of respiratory tract or suffocation",
    "E912": "Inhalation and ingestion of other object causing obstruction of respiratory tract or suffocation",
    "E9133": "Accidental mechanical suffocation by falling earth or other substance",
    "E920": "Accidents caused by cutting and piercing instruments or objects",
    "E9204": "Accidents caused by other hand tools and implements",
    "E9208": "Accidents caused by other specified cutting and piercing instruments or objects",
    "E923": "Accident caused by explosive material",
    "E9262": "Exposure to visible and ultraviolet light sources",
    "045": "Acute poliomyelitis",
    "0450": "Acute paralytic poliomyelitis specified as bulbar",
    "0461": "Jakob-Creutzfeldt disease",
    "0471": "Meningitis due to echo virus",
    "05329": "Herpes zoster with other ophthalmic complications",
    "0542": "Herpetic gingivostomatitis",
    "0550": "Postmeasles encephalitis",
    "0559": "Measles without mention of complication",
    "0569": "Rubella without mention of complication",
    "058": "Other human herpesvirus",
    "05821": "Human herpesvirus 6 encephalitis",
    "0588": "Other human herpesvirus infections",
    "0591": "Other parapoxvirus infections",
    "05919": "Other parapoxvirus infections",
    "0650": "Crimean hemorrhagic fever [CHF Congo virus]",
    "0654": "Mosquito-borne hemorrhagic fever",
    "0668": "Other specified arthropod-borne viral diseases",
    "07021": "Viral hepatitis B with hepatic coma, acute or unspecified, with hepatitis delta",
    "9761": "Poisoning by antipruritics",
    "9766": "Poisoning by anti-infectives and other drugs and preparations for ear, nose, and throat",
    "9783": "Poisoning by plague vaccine",
    "9785": "Poisoning by diphtheria vaccine",
    "9800": "Toxic effect of ethyl alcohol",
    "9853": "Toxic effect of beryllium and its compounds",
    "98984": "Toxic effect of tobacco",
    "992": "Effects of heat and light",
    "9921": "Heat syncope",
    "9925": "Heat exhaustion, unspecified",
    "99553": "Child sexual abuse",
    "99555": "Shaken baby syndrome",
    "99591": "Sepsis",
    "99674": "Other complications due to other vascular device, implant, and graft",
    "9977": "Vascular complications of other vessels",
    "9981": "Hemorrhage or hematoma complicating a procedure",
    "9989": "Unspecified complication of procedure, not elsewhere classified",
    "99932": "Bloodstream infection due to central venous catheter",
    "9996": "ABO incompatibility reaction due to transfusion of blood or blood products",
    "99962": "ABO incompatibility with acute hemolytic transfusion reaction",
    "99970": "Rh incompatibility reaction, unspecified",
    "99984": "Acute hemolytic transfusion reaction, incompatibility unspecified",
    "E0041": "Activities involving rappelling",
    "E0059": "Other activity involving dancing and other rhythmic movements",
    "E0100": "Activity involving exercise machines primarily for muscle strengthening",
    "E0131": "Activities involving laundry",
    "E0132": "Activities involving vacuuming",
    "E0135": "Activities involving residential relocation",
    "E0181": "Activities involving drum and other percussion instrument playing",
    "E0182": "Activities involving string instrument playing",
    "E801": "Railway accident involving collision with other object",
    "E807": "Railway accident of unspecified nature",
    "25512": "Conn's syndrome",
    "2592": "Carcinoid syndrome",
    "274": "Gout",
    "27402": "Chronic gouty arthropathy without mention of tophus (tophi)",
    "27503": "Other hemochromatosis",
    "2754": "Disorders of calcium metabolism",
    "2771": "Disorders of porphyrin metabolism",
    "2773": "Amyloidosis",
    "27739": "Other amyloidosis",
    "2821": "Hereditary elliptocytosis",
    "28249": "Other thalassemia",
    "2826": "Sickle-cell disease",
    "28652": "Acquired hemophilia",
    "2866": "Defibrination syndrome",
    "2871": "Qualitative platelet defects",
    "28749": "Other secondary thrombocytopenia",
    "28804": "Neutropenia due to infection",
    "2893": "Lymphadenitis, unspecified, except mesenteric",
    "28959": "Other diseases of spleen",
    "28982": "Secondary hypercoagulable state",
    "2901": "Presenile dementia",
    "29020": "Senile dementia with delusional features",
    "2920": "Drug withdrawal",
    "2928": "Other specified drug-induced mental disorders",
    "29500": "Simple type schizophrenia, unspecified",
    "29515": "Disorganized type schizophrenia, in remission",
    "29553": "Latent schizophrenia, subchronic with acute exacerbation",
    "2956": "Residual type schizophrenic disorders",
    "2957": "Schizoaffective disorder",
    "29624": "Major depressive affective disorder, single episode, severe, specified as with psychotic behavior",
    "29641": "Bipolar I disorder, most recent episode (or current) manic, mild",
    "29643": "Bipolar I disorder, most recent episode (or current) manic, severe, without mention of psychotic behavior",
    "29654": "Bipolar I disorder, most recent episode (or current) depressed, severe, specified as with psychotic behavior",
    "29655": "Bipolar I disorder, most recent episode (or current) depressed, in partial or unspecified remission",
    "29660": "Bipolar I disorder, most recent episode (or current) mixed, unspecified",
    "297": "Paranoid states (Delusional disorders)",
    "2978": "Other specified paranoid states",
    "3000": "Anxiety states",
    "3012": "Schizoid personality disorder",
    "30121": "Introverted personality",
    "30473": "Combinations of opioid type drug with any other drug dependence, in remission",
    "30493": "Unspecified drug dependence, in remission",
    "3050": "Alcohol abuse",
    "30533": "Hallucinogen abuse, in remission",
    "30571": "Amphetamine or related acting sympathomimetic abuse, continuous",
    "E9294": "Late effects of accident caused by fire",
    "E9446": "Other mineral salts, not elsewhere classified, causing adverse effects in therapeutic use",
    "E9500": "Suicide and self-inflicted poisoning by analgesics, antipyretics, and antirheumatics",
    "E9508": "Suicide and self-inflicted poisoning by arsenic and its compounds",
    "E9550": "Suicide and self-inflicted injury by handgun",
    "E9601": "Rape",
    "E976": "Injury due to legal intervention by unspecified means",
    "E977": "Late effects of injuries due to legal intervention",
    "E9802": "Poisoning by other sedatives and hypnotics, undetermined whether accidentally or purposely inflicted",
    "E9884": "Injury by electrocution, undetermined whether accidentally or purposely inflicted",
    "E9889": "Injury by unspecified means, undetermined whether accidentally or purposely inflicted",
    "E9901": "Injury due to war operations from flamethrower",
    "E9915": "Injury due to war operations by fragments from person-borne improvised explosive device [IED]",
    "E992": "Injury due to war operations by explosion of marine weapons",
    "E9942": "Injury due to war operations by destruction of aircraft due to collision with other aircraft",
    "E9963": "Injury due to war operations by nuclear radiation effects",
    "V0251": "Carrier or suspected carrier of group B streptococcus",
    "V0253": "Carrier or suspected carrier of Methicillin susceptible Staphylococcus aureus",
    "44823774": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823775": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823776": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823777": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823778": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V051": "Need for prophylactic vaccination and inoculation against other arthropod-borne viral diseases",
    "44823780": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823781": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "94112": "Erythema [first degree] of eye (with other parts face, head, and neck)",
    "94140": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, face and head, unspecified site",
    "E813": "Motor vehicle traffic accident involving collision with other vehicle",
    "E8161": "Motor vehicle traffic accident due to loss of control, without collision on the highway, injuring passenger in motor vehicle other than motorcycle",
    "E8163": "Motor vehicle traffic accident due to loss of control, without collision on the highway, injuring passenger on motorcycle",
    "E822": "Other motor vehicle nontraffic accident involving collision with moving object",
    "E826": "Pedal cycle accident",
    "E830": "Accident to watercraft causing submersion",
    "3380": "Central pain syndrome",
    "33901": "Episodic cluster headache",
    "33942": "New daily persistent headache",
    "340": "Multiple sclerosis",
    "34212": "Spastic hemiplegia and hemiparesis affecting nondominant side",
    "3433": "Congenital monoplegia",
    "3452": "Petit mal status",
    "34571": "Epilepsia partialis continua, with intractable epilepsy",
    "3465": "Persistent migraine aura without cerebral infarction",
    "34652": "Persistent migraine aura without cerebral infarction, without mention of intractable migraine with status migrainosus",
    "34660": "Persistent migraine aura with cerebral infarction, without mention of intractable migraine without mention of status migrainosus",
    "34683": "Other forms of migraine, with intractable migraine, so stated, with status migrainosus",
    "3469": "Migraine, unspecified",
    "3470": "Narcolepsy",
    "34700": "Narcolepsy, without cataplexy",
    "3480": "Cerebral cysts",
    "34830": "Encephalopathy, unspecified",
    "34889": "Other conditions of brain",
    "3492": "Disorders of meninges, not elsewhere classified",
    "3493": "Dural tear",
    "350": "Trigeminal nerve disorders",
    "94159": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of multiple sites [except with eye] of face, head, and neck",
    "94213": "Erythema [first degree] of abdominal wall",
    "94231": "Full-thickness skin loss [third degree,not otherwise specified] of breast",
    "94252": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of chest wall, excluding breast and nipple",
    "94322": "Blisters, epidermal loss [second degree] of elbow",
    "94331": "Full-thickness skin loss [third degree, not otherwise specified] of forearm",
    "94359": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of multiple sites of upper limb, except wrist and hand",
    "94403": "Burn of unspecified degree of two or more digits of hand, not including thumb",
    "94443": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, two or more digits of hand, not including thumb",
    "94452": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of thumb (nail)",
    "94454": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of two or more digits of hand including thumb",
    "94512": "Erythema [first degree] of foot",
    "94516": "Erythema [first degree] of thigh [any part]",
    "9460": "Burns of multiple specified sites, unspecified degree",
    "9478": "Burn of other specified sites of internal organs",
    "94831": "Burn [any degree] involving 30-39 percent of body surface with third degree burn, 10-19%",
    "94832": "Burn [any degree] involving 30-39 percent of body surface with third degree burn, 20-29%",
    "94844": "Burn [any degree] involving 40-49 percent of body surface with third degree burn, 40-49%",
    "94855": "Burn [any degree] involving 50-59 percent of body surface with third degree burn, 50-59%",
    "94870": "Burn [any degree] involving 70-79 percent of body surface with third degree burn, less than 10 percent or unspecified",
    "94872": "Burn [any degree] involving 70-79 percent of body surface with third degree burn, 20-29%",
    "94881": "Burn [any degree] involving 80-89 percent of body surface with third degree burn, 10-19%",
    "949": "Burn, unspecified site",
    "9491": "Erythema [first degree], unspecified site",
    "95217": "T7-T12 level with anterior cord syndrome",
    "9541": "Injury to other sympathetic nerve, excluding shoulder and pelvic girdles",
    "9590": "Other and unspecified injury to head, face, and neck",
    "95919": "Other injury of other sites of trunk",
    "9599": "Unspecified site injury",
    "9605": "Poisoning of cephalosporin group",
    "9609": "Poisoning by unspecified antibiotic",
    "962": "Poisoning by hormones and synthetic substitutes",
    "9620": "Poisoning by adrenal cortical steroids",
    "96509": "Poisoning by other opiates and related narcotics",
    "9654": "Poisoning by aromatic analgesics, not elsewhere classified",
    "9672": "Poisoning by paraldehyde",
    "9673": "Poisoning by bromine compounds",
    "9675": "Poisoning by glutethimide group",
    "9679": "Poisoning by unspecified sedative or hypnotic",
    "96909": "Poisoning by other antidepressants",
    "96971": "Poisoning by caffeine",
    "9728": "Poisoning by capillary-active drugs",
    "9755": "Poisoning by expectorants",
    "9767": "Poisoning by dental drugs topically applied",
    "978": "Poisoning by bacterial vaccines",
    "9782": "Poisoning by cholera vaccine",
    "9788": "Poisoning by other and unspecified bacterial vaccines",
    "9792": "Poisoning by typhus vaccine",
    "9831": "Toxic effect of acids",
    "9854": "Toxic effect of antimony and its compounds",
    "9918": "Other specified effects of reduced temperature",
    "9928": "Other specified heat effects",
    "9941": "Drowning and nonfatal submersion",
    "3521": "Glossopharyngeal neuralgia",
    "3538": "Other nerve root and plexus disorders",
    "3543": "Lesion of radial nerve",
    "35781": "Chronic inflammatory demyelinating polyneuritis",
    "35981": "Critical illness myopathy",
    "36061": "Foreign body in anterior chamber",
    "36112": "Bullous retinoschisis",
    "36215": "Retinal telangiectasia",
    "36217": "Other intraretinal microvascular abnormalities",
    "3626": "Peripheral retinal degenerations",
    "36275": "Other dystrophies primarily involving the sensory retina",
    "36300": "Focal chorioretinitis, unspecified",
    "36301": "Focal choroiditis and chorioretinitis, juxtapapillary",
    "36343": "Angioid streaks of choroid",
    "36362": "Expulsive choroidal hemorrhage",
    "36423": "Lens-induced iridocyclitis",
    "36454": "Degeneration of pupillary margin",
    "36457": "Degenerative changes of ciliary body",
    "36461": "Implantation cysts of iris, ciliary body, and anterior chamber",
    "36462": "Exudative cysts of iris or anterior chamber",
    "36475": "Pupillary abnormalities",
    "3649": "Unspecified disorder of iris and ciliary body",
    "36502": "Anatomical narrow angle borderline glaucoma",
    "3652": "Primary angle-closure glaucoma",
    "36531": "Corticosteroid-induced glaucoma, glaucomatous stage",
    "36532": "Corticosteroid-induced glaucoma, residual stage",
    "36552": "Pseudoexfoliation glaucoma",
    "36609": "Other and combined forms of nonsenile cataract",
    "36616": "Senile nuclear sclerosis",
    "36642": "Tetanic cataract",
    "36645": "Toxic cataract",
    "36651": "Soemmering's ring",
    "36840": "Visual field defect, unspecified",
    "36916": "Better eye: moderate vision impairment; lesser eye: total vision impairment",
    "36923": "Better eye: moderate vision impairment; lesser eye: impairment not further specified",
    "36974": "One eye: moderate vision impairment; other eye: vision not specified",
    "36976": "One eye: moderate vision impairment; other eye: normal vision",
    "370": "Keratitis",
    "37004": "Hypopyon ulcer",
    "37031": "Phlyctenular keratoconjunctivitis",
    "37049": "Other keratoconjunctivitis",
    "37054": "Sclerosing keratitis",
    "37064": "Ghost vessels (corneal)",
    "37111": "Anterior corneal pigmentations",
    "3717": "Other corneal deformities",
    "37214": "Other chronic allergic conjunctivitis",
    "37220": "Blepharoconjunctivitis, unspecified",
    "37222": "Contact blepharoconjunctivitis",
    "37261": "Granuloma of conjunctiva",
    "37263": "Symblepharon",
    "37274": "Vascular abnormalities of conjunctiva",
    "V6289": "Other psychological or physical stress, not elsewhere classified",
    "44820475": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820476": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V650": "Healthy person accompanying sick person",
    "V6511": "Pediatric pre-birth visit for expectant parent(s)",
    "V669": "Unspecified convalescence",
    "V690": "Lack of physical exercise",
    "V692": "High-risk sexual behavior",
    "V70": "General medical examination",
    "V702": "General psychiatric examination, other and unspecified",
    "V703": "Other general medical examination for administrative purposes",
    "77933": "Other vomiting in newborn",
    "78001": "Coma",
    "78060": "Fever, unspecified",
    "78072": "Functional quadriplegia",
    "78092": "Excessive crying of infant (baby)",
    "7825": "Cyanosis",
    "7827": "Spontaneous ecchymoses",
    "7828": "Changes in skin texture",
    "7843": "Aphasia",
    "78602": "Orthopnea",
    "78605": "Shortness of breath",
    "78609": "Other respiratory abnormalities",
    "78651": "Precordial pain",
    "78791": "Diarrhea",
    "78839": "Other urinary incontinence",
    "7885": "Oliguria and anuria",
    "78963": "Abdominal tenderness, right lower quadrant",
    "78964": "Abdominal tenderness, left lower quadrant",
    "78966": "Abdominal tenderness, epigastric",
    "7902": "Abnormal glucose",
    "99554": "Child physical abuse",
    "99561": "Anaphylactic reaction due to peanuts",
    "34120": "Acute (transverse) myelitis NOS",
    "3445": "Unspecified monoplegia",
    "34623": "Variants of migraine, not elsewhere classified, with intractable migraine, so stated, with status migrainosus",
    "34651": "Persistent migraine aura without cerebral infarction, with intractable migraine, so stated, without mention of status migrainosus",
    "34653": "Persistent migraine aura without cerebral infarction, with intractable migraine, so stated, with status migrainosus",
    "3481": "Anoxic brain damage",
    "34839": "Other encephalopathy",
    "3520": "Disorders of olfactory (1st) nerve",
    "3556": "Lesion of plantar nerve",
    "35800": "Myasthenia gravis without (acute) exacerbation",
    "35839": "Lambert-Eaton syndrome in other diseases classified elsewhere",
    "36001": "Acute endophthalmitis",
    "36031": "Primary hypotony of eye",
    "36060": "Foreign body, intraocular, unspecified",
    "36065": "Foreign body in posterior wall of eye",
    "36131": "Round hole of retina without detachment",
    "36181": "Traction detachment of retina",
    "36189": "Other forms of retinal detachment",
    "36207": "Diabetic macular edema",
    "36214": "Retinal microaneurysms NOS",
    "3628": "Other retinal disorders",
    "36281": "Retinal hemorrhage",
    "36320": "Chorioretinitis, unspecified",
    "36332": "Other macular scars",
    "3634": "Choroidal degenerations",
    "36356": "Other diffuse or generalized dystrophy of choroid, partial",
    "36403": "Secondary iridocyclitis, infectious",
    "36405": "Hypopyon",
    "36455": "Miotic cysts of pupillary margin",
    "36500": "Preglaucoma, unspecified",
    "36515": "Residual stage of open angle glaucoma",
    "36543": "Glaucoma associated with other anterior segment anomalies",
    "36561": "Glaucoma associated with pupillary block",
    "36602": "Posterior subcapsular polar cataract",
    "36603": "Cortical, lamellar, or zonular cataract",
    "36650": "After-cataract, unspecified",
    "36789": "Other disorders of refraction and accommodation",
    "36841": "Scotoma involving central area",
    "36847": "Heteronymous bilateral field defects",
    "36853": "Tritan defect",
    "36859": "Other color vision deficiencies",
    "36912": "Better eye: severe vision impairment; lesser eye: total vision impairment",
    "3699": "Unspecified visual loss",
    "37022": "Macular keratitis",
    "37024": "Photokeratitis",
    "3706": "Corneal neovascularization",
    "37120": "Corneal edema, unspecified",
    "37142": "Recurrent erosion of cornea",
    "37143": "Band-shaped keratopathy",
    "37145": "Keratomalacia NOS",
    "37149": "Other corneal degenerations",
    "37212": "Chronic follicular conjunctivitis",
    "37242": "Peripheral pterygium, progressive",
    "37252": "Pseudopterygium",
    "37301": "Ulcerative blepharitis",
    "3739": "Unspecified inflammation of eyelid",
    "37403": "Spastic entropion",
    "37404": "Cicatricial entropion",
    "37489": "Other disorders of eyelid",
    "37515": "Tear film insufficiency, unspecified",
    "37531": "Acute canaliculitis, lacrimal",
    "37556": "Stenosis of nasolacrimal duct, acquired",
    "07041": "Acute hepatitis C with hepatic coma",
    "07054": "Chronic hepatitis C without mention of hepatic coma",
    "075": "Infectious mononucleosis",
    "0761": "Trachoma, active stage",
    "079": "Viral and chlamydial infection in conditions classified elsewhere and of unspecified site",
    "0791": "Echo virus infection in conditions classified elsewhere and of unspecified site",
    "07952": "Human T-cell lymphotrophic virus, type II [HTLV-II]",
    "083": "Other rickettsioses",
    "0852": "Cutaneous leishmaniasis, Asian desert",
    "09389": "Other specified cardiovascular syphilis",
    "0939": "Cardiovascular syphilis, unspecified",
    "096": "Late syphilis, latent",
    "0984": "Gonococcal infection of eye",
    "09841": "Gonococcal iridocyclitis",
    "0994": "Other nongonococcal urethritis [NGU]",
    "09956": "Other venereal diseases due to chlamydia trachomatis, peritoneum",
    "09959": "Other venereal diseases due to chlamydia trachomatis, other specified site",
    "0999": "Venereal disease, unspecified",
    "10089": "Other specified leptospiral infections",
    "1024": "Gummata and ulcers due to yaws",
    "1032": "Late lesions of pinta",
    "1033": "Mixed lesions of pinta",
    "104": "Other spirochetal infection",
    "1103": "Dermatophytosis of groin and perianal area",
    "1112": "Tinea blanca",
    "1124": "Candidiasis of lung",
    "11513": "Infection by Histoplasma duboisii, pericarditis",
    "11514": "Infection by Histoplasma duboisii, endocarditis",
    "11519": "Infection by Histoplasma duboisii, other",
    "11595": "Histoplasmosis, unspecified, pneumonia",
    "1161": "Paracoccidioidomycosis",
    "117": "Other mycoses",
    "1177": "Zygomycosis [Phycomycosis or Mucormycosis]",
    "1257": "Dracontiasis",
    "1275": "Capillariasis",
    "1277": "Other specified intestinal helminthiasis",
    "1301": "Conjunctivitis due to toxoplasmosis",
    "1308": "Multisystemic disseminated toxoplasmosis",
    "1323": "Mixed pediculosis infestation",
    "1361": "Behcet's syndrome",
    "1362": "Specific infections by free-living amebae",
    "1364": "Psorospermiasis",
    "1456": "Malignant neoplasm of retromolar area",
    "44820485": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V713": "Observation following accident at work",
    "V714": "Observation following other accident",
    "V719": "Observation for unspecified suspected condition",
    "V724": "Pregnancy examination or test",
    "V725": "Radiological examination, not elsewhere classified",
    "44820491": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820492": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V750": "Screening examination for rickettsial diseases",
    "V7650": "Special screening for malignant neoplasms for intestine, unspecified",
    "V769": "Special screening for unspecified malignant neoplasms",
    "V770": "Screening for thyroid disorders",
    "44820497": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V781": "Screening for other and unspecified deficiency anemia",
    "V782": "Screening for sickle-cell disease or trait",
    "V798": "Screening for other specified mental disorders and developmental handicaps",
    "V812": "Screening for other and unspecified cardiovascular conditions",
    "44820502": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820503": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V829": "Screening for unspecified condition",
    "44820505": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820506": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8402": "Genetic susceptibility to malignant neoplasm of ovary",
    "44820508": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820509": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8719": "Contact with and (suspected) exposure to other hazardous aromatic compounds",
    "44820511": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8821": "Acquired absence of hip joint",
    "V9122": "Quadruplet gestation, with two or more monoamniotic fetuses",
    "V9191": "Other specified multiple gestation, with two or more monochorionic fetuses",
    "V9199": "Other specified multiple gestation, unable to determine number of placenta and number of amniotic sacs",
    "0030": "Salmonella gastroenteritis",
    "00321": "Salmonella meningitis",
    "0054": "Food poisoning due to Vibrio parahaemolyticus",
    "0062": "Amebic nondysenteric colitis",
    "0081": "Intestinal infection due to arizona group of paracolon bacilli",
    "00862": "Enteritis due to adenovirus",
    "01011": "Tuberculous pleurisy in primary progressive tuberculosis, bacteriological or histological examination not done",
    "01013": "Tuberculous pleurisy in primary progressive tuberculosis, tubercle bacilli found (in sputum) by microscopy",
    "01113": "Tuberculosis of lung, nodular, tubercle bacilli found (in sputum) by microscopy",
    "01185": "Other specified pulmonary tuberculosis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "0120": "Tuberculous pleurisy",
    "01216": "Tuberculosis of intrathoracic lymph nodes, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01230": "Tuberculous laryngitis, unspecified",
    "0132": "Tuberculoma of brain",
    "01330": "Tuberculous abscess of brain, unspecified",
    "01353": "Tuberculous abscess of spinal cord, tubercle bacilli found (in sputum) by microscopy",
    "01360": "Tuberculous encephalitis or myelitis, unspecified",
    "014": "Tuberculosis of intestines, peritoneum, and mesenteric glands",
    "7903": "Excessive blood level of alcohol",
    "7908": "Viremia, unspecified",
    "7915": "Glycosuria",
    "792": "Nonspecific abnormal findings in other body substances",
    "7946": "Nonspecific abnormal results of other endocrine function study",
    "79507": "Satisfactory cervical smear but lacking transformation zone",
    "7951": "Abnormal Papanicolaou smear of vagina and vaginal HPV",
    "80000": "Closed fracture of vault of skull without mention of intracranial injury, unspecified state of consciousness",
    "80032": "Closed fracture of vault of skull with other and unspecified intracranial hemorrhage, with brief [less than one hour] loss of consciousness",
    "8004": "Closed fracture of vault of skull with intracranial injury of other and unspecified nature",
    "8007": "Open fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage",
    "80075": "Open fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80085": "Open fracture of vault of skull with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80089": "Open fracture of vault of skull with other and unspecified intracranial hemorrhage, with concussion, unspecified",
    "80091": "Open fracture of vault of skull with intracranial injury of other and unspecified nature, with no loss of consciousness",
    "80099": "Open fracture of vault of skull with intracranial injury of other and unspecified nature, with concussion, unspecified",
    "80120": "Closed fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, unspecified state of consciousness",
    "80142": "Closed fracture of base of skull with intracranial injury of other and unspecified nature, with brief [less than one hour] loss of consciousness",
    "80173": "Open fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80174": "Open fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80185": "Open fracture of base of skull with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80192": "Open fracture of base of skull with intracranial injury of other and unspecified nature, with brief [less than one hour] loss of consciousness",
    "80222": "Closed fracture of mandible, subcondylar",
    "8027": "Open fracture of orbital floor (blow-out)",
    "80371": "Other open skull fracture with subarachnoid, subdural, and extradural hemorrhage, with no loss of consciousness",
    "80382": "Other open skull fracture with other and unspecified intracranial hemorrhage, with brief [less than one hour] loss of consciousness",
    "80414": "Closed fractures involving skull or face with other bones, with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80415": "Closed fractures involving skull or face with other bones, with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80466": "Open fractures involving skull or face with other bones, with cerebral laceration and contusion, with loss of consciousness of unspecified duration",
    "01512": "Tuberculosis of hip, bacteriological or histological examination unknown (at present)",
    "01561": "Tuberculosis of mastoid, bacteriological or histological examination not done",
    "0157": "Tuberculosis of other specified bone",
    "01573": "Tuberculosis of other specified bone, tubercle bacilli found (in sputum) by microscopy",
    "01594": "Tuberculosis of unspecified bones and joints, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01641": "Tuberculosis of epididymis, bacteriological or histological examination not done",
    "01655": "Tuberculosis of other male genital organs, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "37569": "Other changes of lacrimal passages",
    "37613": "Parasitic infestation of orbit",
    "37621": "Thyrotoxic exophthalmos",
    "3763": "Other exophthalmic conditions",
    "37641": "Hypertelorism of orbit",
    "37715": "Partial optic atrophy",
    "3777": "Disorders of visual cortex",
    "37803": "Monocular esotropia with V pattern",
    "37811": "Monocular exotropia",
    "37816": "Alternating exotropia with A pattern",
    "37818": "Alternating exotropia with other noncomitancies",
    "01896": "Miliary tuberculosis, unspecified, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "0213": "Oculoglandular tularemia",
    "0260": "Spirillary fever",
    "027": "Other zoonotic bacterial diseases",
    "0330": "Whooping cough due to bordetella pertussis [B. pertussis]",
    "03681": "Meningococcal optic neuritis",
    "038": "Septicemia",
    "0393": "Cervicofacial actinomycotic infection",
    "04081": "Tropical pyomyositis",
    "04104": "Streptococcus infection in conditions classified elsewhere and of unspecified site, streptococcus, group D [Enterococcus]",
    "04142": "Other specified Shiga toxin-producing Escherichia coli [E. coli] (STEC)",
    "04521": "Acute nonparalytic poliomyelitis, poliovirus type I",
    "0511": "Pseudocowpox",
    "0528": "Chickenpox with unspecified complication",
    "05314": "Herpes zoster myelitis",
    "054": "Herpes simplex",
    "05443": "Herpes simplex disciform keratitis",
    "05601": "Encephalomyelitis due to rubella",
    "0581": "Roseola infantum",
    "05889": "Other human herpesvirus infection",
    "0623": "St. Louis encephalitis",
    "0632": "Central european encephalitis",
    "06641": "West Nile Fever with encephalitis",
    "06649": "West Nile Fever with other complications",
    "072": "Mumps",
    "07271": "Mumps hepatitis",
    "0738": "Ornithosis with unspecified complication",
    "0780": "Molluscum contagiosum",
    "07888": "Other specified diseases due to chlamydiae",
    "07999": "Unspecified viral infection",
    "081": "Other typhus",
    "08240": "Ehrlichiosis, unspecified",
    "0841": "Vivax malaria [benign tertian]",
    "0846": "Malaria, unspecified",
    "0865": "African trypanosomiasis, unspecified",
    "087": "Relapsing fever",
    "09049": "Other juvenile neurosyphilis",
    "0915": "Uveitis due to secondary syphilis",
    "0942": "Syphilitic meningitis",
    "09485": "Syphilitic retrobulbar neuritis",
    "09487": "Syphilitic ruptured cerebral aneurysm",
    "0957": "Syphilis of synovium, tendon, and bursa",
    "09819": "Other gonococcal infection (acute) of upper genitourinary tract",
    "09852": "Gonococcal bursitis",
    "1000": "Leptospirosis icterohemorrhagica",
    "1025": "Gangosa",
    "1104": "Dermatophytosis of foot",
    "1108": "Dermatophytosis of other specified sites",
    "1150": "Infection by Histoplasma capsulatum",
    "11501": "Infection by Histoplasma capsulatum, meningitis",
    "11510": "Infection by Histoplasma duboisii, without mention of manifestation",
    "1222": "Echinococcus granulosus infection of thyroid",
    "1251": "Malayan filariasis",
    "1262": "Ancylostomiasis due to ancylostoma braziliense",
    "1289": "Helminth infection, unspecified",
    "1469": "Malignant neoplasm of oropharynx, unspecified site",
    "147": "Malignant neoplasm of nasopharynx",
    "1550": "Malignant neoplasm of liver, primary",
    "1580": "Malignant neoplasm of retroperitoneum",
    "163": "Malignant neoplasm of pleura",
    "1703": "Malignant neoplasm of ribs, sternum, and clavicle",
    "1710": "Malignant neoplasm of connective and other soft tissue of head, face, and neck",
    "1722": "Malignant melanoma of skin of ear and external auditory canal",
    "17310": "Unspecified malignant neoplasm of eyelid, including canthus",
    "17311": "Basal cell carcinoma of eyelid, including canthus",
    "17331": "Basal cell carcinoma of skin of other and unspecified parts of face",
    "1737": "Other and unspecified malignant neoplasm of skin of lower limb, including hip",
    "17390": "Unspecified malignant neoplasm of skin, site unspecified",
    "174": "Malignant neoplasm of female breast",
    "1742": "Malignant neoplasm of upper-inner quadrant of female breast",
    "1834": "Malignant neoplasm of parametrium",
    "1848": "Malignant neoplasm of other specified sites of female genital organs",
    "1881": "Malignant neoplasm of dome of urinary bladder",
    "1887": "Malignant neoplasm of urachus",
    "1890": "Malignant neoplasm of kidney, except pelvis",
    "194": "Malignant neoplasm of other endocrine glands and related structures",
    "197": "Secondary malignant neoplasm of respiratory and digestive systems",
    "1990": "Disseminated malignant neoplasm without specification of site",
    "20016": "Lymphosarcoma, intrapelvic lymph nodes",
    "20036": "Marginal zone lymphoma, intrapelvic lymph nodes",
    "20051": "Primary central nervous system lymphoma, lymph nodes of head, face, and neck",
    "E8495": "Street and highway accidents",
    "E8601": "Accidental poisoning by other and unspecified ethyl alcohol and its products",
    "E8611": "Accidental poisoning by soap products",
    "E8639": "Accidental poisoning by other and unspecified agricultural and horticultural chemical and pharmaceutical preparations other than plant foods and fertilizers",
    "E8654": "Accidental poisoning from other specified plants",
    "E8659": "Accidental poisoning from unspecified foodstuff or poisonous plant",
    "E8691": "Accidental poisoning by sulfur dioxide",
    "E8716": "Foreign object left in body during heart catheterization",
    "E8749": "Mechanical failure of instrument or apparatus during unspecified procedure",
    "E8831": "Accidental fall into well",
    "E8852": "Fall from skateboard",
    "E8900": "Explosion caused by conflagration in private dwelling",
    "E8919": "Unspecified accident resulting from conflagration of other and unspecified building or structure",
    "E896": "Accident caused by controlled fire in other and unspecified building or structure",
    "E9052": "Scorpion sting causing poisoning and toxic reactions",
    "E9174": "Striking against or struck accidentally by other stationary object without subsequent fall",
    "01675": "Tuberculosis of other female genital organs, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01715": "Erythema nodosum with hypersensitivity reaction in tuberculosis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01733": "Tuberculosis of eye, tubercle bacilli found (in sputum) by microscopy",
    "0174": "Tuberculosis of ear",
    "01754": "Tuberculosis of thyroid gland, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "0272": "Pasteurellosis",
    "0329": "Diphtheria, unspecified",
    "034": "Streptococcal sore throat and scarlet fever",
    "03810": "Staphylococcal septicemia, unspecified",
    "0404": "Other specified botulism",
    "04100": "Streptococcus infection in conditions classified elsewhere and of unspecified site, streptococcus, unspecified",
    "04182": "Bacteroides fragilis",
    "04184": "Other specified bacterial infections in conditions classified elsewhere and of unspecified site, other anaerobes",
    "0463": "Progressive multifocal leukoencephalopathy",
    "048": "Other enterovirus diseases of central nervous system",
    "0512": "Contagious pustular dermatitis",
    "0519": "Paravaccinia, unspecified",
    "0527": "Chickenpox with other specified complications",
    "05313": "Postherpetic polyneuropathy",
    "05321": "Herpes zoster keratoconjunctivitis",
    "05322": "Herpes zoster iridocyclitis",
    "0558": "Measles with unspecified complication",
    "05600": "Rubella with unspecified neurological complication",
    "057": "Other viral exanthemata",
    "05900": "Orthopoxvirus infection, unspecified",
    "05911": "Bovine stomatitis",
    "0600": "Sylvatic yellow fever",
    "0625": "California virus encephalitis",
    "0659": "Arthropod-borne hemorrhagic fever, unspecified",
    "0663": "Other mosquito-borne fever",
    "0703": "Viral hepatitis B without mention of hepatic coma",
    "0706": "Unspecified viral hepatitis with hepatic coma",
    "0730": "Ornithosis with pneumonia",
    "07421": "Coxsackie pericarditis",
    "07951": "Human T-cell lymphotrophic virus, type I [HTLV-I]",
    "0796": "Respiratory syncytial virus (RSV)",
    "07982": "SARS-associated coronavirus",
    "0880": "Bartonellosis",
    "08889": "Other specified arthropod-borne diseases, other",
    "0917": "Secondary syphilis, relapse",
    "09181": "Acute syphilitic meningitis (secondary)",
    "09481": "Syphilitic encephalitis",
    "0979": "Syphilis, unspecified",
    "09812": "Gonococcal prostatitis (acute)",
    "09815": "Gonococcal cervicitis (acute)",
    "0983": "Gonococcal infection, chronic, of upper genitourinary tract",
    "09832": "Gonococcal prostatitis, chronic",
    "09836": "Gonococcal endometritis, chronic",
    "09837": "Gonococcal salpingitis (chronic)",
    "09850": "Gonococcal arthritis",
    "0992": "Granuloma inguinale",
    "0995": "Other venereal diseases due to Chlamydia trachomatis",
    "09954": "Other venereal diseases due to chlamydia trachomatis, other genitourinary sites",
    "1109": "Dermatophytosis of unspecified site",
    "1211": "Clonorchiasis",
    "1216": "Heterophyiasis",
    "1235": "Sparganosis [larval diphyllobothriasis]",
    "13101": "Trichomonal vulvovaginitis",
    "E9910": "Injury due to war operations from rubber bullets (rifle)",
    "E9911": "Injury due to war operations from pellets (rifle)",
    "E9916": "Injury due to war operations by fragments from vehicle-borne improvised explosive device [IED]",
    "1342": "Hirudiniasis",
    "135": "Sarcoidosis",
    "1365": "Sarcosporidiosis",
    "1508": "Malignant neoplasm of other specified part of esophagus",
    "1510": "Malignant neoplasm of cardia",
    "1518": "Malignant neoplasm of other specified sites of stomach",
    "1522": "Malignant neoplasm of ileum",
    "153": "Malignant neoplasm of colon",
    "1540": "Malignant neoplasm of rectosigmoid junction",
    "1570": "Malignant neoplasm of head of pancreas",
    "1605": "Malignant neoplasm of sphenoidal sinus",
    "1630": "Malignant neoplasm of parietal pleura",
    "1638": "Malignant neoplasm of other specified sites of pleura",
    "1639": "Malignant neoplasm of pleura, unspecified",
    "1705": "Malignant neoplasm of short bones of upper limb",
    "1706": "Malignant neoplasm of pelvic bones, sacrum, and coccyx",
    "1709": "Malignant neoplasm of bone and articular cartilage, site unspecified",
    "V070": "Need for isolation",
    "V079": "Unspecified prophylactic or treatment measure",
    "44823784": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V0981": "Infection with microorganisms with resistance to multiple drugs",
    "V1006": "Personal history of malignant neoplasm of rectum, rectosigmoid junction, and anus",
    "V1071": "Personal history of lymphosarcoma and reticulosarcoma",
    "V1091": "Personal history of malignant neuroendocrine tumor",
    "44823789": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V113": "Personal history of alcoholism",
    "44823791": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823792": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823793": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823794": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823795": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1352": "Personal history of stress fracture",
    "44823797": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V180": "Family history of diabetes mellitus",
    "V185": "Family history of digestive disorders",
    "V191": "Family history of other eye disorders",
    "V2133": "Low birth weight status, 1000-1499 grams",
    "44823802": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823805": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V26": "Procreative management",
    "V2651": "Tubal ligation status",
    "V269": "Unspecified procreative management",
    "44823810": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823811": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823812": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V283": "Encounter for routine screening for malformation using ultrasonics",
    "44823814": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823815": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823816": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V312": "Twin birth, mate liveborn, born outside hospital and not hospitalized",
    "73009": "Acute osteomyelitis, multiple sites",
    "73011": "Chronic osteomyelitis, shoulder region",
    "73015": "Chronic osteomyelitis, pelvic region and thigh",
    "73027": "Unspecified osteomyelitis, ankle and foot",
    "73036": "Periostitis, without mention of osteomyelitis, lower leg",
    "7308": "Other infections involving bone in disease classified elsewhere",
    "73080": "Other infections involving bone in diseases classified elsewhere, site unspecified",
    "73082": "Other infections involving bone in diseases classified elsewhere, upper arm",
    "733": "Other disorders of bone and cartilage",
    "73316": "Pathologic fracture of tibia or fibula",
    "73319": "Pathologic fracture of other specified site",
    "7336": "Tietze's disease",
    "73391": "Arrest of bone development or growth",
    "73394": "Stress fracture of the metatarsals",
    "73395": "Stress fracture of other bone",
    "73606": "Claw hand (acquired)",
    "7368": "Acquired deformities of other parts of limbs",
    "7390": "Nonallopathic lesions, head region",
    "7392": "Nonallopathic lesions, thoracic region",
    "74103": "Spina bifida with hydrocephalus, lumbar region",
    "7429": "Unspecified congenital anomaly of brain, spinal cord, and nervous system",
    "74342": "Corneal opacities, interfering with vision, congenital",
    "74344": "Specified congenital anomalies of anterior chamber, chamber angle, and related structures",
    "74348": "Multiple and combined congenital anomalies of anterior segment",
    "74356": "Other retinal changes, congenital",
    "74365": "Specified congenital anomalies of lacrimal passages",
    "74422": "Macrotia",
    "74441": "Branchial cleft sinus or fistula",
    "74560": "Endocardial cushion defect, unspecified type",
    "74569": "Other endocardial cushion defects",
    "74683": "Infundibular pulmonic stenosis",
    "74685": "Coronary artery anomaly",
    "7469": "Unspecified congenital anomaly of heart",
    "7471": "Coarctation of aorta",
    "74739": "Other anomalies of pulmonary artery and pulmonary circulation",
    "74760": "Anomaly of the peripheral vascular system, unspecified site",
    "74781": "Anomalies of cerebrovascular system",
    "74861": "Congenital bronchiectasis",
    "7513": "Hirschsprung's disease and other congenital functional disorders of colon",
    "75245": "Vaginal agenesis",
    "75524": "Longitudinal deficiency, humeral, complete or partial (with or without distal deficiencies, incomplete)",
    "75554": "Madelung's deformity",
    "75559": "Other anomalies of upper limb, including shoulder girdle",
    "7562": "Cervical rib",
    "7563": "Other anomalies of ribs and sternum",
    "75650": "Congenital osteodystrophy, unspecified",
    "75673": "Gastroschisis",
    "7568": "Other specified congenital anomalies of muscle, tendon, fascia, and connective tissue",
    "75889": "Other conditions due to chromosome anomalies",
    "7589": "Conditions due to anomaly of unspecified chromosome",
    "7597": "Multiple congenital anomalies, so described",
    "76073": "Hallucinogenic agents affecting fetus or newborn via placenta or breast milk",
    "76079": "Other noxious influences affecting fetus or newborn via placenta or breast milk",
    "7614": "Ectopic pregnancy affecting fetus or newborn",
    "76384": "Meconium passage during delivery",
    "7639": "Unspecified complication of labor and delivery affecting fetus or newborn",
    "76414": "Light-for-dates with signs of fetal malnutrition, 1,000-1,249 grams",
    "76415": "Light-for-dates with signs of fetal malnutrition, 1,250-1,499 grams",
    "76426": 'Fetal malnutrition without mention of "light-for-dates", 1,500-1,749 grams',
    "E9684": "Assault by criminal neglect",
    "E9687": "Assault by human bite",
    "E987": "Falling from high place, undetermined whether accidentally or purposely inflicted",
    "E9881": "Injury by burns or fire, undetermined whether accidentally or purposely inflicted",
    "E9887": "Injury by caustic substances, except poisoning, undetermined whether accidentally or purposely inflicted",
    "E9900": "Injury due to war operations from gasoline bomb",
    "E9903": "Injury due to war operations from fire caused indirectly from conventional weapon",
    "E9943": "Injury due to war operations by destruction of aircraft due to onboard fire",
    "E9962": "Injury due to war operations by thermal radiation effect of nuclear weapon",
    "V0189": "Contact with or exposure to other communicable diseases",
    "44824935": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V032": "Need for prophylactic vaccination and inoculation against tuberculosis [BCG]",
    "V0382": "Other specified vaccinations against streptococcus pneumoniae [pneumococcus]",
    "V042": "Need for prophylactic vaccination and inoculation against measles alone",
    "V048": "Need for prophylactic vaccination and inoculation against other viral diseases",
    "44824940": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V07": "Need for isolation and other prophylactic or treatment measures",
    "V071": "Need for desensitization to allergens",
    "V075": "Use of agents affecting estrogen receptors and estrogen levels",
    "V0752": "Use of aromatase inhibitors",
    "V08": "Asymptomatic human immunodeficiency virus [HIV] infection status",
    "V090": "Infection with microorganisms resistant to penicillins",
    "44824947": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824948": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1044": "Personal history of malignant neoplasm of other female genital organs",
    "65260": "Multiple gestation with malpresentation of one fetus or more, unspecified as to episode of care or not applicable",
    "6532": "Inlet contraction of pelvis in pregnancy, labor, and delivery",
    "65333": "Outlet contraction of pelvis, antepartum condition or complication",
    "65370": "Other fetal abnormality causing disproportion, unspecified as to episode of care or not applicable",
    "65410": "Tumors of body of uterus, unspecified as to episode of care or not applicable",
    "65411": "Tumors of body of uterus, delivered, with or without mention of antepartum condition",
    "65421": "Previous cesarean delivery, delivered, with or without mention of antepartum condition",
    "65430": "Retroverted and incarcerated gravid uterus, unspecified as to episode of care or not applicable",
    "65442": "Other abnormalities in shape or position of gravid uterus and of neighboring structures, delivered, with mention of postpartum complication",
    "65482": "Congenital or acquired abnormality of vulva, delivered, with mention of postpartum complication",
    "65570": "Decreased fetal movements, affecting management of mother, unspecified as to episode of care",
    "65610": "Rhesus isoimmunization, unspecified as to episode of care or not applicable",
    "6631": "Cord around neck, with compression, complicating labor and delivery",
    "66353": "Vasa previa complicating labor and delivery, antepartum condition or complication",
    "66381": "Other umbilical cord complications complicating labor and delivery, delivered, with or without mention of antepartum condition",
    "66400": "First-degree perineal laceration, unspecified as to episode of care or not applicable",
    "66404": "First-degree perineal laceration, postpartum condition or complication",
    "66411": "Second-degree perineal laceration, delivered, with or without mention of antepartum condition",
    "66431": "Fourth-degree perineal laceration, delivered, with or without mention of antepartum condition",
    "66524": "Inversion of uterus, postpartum condition or complication",
    "6654": "High vaginal laceration during and after labor",
    "66714": "Retained portions of placenta or membranes, without hemorrhage, postpartum condition or complication",
    "66800": "Pulmonary complications of anesthesia or other sedation in labor and delivery, unspecified as to episode of care or not applicable",
    "6681": "Cardiac complications of anesthesia or other sedation in labor and delivery",
    "66882": "Other complications of anesthesia or other sedation in labor and delivery, delivered, with mention of postpartum complication",
    "66904": "Maternal distress complicating labor and delivery, postpartum condition or complication",
    "66911": "Shock during or following labor and delivery, delivered, with or without mention of antepartum condition",
    "66923": "Maternal hypotension syndrome, antepartum condition or complication",
    "6693": "Acute kidney failure following labor and delivery",
    "6718": "Other venous complications in pregnancy and the puerperium",
    "67183": "Other venous complications of pregnancy and the puerperium, antepartum condition or complication",
    "6731": "Amniotic fluid embolism",
    "67310": "Amniotic fluid embolism, unspecified as to episode of care or not applicable",
    "67330": "Obstetrical pyemic and septic embolism, unspecified as to episode of care or not applicable",
    "6743": "Other complications of obstetrical surgical wounds",
    "67432": "Other complications of obstetrical surgical wounds, delivered, with mention of postpartum complication",
    "67434": "Other complications of obstetrical surgical wounds, postpartum condition or complication",
    "6749": "Unspecified complications of the puerperium",
    "67510": "Abscess of breast associated with childbirth, unspecified as to episode of care or not applicable",
    "6758": "Other specified infections of the breast and nipple associated with childbirth",
    "67604": "Retracted nipple associated with childbirth, postpartum condition or complication",
    "67622": "Engorgement of breasts associated with childbirth, delivered, with mention of postpartum complication",
    "67623": "Engorgement of breasts associated with childbirth, antepartum condition or complication",
    "67624": "Engorgement of breasts associated with childbirth, postpartum condition or complication",
    "67664": "Galactorrhea associated with childbirth, postpartum condition or complication",
    "67693": "Unspecified disorder of lactation, antepartum condition or complication",
    "67800": "Fetal hematologic conditions, unspecified as to episode of care or not applicable",
    "67803": "Fetal hematologic conditions, antepartum condition or complication",
    "6809": "Carbuncle and furuncle of unspecified site",
    "6826": "Cellulitis and abscess of leg, except foot",
    "68609": "Other pyoderma",
    "422": "Acute myocarditis",
    "42291": "Idiopathic myocarditis",
    "42292": "Septic myocarditis",
    "4231": "Adhesive pericarditis",
    "4249": "Endocarditis, valve unspecified",
    "4264": "Right bundle branch block",
    "42689": "Other specified conduction disorders",
    "4273": "Atrial fibrillation and flutter",
    "42789": "Other specified cardiac dysrhythmias",
    "428": "Heart failure",
    "42831": "Acute diastolic heart failure",
    "4331": "Occlusion and stenosis of carotid artery",
    "67900": "Maternal complications from in utero procedure, unspecified as to episode of care or not applicable",
    "67903": "Maternal complications from in utero procedure, antepartum condition or complication",
    "6807": "Carbuncle and furuncle of foot",
    "68101": "Felon",
    "68102": "Onychia and paronychia of finger",
    "6908": "Other erythematosquamous dermatosis",
    "6918": "Other atopic dermatitis and related conditions",
    "6923": "Contact dermatitis and other eczema due to drugs and medicines in contact with skin",
    "6925": "Contact dermatitis and other eczema due to food in contact with skin",
    "69279": "Other dermatitis due to solar radiation",
    "V2341": "Pregnancy with history of pre-term labor",
    "44821531": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821532": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821533": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821534": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821535": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V311": "Twin birth, mate liveborn, born before admission to hospital",
    "V3501": "Other multiple birth (three or more), mates all still born, born in hospital, delivered by cesarean section",
    "V3600": "Other multiple birth (three or more), mates liveborn and stillborn, born in hospital, delivered without mention of cesarean section",
    "V370": "Other multiple, unspecified, born in hospital",
    "V3901": "Liveborn, unspecified whether single, twin or multiple, born in hospital, delivered by cesarean section",
    "V40": "Mental and behavioral problems",
    "44821542": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821543": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821544": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821545": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V420": "Kidney replaced by transplant",
    "V421": "Heart replaced by transplant",
    "V424": "Bone replaced by transplant",
    "V427": "Liver replaced by transplant",
    "V431": "Lens replaced by other means",
    "V4360": "Unspecified joint replacement",
    "V4364": "Hip joint replacement",
    "44821553": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4451": "Cutaneous-vesicostomy",
    "V447": "Artificial vagina status",
    "V453": "Intestinal bypass or anastomosis status",
    "V4578": "Acquired absence of organ, eye",
    "44821558": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821559": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821560": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V473": "Other digestive problems",
    "V480": "Deficiencies of head",
    "V493": "Sensory problems with limbs",
    "V4962": "Other finger(s) amputation status",
    "V4982": "Dental sealant status",
    "V4985": "Dual sensory impairment",
    "V4986": "Do not resuscitate status",
    "44821568": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821569": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821570": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V522": "Fitting and adjustment of artificial eye",
    "V523": "Fitting and adjustment of dental prosthetic device",
    "76496": "Fetal growth retardation, unspecified, 1,500-1,749 grams",
    "76503": "Extreme immaturity, 750-999 grams",
    "76525": "29-30 completed weeks of gestation",
    "76622": "Prolonged gestation of infant",
    "55201": "Femoral hernia with obstruction, unilateral or unspecified, recurrent",
    "5532": "Ventral hernia without mention of obstruction or gangrene",
    "5538": "Hernia of other specified sites without mention of obstruction or gangrene",
    "56200": "Diverticulosis of small intestine (without mention of hemorrhage)",
    "5642": "Postgastric surgery syndromes",
    "5688": "Other specified disorders of peritoneum",
    "5689": "Unspecified disorder of peritoneum",
    "569": "Other disorders of intestine",
    "571": "Chronic liver disease and cirrhosis",
    "57471": "Calculus of gallbladder and bile duct with other cholecystitis, with obstruction",
    "5763": "Perforation of bile duct",
    "5799": "Unspecified intestinal malabsorption",
    "58381": "Nephritis and nephropathy, not specified as acute or chronic, in diseases classified elsewhere",
    "5849": "Acute kidney failure, unspecified",
    "5920": "Calculus of kidney",
    "59372": "Vesicoureteral reflux with reflux nephropathy, bilateral",
    "59652": "Low bladder compliance",
    "5967": "Hemorrhage into bladder wall",
    "59983": "Urethral instability",
    "59984": "Other specified disorders of urethra",
    "60000": "Hypertrophy (benign) of prostate without urinary obstruction and other lower urinary tract symptom (LUTS)",
    "60020": "Benign localized hyperplasia of prostate without urinary obstruction and other lower urinary tract symptoms (LUTS)",
    "6019": "Prostatitis, unspecified",
    "6023": "Dysplasia of prostate",
    "6040": "Orchitis, epididymitis, and epididymo-orchitis, with abscess",
    "6049": "Other orchitis, epididymitis, and epididymo-orchitis, without mention of abscess",
    "6073": "Priapism",
    "60884": "Chylocele of tunica vaginalis",
    "6111": "Hypertrophy of breast",
    "61183": "Capsular contracture of breast implant",
    "617": "Endometriosis",
    "6189": "Unspecified genital prolapse",
    "6191": "Digestive-genital tract fistula, female",
    "6203": "Acquired atrophy of ovary and fallopian tube",
    "6206": "Broad ligament laceration syndrome",
    "62135": "Endometrial intraepithelial neoplasia [EIN]",
    "6221": "Dysplasia of cervix (uteri)",
    "62212": "Moderate dysplasia of cervix",
    "630": "Hydatidiform mole",
    "6339": "Unspecified ectopic pregnancy",
    "63412": "Spontaneous abortion, complicated by delayed or excessive hemorrhage, complete",
    "63431": "Spontaneous abortion, complicated by renal failure, incomplete",
    "63471": "Spontaneous abortion, with other specified complications, incomplete",
    "63481": "Spontaneous abortion, with unspecified complication, incomplete",
    "63491": "Spontaneous abortion, without mention of complication, incomplete",
    "63551": "Legally induced abortion, complicated by shock, incomplete",
    "63580": "Legally induced abortion, with unspecified complication, unspecified",
    "63630": "Illegally induced abortion, complicated by renal failure, unspecified",
    "63642": "Illegally induced abortion, complicated by metabolic disorder, complete",
    "63762": "Unspecified abortion, complicated by embolism, complete",
    "6379": "Unspecified abortion without mention of complication",
    "63792": "Unspecified abortion, without mention of complication, complete",
    "6380": "Failed attempted abortion complicated by genital tract and pelvic infection",
    "6399": "Unspecified complication following abortion or ectopic and molar pregnancy",
    "65680": "Other specified fetal and placental problems, affecting management of mother, unspecified as to episode of care or not applicable",
    "65691": "Unspecified fetal and placental problem, affecting management of mother, delivered, with or without mention of antepartum condition",
    "65803": "Oligohydramnios, antepartum condition or complication",
    "6584": "Infection of amniotic cavity",
    "6589": "Unspecified problem associated with amniotic cavity and membranes",
    "65930": "Generalized infection during labor, unspecified as to episode of care or not applicable",
    "6598": "Other specified indications for care or intervention related to labor and delivery",
    "66101": "Primary uterine inertia, delivered, with or without mention of antepartum condition",
    "66110": "Secondary uterine inertia, unspecified as to episode of care or not applicable",
    "6612": "Other and unspecified uterine inertia",
    "66123": "Other and unspecified uterine inertia, antepartum condition or complication",
    "6613": "Precipitate labor",
    "6621": "Prolonged labor, unspecified",
    "66321": "Other and unspecified cord entanglement, with compression, complicating labor and delivery, delivered, with or without mention of antepartum condition",
    "66361": "Vascular lesions of cord complicating labor and delivery, delivered, with or without mention of antepartum condition",
    "6649": "Unspecified trauma to perineum and vulva during delivery",
    "66522": "Inversion of uterus, delivered, with mention of postpartum complication",
    "66624": "Delayed and secondary postpartum hemorrhage, postpartum condition or complication",
    "66820": "Central nervous system complications of anesthesia or other sedation in labor and delivery, unspecified as to episode of care or not applicable",
    "66890": "Unspecified complication of anesthesia and other sedation in labor and delivery, unspecified as to episode of care or not applicable",
    "669": "Other complications of labor and delivery, not elsewhere classified",
    "6696": "Breech extraction, without mention of indication",
    "66980": "Other complications of labor and delivery, unspecified as to episode of care or not applicable",
    "67110": "Varicose veins of vulva and perineum complicating pregnancy and the puerperium, unspecified as to episode of care or not applicable",
    "6712": "Superficial thrombophlebitis in pregnancy and the puerperium",
    "6730": "Obstetrical air embolism",
    "67324": "Obstetrical blood-clot embolism, postpartum condition or complication",
    "6745": "Peripartum cardiomyopathy",
    "6751": "Abscess of breast associated with childbirth",
    "67591": "Unspecified infection of the breast and nipple associated with childbirth, delivered, with or without mention of antepartum condition",
    "67611": "Cracked nipple associated with childbirth, delivered, with or without mention of antepartum condition",
    "67633": "Other and unspecified disorder of breast associated with childbirth, antepartum condition or complication",
    "67661": "Galactorrhea associated with childbirth, delivered, with or without mention of antepartum condition",
    "67904": "Maternal complications from in utero procedure, postpartum condition or complication",
    "6805": "Carbuncle and furuncle of buttock",
    "6851": "Pilonidal cyst without mention of abscess",
    "37844": "Cyclophoria",
    "37850": "Paralytic strabismus, unspecified",
    "37915": "Ring staphyloma",
    "37990": "Disorder of eye, unspecified",
    "38050": "Acquired stenosis of external ear canal, unspecified as to cause",
    "3810": "Acute nonsuppurative otitis media",
    "38102": "Acute mucoid otitis media",
    "383": "Mastoiditis and related conditions",
    "38321": "Acute petrositis",
    "3841": "Chronic myringitis without mention of otitis media",
    "38589": "Other disorders of middle ear and mastoid",
    "3863": "Labyrinthitis",
    "38643": "Semicircular canal fistula",
    "38651": "Hyperactive labyrinth, unilateral",
    "38658": "Other forms and combinations of labyrinthine dysfunction",
    "434": "Occlusion of cerebral arteries",
    "43841": "Late effects of cerebrovascular disease, monoplegia of lower limb affecting dominant side",
    "43853": "Late effects of cerebrovascular disease, other paralytic syndrome, bilateral",
    "43883": "Other late effects of cerebrovascular disease, facial weakness",
    "44029": "Other atherosclerosis of native arteries of the extremities",
    "44101": "Dissection of aorta, thoracic",
    "44103": "Dissection of aorta, thoracoabdominal",
    "4419": "Aortic aneurysm of unspecified site without mention of rupture",
    "4422": "Aneurysm of iliac artery",
    "4440": "Embolism and thrombosis of abdominal aorta",
    "4441": "Embolism and thrombosis of thoracic aorta",
    "44421": "Arterial embolism and thrombosis of upper extremity",
    "4449": "Embolism and thrombosis of unspecified artery",
    "4478": "Other specified disorders of arteries and arterioles",
    "4489": "Other and unspecified capillary diseases",
    "4512": "Phlebitis and thrombophlebitis of lower extremities, unspecified",
    "4532": "Other venous embolism and thrombosis of inferior vena cava",
    "454": "Varicose veins of lower extremities",
    "4549": "Asymptomatic varicose veins",
    "4550": "Internal hemorrhoids without mention of complication",
    "45621": "Esophageal varices in diseases classified elsewhere, without mention of bleeding",
    "4571": "Other lymphedema",
    "4591": "Postphlebitic syndrome",
    "46421": "Acute laryngotracheitis with obstruction",
    "4731": "Chronic frontal sinusitis",
    "476": "Chronic laryngitis and laryngotracheitis",
    "4781": "Other diseases of nasal cavity and sinuses",
    "4784": "Polyp of vocal cord or larynx",
    "4820": "Pneumonia due to Klebsiella pneumoniae",
    "4821": "Pneumonia due to Pseudomonas",
    "4848": "Pneumonia in other infectious diseases classified elsewhere",
    "487": "Influenza",
    "48819": "Influenza due to identified 2009 H1N1 influenza virus with other manifestations",
    "48881": "Influenza due to identified novel influenza A virus with pneumonia",
    "49300": "Extrinsic asthma, unspecified",
    "49301": "Extrinsic asthma with status asthmaticus",
    "49310": "Intrinsic asthma, unspecified",
    "4950": "Farmers' lung",
    "5130": "Abscess of lung",
    "5161": "Idiopathic pulmonary hemosiderosis",
    "51630": "Idiopathic interstitial pneumonia, not otherwise specified",
    "51637": "Desquamative interstitial pneumonia",
    "52106": "Dental caries pit and fissure",
    "52109": "Other dental caries",
    "52112": "Excessive attrition, extending into dentine",
    "52340": "Chronic periodontitis, unspecified",
    "5240": "Major anomalies of jaw size",
    "52425": "Open posterior occlusal relationship",
    "52453": "Deviation in opening and closing of the mandible",
    "52454": "Insufficient anterior guidance",
    "52470": "Dental alveolar anomalies, unspecified alveolar anomaly",
    "5254": "Complete edentulism",
    "52542": "Complete edentulism, class II",
    "5255": "Partial edentulism",
    "52550": "Partial edentulism, unspecified",
    "5273": "Abscess of salivary gland",
    "5277": "Disturbance of salivary secretion",
    "5292": "Median rhomboid glossitis",
    "530": "Diseases of esophagus",
    "9160": "Abrasion or friction burn of hip, thigh, leg, and ankle, without mention of infection",
    "9172": "Blister of foot and toe(s), without mention of infection",
    "9230": "Contusion of shoulder and upper arm",
    "V5339": "Fitting and adjustment of other cardiac device",
    "V538": "Fitting and adjustment of wheelchair",
    "44821575": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5420": "Aftercare for healing pathologic fracture of arm, unspecified",
    "V554": "Attention to other artificial opening of digestive tract",
    "V568": "Encounter for other dialysis",
    "V587": "Aftercare following surgery to specified body systems, not elsewhere classified",
    "V5877": "Aftercare following surgery of the skin and subcutaneous tissue, NEC",
    "V588": "Encounter for other specified procedures and aftercare",
    "44821582": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5970": "Egg (oocyte) (ovum) donor, unspecified",
    "V5971": "Egg (oocyte) (ovum) donor, under age 35, anonymous recipient",
    "44821585": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V60": "Housing, household, and economic circumstances",
    "V6089": "Other specified housing or economic circumstances",
    "V6103": "Family disruption due to divorce or legal separation",
    "V6142": "Substance abuse in family",
    "V619": "Unspecified family circumstance",
    "44821591": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6281": "Interpersonal problems, not elsewhere classified",
    "44821593": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821594": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "99676": "Other complications due to genitourinary device, implant, and graft",
    "99802": "Postoperative shock, septic",
    "99830": "Disruption of wound, unspecified",
    "99882": "Cataract fragments in eye following cataract surgery",
    "99960": "ABO incompatibility reaction, unspecified",
    "99974": "Other Rh incompatibility reaction",
    "E0040": "Activities involving mountain climbing, rock climbing and wall climbing",
    "E0070": "Activities involving american tackle football",
    "E0092": "Activity involving aerobic and step exercise",
    "E0103": "Activity involving pilates",
    "E0199": "Other activity involving animal care",
    "E0290": "Refereeing a sports activity",
    "E800": "Railway accident involving collision with rolling stock",
    "E8023": "Railway accident involving derailment without antecedent collision injuring pedal cyclist",
    "E8059": "Unspecified person hit by rolling stock",
    "E8207": "Nontraffic accident involving motor-driven snow vehicle injuring pedestrian",
    "6410": "Placenta previa without hemorrhage",
    "64111": "Hemorrhage from placenta previa, delivered, with or without mention of antepartum condition",
    "6423": "Transient hypertension of pregnancy",
    "64244": "Mild or unspecified pre-eclampsia, postpartum condition or complication",
    "64270": "Pre-eclampsia or eclampsia superimposed on pre-existing hypertension, unspecified as to episode of care or not applicable",
    "64311": "Hyperemesis gravidarum with metabolic disturbance, delivered, with or without mention of antepartum condition",
    "64523": "Prolonged pregnancy, antepartum condition or complication",
    "64661": "Infections of genitourinary tract in pregnancy, delivered, with or without mention of antepartum condition",
    "2506": "Diabetes with neurological manifestations",
    "25070": "Diabetes with peripheral circulatory disorders, type II or unspecified type, not stated as uncontrolled",
    "25090": "Diabetes with unspecified complication, type II or unspecified type, not stated as uncontrolled",
    "2513": "Postsurgical hypoinsulinemia",
    "2538": "Other disorders of the pituitary and other syndromes of diencephalohypophyseal origin",
    "25542": "Mineralocorticoid deficiency",
    "2558": "Other specified disorders of adrenal glands",
    "25639": "Other ovarian failure",
    "2571": "Postablative testicular hypofunction",
    "2589": "Polyglandular dysfunction, unspecified",
    "2599": "Unspecified endocrine disorder",
    "2642": "Vitamin A deficiency with corneal xerosis",
    "2669": "Unspecified vitamin B deficiency",
    "2681": "Rickets, late effect",
    "2724": "Other and unspecified hyperlipidemia",
    "2728": "Other disorders of lipoid metabolism",
    "27502": "Hemochromatosis due to repeated red blood cell transfusions",
    "27509": "Other disorders of iron metabolism",
    "276": "Disorders of fluid, electrolyte, and acid-base balance",
    "2779": "Unspecified disorder of metabolism",
    "2783": "Hypercarotinemia",
    "2801": "Iron deficiency anemia secondary to inadequate dietary iron intake",
    "2822": "Anemias due to disorders of glutathione metabolism",
    "28261": "Hb-SS disease without crisis",
    "28803": "Drug induced neutropenia",
    "28950": "Disease of spleen, unspecified",
    "29040": "Vascular dementia, uncomplicated",
    "29211": "Drug-induced psychotic disorder with delusions",
    "29285": "Drug induced sleep disorders",
    "29411": "Dementia in conditions classified elsewhere with behavioral disturbance",
    "2948": "Other persistent mental disorders due to conditions classified elsewhere",
    "29522": "Catatonic type schizophrenia, chronic",
    "29532": "Paranoid type schizophrenia, chronic",
    "29540": "Schizophreniform disorder, unspecified",
    "29552": "Latent schizophrenia, chronic",
    "29555": "Latent schizophrenia, in remission",
    "29563": "Schizophrenic disorders, residual type, subchronic with acute exacerbation",
    "29574": "Schizoaffective disorder, chronic with acute exacerbation",
    "2961": "Manic disorder, recurrent episode",
    "29622": "Major depressive affective disorder, single episode, moderate",
    "29634": "Major depressive affective disorder, recurrent episode, severe, specified as with psychotic behavior",
    "29636": "Major depressive affective disorder, recurrent episode, in full remission",
    "2967": "Bipolar I disorder, most recent episode (or current) unspecified",
    "2971": "Delusional disorder",
    "2990": "Autistic disorder",
    "29990": "Unspecified pervasive developmental disorder, current or active state",
    "30021": "Agoraphobia with panic disorder",
    "3016": "Dependent personality disorder",
    "30253": "Trans-sexualism with heterosexual history",
    "3872": "Cochlear otosclerosis",
    "3878": "Other otosclerosis",
    "3879": "Otosclerosis, unspecified",
    "38841": "Diplacusis",
    "38871": "Otogenic pain",
    "38872": "Referred otogenic pain",
    "3889": "Unspecified disorder of ear",
    "38901": "Conductive hearing loss, external ear",
    "38906": "Conductive hearing loss, bilateral",
    "38910": "Sensorineural hearing loss, unspecified",
    "38913": "Neural hearing loss, unilateral",
    "39891": "Rheumatic heart failure (congestive)",
    "4010": "Malignant essential hypertension",
    "40211": "Benign hypertensive heart disease with heart failure",
    "41001": "Acute myocardial infarction of anterolateral wall, initial episode of care",
    "41511": "Iatrogenic pulmonary embolism and infarction",
    "4160": "Primary pulmonary hypertension",
    "4178": "Other specified diseases of pulmonary circulation",
    "4253": "Endocardial fibroelastosis",
    "4259": "Secondary cardiomyopathy, unspecified",
    "4261": "Atrioventricular block, other and unspecified",
    "42760": "Premature beats, unspecified",
    "42843": "Acute on chronic combined systolic and diastolic heart failure",
    "42971": "Acquired cardiac septal defect",
    "4330": "Occlusion and stenosis of basilar artery",
    "43812": "Late effects of cerebrovascular disease, dysphasia",
    "43881": "Other late effects of cerebrovascular disease, apraxia",
    "4400": "Atherosclerosis of aorta",
    "44022": "Atherosclerosis of native arteries of the extremities with rest pain",
    "44102": "Dissection of aorta, abdominal",
    "44502": "Atheroembolism of lower extremity",
    "4458": "Atheroembolism of other sites",
    "451": "Phlebitis and thrombophlebitis",
    "4531": "Thrombophlebitis migrans",
    "45340": "Acute venous embolism and thrombosis of unspecified deep vessels of lower extremity",
    "45377": "Chronic venous embolism and thrombosis of other thoracic veins",
    "455": "Hemorrhoids",
    "456": "Varicose veins of other sites",
    "4582": "Iatrogenic hypotension",
    "4592": "Compression of vein",
    "460": "Acute nasopharyngitis [common cold]",
    "4612": "Acute ethmoidal sinusitis",
    "464": "Acute laryngitis and tracheitis",
    "470": "Deviated nasal septum",
    "4738": "Other chronic sinusitis",
    "47401": "Chronic adenoiditis",
    "48241": "Methicillin susceptible pneumonia due to Staphylococcus aureus",
    "49392": "Asthma, unspecified type, with (acute) exacerbation",
    "501": "Asbestosis",
    "5061": "Acute pulmonary edema due to fumes and vapors",
    "51181": "Malignant pleural effusion",
    "5169": "Unspecified alveolar and parietoalveolar pneumonopathy",
    "5194": "Disorders of diaphragm",
    "52102": "Dental caries extending into dentine",
    "52104": "Arrested dental caries",
    "5213": "Erosion of teeth",
    "5221": "Necrosis of the pulp",
    "5223": "Abnormal hard tissue formation in pulp",
    "5225": "Periapical abscess without sinus",
    "1948": "Malignant neoplasm of other endocrine glands and related structures",
    "1973": "Secondary malignant neoplasm of other respiratory organs",
    "1980": "Secondary malignant neoplasm of kidney",
    "20014": "Lymphosarcoma, lymph nodes of axilla and upper limb",
    "20065": "Anaplastic large cell lymphoma, lymph nodes of inguinal region and lower limb",
    "9248": "Contusion of multiple sites, not elsewhere classified",
    "9270": "Crushing injury of shoulder and upper arm",
    "9300": "Corneal foreign body",
    "9309": "Foreign body in unspecified site on external eye",
    "9341": "Foreign body in main bronchus",
    "936": "Foreign body in intestine and colon",
    "9400": "Chemical burn of eyelids and periocular area",
    "9410": "Burn of face, head, and neck, unspecified degree",
    "94129": "Blisters, epidermal loss [second degree] of multiple sites [except with eye] of face, head, and neck",
    "9422": "Blisters with epidermal loss due to burn [second degree] of trunk",
    "94250": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, trunk, unspecified site",
    "94304": "Burn of unspecified degree of axilla",
    "94305": "Burn of unspecified degree of shoulder",
    "94316": "Erythema [first degree] of scapular region",
    "94333": "Full-thickness skin loss [third degree, not otherwise specified] of upper arm",
    "94352": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of elbow",
    "94355": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of shoulder",
    "94410": "Erythema [first degree] of hand, unspecified site",
    "94424": "Blisters, epidermal loss [second degree] of two or more digits of hand including thumb",
    "9464": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of multiple specified sites",
    "94822": "Burn [any degree] involving 20-29 percent of body surface with third degree burn, 20-29%",
    "95216": "T7-T12 level with complete lesion of spinal cord",
    "9531": "Injury to dorsal nerve root",
    "9538": "Injury to multiple sites of nerve roots and spinal plexus",
    "9548": "Injury to other specified nerve(s) of trunk, excluding shoulder and pelvic girdles",
    "9571": "Injury to other specified nerve(s)",
    "9583": "Posttraumatic wound infection not elsewhere classified",
    "95890": "Compartment syndrome, unspecified",
    "9591": "Other and unspecified injury to trunk",
    "9592": "Shoulder and upper arm injury",
    "9607": "Poisoning by antineoplastic antibiotics",
    "9628": "Poisoning by antithyroid agents",
    "963": "Poisoning by primarily systemic agents",
    "9635": "Poisoning by vitamins, not elsewhere classified",
    "96500": "Poisoning by opium (alkaloids), unspecified",
    "96501": "Poisoning by heroin",
    "9719": "Poisoning by unspecified drug primarily affecting autonomic nervous system",
    "9724": "Poisoning by coronary vasodilators",
    "9741": "Poisoning by purine derivative diuretics",
    "9771": "Poisoning by lipotropic drugs",
    "9809": "Toxic effect of unspecified alcohol",
    "984": "Toxic effect of lead and its compounds (including fumes)",
    "9841": "Toxic effect of organic lead compounds",
    "9882": "Toxic effect of berries and other plants eaten as food",
    "9953": "Allergy, unspecified, not elsewhere classified",
    "99565": "Anaphylactic reaction due to fish",
    "99567": "Anaphylactic reaction due to milk products",
    "99580": "Adult maltreatment, unspecified",
    "99739": "Other respiratory complications",
    "99760": "Unspecified complication of amputation stump",
    "99772": "Vascular complications of renal artery",
    "99969": "Other ABO incompatibility reaction",
    "99978": "Non-ABO incompatibility with delayed hemolytic transfusion reaction",
    "E0032": "Activities involving snow (alpine) (downhill) skiing, snow boarding, sledding, tobogganing and snow tubing",
    "E0078": "Activities involving physical games generally associated with school recess, summer camp and children",
    "E8524": "Accidental poisoning by glutethimide group",
    "E8600": "Accidental poisoning by alcoholic beverages",
    "E8624": "Accidental poisoning by other specified solvents, not elsewhere classified",
    "E8630": "Accidental poisoning by insecticides of organochlorine compounds",
    "E8644": "Accidental poisoning by unspecified corrosives and caustics not elsewhere classified",
    "E8653": "Accidental poisoning from berries and seeds",
    "81331": "Open fracture of shaft of radius (alone)",
    "81401": "Closed fracture of navicular [scaphoid] bone of wrist",
    "81413": "Open fracture of triquetral [cuneiform] bone of wrist",
    "81416": "Open fracture of trapezoid bone [smaller multangular] of wrist",
    "81418": "Open fracture of hamate [unciform] bone of wrist",
    "81501": "Closed fracture of base of thumb [first] metacarpal",
    "8151": "Open fracture of metacarpal bones",
    "8181": "Ill-defined open fractures of upper limb",
    "82021": "Closed fracture of intertrochanteric section of neck of femur",
    "82311": "Open fracture of upper end of fibula alone",
    "8243": "Fracture of lateral malleolus, open",
    "8244": "Bimalleolar fracture, closed",
    "8280": "Closed multiple fractures involving both lower limbs, lower with upper limb, and lower limb(s) with rib(s) and sternum",
    "83100": "Closed dislocation of shoulder, unspecified",
    "83213": "Open medial dislocation of elbow",
    "83300": "Closed dislocation of wrist, unspecified part",
    "8331": "Open dislocation of wrist",
    "83511": "Open posterior dislocation of hip",
    "83662": "Posterior dislocation of tibia, proximal end, open",
    "8370": "Closed dislocation of ankle",
    "83800": "Closed dislocation of foot, unspecified",
    "83806": "Closed dislocation of interphalangeal (joint), foot",
    "83811": "Open dislocation of tarsal (bone), joint unspecified",
    "8390": "Closed dislocation, cervical vertebra",
    "83906": "Closed dislocation, sixth cervical vertebra",
    "83915": "Open dislocation, fifth cervical vertebra",
    "8421": "Hand sprain",
    "8438": "Sprains and strains of other specified sites of hip and thigh",
    "8462": "Sprain of sacrospinatus (ligament)",
    "8484": "Sternum sprain",
    "30273": "Female orgasmic disorder",
    "30289": "Other specified psychosexual disorders",
    "30410": "Sedative, hypnotic or anxiolytic dependence, unspecified",
    "30412": "Sedative, hypnotic or anxiolytic dependence, episodic",
    "3055": "Opioid abuse",
    "30749": "Other specific disorders of sleep of nonorganic origin",
    "3075": "Other and unspecified disorders of eating",
    "3077": "Encopresis",
    "31200": "Undersocialized conduct disorder, aggressive type, unspecified",
    "3121": "Undersocialized conduct disorder, unaggressive type",
    "31212": "Undersocialized conduct disorder, unaggressive type, moderate",
    "31233": "Pyromania",
    "3149": "Unspecified hyperkinetic syndrome",
    "3155": "Mixed development disorder",
    "319": "Unspecified intellectual disabilities",
    "32082": "Meningitis due to gram-negative bacteria, not elsewhere classified",
    "3218": "Meningitis due to other nonbacterial organisms classified elsewhere",
    "32352": "Myelitis following immunization procedures",
    "44828589": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6549": "Other specified counseling",
    "44828591": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V662": "Convalescence following chemotherapy",
    "44828593": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V675": "Follow-up examination following other treatment",
    "V682": "Request for expert evidence",
    "V693": "Gambling and betting",
    "44828597": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V710": "Observation for suspected mental condition",
    "V7101": "Observation for adult antisocial behavior",
    "V7231": "Routine gynecological examination",
    "44828601": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V735": "Screening examination for other arthropod-borne viral diseases",
    "V745": "Screening examination for venereal disease",
    "V751": "Screening examination for malaria",
    "V757": "Screening examination for intestinal helminthiasis",
    "V758": "Screening examination for other specified parasitic infections",
    "44828607": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V778": "Screening for obesity",
    "44828609": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V78": "Special screening for disorders of blood and blood-forming organs",
    "44828611": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828612": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8403": "Genetic susceptibility to malignant neoplasm of prostate",
    "V85": "Body mass index [BMI]",
    "V8532": "Body Mass Index 32.0-32.9, adult",
    "V8539": "Body Mass Index 39.0-39.9, adult",
    "44828617": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V874": "Personal history of drug therapy",
    "44828619": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8905": "Suspected cervical shortening not found",
    "44828621": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "0022": "Paratyphoid fever B",
    "0059": "Food poisoning, unspecified",
    "0080": "Intestinal infection due to escherichia coli [E. coli]",
    "00802": "Intestinal infection due to enterotoxigenic E. coli",
    "00866": "Enteritis due to astrovirus",
    "20076": "Large cell lymphoma, intrapelvic lymph nodes",
    "20088": "Other named variants of lymphosarcoma and reticulosarcoma, lymph nodes of multiple sites",
    "20112": "Hodgkin's granuloma, intrathoracic lymph nodes",
    "20113": "Hodgkin's granuloma, intra-abdominal lymph nodes",
    "20125": "Hodgkin's sarcoma, lymph nodes of inguinal region and lower limb",
    "20163": "Hodgkin's disease, mixed cellularity, intra-abdominal lymph nodes",
    "20173": "Hodgkin's disease, lymphocytic depletion, intra-abdominal lymph nodes",
    "20191": "Hodgkin's disease, unspecified type, lymph nodes of head, face, and neck",
    "20193": "Hodgkin's disease, unspecified type, intra-abdominal lymph nodes",
    "20252": "Letterer-siwe disease, intrathoracic lymph nodes",
    "20260": "Malignant mast cell tumors, unspecified site, extranodal and solid organ sites",
    "20273": "Peripheral T cell lymphoma, intra-abdominal lymph nodes",
    "20284": "Other malignant lymphomas, lymph nodes of axilla and upper limb",
    "2048": "Other lymphoid leukemia",
    "2060": "Monocytic leukemia, acute",
    "2082": "Leukemia of unspecified cell type, subacute",
    "2093": "Malignant poorly differentiated neuroendocrine tumors",
    "20936": "Merkel cell carcinoma of other sites",
    "20943": "Benign carcinoid tumor of the ileum",
    "20957": "Benign carcinoid tumor of the rectum",
    "2106": "Benign neoplasm of other parts of oropharynx",
    "2128": "Benign neoplasm of other specified sites of respiratory and intrathoracic organs",
    "2148": "Lipoma of other specified sites",
    "2165": "Benign neoplasm of skin of trunk, except scrotum",
    "2189": "Leiomyoma of uterus, unspecified",
    "2223": "Benign neoplasm of epididymis",
    "22804": "Hemangioma of intra-abdominal structures",
    "2290": "Benign neoplasm of lymph nodes",
    "2337": "Carcinoma in situ of bladder",
    "2361": "Neoplasm of uncertain behavior of placenta",
    "2420": "Toxic diffuse goiter",
    "25011": "Diabetes with ketoacidosis, type I [juvenile type], not stated as uncontrolled",
    "25012": "Diabetes with ketoacidosis, type II or unspecified type, uncontrolled",
    "25022": "Diabetes with hyperosmolarity, type II or unspecified type, uncontrolled",
    "2504": "Diabetes with renal manifestations",
    "2534": "Other anterior pituitary disorders",
    "2554": "Corticoadrenal insufficiency",
    "258": "Polyglandular dysfunction and related disorders",
    "2631": "Malnutrition of mild degree",
    "264": "Vitamin A deficiency",
    "2704": "Disturbances of sulphur-bearing amino-acid metabolism",
    "2718": "Other specified disorders of carbohydrate transport and metabolism",
    "2726": "Lipodystrophy",
    "2729": "Unspecified disorder of lipoid metabolism",
    "2734": "Alpha-1-antitrypsin deficiency",
    "27403": "Chronic gouty arthropathy with tophus (tophi)",
    "27419": "Other gouty nephropathy",
    "27482": "Gouty tophi of other sites, except ear",
    "2759": "Unspecified disorder of mineral metabolism",
    "2760": "Hyperosmolality and/or hypernatremia",
    "27703": "Cystic fibrosis with gastrointestinal manifestations",
    "27730": "Amyloidosis, unspecified",
    "2808": "Other specified iron deficiency anemias",
    "2819": "Unspecified deficiency anemia",
    "28242": "Sickle-cell thalassemia with crisis",
    "2829": "Hereditary hemolytic anemia, unspecified",
    "2831": "Non-autoimmune hemolytic anemias",
    "2867": "Acquired coagulation factor deficiency",
    "E0095": "Activity involving grass drills",
    "E0149": "Other activity involving person providing caregiving",
    "8042": "Closed fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage",
    "80469": "Open fractures involving skull or face with other bones, with cerebral laceration and contusion, with concussion, unspecified",
    "8047": "Open fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage",
    "80480": "Open fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, unspecified state of consciousness",
    "80481": "Open fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with no loss of consciousness",
    "80517": "Open fracture of seventh cervical vertebra",
    "80518": "Open fracture of multiple cervical vertebrae",
    "80603": "Closed fracture of C1-C4 level with central cord syndrome",
    "8063": "Open fracture of dorsal vertebra with spinal cord injury",
    "80632": "Open fracture of T1-T6 level with anterior cord syndrome",
    "2781": "Localized adiposity",
    "8067": "Open fracture of sacrum and coccyx with spinal cord injury",
    "80706": "Closed fracture of six ribs",
    "80708": "Closed fracture of eight or more ribs",
    "80715": "Open fracture of five ribs",
    "8085": "Open fracture of other specified part of pelvis",
    "80859": "Open fracture of other specified part of pelvis",
    "8091": "Fracture of bones of trunk, open",
    "81010": "Open fracture of clavicle, unspecified part",
    "81112": "Open fracture of coracoid process",
    "81200": "Closed fracture of unspecified part of upper end of humerus",
    "81318": "Open fracture of radius with ulna, upper end (any part)",
    "81333": "Open fracture of shaft of radius with ulna",
    "81346": "Torus fracture of ulna (alone)",
    "81408": "Closed fracture of hamate [unciform] bone of wrist",
    "81500": "Closed fracture of metacarpal bone(s), site unspecified",
    "81502": "Closed fracture of base of other metacarpal bone(s)",
    "81504": "Closed fracture of neck of metacarpal bone(s)",
    "81512": "Open fracture of base of other metacarpal bone(s)",
    "817": "Multiple fractures of hand bones",
    "82019": "Other open transcervical fracture of neck of femur",
    "82133": "Open supracondylar fracture of femur",
    "8220": "Closed fracture of patella",
    "82300": "Closed fracture of upper end of tibia alone",
    "8233": "Fracture of shaft of tibia and fibula, open",
    "82523": "Closed fracture of cuboid",
    "83114": "Open dislocation of acromioclavicular (joint)",
    "83200": "Closed dislocation of elbow, unspecified",
    "83303": "Closed dislocation of midcarpal (joint)",
    "83500": "Closed dislocation of hip, unspecified site",
    "83501": "Closed posterior dislocation of hip",
    "83654": "Lateral dislocation of tibia, proximal end, closed",
    "8371": "Open dislocation of ankle",
    "83809": "Closed dislocation of foot, other",
    "83902": "Closed dislocation, second cervical vertebra",
    "83914": "Open dislocation, fourth cervical vertebra",
    "8392": "Closed dislocation, thoracic and lumbar vertebra",
    "83930": "Open dislocation, lumbar vertebra",
    "83942": "Closed dislocation, sacrum",
    "8398": "Closed dislocation, multiple and ill-defined sites",
    "8411": "Ulnar collateral ligament sprain",
    "8460": "Sprain of lumbosacral (joint) (ligament)",
    "8468": "Sprain of other specified sites of sacroiliac region",
    "8469": "Sprain of unspecified site of sacroiliac region",
    "84841": "Sprain of sternoclavicular (joint) (ligament)",
    "8485": "Sprain of pelvic",
    "8488": "Other specified sites of sprains and strains",
    "85142": "Cerebellar or brain stem contusion without mention of open intracranial wound, with brief [less than one hour] loss of consciousness",
    "85159": "Cerebellar or brain stem contusion with open intracranial wound, with concussion, unspecified",
    "8518": "Other and unspecified cerebral laceration and contusion, without mention of open intracranial wound",
    "85185": "Other and unspecified cerebral laceration and contusion, without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85212": "Subarachnoid hemorrhage following injury with open intracranial wound, with brief [less than one hour] loss of consciousness",
    "85220": "Subdural hemorrhage following injury without mention of open intracranial wound, unspecified state of consciousness",
    "85229": "Subdural hemorrhage following injury without mention of open intracranial wound, with concussion, unspecified",
    "85245": "Extradural hemorrhage following injury without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85314": "Other and unspecified intracranial hemorrhage following injury with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85414": "Intracranial injury of other and unspecified nature with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85416": "Intracranial injury of other and unspecified nature with open intracranial wound, with loss of consciousness of unspecified duration",
    "8631": "Injury to stomach, with open wound into cavity",
    "8632": "Injury to small intestine without mention of open wound into cavity",
    "86415": "Injury to liver with open wound into cavity, laceration, unspecified",
    "86603": "Injury to kidney without mention of open wound into cavity, complete disruption of kidney parenchyma",
    "8672": "Injury to ureter, without mention of open wound into cavity",
    "8675": "Injury to uterus, with open wound into cavity",
    "86814": "Injury to other intra-abdominal organs with open wound into cavity, retroperitoneum",
    "8720": "Open wound of external ear, without mention of complication",
    "87321": "Open wound of nasal septum, without mention of complication",
    "8733": "Open wound of nose, complicated",
    "87363": "Open wound of tooth (broken) (fractured) (due to trauma), without mention of complication",
    "8740": "Open wound of larynx and trachea, without mention of complication",
    "6930": "Dermatitis due to drugs and medicines taken internally",
    "6942": "Juvenile dermatitis herpetiformis",
    "6946": "Benign mucous membrane pemphigoid",
    "69553": "Exfoliation due to erythematous condition involving 30-39 percent of body surface",
    "696": "Psoriasis and similar disorders",
    "6978": "Other lichen, not elsewhere classified",
    "7015": "Other abnormal granulation tissue",
    "705": "Disorders of sweat glands",
    "7060": "Acne varioliformis",
    "7081": "Idiopathic urticaria",
    "7090": "Dyschromia",
    "7094": "Foreign body granuloma of skin and subcutaneous tissue",
    "71105": "Pyogenic arthritis, pelvic region and thigh",
    "71120": "Arthropathy in Behcet's syndrome, site unspecified",
    "71124": "Arthropathy in Behcet's syndrome, hand",
    "71159": "Arthropathy associated with other viral diseases, multiple sites",
    "71173": "Arthropathy associated with helminthiasis, forearm",
    "71176": "Arthropathy associated with helminthiasis, lower leg",
    "71194": "Unspecified infective arthritis, hand",
    "7123": "Chondrocalcinosis, cause unspecified",
    "71234": "Chondrocalcinosis, unspecified, hand",
    "71283": "Other specified crystal arthropathies, forearm",
    "71620": "Allergic arthritis, site unspecified",
    "71627": "Allergic arthritis, ankle and foot",
    "71632": "Climacteric arthritis, upper arm",
    "71649": "Transient arthropathy, multiple sites",
    "0088": "Intestinal infection due to other organism, not elsewhere classified",
    "0093": "Diarrhea of presumed infectious origin",
    "01002": "Primary tuberculous infection, bacteriological or histological examination unknown (at present)",
    "01016": "Tuberculous pleurisy in primary progressive tuberculosis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "011": "Pulmonary tuberculosis",
    "01140": "Tuberculous fibrosis of lung, unspecified",
    "01146": "Tuberculous fibrosis of lung, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01161": "Tuberculous pneumonia [any form], bacteriological or histological examination not done",
    "01162": "Tuberculous pneumonia [any form], bacteriological or histological examination unknown (at present)",
    "01175": "Tuberculous pneumothorax, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01190": "Pulmonary tuberculosis, unspecified, unspecified",
    "01201": "Tuberculous pleurisy, bacteriological or histological examination not done",
    "01212": "Tuberculosis of intrathoracic lymph nodes, bacteriological or histological examination unknown (at present)",
    "01214": "Tuberculosis of intrathoracic lymph nodes, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01215": "Tuberculosis of intrathoracic lymph nodes, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01235": "Tuberculous laryngitis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "0128": "Other specified respiratory tuberculosis",
    "01321": "Tuberculoma of brain, bacteriological or histological examination not done",
    "01322": "Tuberculoma of brain, bacteriological or histological examination unknown (at present)",
    "01333": "Tuberculous abscess of brain, tubercle bacilli found (in sputum) by microscopy",
    "76711": "Epicranial subaponeurotic hemorrhage (massive)",
    "768": "Intrauterine hypoxia and birth asphyxia",
    "77087": "Respiratory arrest of newborn",
    "7710": "Congenital rubella",
    "7713": "Tetanus neonatorum",
    "7734": "Kernicterus of fetus or newborn due to isoimmunization",
    "77439": "Other neonatal jaundice due to delayed conjugation from other causes",
    "7755": "Other transitory neonatal electrolyte disturbances",
    "7763": "Other transient neonatal disorders of coagulation",
    "7768": "Other specified transient hematological disorders of fetus or newborn",
    "7785": "Other and unspecified edema of newborn",
    "7806": "Fever and other physiologic disturbances of temperature regulation",
    "7813": "Lack of coordination",
    "7817": "Tetany",
    "78193": "Ocular torticollis",
    "78322": "Underweight",
    "7841": "Throat pain",
    "78469": "Other symbolic dysfunction",
    "7847": "Epistaxis",
    "78552": "Septic shock",
    "78600": "Respiratory abnormality, unspecified",
    "78606": "Tachypnea",
    "7865": "Chest pain",
    "78650": "Chest pain, unspecified",
    "7881": "Dysuria",
    "7882": "Retention of urine",
    "78864": "Urinary hesitancy",
    "78904": "Abdominal pain, left lower quadrant",
    "78905": "Abdominal pain, periumbilic",
    "78936": "Abdominal or pelvic swelling, mass, or lump, epigastric",
    "7899": "Other symptoms involving abdomen and pelvis",
    "7916": "Acetonuria",
    "7923": "Nonspecific abnormal findings in amniotic fluid",
    "2870": "Allergic purpura",
    "85149": "Cerebellar or brain stem contusion without mention of open intracranial wound, with concussion, unspecified",
    "85169": "Cerebellar or brain stem laceration without mention of open intracranial wound, with concussion, unspecified",
    "85174": "Cerebellar or brain stem laceration with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85176": "Cerebellar or brain stem laceration with open intracranial wound, with loss of consciousness of unspecified duration",
    "69012": "Seborrheic infantile dermatitis",
    "6939": "Dermatitis due to unspecified substance taken internally",
    "69513": "Stevens-Johnson syndrome",
    "69514": "Stevens-Johnson syndrome-toxic epidermal necrolysis overlap syndrome",
    "701": "Other hypertrophic and atrophic conditions of skin",
    "7010": "Circumscribed scleroderma",
    "7042": "Abnormalities of the hair",
    "7050": "Anhidrosis",
    "7068": "Other specified diseases of sebaceous glands",
    "70713": "Ulcer of ankle",
    "70720": "Pressure ulcer, unspecified stage",
    "70722": "Pressure ulcer, stage II",
    "70725": "Pressure ulcer, unstageable",
    "70909": "Other dyschromia",
    "71109": "Pyogenic arthritis, multiple sites",
    "71126": "Arthropathy in Behcet's syndrome, lower leg",
    "7113": "Postdysenteric arthropathy",
    "71140": "Arthropathy associated with other bacterial diseases, site unspecified",
    "71142": "Arthropathy associated with other bacterial diseases, upper arm",
    "71167": "Arthropathy associated with mycoses, ankle and foot",
    "71169": "Arthropathy associated with mycoses, involving multiple sites",
    "7117": "Arthropathy associated with helminthiasis",
    "71172": "Arthropathy associated with helminthiasis, upper arm",
    "71224": "Chondrocalcinosis, due to pyrophosphate crystals, hand",
    "71232": "Chondrocalcinosis, unspecified, upper arm",
    "71237": "Chondrocalcinosis, unspecified, ankle and foot",
    "71284": "Other specified crystal arthropathies, hand",
    "71297": "Unspecified crystal arthropathy, ankle and foot",
    "7133": "Arthropathy associated with dermatological disorders",
    "71512": "Osteoarthrosis, localized, primary, upper arm",
    "71591": "Osteoarthrosis, unspecified whether generalized or localized, shoulder region",
    "71603": "Kaschin-Beck disease, forearm",
    "71662": "Unspecified monoarthritis, upper arm",
    "71668": "Unspecified monoarthritis, other specified sites",
    "7169": "Arthropathy, unspecified",
    "7175": "Derangement of meniscus, not elsewhere classified",
    "71808": "Articular cartilage disorder, other specified sites",
    "7183": "Recurrent dislocation of joint",
    "71848": "Contracture of joint, other specified sites",
    "71877": "Developmental dislocation of joint, ankle and foot",
    "719": "Other and unspecified disorders of joint",
    "71977": "Difficulty in walking involving ankle and foot joint",
    "71986": "Other specified disorders of joint, lower leg",
    "7211": "Cervical spondylosis with myelopathy",
    "72231": "Schmorl's nodes, thoracic region",
    "72281": "Postlaminectomy syndrome, cervical region",
    "72283": "Postlaminectomy syndrome, lumbar region",
    "723": "Other disorders of cervical region",
    "72400": "Spinal stenosis, unspecified region",
    "72401": "Spinal stenosis, thoracic region",
    "72610": "Disorders of bursae and tendons in shoulder region, unspecified",
    "7262": "Other affections of shoulder region, not elsewhere classified",
    "72661": "Pes anserinus tendinitis or bursitis",
    "72663": "Fibular collateral ligament bursitis",
    "7279": "Unspecified disorder of synovium, tendon, and bursa",
    "71782": "Old disruption of medial collateral ligament",
    "71784": "Old disruption of posterior cruciate ligament",
    "71803": "Articular cartilage disorder, forearm",
    "71815": "Loose body in joint, pelvic region and thigh",
    "71826": "Pathological dislocation of joint, lower leg",
    "71828": "Pathological dislocation of joint, other specified sites",
    "71834": "Recurrent dislocation of joint, hand",
    "71838": "Recurrent dislocation of joint, other specified sites",
    "7191": "Hemarthrosis",
    "71927": "Villonodular synovitis, ankle and foot",
    "71936": "Palindromic rheumatism, lower leg",
    "71981": "Other specified disorders of joint, shoulder region",
    "71984": "Other specified disorders of joint, hand",
    "71997": "Unspecified disorder of joint, ankle and foot",
    "721": "Spondylosis and allied disorders",
    "7217": "Traumatic spondylopathy",
    "7227": "Intervertebral disc disorder with myelopathy",
    "7231": "Cervicalgia",
    "7235": "Torticollis, unspecified",
    "72402": "Spinal stenosis, lumbar region, without neurogenic claudication",
    "7241": "Pain in thoracic spine",
    "72679": "Other enthesopathy of ankle and tarsus",
    "7270": "Synovitis and tenosynovitis",
    "7274": "Ganglion and cyst of synovium, tendon, and bursa",
    "72741": "Ganglion of joint",
    "7281": "Muscular calcification and ossification",
    "72990": "Disorders of soft tissue, unspecified",
    "73007": "Acute osteomyelitis, ankle and foot",
    "73021": "Unspecified osteomyelitis, shoulder region",
    "73026": "Unspecified osteomyelitis, lower leg",
    "73034": "Periostitis, without mention of osteomyelitis, hand",
    "73037": "Periostitis, without mention of osteomyelitis, ankle and foot",
    "73097": "Unspecified infection of bone, ankle and foot",
    "7323": "Juvenile osteochondrosis of upper extremity",
    "7330": "Osteoporosis",
    "73310": "Pathologic fracture, unspecified site",
    "73312": "Pathologic fracture of distal radius and ulna",
    "7332": "Cyst of bone",
    "7333": "Hyperostosis of skull",
    "7339": "Other and unspecified disorders of bone and cartilage",
    "735": "Acquired deformities of toe",
    "7360": "Acquired deformities of forearm, excluding fingers",
    "73604": "Varus deformity of wrist (acquired)",
    "73721": "Lordosis, postlaminectomy",
    "73733": "Scoliosis due to radiation",
    "44821595": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V658": "Other reasons for seeking consultation",
    "V6701": "Following surgery, follow-up vaginal pap smear",
    "44821598": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V695": "Behavioral insomnia of childhood",
    "44821600": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V701": "General psychiatric examination, requested by the authority",
    "V709": "Unspecified general medical examination",
    "V7181": "Observation and evaluation for suspected abuse and neglect",
    "44821604": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821605": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821606": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821607": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7242": "Pregnancy examination or test, positive result",
    "79518": "Unsatisfactory vaginal cytology smear",
    "79552": "Nonspecific reaction to cell mediated immunity measurement of gamma interferon antigen response without active tuberculosis",
    "7957": "Other nonspecific immunological findings",
    "7992": "Signs and symptoms involving emotional state",
    "79954": "Psychomotor deficit",
    "8000": "Closed fracture of vault of skull without mention of intracranial injury",
    "80004": "Closed fracture of vault of skull without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80020": "Closed fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, unspecified state of consciousness",
    "8003": "Closed fracture of vault of skull with other and unspecified intracranial hemorrhage",
    "80052": "Open fracture of vault of skull without mention of intracranial injury, with brief [less than one hour] loss of consciousness",
    "80055": "Open fracture of vault of skull without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80082": "Open fracture of vault of skull with other and unspecified intracranial hemorrhage, with brief [less than one hour] loss of consciousness",
    "80103": "Closed fracture of base of skull without mention of intra cranial injury, with moderate [1-24 hours] loss of consciousness",
    "8011": "Closed fracture of base of skull with cerebral laceration and contusion",
    "80112": "Closed fracture of base of skull with cerebral laceration and contusion, with brief [less than one hour] loss of consciousness",
    "80156": "Open fracture of base of skull without mention of intracranial injury, with loss of consciousness of unspecified duration",
    "80239": "Open fracture of mandible, multiple sites",
    "8026": "Closed fracture of orbital floor (blow-out)",
    "8030": "Other closed skull fracture without mention of intracranial injury",
    "8031": "Other closed skull fracture with cerebral laceration and contusion",
    "80320": "Other closed skull fracture with subarachnoid, subdural, and extradural hemorrhage, unspecified state of consciousness",
    "64702": "Syphilis of mother, complicating pregnancy, childbirth, or the puerperium, delivered, with mention of postpartum complication",
    "64714": "Gonorrhea of mother, complicating pregnancy, childbirth, or the puerperium, postpartum condition or complication",
    "64742": "Malaria in the mother, delivered, with mention of postpartum complication",
    "64744": "Malaria in the mother, postpartum condition or complication",
    "64843": "Mental disorders of mother, antepartum condition or complication",
    "6486": "Other cardiovascular diseases complicating pregnancy, childbirth, or the puerperium",
    "64910": "Obesity complicating pregnancy, childbirth, or the puerperium, unspecified as to episode of care or not applicable",
    "64932": "Coagulation defects complicating pregnancy, childbirth, or the puerperium, delivered, with mention of postpartum complication",
    "64964": "Uterine size date discrepancy, postpartum condition or complication",
    "64970": "Cervical shortening, unspecified as to episode of care or not applicable",
    "6518": "Other specified multiple gestation",
    "65220": "Breech presentation without mention of version, unspecified as to episode of care or not applicable",
    "65290": "Unspecified malposition or malpresentation, unspecified as to episode of care or not applicable",
    "6531": "Generally contracted pelvis in pregnancy, labor, and delivery",
    "65320": "Inlet contraction of pelvis, unspecified as to episode of care or not applicable",
    "65360": "Hydrocephalic fetus causing disproportion, unspecified as to episode of care or not applicable",
    "65373": "Other fetal abnormality causing disproportion, antepartum condition or complication",
    "65403": "Congenital abnormalities of uterus, antepartum condition or complication",
    "6545": "Cervical incompetence complicating pregnancy, childbirth, or the puerperium",
    "6869": "Unspecified local infection of skin and subcutaneous tissue",
    "6910": "Diaper or napkin rash",
    "69270": "Unspecified dermatitis due to sun",
    "69282": "Dermatitis due to other radiation",
    "69284": "Contact dermatitis and other eczema due to animal (cat) (dog) dander",
    "6941": "Subcorneal pustular dermatosis",
    "69554": "Exfoliation due to erythematous condition involving 40-49 percent of body surface",
    "69557": "Exfoliation due to erythematous condition involving 70-79 percent of body surface",
    "69581": "Ritter's disease",
    "6980": "Pruritus ani",
    "6982": "Prurigo",
    "70589": "Other specified disorders of sweat glands",
    "70704": "Pressure ulcer, hip",
    "7071": "Ulcer of lower limbs, except pressure ulcer",
    "7072": "Pressure ulcer stages",
    "708": "Urticaria",
    "7082": "Urticaria due to cold and heat",
    "7083": "Dermatographic urticaria",
    "71117": "Arthropathy associated with Reiter's disease and nonspecific urethritis, ankle and foot",
    "71136": "Postdysenteric arthropathy, lower leg",
    "71170": "Arthropathy associated with helminthiasis, site unspecified",
    "71236": "Chondrocalcinosis, unspecified, lower leg",
    "71288": "Other specified crystal arthropathies, other specified sites",
    "71290": "Unspecified crystal arthropathy, site unspecified",
    "7132": "Arthropathy associated with hematological disorders",
    "7152": "Osteoarthrosis, localized, secondary",
    "71525": "Osteoarthrosis, localized, secondary, pelvic region and thigh",
    "71528": "Osteoarthrosis, localized, secondary, other specified sites",
    "7158": "Osteoarthrosis involving or with mention of more than one site, but not specified as generalized",
    "71621": "Allergic arthritis, shoulder region",
    "71636": "Climacteric arthritis, lower leg",
    "71648": "Transient arthropathy, other specified sites",
    "71650": "Unspecified polyarthropathy or polyarthritis, site unspecified",
    "7166": "Unspecified monoarthritis",
    "71667": "Unspecified monoarthritis, ankle and foot",
    "71683": "Other specified arthropathy, forearm",
    "71697": "Arthropathy, unspecified, ankle and foot",
    "71781": "Old disruption of lateral collateral ligament",
    "71820": "Pathological dislocation of joint, site unspecified",
    "71846": "Contracture of joint, lower leg",
    "71851": "Ankylosis of joint, shoulder region",
    "71859": "Ankylosis of joint, multiple sites",
    "71888": "Other joint derangement, not elsewhere classified, other specified sites",
    "71889": "Other joint derangement, not elsewhere classified, multiple sites",
    "71892": "Unspecified derangement of joint, upper arm",
    "71912": "Hemarthrosis, upper arm",
    "71930": "Palindromic rheumatism, site unspecified",
    "71942": "Pain in joint, upper arm",
    "71958": "Stiffness of joint, not elsewhere classified, other specified sites",
    "71959": "Stiffness of joint, not elsewhere classified, multiple sites",
    "71988": "Other specified disorders of joint, other specified sites",
    "72251": "Degeneration of thoracic or thoracolumbar intervertebral disc",
    "72291": "Other and unspecified disc disorder, cervical region",
    "7238": "Other syndromes affecting cervical region",
    "724": "Other and unspecified disorders of back",
    "72403": "Spinal stenosis, lumbar region, with neurogenic claudication",
    "72470": "Unspecified disorder of coccyx",
    "72619": "Other specified disorders of bursae and tendons in shoulder region",
    "72660": "Enthesopathy of knee, unspecified",
    "72883": "Rupture of muscle, nontraumatic",
    "72939": "Panniculitis, other site",
    "72981": "Swelling of limb",
    "7299": "Other and unspecified disorders of soft tissue",
    "73005": "Acute osteomyelitis, pelvic region and thigh",
    "73033": "Periostitis, without mention of osteomyelitis, forearm",
    "73077": "Osteopathy resulting from poliomyelitis, ankle and foot",
    "7335": "Osteitis condensans",
    "7355": "Claw toe (acquired)",
    "73675": "Cavovarus deformity of foot, acquired",
    "7379": "Unspecified curvature of spine",
    "7402": "Iniencephaly",
    "7424": "Other specified congenital anomalies of brain",
    "74310": "Microphthalmos, unspecified",
    "5307": "Gastroesophageal laceration-hemorrhage syndrome",
    "531": "Gastric ulcer",
    "5311": "Acute gastric ulcer with perforation",
    "53200": "Acute duodenal ulcer with hemorrhage, without mention of obstruction",
    "5326": "Chronic or unspecified duodenal ulcer with hemorrhage and perforation",
    "53261": "Chronic or unspecified duodenal ulcer with hemorrhage and perforation, with obstruction",
    "53441": "Chronic or unspecified gastrojejunal ulcer, with hemorrhage, with obstruction",
    "53510": "Atrophic gastritis, without mention of hemorrhage",
    "53520": "Gastric mucosal hypertrophy, without mention of hemorrhage",
    "53641": "Infection of gastrostomy",
    "5370": "Acquired hypertrophic pyloric stenosis",
    "5530": "Femoral hernia without mention of obstruction or gangrene",
    "56039": "Other impaction of intestine",
    "562": "Diverticula of intestine",
    "56401": "Slow transit constipation",
    "5648": "Other specified functional disorders of intestine",
    "5650": "Anal fissure",
    "566": "Abscess of anal and rectal regions",
    "567": "Peritonitis and retroperitoneal infections",
    "56882": "Peritoneal effusion (chronic)",
    "56941": "Ulcer of anus and rectum",
    "56981": "Fistula of intestine, excluding rectum and anus",
    "5714": "Chronic hepatitis",
    "573": "Other disorders of liver",
    "5739": "Unspecified disorder of liver",
    "57401": "Calculus of gallbladder with acute cholecystitis, with obstruction",
    "5792": "Blind loop syndrome",
    "58089": "Acute glomerulonephritis with other specified pathological lesion in kidney",
    "5828": "Chronic glomerulonephritis with other specified pathological lesion in kidney",
    "5831": "Nephritis and nephropathy, not specified as acute or chronic, with lesion of membranous glomerulonephritis",
    "5880": "Renal osteodystrophy",
    "59081": "Pyelitis or pyelonephritis in diseases classified elsewhere",
    "59381": "Vascular disorders of kidney",
    "5939": "Unspecified disorder of kidney and ureter",
    "5951": "Chronic interstitial cystitis",
    "5959": "Cystitis, unspecified",
    "59689": "Other specified disorders of bladder",
    "59780": "Urethritis, unspecified",
    "5991": "Urethral fistula",
    "5995": "Prolapsed urethral mucosa",
    "5997": "Hematuria",
    "6029": "Unspecified disorder of prostate",
    "60490": "Orchitis and epididymitis, unspecified",
    "6068": "Infertility due to extratesticular causes",
    "6081": "Spermatocele",
    "60887": "Retrograde ejaculation",
    "6117": "Signs and symptoms in breast",
    "61182": "Hypoplasia of breast",
    "6145": "Acute or unspecified pelvic peritonitis, female",
    "6184": "Uterovaginal prolapse, unspecified",
    "V7281": "Pre-operative cardiovascular examination",
    "44821610": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821611": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821612": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821613": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821614": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V752": "Screening examination for leishmaniasis",
    "V760": "Special screening for malignant neoplasms of respiratory organs",
    "V771": "Screening for diabetes mellitus",
    "V780": "Screening for iron deficiency anemia",
    "V792": "Special screening for intellectual disabilities",
    "44821620": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8001": "Special screening for traumatic brain injury",
    "44821622": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821623": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V850": "Body Mass Index less than 19, adult",
    "V8525": "Body Mass Index 29.0-29.9, adult",
    "V8538": "Body Mass Index 38.0-38.9, adult",
    "V8749": "Personal history of other drug therapy",
    "44821628": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821629": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9001": "Retained depleted uranium fragments",
    "0042": "Shigella boydii",
    "0060": "Acute amebic dysentery without mention of abscess",
    "0064": "Amebic lung abscess",
    "0108": "Other primary progressive tuberculosis",
    "01100": "Tuberculosis of lung, infiltrative, unspecified",
    "01120": "Tuberculosis of lung with cavitation, unspecified",
    "01131": "Tuberculosis of bronchus, bacteriological or histological examination not done",
    "01136": "Tuberculosis of bronchus, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01142": "Tuberculous fibrosis of lung, bacteriological or histological examination unknown (at present)",
    "01172": "Tuberculous pneumothorax, bacteriological or histological examination unknown (at present)",
    "01183": "Other specified pulmonary tuberculosis, tubercle bacilli found (in sputum) by microscopy",
    "01186": "Other specified pulmonary tuberculosis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01196": "Pulmonary tuberculosis, unspecified, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01200": "Tuberculous pleurisy, unspecified",
    "01210": "Tuberculosis of intrathoracic lymph nodes, unspecified",
    "0123": "Tuberculous laryngitis",
    "01302": "Tuberculous meningitis, bacteriological or histological examination unknown (at present)",
    "01315": "Tuberculoma of meninges, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01381": "Other specified tuberculosis of central nervous system, bacteriological or histological examination not done",
    "01406": "Tuberculous peritonitis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01485": "Other tuberculosis of intestines, peritoneum, and mesenteric glands, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "E8664": "Accidental poisoning by other metals and their compounds and fumes",
    "E8666": "Accidental poisoning by glues and adhesives",
    "E8667": "Accidental poisoning by cosmetics",
    "E8680": "Accidental poisoning by liquefied petroleum gas distributed in mobile containers",
    "6550": "Central nervous system malformation in fetus affecting management of mother",
    "65510": "Chromosomal abnormality in fetus, affecting management of mother, unspecified as to episode of care or not applicable",
    "65521": "Hereditary disease in family possibly affecting fetus, affecting management of mother, delivered, with or without mention of antepartum condition",
    "65651": "Poor fetal growth, affecting management of mother, delivered, with or without mention of antepartum condition",
    "65663": "Excessive fetal growth, affecting management of mother, antepartum condition or complication",
    "65880": "Other problems associated with amniotic cavity and membranes, unspecified as to episode of care or not applicable",
    "65971": "Abnormality in fetal heart rate or rhythm, delivered, with or without mention of antepartum condition",
    "6602": "Obstruction by abnormal pelvic soft tissues during labor",
    "66060": "Unspecified failed trial of labor, unspecified as to episode of care or not applicable",
    "66070": "Failed forceps or vacuum extractor, unspecified, unspecified as to episode of care or not applicable",
    "6609": "Unspecified obstructed labor",
    "66090": "Unspecified obstructed labor, unspecified as to episode of care or not applicable",
    "66133": "Precipitate labor, antepartum condition or complication",
    "66191": "Unspecified abnormality of labor, delivered, with or without mention of antepartum condition",
    "66210": "Unspecified prolonged labor, unspecified as to episode of care or not applicable",
    "66220": "Prolonged second stage of labor, unspecified as to episode of care or not applicable",
    "6623": "Delayed delivery of second twin, triplet, etc.",
    "66300": "Prolapse of cord complicating labor and delivery, unspecified as to episode of care or not applicable",
    "66331": "Other and unspecified cord entanglement, without mention of compression, complicating labor and delivery, delivered, with or without mention of antepartum condition",
    "66351": "Vasa previa complicating labor and delivery, delivered, with or without mention of antepartum condition",
    "66530": "Laceration of cervix, unspecified as to episode of care or not applicable",
    "66584": "Other specified obstetrical trauma, postpartum condition or complication",
    "66591": "Unspecified obstetrical trauma, delivered, with or without mention of antepartum condition",
    "66610": "Other immediate postpartum hemorrhage, unspecified as to episode of care or not applicable",
    "66811": "Cardiac complications of anesthesia or other sedation in labor and delivery, delivered, with or without mention of antepartum condition",
    "6682": "Central nervous system complications of anesthesia or other sedation in labor and delivery",
    "32361": "Infectious acute disseminated encephalomyelitis (ADEM)",
    "32371": "Toxic encephalitis and encephalomyelitis",
    "324": "Intracranial and intraspinal abscess",
    "32710": "Organic hypersomnia, unspecified",
    "32726": "Sleep related hypoventilation/hypoxemia in conditions classifiable elsewhere",
    "32739": "Other circadian rhythm sleep disorder",
    "33511": "Kugelberg-Welander disease",
    "33522": "Progressive bulbar palsy",
    "3371": "Peripheral autonomic neuropathy in disorders classified elsewhere",
    "3379": "Unspecified disorder of autonomic nervous system",
    "3381": "Acute pain",
    "3384": "Chronic pain syndrome",
    "3419": "Demyelinating disease of central nervous system, unspecified",
    "3428": "Other specified hemiplegia",
    "34409": "Other quadriplegia",
    "3456": "Infantile spasms",
    "34610": "Migraine without aura, without mention of intractable migraine without mention of status migrainosus",
    "34611": "Migraine without aura, with intractable migraine, so stated, without mention of status migrainosus",
    "34692": "Migraine, unspecified, without mention of intractable migraine with status migrainosus",
    "34711": "Narcolepsy in conditions classified elsewhere, with cataplexy",
    "72709": "Other synovitis and tenosynovitis",
    "72762": "Nontraumatic rupture of tendons of biceps (long head)",
    "7285": "Hypermobility syndrome",
    "7286": "Contracture of palmar fascia",
    "72881": "Interstitial myositis",
    "7293": "Panniculitis, unspecified",
    "7295": "Pain in limb",
    "72989": "Other musculoskeletal symptoms referable to limbs",
    "52332": "Aggressive periodontitis, generalized",
    "52411": "Anomalies of relationship of jaw to cranial base, maxillary asymmetry",
    "52439": "Other anomalies of tooth position",
    "52473": "Alveolar maxillary hypoplasia",
    "5251": "Loss of teeth due to trauma, extraction, or periodontal disease",
    "52510": "Acquired absence of teeth, unspecified",
    "5258": "Other specified disorders of the teeth and supporting structures",
    "5266": "Periradicular pathology associated with previous endodontic treatment",
    "5288": "Oral submucosal fibrosis, including of tongue",
    "53161": "Chronic or unspecified gastric ulcer with hemorrhage and perforation, with obstruction",
    "5329": "Duodenal ulcer, unspecified as acute or chronic, without mention of hemorrhage or perforation",
    "5335": "Chronic or unspecified peptic ulcer of unspecified site with perforation",
    "5339": "Peptic ulcer of unspecified site, unspecified as acute or chronic, without mention of hemorrhage or perforation",
    "53391": "Peptic ulcer of unspecified site, unspecified as acute or chronic, without mention of hemorrhage or perforation, with obstruction",
    "5344": "Chronic or unspecified gastrojejunal ulcer with hemorrhage",
    "53490": "Gastrojejunal ulcer, unspecified as acute or chronic, without mention of hemorrhage or perforation, without mention of obstruction",
    "53501": "Acute gastritis, with hemorrhage",
    "5351": "Atrophic gastritis",
    "5352": "Gastric mucosal hypertrophy",
    "55092": "Inguinal hernia, without mention of obstruction or gangrene, bilateral (not specified as recurrent)",
    "551": "Other hernia of abdominal cavity, with gangrene",
    "55221": "Incisional ventral hernia with obstruction",
    "560": "Intestinal obstruction without mention of hernia",
    "5608": "Other specified intestinal obstruction",
    "5620": "Diverticula of small intestine",
    "56489": "Other functional disorders of intestine",
    "5678": "Other specified peritonitis",
    "5679": "Unspecified peritonitis",
    "5698": "Other specified disorders of intestine",
    "5719": "Unspecified chronic liver disease without mention of alcohol",
    "5720": "Abscess of liver",
    "5731": "Hepatitis in viral diseases classified elsewhere",
    "5740": "Calculus of gallbladder with acute cholecystitis",
    "57511": "Chronic cholecystitis",
    "5779": "Unspecified disease of pancreas",
    "583": "Nephritis and nephropathy, not specified as acute or chronic",
    "5881": "Nephrogenic diabetes insipidus",
    "59011": "Acute pyelonephritis with lesion of renal medullary necrosis",
    "5960": "Bladder neck obstruction",
    "59683": "Other complication of cystostomy",
    "5992": "Urethral diverticulum",
    "5998": "Other specified disorders of urethra and urinary tract",
    "607": "Disorders of penis",
    "60781": "Balanitis xerotica obliterans",
    "60882": "Hematospermia",
    "6113": "Fat necrosis of breast",
    "6146": "Pelvic peritoneal adhesions, female (postoperative) (postinfection)",
    "6173": "Endometriosis of pelvic peritoneum",
    "6179": "Endometriosis, site unspecified",
    "6181": "Uterine prolapse without mention of vaginal wall prolapse",
    "6187": "Old laceration of muscles of pelvic floor",
    "6204": "Prolapse or hernia of ovary and fallopian tube",
    "6202": "Other and unspecified ovarian cyst",
    "62130": "Endometrial hyperplasia, unspecified",
    "6215": "Intrauterine synechiae",
    "6246": "Polyp of labia and vulva",
    "626": "Disorders of menstruation and other abnormal bleeding from female genital tract",
    "627": "Menopausal and postmenopausal disorders",
    "6289": "Infertility, female, of unspecified origin",
    "63300": "Abdominal pregnancy without intrauterine pregnancy",
    "6338": "Other ectopic pregnancy",
    "6340": "Spontaneous abortion complicated by genital tract and pelvic infection",
    "63421": "Spontaneous abortion, complicated by damage to pelvic organs or tissues, incomplete",
    "63452": "Spontaneous abortion, complicated by shock, complete",
    "63472": "Spontaneous abortion, with other specified complications, complete",
    "63502": "Legally induced abortion, complicated by genital tract and pelvic infection, complete",
    "6351": "Legally induced abortion complicated by delayed or excessive hemorrhage",
    "63640": "Illegally induced abortion, complicated by metabolic disorder, unspecified",
    "63660": "Illegally induced abortion, complicated by embolism, unspecified",
    "E8156": "Other motor vehicle traffic accident involving collision on the highway injuring pedal cyclist",
    "E8205": "Nontraffic accident involving motor-driven snow vehicle injuring rider of animal; occupant of animal-drawn vehicle",
    "E824": "Other motor vehicle nontraffic accident while boarding and alighting",
    "E8274": "Animal-drawn vehicle accident injuring occupant of streetcar",
    "E8538": "Accidental poisoning by other specified tranquilizers",
    "E8553": "Accidental poisoning by parasympathomimetics [cholinergics]",
    "E8559": "Accidental poisoning by unspecified drug acting on central and autonomic nervous systems",
    "E8668": "Accidental poisoning by other specified solid or liquid substances",
    "E8699": "Accidental poisoning by unspecified gases and vapors",
    "E8736": "Nonadministration of necessary drug or medicinal substance",
    "E8783": "Surgical operation with formation of external stoma causing abnormal patient reaction, or later complication, without mention of misadventure at time of operation",
    "E8800": "Accidental fall on or from escalator",
    "E8810": "Accidental fall from ladder",
    "E8880": "Fall resulting in striking against sharp object",
    "E8881": "Fall resulting in striking against other object",
    "E8682": "Accidental poisoning by motor vehicle exhaust gas",
    "E8693": "Accidental poisoning by lacrimogenic gas [tear gas]",
    "E8714": "Foreign object left in body during endoscopic examination",
    "E8724": "Failure of sterile precautions during endoscopic examination",
    "E8726": "Failure of sterile precautions during heart catheterization",
    "E8734": "Failure in dosage in electroshock or insulin-shock therapy",
    "E8740": "Mechanical failure of instrument or apparatus during surgical operation",
    "E8767": "Performance of correct operation (procedure) on wrong side/body part",
    "E8850": "Fall from (nonmotorized) scooter",
    "E8931": "Accident caused by ignition of clothing from controlled fire in other building or structure",
    "E9000": "Accident caused by excessive heat due to weather conditions",
    "E9028": "Accident due to changes in air pressure due to other specified causes",
    "E9051": "Venomous spiders causing poisoning and toxic reactions",
    "E9055": "Other venomous arthropods causing poisoning and toxic reactions",
    "E9061": "Rat bite",
    "E9094": "Tidalwave caused by earthquake",
    "E9109": "Unspecified accidental drowning or submersion",
    "E913": "Accidental mechanical suffocation",
    "E917": "Striking against or struck accidentally by objects or persons",
    "E9179": "Other accident caused by striking against or being struck accidentally by objects or persons",
    "E919": "Accidents caused by machinery",
    "E9222": "Accident caused by hunting rifle",
    "E9269": "Exposure to unspecified radiation",
    "E9270": "Overexertion from sudden strenuous movement",
    "E9281": "Exposure to noise",
    "E9284": "External constriction caused by hair",
    "E9338": "Other systemic agents, not elsewhere classified, causing adverse effects in therapeutic use",
    "E9447": "Uric acid metabolism drugs causing adverse effects in therapeutic use",
    "E9504": "Suicide and self-inflicted poisoning by other specified drugs and medicinal substances",
    "E9556": "Suicide and self-inflicted injury by air gun",
    "E9581": "Suicide and self-inflicted injury by burns, fire",
    "E9585": "Suicide and self-inflicted injury by crashing of motor vehicle",
    "E9600": "Unarmed fight or brawl",
    "E9653": "Assault by military firearms",
    "E9689": "Assault by unspecified means",
    "E971": "Injury due to legal intervention by explosives",
    "E9804": "Poisoning by other specified drugs and medicinal substances, undetermined whether accidentally or purposely inflicted",
    "E9851": "Injury by shotgun, undetermined whether accidentally or purposely inflicted",
    "E9852": "Injury by hunting rifle, undetermined whether accidentally or purposely inflicted",
    "3485": "Cerebral edema",
    "34981": "Cerebrospinal fluid rhinorrhea",
    "351": "Facial nerve disorders",
    "3532": "Cervical root lesions, not elsewhere classified",
    "355": "Mononeuritis of lower limb",
    "3554": "Lesion of medial popliteal nerve",
    "3557": "Other mononeuritis of lower limb",
    "35929": "Other specified myotonic disorder",
    "3600": "Purulent endophthalmitis",
    "36033": "Hypotony associated with other ocular disorders",
    "36051": "Foreign body, magnetic, in anterior chamber of eye",
    "3608": "Other disorders of globe",
    "36212": "Exudative retinopathy",
    "36256": "Macular puckering",
    "36263": "Lattice degeneration",
    "36282": "Retinal exudates and deposits",
    "36331": "Solar retinopathy",
    "36335": "Disseminated scars",
    "3642": "Certain types of iridocyclitis",
    "36464": "Exudative cyst of pars plana",
    "36524": "Residual stage of angle-closure glaucoma",
    "3656": "Glaucoma associated with other ocular disorders",
    "36618": "Hypermature cataract",
    "3669": "Unspecified cataract",
    "3672": "Astigmatism",
    "36732": "Aniseikonia",
    "36751": "Paresis of accommodation",
    "36752": "Total or complete internal ophthalmoplegia",
    "36781": "Transient refractive change",
    "3683": "Other disorders of binocular vision",
    "36832": "Simultaneous visual perception without fusion",
    "3700": "Corneal ulcer",
    "37006": "Perforated corneal ulcer",
    "37040": "Keratoconjunctivitis, unspecified",
    "37150": "Hereditary corneal dystrophy, unspecified",
    "37162": "Keratoconus, acute hydrops",
    "3720": "Acute conjunctivitis",
    "3721": "Chronic conjunctivitis",
    "37211": "Simple chronic conjunctivitis",
    "3726": "Conjunctival scars",
    "37275": "Conjunctival cysts",
    "37334": "Discoid lupus erythematosus of eyelid",
    "37431": "Paralytic ptosis",
    "37455": "Hypotrichosis of eyelid",
    "37511": "Dacryops",
    "3752": "Epiphora",
    "37522": "Epiphora due to insufficient drainage",
    "37542": "Chronic dacryocystitis",
    "37554": "Stenosis of lacrimal sac",
    "37642": "Exostosis of orbit",
    "37681": "Orbital cysts",
    "37712": "Postinflammatory optic atrophy",
    "37716": "Hereditary optic atrophy",
    "37732": "Retrobulbar neuritis (acute)",
    "3774": "Other disorders of optic nerve",
    "01336": "Tuberculous abscess of brain, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01340": "Tuberculoma of spinal cord, unspecified",
    "01354": "Tuberculous abscess of spinal cord, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "0155": "Tuberculosis of limb bones",
    "01552": "Tuberculosis of limb bones, bacteriological or histological examination unknown (at present)",
    "01575": "Tuberculosis of other specified bone, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01625": "Tuberculosis of ureter, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01634": "Tuberculosis of other urinary organs, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "6209": "Unspecified noninflammatory disorder of ovary, fallopian tube, and broad ligament",
    "6239": "Unspecified noninflammatory disorder of vagina",
    "6244": "Old laceration or scarring of vulva",
    "6250": "Dyspareunia",
    "628": "Infertility, female",
    "6291": "Hydrocele, canal of nuck",
    "62922": "Female genital mutilation Type II status",
    "62931": "Erosion of implanted vaginal mesh and other prosthetic materials to surrounding organ or tissue",
    "63311": "Tubal pregnancy with intrauterine pregnancy",
    "E8939": "Accident caused by ignition of clothing by unspecified source",
    "E9062": "Bite of nonvenomous snakes and lizards",
    "E909": "Accident due to cataclysmic earth surface movements and eruptions",
    "E9131": "Accidental mechanical suffocation by plastic bag",
    "E9196": "Accidents caused by transmission machinery",
    "E9219": "Accident caused by explosion of unspecified pressure vessel",
    "E9229": "Accident caused by unspecified firearm missile",
    "E9239": "Accident caused by unspecified explosive material",
    "E9248": "Accident caused by other hot substance or object",
    "E9252": "Accident caused by industrial wiring, appliances, and electrical machinery",
    "E927": "Overexertion and strenuous and repetitive movements or loads",
    "E9339": "Unspecified systemic agent causing adverse effects in therapeutic use",
    "E9460": "Local anti-infectives and anti-inflammatory drugs causing adverse effects in therapeutic use",
    "85225": "Subdural hemorrhage following injury without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "8523": "Subdural hemorrhage following injury, with open intracranial wound",
    "8525": "Extradural hemorrhage following injury with open intracranial wound",
    "8530": "Other and unspecified intracranial hemorrhage following injury, without mention of open intracranial wound",
    "85311": "Other and unspecified intracranial hemorrhage following injury with open intracranial wound, with no loss of consciousness",
    "85315": "Other and unspecified intracranial hemorrhage following injury with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85400": "Intracranial injury of other and unspecified nature without mention of open intracranial wound, unspecified state of consciousness",
    "85409": "Intracranial injury of other and unspecified nature without mention of open intracranial wound, with concussion, unspecified",
    "85419": "Intracranial injury of other and unspecified nature with open intracranial wound, with concussion, unspecified",
    "E9316": "Anthelmintics causing adverse effects in therapeutic use",
    "86110": "Unspecified injury of heart with open wound into thorax",
    "86111": "Contusion of heart with open wound into thorax",
    "86131": "Contusion of lung with open wound into thorax",
    "86132": "Laceration of lung with open wound into thorax",
    "86320": "Injury to small intestine, unspecified site, without open wound into cavity",
    "86342": "Injury to transverse colon, without mention of open wound into cavity",
    "86385": "Injury to appendix, without mention of open wound into cavity",
    "86390": "Injury to gastrointestinal tract, unspecified site, with open wound into cavity",
    "86501": "Injury to spleen without mention of open wound into cavity, hematoma without rupture of capsule",
    "867": "Injury to pelvic organs",
    "8681": "Injury to other intra-abdominal organs with open wound into cavity",
    "871": "Open wound of eyeball",
    "87200": "Open wound of external ear, unspecified site, without mention of complication",
    "87201": "Open wound of auricle, ear, without mention of complication",
    "8731": "Open wound of scalp, complicated",
    "87320": "Open wound of nose, unspecified site, without mention of complication",
    "8734": "Open wound of face, without mention of complication",
    "87342": "Open wound of forehead, without mention of complication",
    "87402": "Open wound of trachea, without mention of complication",
    "876": "Open wound of back",
    "E9880": "Injury by jumping or lying before moving object, undetermined whether accidentally or purposely inflicted",
    "87410": "Open wound of larynx with trachea, complicated",
    "8780": "Open wound of penis, without mention of complication",
    "8788": "Open wound of other and unspecified parts of genital organs (external), without mention of complication",
    "88010": "Open wound of shoulder region, complicated",
    "8832": "Open wound of finger(s), with tendon involvement",
    "8850": "Traumatic amputation of thumb (complete)(partial), without mention of complication",
    "887": "Traumatic amputation of arm and hand (complete) (partial)",
    "8941": "Multiple and unspecified open wound of lower limb, complicated",
    "9019": "Injury to unspecified blood vessel of thorax",
    "90223": "Injury to splenic artery",
    "90226": "Injury to primary branches of superior mesenteric artery",
    "90252": "Injury to hypogastric vein",
    "905": "Late effects of musculoskeletal and connective tissue injuries",
    "9060": "Late effect of open wound of head, neck, and trunk",
    "9086": "Late effect of certain complications of trauma",
    "9139": "Other and unspecified superficial injury of elbow, forearm, and wrist, infected",
    "9149": "Other and unspecified superficial injury of hand(s) except finger(s) alone, infected",
    "916": "Superficial injury of hip, thigh, leg, and ankle",
    "9181": "Superficial injury of cornea",
    "9231": "Contusion of elbow and forearm",
    "92703": "Crushing injury of upper arm",
    "9271": "Crushing injury of elbow and forearm",
    "9272": "Crushing injury of wrist and hand(s), except finger(s) alone",
    "92721": "Crushing injury of wrist",
    "92801": "Crushing injury of hip",
    "9289": "Crushing injury of unspecified site of lower limb",
    "9290": "Crushing injury of multiple sites, not elsewhere classified",
    "932": "Foreign body in nose",
    "9403": "Acid chemical burn of cornea and conjunctival sac",
    "94114": "Erythema [first degree] of chin",
    "9412": "Blisters with epidermal loss due to burn [second degree] of face, head, and neck",
    "94130": "Full-thickness skin loss [third degree, not otherwise specified] of face and head, unspecified site",
    "94154": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of chin",
    "94158": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of neck",
    "9420": "Burn of trunk, unspecified degree",
    "94202": "Burn of unspecified degree of chest wall, excluding breast and nipple",
    "94211": "Erythema [first degree] of breast",
    "94214": "Erythema [first degree] of back [any part]",
    "94229": "Blisters, epidermal loss [second degree] of other and multiple sites of trunk",
    "94230": "Full-thickness skin loss [third degree, not otherwise specified] of trunk, unspecified site",
    "9424": "Deep necrosis of underlying tissues due to burn [deep third degree] of trunk without mention of loss of body part",
    "94245": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of genitalia",
    "94300": "Burn of unspecified degree of upper limb, except wrist and hand, unspecified site",
    "94310": "Erythema [first degree] of upper limb, unspecified site",
    "94315": "Erythema [first degree] of shoulder",
    "94335": "Full-thickness skin loss [third degree, not otherwise specified] of shoulder",
    "94431": "Full-thickness skin loss [third degree, not otherwise specified] of single digit [finger (nail)] other than thumb",
    "94458": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of multiple sites of wrist(s) and hand(s)",
    "945": "Burn of lower limb(s)",
    "94502": "Burn of unspecified degree of foot",
    "94542": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of foot",
    "94552": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of foot",
    "59651": "Hypertonicity of bladder",
    "6119": "Unspecified breast disorder",
    "6120": "Deformity of reconstructed breast",
    "6147": "Other chronic pelvic peritonitis, female",
    "6150": "Acute inflammatory diseases of uterus, except cervix",
    "6151": "Chronic inflammatory diseases of uterus, except cervix",
    "6163": "Abscess of Bartholin's gland",
    "6164": "Other abscess of vulva",
    "6185": "Prolapse of vaginal vault after hysterectomy",
    "62134": "Benign endometrial hyperplasia",
    "6214": "Hematometra",
    "6234": "Old vaginal laceration",
    "6245": "Hematoma of vulva",
    "6260": "Absence of menstruation",
    "6278": "Other specified menopausal and postmenopausal disorders",
    "6279": "Unspecified menopausal and postmenopausal disorder",
    "6299": "Unspecified disorder of female genital organs",
    "63390": "Unspecified ectopic pregnancy without intrauterine pregnancy",
    "2570": "Testicular hyperfunction",
    "260": "Kwashiorkor",
    "263": "Other and unspecified protein-calorie malnutrition",
    "2649": "Unspecified vitamin A deficiency",
    "2698": "Other nutritional deficiency",
    "2709": "Unspecified disorder of amino-acid metabolism",
    "2723": "Hyperchylomicronemia",
    "2748": "Gout with other specified manifestations",
    "27481": "Gouty tophi of ear",
    "275": "Disorders of mineral metabolism",
    "2761": "Hyposmolality and/or hyponatremia",
    "279": "Disorders involving the immune mechanism",
    "27910": "Immunodeficiency with predominant T-cell defect, unspecified",
    "2824": "Thalassemias",
    "28245": "Delta-beta thalassemia",
    "2832": "Hemoglobinuria due to hemolysis from external causes",
    "2860": "Congenital factor VIII disorder",
    "2864": "Von Willebrand's disease",
    "28802": "Cyclic neutropenia",
    "28860": "Leukocytosis, unspecified",
    "28861": "Lymphocytosis (symptomatic)",
    "28866": "Bandemia",
    "289": "Other diseases of blood and blood-forming organs",
    "2890": "Polycythemia, secondary",
    "2918": "Other specified alcohol-induced mental disorders",
    "29389": "Other specified transient mental disorders due to conditions classified elsewhere, other",
    "29502": "Simple type schizophrenia, chronic",
    "29525": "Catatonic type schizophrenia, in remission",
    "29534": "Paranoid type schizophrenia, chronic with acute exacerbation",
    "29605": "Bipolar I disorder, single manic episode, in partial or unspecified remission",
    "29606": "Bipolar I disorder, single manic episode, in full remission",
    "29616": "Manic affective disorder, recurrent episode, in full remission",
    "29620": "Major depressive affective disorder, single episode, unspecified",
    "29625": "Major depressive affective disorder, single episode, in partial or unspecified remission",
    "29656": "Bipolar I disorder, most recent episode (or current) depressed, in full remission",
    "29662": "Bipolar I disorder, most recent episode (or current) mixed, moderate",
    "29663": "Bipolar I disorder, most recent episode (or current) mixed, severe, without mention of psychotic behavior",
    "2968": "Other and unspecified bipolar disorders",
    "29680": "Bipolar disorder, unspecified",
    "2969": "Other and unspecified episodic mood disorder",
    "29699": "Other specified episodic mood disorder",
    "299": "Pervasive developmental disorders",
    "3003": "Obsessive-compulsive disorders",
    "634": "Spontaneous abortion",
    "63401": "Spontaneous abortion, complicated by genital tract and pelvic infection, incomplete",
    "6342": "Spontaneous abortion complicated by damage to pelvic organs or tissues",
    "28730": "Primary thrombocytopenia,unspecified",
    "2879": "Unspecified hemorrhagic conditions",
    "28800": "Neutropenia, unspecified",
    "2888": "Other specified disease of white blood cells",
    "290": "Dementias",
    "29041": "Vascular dementia, with delirium",
    "2911": "Alcohol-induced persisting amnestic disorder",
    "2915": "Alcohol-induced psychotic disorder with delusions",
    "29510": "Disorganized type schizophrenia, unspecified",
    "2954": "Schizophreniform disorder",
    "29542": "Schizophreniform disorder, chronic",
    "29581": "Other specified types of schizophrenia, subchronic",
    "2959": "Unspecified schizophrenia",
    "29621": "Major depressive affective disorder, single episode, mild",
    "29640": "Bipolar I disorder, most recent episode (or current) manic, unspecified",
    "29644": "Bipolar I disorder, most recent episode (or current) manic, severe, specified as with psychotic behavior",
    "29664": "Bipolar I disorder, most recent episode (or current) mixed, severe, specified as with psychotic behavior",
    "29681": "Atypical manic disorder",
    "298": "Other nonorganic psychoses",
    "3001": "Dissociative, conversion and factitious disorders",
    "30010": "Hysteria, unspecified",
    "3022": "Pedophilia",
    "30271": "Hypoactive sexual desire disorder",
    "30283": "Sexual masochism",
    "30301": "Acute alcoholic intoxication in alcoholism, continuous",
    "30401": "Opioid type dependence, continuous",
    "30421": "Cocaine dependence, continuous",
    "30450": "Hallucinogen dependence, unspecified",
    "30462": "Other specified drug dependence, episodic",
    "30480": "Combinations of drug dependence excluding opioid type drug, unspecified",
    "3049": "Unspecified drug dependence",
    "30532": "Hallucinogen abuse, episodic",
    "3066": "Endocrine disorder arising from mental factors",
    "30744": "Persistent disorder of initiating or maintaining wakefulness",
    "30745": "Circadian rhythm sleep disorder of nonorganic origin",
    "3079": "Other and unspecified special symptoms or syndromes, not elsewhere classified",
    "30989": "Other specified adjustment reactions",
    "3102": "Postconcussion syndrome",
    "3130": "Overanxious disorder specific to childhood and adolescence",
    "3151": "Mathematics disorder",
    "31531": "Expressive language disorder",
    "3158": "Other specified delays in development",
    "3181": "Severe intellectual disabilities",
    "3201": "Pneumococcal meningitis",
    "3203": "Staphylococcal meningitis",
    "3209": "Meningitis due to unspecified bacterium",
    "32341": "Other encephalitis and encephalomyelitis due to other infections classified elsewhere",
    "326": "Late effects of intracranial abscess or pyogenic infection",
    "327": "Organic sleep disorders",
    "32731": "Circadian rhythm sleep disorder, delayed sleep phase type",
    "32740": "Organic parasomnia, unspecified",
    "33119": "Other frontotemporal dementia",
    "3340": "Friedreich's ataxia",
    "33818": "Other acute postoperative pain",
    "33910": "Tension type headache, unspecified",
    "3392": "Post-traumatic headache",
    "34291": "Hemiplegia, unspecified, affecting dominant side",
    "3434": "Infantile hemiplegia",
    "3441": "Paraplegia",
    "879": "Open wound of other and unspecified sites, except limbs",
    "88000": "Open wound of shoulder region, without mention of complication",
    "88029": "Open wound of multiple sites of shoulder and upper arm, with tendon involvement",
    "8811": "Open wound of elbow, forearm, and wrist, complicated",
    "88121": "Open wound of elbow, with tendon involvement",
    "8831": "Open wound of finger(s), complicated",
    "884": "Multiple and unspecified open wound of upper limb",
    "8840": "Multiple and unspecified open wound of upper limb, without mention of complication",
    "8900": "Open wound of hip and thigh, without mention of complication",
    "9000": "Injury to carotid artery",
    "9009": "Injury to unspecified blood vessel of head and neck",
    "90141": "Injury to pulmonary artery",
    "90229": "Injury to celiac and mesenteric arteries, other",
    "90232": "Injury to inferior mesenteric vein",
    "9028": "Injury to other specified blood vessels of abdomen and pelvis",
    "903": "Injury to blood vessels of upper extremity",
    "9064": "Late effect of crushing",
    "9071": "Late effect of injury to cranial nerve",
    "9091": "Late effect of toxic effects of nonmedical substances",
    "9108": "Other and unspecified superficial injury of face, neck, and scalp, without mention of infection",
    "9143": "Blister of hand(s) except finger(s) alone, infected",
    "9219": "Unspecified contusion of eye",
    "92302": "Contusion of axillary region",
    "92311": "Contusion of elbow",
    "9239": "Contusion of unspecified part of upper limb",
    "92612": "Crushing injury of buttock",
    "9308": "Foreign body in other and combined sites on external eye",
    "9330": "Foreign body in pharynx",
    "938": "Foreign body in digestive system, unspecified",
    "74341": "Congenital anomalies of corneal size and shape",
    "74345": "Aniridia",
    "74355": "Congenital macular changes",
    "74366": "Specified congenital anomalies of orbit",
    "74483": "Macrostomia",
    "7453": "Common ventricle",
    "7467": "Hypoplastic left heart syndrome",
    "74749": "Other anomalies of great veins",
    "74762": "Renal vessel anomaly",
    "7488": "Other specified anomalies of respiratory system",
    "74924": "Cleft palate with cleft lip, bilateral, incomplete",
    "7502": "Other specified congenital anomalies of mouth and pharynx",
    "75249": "Other anomalies of cervix, vagina, and external female genitalia",
    "75262": "Epispadias",
    "75263": "Congenital chordee",
    "753": "Congenital anomalies of urinary system",
    "7537": "Anomalies of urachus",
    "75435": "Congenital dislocation of one hip with subluxation of other hip",
    "75520": "Unspecified reduction deformity of upper limb",
    "75523": "Longitudinal deficiency, combined, involving humerus, radius, and ulna (complete or incomplete)",
    "75537": "Longitudinal deficiency, fibular, complete or partial (with or without distal deficiencies, incomplete)",
    "75553": "Radioulnar synostosis",
    "75555": "Acrocephalosyndactyly",
    "75614": "Hemivertebra",
    "7573": "Other specified congenital anomalies of skin",
    "758": "Chromosomal anomalies",
    "75832": "Velo-cardio-facial syndrome",
    "7593": "Situs inversus",
    "75983": "Fragile X syndrome",
    "7601": "Maternal renal and urinary tract diseases affecting fetus or newborn",
    "76061": "Newborn affected by amniocentesis",
    "76070": "Unspecified noxious substance affecting fetus or newborn via placenta or breast milk",
    "94810": "Burn [any degree] involving 10-19 percent of body surface with third degree burn, less than 10 percent or unspecified",
    "94842": "Burn [any degree] involving 40-49 percent of body surface with third degree burn, 20-29%",
    "94850": "Burn [any degree] involving 50-59 percent of body surface with third degree burn, less than 10 percent or unspecified",
    "94886": "Burn [any degree] involving 80-89 percent of body surface with third degree burn, 60-69%",
    "9490": "Burn of unspecified site, unspecified degree",
    "74192": "Spina bifida without mention of hydrocephalus, dorsal (thoracic) region",
    "7422": "Congenital reduction deformities of brain",
    "74300": "Clinical anophthalmos, unspecified",
    "74303": "Cystic eyeball, congenital",
    "74320": "Buphthalmos, unspecified",
    "74332": "Congenital cortical and zonular cataract",
    "74337": "Congenital ectopic lens",
    "74346": "Other specified congenital anomalies of iris and ciliary body",
    "74358": "Vascular anomalies",
    "745": "Bulbus cordis anomalies and anomalies of cardiac septal closure",
    "746": "Other congenital anomalies of heart",
    "74609": "Other congenital anomalies of pulmonary valve",
    "747": "Other congenital anomalies of circulatory system",
    "74721": "Anomalies of aortic arch",
    "7475": "Absence or hypoplasia of umbilical artery",
    "74764": "Lower limb vessel anomaly",
    "7479": "Unspecified anomaly of circulatory system",
    "74869": "Other congenital anomalies of lung",
    "7491": "Cleft lip",
    "74914": "Cleft lip, bilateral, incomplete",
    "75012": "Congenital adhesions of tongue",
    "7514": "Anomalies of intestinal fixation",
    "7516": "Anomalies of gallbladder, bile ducts, and liver",
    "75162": "Congenital cystic disease of liver",
    "75232": "Hypoplasia of uterus",
    "75236": "Arcuate uterus",
    "75244": "Cervical duplication",
    "75312": "Polycystic kidney, unspecified type",
    "7533": "Other specified anomalies of kidney",
    "75442": "Congenital bowing of femur",
    "75461": "Congenital pes planus",
    "75512": "Syndactyly of fingers with fusion of bone",
    "75527": "Longitudinal deficiency, ulnar, complete or partial (with or without distal deficiencies, incomplete)",
    "75552": "Congenital elevation of scapula",
    "75563": "Other congenital deformity of hip (joint)",
    "75611": "Spondylolysis, lumbosacral region",
    "7569": "Other and unspecified anomalies of musculoskeletal system",
    "7599": "Congenital anomaly, unspecified",
    "76062": "Newborn affected by other in utero procedure",
    "76402": "Light-for-dates without mention of fetal malnutrition, 500-749 grams",
    "76412": "Light-for-dateswith signs of fetal malnutrition, 500-749 grams",
    "76418": "Light-for-dateswith signs of fetal malnutrition, 2,000-2,499 grams",
    "76502": "Extreme immaturity, 500-749 grams",
    "76526": "31-32 completed weeks of gestation",
    "76529": "37 or more completed weeks of gestation",
    "766": "Disorders relating to long gestation and high birthweight",
    "7672": "Fracture of clavicle due to birth trauma",
    "77018": "Other fetal and newborn aspiration with respiratory symptoms",
    "77083": "Cyanotic attacks of newborn",
    "77084": "Respiratory failure of newborn",
    "77085": "Aspiration of postnatal stomach contents without respiratory symptoms",
    "7712": "Other congenital infections specific to the perinatal period",
    "77182": "Urinary tract infection of newborn",
    "30183": "Borderline personality disorder",
    "3052": "Cannabis abuse",
    "30520": "Cannabis abuse, unspecified",
    "30551": "Opioid abuse, continuous",
    "30652": "Psychogenic dysmenorrhea",
    "30721": "Transient tic disorder",
    "3074": "Specific disorders of sleep of nonorganic origin",
    "308": "Acute reaction to stress",
    "3080": "Predominant disturbance of emotions",
    "30924": "Adjustment disorder with anxiety",
    "3122": "Socialized conduct disorder",
    "31401": "Attention deficit disorder with hyperactivity",
    "31509": "Other specific developmental reading disorder",
    "318": "Other specified intellectual disabilities",
    "3229": "Meningitis, unspecified",
    "3230": "Encephalitis, myelitis, and encephalomyelitis in viral diseases classified elsewhere",
    "32363": "Postinfectious myelitis",
    "3239": "Unspecified causes of encephalitis, myelitis, and encephalomyelitis",
    "325": "Phlebitis and thrombophlebitis of intracranial venous sinuses",
    "32712": "Idiopathic hypersomnia without long sleep time",
    "32742": "REM sleep behavior disorder",
    "32743": "Recurrent isolated sleep paralysis",
    "3309": "Unspecified cerebral degeneration in childhood",
    "3314": "Obstructive hydrocephalus",
    "33183": "Mild cognitive impairment, so stated",
    "44823909": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8537": "Body Mass Index 37.0-37.9, adult",
    "V8552": "Body Mass Index, pediatric, 5th percentile to less than 85th percentile for age",
    "44823912": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823913": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823914": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823915": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8904": "Suspected problem with fetal growth not found",
    "44823917": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823918": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9100": "Twin gestation, unspecified number of placenta, unspecified number of amniotic sacs",
    "V9103": "Twin gestation, dichorionic/diamniotic (two placentae, two amniotic sacs)",
    "44823921": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "0011": "Cholera due to vibrio cholerae el tor",
    "0040": "Shigella dysenteriae",
    "0065": "Amebic brain abscess",
    "0078": "Other specified protozoal intestinal diseases",
    "008": "Intestinal infections due to other organisms",
    "0084": "Intestinal infection due to other specified bacteria",
    "0085": "Bacterial enteritis, unspecified",
    "00861": "Enteritis due to rotavirus",
    "00864": "Enteritis due to other small round viruses [SRV's]",
    "01000": "Primary tuberculous infection, unspecified",
    "01004": "Primary tuberculous infection, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01143": "Tuberculous fibrosis of lung, tubercle bacilli found (in sputum) by microscopy",
    "0119": "Unspecified pulmonary tuberculosis",
    "0122": "Isolated tracheal or bronchial tuberculosis",
    "01222": "Isolated tracheal or bronchial tuberculosis, bacteriological or histological examination unknown (at present)",
    "01233": "Tuberculous laryngitis, tubercle bacilli found (in sputum) by microscopy",
    "01280": "Other specified respiratory tuberculosis, unspecified",
    "01310": "Tuberculoma of meninges, unspecified",
    "34510": "Generalized convulsive epilepsy, without mention of intractable epilepsy",
    "34601": "Migraine with aura, with intractable migraine, so stated, without mention of status migrainosus",
    "34650": "Persistent migraine aura without cerebral infarction, without mention of intractable migraine without mention of status migrainosus",
    "34662": "Persistent migraine aura with cerebral infarction, without mention of intractable migraine with status migrainosus",
    "3467": "Chronic migraine without aura",
    "34681": "Other forms of migraine, with intractable migraine, so stated, without mention of status migrainosus",
    "3471": "Narcolepsy in conditions classified elsewhere",
    "3502": "Atypical face pain",
    "78861": "Splitting of urinary stream",
    "7889": "Other symptoms involving urinary system",
    "7894": "Abdominal rigidity",
    "7942": "Nonspecific abnormal results of pulmonary function study",
    "79511": "Papanicolaou smear of vagina with atypical squamous cells of undetermined significance (ASC-US)",
    "79516": "Papanicolaou smear of vagina with cytologic evidence of malignancy",
    "79925": "Demoralization and apathy",
    "79982": "Apparent life threatening event in infant",
    "80012": "Closed fracture of vault of skull with cerebral laceration and contusion, with brief [less than one hour] loss of consciousness",
    "80029": "Closed fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with concussion, unspecified",
    "80030": "Closed fracture of vault of skull with other and unspecified intracranial hemorrhage, unspecified state of consciousness",
    "80050": "Open fracture of vault of skull without mention of intracranial injury, unspecified state of consciousness",
    "80051": "Open fracture of vault of skull without mention of intracranial injury, with no loss of consciousness",
    "80071": "Open fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with no loss of consciousness",
    "8013": "Closed fracture of base of skull with other and unspecified intracranial hemorrhage",
    "80145": "Closed fracture of base of skull with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80146": "Closed fracture of base of skull with intracranial injury of other and unspecified nature, with loss of consciousness of unspecified duration",
    "8017": "Open fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage",
    "80180": "Open fracture of base of skull with other and unspecified intracranial hemorrhage, unspecified state of consciousness",
    "80186": "Open fracture of base of skull with other and unspecified intracranial hemorrhage, with loss of consciousness of unspecified duration",
    "8019": "Open fracture of base of skull with intracranial injury of other and unspecified nature",
    "80190": "Open fracture of base of skull with intracranial injury of other and unspecified nature, unspecified state of consciousness",
    "80310": "Other closed skull fracture with cerebral laceration and contusion, unspecified state of consciousness",
    "80334": "Other closed skull fracture with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80342": "Other closed skull fracture with intracranial injury of other and unspecified nature, with brief [less than one hour] loss of consciousness",
    "80376": "Other open skull fracture with subarachnoid, subdural, and extradural hemorrhage, with loss of consciousness of unspecified duration",
    "80386": "Other open skull fracture with other and unspecified intracranial hemorrhage, with loss of consciousness of unspecified duration",
    "80426": "Closed fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with loss of consciousness of unspecified duration",
    "80512": "Open fracture of second cervical vertebra",
    "80625": "Closed fracture of T7-T12 level with unspecified spinal cord injury",
    "80702": "Closed fracture of two ribs",
    "80844": "Multiple closed pelvic fractures without disruption of pelvic circle",
    "7613": "Polyhydramnios affecting fetus or newborn",
    "7632": "Forceps delivery affecting fetus or newborn",
    "76383": "Abnormality in fetal heart rate or rhythm, unspecified as to time of onset",
    "76403": "Light-for-dates without mention of fetal malnutrition, 750-999 grams",
    "7641": "Light-for-dates with signs of fetal malnutrition",
    "76419": "Light-for-dateswith signs of fetal malnutrition, 2,500 grams and over",
    "76495": "Fetal growth retardation, unspecified, 1,250-1,499 grams",
    "76510": "Other preterm infants, unspecified [weight]",
    "76523": "25-26 completed weeks of gestation",
    "7660": "Exceptionally large baby",
    "76872": "Moderate hypoxic-ischemic encephalopathy",
    "7705": "Other and unspecified atelectasis",
    "77086": "Aspiration of postnatal stomach contents with respiratory symptoms",
    "77089": "Other respiratory problems after birth",
    "77210": "Intraventricular hemorrhage unspecified grade",
    "7730": "Hemolytic disease of fetus or newborn due to Rh isoimmunization",
    "77430": "Neonatal jaundice due to delayed conjugation, cause unspecified",
    "7783": "Other hypothermia of newborn",
    "7786": "Congenital hydrocele",
    "77934": "Failure to thrive in newborn",
    "7800": "Alteration of consciousness",
    "7803": "Convulsions",
    "78051": "Insomnia with sleep apnea, unspecified",
    "78066": "Febrile nonhemolytic transfusion reaction",
    "78079": "Other malaise and fatigue",
    "7809": "Other general symptoms",
    "78094": "Early satiety",
    "78460": "Symbolic dysfunction, unspecified",
    "78601": "Hyperventilation",
    "78659": "Other chest pain",
    "7866": "Swelling, mass, or lump in chest",
    "7883": "Urinary incontinence",
    "78830": "Urinary incontinence, unspecified",
    "78842": "Polyuria",
    "78900": "Abdominal pain, unspecified site",
    "78939": "Abdominal or pelvic swelling, mass, or lump, other specified site",
    "78942": "Abdominal rigidity, left upper quadrant",
    "78951": "Malignant ascites",
    "78969": "Abdominal tenderness, other specified site",
    "6370": "Unspecified abortion complicated by genital tract and pelvic infection",
    "63721": "Unspecified abortion, complicated by damage to pelvic organs or tissues, incomplete",
    "63742": "Unspecified abortion, complicated by metabolic disorder, complete",
    "63760": "Unspecified abortion, complicated by embolism, unspecified",
    "63761": "Unspecified abortion, complicated by embolism, incomplete",
    "63782": "Unspecified abortion, with unspecified complication, complete",
    "64003": "Threatened abortion, antepartum condition or complication",
    "64100": "Placenta previa without hemorrhage, unspecified as to episode of care or not applicable",
    "6413": "Antepartum hemorrhage associated with coagulation defects",
    "64191": "Unspecified antepartum hemorrhage, delivered, with or without mention of antepartum condition",
    "64200": "Benign essential hypertension complicating pregnancy, childbirth, and the puerperium, unspecified as to episode of care or not applicable",
    "64203": "Benign essential hypertension complicating pregnancy, childbirth, and the puerperium, antepartum condition or complication",
    "6421": "Hypertension secondary to renal disease, complicating pregnancy, childbirth, and the puerperium",
    "64212": "Hypertension secondary to renal disease, complicating pregnancy, childbirth, and the puerperium, delivered, with mention of postpartum complication",
    "64254": "Severe pre-eclampsia, postpartum condition or complication",
    "6427": "Pre-eclampsia or eclampsia superimposed on pre-existing hypertension",
    "64291": "Unspecified hypertension complicating pregnancy, childbirth, or the puerperium, delivered, with or without mention of antepartum condition",
    "77189": "Other infections specific to the perinatal period",
    "77211": "Intraventricular hemorrhage, grade I",
    "77214": "Intraventricular hemorrhage, grade IV",
    "774": "Other perinatal jaundice",
    "7741": "Perinatal jaundice from other excessive hemolysis",
    "7744": "Perinatal jaundice due to hepatocellular damage",
    "775": "Endocrine and metabolic disturbances specific to the fetus and newborn",
    "7754": "Hypocalcemia and hypomagnesemia of newborn",
    "7759": "Unspecified endocrine and metabolic disturbances specific to the fetus and newborn",
    "776": "Hematological disorders of newborn",
    "7760": "Hemorrhagic disease of newborn",
    "7766": "Anemia of prematurity",
    "7775": "Necrotizing enterocolitis in newborn",
    "7784": "Other disturbances of temperature regulation of newborn",
    "V0182": "Exposure to SARS-associated coronavirus",
    "V019": "Contact with or exposure to unspecified communicable disease",
    "44828469": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828470": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828471": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828472": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V0259": "Carrier or suspected carrier of other specified bacterial diseases",
    "V028": "Carrier or suspected carrier of other venereal diseases",
    "44828475": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828476": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828477": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828478": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828479": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V062": "Need for prophylactic vaccination and inoculation against diptheria-tetanus- pertussis with typhoid-paratyphoid (DTP + TAB)",
    "V065": "Need for prophylactic vaccination and inoculation against tetanus-diphtheria [Td] (DT)",
    "V091": "Infection with microorganisms resistant to cephalosporins and other B-lactam antibiotics",
    "V0951": "Infection with microorganisms with resistance to multiple quinolones and fluroquinolones",
    "V099": "Infection with drug-resistant microorganisms, unspecified",
    "44828485": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828486": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1029": "Personal history of malignant neoplasm of other respiratory and intrathoracic organs",
    "V1043": "Personal history of malignant neoplasm of ovary",
    "V1053": "Personal history of malignant neoplasm of renal pelvis",
    "44828490": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828491": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828492": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828493": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1249": "Personal history of other disorders of nervous system and sense organs",
    "V1251": "Personal history of venous thrombosis and embolism",
    "V1272": "Personal history of colonic polyps",
    "44828497": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828498": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828499": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1366": "Personal history of (corrected) congenital malformations of respiratory system",
    "01393": "Unspecified tuberculosis of central nervous system, tubercle bacilli found (in sputum) by microscopy",
    "01523": "Tuberculosis of knee, tubercle bacilli found (in sputum) by microscopy",
    "01525": "Tuberculosis of knee, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01574": "Tuberculosis of other specified bone, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01591": "Tuberculosis of unspecified bones and joints, bacteriological or histological examination not done",
    "01605": "Tuberculosis of kidney, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "0162": "Tuberculosis of ureter",
    "0164": "Tuberculosis of epididymis",
    "01650": "Tuberculosis of other male genital organs, unspecified",
    "01662": "Tuberculous oophoritis and salpingitis, bacteriological or histological examination unknown (at present)",
    "01672": "Tuberculosis of other female genital organs, bacteriological or histological examination unknown (at present)",
    "01676": "Tuberculosis of other female genital organs, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01692": "Genitourinary tuberculosis, unspecified, bacteriological or histological examination unknown (at present)",
    "0172": "Tuberculosis of peripheral lymph nodes",
    "0173": "Tuberculosis of eye",
    "01763": "Tuberculosis of adrenal glands, tubercle bacilli found (in sputum) by microscopy",
    "01794": "Tuberculosis of other specified organs, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01795": "Tuberculosis of other specified organs, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01805": "Acute miliary tuberculosis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01883": "Other specified miliary tuberculosis, tubercle bacilli found (in sputum) by microscopy",
    "01886": "Other specified miliary tuberculosis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "0189": "Unspecified miliary tuberculosis",
    "0203": "Primary pneumonic plague",
    "44825012": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825013": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825014": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4967": "Shoulder amputation status",
    "44825016": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825017": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V503": "Ear piercing",
    "V5042": "Prophylactic ovary removal",
    "44825020": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5390": "Fitting and adjustment, unspecified device",
    "44825022": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5424": "Aftercare for healing pathologic fracture of leg, unspecified",
    "V5425": "Aftercare for healing pathologic fracture of upper leg",
    "44825025": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825026": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825027": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V579": "Care involving unspecified rehabilitation procedure",
    "V5872": "Aftercare following surgery of the nervous system, NEC",
    "44825030": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5901": "Blood donors, whole blood",
    "V592": "Bone donors",
    "V5974": "Egg (oocyte) (ovum) donor, age 35 and over, designated recipient",
    "80851": "Open fracture of ilium",
    "81221": "Closed fracture of shaft of humerus",
    "81304": "Other and unspecified closed fractures of proximal end of ulna (alone)",
    "81317": "Other and unspecified open fractures of proximal end of radius (alone)",
    "8140": "Closed fractures of carpal bones",
    "8201": "Transcervical fracture, open",
    "82013": "Open fracture of base of neck of femur",
    "8203": "Pertrochanteric fracture of femur, open",
    "82101": "Closed fracture of shaft of femur",
    "82139": "Other open fracture of lower end of femur",
    "82321": "Closed fracture of shaft of fibula alone",
    "8234": "Torus fracture",
    "8270": "Other, multiple and ill-defined fractures of lower limb, closed",
    "83104": "Closed dislocation of acromioclavicular (joint)",
    "83305": "Closed dislocation of metacarpal (bone), proximal end",
    "83313": "Open dislocation of midcarpal (joint)",
    "73038": "Periostitis, without mention of osteomyelitis, other specified sites",
    "73075": "Osteopathy resulting from poliomyelitis, pelvic region and thigh",
    "7309": "Unspecified infection of bone",
    "73095": "Unspecified infection of bone, pelvic region and thigh",
    "7311": "Osteitis deformans in diseases classified elsewhere",
    "73300": "Osteoporosis, unspecified",
    "73321": "Solitary bone cyst",
    "73398": "Stress fracture of pelvis",
    "73609": "Other acquired deformities of forearm, excluding fingers",
    "73630": "Unspecified acquired deformity of hip",
    "7386": "Acquired deformity of pelvis",
    "7393": "Nonallopathic lesions, lumbar region",
    "74190": "Spina bifida without mention of hydrocephalus, unspecified region",
    "74191": "Spina bifida without mention of hydrocephalus, cervical region",
    "74251": "Diastematomyelia",
    "74331": "Congenital capsular and subcapsular cataract",
    "74352": "Fundus coloboma",
    "74361": "Congenital ptosis",
    "74409": "Other anomalies of ear causing impairment of hearing",
    "74447": "Preauricular cyst",
    "7448": "Other specified congenital anomalies of face and neck",
    "7473": "Anomalies of pulmonary artery, congenital",
    "74900": "Cleft palate, unspecified",
    "74904": "Cleft palate, bilateral, incomplete",
    "74913": "Cleft lip, bilateral, complete",
    "7506": "Congenital hiatus hernia",
    "7515": "Other anomalies of intestine",
    "75241": "Embryonic cyst of cervix, vagina, and external female genitalia",
    "75311": "Congenital single renal cyst",
    "75481": "Pectus excavatum",
    "75500": "Polydactyly, unspecified digits",
    "7552": "Reduction deformities of upper limb, congenital",
    "75533": "Longitudinal deficiency, combined, involving femur, tibia, and fibula (complete or incomplete)",
    "75556": "Accessory carpal bones",
    "75561": "Coxa valga, congenital",
    "75671": "Prune belly syndrome",
    "75683": "Ehlers-Danlos syndrome",
    "7571": "Ichthyosis congenita",
    "76075": "Cocaine affecting fetus or newborn via placenta or breast milk",
    "76381": "Abnormality in fetal heart rate or rhythm before the onset of labor",
    "76382": "Abnormality in fetal heart rate or rhythm during labor",
    "76401": "Light-for-dates without mention of fetal malnutrition, less than 500 grams",
    "76405": "Light-for-dateswithout mention of fetal malnutrition, 1,250- 1,499 grams",
    "76411": "Light-for-dates with signs of fetal malnutrition, less than 500 grams",
    "76429": 'Fetal malnutrition without mention of "light-for-dates", 2,500 grams and over',
    "64303": "Mild hyperemesis gravidarum, antepartum condition or complication",
    "64320": "Late vomiting of pregnancy, unspecified as to episode of care or not applicable",
    "64420": "Early onset of delivery, unspecified as to episode of care or not applicable",
    "64691": "Unspecified complication of pregnancy, delivered, with or without mention of antepartum condition",
    "6470": "Syphilis complicating pregnancy, childbirth, or the puerperium",
    "64704": "Syphilis of mother, complicating pregnancy, childbirth, or the puerperium, postpartum condition or complication",
    "64711": "Gonorrhea of mother, complicating pregnancy, childbirth, or the puerperium, delivered, with or without mention of antepartum condition",
    "64731": "Tuberculosis of mother, complicating pregnancy, childbirth, or the puerperium, delivered, with or without mention of antepartum condition",
    "64760": "Other viral diseases in the mother, unspecified as to episode of care or not applicable",
    "64784": "Other specified infectious and parasitic diseases of mother, postpartum condition or complication",
    "64791": "Unspecified infection or infestation of mother, delivered, with or without mention of antepartum condition",
    "64982": "Onset (spontaneous) of labor after 37 completed weeks of gestation but before 39 completed weeks gestation, with delivery by (planned) cesarean section, delivered, with mention of postpartum complication",
    "650": "Normal delivery",
    "65111": "Triplet pregnancy, delivered, with or without mention of antepartum condition",
    "65150": "Quadruplet pregnancy with fetal loss and retention of one or more fetus(es), unspecified as to episode of care or not applicable",
    "65231": "Transverse or oblique presentation, delivered, with or without mention of antepartum condition",
    "6530": "Major abnormality of bony pelvis, not further specified, in pregnancy, labor, and delivery",
    "65310": "Generally contracted pelvis, unspecified as to episode of care or not applicable",
    "65363": "Hydrocephalic fetus causing disproportion, antepartum condition or complication",
    "65432": "Retroverted and incarcerated gravid uterus, delivered, with mention of postpartum complication",
    "65451": "Cervical incompetence, delivered, with or without mention of antepartum condition",
    "65452": "Cervical incompetence, delivered, with mention of postpartum complication",
    "65523": "Hereditary disease in family possibly affecting fetus, affecting management of mother, antepartum condition or complication",
    "65581": "Other known or suspected fetal abnormality, not elsewhere classified, affecting management of mother, delivered, with or without mention of antepartum condition",
    "6561": "Rhesus isoimmunization affecting management of mother",
    "65881": "Other problems associated with amniotic cavity and membranes, delivered, with or without mention of antepartum condition",
    "65883": "Other problems associated with amniotic cavity and membranes, antepartum",
    "65903": "Failed mechanical induction of labor, antepartum condition or complication",
    "6592": "Maternal pyrexia during labor, unspecified",
    "E9473": "Alcohol deterrents causing adverse effects in therapeutic use",
    "E9510": "Suicide and self-inflicted poisoning by gas distributed by pipeline",
    "E9584": "Suicide and self-inflicted injury by electrocution",
    "E9650": "Assault by handgun",
    "E9686": "Assault by air gun",
    "E979": "Terrorism",
    "E9806": "Poisoning by corrosive and caustic substances, undetermined whether accidentally or purposely inflicted",
    "E9810": "Poisoning by gas distributed by pipeline, undetermined whether accidentally or purposely inflicted",
    "E9883": "Injury by extremes of cold, undetermined whether accidentally or purposely inflicted",
    "E9912": "Injury due to war operations from other bullets",
    "E994": "Injury due to war operations by destruction of aircraft",
    "E9940": "Injury due to war operations by destruction of aircraft due to enemy fire or explosives",
    "44828501": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828502": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828504": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V145": "Personal history of allergy to narcotic agent",
    "V1580": "Personal history of failed moderate sedation",
    "V1584": "Personal history of contact with and (suspected) exposure to asbestos",
    "V1641": "Family history of malignant neoplasm of ovary",
    "V1659": "Family history of malignant neoplasm of other urinary organs",
    "V175": "Family history of asthma",
    "V183": "Family history of other blood disorders",
    "V1911": "Family history of glaucoma",
    "44828513": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V219": "Unspecified constitutional state in development",
    "44828519": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V25": "Encounter for contraceptive management",
    "V262": "Procreation management investigation and testing",
    "V2635": "Encounter for testing of male partner of female with recurrent pregnancy loss",
    "44828523": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828525": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "69289": "Contact dermatitis and other eczema due to other specified agents",
    "694": "Bullous dermatoses",
    "6953": "Rosacea",
    "6979": "Lichen, unspecified",
    "7013": "Striae atrophicae",
    "7051": "Prickly heat",
    "70581": "Dyshidrosis",
    "70700": "Pressure ulcer, unspecified site",
    "70706": "Pressure ulcer, ankle",
    "70719": "Ulcer of other part of lower limb",
    "7093": "Degenerative skin disorders",
    "7108": "Other specified diffuse diseases of connective tissue",
    "7109": "Unspecified diffuse connective tissue disease",
    "71103": "Pyogenic arthritis, forearm",
    "71139": "Postdysenteric arthropathy, multiple sites",
    "71145": "Arthropathy associated with other bacterial diseases, pelvic region and thigh",
    "71165": "Arthropathy associated with mycoses, pelvic region and thigh",
    "71178": "Arthropathy associated with helminthiasis, other specified sites",
    "71185": "Arthropathy associated with other infectious and parasitic diseases, pelvic region and thigh",
    "71188": "Arthropathy associated with other infectious and parasitic diseases, other specified sites",
    "71193": "Unspecified infective arthritis, forearm",
    "7121": "Chondrocalcinosis due to dicalcium phosphate crystals",
    "71212": "Chondrocalcinosis, due to dicalcium phosphate crystals, upper arm",
    "71229": "Chondrocalcinosis, due to pyrophosphate crystals, multiple sites",
    "71280": "Other specified crystal arthropathies, site unspecified",
    "714": "Rheumatoid arthritis and other inflammatory polyarthropathies",
    "71511": "Osteoarthrosis, localized, primary, shoulder region",
    "71522": "Osteoarthrosis, localized, secondary, upper arm",
    "71524": "Osteoarthrosis, localized, secondary, hand",
    "71534": "Osteoarthrosis, localized, not specified whether primary or secondary, hand",
    "7159": "Osteoarthrosis, unspecified whether generalized or localized",
    "71597": "Osteoarthrosis, unspecified whether generalized or localized, ankle and foot",
    "71604": "Kaschin-Beck disease, hand",
    "44825034": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825035": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V614": "Health problems within family",
    "V615": "Multiparity",
    "V616": "Illegitimacy or illegitimate pregnancy",
    "V630": "Residence remote from hospital or other health care facility",
    "44825040": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825042": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6543": "Counseling on injury prevention",
    "44825044": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825045": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V663": "Convalescence following psychotherapy and other treatment for mental disorder",
    "V667": "Encounter for palliative care",
    "V707": "Examination of participant in clinical trial",
    "V71": "Observation and evaluation for suspected conditions not found",
    "V717": "Observation for suspected cardiovascular disease",
    "44825051": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825052": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825053": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825054": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7285": "Other specified examination",
    "44825056": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825057": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825058": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V754": "Screening examination for mycotic infections",
    "44825060": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825061": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825062": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825063": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V799": "Screening for unspecified mental disorder and developmental handicap",
    "V803": "Screening for ear diseases",
    "44825066": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V816": "Screening for other and unspecified genitourinary conditions",
    "44825068": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825070": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8401": "Genetic susceptibility to malignant neoplasm of breast",
    "V848": "Genetic susceptibility to other disease",
    "V8524": "Body Mass Index 28.0-28.9, adult",
    "V8543": "Body Mass Index 50.0-59.9, adult",
    "44825076": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8709": "Contact with and (suspected) exposure to other hazardous metals",
    "V8742": "Personal history of monoclonal drug therapy",
    "6348": "Spontaneous abortion with unspecified complication",
    "6349": "Spontaneous abortion without mention of complication",
    "63490": "Spontaneous abortion, without mention of complication, unspecified",
    "635": "Legally induced abortion",
    "6355": "Legally induced abortion complicated by shock",
    "63581": "Legally induced abortion, with unspecified complication, incomplete",
    "6359": "Legally induced abortion without mention of complication",
    "76492": "Fetal growth retardation, unspecified, 500-749 grams",
    "76498": "Fetal growth retardation, unspecified, 2,000-2,499 grams",
    "76518": "Other preterm infants, 2,000-2,499 grams",
    "7687": "Hypoxic-ischemic encephalopathy (HIE)",
    "76873": "Severe hypoxic-ischemic encephalopathy",
    "7714": "Omphalitis of the newborn",
    "7716": "Neonatal conjunctivitis and dacryocystitis",
    "772": "Fetal and neonatal hemorrhage",
    "7722": "Subarachnoid hemorrhage of fetus or newborn",
    "7726": "Cutaneous hemorrhage of fetus or newborn",
    "7745": "Perinatal jaundice from other causes",
    "7756": "Neonatal hypoglycemia",
    "7772": "Intestinal obstruction in newborn due to inspissated milk",
    "7795": "Drug withdrawal syndrome in newborn",
    "7804": "Dizziness and giddiness",
    "7816": "Meningismus",
    "78194": "Facial weakness",
    "782": "Symptoms involving skin and other integumentary tissue",
    "7824": "Jaundice, unspecified, not of newborn",
    "78443": "Hypernasality",
    "7845": "Other speech disturbance",
    "78452": "Fluency disorder in conditions classified elsewhere",
    "7854": "Gangrene",
    "78603": "Apnea",
    "6346": "Spontaneous abortion complicated by embolism",
    "63480": "Spontaneous abortion, with unspecified complication, unspecified",
    "63511": "Legally induced abortion, complicated by delayed or excessive hemorrhage, incomplete",
    "63610": "Illegally induced abortion, complicated by delayed or excessive hemorrhage, unspecified",
    "63661": "Illegally induced abortion, complicated by embolism, incomplete",
    "63680": "Illegally induced abortion, with unspecified complication, unspecified",
    "63772": "Unspecified abortion, with other specified complications, complete",
    "63790": "Unspecified abortion, without mention of complication, unspecified",
    "6396": "Embolism following abortion or ectopic and molar pregnancies",
    "64201": "Benign essential hypertension complicating pregnancy, childbirth, and the puerperium, delivered, with or without mention of antepartum condition",
    "64272": "Pre-eclampsia or eclampsia superimposed on pre-existing hypertension, delivered, with mention of postpartum complication",
    "6429": "Unspecified hypertension complicating pregnancy, childbirth, or the puerperium",
    "643": "Excessive vomiting in pregnancy",
    "6438": "Other vomiting complicating pregnancy",
    "64380": "Other vomiting complicating pregnancy, unspecified as to episode of care or not applicable",
    "64513": "Post term pregnancy, antepartum condition or complication",
    "6461": "Edema or excessive weight gain in pregnancy, without mention of hypertension",
    "64693": "Unspecified complication of pregnancy, antepartum condition or complication",
    "64703": "Syphilis of mother, complicating pregnancy, childbirth, or the puerperium, antepartum condition or complication",
    "64734": "Tuberculosis of mother, complicating pregnancy, childbirth, or the puerperium,postpartum condition or complication",
    "6475": "Rubella complicating pregnancy, childbirth, or the puerperium",
    "64750": "Rubella in the mother, unspecified as to episode of care or not applicable",
    "6478": "Other specified infectious and parasitic diseases complicating pregnancy, childbirth, or the puerperium",
    "64814": "Thyroid dysfunction of mother, postpartum condition or complication",
    "6483": "Drug dependence complicating pregnancy, childbirth, or the puerperium",
    "64834": "Drug dependence of mother, postpartum condition or complication",
    "6488": "Abnormal glucose tolerance of mother, complicating pregnancy, childbirth, or the puerperium",
    "64882": "Abnormal glucose tolerance of mother, delivered, with mention of postpartum complication",
    "E9950": "Injury due to war operations by unarmed hand-to-hand combat",
    "V017": "Contact with or exposure to other viral diseases",
    "V0181": "Contact with or exposure to anthrax",
    "44821489": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821490": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821492": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821493": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V041": "Need for prophylactic vaccination and inoculation against smallpox",
    "44821495": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V074": "Hormone replacement therapy (postmenopausal)",
    "V0950": "Infection with microorganisms without mention of resistance to multiple quinolones and fluroquinolones",
    "V1003": "Personal history of malignant neoplasm of esophagus",
    "V1040": "Personal history of malignant neoplasm of female genital organ, unspecified",
    "V1049": "Personal history of malignant neoplasm of other male genital organs",
    "V1060": "Personal history of leukemia, unspecified",
    "V1063": "Personal history of monocytic leukemia",
    "V107": "Personal history of other lymphatic and hematopoietic neoplasms",
    "V108": "Personal history of malignant neoplasm of other sites",
    "44821505": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821506": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821507": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V111": "Personal history of affective disorders",
    "V1200": "Personal history of unspecified infectious and parasitic disease",
    "V1203": "Personal history of malaria",
    "44821511": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821512": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V132": "Personal history of other genital system and obstetric disorders",
    "V1361": "Personal history of (corrected) hypospadias",
    "V1362": "Personal history of other (corrected) congenital malformations of genitourinary system",
    "V148": "Personal history of allergy to other specified medicinal agents",
    "44821517": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1501": "Allergy to peanuts",
    "V1549": "Other psychological trauma",
    "V1551": "Personal history of traumatic fracture",
    "44821521": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821522": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V194": "Family history of skin conditions",
    "44821524": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44821525": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V211": "Puberty",
    "V212": "Other development of adolescence",
    "V2130": "Low birth weight status, unspecified",
    "44821529": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "9402": "Alkaline chemical burn of cornea and conjunctival sac",
    "94118": "Erythema [first degree] of neck",
    "94124": "Blisters, epidermal loss [second degree] of chin",
    "94132": "Full-thickness skin loss [third degree, not otherwise specified] of eye (with other parts of face, head, and neck)",
    "942": "Burn of trunk",
    "94204": "Burn of unspecified degree of back [any part]",
    "71612": "Traumatic arthropathy, upper arm",
    "71614": "Traumatic arthropathy, hand",
    "71626": "Allergic arthritis, lower leg",
    "71645": "Transient arthropathy, pelvic region and thigh",
    "71664": "Unspecified monoarthritis, hand",
    "71687": "Other specified arthropathy, ankle and foot",
    "7170": "Old bucket handle tear of medial meniscus",
    "71817": "Loose body in joint, ankle and foot",
    "71847": "Contracture of joint, ankle and foot",
    "71852": "Ankylosis of joint, upper arm",
    "71857": "Ankylosis of joint, ankle and foot",
    "71878": "Developmental dislocation of joint, other specified sites",
    "7190": "Effusion of joint",
    "71910": "Hemarthrosis, site unspecified",
    "71915": "Hemarthrosis, pelvic region and thigh",
    "71918": "Hemarthrosis, other specified sites",
    "71939": "Palindromic rheumatism, multiple sites",
    "71947": "Pain in joint, ankle and foot",
    "71956": "Stiffness of joint, not elsewhere classified, lower leg",
    "71985": "Other specified disorders of joint, pelvic region and thigh",
    "72089": "Other inflammatory spondylopathies",
    "72141": "Spondylosis with myelopathy, thoracic region",
    "72282": "Postlaminectomy syndrome, thoracic region",
    "7230": "Spinal stenosis in cervical region",
    "7245": "Backache, unspecified",
    "7247": "Disorders of coccyx",
    "7260": "Adhesive capsulitis of shoulder",
    "72612": "Bicipital tenosynovitis",
    "72702": "Giant cell tumor of tendon sheath",
    "72767": "Nontraumatic rupture of achilles tendon",
    "7283": "Other specific muscle disorders",
    "72884": "Diastasis of muscle",
    "72887": "Muscle weakness (generalized)",
    "7292": "Neuralgia, neuritis, and radiculitis, unspecified",
    "72930": "Panniculitis, unspecified site",
    "43884": "Other late effects of cerebrovascular disease, ataxia",
    "43885": "Other late effects of cerebrovascular disease, vertigo",
    "4403": "Of bypass graft of the extremities",
    "44283": "Aneurysm of splenic artery",
    "4429": "Aneurysm of unspecified site",
    "443": "Other peripheral vascular disease",
    "44324": "Dissection of vertebral artery",
    "4463": "Lethal midline granuloma",
    "4471": "Stricture of artery",
    "4581": "Chronic hypotension",
    "4598": "Other specified disorders of circulatory system",
    "4644": "Croup",
    "4645": "Supraglottitis, unspecified",
    "4650": "Acute laryngopharyngitis",
    "471": "Nasal polyps",
    "473": "Chronic sinusitis",
    "47402": "Chronic tonsillitis and adenoiditis",
    "4772": "Allergic rhinitis due to animal (cat) (dog) hair and dander",
    "4782": "Other diseases of pharynx, not elsewhere classified",
    "47829": "Other diseases of pharynx, not elsewhere classified",
    "4786": "Edema of larynx",
    "47874": "Stenosis of larynx",
    "47875": "Laryngeal spasm",
    "4803": "Pneumonia due to SARS-associated coronavirus",
    "4843": "Pneumonia in whooping cough",
    "4845": "Pneumonia in anthrax",
    "488": "Influenza due to certain identified influenza viruses",
    "48812": "Influenza due to identified 2009 H1N1 influenza virus with other respiratory manifestations",
    "4928": "Other emphysema",
    "49381": "Exercise induced bronchospasm",
    "4939": "Asthma, unspecified",
    "63591": "Legally induced abortion, without mention of complication, incomplete",
    "63611": "Illegally induced abortion, complicated by delayed or excessive hemorrhage, incomplete",
    "63620": "Illegally induced abortion, complicated by damage to pelvic organs or tissues, unspecified",
    "63672": "Illegally induced abortion, with other specified complications, complete",
    "6373": "Unspecified abortion complicated by renal failure",
    "63730": "Unspecified abortion, complicated by renal failure, unspecified",
    "63781": "Unspecified abortion, with unspecified complication, incomplete",
    "6381": "Failed attempted abortion complicated by delayed or excessive hemorrhage",
    "64180": "Other antepartum hemorrhage, unspecified as to episode of care or not applicable",
    "64181": "Other antepartum hemorrhage, delivered, with or without mention of antepartum condition",
    "64241": "Mild or unspecified pre-eclampsia, delivered, with or without mention of antepartum condition",
    "64292": "Unspecified hypertension complicating pregnancy, childbirth, or the puerperium, delivered, with mention of postpartum complication",
    "64293": "Unspecified hypertension complicating pregnancy, childbirth, or the puerperium, antepartum condition or complication",
    "64520": "Prolonged pregnancy, unspecified as to episode of care or not applicable",
    "6462": "Unspecified renal disease in pregnancy, without mention of hypertension",
    "64630": "Recurrent pregnancy loss, unspecified as to episode of care or not applicable",
    "64633": "Recurrent pregnancy loss, antepartum condition or complication",
    "6464": "Peripheral neuritis in pregnancy",
    "64641": "Peripheral neuritis in pregnancy, delivered, with or without mention of antepartum condition",
    "64663": "Infections of genitourinary tract in pregnancy, antepartum condition or complication",
    "647": "Infectious and parasitic conditions in the mother classifiable elsewhere, but complicating pregnancy, childbirth, or the puerperium",
    "64713": "Gonorrhea of mother, complicating pregnancy, childbirth, or the puerperium, antepartum condition or complication",
    "64723": "Other venereal diseases of mother, complicating pregnancy, childbirth, or the puerperium, antepartum condition or complication",
    "6473": "Tuberculosis complicating pregnancy, childbirth, or the puerperium",
    "6474": "Malaria complicating pregnancy, childbirth, or the puerperium",
    "64781": "Other specified infectious and parasitic diseases of mother, delivered, with or without mention of antepartum condition",
    "64793": "Unspecified infection or infestation of mother, antepartum condition or complication",
    "64803": "Diabetes mellitus of mother, complicating pregnancy, childbirth, or the puerperium, antepartum condition or complication",
    "64810": "Thyroid dysfunction of mother, unspecified as to episode of care or not applicable",
    "64820": "Anemia of mother, unspecified as to episode of care or not applicable",
    "64830": "Drug dependence of mother, unspecified as to episode of care or not applicable",
    "64870": "Bone and joint disorders of back, pelvis, and lower limbs of mother, unspecified as to episode of care or not applicable",
    "64881": "Abnormal glucose tolerance of mother, delivered, with or without mention of antepartum condition",
    "6489": "Other current conditions complicating pregnancy, childbirth, or the puerperium",
    "64913": "Obesity complicating pregnancy, childbirth, or the puerperium, antepartum condition or complication",
    "64951": "Spotting complicating pregnancy, delivered, with or without mention of antepartum condition",
    "64953": "Spotting complicating pregnancy, antepartum condition or complication",
    "652": "Malposition and malpresentation of fetus",
    "65200": "Unstable lie, unspecified as to episode of care or not applicable",
    "65213": "Breech or other malpresentation successfully converted to cephalic presentation, antepartum condition or complication",
    "65241": "Face or brow presentation, delivered, with or without mention of antepartum condition",
    "3337": "Acquired torsion dystonia",
    "33521": "Progressive muscular atrophy",
    "3369": "Unspecified disease of spinal cord",
    "64920": "Bariatric surgery status complicating pregnancy, childbirth, or the puerperium, unspecified as to episode of care or not applicable",
    "64944": "Epilepsy complicating pregnancy, childbirth, or the puerperium, postpartum condition or complication",
    "64960": "Uterine size date discrepancy, unspecified as to episode of care or not applicable",
    "651": "Multiple gestation",
    "6511": "Triplet pregnancy",
    "6513": "Twin pregnancy with fetal loss and retention of one fetus",
    "6514": "Triplet pregnancy with fetal loss and retention of one or more fetus (es)",
    "65163": "Other multiple pregnancy with fetal loss and retention of one or more fetus(es), antepartum condition or complication",
    "6521": "Breech or other malpresentation successfully converted to cephalic presentation",
    "6525": "High fetal head at term",
    "65270": "Prolapsed arm of fetus, unspecified as to episode of care or not applicable",
    "6539": "Unspecified disproportion in pregnancy, labor, and delivery",
    "65393": "Unspecified disproportion, antepartum condition or complication",
    "6544": "Other abnormalities in shape or position of gravid uterus and of neighboring structures",
    "65444": "Other abnormalities in shape or position of gravid uterus and of neighboring structures, postpartum condition or complication",
    "65450": "Cervical incompetence, unspecified as to episode of care or not applicable",
    "65483": "Congenital or acquired abnormality of vulva, antepartum condition or complication",
    "65501": "Central nervous system malformation in fetus, delivered, with or without mention of antepartum condition",
    "65660": "Excessive fetal growth, affecting management of mother, unspecified as to episode of care or not applicable",
    "65801": "Oligohydramnios, delivered, with or without mention of antepartum condition",
    "65811": "Premature rupture of membranes, delivered, with or without mention of antepartum condition",
    "3508": "Other specified trigeminal nerve disorders",
    "3510": "Bell's palsy",
    "356": "Hereditary and idiopathic peripheral neuropathy",
    "3568": "Other specified idiopathic peripheral neuropathy",
    "36020": "Degenerative disorder of globe, unspecified",
    "36062": "Foreign body in iris or ciliary body",
    "36104": "Recent retinal detachment, partial, with retinal dialysis",
    "36257": "Drusen (degenerative)",
    "3630": "Focal chorioretinitis and focal retinochoroiditis",
    "36363": "Choroidal rupture",
    "3637": "Choroidal detachment",
    "36371": "Serous choroidal detachment",
    "36401": "Primary iridocyclitis",
    "36424": "Vogt-koyanagi syndrome",
    "3645": "Degenerations of iris and ciliary body",
    "3646": "Cysts of iris, ciliary body, and anterior chamber",
    "36481": "Floppy iris syndrome",
    "36571": "Mild stage glaucoma",
    "3663": "Cataract secondary to ocular disorders",
    "3665": "After-cataract",
    "36811": "Sudden visual loss",
    "36905": "Better eye: profound vision impairment; lesser eye: not further specified",
    "37059": "Other interstitial and deep keratitis",
    "37062": "Pannus (corneal)",
    "37112": "Stromal corneal pigmentations",
    "3724": "Pterygium",
    "37240": "Pterygium, unspecified",
    "37421": "Paralytic lagophthalmos",
    "37430": "Ptosis of eyelid, unspecified",
    "37530": "Dacryocystitis, unspecified",
    "37553": "Stenosis of lacrimal canaliculi",
    "3756": "Other changes of lacrimal passages",
    "37604": "Orbital tenonitis",
    "37643": "Local deformities of orbit due to bone disease",
    "3765": "Enophthalmos",
    "94210": "Erythema [first degree] of trunk, unspecified site",
    "94249": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of other and multiple sites of trunk",
    "94255": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of genitalia",
    "94321": "Blisters, epidermal loss [second degree] of forearm",
    "94323": "Blisters, epidermal loss [second degree] of upper arm",
    "94329": "Blisters, epidermal loss [second degree] of multiple sites of upper limb, except wrist and hand",
    "94330": "Full-thickness skin [third degree, not otherwise specified] of upper limb, unspecified site",
    "94345": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of shoulder",
    "9435": "Deep necrosis of underlying tissues due to burn [deep third degree] of upper limb, except wrist and hand, with loss of a body part",
    "94353": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of upper arm",
    "94420": "Blisters, epidermal loss [second degree] of hand, unspecified site",
    "94510": "Erythema [first degree] of lower limb [leg], unspecified site",
    "94524": "Blisters, epidermal loss [second degree] of lower leg",
    "94840": "Burn [any degree] involving 40-49 percent of body surface with third degree burn, less than 10 percent or unspecified",
    "94852": "Burn [any degree] involving 50-59 percent of body surface with third degree burn, 20-29%",
    "94880": "Burn [any degree] involving 80-89 percent of body surface with third degree burn, less than 10 percent or unspecified",
    "94882": "Burn [any degree] involving 80-89 percent of body surface with third degree burn, 20-29%",
    "94887": "Burn [any degree] involving 80-89 percent of body surface with third degree burn, 70-79%",
    "9489": "Burn [any degree] involving 90 percent or more of body surface",
    "94893": "Burn [any degree] involving 90 percent or more of body surface with third degree burn, 30-39%",
    "951": "Injury to other cranial nerve(s)",
    "9513": "Injury to abducens nerve",
    "9517": "Injury to hypoglossal nerve",
    "95212": "T1-T6 level with anterior cord syndrome",
    "9529": "Unspecified site of spinal cord injury without evidence of spinal bone injury",
    "9558": "Injury to multiple nerves of shoulder girdle and upper limb",
    "9569": "Injury to unspecified nerve of pelvic girdle and lower limb",
    "95909": "Injury of face and neck",
    "9597": "Knee, leg, ankle, and foot injury",
    "9608": "Poisoning by other specified antibiotics",
    "9621": "Poisoning by androgens and anabolic congeners",
    "9641": "Poisoning by liver preparations and other antianemic agents",
    "9650": "Poisoning by opiates and related narcotics",
    "969": "Poisoning by psychotropic agents",
    "96904": "Poisoning by tetracyclic antidepressants",
    "96970": "Poisoning by psychostimulant, unspecified",
    "9722": "Poisoning by antilipemic and antiarteriosclerotic drugs",
    "973": "Poisoning by agents primarily affecting the gastrointestinal system",
    "9742": "Poisoning by carbonic acid anhydrase inhibitors",
    "9757": "Poisoning by antiasthmatics",
    "9760": "Poisoning by local anti-infectives and anti-inflammatory drugs",
    "9770": "Poisoning by dietetics",
    "9793": "Poisoning by yellow fever vaccine",
    "9803": "Toxic effect of fusel oil",
    "9830": "Toxic effect of corrosive aromatics",
    "9849": "Toxic effect of unspecified lead compound",
    "988": "Toxic effect of noxious substances eaten as food",
    "9895": "Toxic effect of venom",
    "9959": "Systemic inflammatory response syndrome (SIRS)",
    "99604": "Mechanical complication of automatic implantable cardiac defibrillator",
    "99642": "Dislocation of prosthetic joint",
    "99663": "Infection and inflammatory reaction due to nervous system device, implant, and graft",
    "7911": "Chyluria",
    "4941": "Bronchiectasis with acute exacerbation",
    "5064": "Chronic respiratory conditions due to fumes and vapors",
    "5081": "Chronic and other pulmonary manifestations due to radiation",
    "5109": "Empyema without mention of fistula",
    "51631": "Idiopathic pulmonary fibrosis",
    "519": "Other diseases of respiratory system",
    "51911": "Acute bronchospasm",
    "5198": "Other diseases of respiratory system, not elsewhere classified",
    "52115": "Excessive attrition, generalized",
    "5212": "Abrasion of teeth",
    "52123": "Abrasion, extending into pulp",
    "52331": "Aggressive periodontitis, localized",
    "52421": "Malocclusion, Angle's class I",
    "5244": "Malocclusion, unspecified",
    "52459": "Other dentofacial functional abnormalities",
    "5253": "Retained dental root",
    "52566": "Allergy to existing dental restorative material",
    "5261": "Fissural cysts of jaw",
    "52801": "Mucositis (ulcerative) due to antineoplastic therapy",
    "5285": "Diseases of lips",
    "5305": "Dyskinesia of esophagus",
    "5308": "Other specified disorders of esophagus",
    "53100": "Acute gastric ulcer with hemorrhage, without mention of obstruction",
    "53121": "Acute gastric ulcer with hemorrhage and perforation, with obstruction",
    "53150": "Chronic or unspecified gastric ulcer with perforation, without mention of obstruction",
    "53271": "Chronic duodenal ulcer without mention of hemorrhage or perforation, with obstruction",
    "53331": "Acute peptic ulcer of unspecified site without mention of hemorrhage and perforation, with obstruction",
    "5336": "Chronic or unspecified peptic ulcer of unspecified site with hemorrhage and perforation",
    "53430": "Acute gastrojejunal ulcer without mention of hemorrhage or perforation, without mention of obstruction",
    "5350": "Acute gastritis",
    "53500": "Acute gastritis, without mention of hemorrhage",
    "53530": "Alcoholic gastritis, without mention of hemorrhage",
    "5355": "Unspecified gastritis and gastroduodenitis",
    "536": "Disorders of function of stomach",
    "5439": "Other and unspecified diseases of appendix",
    "5500": "Inguinal hernia, with gangrene",
    "55000": "Inguinal hernia, with gangrene, unilateral or unspecified (not specified as recurrent)",
    "55129": "Other ventral hernia with gangrene",
    "1509": "Malignant neoplasm of esophagus, unspecified site",
    "152": "Malignant neoplasm of small intestine, including duodenum",
    "1539": "Malignant neoplasm of colon, unspecified site",
    "1611": "Malignant neoplasm of supraglottis",
    "1620": "Malignant neoplasm of trachea",
    "1629": "Malignant neoplasm of bronchus and lung, unspecified",
    "1643": "Malignant neoplasm of posterior mediastinum",
    "165": "Malignant neoplasm of other and ill-defined sites within the respiratory system and intrathoracic organs",
    "1700": "Malignant neoplasm of bones of skull and face, except mandible",
    "1708": "Malignant neoplasm of short bones of lower limb",
    "17350": "Unspecified malignant neoplasm of skin of trunk, except scrotum",
    "1744": "Malignant neoplasm of upper-outer quadrant of female breast",
    "1768": "Kaposi's sarcoma, other specified sites",
    "1840": "Malignant neoplasm of vagina",
    "1893": "Malignant neoplasm of urethra",
    "1943": "Malignant neoplasm of pituitary gland and craniopharyngeal duct",
    "1952": "Malignant neoplasm of abdomen",
    "1991": "Other malignant neoplasm without specification of site",
    "1992": "Malignant neoplasm associated with transplant organ",
    "20011": "Lymphosarcoma, lymph nodes of head, face, and neck",
    "20035": "Marginal zone lymphoma, lymph nodes of inguinal region and lower limb",
    "33700": "Idiopathic peripheral autonomic neuropathy, unspecified",
    "33709": "Other idiopathic peripheral autonomic neuropathy",
    "3373": "Autonomic dysreflexia",
    "338": "Pain, not elsewhere classified",
    "3398": "Other specified headache syndromes",
    "34201": "Flaccid hemiplegia and hemiparesis affecting dominant side",
    "344": "Other paralytic syndromes",
    "3442": "Diplegia of upper limbs",
    "3443": "Monoplegia of lower limb",
    "34441": "Monoplegia of upper limb affecting dominant side",
    "34460": "Cauda equina syndrome without mention of neurogenic bladder",
    "34550": "Localization-related (focal) (partial) epilepsy and epileptic syndromes with simple partial seizures, without mention of intractable epilepsy",
    "3458": "Other forms of epilepsy and recurrent seizures",
    "3466": "Persistent migraine aura with cerebral infarction",
    "34670": "Chronic migraine without aura, without mention of intractable migraine without mention of status migrainosus",
    "34682": "Other forms of migraine, without mention of intractable migraine with status migrainosus",
    "3490": "Reaction to spinal or lumbar puncture",
    "353": "Nerve root and plexus disorders",
    "35922": "Myotonia congenita",
    "360": "Disorders of the globe",
    "36021": "Progressive high (degenerative) myopia",
    "36043": "Hemophthalmos, except current injury",
    "36081": "Luxation of globe",
    "3610": "Retinal detachment with retinal defect",
    "36100": "Retinal detachment with retinal defect, unspecified",
    "3619": "Unspecified retinal detachment",
    "36203": "Nonproliferative diabetic retinopathy NOS",
    "36211": "Hypertensive retinopathy",
    "36231": "Central retinal artery occlusion",
    "36250": "Macular degeneration (senile), unspecified",
    "36273": "Vitreoretinal dystrophies",
    "36311": "Disseminated choroiditis and chorioretinitis, posterior pole",
    "36312": "Disseminated choroiditis and chorioretinitis, peripheral",
    "36315": "Disseminated retinitis and retinochoroiditis, pigment epitheliopathy",
    "3638": "Other disorders of choroid",
    "3643": "Unspecified iridocyclitis",
    "36463": "Primary cyst of pars plana",
    "36472": "Anterior synechiae of iris",
    "3650": "Borderline glaucoma [glaucoma suspect]",
    "36562": "Glaucoma associated with ocular inflammations",
    "36582": "Glaucoma with increased episcleral venous pressure",
    "36632": "Cataract in inflammatory ocular disorders",
    "36643": "Myotonic cataract",
    "36721": "Regular astigmatism",
    "3673": "Anisometropia and aniseikonia",
    "36731": "Anisometropia",
    "36814": "Visual distortions of shape and size",
    "36815": "Other visual distortions and entoptic phenomena",
    "36833": "Fusion with defective stereopsis",
    "36852": "Deutan defect",
    "36910": "Moderate or severe impairment, better eye, impairment level not further specified",
    "3708": "Other forms of keratitis",
    "37161": "Keratoconus, stable condition",
    "37204": "Pseudomembranous conjunctivitis",
    "37205": "Acute atopic conjunctivitis",
    "37271": "Hyperemia of conjunctiva",
    "37313": "Abscess of eyelid",
    "37333": "Xeroderma of eyelid",
    "3734": "Infective dermatitis of eyelid of types resulting in deformity",
    "37401": "Senile entropion",
    "37485": "Vascular anomalies of eyelid",
    "37487": "Dermatochalasis",
    "37516": "Dislocation of lacrimal gland",
    "37640": "Deformity of orbit, unspecified",
    "3776": "Disorders of other visual pathways",
    "3779": "Unspecified disorder of optic nerve and visual pathways",
    "37806": "Alternating esotropia with A pattern",
    "37830": "Heterotropia, unspecified",
    "37834": "Monofixation syndrome",
    "3786": "Mechanical strabismus",
    "37931": "Aphakia",
    "37932": "Subluxation of lens",
    "37939": "Other disorders of lens",
    "37949": "Other anomalies of pupillary function",
    "3796": "Inflammation (infection) of postprocedural bleb",
    "3803": "Noninfectious disorders of pinna",
    "38163": "Extrinsic cartilagenous obstruction of Eustachian tube",
    "382": "Suppurative and unspecified otitis media",
    "3821": "Chronic tubotympanic suppurative otitis media",
    "3832": "Petrositis",
    "38381": "Postauricular fistula",
    "384": "Other disorders of tympanic membrane",
    "3852": "Other acquired abnormality of ear ossicles",
    "3858": "Other disorders of middle ear and mastoid",
    "3859": "Unspecified disorder of middle ear and mastoid",
    "38632": "Circumscribed labyrinthitis",
    "38633": "Suppurative labyrinthitis",
    "38654": "Hypoactive labyrinth, bilateral",
    "38655": "Loss of labyrinthine reactivity, unilateral",
    "38811": "Acoustic trauma (explosive) to ear",
    "38860": "Otorrhea, unspecified",
    "38917": "Sensory hearing loss, unilateral",
    "38918": "Sensorineural hearing loss, bilateral",
    "3918": "Other acute rheumatic heart disease",
    "3919": "Acute rheumatic heart disease, unspecified",
    "3980": "Rheumatic myocarditis",
    "40493": "Hypertensive heart and chronic kidney disease, unspecified, with heart failure and chronic kidney disease stage V or end stage renal disease",
    "40509": "Other malignant secondary hypertension",
    "41000": "Acute myocardial infarction of anterolateral wall, episode of care unspecified",
    "41404": "Coronary atherosclerosis of artery bypass graft",
    "416": "Chronic pulmonary heart disease",
    "4209": "Other and unspecified acute pericarditis",
    "83411": "Open dislocation of metacarpophalangeal (joint)",
    "83502": "Closed obturator dislocation of hip",
    "83816": "Open dislocation of interphalangeal (joint), foot",
    "83903": "Closed dislocation, third cervical vertebra",
    "83913": "Open dislocation, third cervical vertebra",
    "83916": "Open dislocation, sixth cervical vertebra",
    "83918": "Open dislocation, multiple cervical vertebrae",
    "8407": "Superior glenoid labrum lesion",
    "8413": "Ulnohumeral (joint) sprain",
    "8439": "Sprains and strains of unspecified site of hip and thigh",
    "846": "Sprains and strains of sacroiliac region",
    "8501": "Concussion with brief loss of consciousness",
    "85143": "Cerebellar or brain stem contusion without mention of open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85164": "Cerebellar or brain stem laceration without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85194": "Other and unspecified cerebral laceration and contusion, with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85240": "Extradural hemorrhage following injury without mention of open intracranial wound, unspecified state of consciousness",
    "85253": "Extradural hemorrhage following injury with open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85301": "Other and unspecified intracranial hemorrhage following injury without mention of open intracranial wound, with no loss of consciousness",
    "85304": "Other and unspecified intracranial hemorrhage following injury without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre- existing conscious level",
    "79509": "Other abnormal Papanicolaou smear of cervix and cervical HPV",
    "79512": "Papanicolaou smear of vagina with atypical squamous cells cannot exclude high grade squamous intraepithelial lesion (ASC-H)",
    "79513": "Papanicolaou smear of vagina with low grade squamous intraepithelial lesion (LGSIL)",
    "7956": "False positive serological test for syphilis",
    "79678": "Unsatisfactory anal cytology smear",
    "799": "Other ill-defined and unknown causes of morbidity and mortality",
    "7993": "Debility, unspecified",
    "7994": "Cachexia",
    "79952": "Cognitive communication deficit",
    "79955": "Frontal lobe and executive function deficit",
    "80036": "Closed fracture of vault of skull with other and unspecified intracranial hemorrhage, with loss of consciousness of unspecified duration",
    "80044": "Closed fracture of vault of skull with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80062": "Open fracture of vault of skull with cerebral laceration and contusion, with brief [less than one hour] loss of consciousness",
    "80080": "Open fracture of vault of skull with other and unspecified intracranial hemorrhage, unspecified state of consciousness",
    "80083": "Open fracture of vault of skull with other and unspecified intracranial hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80093": "Open fracture of vault of skull with intracranial injury of other and unspecified nature, with moderate [1-24 hours] loss of consciousness",
    "80100": "Closed fracture of base of skull without mention of intra cranial injury, unspecified state of consciousness",
    "80101": "Closed fracture of base of skull without mention of intra cranial injury, with no loss of consciousness",
    "80104": "Closed fracture of base of skull without mention of intra cranial injury, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80116": "Closed fracture of base of skull with cerebral laceration and contusion, with loss of consciousness of unspecified duration",
    "80136": "Closed fracture of base of skull with other and unspecified intracranial hemorrhage, with loss of consciousness of unspecified duration",
    "80159": "Open fracture of base of skull without mention of intracranial injury, with concussion, unspecified",
    "80199": "Open fracture of base of skull with intracranial injury of other and unspecified nature, with concussion, unspecified",
    "80237": "Open fracture of mandible, alveolar border of body",
    "8032": "Other closed skull fracture with subarachnoid, subdural, and extradural hemorrhage",
    "80370": "Other open skull fracture with subarachnoid, subdural, and extradural hemorrhage, unspecified state of consciousness",
    "80421": "Closed fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with no loss of consciousness",
    "8045": "Open fractures involving skull or face with other bones, without mention of intracranial injury",
    "80465": "Open fractures involving skull or face with other bones, with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "8048": "Open fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage",
    "80496": "Open fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with loss of consciousness of unspecified duration",
    "80601": "Closed fracture of C1-C4 level with complete lesion of cord",
    "80602": "Closed fracture of C1-C4 level with anterior cord syndrome",
    "80624": "Closed fracture of T1-T6 level with other specified spinal cord injury",
    "80670": "Open fracture of sacrum and coccyx with unspecified spinal cord injury",
    "80672": "Open fracture of sacrum and coccyx with other cauda equina injury",
    "20062": "Anaplastic large cell lymphoma, intrathoracic lymph nodes",
    "20082": "Other named variants of lymphosarcoma and reticulosarcoma,intrathoracic lymph nodes",
    "20084": "Other named variants of lymphosarcoma and reticulosarcoma, lymph nodes of axilla and upper limb",
    "20087": "Other named variants of lymphosarcoma and reticulosarcoma, spleen",
    "2010": "Hodgkin's paragranuloma",
    "20145": "Hodgkin's disease, lymphocytic-histiocytic predominance, lymph nodes of inguinal region and lower limb",
    "20195": "Hodgkin's disease, unspecified type, lymph nodes of inguinal region and lower limb",
    "20204": "Nodular lymphoma, lymph nodes of axilla and upper limb",
    "2021": "Mycosis fungoides",
    "20225": "Sezary's disease, lymph nodes of inguinal region and lower limb",
    "20276": "Peripheral T cell lymphoma, intrapelvic lymph nodes",
    "203": "Multiple myeloma and immunoproliferative neoplasms",
    "20301": "Multiple myeloma, in remission",
    "20512": "Chronic myeloid leukemia, in relapse",
    "20522": "Subacute myeloid leukemia, in relapse",
    "207": "Other specified leukemia",
    "2071": "Chronic erythremia",
    "2089": "Unspecified leukemia",
    "209": "Neuroendocrine tumors",
    "20920": "Malignant carcinoid tumor of unknown primary site",
    "20934": "Merkel cell carcinoma of the lower limb",
    "20941": "Benign carcinoid tumor of the duodenum",
    "20963": "Benign carcinoid tumor of the stomach",
    "20970": "Secondary neuroendocrine tumor, unspecified site",
    "20974": "Secondary neuroendocrine tumor of peritoneum",
    "2110": "Benign neoplasm of esophagus",
    "2121": "Benign neoplasm of larynx",
    "2133": "Benign neoplasm of ribs, sternum, and clavicle",
    "2154": "Other benign neoplasm of connective and other soft tissue of thorax",
    "2167": "Benign neoplasm of skin of lower limb, including hip",
    "2169": "Benign neoplasm of skin, site unspecified",
    "2190": "Benign neoplasm of cervix uteri",
    "2211": "Benign neoplasm of vagina",
    "224": "Benign neoplasm of eye",
    "227": "Benign neoplasm of other endocrine glands and related structures",
    "2319": "Carcinoma in situ of respiratory system, part unspecified",
    "2374": "Neoplasm of uncertain behavior of other and unspecified endocrine glands",
    "2377": "Neurofibromatosis",
    "238": "Neoplasm of uncertain behavior of other and unspecified sites and tissues",
    "23875": "Myelodysplastic syndrome, unspecified",
    "2396": "Neoplasm of unspecified nature of brain",
    "24211": "Toxic uninodular goiter with mention of thyrotoxic crisis or storm",
    "2448": "Other specified acquired hypothyroidism",
    "2469": "Unspecified disorder of thyroid",
    "V2889": "Other specified antenatal screening",
    "44828527": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V299": "Observation for unspecified suspected conditions",
    "V3100": "Twin birth, mate liveborn, born in hospital, delivered without mention of cesarean section",
    "44828530": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V33": "Twin birth, unspecified whether mate liveborn or stillborn",
    "V3601": "Other multiple birth (three or more), mates liveborn and stillborn, born in hospital, delivered without mention of cesarean section",
    "V361": "Other multiple birth (three or more), mates liveborn and stillborn, born before admission to hospital",
    "44828534": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V372": "Other multiple birth (three or more), unspecified whether mates liveborn or stillborn, born outside of hospital",
    "44828536": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V402": "Other mental problems",
    "37689": "Other orbital disorders",
    "37749": "Other disorders of optic nerve",
    "37753": "Disorders of optic chiasm associated with vascular disorders",
    "37832": "Hypotropia",
    "0212": "Pulmonary tularemia",
    "023": "Brucellosis",
    "0231": "Brucella abortus",
    "0269": "Unspecified rat-bite fever",
    "03640": "Meningococcal carditis, unspecified",
    "03682": "Meningococcal arthropathy",
    "0389": "Unspecified septicemia",
    "0390": "Cutaneous actinomycotic infection",
    "04112": "Methicillin resistant Staphylococcus aureus in conditions classified elsewhere and of unspecified site",
    "0414": "Escherichia coli [E. coli] infection in conditions classified elsewhere and of unspecified site",
    "0467": "Other specified prion diseases of central nervous system",
    "047": "Meningitis due to enterovirus",
    "05379": "Herpes zoster with other specified complications",
    "0549": "Herpes simplex without mention of complication",
    "055": "Measles",
    "0651": "Omsk hemorrhagic fever",
    "07030": "Viral hepatitis B without mention of hepatic coma, acute or unspecified, without mention of hepatitis delta",
    "07071": "Unspecified viral hepatitis C with hepatic coma",
    "07423": "Coxsackie myocarditis",
    "0748": "Other specified diseases due to Coxsackie virus",
    "07798": "Unspecified diseases of conjunctiva due to chlamydiae",
    "08249": "Other ehrlichiosis",
    "0828": "Other specified tick-borne rickettsioses",
    "0842": "Quartan malaria",
    "0863": "Gambian trypanosomiasis",
    "08881": "Lyme Disease",
    "0889": "Arthropod-borne disease, unspecified",
    "0918": "Other forms of secondary syphilis",
    "092": "Early syphilis, latent",
    "09324": "Syphilitic endocarditis of pulmonary valve",
    "0956": "Syphilis of muscle",
    "09814": "Gonococcal seminal vesiculitis (acute)",
    "09830": "Chronic gonococcal infection of upper genitourinary tract, site unspecified",
    "85412": "Intracranial injury of other and unspecified nature with open intracranial wound, with brief [less than one hour] loss of consciousness",
    "86122": "Laceration of lung without mention of open wound into thorax",
    "8620": "Injury to diaphragm, without mention of open wound into cavity",
    "8621": "Injury to diaphragm, with open wound into cavity",
    "86329": "Other injury to small intestine, without mention of open wound into cavity",
    "86351": "Injury to ascending [right] colon, with open wound into cavity",
    "86392": "Injury to pancreas, body, with open wound into cavity",
    "86502": "Injury to spleen without mention of open wound into cavity, capsular tears, without major disruption of parenchyma",
    "86600": "Injury to kidney without mention of open wound into cavity, unspecified injury",
    "8674": "Injury to uterus, without mention of open wound into cavity",
    "87210": "Open wound of external ear, unspecified site, complicated",
    "8727": "Open wound of other specified parts of ear, complicated",
    "87360": "Open wound of mouth, unspecified site, without mention of complication",
    "8745": "Open wound of pharynx, complicated",
    "8812": "Open wound of elbow, forearm, and wrist, with tendon involvement",
    "886": "Traumatic amputation of other finger(s) (complete) (partial)",
    "8911": "Open wound of knee, leg [except thigh], and ankle, complicated",
    "8951": "Traumatic amputation of toe(s) (complete) (partial), complicated",
    "8971": "Traumatic amputation of leg(s) (complete) (partial), unilateral, below knee, complicated",
    "90140": "Injury to pulmonary vessel(s), unspecified",
    "90142": "Injury to pulmonary vein",
    "9023": "Injury to portal and splenic veins",
    "9024": "Injury to renal blood vessels",
    "90287": "Injury to multiple blood vessels of abdomen and pelvis",
    "90289": "Injury to other specified blood vessels of abdomen and pelvis",
    "9034": "Injury to palmar artery",
    "90442": "Injury to popliteal vein",
    "90450": "Injury to tibial vessel(s), unspecified",
    "906": "Late effects of injuries to skin and subcutaneous tissues",
    "9075": "Late effect of injury to peripheral nerve of pelvic girdle and lower limb",
    "9112": "Blister of trunk, without mention of infection",
    "9130": "Abrasion or friction burn of elbow, forearm, and wrist, without mention of infection",
    "9133": "Blister of elbow, forearm, and wrist, infected",
    "9147": "Superficial foreign body (splinter) of hand(s) except finger(s) alone, without major open wound, infected",
    "9154": "Insect bite, nonvenomous, of finger(s), without mention of infection",
    "78723": "Dysphagia, pharyngeal phase",
    "78838": "Overflow incontinence",
    "78863": "Urgency of urination",
    "78869": "Other abnormality of urination",
    "78909": "Abdominal pain, other specified site",
    "78931": "Abdominal or pelvic swelling, mass, or lump, right upper quadrant",
    "78946": "Abdominal rigidity, epigastric",
    "7895": "Ascites",
    "78965": "Abdominal tenderness, periumbilic",
    "78967": "Abdominal tenderness, generalized",
    "7897": "Colic",
    "790": "Nonspecific findings on examination of blood",
    "79001": "Precipitous drop in hematocrit",
    "7901": "Elevated sedimentation rate",
    "7904": "Nonspecific elevation of levels of transaminase or lactic acid dehydrogenase [LDH]",
    "7922": "Nonspecific abnormal findings in semen",
    "79502": "Papanicolaou smear of cervix with atypical squamous cells cannot exclude high grade squamous intraepithelial lesion (ASC-H)",
    "79508": "Unsatisfactory cervical cytology smear",
    "79510": "Abnormal glandular Papanicolaou smear of vagina",
    "80700": "Closed fracture of rib(s), unspecified",
    "81102": "Closed fracture of coracoid process of scapula",
    "813": "Fracture of radius and ulna",
    "8130": "Fracture of upper end of radius and ulna, closed",
    "81312": "Open fracture of coronoid process of ulna",
    "66030": "Deep transverse arrest and persistent occipitoposterior position, unspecified as to episode of care or not applicable",
    "6605": "Locked twins",
    "66143": "Hypertonic, incoordinate, or prolonged uterine contractions, antepartum condition or complication",
    "6622": "Prolonged second stage of labor",
    "66313": "Cord around neck, with compression, complicating labor and delivery, antepartum condition or complication",
    "66330": "Other and unspecified cord entanglement, without mention of compression, complicating labor and delivery, unspecified as to episode of care or not applicable",
    "66380": "Other umbilical cord complications complicating labor and delivery, unspecified as to episode of care or not applicable",
    "66420": "Third-degree perineal laceration, unspecified as to episode of care or not applicable",
    "66491": "Unspecified trauma to perineum and vulva, delivered, with or without mention of antepartum condition",
    "66503": "Rupture of uterus before onset of labor, antepartum condition or complication",
    "66531": "Laceration of cervix, delivered, with or without mention of antepartum condition",
    "66550": "Other injury to pelvic organs, unspecified as to episode of care or not applicable",
    "66574": "Pelvic hematoma, postpartum condition or complication",
    "66632": "Postpartum coagulation defects, delivered, with mention of postpartum complication",
    "6689": "Unspecified complication of anesthesia or other sedation in labor and delivery",
    "66892": "Unspecified complication of anesthesia and other sedation in labor and delivery, delivered, with mention of postpartum complication",
    "66900": "Maternal distress complicating labor and delivery, unspecified as to episode of care or not applicable",
    "66920": "Maternal hypotension syndrome, unspecified as to episode of care or not applicable",
    "66934": "Acute kidney failure following labor and delivery, postpartum condition or complication",
    "66941": "Other complications of obstetrical surgery and procedures, delivered, with or without mention of antepartum condition",
    "66970": "Cesarean delivery, without mention of indication, unspecified as to episode of care or not applicable",
    "66984": "Other complications of labor and delivery, postpartum condition or complication",
    "66990": "Unspecified complication of labor and delivery, unspecified as to episode of care or not applicable",
    "67004": "Major puerperal infection, postpartum condition or complication",
    "67012": "Puerperal endometritis, delivered, with mention of postpartum complication",
    "67034": "Puerperal septic thrombophlebitis, postpartum condition or complication",
    "67122": "Superficial thrombophlebitis complicating pregnancy and the puerperium, delivered, with mention of postpartum complication",
    "6715": "Other phlebitis and thrombosis in pregnancy and the puerperium",
    "67190": "Unspecified venous complication of pregnancy and the puerperium, unspecified as to episode of care or not applicable",
    "6738": "Other obstetrical pulmonary embolism",
    "674": "Other and unspecified complications of the puerperium, not elsewhere classified",
    "67412": "Disruption of cesarean wound, delivered, with mention of postpartum complication",
    "67494": "Unspecified complications of puerperium, postpartum condition or complication",
    "675": "Infections of the breast and nipple associated with childbirth",
    "67511": "Abscess of breast associated with childbirth, delivered, with or without mention of antepartum condition",
    "676": "Other disorders of the breast associated with childbirth and disorders of lactation",
    "67612": "Cracked nipple associated with childbirth, delivered, with mention of postpartum complication",
    "6765": "Suppressed lactation",
    "67650": "Suppressed lactation, unspecified as to episode of care or not applicable",
    "67653": "Suppressed lactation, antepartum condition or complication",
    "67682": "Other disorders of lactation, delivered, with mention of postpartum complication",
    "V403": "Other behavioral problems",
    "V409": "Unspecified mental or behavioral problem",
    "44828540": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V426": "Lung replaced by transplant",
    "44828542": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828543": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828544": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4362": "Elbow joint replacement",
    "44828546": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V441": "Gastrostomy status",
    "V455": "Presence of contraceptive device",
    "44828549": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828550": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828551": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828552": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828553": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4971": "Great toe amputation status",
    "V51": "Aftercare involving the use of plastic surgery",
    "44828556": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5331": "Fitting and adjustment of cardiac pacemaker",
    "V5359": "Fitting and adjustment of other gastrointestinal appliance and device",
    "44828559": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5412": "Aftercare for healing traumatic fracture of lower arm",
    "44828562": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828563": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828564": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5722": "Encounter for vocational therapy",
    "44828567": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V580": "Encounter for radiotherapy",
    "V582": "Blood transfusion, without reported diagnosis",
    "V5843": "Aftercare following surgery for injury and trauma",
    "V5866": "Long-term (current) use of aspirin",
    "V5868": "Long term (current) use of bisphosphonates",
    "V5869": "Long-term (current) use of other medications",
    "44828574": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828575": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828576": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V590": "Blood donors",
    "V606": "Person living in residential institution",
    "V609": "Unspecified housing or economic circumstance",
    "44828580": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V611": "Counseling for marital and partner problems",
    "V6120": "Counseling for parent-child problem, unspecified",
    "V6122": "Counseling for perpetrator of spousal and partner abuse",
    "44828584": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828585": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V621": "Adverse effects of work environment",
    "V6284": "Suicidal ideation",
    "44828588": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "72971": "Nontraumatic compartment syndrome of upper extremity",
    "730": "Osteomyelitis, periostitis, and other infections involving bone",
    "09881": "Gonococcal keratosis (blennorrhagica)",
    "09884": "Gonococcal endocarditis",
    "09953": "Other venereal diseases due to chlamydia trachomatis, lower genitourinary sites",
    "1020": "Initial lesions of yaws",
    "103": "Pinta",
    "1101": "Dermatophytosis of nail",
    "1121": "Candidiasis of vulva and vagina",
    "1151": "Infection by Histoplasma duboisii",
    "11592": "Histoplasmosis, unspecified, retinitis",
    "1203": "Cutaneous schistosomiasis",
    "1208": "Other specified schistosomiasis",
    "1219": "Trematode infection, unspecified",
    "1228": "Echinococcosis, unspecified, of liver",
    "1234": "Diphyllobothriasis, intestinal",
    "1238": "Other specified cestode infection",
    "1252": "Loiasis",
    "1261": "Necatoriasis due to necator americanus",
    "1263": "Ancylostomiasis due to ancylostoma ceylanicum",
    "1270": "Ascariasis",
    "1276": "Trichostrongyliasis",
    "1278": "Mixed intestinal helminthiasis",
    "130": "Toxoplasmosis",
    "1341": "Other arthropod infestation",
    "1360": "Ainhum",
    "140": "Malignant neoplasm of lip",
    "1405": "Malignant neoplasm of lip, unspecified, inner aspect",
    "1409": "Malignant neoplasm of lip, unspecified, vermilion border",
    "1533": "Malignant neoplasm of sigmoid colon",
    "1640": "Malignant neoplasm of thymus",
    "1704": "Malignant neoplasm of scapula and long bones of upper limb",
    "1727": "Malignant melanoma of skin of lower limb, including hip",
    "173": "Other and unspecified malignant neoplasm of skin",
    "17369": "Other specified malignant neoplasm of skin of upper limb, including shoulder",
    "1749": "Malignant neoplasm of breast (female), unspecified",
    "1833": "Malignant neoplasm of broad ligament of uterus",
    "1835": "Malignant neoplasm of round ligament of uterus",
    "187": "Malignant neoplasm of penis and other male genital organs",
    "1877": "Malignant neoplasm of scrotum",
    "188": "Malignant neoplasm of bladder",
    "E8752": "Contaminated drug or biological substance administered by other means",
    "E8768": "Other specified misadventures during medical care",
    "E878": "Surgical operation and other surgical procedures as the cause of abnormal reaction of patient, or of later complication, without mention of misadventure at the time of operation",
    "E8830": "Accident from diving or jumping into water [swimming pool]",
    "E888": "Other and unspecified accidental fall",
    "E8913": "Burning caused by conflagration in other and unspecified building or structure",
    "E892": "Conflagration not in building or structure",
    "E9019": "Accident due to excessive cold of unspecified origin",
    "E9042": "Accident due to lack of water",
    "E9049": "Accident due to privation, unqualified",
    "E907": "Accident due to lightning",
    "E9098": "Other cataclysmic earth surface movements and eruptions",
    "E9139": "Accidental mechanical suffocation by unspecified means",
    "E9211": "Accident caused by explosion of gas cylinders",
    "E9240": "Accident caused by hot liquids and vapors, including steam",
    "E9286": "Environmental exposure to harmful algae and toxins",
    "E929": "Late effects of accidental injury",
    "7958": "Abnormal tumor markers",
    "7991": "Respiratory arrest",
    "8001": "Closed fracture of vault of skull with cerebral laceration and contusion",
    "80016": "Closed fracture of vault of skull with cerebral laceration and contusion, with loss of consciousness of unspecified duration",
    "80025": "Closed fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80043": "Closed fracture of vault of skull with intracranial injury of other and unspecified nature, with moderate [1-24 hours] loss of consciousness",
    "80081": "Open fracture of vault of skull with other and unspecified intracranial hemorrhage, with no loss of consciousness",
    "80096": "Open fracture of vault of skull with intracranial injury of other and unspecified nature, with loss of consciousness of unspecified duration",
    "80122": "Closed fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with brief [less than one hour] loss of consciousness",
    "80191": "Open fracture of base of skull with intracranial injury of other and unspecified nature, with no loss of consciousness",
    "80193": "Open fracture of base of skull with intracranial injury of other and unspecified nature, with moderate [1-24 hours] loss of consciousness",
    "8021": "Open fracture of nasal bones",
    "803": "Other and unqualified skull fractures",
    "80301": "Other closed skull fracture without mention of intracranial injury, with no loss of consciousness",
    "80306": "Other closed skull fracture without mention of intracranial injury, with loss of consciousness of unspecified duration",
    "80336": "Other closed skull fracture with other and unspecified intracranial hemorrhage, with loss of consciousness of unspecified duration",
    "80345": "Other closed skull fracture with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80355": "Other open skull fracture without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80361": "Other open skull fracture with cerebral laceration and contusion, with no loss of consciousness",
    "80364": "Other open skull fracture with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "8037": "Other open skull fracture with subarachnoid, subdural, and extradural hemorrhage",
    "80373": "Other open skull fracture with subarachnoid, subdural, and extradural hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80381": "Other open skull fracture with other and unspecified intracranial hemorrhage, with no loss of consciousness",
    "80391": "Other open skull fracture with intracranial injury of other and unspecified nature, with no loss of consciousness",
    "80393": "Other open skull fracture with intracranial injury of other and unspecified nature, with moderate [1-24 hours] loss of consciousness",
    "804": "Multiple fractures involving skull or face with other bones",
    "80401": "Closed fractures involving skull or face with other bones, without mention of intracranial injury, with no loss of consciousness",
    "80403": "Closed fractures involving skull or face with other bones, without mention of intracranial injury, with moderate [1-24 hours] loss of consciousness",
    "65831": "Delayed delivery after artificial rupture of membranes, delivered, with or without mention of antepartum condition",
    "65833": "Delayed delivery after artificial rupture of membranes, antepartum condition or complication",
    "65921": "Maternal pyrexia during labor, unspecified, delivered, with or without mention of antepartum condition",
    "65923": "Maternal pyrexia during labor, unspecified, antepartum condition or complication",
    "65943": "Grand multiparity, antepartum condition or complication",
    "66010": "Obstruction by bony pelvis during labor, unspecified as to episode of care or not applicable",
    "66033": "Deep transverse arrest and persistent occipitoposterior position, antepartum condition or complication",
    "661": "Abnormality of forces of labor",
    "66141": "Hypertonic, incoordinate, or prolonged uterine contractions, delivered, with or without mention of antepartum condition",
    "66200": "Prolonged first stage of labor, unspecified as to episode of care or not applicable",
    "66223": "Prolonged second stage of labor, antepartum condition or complication",
    "01355": "Tuberculous abscess of spinal cord, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01362": "Tuberculous encephalitis or myelitis, bacteriological or histological examination unknown (at present)",
    "01366": "Tuberculous encephalitis or myelitis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01380": "Other specified tuberculosis of central nervous system, unspecified",
    "01403": "Tuberculous peritonitis, tubercle bacilli found (in sputum) by microscopy",
    "01480": "Other tuberculosis of intestines, peritoneum, and mesenteric glands, unspecified",
    "0151": "Tuberculosis of hip",
    "01584": "Tuberculosis of other specified joint, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01593": "Tuberculosis of unspecified bones and joints, tubercle bacilli found (in sputum) by microscopy",
    "01620": "Tuberculosis of ureter, unspecified",
    "01642": "Tuberculosis of epididymis, bacteriological or histological examination unknown (at present)",
    "01666": "Tuberculous oophoritis and salpingitis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01671": "Tuberculosis of other female genital organs, bacteriological or histological examination not done",
    "99951": "Other serum reaction due to administration of blood and blood products",
    "99979": "Other non-ABO incompatibility reaction",
    "E0009": "Unspecified external cause status",
    "E0043": "Activities involving bungee jumping",
    "E0049": "Other activity involving climbing, rappelling and jumping off",
    "E0079": "Other activity involving other sports and athletes played as a team or group",
    "E0111": "Activities involving hand held interactive electronic device",
    "E0133": "Activities involving ironing",
    "E0162": "Activities involving building and construction",
    "E8000": "Railway accident involving collision with rolling stock and injuring railway employee",
    "E814": "Motor vehicle traffic accident involving collision with pedestrian",
    "E8142": "Motor vehicle traffic accident involving collision with pedestrian injuring motorcyclist",
    "8930": "Open wound of toe(s), without mention of complication",
    "8974": "Traumatic amputation of leg(s) (complete) (partial), unilateral, level not specified, without mention of complication",
    "90082": "Injury to multiple blood vessels of head and neck",
    "90183": "Injury to multiple blood vessels of thorax",
    "90253": "Injury to iliac artery",
    "90259": "Injury to iliac blood vessels, other",
    "90281": "Injury to ovarian artery",
    "9044": "Injury to popliteal blood vessels",
    "90451": "Injury to anterior tibial artery",
    "71943": "Pain in joint, forearm",
    "71980": "Other specified disorders of joint, site unspecified",
    "71982": "Other specified disorders of joint, upper arm",
    "71995": "Unspecified disorder of joint, pelvic region and thigh",
    "7202": "Sacroiliitis, not elsewhere classified",
    "722": "Intervertebral disc disorders",
    "7220": "Displacement of cervical intervertebral disc without myelopathy",
    "7223": "Schmorl's nodes",
    "72290": "Other and unspecified disc disorder, unspecified region",
    "7236": "Panniculitis specified as affecting neck",
    "72664": "Patellar tendinitis",
    "7271": "Bunion",
    "72743": "Ganglion, unspecified",
    "72782": "Calcium deposits in tendon and bursa",
    "72888": "Rhabdomyolysis",
    "72991": "Post-traumatic seroma",
    "73028": "Unspecified osteomyelitis, other specified sites",
    "73070": "Osteopathy resulting from poliomyelitis, site unspecified",
    "73079": "Osteopathy resulting from poliomyelitis, multiple sites",
    "73081": "Other infections involving bone in diseases classified elsewhere, shoulder region",
    "73084": "Other infections involving bone in diseases classified elsewhere, hand",
    "7312": "Hypertrophic pulmonary osteoarthropathy",
    "7318": "Other bone involvement in diseases classified elsewhere",
    "7322": "Nontraumatic slipped upper femoral epiphysis",
    "73301": "Senile osteoporosis",
    "73303": "Disuse osteoporosis",
    "73315": "Pathologic fracture of other specified part of femur",
    "73349": "Aseptic necrosis of bone, other",
    "73393": "Stress fracture of tibia or fibula",
    "73601": "Cubitus valgus (acquired)",
    "73681": "Unequal leg length (acquired)",
    "7373": "Kyphoscoliosis and scoliosis",
    "7378": "Other curvatures of spine",
    "7384": "Acquired spondylolisthesis",
    "7421": "Microcephalus",
    "7428": "Other specified congenital anomalies of nervous system",
    "7432": "Buphthalmos",
    "74363": "Other specified congenital anomalies of eyelid",
    "74403": "Anomaly of middle ear, except ossicles",
    "74481": "Macrocheilia",
    "74484": "Microstomia",
    "7459": "Unspecified defect of septal closure",
    "7464": "Congenital insufficiency of aortic valve",
    "7472": "Other congenital anomalies of aorta",
    "74732": "Pulmonary arteriovenous malformation",
    "748": "Anomalies of respiratory system, congenital",
    "74912": "Cleft lip, unilateral, incomplete",
    "74923": "Cleft palate with cleft lip, bilateral, complete",
    "7519": "Unspecified anomaly of digestive system",
    "7523": "Other congenital anomalies of uterus",
    "75261": "Hypospadias",
    "7527": "Indeterminate sex and pseudohermaphroditism",
    "75317": "Medullary sponge kidney",
    "7539": "Unspecified anomaly of urinary system",
    "75432": "Congenital subluxation of hip, unilateral",
    "75450": "Talipes varus",
    "04109": "Streptococcus infection in conditions classified elsewhere and of unspecified site, other streptococcus",
    "0411": "Staphylococcus infection in conditions classified elsewhere and of unspecified site",
    "04523": "Acute nonparalytic poliomyelitis, poliovirus type III",
    "0532": "Herpes zoster with ophthalmic complications",
    "0547": "Herpes simplex with other specified complications",
    "0552": "Postmeasles otitis media",
    "0568": "Rubella with unspecified complications",
    "0629": "Mosquito-borne viral encephalitis, unspecified",
    "0704": "Other specified viral hepatitis with hepatic coma",
    "07053": "Hepatitis E without mention of hepatic coma",
    "0727": "Mumps with other specified complications",
    "0740": "Herpangina",
    "0778": "Other viral conjunctivitis",
    "0795": "Retrovirus infection in conditions classified elsewhere and of unspecified site",
    "0830": "Q fever",
    "0831": "Trench fever",
    "0844": "Other malaria",
    "0905": "Other late congenital syphilis, symptomatic",
    "0907": "Late congenital syphilis, unspecified",
    "09152": "Syphilitic iridocyclitis (secondary)",
    "0931": "Syphilitic aortitis",
    "0938": "Other specified cardiovascular syphilis",
    "09486": "Syphilitic acoustic neuritis",
    "09834": "Gonococcal seminal vesiculitis, chronic",
    "1027": "Other manifestations of yaws",
    "1049": "Spirochetal infection, unspecified",
    "1123": "Candidiasis of skin and nails",
    "11283": "Candidal meningitis",
    "1142": "Coccidioidal meningitis",
    "11503": "Infection by Histoplasma capsulatum, pericarditis",
    "11515": "Infection by Histoplasma duboisii, pneumonia",
    "1174": "Mycotic mycetomas",
    "1221": "Echinococcus granulosus infection of lung",
    "1230": "Taenia solium infection, intestinal form",
    "125": "Filarial infection and dracontiasis",
    "126": "Ancylostomiasis and necatoriasis",
    "1272": "Strongyloidiasis",
    "1288": "Other specified helminthiasis",
    "1309": "Toxoplasmosis, unspecified",
    "132": "Pediculosis and phthirus infestation",
    "1322": "Phthirus pubis [pubic louse]",
    "1349": "Infestation, unspecified",
    "1403": "Malignant neoplasm of upper lip, inner aspect",
    "1410": "Malignant neoplasm of base of tongue",
    "1411": "Malignant neoplasm of dorsal surface of tongue",
    "1421": "Malignant neoplasm of submandibular gland",
    "1428": "Malignant neoplasm of other major salivary glands",
    "1450": "Malignant neoplasm of cheek mucosa",
    "1452": "Malignant neoplasm of hard palate",
    "1463": "Malignant neoplasm of vallecula epiglottica",
    "1541": "Malignant neoplasm of rectum",
    "1571": "Malignant neoplasm of body of pancreas",
    "1598": "Malignant neoplasm of other sites of digestive system and intra-abdominal organs",
    "161": "Malignant neoplasm of larynx",
    "1623": "Malignant neoplasm of upper lobe, bronchus or lung",
    "1728": "Malignant melanoma of other specified sites of skin",
    "E9551": "Suicide and self-inflicted injury by shotgun",
    "E9553": "Suicide and self-inflicted injury by military firearms",
    "E958": "Suicide and self-inflicted injury by other and unspecified means",
    "E9683": "Assault by hot liquid",
    "E969": "Late effects of injury purposely inflicted by other person",
    "E973": "Injury due to legal intervention by blunt object",
    "83209": "Closed dislocation of elbow, other",
    "83302": "Closed dislocation of radiocarpal (joint)",
    "83310": "Open dislocation of wrist, unspecified part",
    "834": "Dislocation of finger",
    "8340": "Closed dislocation of finger",
    "83410": "Open dislocation of finger, unspecified part",
    "83802": "Closed dislocation of midtarsal (joint)",
    "83931": "Open dislocation, thoracic vertebra",
    "8406": "Supraspinatus (muscle) (tendon) sprain",
    "8408": "Sprains and strains of other specified sites of shoulder and upper arm",
    "8420": "Wrist sprain",
    "8440": "Sprain of lateral collateral ligament of knee",
    "84502": "Sprain of calcaneofibular (ligament) of ankle",
    "84849": "Sprain of sternum, other",
    "8512": "Cortex (cerebral) laceration without mention of open intracranial wound",
    "8513": "Cortex (cerebral) laceration with open intracranial wound",
    "85139": "Cortex (cerebral) laceration with open intracranial wound, with concussion, unspecified",
    "85189": "Other and unspecified cerebral laceration and contusion, without mention of open intracranial wound, with concussion, unspecified",
    "85191": "Other and unspecified cerebral laceration and contusion, with open intracranial wound, with no loss of consciousness",
    "85231": "Subdural hemorrhage following injury with open intracranial wound, with no loss of consciousness",
    "85234": "Subdural hemorrhage following injury with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "3446": "Cauda equina syndrome",
    "34511": "Generalized convulsive epilepsy, with intractable epilepsy",
    "34540": "Localization-related (focal) (partial) epilepsy and epileptic syndromes with complex partial seizures, without mention of intractable epilepsy",
    "34551": "Localization-related (focal) (partial) epilepsy and epileptic syndromes with simple partial seizures, with intractable epilepsy",
    "3461": "Migraine without aura",
    "34643": "Menstrual migraine, with intractable migraine, so stated, with status migrainosus",
    "34690": "Migraine, unspecified, without mention of intractable migraine without mention of status migrainosus",
    "3491": "Nervous system complications from surgically implanted device",
    "3498": "Other specified disorders of nervous system",
    "3536": "Phantom limb (syndrome)",
    "3549": "Mononeuritis of upper limb, unspecified",
    "3558": "Mononeuritis of lower limb, unspecified",
    "3561": "Peroneal muscular atrophy",
    "3572": "Polyneuropathy in diabetes",
    "3578": "Other inflammatory and toxic neuropathies",
    "35801": "Myasthenia gravis with (acute) exacerbation",
    "35979": "Other inflammatory and immune myopathies, NEC",
    "3602": "Degenerative disorders of globe",
    "3603": "Hypotony of eye",
    "36103": "Recent retinal detachment, partial, with giant tear",
    "36119": "Other retinoschisis and retinal cysts",
    "362": "Other retinal disorders",
    "36221": "Retrolental fibroplasia",
    "36230": "Retinal vascular occlusion, unspecified",
    "3627": "Hereditary retinal dystrophies",
    "363": "Chorioretinal inflammations, scars, and other disorders of choroid",
    "3635": "Hereditary choroidal dystrophies",
    "36351": "Circumpapillary dystrophy of choroid, partial",
    "36372": "Hemorrhagic choroidal detachment",
    "36456": "Degenerative changes of chamber angle",
    "36460": "Idiopathic cysts of iris, ciliary body, and anterior chamber",
    "36501": "Open angle with borderline findings, low risk",
    "36513": "Pigmentary open-angle glaucoma",
    "36514": "Glaucoma of childhood",
    "36521": "Intermittent angle-closure glaucoma",
    "3653": "Corticosteroid-induced glaucoma",
    "E8200": "Nontraffic accident involving motor-driven snow vehicle injuring driver of motor vehicle other than motorcycle",
    "E831": "Accident to watercraft causing other injury",
    "E8550": "Accidental poisoning by anticonvulsant and anti-parkinsonism drugs",
    "E856": "Accidental poisoning by antibiotics",
    "E8586": "Accidental poisoning by agents primarily acting on the smooth and skeletal muscles and respiratory system",
    "E8623": "Accidental poisoning by petroleum solids",
    "E8641": "Accidental poisoning by acids not elsewhere classified",
    "E8689": "Accidental poisoning by unspecified carbon monoxide",
    "E8692": "Accidental poisoning by freon",
    "E8702": "Accidental cut, puncture, perforation or hemorrhage during kidney dialysis or other perfusion",
    "E8703": "Accidental cut, puncture, perforation or hemorrhage during injection or vaccination",
    "E8751": "Contaminated substance injected or used for vaccination",
    "E8760": "Mismatched blood in transfusion",
    "E8785": "Amputation of limb(s) causing abnormal patient reaction, or later complication, without mention of misadventure at time of operation",
    "E8794": "Aspiration of fluid as the cause of abnormal reaction of patient, or of later complication, without mention of misadventure at time of procedure",
    "5821": "Chronic glomerulonephritis with lesion of membranous glomerulonephritis",
    "5839": "Nephritis and nephropathy, not specified as acute or chronic, with unspecified pathological lesion in kidney",
    "5899": "Small kidney, unspecified",
    "590": "Infections of kidney",
    "5921": "Calculus of ureter",
    "5933": "Stricture or kinking of ureter",
    "594": "Calculus of lower urinary tract",
    "5942": "Calculus in urethra",
    "5958": "Other specified types of cystitis",
    "59589": "Other specified types of cystitis",
    "59681": "Infection of cystostomy",
    "5981": "Traumatic urethral stricture",
    "59972": "Microscopic hematuria",
    "600": "Hyperplasia of prostate",
    "60783": "Edema of penis",
    "6079": "Unspecified disorder of penis",
    "608": "Other disorders of male genital organs",
    "60821": "Extravaginal torsion of spermatic cord",
    "75536": "Longitudinal deficiency, tibia, complete or partial (with or without distal deficiencies, incomplete)",
    "75655": "Chondroectodermal dysplasia",
    "7576": "Specified congenital anomalies of breast",
    "7594": "Conjoined twins",
    "7607": "Noxious influences affecting fetus or newborn via placenta or breast milk",
    "76078": "Antimetabolic agents affecting fetus or newborn via placenta or breast milk",
    "7609": "Unspecified maternal condition affecting fetus or newborn",
    "7611": "Premature rupture of membranes affecting fetus or newborn",
    "763": "Fetus or newborn affected by other complications of labor and delivery",
    "7630": "Breech delivery and extraction affecting fetus or newborn",
    "76505": "Extreme immaturity, 1,250-1,499 grams",
    "7652": "Weeks of gestation",
    "76621": "Post-term infant",
    "7677": "Other cranial and peripheral nerve injuries due to birth trauma",
    "51281": "Primary spontaneous pneumothorax",
    "5163": "Idiopathic interstitial pneumonia",
    "51635": "Idiopathic lymphoid interstitial pneumonia",
    "5183": "Pulmonary eosinophilia",
    "51902": "Mechanical complication of tracheostomy",
    "51919": "Other diseases of trachea and bronchus",
    "5199": "Unspecified disease of respiratory system",
    "5203": "Mottled teeth",
    "52121": "Abrasion, limited to enamel",
    "52130": "Erosion, unspecified",
    "5215": "Hypercementosis",
    "5220": "Pulpitis",
    "5229": "Other and unspecified diseases of pulp and periapical tissues",
    "523": "Gingival and periodontal diseases",
    "52320": "Gingival recession, unspecified",
    "52400": "Major anomalies of jaw size, unspecified anomaly",
    "52407": "Excessive tuberosity of jaw",
    "52419": "Anomalies of relationship of jaw to cranial base, other specified anomaly",
    "5243": "Anomalies of tooth position of fully erupted teeth",
    "52430": "Unspecified anomaly of tooth position",
    "5247": "Dental alveolar anomalies",
    "52476": "Occlusal plane deviation",
    "52519": "Other loss of teeth",
    "52569": "Other unsatisfactory restoration of existing tooth",
    "52669": "Other periradicular pathology associated with previous endodontic treatment",
    "5284": "Cysts of oral soft tissues",
    "52871": "Minimal keratinized residual ridge mucosa",
    "5289": "Other and unspecified diseases of the oral soft tissues",
    "5320": "Acute duodenal ulcer with hemorrhage",
    "5321": "Acute duodenal ulcer with perforation",
    "53231": "Acute duodenal ulcer without mention of hemorrhage or perforation, with obstruction",
    "53260": "Chronic or unspecified duodenal ulcer with hemorrhage and perforation, without mention of obstruction",
    "53371": "Chronic peptic ulcer of unspecified site without mention of hemorrhage or perforation, with obstruction",
    "53411": "Acute gastrojejunal ulcer with perforation, with obstruction",
    "53420": "Acute gastrojejunal ulcer with hemorrhage and perforation, without mention of obstruction",
    "53491": "Gastrojejunal ulcer, unspecified as acute or chronic, without mention of hemorrhage or perforation, with obstruction",
    "5362": "Persistent vomiting",
    "53642": "Mechanical complication of gastrostomy",
    "5372": "Chronic duodenal ileus",
    "53789": "Other specified disorders of stomach and duodenum",
    "53901": "Infection due to gastric band procedure",
    "55011": "Inguinal hernia, with obstruction, without mention of gangrene, unilateral or unspecified,recurrent",
    "55121": "Incisional ventral hernia, with gangrene",
    "5529": "Hernia of unspecified site, with obstruction",
    "5531": "Umbilical hernia without mention of obstruction or gangrene",
    "E9831": "Suffocation by plastic bag, undetermined whether accidentally or purposely inflicted",
    "E9853": "Injury by military firearms, undetermined whether accidentally or purposely inflicted",
    "E9888": "Injury by other specified means, undetermined whether accidentally or purposely inflicted",
    "E9941": "Injury due to war operations by unintentional destruction of aircraft due to own onboard explosives",
    "E9952": "Injury due to war operations by piercing object",
    "44826133": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V0261": "Hepatitis B carrier",
    "44826135": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V034": "Need for prophylactic vaccination and inoculation against tularemia",
    "44826137": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V06": "Need for prophylactic vaccination and inoculation against combinations of diseases",
    "V064": "Need for prophylactic vaccination and inoculation against measles-mumps-rubella (MMR)",
    "V092": "Infection with microorganisms resistant to macrolides",
    "44826141": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826142": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V11": "Personal history of mental disorder",
    "V122": "Personal history of endocrine, metabolic, and immunity disorders",
    "V124": "Personal history of disorders of nervous system and sense organs",
    "V125": "Personal history of diseases of circulatory system",
    "V1253": "Personal history of sudden cardiac arrest",
    "44826148": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826149": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826150": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1324": "Personal history of vulvar dysplasia",
    "V1364": "Personal history of (corrected) congenital malformations of eye, ear, face and neck",
    "44826153": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V14": "Personal history of allergy to medicinal agents",
    "V1506": "Allergy to insects and arachnids",
    "V1582": "Personal history of tobacco use",
    "44826157": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826158": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V16": "Family history of malignant neoplasm",
    "V1640": "Family history of malignant neoplasm of genital organ, unspecified",
    "44826161": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V178": "Family history of other musculoskeletal diseases",
    "V1789": "Family history of other musculoskeletal diseases",
    "44826164": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V184": "Family history of intellectual disabilities",
    "44826166": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826167": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V2032": "Health supervision for newborn 8 to 28 days old",
    "44826169": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V233": "Supervision of high-risk pregnancy with grand multiparity",
    "V2501": "General counseling on prescription of oral contraceptives",
    "V2621": "Fertility testing",
    "44826175": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "36541": "Glaucoma associated with chamber angle anomalies",
    "36559": "Glaucoma associated with other lens disorders",
    "3658": "Other specified forms of glaucoma",
    "368": "Visual disturbances",
    "36843": "Sector or arcuate visual field defects",
    "36844": "Other localized visual field defect",
    "36913": "Better eye: severe vision impairment; lesser eye: near-total vision impairment",
    "3703": "Certain types of keratoconjunctivitis",
    "37034": "Exposure keratoconjunctivitis",
    "37044": "Keratitis or keratoconjunctivitis in exanthema",
    "37060": "Corneal neovascularization, unspecified",
    "37105": "Phthisical cornea",
    "3712": "Corneal edema",
    "37124": "Corneal edema due to wearing of contact lenses",
    "37130": "Corneal membrane change, unspecified",
    "37189": "Other corneal disorders",
    "37213": "Vernal conjunctivitis",
    "37221": "Angular blepharoconjunctivitis",
    "37233": "Conjunctivitis in mucocutaneous disease",
    "37245": "Recurrent pterygium",
    "37262": "Localized adhesions and strands of conjunctiva",
    "373": "Inflammation of eyelids",
    "3730": "Blepharitis",
    "3732": "Chalazion",
    "37400": "Entropion, unspecified",
    "37405": "Trichiasis of eyelid without entropion",
    "37441": "Lid retraction or lag",
    "37481": "Hemorrhage of eyelid",
    "37482": "Edema of eyelid",
    "37589": "Other disorders of lacrimal system",
    "37603": "Orbital osteomyelitis",
    "V231": "Supervision of high-risk pregnancy with history of trophoblastic disease",
    "37650": "Enophthalmos, unspecified as to cause",
    "37714": "Glaucomatous atrophy [cupping] of optic disc",
    "37813": "Monocular exotropia with V pattern",
    "01636": "Tuberculosis of other urinary organs, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01644": "Tuberculosis of epididymis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "0165": "Tuberculosis of other male genital organs",
    "01660": "Tuberculous oophoritis and salpingitis, unspecified",
    "01665": "Tuberculous oophoritis and salpingitis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01690": "Genitourinary tuberculosis, unspecified, unspecified",
    "01741": "Tuberculosis of ear, bacteriological or histological examination not done",
    "01762": "Tuberculosis of adrenal glands, bacteriological or histological examination unknown (at present)",
    "0177": "Tuberculosis of spleen",
    "01780": "Tuberculosis of esophagus, unspecified",
    "01781": "Tuberculosis of esophagus, bacteriological or histological examination not done",
    "01786": "Tuberculosis of esophagus, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01791": "Tuberculosis of other specified organs, bacteriological or histological examination not done",
    "01803": "Acute miliary tuberculosis, tubercle bacilli found (in sputum) by microscopy",
    "01893": "Miliary tuberculosis, unspecified, tubercle bacilli found (in sputum) by microscopy",
    "021": "Tularemia",
    "0211": "Enteric tularemia",
    "0221": "Pulmonary anthrax",
    "0233": "Brucella canis",
    "0303": "Borderline leprosy [group B]",
    "0319": "Unspecified diseases due to mycobacteria",
    "0323": "Laryngeal diphtheria",
    "0328": "Other specified diphtheria",
    "03842": "Septicemia due to escherichia coli [E. coli]",
    "03844": "Septicemia due to serratia",
    "0394": "Madura foot",
    "60886": "Edema of male genital organs",
    "6103": "Fibrosclerosis of breast",
    "6112": "Fissure of nipple",
    "6114": "Atrophy of breast",
    "6121": "Disproportion of reconstructed breast",
    "6140": "Acute salpingitis and oophoritis",
    "6144": "Chronic or unspecified parametritis and pelvic cellulitis",
    "6169": "Unspecified inflammatory disease of cervix, vagina, and vulva",
    "61800": "Unspecified prolapse of vaginal walls",
    "6222": "Leukoplakia of cervix (uteri)",
    "6237": "Polyp of vagina",
    "62401": "Vulvar intraepithelial neoplasia I [VIN I]",
    "6264": "Irregular menstrual cycle",
    "6270": "Premenopausal menorrhagia",
    "6273": "Postmenopausal atrophic vaginitis",
    "63400": "Spontaneous abortion, complicated by genital tract and pelvic infection, unspecified",
    "63430": "Spontaneous abortion, complicated by renal failure, unspecified",
    "6347": "Spontaneous abortion with other specified complications",
    "63501": "Legally induced abortion, complicated by genital tract and pelvic infection, incomplete",
    "63550": "Legally induced abortion, complicated by shock, unspecified",
    "63582": "Legally induced abortion, with unspecified complication, complete",
    "63590": "Legally induced abortion, without mention of complication, unspecified",
    "63592": "Legally induced abortion, without mention of complication, complete",
    "6362": "Illegally induced abortion complicated by damage to pelvic organs or tissue",
    "6371": "Unspecified abortion complicated by delayed or excessive hemorrhage",
    "63711": "Unspecified abortion, complicated by delayed or excessive hemorrhage, incomplete",
    "63740": "Unspecified abortion, complicated by metabolic disorder, unspecified",
    "6384": "Failed attempted abortion complicated by metabolic disorder",
    "6389": "Failed attempted abortion without mention of complication",
    "64001": "Threatened abortion, delivered, with or without mention of antepartum condition",
    "64101": "Placenta previa without hemorrhage, delivered, with or without mention of antepartum condition",
    "64120": "Premature separation of placenta, unspecified as to episode of care or not applicable",
    "64251": "Severe pre-eclampsia, delivered, with or without mention of antepartum condition",
    "64260": "Eclampsia, unspecified as to episode of care or not applicable",
    "64273": "Pre-eclampsia or eclampsia superimposed on pre-existing hypertension, antepartum condition or complication",
    "64294": "Unspecified hypertension complicating pregnancy, childbirth, or the puerperium, postpartum condition or complication",
    "64383": "Other vomiting complicating pregnancy, antepartum condition or complication",
    "64391": "Unspecified vomiting of pregnancy, delivered, with or without mention of antepartum condition",
    "64393": "Unspecified vomiting of pregnancy, antepartum condition or complication",
    "64500": "Prolonged pregnancy, unspecified as to episode of care or not applicable",
    "64622": "Unspecified renal disease in pregnancy, without mention of hypertension, delivered, with mention of postpartum complication",
    "6465": "Asymptomatic bacteriuria in pregnancy",
    "64680": "Other specified complications of pregnancy, unspecified as to episode of care or not applicable",
    "30013": "Dissociative fugue",
    "30020": "Phobia, unspecified",
    "30022": "Agoraphobia without mention of panic attacks",
    "30252": "Trans-sexualism with homosexual history",
    "3027": "Psychosexual dysfunction",
    "30276": "Dyspareunia, psychogenic",
    "30302": "Acute alcoholic intoxication in alcoholism, episodic",
    "304": "Drug dependence",
    "30411": "Sedative, hypnotic or anxiolytic dependence, continuous",
    "30420": "Cocaine dependence, unspecified",
    "30430": "Cannabis dependence, unspecified",
    "3045": "Hallucinogen dependence",
    "30471": "Combinations of opioid type drug with any other drug dependence, continuous",
    "5550": "Regional enteritis of small intestine",
    "558": "Other and unspecified noninfectious gastroenteritis and colitis",
    "56031": "Gallstone ileus",
    "56400": "Constipation, unspecified",
    "56721": "Peritonitis (acute) generalized",
    "568": "Other disorders of peritoneum",
    "5710": "Alcoholic fatty liver",
    "57141": "Chronic persistent hepatitis",
    "5743": "Calculus of bile duct with acute cholecystitis",
    "57430": "Calculus of bile duct with acute cholecystitis, without mention of obstruction",
    "57441": "Calculus of bile duct with other cholecystitis, with obstruction",
    "57450": "Calculus of bile duct without mention of cholecystitis, without mention of obstruction",
    "57460": "Calculus of gallbladder and bile duct with acute cholecystitis, without mention of obstruction",
    "57470": "Calculus of gallbladder and bile duct with other cholecystitis, without mention of obstruction",
    "5772": "Cyst and pseudocyst of pancreas",
    "5830": "Nephritis and nephropathy, not specified as acute or chronic, with lesion of proliferative glomerulonephritis",
    "5853": "Chronic kidney disease, Stage III (moderate)",
    "5856": "End stage renal disease",
    "58889": "Other specified disorders resulting from impaired renal function",
    "5900": "Chronic pyelonephritis",
    "30500": "Alcohol abuse, unspecified",
    "30570": "Amphetamine or related acting sympathomimetic abuse, unspecified",
    "3061": "Respiratory malfunction arising from mental factors",
    "30653": "Psychogenic dysuria",
    "30740": "Nonorganic sleep disorder, unspecified",
    "30759": "Other disorders of eating",
    "3094": "Adjustment disorder with mixed disturbance of emotions and conduct",
    "31234": "Intermittent explosive disorder",
    "31321": "Shyness disorder of childhood",
    "31383": "Academic underachievement disorder of childhood or adolescence",
    "315": "Specific delays in development",
    "317": "Mild intellectual disabilities",
    "3182": "Profound intellectual disabilities",
    "3207": "Meningitis in other bacterial diseases classified elsewhere",
    "3234": "Other encephalitis, myelitis, and encephalomyelitis due to other infections classified elsewhere",
    "3240": "Intracranial abscess",
    "3270": "Organic disorders of initiating and maintaining sleep [Organic insomnia]",
    "32719": "Other organic hypersomnia",
    "32732": "Circadian rhythm sleep disorder, advanced sleep phase type",
    "3274": "Organic parasomnia",
    "3301": "Cerebral lipidoses",
    "33372": "Acute dystonia due to drugs",
    "33394": "Restless legs syndrome (RLS)",
    "33524": "Primary lateral sclerosis",
    "33529": "Other motor neuron disease",
    "3391": "Tension type headache",
    "3412": "Acute (transverse) myelitis",
    "34200": "Flaccid hemiplegia and hemiparesis affecting unspecified side",
    "34280": "Other specified hemiplegia and hemiparesis affecting unspecified side",
    "34282": "Other specified hemiplegia and hemiparesis affecting nondominant side",
    "34292": "Hemiplegia, unspecified, affecting nondominant side",
    "343": "Infantile cerebral palsy",
    "3431": "Congenital hemiplegia",
    "3448": "Other specified paralytic syndromes",
    "3449": "Paralysis, unspecified",
    "34570": "Epilepsia partialis continua, without mention of intractable epilepsy",
    "34591": "Epilepsy, unspecified, with intractable epilepsy",
    "34612": "Migraine without aura, without mention of intractable migraine with status migrainosus",
    "3463": "Hemiplegic migraine",
    "34633": "Hemiplegic migraine, with intractable migraine, so stated, with status migrainosus",
    "44826176": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V273": "Outcome of delivery, twins, one liveborn and one stillborn",
    "V275": "Outcome of delivery, other multiple birth, all liveborn",
    "V276": "Outcome of delivery, other multiple birth, some liveborn",
    "V286": "Antenatal screening for Streptococcus B",
    "44826181": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "9440": "Burn of wrist(s) and hand(s), unspecified degree",
    "94404": "Burn of unspecified degree of two or more digits of hand, including thumb",
    "94408": "Burn of unspecified degree of multiple sites of wrist(s) and hand(s)",
    "94412": "Erythema [first degree] of thumb (nail)",
    "94413": "Erythema [first degree] of two or more digits of hand, not including thumb",
    "94414": "Erythema [first degree] of two or more digits of hand including thumb",
    "94415": "Erythema [first degree] of palm",
    "94418": "Erythema [first degree] of multiple sites of wrist(s) and hand(s)",
    "94433": "Full-thickness skin loss [third degree, not otherwise specified]of two or more digits of hand, not including thumb",
    "94435": "Full-thickness skin loss [third degree, not otherwise specified] of palm of hand",
    "94444": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, two or more digits of hand including thumb",
    "94455": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of palm of hand",
    "94526": "Blisters, epidermal loss [second degree] of thigh [any part]",
    "94531": "Full-thickness skin loss [third degree NOS] of toe(s) (nail)",
    "94540": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, lower limb [leg], unspecified site",
    "9473": "Burn of gastrointestinal tract",
    "94862": "Burn [any degree] involving 60-69 percent of body surface with third degree burn, 20-29%",
    "94865": "Burn (any degree) involving 60-69 percent of body surface with third degree burn, 50-59%",
    "94876": "Burn [any degree] involving 70-79 percent of body surface with third degree burn, 60-69%",
    "9516": "Injury to accessory nerve",
    "9522": "Lumbar spinal cord injury without evidence of spinal bone injury",
    "9535": "Injury to lumbosacral plexus",
    "9550": "Injury to axillary nerve",
    "9556": "Injury to digital nerve, upper limb",
    "9563": "Injury to peroneal nerve",
    "9585": "Traumatic anuria",
    "961": "Poisoning by other anti-infectives",
    "9616": "Poisoning by anthelmintics",
    "9617": "Poisoning by antiviral drugs",
    "9619": "Poisoning by other and unspecified anti-infectives",
    "9627": "Poisoning by thyroid and thyroid derivatives",
    "965": "Poisoning by analgesics, antipyretics, and antirheumatics",
    "9658": "Poisoning by other specified analgesics and antipyretics",
    "9681": "Poisoning by halothane",
    "9696": "Poisoning by psychodysleptics (hallucinogens)",
    "9708": "Poisoning by other specified central nervous system stimulants",
    "97081": "Poisoning by cocaine",
    "972": "Poisoning by agents primarily affecting the cardiovascular system",
    "9733": "Poisoning by other cathartics, including intestinal atonia",
    "9764": "Poisoning by keratolytics, keratoplastics, other hair treatment drugs and preparations",
    "9778": "Poisoning by other specified drugs and medicinal substances",
    "9796": "Poisoning by other and unspecified viral and rickettsial vaccines",
    "9797": "Poisoning by mixed viral-rickettsial and bacterial vaccines, except combinations with a pertussis component",
    "9823": "Toxic effect of other chlorinated hydrocarbon solvents",
    "9824": "Toxic effect of nitroglycol",
    "983": "Toxic effect of corrosive aromatics, acids, and caustic alkalis",
    "9832": "Toxic effect of caustic alkalis",
    "0402": "Whipple's disease",
    "04185": "Other specified bacterial infections in conditions classified elsewhere and of unspecified site, other gram-negative organisms",
    "04189": "Other specified bacterial infections in conditions classified elsewhere and of unspecified site, other specified bacteria",
    "04501": "Acute paralytic poliomyelitis specified as bulbar, poliovirus type I",
    "04513": "Acute poliomyelitis with other paralysis, poliovirus type III",
    "04591": "Acute poliomyelitis, unspecified, poliovirus type I",
    "0460": "Kuru",
    "0468": "Other specified slow virus infection of central nervous system",
    "0469": "Unspecified slow virus infection of central nervous system",
    "0544": "Herpes simplex with ophthalmic complications",
    "05609": "Rubella with other neurological complications",
    "05901": "Monkeypox",
    "060": "Yellow fever",
    "0622": "Eastern equine encephalitis",
    "065": "Arthropod-borne hemorrhagic fever",
    "0669": "Arthropod-borne viral disease, unspecified",
    "07272": "Mumps polyneuropathy",
    "0742": "Coxsackie carditis",
    "07810": "Viral warts, unspecified",
    "0792": "Coxsackie virus infection in conditions classified elsewhere and of unspecified site",
    "07988": "Other specified chlamydial infection",
    "0832": "Rickettsialpox",
    "0851": "Cutaneous leishmaniasis, urban",
    "088": "Other arthropod-borne diseases",
    "0929": "Early syphilis, latent, unspecified",
    "09322": "Syphilitic endocarditis of aortic valve",
    "0940": "Tabes dorsalis",
    "09484": "Syphilitic optic atrophy",
    "09489": "Other specified neurosyphilis",
    "0954": "Syphilis of kidney",
    "0958": "Other specified forms of late symptomatic syphilis",
    "09835": "Gonococcal cervicitis, chronic",
    "09840": "Gonococcal conjunctivitis (neonatorum)",
    "09853": "Gonococcal spondylitis",
    "09885": "Other gonococcal heart disease",
    "09949": "Other nongonococcal urethritis, other specified organism",
    "1111": "Tinea nigra",
    "1118": "Other specified dermatomycoses",
    "1125": "Disseminated candidiasis",
    "V061": "Need for prophylactic vaccination and inoculation against diphtheria-tetanus-pertussis, combined [DTP] [DTaP]",
    "44827299": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827300": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827301": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V098": "Infection with microorganisms resistant to other specified drugs",
    "V0990": "Infection with drug-resistant microorganisms, unspecified, without mention of multiple drug resistance",
    "44827304": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V102": "Personal history of malignant neoplasm of other respiratory and intrathoracic organs",
    "V104": "Personal history of malignant neoplasm of genital organs",
    "V1083": "Personal history of other malignant neoplasm of skin",
    "44827308": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827309": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827310": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827311": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1250": "Personal history of unspecified circulatory disease",
    "V1254": "Personal history of transient ischemic attack (TIA), and cerebral infarction without residual deficits",
    "V1259": "Personal history of other diseases of circulatory system",
    "30501": "Alcohol abuse, continuous",
    "30572": "Amphetamine or related acting sympathomimetic abuse, episodic",
    "3068": "Other specified psychophysiological malfunction",
    "3071": "Anorexia nervosa",
    "30743": "Transient disorder of initiating or maintaining wakefulness",
    "30780": "Psychogenic pain, site unspecified",
    "3090": "Adjustment disorder with depressed mood",
    "3091": "Prolonged depressive reaction",
    "30983": "Adjustment reaction with withdrawal",
    "31213": "Undersocialized conduct disorder, unaggressive type, severe",
    "31231": "Pathological gambling",
    "31323": "Selective mutism",
    "3154": "Developmental coordination disorder",
    "32715": "Hypersomnia due to mental disorder",
    "32722": "High altitude periodic breathing",
    "32737": "Circadian rhythm sleep disorder in conditions classified elsewhere",
    "32744": "Parasomnia in conditions classified elsewhere",
    "32751": "Periodic limb movement disorder",
    "331": "Other cerebral degenerations",
    "3310": "Alzheimer's disease",
    "3312": "Senile degeneration of brain",
    "3316": "Corticobasal degeneration",
    "332": "Parkinson's disease",
    "3339": "Other and unspecified extrapyramidal diseases and abnormal movement disorders",
    "33399": "Other extrapyramidal diseases and abnormal movement disorders",
    "33519": "Other spinal muscular atrophy",
    "3360": "Syringomyelia and syringobulbia",
    "33722": "Reflex sympathetic dystrophy of the lower limb",
    "3382": "Chronic pain",
    "33822": "Chronic post-thoracotomy pain",
    "339": "Other headache syndromes",
    "3390": "Cluster headaches and other trigeminal autonomic cephalgias",
    "33989": "Other headache syndromes",
    "347": "Cataplexy and narcolepsy",
    "3522": "Other disorders of glossopharyngeal [9th] nerve",
    "3531": "Lumbosacral plexus lesions",
    "354": "Mononeuritis of upper limb and mononeuritis multiplex",
    "3551": "Meralgia paresthetica",
    "3552": "Other lesion of femoral nerve",
    "3589": "Myoneural disorders, unspecified",
    "359": "Muscular dystrophies and other myopathies",
    "3592": "Myotonic disorders",
    "3594": "Toxic myopathy",
    "36011": "Sympathetic uveitis",
    "36032": "Ocular fistula causing hypotony",
    "36041": "Blind hypotensive eye",
    "36064": "Foreign body in vitreous",
    "36213": "Changes in vascular appearance of retina",
    "36216": "Retinal neovascularization NOS",
    "36232": "Retinal arterial branch occlusion",
    "36242": "Serous detachment of retinal pigment epithelium",
    "3625": "Degeneration of macula and posterior pole of retina",
    "36252": "Exudative senile macular degeneration",
    "36272": "Retinal dystrophy in other systemic disorders and syndromes",
    "36304": "Focal choroiditis and chorioretinitis, peripheral",
    "36310": "Disseminated chorioretinitis, unspecified",
    "3632": "Other and unspecified forms of chorioretinitis and retinochoroiditis",
    "36370": "Choroidal detachment, unspecified",
    "3640": "Acute and subacute iridocyclitis",
    "36410": "Chronic iridocyclitis, unspecified",
    "36459": "Other iris atrophy",
    "3647": "Adhesions and disruptions of iris and ciliary body",
    "36489": "Other disorders of iris and ciliary body",
    "9048": "Injury to unspecified blood vessel of lower extremity",
    "9074": "Late effect of injury to peripheral nerve of shoulder girdle and upper limb",
    "9094": "Late effect of certain other external causes",
    "9099": "Late effect of other and unspecified external causes",
    "9103": "Blister of face, neck, and scalp except eye, infected",
    "9106": "Superficial foreign body (splinter) of face, neck, and scalp except eye, without major open wound and without mention of infection",
    "9116": "Superficial foreign body (splinter) of trunk, without major open wound and without mention of infection",
    "9117": "Superficial foreign body (splinter) of trunk, without major open wound, infected",
    "9125": "Insect bite, nonvenomous of shoulder and upper arm, infected",
    "915": "Superficial injury of finger(s)",
    "9153": "Blister of finger(s), infected",
    "9157": "Superficial foreign body (splinter) of finger(s), without major open wound, infected",
    "9175": "Insect bite, nonvenomous, of foot and toe(s), infected",
    "9189": "Other and unspecified superficial injuries of eye",
    "9193": "Blister of other, multiple, and unspecified sites, infected",
    "923": "Contusion of upper limb",
    "92300": "Contusion of shoulder region",
    "9241": "Contusion of knee and lower leg",
    "92421": "Contusion of ankle",
    "928": "Crushing injury of lower limb",
    "9283": "Crushing injury of toe(s)",
    "9301": "Foreign body in conjunctival sac",
    "9340": "Foreign body in trachea",
    "935": "Foreign body in mouth, esophagus, and stomach",
    "9351": "Foreign body in esophagus",
    "94125": "Blisters, epidermal loss [second degree] of nose (septum)",
    "94126": "Blisters, epidermal loss [second degree] of scalp [any part]",
    "94134": "Full-thickness skin loss [third degree, not otherwise specified] of chin",
    "94138": "Full-thickness skin loss [third degree, not otherwise specified] of neck",
    "94144": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of chin",
    "9839": "Toxic effect of caustic, unspecified",
    "987": "Toxic effect of other gases, fumes, or vapors",
    "9871": "Toxic effect of other hydrocarbon gas",
    "9911": "Frostbite of hand",
    "9913": "Frostbite of other and unspecified sites",
    "9915": "Chilblains",
    "9940": "Effects of lightning",
    "9944": "Exhaustion due to exposure",
    "99566": "Anaphylactic reaction due to food additives",
    "99592": "Severe sepsis",
    "99593": "Systemic inflammatory response syndrome due to noninfectious process without acute organ dysfunction",
    "9963": "Mechanical complication of genitourinary device, implant, and graft",
    "99665": "Infection and inflammatory reaction due to other genitourinary device, implant, and graft",
    "99677": "Other complications due to internal joint prosthesis",
    "72700": "Synovitis and tenosynovitis, unspecified",
    "7276": "Rupture of tendon, nontraumatic",
    "72761": "Complete rupture of rotator cuff",
    "72781": "Contracture of tendon (sheath)",
    "72783": "Plica syndrome",
    "73004": "Acute osteomyelitis, hand",
    "7301": "Chronic osteomyelitis",
    "7303": "Periostitis without mention of osteomyelitis",
    "7307": "Osteopathy resulting from poliomyelitis",
    "73085": "Other infections involving bone in diseases classified elsewhere, pelvic region and thigh",
    "73086": "Other infections involving bone in diseases classified elsewhere, lower leg",
    "7313": "Major osseous defects",
    "7329": "Unspecified osteochondropathy",
    "73302": "Idiopathic osteoporosis",
    "73311": "Pathologic fracture of humerus",
    "73344": "Aseptic necrosis of talus",
    "7351": "Hallux varus (acquired)",
    "7354": "Other hammer toe (acquired)",
    "73600": "Unspecified deformity of forearm, excluding fingers",
    "73670": "Unspecified deformity of ankle and foot, acquired",
    "73674": "Claw foot, acquired",
    "737": "Curvature of spine",
    "73734": "Thoracogenic scoliosis",
    "73743": "Scoliosis associated with other conditions",
    "73811": "Zygomatic hyperplasia",
    "7401": "Craniorachischisis",
    "7420": "Encephalocele",
    "74330": "Congenital cataract, unspecified",
    "74354": "Congenital folds and cysts of posterior segment",
    "74400": "Unspecified anomaly of ear with impairment of hearing",
    "74404": "Anomalies of ear ossicles",
    "74482": "Microcheilia",
    "7451": "Transposition of great vessels",
    "74682": "Cor triatriatum",
    "74687": "Malposition of heart and cardiac apex",
    "74711": "Interruption of aortic arch",
    "74729": "Other anomalies of aorta",
    "7482": "Web of larynx",
    "7485": "Agenesis, hypoplasia, and dysplasia of lung",
    "75010": "Congenital anomaly of tongue, unspecified",
    "75011": "Aglossia",
    "75160": "Unspecified anomaly of gallbladder, bile ducts, and liver",
    "75247": "Longitudinal vaginal septum",
    "75265": "Hidden penis",
    "75314": "Polycystic kidney, autosomal recessive",
    "7532": "Obstructive defects of renal pelvis and ureter, congenital",
    "75321": "Congenital obstruction of ureteropelvic junction",
    "75451": "Talipes equinovarus",
    "75452": "Metatarsus primus varus",
    "75482": "Pectus carinatum",
    "75550": "Unspecified anomaly of upper limb",
    "75567": "Anomalies of foot, not elsewhere classified",
    "44827315": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1359": "Personal history of other musculoskeletal disorders",
    "V136": "Personal history of congenital (corrected) malformations",
    "V138": "Personal history of other specified diseases",
    "44827319": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1505": "Allergy to other foods",
    "V158": "Other specified personal history presenting hazards to health",
    "44827322": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827323": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827324": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827325": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V160": "Family history of malignant neoplasm of gastrointestinal tract",
    "V162": "Family history of malignant neoplasm of other respiratory and intrathoracic organs",
    "V163": "Family history of malignant neoplasm of breast",
    "44827329": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1741": "Family history of sudden cardiac death (SCD)",
    "44827331": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V186": "Family history of kidney diseases",
    "44827333": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827334": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827335": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827336": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V22": "Normal pregnancy",
    "44827339": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V2504": "Counseling and instruction in natural family planning to avoid pregnancy",
    "V255": "Insertion of implantable subdermal contraceptive",
    "44827342": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V274": "Outcome of delivery, twins, both stillborn",
    "44827345": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V31": "Twin birth, mate liveborn",
    "44827348": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827349": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V371": "Other multiple birth (three or more), unspecified whether mates liveborn or stillborn, born before admission to hospital",
    "44827351": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827352": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827353": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4283": "Pancreas replaced by transplant",
    "44827355": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "85235": "Subdural hemorrhage following injury with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85236": "Subdural hemorrhage following injury with open intracranial wound, with loss of consciousness of unspecified duration",
    "85249": "Extradural hemorrhage following injury without mention of open intracranial wound, with concussion, unspecified",
    "85250": "Extradural hemorrhage following injury with open intracranial wound, unspecified state of consciousness",
    "85254": "Extradural hemorrhage following injury with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "341": "Other demyelinating diseases of central nervous system",
    "34202": "Flaccid hemiplegia and hemiparesis affecting nondominant side",
    "34401": "Quadriplegia, C1-C4, complete",
    "3453": "Grand mal status",
    "3454": "Localization-related (focal) (partial) epilepsy and epileptic syndromes with complex partial seizures",
    "3455": "Localization-related (focal) (partial) epilepsy and epileptic syndromes with simple partial seizures",
    "34602": "Migraine with aura, without mention of intractable migraine with status migrainosus",
    "34831": "Metabolic encephalopathy",
    "34882": "Brain death",
    "3523": "Disorders of pneumogastric [10th] nerve",
    "3539": "Unspecified nerve root and plexus disorder",
    "3555": "Tarsal tunnel syndrome",
    "3569": "Unspecified hereditary and idiopathic peripheral neuropathy",
    "3575": "Alcoholic polyneuropathy",
    "3576": "Polyneuropathy due to drugs",
    "35789": "Other inflammatory and toxic neuropathy",
    "3582": "Toxic myoneural disorders",
    "36003": "Chronic endophthalmitis",
    "36029": "Other degenerative disorders of globe",
    "36042": "Blind hypertensive eye",
    "3605": "Retained (old) intraocular foreign body, magnetic",
    "36050": "Foreign body, magnetic, intraocular, unspecified",
    "3620": "Diabetic retinopathy",
    "36333": "Other scars of posterior pole",
    "36400": "Acute and subacute iridocyclitis, unspecified",
    "01696": "Genitourinary tuberculosis, unspecified, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01745": "Tuberculosis of ear, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "0176": "Tuberculosis of adrenal glands",
    "01885": "Other specified miliary tuberculosis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "0223": "Anthrax septicemia",
    "0321": "Nasopharyngeal diphtheria",
    "0339": "Whooping cough, unspecified organism",
    "0360": "Meningococcal meningitis",
    "03849": "Other septicemia due to gram-negative organisms",
    "04111": "Methicillin susceptible Staphylococcus aureus in conditions classified elsewhere and of unspecified site",
    "04143": "Shiga toxin-producing Escherichia coli [E. coli] (STEC), unspecified",
    "0417": "Pseudomonas infection in conditions classified elsewhere and of unspecified site",
    "0459": "Acute poliomyelitis, unspecified",
    "04592": "Acute poliomyelitis, unspecified, poliovirus type II",
    "04671": "Gerstmann-Sträussler-Scheinker syndrome",
    "04672": "Fatal familial insomnia",
    "050": "Smallpox",
    "051": "Cowpox and paravaccinia",
    "05411": "Herpetic vulvovaginitis",
    "0543": "Herpetic meningoencephalitis",
    "0590": "Other orthopoxvirus infections",
    "05922": "Yaba monkey tumor virus",
    "061": "Dengue",
    "0661": "Tick-borne fever",
    "0760": "Trachoma, initial stage",
    "077": "Other diseases of conjunctiva due to viruses and Chlamydiae",
    "0788": "Other specified diseases due to viruses and Chlamydiae",
    "07981": "Hantavirus infection",
    "0820": "Spotted fevers",
    "0821": "Boutonneuse fever",
    "0823": "Queensland tick typhus",
    "08241": "Ehrlichiosis chafeensis [E. chafeensis]",
    "0847": "Induced malaria",
    "0888": "Other specified arthropod-borne diseases",
    "0910": "Genital syphilis (primary)",
    "093": "Cardiovascular syphilis",
    "09381": "Syphilitic pericarditis",
    "94151": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of ear [any part]",
    "94233": "Full-thickness skin loss [third degree, not otherwise specified] of abdominal wall",
    "9425": "Deep necrosis of underlying tissues due to burn [deep third degree] of trunk with loss of a body part",
    "94319": "Erythema [first degree] of multiple sites of upper limb, except wrist and hand",
    "94326": "Blisters, epidermal loss [second degree] of scapular region",
    "94342": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of elbow",
    "94416": "Erythema [first degree] of back of hand",
    "94437": "Full-thickness skin loss [third degree, not otherwise specified] of wrist",
    "9444": "Deep necrosis of underlying tissues due to burn [deep third degree] of wrist(s) and hand(s), without mention of loss of a body part",
    "94441": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, single digit [finger (nail)] other than thumb",
    "94453": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of two or more digits of hand, not including thumb",
    "94505": "Burn of unspecified degree of knee",
    "94520": "Blisters, epidermal loss [second degree] of lower limb [leg], unspecified site",
    "94535": "Full-thickness skin loss [third degree NOS] of knee",
    "94545": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of knee",
    "9461": "Erythema [first degree] of multiple specified sites",
    "947": "Burn of internal organs",
    "94800": "Burn [any degree] involving less than 10 percent of body surface with third degree burn, less than 10 percent or unspecified",
    "94860": "Burn [any degree] involving 60-69 percent of body surface with third degree burn, less than 10 percent or unspecified",
    "94894": "Burn [any degree] involving 90 percent or more of body surface with third degree burn, 40-49%",
    "9511": "Injury to trochlear nerve",
    "9512": "Injury to trigeminal nerve",
    "95214": "T1-T6 level with other specified spinal cord injury",
    "9553": "Injury to radial nerve",
    "9562": "Injury to posterior tibial nerve",
    "95892": "Traumatic compartment syndrome of lower extremity",
    "9612": "Poisoning by heavy metal anti-infectives",
    "7683": "Fetal distress first noted during labor and delivery, in liveborn infant",
    "77010": "Fetal and newborn aspiration, unspecified",
    "77015": "Aspiration of blood without respiratory symptoms",
    "77082": "Other apnea of newborn",
    "771": "Infections specific to the perinatal period",
    "7711": "Congenital cytomegalovirus infection",
    "7720": "Fetal blood loss",
    "7747": "Kernicterus of fetus or newborn not due to isoimmunization",
    "7750": 'Syndrome of "infant of a diabetic mother"',
    "777": "Perinatal disorders of digestive system",
    "779": "Other and ill-defined conditions originating in the perinatal period",
    "77932": "Bilious vomiting in newborn",
    "78058": "Sleep related movement disorder, unspecified",
    "78059": "Other sleep disturbances",
    "7814": "Transient paralysis of limb",
    "78191": "Loss of height",
    "78724": "Dysphagia, pharyngoesophageal phase",
    "78762": "Fecal smearing",
    "7879": "Other symptoms involving digestive system",
    "78799": "Other symptoms involving digestive system",
    "78945": "Abdominal rigidity, periumbilic",
    "78949": "Abdominal rigidity, other specified site",
    "78960": "Abdominal tenderness, unspecified site",
    "7900": "Abnormality of red blood cells",
    "79021": "Impaired fasting glucose",
    "791": "Nonspecific findings on examination of urine",
    "75612": "Spondylolisthesis",
    "75619": "Other anomalies of spine",
    "75659": "Other osteodystrophies",
    "75670": "Anomaly of abdominal wall, unspecified",
    "75672": "Omphalocele",
    "7570": "Hereditary edema of legs",
    "75733": "Congenital pigmentary anomalies of skin",
    "7574": "Specified anomalies of hair",
    "7575": "Specified anomalies of nails",
    "7584": "Balanced autosomal translocation in normal individual",
    "7596": "Other hamartoses, not elsewhere classified",
    "7604": "Maternal nutritional disorders affecting fetus or newborn",
    "7608": "Other specified maternal conditions affecting fetus or newborn",
    "7610": "Incompetent cervix affecting fetus or newborn",
    "7621": "Other forms of placental separation and hemorrhage affecting fetus or newborn",
    "7625": "Other compression of umbilical cord affecting fetus or newborn",
    "7640": "Light-for-dates without mention of fetal malnutrition",
    "7649": "Fetal growth retardation, unspecified",
    "76490": "Fetal growth retardation, unspecified, unspecified [weight]",
    "76508": "Extreme immaturity, 2,000-2,499 grams",
    "76509": "Extreme immaturity, 2,500 grams and over",
    "1730": "Other malignant neoplasm of skin of lip",
    "1733": "Other and unspecified malignant neoplasm of skin of other and unspecified parts of face",
    "1762": "Kaposi's sarcoma, palate",
    "1763": "Kaposi's sarcoma, gastrointestinal sites",
    "1765": "Kaposi's sarcoma, lymph nodes",
    "1800": "Malignant neoplasm of endocervix",
    "1841": "Malignant neoplasm of labia majora",
    "1849": "Malignant neoplasm of female genital organ, site unspecified",
    "1878": "Malignant neoplasm of other specified sites of male genital organs",
    "1892": "Malignant neoplasm of ureter",
    "1914": "Malignant neoplasm of occipital lobe",
    "192": "Malignant neoplasm of other and unspecified parts of nervous system",
    "193": "Malignant neoplasm of thyroid gland",
    "20010": "Lymphosarcoma, unspecified site, extranodal and solid organ sites",
    "20024": "Burkitt's tumor or lymphoma, lymph nodes of axilla and upper limb",
    "20027": "Burkitt's tumor or lymphoma, spleen",
    "20030": "Marginal zone lymphoma, unspecified site, extranodal and solid organ sites",
    "20074": "Large cell lymphoma, lymph nodes of axilla and upper limb",
    "20106": "Hodgkin's paragranuloma, intrapelvic lymph nodes",
    "2011": "Hodgkin's granuloma",
    "20116": "Hodgkin's granuloma, intrapelvic lymph nodes",
    "20146": "Hodgkin's disease, lymphocytic-histiocytic predominance, intrapelvic lymph nodes",
    "20148": "Hodgkin's disease, lymphocytic-histiocytic predominance, lymph nodes of multiple sites",
    "20220": "Sezary's disease, unspecified site, extranodal and solid organ sites",
    "20234": "Malignant histiocytosis, lymph nodes of axilla and upper limb",
    "2029": "Other and unspecified malignant neoplasms of lymphoid and histiocytic tissue",
    "20293": "Other and unspecified malignant neoplasms of lymphoid and histiocytic tissue, intra-abdominal lymph nodes",
    "20302": "Multiple myeloma, in relapse",
    "20311": "Plasma cell leukemia, in remission",
    "20411": "Chronic lymphoid leukemia, in remission",
    "205": "Myeloid leukemia",
    "20620": "Subacute monocytic leukemia, without mention of having achieved remission",
    "20680": "Other monocytic leukemia, without mention of having achieved remission",
    "20691": "Unspecified monocytic leukemia, in remission",
    "20700": "Acute erythremia and erythroleukemia, without mention of having achieved remission",
    "20923": "Malignant carcinoid tumor of the stomach",
    "20940": "Benign carcinoid tumor of the small intestine, unspecified portion",
    "85415": "Intracranial injury of other and unspecified nature with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "86103": "Laceration of heart with penetration of heart chambers without mention of open wound into thorax",
    "86239": "Injury to other specified intrathoracic organs with open wound into cavity",
    "86339": "Other injury to small intestine, with open wound into cavity",
    "86352": "Injury to transverse colon, with open wound into cavity",
    "86400": "Injury to liver without mention of open wound into cavity, unspecified injury",
    "86414": "Injury to liver with open wound into cavity, laceration, major",
    "86611": "Injury to kidney with open wound into cavity, hematoma without rupture of capsule",
    "8671": "Injury to bladder and urethra, with open wound into cavity",
    "869": "Internal injury to unspecified or ill-defined organs",
    "8712": "Rupture of eye with partial loss of intraocular tissue",
    "87374": "Open wound of tongue and floor of mouth, complicated",
    "881": "Open wound of elbow, forearm, and wrist",
    "8810": "Open wound of elbow, forearm, and wrist, without mention of complication",
    "8861": "Traumatic amputation of other finger(s) (complete) (partial), complicated",
    "8942": "Multiple and unspecified open wound of lower limb, with tendon involvement",
    "8976": "Traumatic amputation of leg(s) (complete) (partial), bilateral [any level]), without mention of complication",
    "90003": "Injury to internal carotid artery",
    "90182": "Injury to internal mammary artery or vein",
    "90219": "Injury to inferior vena cava, other",
    "9022": "Injury to celiac and mesenteric arteries",
    "90221": "Injury to gastric artery",
    "9031": "Injury to brachial blood vessels",
    "9042": "Injury to femoral veins",
    "9045": "Injury to tibial blood vessels",
    "9053": "Late effect of fracture of neck of femur",
    "908": "Late effects of other and unspecified injuries",
    "9083": "Late effect of injury to blood vessel of head, neck, and extremities",
    "9084": "Late effect of injury to blood vessel of thorax, abdomen, and pelvis",
    "9092": "Late effect of radiation",
    "9110": "Abrasion or friction burn of trunk, without mention of infection",
    "9114": "Insect bite, nonvenomous of trunk, without mention of infection",
    "9115": "Insect bite, nonvenomous of trunk, infected",
    "9122": "Blister of shoulder and upper arm, without mention of infection",
    "9141": "Abrasion or friction burn of hand(s) except finger(s) alone, infected",
    "9146": "Superficial foreign body (splinter) of hand(s) except finger(s) alone, without major open wound and without mention of infection",
    "9171": "Abrasion or friction burn of foot and toe(s), infected",
    "9179": "Other and unspecified superficial injury of foot and toes, infected",
    "92310": "Contusion of forearm",
    "92321": "Contusion of wrist",
    "9281": "Crushing injury of knee and lower leg",
    "9288": "Crushing injury of multiple sites of lower limb",
    "931": "Foreign body in ear",
    "9405": "Burn with resulting rupture and destruction of eyeball",
    "94104": "Burn of unspecified degree of chin",
    "94117": "Erythema [first degree] of forehead and cheek",
    "94137": "Full-thickness skin loss [third degree, not otherwise specified] of forehead and cheek",
    "94223": "Blisters, epidermal loss [second degree] of abdominal wall",
    "94251": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of breast",
    "94302": "Burn of unspecified degree of elbow",
    "9431": "Erythema due to burn [first degree] of upper limb, except wrist and hand",
    "37821": "Intermittent esotropia, monocular",
    "37871": "Duane's syndrome",
    "37921": "Vitreous degeneration",
    "37954": "Nystagmus associated with disorders of the vestibular system",
    "09382": "Syphilitic myocarditis",
    "0952": "Syphilitic peritonitis",
    "09833": "Gonococcal epididymo-orchitis, chronic",
    "09842": "Gonococcal endophthalmia",
    "09940": "Other nongonococcal urethritis, unspecified",
    "09952": "Other venereal diseases due to chlamydia trachomatis, anus and rectum",
    "100": "Leptospirosis",
    "1031": "Intermediate lesions of pinta",
    "1039": "Pinta, unspecified",
    "1144": "Chronic pulmonary coccidioidomycosis",
    "11500": "Infection by Histoplasma capsulatum, without mention of manifestation",
    "11511": "Infection by Histoplasma duboisii, meningitis",
    "11593": "Histoplasmosis, unspecified, pericarditis",
    "1214": "Fasciolopsiasis",
    "1215": "Metagonimiasis",
    "122": "Echinococcosis",
    "1231": "Cysticercosis",
    "1239": "Cestode infection, unspecified",
    "1255": "Mansonella ozzardi infection",
    "129": "Intestinal parasitism, unspecified",
    "1310": "Urogenital trichomoniasis",
    "1320": "Pediculus capitis [head louse]",
    "1329": "Pediculosis, unspecified",
    "1330": "Scabies",
    "1338": "Other acariasis",
    "1340": "Myiasis",
    "1408": "Malignant neoplasm of other sites of lip",
    "1449": "Malignant neoplasm of floor of mouth, part unspecified",
    "1453": "Malignant neoplasm of soft palate",
    "1460": "Malignant neoplasm of tonsil",
    "1462": "Malignant neoplasm of tonsillar pillars (anterior) (posterior)",
    "1483": "Malignant neoplasm of posterior hypopharyngeal wall",
    "149": "Malignant neoplasm of other and ill-defined sites within the lip, oral cavity, and pharynx",
    "1491": "Malignant neoplasm of waldeyer's ring",
    "E8801": "Accidental fall on or from sidewalk curb",
    "E8809": "Accidental fall on or from other stairs or steps",
    "E8888": "Other fall",
    "E8902": "Other smoke and fumes from conflagration in private dwelling",
    "E8908": "Other accident resulting from conflagration in private dwelling",
    "E8932": "Accident caused by ignition of clothing from controlled fire not in building or structure",
    "E898": "Accident caused by other specified fire and flames",
    "E9065": "Bite by unspecified animal",
    "E9068": "Other specified injury caused by animal",
    "E9081": "Tornado",
    "E9089": "Unspecified cataclysmic storms, and floods resulting from storms",
    "E921": "Accident caused by explosion of pressure vessel",
    "E9250": "Accident caused by domestic wiring and appliances",
    "E944": "Water, mineral, and uric acid metabolism drugs causing adverse effects in therapeutic use",
    "794": "Nonspecific abnormal results of function studies",
    "79531": "Nonspecific positive findings for anthrax",
    "7967": "Abnormal cytologic smear of anus and anal HPV",
    "7980": "Sudden infant death syndrome",
    "800": "Fracture of vault of skull",
    "80002": "Closed fracture of vault of skull without mention of intracranial injury, with brief [less than one hour] loss of consciousness",
    "80013": "Closed fracture of vault of skull with cerebral laceration and contusion, with moderate [1-24 hours] loss of consciousness",
    "80045": "Closed fracture of vault of skull with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "8006": "Open fracture of vault of skull with cerebral laceration and contusion",
    "8008": "Open fracture of vault of skull with other and unspecified intracranial hemorrhage",
    "80086": "Open fracture of vault of skull with other and unspecified intracranial hemorrhage, with loss of consciousness of unspecified duration",
    "80106": "Closed fracture of base of skull without mention of intra cranial injury, with loss of consciousness of unspecified duration",
    "80109": "Closed fracture of base of skull without mention of intra cranial injury, with concussion, unspecified",
    "80162": "Open fracture of base of skull with cerebral laceration and contusion, with brief [less than one hour] loss of consciousness",
    "80175": "Open fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80230": "Open fracture of mandible, unspecified site",
    "80309": "Other closed skull fracture without mention of intracranial injury, with concussion, unspecified",
    "80323": "Other closed skull fracture with subarachnoid, subdural, and extradural hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "8033": "Closed skull fracture with other and unspecified intracranial hemorrhage",
    "80330": "Other closed skull fracture with other and unspecified intracranial hemorrhage, unspecified state of unconsciousness",
    "80331": "Other closed skull fracture with other and unspecified intracranial hemorrhage, with no loss of consciousness",
    "80356": "Other open skull fracture without mention of intracranial injury, with loss of consciousness of unspecified duration",
    "80360": "Other open skull fracture with cerebral laceration and contusion, unspecified state of consciousness",
    "80366": "Other open skull fracture with cerebral laceration and contusion, with loss of consciousness of unspecified duration",
    "80369": "Other open skull fracture with cerebral laceration and contusion, with concussion, unspecified",
    "5903": "Pyeloureteritis cystica",
    "5969": "Unspecified disorder of bladder",
    "59971": "Gross hematuria",
    "6001": "Nodular prostate",
    "6018": "Other specified inflammatory diseases of prostate",
    "60499": "Other orchitis, epididymitis, and epididymo-orchitis, without mention of abscess",
    "605": "Redundant prepuce and phimosis",
    "60785": "Peyronie's disease",
    "60889": "Other specified disorders of male genital organs",
    "6165": "Ulceration of vulva",
    "6180": "Prolapse of vaginal walls without mention of uterine prolapse",
    "6208": "Other noninflammatory disorders of ovary, fallopian tube, and broad ligament",
    "6211": "Chronic subinvolution of uterus",
    "6218": "Other specified disorders of uterus, not elsewhere classified",
    "6219": "Unspecified disorder of uterus",
    "6226": "Hypertrophic elongation of cervix",
    "6233": "Tight hymenal ring",
    "6248": "Other specified noninflammatory disorders of vulva and perineum",
    "6262": "Excessive or frequent menstruation",
    "6265": "Ovulation bleeding",
    "6269": "Unspecified disorders of menstruation and other abnormal bleeding from female genital tract",
    "6280": "Infertility, female, associated with anovulation",
    "20954": "Benign carcinoid tumor of the transverse colon",
    "20962": "Benign carcinoid tumor of the thymus",
    "2113": "Benign neoplasm of colon",
    "2125": "Benign neoplasm of mediastinum",
    "2135": "Benign neoplasm of short bones of upper limb",
    "2156": "Other benign neoplasm of connective and other soft tissue of pelvis",
    "2212": "Benign neoplasm of vulva",
    "2218": "Benign neoplasm of other specified sites of female genital organs",
    "2228": "Benign neoplasm of other specified sites of male genital organs",
    "2240": "Benign neoplasm of eyeball, except conjunctiva, cornea, retina, and choroid",
    "2241": "Benign neoplasm of orbit",
    "2253": "Benign neoplasm of spinal cord",
    "2301": "Carcinoma in situ of esophagus",
    "2310": "Carcinoma in situ of larynx",
    "2339": "Carcinoma in situ of other and unspecified urinary organs",
    "2359": "Neoplasm of uncertain behavior of other and unspecified respiratory organs",
    "23691": "Neoplasm of uncertain behavior of kidney and ureter",
    "2383": "Neoplasm of uncertain behavior of breast",
    "2395": "Neoplasm of unspecified nature of other genitourinary organs",
    "24221": "Toxic multinodular goiter with mention of thyrotoxic crisis or storm",
    "2440": "Postsurgical hypothyroidism",
    "2451": "Subacute thyroiditis",
    "2468": "Other specified disorders of thyroid",
    "2496": "Secondary diabetes mellitus with neurological manifestations",
    "24981": "Secondary diabetes mellitus with other specified manifestations, uncontrolled",
    "25071": "Diabetes with peripheral circulatory disorders, type I [juvenile type], not stated as uncontrolled",
    "44826182": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V32": "Twin birth, mate stillborn",
    "V3301": "Twin birth, unspecified whether mate liveborn or stillborn, born in hospital, delivered by cesarean section",
    "44826186": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V37": "Other multiple birth (three or more), unspecified whether mates liveborn or stillborn",
    "44826188": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V418": "Other problems with special functions",
    "44826190": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V436": "Joint replaced by other means",
    "44826192": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V45": "Other postprocedural states",
    "V4551": "Presence of intrauterine contraceptive device",
    "V4575": "Acquired absence of organ, stomach",
    "44826196": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826197": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826198": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826199": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V475": "Other genital problems",
    "V488": "Other problems with head, neck, and trunk",
    "V49": "Other conditions influencing health status",
    "44826203": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826204": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826205": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826206": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826208": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V504": "Prophylactic organ removal",
    "38013": "Other acute infections of external ear",
    "38016": "Other chronic infective otitis externa",
    "38052": "Acquired stenosis of external ear canal secondary to surgery",
    "3809": "Unspecified disorder of external ear",
    "38101": "Acute serous otitis media",
    "3812": "Chronic mucoid otitis media",
    "3816": "Obstruction of Eustachian tube",
    "3818": "Other disorders of Eustachian tube",
    "38425": "Total perforation of tympanic membrane",
    "3860": "Meniere's disease",
    "38640": "Labyrinthine fistula, unspecified",
    "3868": "Other disorders of labyrinth",
    "38800": "Degenerative and vascular disorders, unspecified",
    "E951": "Suicide and self-inflicted poisoning by gases in domestic use",
    "E9554": "Suicide and self-inflicted injury by other and unspecified firearm",
    "E9557": "Suicide and self-inflicted injury by paintball gun",
    "E9582": "Suicide and self-inflicted injury by scald",
    "E9655": "Assault by antipersonnel bomb",
    "E966": "Assault by cutting and piercing instrument",
    "E9809": "Poisoning by other and unspecified solid and liquid substances, undetermined whether accidentally or purposely inflicted",
    "E9818": "Poisoning by other utility gas, undetermined whether accidentally or purposely inflicted",
    "E9882": "Injury by scald, undetermined whether accidentally or purposely inflicted",
    "E990": "Injury due to war operations by fires and conflagrations",
    "E9936": "Injury due to war operations by unintentional detonation of own munitions",
    "E9958": "Injury due to war operations by other forms of conventional warfare",
    "E9961": "Injury due to war operations by indirect blast effect of nuclear weapon",
    "E9968": "Injury due to war operations by other effects of nuclear weapons",
    "E997": "Injury due to war operations by other forms of unconventional warfare",
    "E9981": "Injury due to war operations but occurring after cessation of hostilities by explosion of bombs",
    "V016": "Contact with or exposure to venereal diseases",
    "64720": "Other venereal diseases of mother, complicating pregnancy, childbirth, or the puerperium, unspecified as to episode of care or not applicable",
    "64783": "Other specified infectious and parasitic diseases of mother, antepartum condition or complication",
    "64823": "Anemia of mother, antepartum condition or complication",
    "64851": "Congenital cardiovascular disorders of mother, delivered, with or without mention of antepartum condition",
    "64923": "Bariatric surgery status complicating pregnancy, childbirth, or the puerperium, antepartum condition or complication",
    "65130": "Twin pregnancy with fetal loss and retention of one fetus, unspecified as to episode of care or not applicable",
    "65221": "Breech presentation without mention of version, delivered, with or without mention of antepartum condition",
    "65340": "Fetopelvic disproportion, unspecified as to episode of care or not applicable",
    "65603": "Fetal-maternal hemorrhage, antepartum condition or complication",
    "6566": "Excessive fetal growth affecting management of mother",
    "65693": "Unspecified fetal and placental problem, affecting management of mother, antepartum condition or complication",
    "6583": "Delayed delivery after artificial rupture of membranes",
    "6588": "Other problems associated with amniotic cavity and membranes",
    "6591": "Failed medical or unspecified induction of labor",
    "65910": "Failed medical or unspecified induction of labor, unspecified as to episode of care or not applicable",
    "6594": "Grand multiparity, with current pregnancy",
    "66093": "Unspecified obstructed labor, antepartum condition or complication",
    "6290": "Hematocele, female, not elsewhere classified",
    "62929": "Other female genital mutilation status",
    "6298": "Other specified disorders of female genital organs",
    "63422": "Spontaneous abortion, complicated by damage to pelvic organs or tissues, complete",
    "6344": "Spontaneous abortion complicated by metabolic disorder",
    "63462": "Spontaneous abortion, complicated by embolism, complete",
    "63531": "Legally induced abortion, complicated by renal failure, incomplete",
    "63532": "Legally induced abortion, complicated by renal failure, complete",
    "63670": "Illegally induced abortion, with other specified complications, unspecified",
    "63701": "Unspecified abortion, complicated by genital tract and pelvic infection, incomplete",
    "63720": "Unspecified abortion, complicated by damage to pelvic organs or tissues, unspecified",
    "63770": "Unspecified abortion, with other specified complications, unspecified",
    "6378": "Unspecified abortion with unspecified complication",
    "63780": "Unspecified abortion, with unspecified complication, unspecified",
    "6418": "Other antepartum hemorrhage",
    "64202": "Benign essential hypertension, complicating pregnancy, childbirth, and the puerperium, delivered, with mention of postpartum complication",
    "64211": "Hypertension secondary to renal disease, complicating pregnancy, childbirth, and the puerperium, delivered, with or without mention of antepartum condition",
    "6422": "Other pre-existing hypertension complicating pregnancy, childbirth, and the puerperium",
    "64222": "Other pre-existing hypertension, complicating pregnancy, childbirth, and the puerperium, delivered, with mention of postpartum complication",
    "64250": "Severe pre-eclampsia, unspecified as to episode of care or not applicable",
    "6426": "Eclampsia complicating pregnancy, childbirth or the puerperium",
    "64261": "Eclampsia, delivered, with or without mention of antepartum condition",
    "64310": "Hyperemesis gravidarum with metabolic disturbance, unspecified as to episode of care or not applicable",
    "64313": "Hyperemesis gravidarum with metabolic disturbance, antepartum condition or complication",
    "64390": "Unspecified vomiting of pregnancy, unspecified as to episode of care or not applicable",
    "64521": "Prolonged pregnancy, delivered, with or without mention of antepartum condition",
    "64600": "Papyraceous fetus, unspecified as to episode of care or not applicable",
    "64612": "Edema or excessive weight gain in pregnancy, without mention of hypertension, delivered, with mention of postpartum complication",
    "64643": "Peripheral neuritis in pregnancy, antepartum condition or complication",
    "64651": "Asymptomatic bacteriuria in pregnancy, delivered, with or without mention of antepartum condition",
    "64813": "Thyroid dysfunction of mother, antepartum condition or complication",
    "64832": "Drug dependence of mother, delivered, with mention of postpartum complication",
    "64852": "Congenital cardiovascular disorders of mother, delivered, with mention of postpartum complication",
    "64863": "Other cardiovascular diseases of mother, antepartum condition or complication",
    "36512": "Low tension open-angle glaucoma",
    "36573": "Severe stage glaucoma",
    "36615": "Cortical senile cataract",
    "36617": "Total or mature cataract",
    "36619": "Other and combined forms of senile cataract",
    "3662": "Traumatic cataract",
    "36634": "Cataract in degenerative ocular disorders",
    "3664": "Cataract associated with other disorders",
    "3678": "Other disorders of refraction and accommodation",
    "36800": "Amblyopia, unspecified",
    "3685": "Color vision deficiencies",
    "3686": "Night blindness",
    "3688": "Other specified visual disturbances",
    "36908": "Better eye: profound vision impairment; lesser eye: profound vision impairment",
    "36917": "Better eye: moderate vision impairment; lesser eye: near-total vision impairment",
    "36966": "One eye: near-total vision impairment; other eye: normal vision",
    "44826211": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V534": "Fitting and adjustment of orthodontic devices",
    "44826213": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V540": "Aftercare involving internal fixation device",
    "44826215": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826217": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826218": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826219": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V558": "Attention to other specified artificial opening",
    "44826221": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826222": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5812": "Encounter for antineoplastic immunotherapy",
    "V5830": "Encounter for change or removal of nonsurgical wound dressing",
    "V586": "Encounter for long-term (current) drug use",
    "44826226": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826227": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826228": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826229": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V601": "Inadequate housing",
    "V6102": "Family disruption due to return of family member from military deployment",
    "V613": "Problems with aged parents or in-laws",
    "V6141": "Alcoholism in family",
    "44826234": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826235": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826236": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6409": "Vaccination not carried out for other reason",
    "V6442": "Thoracoscopic surgical procedure converted to open procedure",
    "44826240": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826241": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826242": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V700": "Routine general medical examination at a health care facility",
    "V705": "Health examination of defined subpopulations",
    "44826245": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7283": "Other specified pre-operative examination",
    "44826247": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "9972": "Peripheral vascular complications, not elsewhere classified",
    "99812": "Hematoma complicating a procedure",
    "9991": "Air embolism as a complication of medical care, not elsewhere classified",
    "99980": "Transfusion reaction, unspecified",
    "99981": "Extravasation of vesicant chemotherapy",
    "99985": "Delayed hemolytic transfusion reaction, incompatibility unspecified",
    "E0011": "Activities involving running",
    "E0022": "Activities involving water polo",
    "E0051": "Activities involving yoga",
    "E0121": "Activities involving sewing",
    "E0130": "Activities involving personal bathing and showering",
    "E0161": "Activities involving gardening and landscaping",
    "E0183": "Activities involving winds and brass instrument playing",
    "38861": "Cerebrospinal fluid otorrhea",
    "38903": "Conductive hearing loss, middle ear",
    "39899": "Other rheumatic heart diseases",
    "40301": "Hypertensive chronic kidney disease, malignant, with chronic kidney disease stage V or end stage renal disease",
    "4031": "Hypertensive renal disease, benign",
    "4104": "Acute myocardial infarction, of other inferior wall",
    "41071": "Subendocardial infarction, initial episode of care",
    "41091": "Acute myocardial infarction of unspecified site, initial episode of care",
    "4141": "Aneurysm and dissection of heart",
    "41410": "Aneurysm of heart (wall)",
    "41411": "Aneurysm of coronary vessels",
    "415": "Acute pulmonary heart disease",
    "4150": "Acute cor pulmonale",
    "41513": "Saddle embolus of pulmonary artery",
    "4170": "Arteriovenous fistula of pulmonary vessels",
    "4254": "Other primary cardiomyopathies",
    "42611": "First degree atrioventricular block",
    "42613": "Other second degree atrioventricular block",
    "4269": "Conduction disorder, unspecified",
    "4275": "Cardiac arrest",
    "4295": "Rupture of chordae tendineae",
    "43330": "Occlusion and stenosis of multiple and bilateral precerebral arteries without mention of cerebral infarction",
    "43820": "Late effects of cerebrovascular disease, hemiplegia affecting unspecified side",
    "440": "Atherosclerosis",
    "44021": "Atherosclerosis of native arteries of the extremities with intermittent claudication",
    "4404": "Chronic total occlusion of artery of the extremities",
    "4416": "Thoracoabdominal aneurysm, ruptured",
    "442": "Other aneurysm",
    "44381": "Peripheral angiopathy in diseases classified elsewhere",
    "E8129": "Other motor vehicle traffic accident involving collision with motor vehicle injuring unspecified person",
    "45111": "Phlebitis and thrombophlebitis of femoral vein (deep) (superficial)",
    "45182": "Phlebitis and thrombophlebitis of superficial veins of upper extremities",
    "45373": "Chronic venous embolism and thrombosis of upper extremity, unspecified",
    "4562": "Esophageal varices in diseases classified elsewhere",
    "45939": "Chronic venous hypertension with other complication",
    "45981": "Venous (peripheral) insufficiency, unspecified",
    "461": "Acute sinusitis",
    "4711": "Polypoid sinus degeneration",
    "4722": "Chronic nasopharyngitis",
    "4733": "Chronic sphenoidal sinusitis",
    "4741": "Hypertrophy of tonsils and adenoids",
    "478": "Other diseases of upper respiratory tract",
    "47821": "Cellulitis of pharynx or nasopharynx",
    "4787": "Other diseases of larynx, not elsewhere classified",
    "4800": "Pneumonia due to adenovirus",
    "481": "Pneumococcal pneumonia [Streptococcus pneumoniae pneumonia]",
    "48249": "Other Staphylococcus pneumonia",
    "48282": "Pneumonia due to escherichia coli [E. coli]",
    "4847": "Pneumonia in other systemic mycoses",
    "4871": "Influenza with other respiratory manifestations",
    "48802": "Influenza due to identified avian influenza virus with other respiratory manifestations",
    "66231": "Delayed delivery of second twin, triplet, etc., delivered, with or without mention of antepartum condition",
    "66414": "Second-degree perineal laceration, postpartum condition or complication",
    "66444": "Unspecified perineal laceration, postpartum condition or complication",
    "66450": "Vulvar and perineal hematoma, unspecified as to episode of care or not applicable",
    "66461": "Anal sphincter tear complicating delivery, not associated with third-degree perineal laceration, delivered, with or without mention of antepartum condition",
    "66564": "Damage to pelvic joints and ligaments, postpartum condition or complication",
    "66582": "Other specified obstetrical trauma, delivered, with mention of postpartum complication",
    "6662": "Delayed and secondary postpartum hemorrhage",
    "66704": "Retained placenta without hemorrhage, postpartum condition or complication",
    "6671": "Retained portions of placenta or membranes, without hemorrhage",
    "6688": "Other complications of anesthesia or other sedation in labor and delivery",
    "66903": "Maternal distress complicating labor and delivery, antepartum condition or complication",
    "66992": "Unspecified complication of labor and delivery, delivered, with mention of postpartum complication",
    "67014": "Puerperal endometritis, postpartum condition or complication",
    "671": "Venous complications in pregnancy and the puerperium",
    "67180": "Other venous complications of pregnancy and the puerperium, unspecified as to episode of care or not applicable",
    "67194": "Unspecified venous complication of pregnancy and the puerperium, postpartum condition or complication",
    "67323": "Obstetrical blood-clot embolism, antepartum condition or complication",
    "67384": "Other obstetrical pulmonary embolism, postpartum condition or complication",
    "6740": "Cerebrovascular disorders in the puerperium",
    "67414": "Disruption of cesarean wound, postpartum condition or complication",
    "6744": "Placental polyp",
    "67454": "Peripartum cardiomyopathy, postpartum condition or complication",
    "67492": "Unspecified complications of puerperium, delivered, with mention of postpartum complication",
    "67512": "Abscess of breast associated with childbirth, delivered, with mention of postpartum complication",
    "67583": "Other specified infections of the breast and nipple associated with childbirth, antepartum condition or complication",
    "67590": "Unspecified infection of the breast and nipple associated with childbirth, unspecified as to episode of care or not applicable",
    "67651": "Suppressed lactation, delivered, with or without mention of antepartum condition",
    "6766": "Galactorrhea",
    "678": "Other fetal conditions",
    "6804": "Carbuncle and furuncle of hand",
    "6811": "Cellulitis and abscess of toe",
    "6823": "Cellulitis and abscess of upper arm and forearm",
    "36411": "Chronic iridocyclitis in diseases classified elsewhere",
    "36473": "Goniosynechiae",
    "365": "Glaucoma",
    "36570": "Glaucoma stage, unspecified",
    "36621": "Localized traumatic opacities",
    "3679": "Unspecified disorder of refraction and accommodation",
    "36803": "Refractive amblyopia",
    "36863": "Abnormal dark adaptation curve",
    "3691": "Moderate or severe vision impairment, better eye; profound vision impairment of lesser eye",
    "37001": "Marginal corneal ulcer",
    "37023": "Filamentary keratitis",
    "3704": "Other and unspecified keratoconjunctivitis",
    "3710": "Corneal scars and opacities",
    "37102": "Peripheral opacity of cornea",
    "37123": "Bullous keratopathy",
    "37132": "Folds in descemet's membrane",
    "37155": "Macular corneal dystrophy",
    "37158": "Other posterior corneal dystrophies",
    "37203": "Other mucopurulent conjunctivitis",
    "3722": "Blepharoconjunctivitis",
    "3723": "Other and unspecified conjunctivitis",
    "36973": "One eye: severe vision impairment; other eye: normal vision",
    "37115": "Other corneal deposits associated with metabolic disorders",
    "37122": "Secondary corneal edema",
    "37144": "Other calcerous degenerations of cornea",
    "37146": "Nodular degeneration of cornea",
    "37172": "Descemetocele",
    "3718": "Other corneal disorders",
    "37181": "Corneal anesthesia and hypoesthesia",
    "3725": "Conjunctival degenerations and deposits",
    "37256": "Conjunctival deposits",
    "3738": "Other inflammations of eyelids",
    "3742": "Lagophthalmos",
    "37433": "Mechanical ptosis",
    "37483": "Elephantiasis of eyelid",
    "3759": "Unspecified disorder of lacrimal system",
    "37633": "Orbital edema or congestion",
    "3766": "Retained (old) foreign body following penetrating wound of orbit",
    "37700": "Papilledema, unspecified",
    "3773": "Optic neuritis",
    "37800": "Esotropia, unspecified",
    "3782": "Intermittent heterotropia",
    "37833": "Cyclotropia",
    "37860": "Mechanical strabismus, unspecified",
    "3788": "Other disorders of binocular eye movements",
    "3789": "Unspecified disorder of eye movements",
    "37902": "Nodular episcleritis",
    "37913": "Equatorial staphyloma",
    "37919": "Other disorders of sclera",
    "37926": "Vitreous prolapse",
    "3794": "Anomalies of pupillary function",
    "37956": "Other forms of nystagmus",
    "38014": "Malignant otitis externa",
    "38022": "Other acute otitis externa",
    "3815": "Eustachian salpingitis",
    "38322": "Chronic petrositis",
    "38331": "Mucosal cyst of postmastoidectomy cavity",
    "38481": "Atrophic flaccid tympanic membrane",
    "38531": "Cholesteatoma of attic",
    "38604": "Inactive Ménière's disease",
    "38840": "Abnormal auditory perception, unspecified",
    "3890": "Conductive hearing loss",
    "3961": "Mitral valve stenosis and aortic valve insufficiency",
    "3968": "Multiple involvement of mitral and aortic valves",
    "40210": "Benign hypertensive heart disease without heart failure",
    "40391": "Hypertensive chronic kidney disease, unspecified, with chronic kidney disease stage V or end stage renal disease",
    "41060": "True posterior wall infarction, episode of care unspecified",
    "41072": "Subendocardial infarction, subsequent episode of care",
    "4130": "Angina decubitus",
    "4143": "Coronary atherosclerosis due to lipid rich plaque",
    "4169": "Chronic pulmonary heart disease, unspecified",
    "424": "Other diseases of endocardium",
    "42490": "Endocarditis, valve unspecified, unspecified cause",
    "42511": "Hypertrophic obstructive cardiomyopathy",
    "42742": "Ventricular flutter",
    "4279": "Cardiac dysrhythmia, unspecified",
    "43321": "Occlusion and stenosis of vertebral artery with cerebral infarction",
    "9649": "Poisoning by unspecified agent affecting blood constituents",
    "9690": "Poisoning by antidepressants",
    "96905": "Poisoning by tricyclic antidepressants",
    "9694": "Poisoning by benzodiazepine-based tranquilizers",
    "9729": "Poisoning by other and unspecified agents primarily affecting the cardiovascular system",
    "976": "Poisoning by agents primarily affecting skin and mucous membrane, ophthalmological, otorhinolaryngological, and dental drugs",
    "9774": "Poisoning by pharmaceutical excipients",
    "9791": "Poisoning by rabies vaccine",
    "E8144": "Motor vehicle traffic accident involving collision with pedestrian injuring occupant of streetcar",
    "E8154": "Other motor vehicle traffic accident involving collision on the highway injuring occupant of streetcar",
    "E8270": "Animal-drawn vehicle accident injuring pedestrian",
    "48882": "Influenza due to identified novel influenza A virus with other respiratory manifestations",
    "11284": "Candidal esophagitis",
    "1129": "Candidiasis of unspecified site",
    "11505": "Infection by Histoplasma capsulatum, pneumonia",
    "1159": "Histoplasmosis, unspecified",
    "1160": "Blastomycosis",
    "1173": "Aspergillosis",
    "1179": "Other and unspecified mycoses",
    "1200": "Schistosomiasis due to schistosoma haematobium",
    "1223": "Echinococcus granulosus infection, other",
    "1227": "Echinococcus multilocularis infection, unspecified",
    "1318": "Trichomoniasis of other specified sites",
    "1372": "Late effects of genitourinary tuberculosis",
    "1391": "Late effects of trachoma",
    "1430": "Malignant neoplasm of upper gum",
    "145": "Malignant neoplasm of other and unspecified parts of mouth",
    "1455": "Malignant neoplasm of palate, unspecified",
    "1468": "Malignant neoplasm of other specified sites of oropharynx",
    "1470": "Malignant neoplasm of superior wall of nasopharynx",
    "1489": "Malignant neoplasm of hypopharynx, unspecified site",
    "1521": "Malignant neoplasm of jejunum",
    "1532": "Malignant neoplasm of descending colon",
    "1538": "Malignant neoplasm of other specified sites of large intestine",
    "1542": "Malignant neoplasm of anal canal",
    "1543": "Malignant neoplasm of anus, unspecified site",
    "1551": "Malignant neoplasm of intrahepatic bile ducts",
    "1574": "Malignant neoplasm of islets of langerhans",
    "1588": "Malignant neoplasm of specified parts of peritoneum",
    "1602": "Malignant neoplasm of maxillary sinus",
    "1609": "Malignant neoplasm of accessory sinus, unspecified",
    "1618": "Malignant neoplasm of other specified sites of larynx",
    "1628": "Malignant neoplasm of other parts of bronchus or lung",
    "1707": "Malignant neoplasm of long bones of lower limb",
    "17330": "Unspecified malignant neoplasm of skin of other and unspecified parts of face",
    "17370": "Unspecified malignant neoplasm of skin of lower limb, including hip",
    "17372": "Squamous cell carcinoma of skin of lower limb, including hip",
    "1759": "Malignant neoplasm of other and unspecified sites of male breast",
    "1769": "Kaposi's sarcoma, unspecified site",
    "1809": "Malignant neoplasm of cervix uteri, unspecified site",
    "182": "Malignant neoplasm of body of uterus",
    "1875": "Malignant neoplasm of epididymis",
    "189": "Malignant neoplasm of kidney and other and unspecified urinary organs",
    "1898": "Malignant neoplasm of other specified sites of urinary organs",
    "1928": "Malignant neoplasm of other specified sites of nervous system",
    "1945": "Malignant neoplasm of carotid body",
    "1954": "Malignant neoplasm of upper limb",
    "19889": "Secondary malignant neoplasm of other specified sites",
    "20017": "Lymphosarcoma, spleen",
    "20037": "Marginal zone lymphoma, spleen",
    "20045": "Mantle cell lymphoma, lymph nodes of inguinal region and lower limb",
    "201": "Hodgkin's disease",
    "20122": "Hodgkin's sarcoma, intrathoracic lymph nodes",
    "20128": "Hodgkin's sarcoma, lymph nodes of multiple sites",
    "20150": "Hodgkin's disease, nodular sclerosis, unspecified site, extranodal and solid organ sites",
    "20194": "Hodgkin's disease, unspecified type, lymph nodes of axilla and upper limb",
    "2023": "Malignant histiocytosis",
    "20244": "Leukemic reticuloendotheliosis, lymph nodes of axilla and upper arm",
    "20255": "Letterer-siwe disease, lymph nodes of inguinal region and lower limb",
    "20268": "Malignant mast cell tumors, lymph nodes of multiple sites",
    "20278": "Peripheral T cell lymphoma, lymph nodes of multiple sites",
    "01706": "Tuberculosis of skin and subcutaneous cellular tissue, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01732": "Tuberculosis of eye, bacteriological or histological examination unknown (at present)",
    "01766": "Tuberculosis of adrenal glands, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01774": "Tuberculosis of spleen, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01804": "Acute miliary tuberculosis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01806": "Acute miliary tuberculosis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01895": "Miliary tuberculosis, unspecified, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "0228": "Other specified manifestations of anthrax",
    "025": "Melioidosis",
    "0300": "Lepromatous leprosy [type L]",
    "0301": "Tuberculoid leprosy [type T]",
    "031": "Diseases due to other mycobacteria",
    "0311": "Cutaneous diseases due to other mycobacteria",
    "03282": "Diphtheritic myocarditis",
    "0381": "Staphylococcal septicemia",
    "03819": "Other staphylococcal septicemia",
    "03840": "Septicemia due to gram-negative organism, unspecified",
    "0388": "Other specified septicemias",
    "0401": "Rhinoscleroma",
    "04041": "Infant botulism",
    "04082": "Toxic shock syndrome",
    "041": "Bacterial infection in conditions classified elsewhere and of unspecified site",
    "04103": "Streptococcus infection in conditions classified elsewhere and of unspecified site, streptococcus, group C",
    "04500": "Acute paralytic poliomyelitis specified as bulbar, poliovirus, unspecified type",
    "04611": "Variant Creutzfeldt-Jakob disease",
    "0500": "Variola major",
    "05413": "Herpetic infection of penis",
    "05440": "Herpes simplex with unspecified ophthalmic complication",
    "05449": "Herpes simplex with other ophthalmic complications",
    "056": "Rubella",
    "0579": "Viral exanthem, unspecified",
    "05829": "Other human herpesvirus encephalitis",
    "05910": "Parapoxvirus infection, unspecified",
    "05920": "Yatapoxvirus infection, unspecified",
    "0609": "Yellow fever, unspecified",
    "063": "Tick-borne viral encephalitis",
    "0652": "Kyasanur forest disease",
    "0662": "Venezuelan equine fever",
    "0664": "West Nile fever",
    "0707": "Unspecified viral hepatitis C",
    "07070": "Unspecified viral hepatitis C without hepatic coma",
    "07279": "Other mumps with other specified complications",
    "07811": "Condyloma acuminatum",
    "07819": "Other specified viral warts",
    "07953": "Human immunodeficiency virus, type 2 [HIV-2]",
    "0829": "Tick-borne rickettsiosis, unspecified",
    "0853": "Cutaneous leishmaniasis, Ethiopian",
    "0860": "Chagas' disease with heart involvement",
    "0870": "Relapsing fever, louse-borne",
    "0911": "Primary anal syphilis",
    "094": "Neurosyphilis",
    "095": "Other forms of late syphilis, with symptoms",
    "80326": "Other closed skull fracture with subarachnoid, subdural, and extradural hemorrhage, with loss of consciousness of unspecified duration",
    "80351": "Other open skull fracture without mention of intracranial injury, with no loss of consciousness",
    "80353": "Other open skull fracture without mention of intracranial injury, with moderate [1-24 hours] loss of consciousness",
    "9821": "Toxic effect of carbon tetrachloride",
    "9828": "Toxic effect of other nonpetroleum-based solvents",
    "9878": "Toxic effect of other specified gases, fumes, or vapors",
    "9881": "Toxic effect of mushrooms eaten as food",
    "99568": "Anaphylactic reaction due to eggs",
    "99590": "Systemic inflammatory response syndrome, unspecified",
    "99600": "Mechanical complication of unspecified cardiac device, implant, and graft",
    "99656": "Mechanical complication due to peritoneal dialysis catheter",
    "9967": "Other complications of internal (biological) (synthetic) prosthetic device, implant, and graft",
    "99679": "Other complications due to other internal prosthetic device, implant, and graft",
    "99688": "Complications of transplanted organ, stem cell",
    "99696": "Complication of reattached lower extremity, other and unspecified",
    "99699": "Complication of other specified reattached body part",
    "99709": "Other nervous system complications",
    "99749": "Other digestive system complications",
    "99779": "Vascular complications of other vessels",
    "99801": "Postoperative shock, cardiogenic",
    "99811": "Hemorrhage complicating a procedure",
    "99859": "Other postoperative infection",
    "99931": "Other and unspecified infection due to central venous catheter",
    "99939": "Infection following other infusion, injection, transfusion, or vaccination",
    "99952": "Other serum reaction due to vaccination",
    "99975": "Non-ABO incompatibility reaction, unspecified",
    "E0008": "Other external cause status",
    "E0060": "Activities involving roller skating (inline) and skateboarding",
    "E0063": "Activities involving bowling",
    "E0073": "Activities involving baseball",
    "E0074": "Activities involving lacrosse and field hockey",
    "E0081": "Activities involving wrestling",
    "E0102": "Activity involving free weights",
    "E0138": "Other personal hygiene activity",
    "E8141": "Motor vehicle traffic accident involving collision with pedestrian injuring passenger in motor vehicle other than motorcycle",
    "E8153": "Other motor vehicle traffic accident involving collision on the highway injuring passenger on motorcycle",
    "E828": "Accident involving animal being ridden",
    "80396": "Other open skull fracture with intracranial injury of other and unspecified nature, with loss of consciousness of unspecified duration",
    "80400": "Closed fractures involving skull or face with other bones, without mention of intracranial injury, unspecified state of consciousness",
    "E833": "Fall on stairs or ladders in water transport",
    "E8493": "Accidents occurring in industrial places and premises",
    "E853": "Accidental poisoning by tranquilizers",
    "E8541": "Accidental poisoning by psychodysleptics [hallucinogens]",
    "E8542": "Accidental poisoning by psychostimulants",
    "E8581": "Accidental poisoning by primarily systemic agents",
    "E860": "Accidental poisoning by alcohol, not elsewhere classified",
    "E8602": "Accidental poisoning by methyl alcohol",
    "E8603": "Accidental poisoning by isopropyl alcohol",
    "E8604": "Accidental poisoning by fusel oil",
    "E8616": "Accidental poisoning by other paints and varnishes",
    "E8629": "Accidental poisoning by unspecified solvent, not elsewhere classified",
    "E8635": "Accidental poisoning by herbicides",
    "E8650": "Accidental poisoning by meat",
    "E8658": "Accidental poisoning from other specified foods",
    "E866": "Accidental poisoning by other and unspecified solid and liquid substances",
    "E868": "Accidental poisoning by other utility gas and other carbon monoxide",
    "E8701": "Accidental cut, puncture, perforation or hemorrhage during infusion or transfusion",
    "E8730": "Excessive amount of blood or other fluid during transfusion or infusion",
    "E875": "Contaminated or infected blood, other fluid, drug, or biological substance",
    "E8762": "Failure in suture and ligature during surgical operation",
    "E879": "Other procedures, without mention of misadventure at the time of procedure, as the cause of abnormal reaction of patient, or of later complication",
    "E8846": "Accidental fall from commode",
    "76511": "Other preterm infants, less than 500 grams",
    "76516": "Other preterm infants, 1,500-1,749 grams",
    "76527": "33-34 completed weeks of gestation",
    "7706": "Transitory tachypnea of newborn",
    "77212": "Intraventricular hemorrhage, grade II",
    "7729": "Unspecified hemorrhage of newborn",
    "7787": "Breast engorgement in newborn",
    "77983": "Delayed separation of umbilical cord",
    "77989": "Other specified conditions originating in the perinatal period",
    "78032": "Complex febrile convulsions",
    "78057": "Unspecified sleep apnea",
    "78071": "Chronic fatigue syndrome",
    "78096": "Generalized pain",
    "7822": "Localized superficial swelling, mass, or lump",
    "78321": "Loss of weight",
    "78341": "Failure to thrive",
    "786": "Symptoms involving respiratory system and other chest symptoms",
    "7860": "Dyspnea and respiratory abnormalities",
    "7861": "Stridor",
    "7862": "Cough",
    "7863": "Hemoptysis",
    "7868": "Hiccough",
    "78701": "Nausea with vomiting",
    "78720": "Dysphagia, unspecified",
    "7876": "Incontinence of feces",
    "78761": "Incomplete defecation",
    "78834": "Incontinence without sensory awareness",
    "78935": "Abdominal or pelvic swelling, mass, or lump, periumbilic",
    "78944": "Abdominal rigidity, left lower quadrant",
    "20500": "Acute myeloid leukemia, without mention of having achieved remission",
    "20532": "Myeloid sarcoma, in relapse",
    "20590": "Unspecified myeloid leukemia, without mention of having achieved remission",
    "2061": "Monocytic leukemia, chronic",
    "20622": "Subacute monocytic leukemia, in relapse",
    "20711": "Chronic erythremia, in remission",
    "V4381": "Larynx replacement",
    "44827357": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V44": "Artificial opening status",
    "44827359": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4585": "Insulin pump status",
    "44827361": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827362": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V468": "Dependence on other enabling machines",
    "V485": "Sensory problem with neck and trunk",
    "44827365": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V496": "Status post amputation of upper limb",
    "V4970": "Unspecified level lower limb amputation status",
    "V4972": "Other toe(s) amputation status",
    "V4973": "Foot amputation status",
    "V4975": "Below knee amputation status",
    "V4977": "Hip amputation status",
    "44827372": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827373": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827374": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V529": "Fitting and adjustment of unspecified prosthetic device",
    "V5301": "Fitting and adjustment of cerebral ventricular (communicating) shunt",
    "V5351": "Fitting and adjustment of gastric lap band",
    "V539": "Fitting and adjustment of other and unspecified device",
    "44827379": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5414": "Aftercare for healing traumatic fracture of leg, unspecified",
    "44827381": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827382": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5876": "Aftercare following surgery of the genitourinary system, NEC",
    "44827384": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5902": "Blood donors, stem cells",
    "V599": "Donors of unspecified organ or tissue",
    "44827387": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6149": "Other health problems within the family",
    "V6400": "Vaccination not carried out, unspecified reason",
    "44827392": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827394": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V666": "Convalescence following combined treatment",
    "V6709": "Follow-up examination, following other surgery",
    "V6759": "Other follow-up examination",
    "V676": "Follow-up examination, following combined treatment",
    "44827399": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6881": "Referral of patient without examination or treatment",
    "44827402": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V718": "Observation and evaluation for other specified suspected conditions",
    "44827404": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "80374": "Other open skull fracture with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80375": "Other open skull fracture with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "8038": "Other open skull fracture with other and unspecified intracranial hemorrhage",
    "80394": "Other open skull fracture with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80424": "Closed fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80461": "Open fractures involving skull or face with other bones, with cerebral laceration and contusion, with no loss of consciousness",
    "80463": "Open fractures involving skull or face with other bones, with cerebral laceration and contusion, with moderate [1-24 hours] loss of consciousness",
    "80464": "Open fractures involving skull or face with other bones, with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80491": "Open fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with no loss of consciousness",
    "80500": "Closed fracture of cervical vertebra, unspecified level",
    "806": "Fracture of vertebral column with spinal cord injury",
    "V6402": "Vaccination not carried out because of chronic illness or condition",
    "80606": "Closed fracture of C5-C7 level with complete lesion of cord",
    "80608": "Closed fracture of C5-C7 level with central cord syndrome",
    "80628": "Closed fracture of T7-T12 level with central cord syndrome",
    "80636": "Open fracture of T7-T12 level with complete lesion of cord",
    "80639": "Open fracture of T7-T12 level with other specified spinal cord injury",
    "80669": "Closed fracture of sacrum and coccyx with other spinal cord injury",
    "8088": "Closed unspecified fracture of pelvis",
    "81119": "Open fracture of scapula, other",
    "81209": "Other closed fracture of upper end of humerus",
    "81306": "Closed fracture of neck of radius",
    "81308": "Closed fracture of radius with ulna, upper end [any part]",
    "8135": "Fracture of lower end of radius and ulna, open",
    "8141": "Open fractures of carpal bones",
    "81602": "Closed fracture of distal phalanx or phalanges of hand",
    "81613": "Open fracture of multiple sites of phalanx or phalanges of hand",
    "819": "Multiple fractures involving both upper limbs, and upper limb with rib(s) and sternum",
    "82011": "Open fracture of epiphysis (separation) (upper) of neck of femur",
    "8208": "Closed fracture of unspecified part of neck of femur",
    "8209": "Open fracture of unspecified part of neck of femur",
    "82310": "Open fracture of upper end of tibia alone",
    "82312": "Open fracture of upper end of fibula with tibia",
    "82381": "Closed fracture of unspecified part of fibula alone",
    "8248": "Unspecified fracture of ankle, closed",
    "825": "Fracture of one or more tarsal and metatarsal bones",
    "82524": "Closed fracture of cuneiform, foot",
    "82531": "Open fracture of astragalus",
    "826": "Fracture of one or more phalanges of foot",
    "83102": "Closed posterior dislocation of humerus",
    "83210": "Open dislocation of elbow, unspecified",
    "83211": "Open anterior dislocation of elbow",
    "83214": "Open lateral dislocation of elbow",
    "8322": "Nursemaid's elbow",
    "835": "Dislocation of hip",
    "83804": "Closed dislocation of metatarsal (bone), joint unspecified",
    "83815": "Open dislocation of metatarsophalangeal (joint)",
    "8391": "Open dislocation, cervical vertebra",
    "83949": "Closed dislocation, vertebra, other",
    "8396": "Closed dislocation, other location",
    "83971": "Open dislocation, sternum",
    "80402": "Closed fractures involving skull or face with other bones, without mention of intracranial injury, with brief [less than one hour] loss of consciousness",
    "80441": "Closed fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with no loss of consciousness",
    "80443": "Closed fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with moderate [1-24 hours] loss of consciousness",
    "80503": "Closed fracture of third cervical vertebra",
    "8057": "Open fracture of sacrum and coccyx without mention of spinal cord injury",
    "80605": "Closed fracture of C5-C7 level with unspecified spinal cord injury",
    "80607": "Closed fracture of C5-C7 level with anterior cord syndrome",
    "80610": "Open fracture of C1-C4 level with unspecified spinal cord injury",
    "80623": "Closed fracture of T1-T6 level with central cord syndrome",
    "80637": "Open fracture of T7-T12 level with anterior cord syndrome",
    "80703": "Closed fracture of three ribs",
    "81000": "Closed fracture of clavicle, unspecified part",
    "81219": "Other open fracture of upper end of humerus",
    "8122": "Closed fracture of shaft or unspecified part of humerus",
    "81307": "Other and unspecified closed fractures of proximal end of radius (alone)",
    "8131": "Fracture of upper end of radius and ulna, open",
    "81330": "Open fracture of shaft of radius or ulna, unspecified",
    "815": "Fracture of metacarpal bone(s)",
    "8150": "Closed fracture of metacarpal bones",
    "82002": "Closed fracture of midcervical section of neck of femur",
    "8202": "Pertrochanteric fracture of femur, closed",
    "82110": "Open fracture of unspecified part of femur",
    "82331": "Open fracture of shaft of fibula alone",
    "8245": "Bimalleolar fracture, open",
    "828": "Multiple fractures involving both lower limbs, lower with upper limb, and lower limb(s) with rib(s) and sternum",
    "83219": "Open dislocation of elbow, other",
    "833": "Dislocation of wrist",
    "83400": "Closed dislocation of finger, unspecified part",
    "83503": "Other closed anterior dislocation of hip",
    "83510": "Open dislocation of hip, unspecified site",
    "83513": "Other open anterior dislocation of hip",
    "83652": "Posterior dislocation of tibia, proximal end, closed",
    "83810": "Open dislocation of foot, unspecified",
    "839": "Other, multiple, and ill-defined dislocations",
    "83900": "Closed dislocation, cervical vertebra, unspecified",
    "8397": "Open dislocation, other location",
    "83979": "Open dislocation, other location",
    "8409": "Sprains and strains of unspecified site of shoulder and upper arm",
    "842": "Sprains and strains of wrist and hand",
    "84503": "Sprain of tibiofibular (ligament), distal of ankle",
    "85012": "Concussion, with loss of consciousness from 31 to 59 minutes",
    "85106": "Cortex (cerebral) contusion without mention of open intracranial wound, with loss of consciousness of unspecified duration",
    "85110": "Cortex (cerebral) contusion with open intracranial wound, unspecified state of consciousness",
    "85115": "Cortex (cerebral) contusion with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85124": "Cortex (cerebral) laceration without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85132": "Cortex (cerebral) laceration with open intracranial wound, with brief [less than one hour] loss of consciousness",
    "8514": "Cerebellar or brain stem contusion without mention of open intracranial wound",
    "85156": "Cerebellar or brain stem contusion with open intracranial wound, with loss of consciousness of unspecified duration",
    "85162": "Cerebellar or brain stem laceration without mention of open intracranial wound, with brief [less than 1 hour] loss of consciousness",
    "85171": "Cerebellar or brain stem laceration with open intracranial wound, with no loss of consciousness",
    "79500": "Abnormal glandular Papanicolaou smear of cervix",
    "79506": "Papanicolaou smear of cervix with cytologic evidence of malignancy",
    "7953": "Nonspecific positive culture findings",
    "7955": "Nonspecific reaction to tuberculin skin test without active tuberculosis",
    "796": "Other nonspecific abnormal findings",
    "7960": "Nonspecific abnormal toxicological findings",
    "79674": "Papanicolaou smear of anus with high grade squamous intraepithelial lesion (HGSIL)",
    "79675": "Anal high risk human papillomavirus (HPV) DNA test positive",
    "7989": "Unattended death",
    "79901": "Asphyxia",
    "79923": "Impulsiveness",
    "80026": "Closed fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with loss of consciousness of unspecified duration",
    "80041": "Closed fracture of vault of skull with intracranial injury of other and unspecified nature, with no loss of consciousness",
    "80049": "Closed fracture of vault of skull with intracranial injury of other and unspecified nature, with concussion, unspecified",
    "80059": "Open fracture of vault of skull without mention of intracranial injury, with concussion, unspecified",
    "80072": "Open fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with brief [less than one hour] loss of consciousness",
    "80074": "Open fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80079": "Open fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with concussion, unspecified",
    "80111": "Closed fracture of base of skull with cerebral laceration and contusion, with no loss of consciousness",
    "80130": "Closed fracture of base of skull with other and unspecified intracranial hemorrhage, unspecified state of consciousness",
    "80133": "Closed fracture of base of skull with other and unspecified intracranial hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80134": "Closed fracture of base of skull with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80164": "Open fracture of base of skull with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80227": "Closed fracture of mandible, alveolar border of body",
    "80234": "Open fracture of mandible, ramus, unspecified",
    "25202": "Secondary hyperparathyroidism, non-renal",
    "2531": "Other and unspecified anterior pituitary hyperfunction",
    "2537": "Iatrogenic pituitary disorders",
    "2640": "Vitamin A deficiency with conjunctival xerosis",
    "2641": "Vitamin A deficiency with conjunctival xerosis and Bitot's spot",
    "2661": "Vitamin B6 deficiency",
    "2712": "Hereditary fructose intolerance",
    "27411": "Uric acid nephrolithiasis",
    "2752": "Disorders of magnesium metabolism",
    "27787": "Disorders of mitochondrial metabolism",
    "27953": "Acute on chronic graft-versus-host disease",
    "28262": "Hb-SS disease with crisis",
    "28269": "Other sickle-cell disease with crisis",
    "283": "Acquired hemolytic anemias",
    "2848": "Other specified aplastic anemias",
    "2851": "Acute posthemorrhagic anemia",
    "28522": "Anemia in neoplastic disease",
    "2859": "Anemia, unspecified",
    "2872": "Other nonthrombocytopenic purpuras",
    "2875": "Thrombocytopenia, unspecified",
    "2884": "Hemophagocytic syndromes",
    "28984": "Heparin-induced thrombocytopenia (HIT)",
    "44827405": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7240": "Pregnancy examination or test, pregnancy unconfirmed",
    "V7263": "Pre-procedural laboratory examination",
    "V7282": "Pre-operative respiratory examination",
    "V7284": "Pre-operative examination, unspecified",
    "44827410": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827411": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827412": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827413": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V739": "Screening examination for unspecified viral disease",
    "V744": "Screening examination for bacterial conjunctivitis",
    "V756": "Screening examination for filariasis",
    "44827417": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827418": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827419": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7651": "Special screening for malignant neoplasms of colon",
    "V7652": "Special screening for malignant neoplasms of small intestine",
    "V7689": "Special screening for other malignant neoplasms",
    "44827423": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "94320": "Blisters, epidermal loss [second degree] of upper limb, unspecified site",
    "94400": "Burn of unspecified degree of hand, unspecified site",
    "94417": "Erythema [first degree] of wrist",
    "94432": "Full-thickness skin loss [third degree, not otherwise specified] of thumb (nail)",
    "94438": "Full-thickness skin loss [third degree, not otherwise specified] of multiple sites of wrist(s) and hand(s)",
    "94511": "Erythema [first degree] of toe(s) (nail)",
    "94534": "Full-thickness skin loss [third degree nos] of lower leg",
    "94539": "Full-thickness skin loss [third degree NOS] of multiple sites of lower limb(s)",
    "8405": "Subscapularis (muscle) sprain",
    "66821": "Central nervous system complications of anesthesia or other sedation in labor and delivery, delivered, with or without mention of antepartum condition",
    "66943": "Other complications of obstetrical surgery and procedures, antepartum condition or complication",
    "66971": "Cesarean delivery, without mention of indication, delivered, with or without mention of antepartum condition",
    "67140": "Deep phlebothrombosis, postpartum, unspecified as to episode of care or not applicable",
    "67150": "Other phlebitis and thrombosis complicating pregnancy and the puerperium, unspecified as to episode of care or not applicable",
    "67154": "Other phlebitis and thrombosis complicating pregnancy and the puerperium, postpartum condition or complication",
    "672": "Pyrexia of unknown origin during the puerperium",
    "67200": "Pyrexia of unknown origin during the puerperium, unspecified as to episode of care or not applicable",
    "6732": "Obstetrical blood-clot embolism",
    "67430": "Other complications of obstetrical surgical wounds, unspecified as to episode of care or not applicable",
    "67484": "Other complications of puerperium, postpartum condition or complication",
    "67502": "Infections of nipple associated with childbirth, delivered, with mention of postpartum complication",
    "67652": "Suppressed lactation, delivered, with mention of postpartum complication",
    "67813": "Fetal conjoined twins, antepartum condition or complication",
    "6810": "Cellulitis and abscess of finger",
    "6822": "Cellulitis and abscess of trunk",
    "6828": "Cellulitis and abscess of other specified sites",
    "686": "Other local infections of skin and subcutaneous tissue",
    "6860": "Pyoderma",
    "6868": "Other specified local infections of skin and subcutaneous tissue",
    "690": "Erythematosquamous dermatosis",
    "6926": "Contact dermatitis and other eczema due to plants [except food]",
    "69515": "Toxic epidermal necrolysis",
    "6952": "Erythema nodosum",
    "6971": "Lichen nitidus",
    "6983": "Lichenification and lichen simplex chronicus",
    "706": "Diseases of sebaceous glands",
    "7099": "Unspecified disorder of skin and subcutaneous tissue",
    "71113": "Arthropathy associated with Reiter's disease and nonspecific urethritis, forearm",
    "71118": "Arthropathy associated with Reiter's disease and nonspecific urethritis, other specified sites",
    "71121": "Arthropathy in Behcet's syndrome, shoulder region",
    "71132": "Postdysenteric arthropathy, upper arm",
    "71160": "Arthropathy associated with mycoses, site unspecified",
    "71171": "Arthropathy associated with helminthiasis, shoulder region",
    "71175": "Arthropathy associated with helminthiasis, pelvic region and thigh",
    "71192": "Unspecified infective arthritis, upper arm",
    "71220": "Chondrocalcinosis, due to pyrophosphate crystals, site unspecified",
    "71226": "Chondrocalcinosis, due to pyrophosphate crystals, lower leg",
    "71227": "Chondrocalcinosis, due to pyrophosphate crystals, ankle and foot",
    "71238": "Chondrocalcinosis, unspecified, other specified sites",
    "7144": "Chronic postrheumatic arthropathy",
    "71481": "Rheumatoid lung",
    "71535": "Osteoarthrosis, localized, not specified whether primary or secondary, pelvic region and thigh",
    "71598": "Osteoarthrosis, unspecified whether generalized or localized, other specified sites",
    "71606": "Kaschin-Beck disease, lower leg",
    "71610": "Traumatic arthropathy, site unspecified",
    "71640": "Transient arthropathy, site unspecified",
    "71641": "Transient arthropathy, shoulder region",
    "71666": "Unspecified monoarthritis, lower leg",
    "71698": "Arthropathy, unspecified, other specified sites",
    "71699": "Arthropathy, unspecified, multiple sites",
    "7173": "Other and unspecified derangement of medial meniscus",
    "71743": "Derangement of posterior horn of lateral meniscus",
    "85195": "Other and unspecified cerebral laceration and contusion, with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "64940": "Epilepsy complicating pregnancy, childbirth, or the puerperium, unspecified as to episode of care or not applicable",
    "64941": "Epilepsy complicating pregnancy, childbirth, or the puerperium, delivered, with or without mention of antepartum condition",
    "64942": "Epilepsy complicating pregnancy, childbirth, or the puerperium, delivered, with mention of postpartum complication",
    "65183": "Other specified multiple gestation, antepartum condition or complication",
    "65211": "Breech or other malpresentation successfully converted to cephalic presentation, delivered, with or without mention of antepartum condition",
    "6533": "Outlet contraction of pelvis in pregnancy, labor, and delivery",
    "65412": "Tumors of body of uterus, delivered, with mention of postpartum complication",
    "65413": "Tumors of body of uterus, antepartum condition or complication",
    "6543": "Retroverted and incarcerated gravid uterus",
    "6547": "Congenital or acquired abnormality of vagina complicating pregnancy, childbirth, or the puerperium",
    "65470": "Congenital or acquired abnormality of vagina, unspecified as to episode of care or not applicable",
    "65474": "Congenital or acquired abnormality of vagina, postpartum condition or complication",
    "65583": "Other known or suspected fetal abnormality, not elsewhere classified, affecting management of mother, antepartum condition or complication",
    "65670": "Other placental conditions, affecting management of mother, unspecified as to episode of care or not applicable",
    "65700": "Polyhydramnios, unspecified as to episode of care or not applicable",
    "65813": "Premature rupture of membranes, antepartum condition or complication",
    "65840": "Infection of amniotic cavity, unspecified as to episode of care or not applicable",
    "65951": "Elderly primigravida, delivered, with or without mention of antepartum condition",
    "66011": "Obstruction by bony pelvis during labor, delivered, with or without mention of antepartum condition",
    "66020": "Obstruction by abnormal pelvic soft tissues during labor, unspecified as to episode of care or not applicable",
    "66100": "Primary uterine inertia, unspecified as to episode of care or not applicable",
    "66113": "Secondary uterine inertia, antepartum condition or complication",
    "66190": "Unspecified abnormality of labor, unspecified as to episode of care or not applicable",
    "66203": "Prolonged first stage of labor, antepartum condition or complication",
    "663": "Umbilical cord complications during labor and delivery",
    "66320": "Other and unspecified cord entanglement, with compression, complicating labor and delivery, unspecified as to episode of care or not applicable",
    "66511": "Rupture of uterus during labor, delivered, with or without mention of antepartum condition",
    "66520": "Inversion of uterus, unspecified as to episode of care or not applicable",
    "66540": "High vaginal laceration, unspecified as to episode of care or not applicable",
    "66570": "Pelvic hematoma, unspecified as to episode of care or not applicable",
    "66600": "Third-stage postpartum hemorrhage, unspecified as to episode of care or not applicable",
    "66620": "Delayed and secondary postpartum hemorrhage, unspecified as to episode of care or not applicable",
    "66622": "Delayed and secondary postpartum hemorrhage, delivered, with mention of postpartum complication",
    "6663": "Postpartum coagulation defects",
    "66710": "Retained portions of placenta or membranes, without hemorrhage, unspecified as to episode of care or not applicable",
    "66812": "Cardiac complications of anesthesia or other sedation in labor and delivery, delivered, with mention of postpartum complication",
    "66930": "Acute kidney failure following labor and delivery, unspecified as to episode of care or not applicable",
    "66960": "Breech extraction, without mention of indication, unspecified as to episode of care or not applicable",
    "670": "Major puerperal infection",
    "67124": "Superficial thrombophlebitis complicating pregnancy and the puerperium, postpartum condition or complication",
    "2921": "Drug-induced psychotic disorders",
    "29512": "Disorganized type schizophrenia, chronic",
    "29560": "Schizophrenic disorders, residual type, unspecified",
    "29591": "Unspecified schizophrenia, subchronic",
    "29592": "Unspecified schizophrenia, chronic",
    "29613": "Manic affective disorder, recurrent episode, severe, without mention of psychotic behavior",
    "2963": "Major depressive disorder, recurrent episode",
    "2983": "Acute paranoid reaction",
    "29901": "Autistic disorder, residual state",
    "29910": "Childhood disintegrative disorder, current or active state",
    "29981": "Other specified pervasive developmental disorders, residual state",
    "30089": "Other somatoform disorders",
    "30110": "Affective personality disorder, unspecified",
    "30111": "Chronic hypomanic personality disorder",
    "30122": "Schizotypal personality disorder",
    "30159": "Other histrionic personality disorder",
    "3020": "Ego-dystonic sexual orientation",
    "30250": "Trans-sexualism with unspecified sexual history",
    "30391": "Other and unspecified alcohol dependence, continuous",
    "3046": "Other specified drug dependence",
    "30530": "Hallucinogen abuse, unspecified",
    "30582": "Antidepressant type abuse, episodic",
    "30720": "Tic disorder, unspecified",
    "30723": "Tourette's disorder",
    "30741": "Transient disorder of initiating or maintaining sleep",
    "3081": "Predominant disturbance of consciousness",
    "31220": "Socialized conduct disorder, unspecified",
    "31221": "Socialized conduct disorder, mild",
    "31381": "Oppositional defiant disorder",
    "314": "Hyperkinetic syndrome of childhood",
    "31500": "Developmental reading disorder, unspecified",
    "3159": "Unspecified delay in development",
    "3180": "Moderate intellectual disabilities",
    "3202": "Streptococcal meningitis",
    "32301": "Encephalitis and encephalomyelitis in viral diseases classified elsewhere",
    "32709": "Other organic insomnia",
    "32723": "Obstructive sleep apnea (adult)(pediatric)",
    "32734": "Circadian rhythm sleep disorder, free-running type",
    "32735": "Circadian rhythm sleep disorder, jet lag type",
    "32759": "Other organic sleep related movement disorders",
    "3315": "Idiopathic normal pressure hydrocephalus (INPH)",
    "3321": "Secondary parkinsonism",
    "33523": "Pseudobulbar palsy",
    "3358": "Other anterior horn cell diseases",
    "337": "Disorders of the autonomic nervous system",
    "3370": "Idiopathic peripheral autonomic neuropathy",
    "33982": "Headache associated with sexual activity",
    "3421": "Spastic hemiplegia",
    "3432": "Congenital quadriplegia",
    "44826248": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826249": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826250": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826251": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7389": "Special screening examination for other specified viral diseases",
    "V7399": "Special screening examination for unspecified viral disease",
    "44826254": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826255": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V759": "Screening examination for unspecified infectious disease",
    "44826257": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "94541": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of toe(s)(nail)",
    "9474": "Burn of vagina and uterus",
    "94833": "Burn [any degree] involving 30-39 percent of body surface with third degree burn, 30-39%",
    "9488": "Burn [any degree] involving 80-89 percent of body surface",
    "94890": "Burn [any degree] involving 90 percent or more of body surface with third degree burn, less than 10 percent or unspecified",
    "94899": "Burn [any degree] involving 90 percent or more of body surface with third degree burn, 90% or more of body surface",
    "9493": "Full-thickness skin loss [third degree nos]",
    "95208": "C5-C7 level with central cord syndrome",
    "954": "Injury to other nerve(s) of trunk, excluding shoulder and pelvic girdles",
    "955": "Injury to peripheral nerve(s) of shoulder girdle and upper limb",
    "9555": "Injury to cutaneous sensory nerve, upper limb",
    "9580": "Air embolism",
    "9587": "Traumatic subcutaneous emphysema",
    "95891": "Traumatic compartment syndrome of upper extremity",
    "959": "Injury, other and unspecified",
    "9624": "Poisoning by anterior pituitary hormones",
    "9629": "Poisoning by other and unspecified hormones and synthetic substitutes",
    "9640": "Poisoning by iron and its compounds",
    "9664": "Poisoning by anti-Parkinsonism drugs",
    "9686": "Poisoning by peripheral nerve- and plexus-blocking anesthetics",
    "96903": "Poisoning by selective serotonin reuptake inhibitors",
    "9763": "Poisoning by emollients, demulcents, and protectants",
    "9786": "Poisoning by pertussis vaccine, including combinations with a pertussis component",
    "9851": "Toxic effect of arsenic and its compounds",
    "9876": "Toxic effect of chlorine gas",
    "9896": "Toxic effect of soaps and detergents",
    "98981": "Toxic effect of asbestos",
    "98983": "Toxic effect of silicone",
    "9931": "Barotrauma, sinus",
    "9946": "Motion sickness",
    "9954": "Shock due to anesthesia, not elsewhere classified",
    "99550": "Child abuse, unspecified",
    "99569": "Anaphylactic reaction due to other specified food",
    "99602": "Mechanical complication due to heart valve prosthesis",
    "99603": "Mechanical complication due to coronary bypass graft",
    "99631": "Mechanical complication due to urethral (indwelling) catheter",
    "9964": "Mechanical complication of internal orthopedic device, implant, and graft",
    "99640": "Unspecified mechanical complication of internal orthopedic device, implant, and graft",
    "99641": "Mechanical loosening of prosthetic joint",
    "99647": "Other mechanical complication of prosthetic joint implant",
    "99653": "Mechanical complication due to ocular lens prosthesis",
    "99686": "Complications of transplanted pancreas",
    "99687": "Complications of transplanted intestine",
    "9969": "Complications of reattached extremity or body part",
    "99741": "Retained cholelithiasis following cholecystectomy",
    "9980": "Postoperative shock",
    "99800": "Postoperative shock, unspecified",
    "9985": "Postoperative infection",
    "99881": "Emphysema (subcutaneous) (surgical) resulting from procedure",
    "9992": "Other vascular complications of medical care, not elsewhere classified",
    "99934": "Acute infection following transfusion, infusion, or injection of blood and blood products",
    "49122": "Obstructive chronic bronchitis with acute bronchitis",
    "4956": "Maple bark-strippers' lung",
    "510": "Empyema",
    "514": "Pulmonary congestion and hypostasis",
    "5162": "Pulmonary alveolar microlithiasis",
    "71819": "Loose body in joint, multiple sites",
    "71833": "Recurrent dislocation of joint, forearm",
    "71858": "Ankylosis of joint, other specified sites",
    "71875": "Developmental dislocation of joint, pelvic region and thigh",
    "71885": "Other joint derangement, not elsewhere classified, pelvic region and thigh",
    "71906": "Effusion of joint, lower leg",
    "7193": "Palindromic rheumatism",
    "37851": "Third or oculomotor nerve palsy, partial",
    "37855": "External ophthalmoplegia",
    "37884": "Convergence excess or spasm",
    "37922": "Crystalline deposits in vitreous",
    "37929": "Other disorders of vitreous",
    "3793": "Aphakia and other disorders of lens",
    "37957": "Deficiencies of saccadic eye movements",
    "37991": "Pain in or around eye",
    "38051": "Acquired stenosis of external ear canal secondary to trauma",
    "38103": "Acute sanguinous otitis media",
    "38106": "Acute allergic sanguinous otitis media",
    "3814": "Nonsuppurative otitis media, not specified as acute or chronic",
    "38150": "Eustachian salpingitis, unspecified",
    "38161": "Osseous obstruction of Eustachian tube",
    "38330": "Postmastoidectomy complication, unspecified",
    "38631": "Serous labyrinthitis",
    "38641": "Round window fistula",
    "3865": "Labyrinthine dysfunction",
    "38844": "Auditory recruitment",
    "38916": "Sensorineural hearing loss, asymmetrical",
    "3962": "Mitral valve insufficiency and aortic valve stenosis",
    "40200": "Malignant hypertensive heart disease without heart failure",
    "40290": "Unspecified hypertensive heart disease without heart failure",
    "404": "Hypertensive heart and chronic kidney disease",
    "40519": "Other benign secondary hypertension",
    "41011": "Acute myocardial infarction of other anterior wall, initial episode of care",
    "4111": "Intermediate coronary syndrome",
    "414": "Other forms of chronic ischemic heart disease",
    "41412": "Dissection of coronary artery",
    "4168": "Other chronic pulmonary heart diseases",
    "4238": "Other specified diseases of pericardium",
    "4260": "Atrioventricular block, complete",
    "42612": "Mobitz (type) II atrioventricular block",
    "4262": "Left bundle branch hemiblock",
    "4266": "Other heart block",
    "42682": "Long QT syndrome",
    "4276": "Premature beats",
    "4281": "Left heart failure",
    "42841": "Acute combined systolic and diastolic heart failure",
    "4289": "Heart failure, unspecified",
    "4293": "Cardiomegaly",
    "43300": "Occlusion and stenosis of basilar artery without mention of cerebral infarction",
    "4339": "Occlusion and stenosis of unspecified precerebral artery",
    "43390": "Occlusion and stenosis of unspecified precerebral artery without mention of cerebral infarction",
    "4352": "Subclavian steal syndrome",
    "4379": "Unspecified cerebrovascular disease",
    "43852": "Late effects of cerebrovascular disease, other paralytic syndrome affecting nondominant side",
    "44023": "Atherosclerosis of native arteries of the extremities with ulceration",
    "44322": "Dissection of iliac artery",
    "4470": "Arteriovenous fistula, acquired",
    "4473": "Hyperplasia of renal artery",
    "4475": "Necrosis of artery",
    "45371": "Chronic venous embolism and thrombosis of superficial veins of upper extremity",
    "45384": "Acute venous embolism and thrombosis of axillary veins",
    "45385": "Acute venous embolism and thrombosis of subclavian veins",
    "4553": "External hemorrhoids without mention of complication",
    "67152": "Other phlebitis and thrombosis complicating pregnancy and the puerperium, delivered, with mention of postpartum complication",
    "67401": "Cerebrovascular disorders in the puerperium, delivered, with or without mention of antepartum condition",
    "67402": "Cerebrovascular disorders in the puerperium, delivered, with mention of postpartum complication",
    "6741": "Disruption of cesarean wound",
    "67424": "Disruption of perineal wound, postpartum condition or complication",
    "67444": "Placental polyp, postpartum condition or complication",
    "67514": "Abscess of breast associated with childbirth, postpartum condition or complication",
    "2322": "Carcinoma in situ of skin of ear and external auditory canal",
    "23330": "Carcinoma in situ, unspecified female genital organ",
    "23332": "Carcinoma in situ, vulva",
    "2340": "Carcinoma in situ of eye",
    "2369": "Neoplasm of uncertain behavior of other and unspecified urinary organs",
    "2370": "Neoplasm of uncertain behavior of pituitary gland and craniopharyngeal duct",
    "2373": "Neoplasm of uncertain behavior of paraganglia",
    "2379": "Neoplasm of uncertain behavior of other and unspecified parts of nervous system",
    "2386": "Neoplasm of uncertain behavior of plasma cells",
    "23981": "Neoplasms of unspecified nature, retina and choroid",
    "2409": "Goiter, unspecified",
    "242": "Thyrotoxicosis with or without goiter",
    "24231": "Toxic nodular goiter, unspecified type, with mention of thyrotoxic crisis or storm",
    "2449": "Unspecified acquired hypothyroidism",
    "2454": "Iatrogenic thyroiditis",
    "2495": "Secondary diabetes mellitus with ophthalmic manifestations",
    "2497": "Secondary diabetes mellitus with peripheral circulatory disorders",
    "24980": "Secondary diabetes mellitus with other specified manifestations, not stated as uncontrolled, or unspecified",
    "2499": "Secondary diabetes mellitus with unspecified complication",
    "24990": "Secondary diabetes mellitus with unspecified complication, not stated as uncontrolled, or unspecified",
    "2501": "Diabetes with ketoacidosis",
    "2505": "Diabetes with ophthalmic manifestations",
    "25060": "Diabetes with neurological manifestations, type II or unspecified type, not stated as uncontrolled",
    "2520": "Hyperparathyroidism",
    "2562": "Postablative ovarian failure",
    "25631": "Premature menopause",
    "2568": "Other ovarian dysfunction",
    "2639": "Unspecified protein-calorie malnutrition",
    "266": "Deficiency of B-complex components",
    "2693": "Mineral deficiency, not elsewhere classified",
    "270": "Disorders of amino-acid transport and metabolism",
    "2710": "Glycogenosis",
    "2750": "Disorders of iron metabolism",
    "2751": "Disorders of copper metabolism",
    "27541": "Hypocalcemia",
    "2762": "Acidosis",
    "27651": "Dehydration",
    "2774": "Disorders of bilirubin excretion",
    "2775": "Mucopolysaccharidosis",
    "27905": "Immunodeficiency with increased IgM",
    "2791": "Deficiency of cell-mediated immunity",
    "27950": "Graft-versus-host disease, unspecified",
    "2798": "Other specified disorders involving the immune mechanism",
    "2809": "Iron deficiency anemia, unspecified",
    "28243": "Alpha thalassemia",
    "2825": "Sickle-cell trait",
    "2828": "Other specified hereditary hemolytic anemias",
    "2858": "Other specified anemias",
    "2883": "Eosinophilia",
    "28859": "Other decreased white blood cell count",
    "V762": "Screening for malignant neoplasms of cervix",
    "V764": "Screening for malignant neoplasms of other sites",
    "V7642": "Screening for malignant neoplasms of oral cavity",
    "V7645": "Screening for malignant neoplasms of testis",
    "V7647": "Special screening for malignant neoplasms of vagina",
    "V7649": "Special screening for malignant neoplasms of other sites",
    "44826264": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826265": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "51633": "Acute interstitial pneumonitis",
    "51852": "Other pulmonary insufficiency, not elsewhere classified, following trauma and surgery",
    "51909": "Other tracheostomy complications",
    "5193": "Other diseases of mediastinum, not elsewhere classified",
    "520": "Disorders of tooth development and eruption",
    "5200": "Anodontia",
    "52107": "Dental caries of smooth surface",
    "52181": "Cracked tooth",
    "5231": "Chronic gingivitis",
    "52333": "Acute periodontitis",
    "5234": "Chronic periodontitis",
    "5242": "Anomalies of dental arch relationship",
    "52423": "Malocclusion, Angle's class III",
    "52469": "Other specified temporomandibular joint disorders",
    "52489": "Other specified dentofacial anomalies",
    "52511": "Loss of teeth due to trauma",
    "52521": "Minimal atrophy of the mandible",
    "52540": "Complete edentulism, unspecified",
    "5264": "Inflammatory conditions of jaw",
    "5274": "Fistula of salivary gland",
    "53010": "Esophagitis, unspecified",
    "53020": "Ulcer of esophagus without bleeding",
    "5303": "Stricture and stenosis of esophagus",
    "5310": "Acute gastric ulcer with hemorrhage",
    "53120": "Acute gastric ulcer with hemorrhage and perforation, without mention of obstruction",
    "53140": "Chronic or unspecified gastric ulcer with hemorrhage, without mention of obstruction",
    "533": "Peptic ulcer, site unspecified",
    "4558": "Unspecified hemorrhoids with other complication",
    "4590": "Hemorrhage, unspecified",
    "4593": "Chronic venous hypertension (idiopathic)",
    "4613": "Acute sphenoidal sinusitis",
    "47411": "Hypertrophy of tonsils alone",
    "47832": "Unilateral paralysis of vocal cords or larynx, complete",
    "4822": "Pneumonia due to Hemophilus influenzae [H. influenzae]",
    "4881": "Influenza due to identified 2009 H1N1 influenza virus",
    "48811": "Influenza due to identified 2009 H1N1 influenza virus with pneumonia",
    "4920": "Emphysematous bleb",
    "494": "Bronchiectasis",
    "500": "Coal workers' pneumoconiosis",
    "502": "Pneumoconiosis due to other silica or silicates",
    "5122": "Postoperative air leak",
    "0951": "Syphilis of lung",
    "09817": "Gonococcal salpingitis, specified as acute",
    "09831": "Gonococcal cystitis, chronic",
    "099": "Other venereal diseases",
    "110": "Dermatophytosis",
    "112": "Candidiasis",
    "1141": "Primary extrapulmonary coccidioidomycosis",
    "1145": "Pulmonary coccidioidomycosis, unspecified",
    "1202": "Schistosomiasis due to schistosoma japonicum",
    "1209": "Schistosomiasis, unspecified",
    "1213": "Fascioliasis",
    "1218": "Other specified trematode infections",
    "1229": "Echinococcosis, other and unspecified",
    "128": "Other and unspecified helminthiases",
    "1281": "Gnathostomiasis",
    "1370": "Late effects of respiratory or unspecified tuberculosis",
    "1371": "Late effects of central nervous system tuberculosis",
    "1401": "Malignant neoplasm of lower lip, vermilion border",
    "1413": "Malignant neoplasm of ventral surface of tongue",
    "1440": "Malignant neoplasm of anterior portion of floor of mouth",
    "1499": "Malignant neoplasm of ill-defined sites within the lip and oral cavity",
    "1500": "Malignant neoplasm of cervical esophagus",
    "151": "Malignant neoplasm of stomach",
    "1579": "Malignant neoplasm of pancreas, part unspecified",
    "158": "Malignant neoplasm of retroperitoneum and peritoneum",
    "1599": "Malignant neoplasm of ill-defined sites within the digestive organs and peritoneum",
    "1648": "Malignant neoplasm of other parts of mediastinum",
    "1713": "Malignant neoplasm of connective and other soft tissue of lower limb, including hip",
    "1723": "Malignant melanoma of skin of other and unspecified parts of face",
    "1729": "Melanoma of skin, site unspecified",
    "1731": "Other and unspecified malignant neoplasm of skin of eyelid, including canthus",
    "17341": "Basal cell carcinoma of scalp and skin of neck",
    "17351": "Basal cell carcinoma of skin of trunk, except scrotum",
    "1821": "Malignant neoplasm of isthmus",
    "1843": "Malignant neoplasm of clitoris",
    "1916": "Malignant neoplasm of cerebellum nos",
    "1919": "Malignant neoplasm of brain, unspecified",
    "1923": "Malignant neoplasm of spinal meninges",
    "1968": "Secondary and unspecified malignant neoplasm of lymph nodes of multiple sites",
    "1987": "Secondary malignant neoplasm of adrenal gland",
    "1988": "Secondary malignant neoplasm of other specified sites",
    "20042": "Mantle cell lymphoma, intrathoracic lymph nodes",
    "20052": "Primary central nervous system lymphoma, intrathoracic lymph nodes",
    "2006": "Anaplastic large cell lymphoma",
    "20061": "Anaplastic large cell lymphoma, lymph nodes of head, face, and neck",
    "20126": "Hodgkin's sarcoma, intrapelvic lymph nodes",
    "20207": "Nodular lymphoma, spleen",
    "20247": "Leukemic reticuloendotheliosis, spleen",
    "2889": "Unspecified disease of white blood cells",
    "2931": "Subacute delirium",
    "29503": "Simple type schizophrenia, subchronic with acute exacerbation",
    "29523": "Catatonic type schizophrenia, subchronic with acute exacerbation",
    "29544": "Schizophreniform disorder, chronic with acute exacerbation",
    "29551": "Latent schizophrenia, subchronic",
    "29565": "Schizophrenic disorders, residual type, in remission",
    "2960": "Bipolar I disorder, single manic episode",
    "2966": "Bipolar I disorder, most recent episode (or current) mixed",
    "2981": "Excitative type psychosis",
    "30014": "Dissociative identity disorder",
    "30016": "Factitious disorder with predominantly psychological signs and symptoms",
    "30019": "Other and unspecified factitious illness",
    "3013": "Explosive personality disorder",
    "3030": "Acute alcoholic intoxication",
    "30393": "Other and unspecified alcohol dependence, in remission",
    "30441": "Amphetamine and other psychostimulant dependence, continuous",
    "30443": "Amphetamine and other psychostimulant dependence, in remission",
    "E840": "Accident to powered aircraft at takeoff or landing",
    "E842": "Accident to unpowered aircraft",
    "E846": "Accidents involving powered vehicles used solely within the buildings and premises of industrial or commercial establishment",
    "E8521": "Accidental poisoning by paraldehyde",
    "E8558": "Accidental poisoning by other specified drugs acting on central and autonomic nervous systems",
    "E8608": "Accidental poisoning by other specified alcohols",
    "E8637": "Accidental poisoning by rodenticides",
    "E8721": "Failure of sterile precautions during infusion or transfusion",
    "E8765": "Performance of wrong operation (procedure) on correct patient",
    "E8782": "Surgical operation with anastomosis, bypass, or graft, with natural or artificial tissues used as implant causing abnormal patient reaction, or later complication, without mention of misadventure at time of operation",
    "E8789": "Unspecified surgical operations and procedures causing abnormal patient reaction, or later complication, without mention of misadventure at time of operation",
    "E8790": "Cardiac catheterization as the cause of abnormal reaction of patient, or of later complication, without mention of misadventure at time of procedure",
    "E8795": "Insertion of gastric or duodenal sound as the cause of abnormal reaction of patient, or of later complication, without mention of misadventure of time of procedure",
    "E8839": "Accidental fall into other hole or other opening in surface",
    "E8853": "Fall from skis",
    "E8909": "Unspecified accident resulting from conflagration in private dwelling",
    "E9053": "Sting of hornets, wasps, and bees causing poisoning and toxic reactions",
    "E9056": "Venomous marine animals and plants causing poisoning and toxic reactions",
    "E9064": "Bite of nonvenomous arthropod",
    "E9093": "Collapse of dam or man-made structure",
    "E9104": "Accidental drowning and submersion in bathtub",
    "V772": "Screening for malnutrition",
    "44826267": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V813": "Screening for chronic bronchitis and emphysema",
    "44826269": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826270": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8542": "Body Mass Index 45.0-49.9, adult",
    "44826273": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826274": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8744": "Personal history of inhaled steroid therapy",
    "44826276": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8829": "Acquired absence of other joint",
    "V8903": "Suspected fetal anomaly not found",
    "44826279": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "53300": "Acute peptic ulcer of unspecified site with hemorrhage, without mention of obstruction",
    "53310": "Acute peptic ulcer of unspecified site with perforation, without mention of obstruction",
    "53320": "Acute peptic ulcer of unspecified site with hemorrhage and perforation, without mention of obstruction",
    "5340": "Acute gastrojejunal ulcer with hemorrhage",
    "53431": "Acute gastrojejunal ulcer without mention of hemorrhage or perforation, with obstruction",
    "53440": "Chronic or unspecified gastrojejunal ulcer with hemorrhage, without mention of obstruction",
    "53451": "Chronic or unspecified gastrojejunal ulcer with perforation, with obstruction",
    "53460": "Chronic or unspecified gastrojejunal ulcer with hemorrhage and perforation, without mention of obstruction",
    "53470": "Chronic gastrojejunal ulcer without mention of hemorrhage or perforation, without mention of obstruction",
    "53783": "Angiodysplasia of stomach and duodenum with hemorrhage",
    "5379": "Unspecified disorder of stomach and duodenum",
    "5522": "Ventral hernia with obstruction",
    "553": "Other hernia of abdominal cavity without mention of obstruction or gangrene",
    "55302": "Femoral hernia without mention of obstruction or gangrene, bilateral (not specified as recurrent)",
    "55321": "Incisional hernia without mention of obstruction or gangrene",
    "5539": "Hernia of unspecified site without mention of obstruction or gangrene",
    "5552": "Regional enteritis of small intestine with large intestine",
    "5600": "Intussusception",
    "56032": "Fecal impaction",
    "56481": "Neurogenic bowel",
    "5671": "Pneumococcal peritonitis",
    "56738": "Other retroperitoneal abscess",
    "570": "Acute and subacute necrosis of liver",
    "5724": "Hepatorenal syndrome",
    "5747": "Calculus of gallbladder and bile duct with other cholecystitis",
    "5748": "Calculus of gallbladder and bile duct with acute and chronic cholecystitis",
    "57491": "Calculus of gallbladder and bile duct without cholecystitis, with obstruction",
    "5753": "Hydrops of gallbladder",
    "5778": "Other specified diseases of pancreas",
    "5794": "Pancreatic steatorrhea",
    "5798": "Other specified intestinal malabsorption",
    "5808": "Acute glomerulonephritis with other specified pathological lesion in kidney",
    "582": "Chronic glomerulonephritis",
    "20880": "Other leukemia of unspecified cell type, without mention of having achieved remission",
    "20914": "Malignant carcinoid tumor of the transverse colon",
    "20915": "Malignant carcinoid tumor of the descending colon",
    "2095": "Benign carcinoid tumors of the appendix, large intestine, and rectum",
    "2027": "Peripheral T-cell lymphoma",
    "20298": "Other and unspecified malignant neoplasms of lymphoid and histiocytic tissue, lymph nodes of multiple sites",
    "20501": "Acute myeloid leukemia, in remission",
    "20502": "Acute myeloid leukemia, in relapse",
    "20710": "Chronic erythremia, without mention of having achieved remission",
    "20810": "Chronic leukemia of unspecified cell type, without mention of having achieved remission",
    "20882": "Other leukemia of unspecified cell type, in relapse",
    "20925": "Malignant carcinoid tumor of foregut, not otherwise specified",
    "20932": "Merkel cell carcinoma of the scalp and neck",
    "20975": "Secondary Merkel cell carcinoma",
    "20979": "Secondary neuroendocrine tumor of other sites",
    "212": "Benign neoplasm of respiratory and intrathoracic organs",
    "213": "Benign neoplasm of bone and articular cartilage",
    "2222": "Benign neoplasm of prostate",
    "2229": "Benign neoplasm of male genital organ, site unspecified",
    "2259": "Benign neoplasm of nervous system, part unspecified",
    "2278": "Benign neoplasm of other endocrine glands and related structures",
    "2300": "Carcinoma in situ of lip, oral cavity, and pharynx",
    "8418": "Sprains and strains of other specified sites of elbow and forearm",
    "8431": "Ischiocapsular (ligament) sprain",
    "8450": "Ankle sprain",
    "84513": "Sprain of interphalangeal (joint), toe",
    "8461": "Sprain of sacroiliac ligament",
    "8470": "Sprain of neck",
    "8471": "Sprain of thoracic",
    "8472": "Sprain of lumbar",
    "8480": "Sprain of septal cartilage of nose",
    "8509": "Concussion, unspecified",
    "85109": "Cortex (cerebral) contusion without mention of open intracranial wound, with concussion, unspecified",
    "85130": "Cortex (cerebral) laceration with open intracranial wound, unspecified state of consciousness",
    "85134": "Cortex (cerebral) laceration with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85175": "Cerebellar or brain stem laceration with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "8519": "Other and unspecified cerebral laceration and contusion, with open intracranial wound",
    "85193": "Other and unspecified cerebral laceration and contusion, with open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "852": "Subarachnoid, subdural, and extradural hemorrhage, following injury",
    "8520": "Subarachnoid hemorrhage following injury without mention of open intracranial wound",
    "85202": "Subarachnoid hemorrhage following injury without mention of open intracranial wound, with brief [less than one hour] loss of consciousness",
    "85204": "Subarachnoid hemorrhage following injury without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85205": "Subarachnoid hemorrhage following injury without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85256": "Extradural hemorrhage following injury with open intracranial wound, with loss of consciousness of unspecified duration",
    "86231": "Injury to bronchus with open wound into cavity",
    "86321": "Injury to duodenum, without open wound into cavity",
    "86343": "Injury to descending [left] colon, without mention of open wound into cavity",
    "86504": "Injury to spleen without mention of open wound into cavity, massive parenchymal disruption",
    "86510": "Injury to spleen with open wound into cavity, unspecified injury",
    "86514": "Injury to spleen with open wound into cavity, massive parenchyma disruption",
    "8660": "Injury to kidney without mention of open wound into cavity",
    "8673": "Injury to ureter, with open wound into cavity",
    "86811": "Injury to other intra-abdominal organs with open wound into cavity, adrenal gland",
    "87262": "Open wound of ossicles, without mention of complication",
    "87353": "Open wound of lip, complicated",
    "E9171": "Striking against or struck accidentally by a crowd, by collective fear or panic",
    "E9173": "Striking against or struck accidentally by furniture without subsequent fall",
    "E9198": "Accidents caused by other specified machinery",
    "E9200": "Accidents caused by powered lawn mower",
    "E9220": "Accident caused by handgun",
    "E926": "Exposure to radiation",
    "E9260": "Exposure to radiofrequency radiation",
    "E9292": "Late effects of accidental poisoning",
    "E9399": "Unspecified psychotropic agent causing adverse effects in therapeutic use",
    "E9445": "Electrolytic, caloric, and water-balance agents causing adverse effects in therapeutic use",
    "E9507": "Suicide and self-inflicted poisoning by corrosive and caustic substances",
    "E9520": "Suicide and self-inflicted poisoning by motor vehicle exhaust gas",
    "E9528": "Suicide and self-inflicted poisoning by other specified gases and vapors",
    "E953": "Suicide and self-inflicted injury by hanging, strangulation, and suffocation",
    "85206": "Subarachnoid hemorrhage following injury without mention of open intracranial wound, with loss of consciousness of unspecified duration",
    "8522": "Subdural hemorrhage following injury without mention of open intracranial wound",
    "85232": "Subdural hemorrhage following injury with open intracranial wound, with brief [less than one hour] loss of consciousness",
    "85259": "Extradural hemorrhage following injury with open intracranial wound, with concussion, unspecified",
    "85312": "Other and unspecified intracranial hemorrhage following injury with open intracranial wound, with brief [less than one hour] loss of consciousness",
    "8610": "Heart injury, without mention of open wound into thorax",
    "86229": "Injury to other specified intrathoracic organs without mention of open wound into cavity",
    "8635": "Injury to colon or rectum with open wound into cavity",
    "E9332": "Acidifying agents causing adverse effects in therapeutic use",
    "E9378": "Other sedatives and hypnotics causing adverse effects in therapeutic use",
    "86381": "Injury to pancreas, head, without mention of open wound into cavity",
    "86500": "Injury to spleen without mention of open wound into cavity, unspecified injury",
    "86509": "Other injury into spleen without mention of open wound into cavity",
    "86610": "Injury to kidney with open wound into cavity, unspecified injury",
    "86612": "Injury to kidney with open wound into cavity, laceration",
    "87333": "Open wound of nasal sinus, complicated",
    "87350": "Open wound of face, unspecified site, complicated",
    "87359": "Open wound of other and multiple sites of face, complicated",
    "87364": "Open wound of tongue and floor of mouth, without mention of complication",
    "8741": "Open wound of larynx and trachea, complicated",
    "878": "Open wound of genital organs (external), including traumatic amputation",
    "8783": "Open wound of scrotum and testes, complicated",
    "8785": "Open wound of vulva, complicated",
    "44826280": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826281": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826282": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826283": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "005": "Other food poisoning (bacterial)",
    "006": "Amebiasis",
    "0069": "Amebiasis, unspecified",
    "00803": "Intestinal infection due to enteroinvasive E. coli",
    "00845": "Intestinal infection due to Clostridium difficile",
    "00863": "Enteritis due to norwalk virus",
    "00869": "Enteritis due to other viral enteritis",
    "01133": "Tuberculosis of bronchus, tubercle bacilli found (in sputum) by microscopy",
    "01151": "Tuberculous bronchiectasis, bacteriological or histological examination not done",
    "01152": "Tuberculous bronchiectasis, bacteriological or histological examination unknown (at present)",
    "01165": "Tuberculous pneumonia [any form], tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01323": "Tuberculoma of brain, tubercle bacilli found (in sputum) by microscopy",
    "01331": "Tuberculous abscess of brain, bacteriological or histological examination not done",
    "01334": "Tuberculous abscess of brain, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01395": "Unspecified tuberculosis of central nervous system, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "0140": "Tuberculous peritonitis",
    "01554": "Tuberculosis of limb bones, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01572": "Tuberculosis of other specified bone, bacteriological or histological examination unknown (at present)",
    "01583": "Tuberculosis of other specified joint, tubercle bacilli found (in sputum) by microscopy",
    "0159": "Tuberculosis of unspecified bones and joints",
    "016": "Tuberculosis of genitourinary system",
    "01631": "Tuberculosis of other urinary organs, bacteriological or histological examination not done",
    "E8910": "Explosion caused by conflagration in other and unspecified building or structure",
    "E9084": "Dust storm",
    "E9091": "Volcanic eruptions",
    "E9130": "Accidental mechanical suffocation in bed or cradle",
    "E9261": "Exposure to infra-red radiation from heaters and lamps",
    "E9274": "Cumulative trauma from repetitive impact",
    "E9279": "Unspecified overexertion and strenuous and repetitive movements or loads",
    "E928": "Other and unspecified environmental and accidental causes",
    "2123": "Benign neoplasm of bronchus and lung",
    "2136": "Benign neoplasm of pelvic bones, sacrum, and coccyx",
    "2158": "Other benign neoplasm of connective and other soft tissue of other specified sites",
    "2161": "Benign neoplasm of eyelid, including canthus",
    "2168": "Benign neoplasm of other specified sites of skin",
    "218": "Uterine leiomyoma",
    "228": "Hemangioma and lymphangioma, any site",
    "22803": "Hemangioma of retina",
    "2281": "Lymphangioma, any site",
    "2303": "Carcinoma in situ of colon",
    "2331": "Carcinoma in situ of cervix uteri",
    "2372": "Neoplasm of uncertain behavior of adrenal gland",
    "2393": "Neoplasm of unspecified nature of breast",
    "2397": "Neoplasm of unspecified nature of endocrine glands and other parts of nervous system",
    "24220": "Toxic multinodular goiter without mention of thyrotoxic crisis or storm",
    "24240": "Thyrotoxicosis from ectopic thyroid nodule without mention of thyrotoxic crisis or storm",
    "2443": "Other iatrogenic hypothyroidism",
    "245": "Thyroiditis",
    "2450": "Acute thyroiditis",
    "E9320": "Adrenal cortical steroids causing adverse effects in therapeutic use",
    "E9336": "Oral bisphosphonates",
    "E934": "Agents primarily affecting blood constituents causing adverse effects in therapeutic use",
    "2502": "Diabetes mellitus with hyperosmolarity",
    "25030": "Diabetes with other coma, type II or unspecified type, not stated as uncontrolled",
    "25082": "Diabetes with other specified manifestations, type II or unspecified type, uncontrolled",
    "2529": "Unspecified disorder of parathyroid gland",
    "255": "Disorders of adrenal glands",
    "2551": "Hyperaldosteronism",
    "25803": "Multiple endocrine neoplasia [MEN] type IIB",
    "261": "Nutritional marasmus",
    "267": "Ascorbic acid deficiency",
    "2707": "Other disturbances of straight-chain amino-acid metabolism",
    "2714": "Renal glycosuria",
    "2719": "Unspecified disorder of carbohydrate transport and metabolism",
    "2727": "Lipidoses",
    "27501": "Hereditary hemochromatosis",
    "2764": "Mixed acid-base balance disorder",
    "27661": "Transfusion associated circulatory overload",
    "2770": "Cystic fibrosis",
    "27781": "Primary carnitine deficiency",
    "27784": "Other secondary carnitine deficiency",
    "27789": "Other specified disorders of metabolism",
    "87379": "Open wound of other and multiple sites of mouth, complicated",
    "874": "Open wound of neck",
    "87400": "Open wound of larynx with trachea, without mention of complication",
    "87401": "Open wound of larynx, without mention of complication",
    "8784": "Open wound of vulva, without mention of complication",
    "8792": "Open wound of abdominal wall, anterior, without mention of complication",
    "88012": "Open wound of axillary region, complicated",
    "8802": "Open wound of shoulder and upper arm, with tendon involvement",
    "88020": "Open wound of shoulder region, with tendon involvement",
    "88120": "Open wound of forearm, with tendon involvement",
    "8820": "Open wound of hand except finger(s) alone, without mention of complication",
    "8830": "Open wound of finger(s), without mention of complication",
    "8921": "Open wound of foot except toe(s) alone, complicated",
    "895": "Traumatic amputation of toe(s) (complete) (partial)",
    "9008": "Injury to other specified blood vessels of head and neck",
    "9020": "Injury to abdominal aorta",
    "90220": "Injury to celiac and mesenteric arteries, unspecified",
    "90249": "Injury to renal blood vessels, other",
    "90300": "Injury to axillary vessel(s), unspecified",
    "90452": "Injury to anterior tibial vein",
    "90454": "Injury to posterior tibial vein",
    "9073": "Late effect of injury to nerve root(s), spinal plexus(es), and other nerves of trunk",
    "9089": "Late effect of unspecified injury",
    "909": "Late effects of other and unspecified external causes",
    "9093": "Late effect of complications of surgical and medical care",
    "9120": "Abrasion or friction burn of shoulder and upper arm, without mention of infection",
    "913": "Superficial injury of elbow, forearm, and wrist",
    "9159": "Other and unspecified superficial injury of fingers, infected",
    "9162": "Blister of hip, thigh, leg, and ankle, without mention of infection",
    "9176": "Superficial foreign body (splinter) of foot and toe(s), without major open wound and without mention of infection",
    "92": "Early syphilis, latent",
    "92231": "Contusion of back",
    "9245": "Contusion of unspecified part of lower limb",
    "9391": "Foreign body in uterus, any part",
    "9392": "Foreign body in vulva and vagina",
    "9409": "Unspecified burn of eye and adnexa",
    "94105": "Burn of unspecified degree of nose (septum)",
    "94123": "Blisters, epidermal loss [second degree] of lip(s)",
    "94139": "Full-thickness skin loss [third degree, not otherwise specified] of multiple sites [except with eye] of face, head, and neck",
    "94201": "Burn of unspecified degree of breast",
    "94313": "Erythema [first degree] of upper arm",
    "94314": "Erythema [first degree] of axilla",
    "94324": "Blisters, epidermal loss [second degree] of axilla",
    "67523": "Nonpurulent mastitis associated with childbirth, antepartum condition or complication",
    "67620": "Engorgement of breasts associated with childbirth, unspecified as to episode of care or not applicable",
    "67660": "Galactorrhea associated with childbirth, unspecified as to episode of care or not applicable",
    "67902": "Maternal complications from in utero procedure, delivered, with mention of postpartum complication",
    "67912": "Fetal complications from in utero procedure, delivered, with mention of postpartum complication",
    "6820": "Cellulitis and abscess of face",
    "683": "Acute lymphadenitis",
    "69272": "Acute dermatitis due to solar radiation",
    "69275": "Disseminated superficial actinic porokeratosis (DSAP)",
    "69277": "Sunburn of third degree",
    "6950": "Toxic erythema",
    "69556": "Exfoliation due to erythematous condition involving 60-69 percent of body surface",
    "69589": "Other specified erythematous conditions",
    "698": "Pruritus and related conditions",
    "7018": "Other specified hypertrophic and atrophic conditions of skin",
    "7039": "Unspecified disease of nail",
    "7043": "Variations in hair color",
    "70441": "Pilar cyst",
    "7049": "Unspecified disease of hair and hair follicles",
    "E9501": "Suicide and self-inflicted poisoning by barbiturates",
    "E9505": "Suicide and self-inflicted poisoning by unspecified drug or medicinal substance",
    "E9509": "Suicide and self-inflicted poisoning by other and unspecified solid and liquid substances",
    "E9587": "Suicide and self-inflicted injury by caustic substances, except poisoning",
    "E959": "Late effects of self-inflicted injury",
    "E962": "Assault by poisoning",
    "E9629": "Assault by unspecified poisoning",
    "E9651": "Assault by shotgun",
    "E9654": "Assault by other and unspecified firearm",
    "E9680": "Assault by fire",
    "E991": "Injury due to war operations by bullets and fragments",
    "E9914": "Injury due to war operations by fragments from munitions",
    "E9928": "Injury due to war operations by other marine weapons",
    "E9929": "Injury due to war operations by unspecified marine weapon",
    "E9937": "Injury due to war operations by unintentional discharge of own munitions launch device",
    "E996": "Injury due to war operations by nuclear weapons",
    "V018": "Contact with or exposure to other communicable diseases",
    "V0184": "Contact with or exposure to meningococcus",
    "44827284": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827285": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827286": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V0262": "Hepatitis C carrier",
    "44827288": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827289": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V033": "Need for prophylactic vaccination and inoculation against plague",
    "V037": "Need for prophylactic vaccination and inoculation against tetanus toxoid alone",
    "44827292": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V046": "Need for prophylactic vaccination and inoculation against mumps alone",
    "44827294": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V05": "Need for prophylactic vaccination and inoculation against single diseases",
    "V053": "Need for prophylactic vaccination and inoculation against viral hepatitis",
    "44827297": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "80236": "Open fracture of mandible, symphysis of body",
    "80322": "Other closed skull fracture with subarachnoid, subdural, and extradural hemorrhage, with brief [less than one hour] loss of consciousness",
    "80324": "Other closed skull fracture with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80332": "Other closed skull fracture with other and unspecified intracranial hemorrhage, with brief [less than one hour] loss of consciousness",
    "2790": "Deficiency of humoral immunity",
    "27909": "Other deficiency of humoral immunity",
    "284": "Aplastic anemia and other bone marrow failure syndromes",
    "28409": "Other constitutional aplastic anemia",
    "2873": "Primary thrombocytopenia",
    "28732": "Evans' syndrome",
    "28809": "Other neutropenia",
    "28869": "Other elevated white blood cell count",
    "2910": "Alcohol withdrawal delirium",
    "29281": "Drug-induced delirium",
    "29282": "Drug-induced persisting dementia",
    "293": "Transient mental disorders due to conditions classified elsewhere",
    "29501": "Simple type schizophrenia, subchronic",
    "29511": "Disorganized type schizophrenia, subchronic",
    "29514": "Disorganized type schizophrenia, chronic with acute exacerbation",
    "29520": "Catatonic type schizophrenia, unspecified",
    "29533": "Paranoid type schizophrenia, subchronic with acute exacerbation",
    "29535": "Paranoid type schizophrenia, in remission",
    "2958": "Other specified types of schizophrenia",
    "296": "Episodic mood disorders",
    "29642": "Bipolar I disorder, most recent episode (or current) manic, moderate",
    "29651": "Bipolar I disorder, most recent episode (or current) depressed, mild",
    "29690": "Unspecified episodic mood disorder",
    "2970": "Paranoid state, simple",
    "30001": "Panic disorder without agoraphobia",
    "30012": "Dissociative amnesia",
    "44827424": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V793": "Screening for developmental handicaps in early childhood",
    "V801": "Screening for glaucoma",
    "V82": "Special screening for other conditions",
    "V822": "Screening for other rheumatic disorders",
    "V840": "Genetic susceptibility to malignant neoplasm",
    "44827430": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827431": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827432": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827433": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827434": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9010": "Retained metal fragments, unspecified",
    "V9012": "Retained nonmagnetic metal fragments",
    "V9031": "Retained animal quills or spines",
    "V9083": "Retained stone or crystalline fragments",
    "44827439": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827440": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "0019": "Cholera, unspecified",
    "0021": "Paratyphoid fever A",
    "00324": "Salmonella osteomyelitis",
    "004": "Shigellosis",
    "0058": "Other bacterial food poisoning",
    "0070": "Balantidiasis",
    "0073": "Intestinal trichomoniasis",
    "00800": "Intestinal infection due to E. coli, unspecified",
    "00801": "Intestinal infection due to enteropathogenic E. coli",
    "01003": "Primary tuberculous infection, tubercle bacilli found (in sputum) by microscopy",
    "01015": "Tuberculous pleurisy in primary progressive tuberculosis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01084": "Other primary progressive tuberculosis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01111": "Tuberculosis of lung, nodular, bacteriological or histological examination not done",
    "01121": "Tuberculosis of lung with cavitation, bacteriological or histological examination not done",
    "8787": "Open wound of vagina, complicated",
    "88011": "Open wound of scapular region, complicated",
    "88111": "Open wound of elbow, complicated",
    "88112": "Open wound of wrist, complicated",
    "882": "Open wound of hand except finger(s) alone",
    "8842": "Multiple and unspecified open wound of upper limb, with tendon involvement",
    "8874": "Traumatic amputation of arm and hand (complete) (partial), unilateral, level not specified, without mention of complication",
    "891": "Open wound of knee, leg [except thigh], and ankle",
    "8920": "Open wound of foot except toe(s) alone, without mention of complication",
    "70521": "Primary focal hyperhidrosis",
    "7059": "Unspecified disorder of sweat glands",
    "7079": "Chronic ulcer of unspecified site",
    "7080": "Allergic urticaria",
    "709": "Other disorders of skin and subcutaneous tissue",
    "710": "Diffuse diseases of connective tissue",
    "7102": "Sicca syndrome",
    "71106": "Pyogenic arthritis, lower leg",
    "7111": "Arthropathy associated with Reiter's disease and nonspecific urethritis",
    "7114": "Arthropathy associated with other bacterial diseases",
    "71161": "Arthropathy associated with mycoses, shoulder region",
    "71164": "Arthropathy associated with mycoses, hand",
    "71184": "Arthropathy associated with other infectious and parasitic diseases, hand",
    "712": "Crystal arthropathies",
    "7122": "Chondrocalcinosis due to pyrophosphate crystals",
    "71222": "Chondrocalcinosis, due to pyrophosphate crystals, upper arm",
    "71281": "Other specified crystal arthropathies, shoulder region",
    "71291": "Unspecified crystal arthropathy, shoulder region",
    "71296": "Unspecified crystal arthropathy, lower leg",
    "7130": "Arthropathy associated with other endocrine and metabolic disorders",
    "71526": "Osteoarthrosis, localized, secondary, lower leg",
    "71530": "Osteoarthrosis, localized, not specified whether primary or secondary, site unspecified",
    "71533": "Osteoarthrosis, localized, not specified whether primary or secondary, forearm",
    "71615": "Traumatic arthropathy, pelvic region and thigh",
    "71634": "Climacteric arthritis, hand",
    "71637": "Climacteric arthritis, ankle and foot",
    "7164": "Transient arthropathy",
    "71643": "Transient arthropathy, forearm",
    "71802": "Articular cartilage disorder, upper arm",
    "7187": "Developmental dislocation of joint",
    "71887": "Other joint derangement, not elsewhere classified, ankle and foot",
    "7189": "Unspecified derangement of joint",
    "71901": "Effusion of joint, shoulder region",
    "71904": "Effusion of joint, hand",
    "71920": "Villonodular synovitis, site unspecified",
    "71941": "Pain in joint, shoulder region",
    "71953": "Stiffness of joint, not elsewhere classified, forearm",
    "71987": "Other specified disorders of joint, ankle and foot",
    "71991": "Unspecified disorder of joint, shoulder region",
    "7213": "Lumbosacral spondylosis without myelopathy",
    "7215": "Kissing spine",
    "72190": "Spondylosis of unspecified site, without mention of myelopathy",
    "7224": "Degeneration of cervical intervertebral disc",
    "7228": "Postlaminectomy syndrome",
    "7265": "Enthesopathy of hip region",
    "72665": "Prepatellar bursitis",
    "7268": "Other peripheral enthesopathies",
    "01790": "Tuberculosis of other specified organs, unspecified",
    "01801": "Acute miliary tuberculosis, bacteriological or histological examination not done",
    "01882": "Other specified miliary tuberculosis, bacteriological or histological examination unknown (at present)",
    "0208": "Other specified types of plague",
    "0222": "Gastrointestinal anthrax",
    "0270": "Listeriosis",
    "030": "Leprosy",
    "0308": "Other specified leprosy",
    "03281": "Conjunctival diphtheria",
    "033": "Whooping cough",
    "0361": "Meningococcal encephalitis",
    "03689": "Other specified meningococcal infections",
    "03812": "Methicillin resistant Staphylococcus aureus septicemia",
    "03841": "Septicemia due to hemophilus influenzae [H. influenzae]",
    "0399": "Actinomycotic infection of unspecified site",
    "80333": "Other closed skull fracture with other and unspecified intracranial hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "8035": "Other open skull fracture without mention of intracranial injury",
    "80395": "Other open skull fracture with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80405": "Closed fractures involving skull of face with other bones, without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80419": "Closed fractures involving skull or face with other bones, with cerebral laceration and contusion, with concussion, unspecified",
    "80430": "Closed fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, unspecified state of consciousness",
    "8046": "Open fractures involving skull or face with other bones, with cerebral laceration and contusion",
    "80479": "Open fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with concussion, unspecified",
    "80492": "Open fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with brief [less than one hour] loss of consciousness",
    "80501": "Closed fracture of first cervical vertebra",
    "8054": "Closed fracture of lumbar vertebra without mention of spinal cord injury",
    "80631": "Open fracture of T1-T6 level with complete lesion of cord",
    "80661": "Closed fracture of sacrum and coccyx with complete cauda equina lesion",
    "808": "Fracture of pelvis",
    "8101": "Open fracture of clavicle",
    "81111": "Open fracture of acromial process of scapula",
    "81252": "Open fracture of lateral condyle of humerus",
    "81323": "Closed fracture of shaft of radius with ulna",
    "81407": "Closed fracture of capitate bone [os magnum] of wrist",
    "81510": "Open fracture of metacarpal bone(s), site unspecified",
    "8211": "Fracture of shaft or unspecified part of femur, open",
    "8213": "Fracture of lower end of femur, open",
    "82382": "Closed fracture of unspecified part of fibula with tibia",
    "82539": "Other open fracture of tarsal and metatarsal bones",
    "8260": "Closed fracture of one or more phalanges of foot",
    "83103": "Closed inferior dislocation of humerus",
    "83110": "Open dislocation of shoulder, unspecified",
    "01125": "Tuberculosis of lung with cavitation, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "0113": "Tuberculosis of bronchus",
    "01135": "Tuberculosis of bronchus, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "0114": "Tuberculous fibrosis of lung",
    "01160": "Tuberculous pneumonia [any form], unspecified",
    "01170": "Tuberculous pneumothorax, unspecified",
    "01191": "Pulmonary tuberculosis, unspecified, bacteriological or histological examination not done",
    "01202": "Tuberculous pleurisy, bacteriological or histological examination unknown (at present)",
    "01225": "Isolated tracheal or bronchial tuberculosis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01313": "Tuberculoma of meninges, tubercle bacilli found (in sputum) by microscopy",
    "01344": "Tuberculoma of spinal cord, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "4402": "Atherosclerosis of native arteries of the extremities",
    "4412": "Thoracic aneurysm without mention of rupture",
    "44329": "Dissection of other artery",
    "44422": "Arterial embolism and thrombosis of lower extremity",
    "4479": "Unspecified disorders of arteries and arterioles",
    "4554": "External thrombosed hemorrhoids",
    "4560": "Esophageal varices with bleeding",
    "4640": "Acute laryngitis",
    "46401": "Acute laryngitis with obstruction",
    "4658": "Acute upper respiratory infections of other multiple sites",
    "46619": "Acute bronchiolitis due to other infectious organisms",
    "4710": "Polyp of nasal cavity",
    "47412": "Hypertrophy of adenoids alone",
    "4808": "Pneumonia due to other virus not elsewhere classified",
    "48240": "Pneumonia due to Staphylococcus, unspecified",
    "483": "Pneumonia due to other specified organism",
    "4846": "Pneumonia in aspergillosis",
    "486": "Pneumonia, organism unspecified",
    "4912": "Obstructive chronic bronchitis",
    "492": "Emphysema",
    "4932": "Chronic obstructive asthma",
    "496": "Chronic airway obstruction, not elsewhere classified",
    "504": "Pneumonopathy due to inhalation of other dust",
    "5110": "Pleurisy without mention of effusion or current tuberculosis",
    "5111": "Pleurisy with effusion, with mention of a bacterial cause other than tuberculosis",
    "5118": "Other specified forms of pleural effusion, except tuberculous",
    "512": "Pneumothorax and air leak",
    "518": "Other diseases of lung",
    "5180": "Pulmonary collapse",
    "51883": "Chronic respiratory failure",
    "51884": "Acute and chronic respiratory failure",
    "5206": "Disturbances in tooth eruption",
    "52100": "Dental caries, unspecified",
    "52105": "Odontoclasia",
    "5214": "Pathological tooth resorption",
    "52142": "Pathological resorption, external",
    "5218": "Other specified diseases of hard tissues of teeth",
    "52422": "Malocclusion, Angle's class II",
    "52472": "Alveolar mandibular hyperplasia",
    "52554": "Partial edentulism, class IV",
    "5265": "Alveolitis of jaw",
    "53131": "Acute gastric ulcer without mention of hemorrhage or perforation, with obstruction",
    "5316": "Chronic or unspecified gastric ulcer with hemorrhage and perforation",
    "5330": "Acute peptic ulcer of unspecified site with hemorrhage",
    "53531": "Alcoholic gastritis, with hemorrhage",
    "53540": "Other specified gastritis, without mention of hemorrhage",
    "53541": "Other specified gastritis, with hemorrhage",
    "53550": "Unspecified gastritis and gastroduodenitis, without mention of hemorrhage",
    "5374": "Fistula of stomach or duodenum",
    "53782": "Angiodysplasia of stomach and duodenum without mention of hemorrhage",
    "53989": "Other complications of other bariatric procedure",
    "5509": "Inguinal hernia, without mention of obstruction or gangrene",
    "55301": "Femoral hernia without mention of obstruction or gangrene, unilateral or unspecified, recurrent",
    "55329": "Other ventral hernia without mention of obstruction or gangrene",
    "556": "Ulcerative colitis",
    "55841": "Eosinophilic gastroenteritis",
    "5602": "Volvulus",
    "56402": "Outlet dysfunction constipation",
    "5680": "Peritoneal adhesions (postoperative) (postinfection)",
    "5691": "Rectal prolapse",
    "3142": "Hyperkinetic conduct disorder",
    "3208": "Meningitis due to other specified bacteria",
    "3211": "Meningitis in other fungal diseases",
    "51634": "Respiratory bronchiolitis interstitial lung disease",
    "51669": "Other interstitial lung diseases of childhood",
    "5202": "Abnormalities of size and form of teeth",
    "5205": "Hereditary disturbances in tooth structure, not elsewhere classified",
    "5208": "Other specified disorders of tooth development and eruption",
    "52134": "Erosion, localized",
    "52140": "Pathological resorption, unspecified",
    "5222": "Pulp degeneration",
    "5230": "Acute gingivitis",
    "52300": "Acute gingivitis, plaque induced",
    "52330": "Aggressive periodontitis, unspecified",
    "5235": "Periodontosis",
    "5236": "Accretions on teeth",
    "52401": "Major anomalies of jaw size, maxillary hyperplasia",
    "52406": "Major anomalies of jaw size, microgenia",
    "52433": "Horizontal displacement of teeth",
    "52461": "Temporomandibular joint disorders, adhesions and ankylosis (bony or fibrous)",
    "52544": "Complete edentulism, class IV",
    "5268": "Other specified diseases of the jaws",
    "5269": "Unspecified disease of the jaws",
    "5279": "Unspecified disease of the salivary glands",
    "5281": "Cancrum oris",
    "5301": "Esophagitis",
    "5313": "Acute gastric ulcer without mention of hemorrhage or perforation",
    "53220": "Acute duodenal ulcer with hemorrhage and perforation, without mention of obstruction",
    "53251": "Chronic or unspecified duodenal ulcer with perforation, with obstruction",
    "53330": "Acute peptic ulcer of unspecified site without mention of hemorrhage and perforation, without mention of obstruction",
    "5334": "Chronic or unspecified peptic ulcer of unspecified site with hemorrhage",
    "53370": "Chronic peptic ulcer of unspecified site without mention of hemorrhage or perforation, without mention of obstruction",
    "5345": "Chronic or unspecified gastrojejunal ulcer with perforation",
    "5357": "Eosinophilic gastritis",
    "53640": "Gastrostomy complication, unspecified",
    "53784": "Dieulafoy lesion (hemorrhagic) of stomach and duodenum",
    "543": "Other diseases of appendix",
    "55090": "Inguinal hernia, without mention of obstruction or gangrene, unilateral or unspecified (not specified as recurrent)",
    "5520": "Femoral hernia with obstruction",
    "55320": "Ventral, unspecified, hernia without mention of obstruction or gangrene",
    "5583": "Allergic gastroenteritis and colitis",
    "5621": "Diverticula of colon",
    "56211": "Diverticulitis of colon (without mention of hemorrhage)",
    "56409": "Other constipation",
    "5644": "Other postoperative functional disorders",
    "67810": "Fetal conjoined twins, unspecified as to episode of care or not applicable",
    "6806": "Carbuncle and furuncle of leg, except foot",
    "6824": "Cellulitis and abscess of hand, except fingers and thumb",
    "684": "Impetigo",
    "685": "Pilonidal cyst",
    "6924": "Contact dermatitis and other eczema due to other chemical products",
    "6943": "Impetigo herpetiformis",
    "6948": "Other specified bullous dermatoses",
    "6951": "Erythema multiforme",
    "6984": "Dermatitis factitia [artefacta]",
    "700": "Corns and callosities",
    "7014": "Keloid scar",
    "7038": "Other specified diseases of nail",
    "7040": "Alopecia",
    "70705": "Pressure ulcer, buttock",
    "70709": "Pressure ulcer, other site",
    "7101": "Systemic sclerosis",
    "71102": "Pyogenic arthritis, upper arm",
    "71104": "Pyogenic arthritis, hand",
    "71125": "Arthropathy in Behcet's syndrome, pelvic region and thigh",
    "71147": "Arthropathy associated with other bacterial diseases, ankle and foot",
    "71150": "Arthropathy associated with other viral diseases, site unspecified",
    "71179": "Arthropathy associated with helminthiasis, multiple sites",
    "71211": "Chondrocalcinosis, due to dicalcium phosphate crystals, shoulder region",
    "71215": "Chondrocalcinosis, due to dicalcium phosphate crystals, pelvic region and thigh",
    "71217": "Chondrocalcinosis, due to dicalcium phosphate crystals, ankle and foot",
    "71282": "Other specified crystal arthropathies, upper arm",
    "71293": "Unspecified crystal arthropathy, forearm",
    "71299": "Unspecified crystal arthropathy, multiple sites",
    "7131": "Arthropathy associated with gastrointestinal conditions other than infections",
    "7137": "Other general diseases with articular involvement",
    "71489": "Other specified inflammatory polyarthropathies",
    "7149": "Unspecified inflammatory polyarthropathy",
    "71513": "Osteoarthrosis, localized, primary, forearm",
    "716": "Other and unspecified arthropathies",
    "71619": "Traumatic arthropathy, multiple sites",
    "71623": "Allergic arthritis, forearm",
    "71635": "Climacteric arthritis, pelvic region and thigh",
    "71642": "Transient arthropathy, upper arm",
    "71644": "Transient arthropathy, hand",
    "7165": "Unspecified polyarthropathy or polyarthritis",
    "71693": "Arthropathy, unspecified, forearm",
    "7171": "Derangement of anterior horn of medial meniscus",
    "71740": "Derangement of lateral meniscus, unspecified",
    "71814": "Loose body in joint, hand",
    "71823": "Pathological dislocation of joint, forearm",
    "71855": "Ankylosis of joint, pelvic region and thigh",
    "7188": "Other joint derangement, not elsewhere classified",
    "71883": "Other joint derangement, not elsewhere classified, forearm",
    "71905": "Effusion of joint, pelvic region and thigh",
    "71911": "Hemarthrosis, shoulder region",
    "71924": "Villonodular synovitis, hand",
    "71933": "Palindromic rheumatism, forearm",
    "71935": "Palindromic rheumatism, pelvic region and thigh",
    "71937": "Palindromic rheumatism, ankle and foot",
    "71957": "Stiffness of joint, not elsewhere classified, ankle and foot",
    "71969": "Other symptoms referable to joint, multiple sites",
    "V433": "Heart valve replaced by other means",
    "V446": "Other artificial opening of urinary tract status",
    "V450": "Cardiac pacemaker in situ",
    "V4576": "Acquired absence of organ, lung",
    "V4581": "Aortocoronary bypass status",
    "73022": "Unspecified osteomyelitis, upper arm",
    "7327": "Osteochondritis dissecans",
    "73603": "Valgus deformity of wrist (acquired)",
    "7365": "Genu recurvatum (acquired)",
    "73676": "Other acquired calcaneus deformity",
    "73679": "Other acquired deformities of ankle and foot",
    "73730": "Scoliosis [and kyphoscoliosis], idiopathic",
    "73740": "Curvature of spine, unspecified, associated with other conditions",
    "74333": "Congenital nuclear cataract",
    "7434": "Coloboma and other anomalies of anterior segment",
    "7435": "Congenital anomalies of posterior segment",
    "7442": "Other specified congenital anomalies of ear",
    "7455": "Ostium secundum type atrial septal defect",
    "74684": "Obstructive anomalies of heart, not elsewhere classified",
    "74782": "Spinal vessel anomaly",
    "74783": "Persistent fetal circulation",
    "7504": "Other specified anomalies of esophagus",
    "7505": "Congenital hypertrophic pyloric stenosis",
    "7508": "Other specified anomalies of upper alimentary tract",
    "75252": "Retractile testis",
    "75315": "Renal dysplasia",
    "75320": "Unspecified obstructive defect of renal pelvis and ureter",
    "75322": "Congenital obstruction of ureterovesical junction",
    "7543": "Congenital dislocation of hip",
    "75462": "Talipes calcaneovalgus",
    "75528": "Longitudinal deficiency, carpals or metacarpals, complete or partial (with or without incomplete phalangeal deficiency)",
    "7585": "Other conditions due to autosomal anomalies",
    "7587": "Klinefelter's syndrome",
    "7598": "Other specified anomalies",
    "76063": "Newborn affected by other surgical operations on mother during pregnancy",
    "76072": "Narcotics affecting fetus or newborn via placenta or breast milk",
    "76389": "Other specified complications of labor and delivery affecting fetus or newborn",
    "7650": "Extreme immaturity",
    "76521": "Less than 24 completed weeks of gestation",
    "7676": "Injury to brachial plexus due to birth trauma",
    "7678": "Other specified birth trauma",
    "7684": "Fetal distress, unspecified as to time of onset, in liveborn infant",
    "7723": "Umbilical hemorrhage after birth",
    "7731": "Hemolytic disease of fetus or newborn due to ABO isoimmunization",
    "7792": "Cerebral depression, coma, and other abnormal cerebral signs in fetus or newborn",
    "77931": "Feeding problems in newborn",
    "78064": "Chills (without fever)",
    "78093": "Memory loss",
    "7823": "Edema",
    "78261": "Pallor",
    "7830": "Anorexia",
    "7836": "Polyphagia",
    "78441": "Aphonia",
    "78442": "Dysphonia",
    "78499": "Other symptoms involving head and neck",
    "78631": "Acute idiopathic pulmonary hemorrhage in infants [AIPHI]",
    "78729": "Other dysphagia",
    "78763": "Fecal urgency",
    "79094": "Euthyroid sick syndrome",
    "79381": "Mammographic microcalcification",
    "1949": "Malignant neoplasm of endocrine gland, site unspecified",
    "1965": "Secondary and unspecified malignant neoplasm of lymph nodes of inguinal region and lower limb",
    "1971": "Secondary malignant neoplasm of mediastinum",
    "200": "Lymphosarcoma and reticulosarcoma and other specified malignant tumors of lymphatic tissue",
    "20015": "Lymphosarcoma, lymph nodes of inguinal region and lower limb",
    "3222": "Chronic meningitis",
    "32362": "Other postinfectious encephalitis and encephalomyelitis",
    "32381": "Other causes of encephalitis and encephalomyelitis",
    "3275": "Organic sleep related movement disorders",
    "3342": "Primary cerebellar degeneration",
    "33720": "Reflex sympathetic dystrophy, unspecified",
    "33920": "Post-traumatic headache, unspecified",
    "33943": "Primary thunderclap headache",
    "33983": "Primary cough headache",
    "33984": "Primary exertional headache",
    "34121": "Acute (transverse) myelitis in conditions classified elsewhere",
    "34290": "Hemiplegia, unspecified, affecting unspecified side",
    "3430": "Congenital diplegia",
    "34430": "Monoplegia of lower limb affecting unspecified side",
    "34442": "Monoplegia of upper limb affecting nondominant sde",
    "34461": "Cauda equina syndrome with neurogenic bladder",
    "34501": "Generalized nonconvulsive epilepsy, with intractable epilepsy",
    "3459": "Epilepsy, unspecified",
    "346": "Migraine",
    "34603": "Migraine with aura, with intractable migraine, so stated, with status migrainosus",
    "3462": "Variants of migraine, not elsewhere classified",
    "34620": "Variants of migraine, not elsewhere classified, without mention of intractable migraine without mention of status migrainosus",
    "34631": "Hemiplegic migraine, with intractable migraine, so stated, without mention of status migrainosus",
    "34632": "Hemiplegic migraine, without mention of intractable migraine with status migrainosus",
    "3464": "Menstrual migraine",
    "34641": "Menstrual migraine, with intractable migraine, so stated, without mention of status migrainosus",
    "34642": "Menstrual migraine, without mention of intractable migraine with status migrainosus",
    "34671": "Chronic migraine without aura, with intractable migraine, so stated, without mention of status migrainosus",
    "34680": "Other forms of migraine, without mention of intractable migraine without mention of status migrainosus",
    "3499": "Unspecified disorders of nervous system",
    "3511": "Geniculate ganglionitis",
    "3542": "Lesion of ulnar nerve",
    "35579": "Other mononeuritis of lower limb",
    "3573": "Polyneuropathy in malignant disease",
    "3574": "Polyneuropathy in other diseases classified elsewhere",
    "36002": "Panophthalmitis",
    "36004": "Vitreous abscess",
    "36040": "Degenerated globe or eye, unspecified",
    "36053": "Foreign body, magnetic, in lens",
    "36069": "Intraocular foreign body in other or multiple sites",
    "3609": "Unspecified disorder of globe",
    "361": "Retinal detachments and defects",
    "36106": "Old retinal detachment, partial",
    "3611": "Retinoschisis and retinal cysts",
    "36113": "Primary retinal cysts",
    "3612": "Serous retinal detachment",
    "36234": "Transient retinal arterial occlusion",
    "36255": "Toxic maculopathy",
    "36266": "Secondary vitreoretinal degenerations",
    "36342": "Diffuse secondary atrophy of choroid",
    "36353": "Central dystrophy of choroid, partial",
    "3639": "Unspecified disorder of choroid",
    "36470": "Adhesions of iris, unspecified",
    "36511": "Primary open angle glaucoma",
    "366": "Cataract",
    "36612": "Incipient senile cataract",
    "36613": "Anterior subcapsular polar senile cataract",
    "36620": "Traumatic cataract, unspecified",
    "36633": "Cataract with neovascularization",
    "36644": "Cataract associated with other syndromes",
    "3675": "Disorders of accommodation",
    "36801": "Strabismic amblyopia",
    "56789": "Other specified peritonitis",
    "56881": "Hemoperitoneum (nontraumatic)",
    "56889": "Other specified disorders of peritoneum",
    "5692": "Stenosis of rectum and anus",
    "56987": "Vomiting of fecal matter",
    "5711": "Acute alcoholic hepatitis",
    "5715": "Cirrhosis of liver without mention of alcohol",
    "5716": "Biliary cirrhosis",
    "5730": "Chronic passive congestion of liver",
    "5734": "Hepatic infarction",
    "9750": "Poisoning by oxytocic agents",
    "9773": "Poisoning by alcohol deterrents",
    "9852": "Toxic effect of manganese and its compounds",
    "989": "Toxic effect of other substances, chiefly nonmedicinal as to source",
    "990": "Effects of radiation, unspecified",
    "991": "Effects of reduced temperature",
    "9914": "Immersion foot",
    "9947": "Asphyxiation and strangulation",
    "9949": "Other effects of external causes",
    "99524": "Failed moderate sedation during procedure",
    "99552": "Child neglect (nutritional)",
    "9956": "Anaphylactic reaction due to food",
    "99601": "Mechanical complication due to cardiac pacemaker (electrode)",
    "99630": "Mechanical complication of unspecified genitourinary device, implant, and graft",
    "99643": "Broken prosthetic joint implant",
    "99664": "Infection and inflammatory reaction due to indwelling urinary catheter",
    "99666": "Infection and inflammatory reaction due to internal joint prosthesis",
    "99669": "Infection and inflammatory reaction due to other internal prosthetic device, implant, and graft",
    "99672": "Other complications due to other cardiac device, implant, and graft",
    "99693": "Complications of reattached finger(s)",
    "9971": "Cardiac complications, not elsewhere classified",
    "9976": "Amputation stump complication",
    "99833": "Disruption of traumatic injury wound repair",
    "9990": "Generalized vaccinia as a complication of medical care, not elsewhere classified",
    "99942": "Anaphylactic reaction due to vaccination",
    "E0033": "Activities involving cross country skiing",
    "E0052": "Activities involving gymnastics",
    "E0094": "Activity involving obstacle course",
    "E0122": "Activities involving furniture building and finishing",
    "E0139": "Other household maintenance",
    "E0159": "Other activity involving cooking and grilling",
    "E0179": "Other activity involving external motion",
    "E8157": "Other motor vehicle traffic accident involving collision on the highway injuring pedestrian",
    "E8162": "Motor vehicle traffic accident due to loss of control, without collision on the highway, injuring motorcyclist",
    "E8204": "Nontraffic accident involving motor-driven snow vehicle injuring occupant of streetcar",
    "44829640": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V498": "Other specified conditions influencing health status",
    "44829642": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829643": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829644": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5413": "Aftercare for healing traumatic fracture of hip",
    "V542": "Aftercare for healing pathologic fracture",
    "V5423": "Aftercare for healing pathologic fracture of hip",
    "V5426": "Aftercare for healing pathologic fracture of lower leg",
    "V560": "Encounter for extracorporeal dialysis",
    "V561": "Fitting and adjustment of extracorporeal dialysis catheter",
    "44829651": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829652": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829653": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6081": "Foster care (status)",
    "V6110": "Counseling for marital and partner problems, unspecified",
    "44829656": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829657": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829658": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829659": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829660": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829661": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829662": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V632": "Person awaiting admission to adequate facility elsewhere",
    "V6441": "Laparoscopic surgical procedure converted to open procedure",
    "44829665": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6544": "Human immunodeficiency virus (HIV) counseling",
    "V655": "Person with feared complaint in whom no diagnosis was made",
    "V66": "Convalescence and palliative care",
    "44829670": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6889": "Encounters for other specified administrative purpose",
    "V706": "Health examination in population surveys",
    "44829673": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829674": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829676": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7611": "Screening mammogram for high-risk patient",
    "V7641": "Screening for malignant neoplasms of rectum",
    "44829679": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829681": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V821": "Screening for rheumatoid arthritis",
    "V8302": "Symptomatic hemophilia A carrier",
    "V852": "Body Mass Index between 25-29, adult",
    "V8534": "Body Mass Index 34.0-34.9, adult",
    "44829686": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829687": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829688": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829689": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829690": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "20026": "Burkitt's tumor or lymphoma, intrapelvic lymph nodes",
    "20040": "Mantle cell lymphoma, unspecified site, extranodal and solid organ sites",
    "20053": "Primary central nervous system lymphoma, intra-abdominal lymph nodes",
    "20058": "Primary central nervous system lymphoma, lymph nodes of multiple sites",
    "20085": "Other named variants of lymphosarcoma and reticulosarcoma, lymph nodes of inguinal region and lower limb",
    "20102": "Hodgkin's paragranuloma, intrathoracic lymph nodes",
    "20123": "Hodgkin's sarcoma, intra-abdominal lymph nodes",
    "20127": "Hodgkin's sarcoma, spleen",
    "20140": "Hodgkin's disease, lymphocytic-histiocytic predominance, unspecified site, extranodal and solid organ sites",
    "20152": "Hodgkin's disease, nodular sclerosis, intrathoracic lymph nodes",
    "20157": "Hodgkin's disease, nodular sclerosis, spleen",
    "20171": "Hodgkin's disease, lymphocytic depletion, lymph nodes of head, face, and neck",
    "20198": "Hodgkin's disease, unspecified type, lymph nodes of multiple sites",
    "2020": "Nodular lymphoma",
    "20210": "Mycosis fungoides, unspecified site, extranodal and solid organ sites",
    "20230": "Malignant histiocytosis, unspecified site, extranodal and solid organ sites",
    "20242": "Leukemic reticuloendotheliosis, intrathoracic lymph nodes",
    "20253": "Letterer-siwe disease, intra-abdominal lymph nodes",
    "2028": "Other malignant lymphomas",
    "20400": "Acute lymphoid leukemia, without mention of having achieved remission",
    "2053": "Myeloid sarcoma",
    "20531": "Myeloid sarcoma, in remission",
    "20591": "Unspecified myeloid leukemia, in remission",
    "2068": "Other monocytic leukemia",
    "208": "Leukemia of unspecified cell type",
    "20820": "Subacute leukemia of unspecified cell type, without mention of having achieved remission",
    "2088": "Other leukemia of unspecified cell type",
    "20890": "Unspecified leukemia, without mention of having achieved remission",
    "20922": "Malignant carcinoid tumor of the thymus",
    "20926": "Malignant carcinoid tumor of midgut, not otherwise specified",
    "20964": "Benign carcinoid tumor of the kidney",
    "2120": "Benign neoplasm of nasal cavities, middle ear, and accessory sinuses",
    "2124": "Benign neoplasm of pleura",
    "2144": "Lipoma of spermatic cord",
    "216": "Benign neoplasm of skin",
    "2270": "Benign neoplasm of adrenal gland",
    "22809": "Hemangioma of other sites",
    "2298": "Benign neoplasm of other specified sites",
    "2299": "Benign neoplasm of unspecified site",
    "2309": "Carcinoma in situ of other and unspecified digestive organs",
    "2323": "Carcinoma in situ of skin of other and unspecified parts of face",
    "235": "Neoplasm of uncertain behavior of digestive and respiratory systems",
    "2354": "Neoplasm of uncertain behavior of retroperitoneum and peritoneum",
    "2355": "Neoplasm of uncertain behavior of other and unspecified digestive organs",
    "2356": "Neoplasm of uncertain behavior of larynx",
    "23771": "Neurofibromatosis, type 1 [von recklinghausen's disease]",
    "2391": "Neoplasm of unspecified nature of respiratory system",
    "24290": "Thyrotoxicosis without mention of goiter or other cause, and without mention of thyrotoxic crisis or storm",
    "243": "Congenital hypothyroidism",
    "2441": "Other postablative hypothyroidism",
    "2463": "Hemorrhage and infarction of thyroid",
    "24960": "Secondary diabetes mellitus with neurological manifestations, not stated as uncontrolled, or unspecified",
    "24991": "Secondary diabetes mellitus with unspecified complication, uncontrolled",
    "25010": "Diabetes with ketoacidosis, type II or unspecified type, not stated as uncontrolled",
    "25052": "Diabetes with ophthalmic manifestations, type II or unspecified type, uncontrolled",
    "V4589": "Other postprocedural status",
    "36810": "Subjective visual disturbance, unspecified",
    "36831": "Suppression of binocular vision",
    "36902": "Better eye: near-total vision impairment; lesser eye: not further specified",
    "0380": "Streptococcal septicemia",
    "0400": "Gas gangrene",
    "0403": "Necrobacillosis",
    "04110": "Staphylococcus infection in conditions classified elsewhere and of unspecified site, staphylococcus, unspecified",
    "04510": "Acute poliomyelitis with other paralysis, poliovirus, unspecified type",
    "04520": "Acute nonparalytic poliomyelitis, poliovirus, unspecified type",
    "046": "Slow virus infections and prion diseases of central nervous system",
    "04679": "Other and unspecified prion disease of central nervous system",
    "0530": "Herpes zoster with meningitis",
    "0531": "Herpes zoster with other nervous system complications",
    "0539": "Herpes zoster without mention of complication",
    "05441": "Herpes simplex dermatitis of eyelid",
    "05442": "Dendritic keratitis",
    "05474": "Herpes simplex myelitis",
    "05479": "Herpes simplex with other specified complications",
    "0560": "Rubella with neurological complications",
    "0570": "Erythema infectiosum (fifth disease)",
    "0578": "Other specified viral exanthemata",
    "0582": "Other human herpesvirus encephalitis",
    "05921": "Tanapox",
    "0598": "Other poxvirus infections",
    "0601": "Urban yellow fever",
    "064": "Viral encephalitis transmitted by other and unspecified arthropods",
    "0700": "Viral hepatitis A with hepatic coma",
    "0701": "Viral hepatitis A without mention of hepatic coma",
    "0702": "Viral hepatitis B with hepatic coma",
    "07022": "Chronic viral hepatitis B with hepatic coma without hepatitis delta",
    "0737": "Ornithosis with other specified complications",
    "07812": "Plantar wart",
    "0782": "Sweating fever",
    "082": "Tick-borne rickettsioses",
    "0838": "Other specified rickettsioses",
    "0871": "Relapsing fever, tick-borne",
    "0909": "Congenital syphilis, unspecified",
    "0914": "Adenopathy due to secondary syphilis",
    "0980": "Gonococcal infection (acute) of lower genitourinary tract",
    "09816": "Gonococcal endometritis (acute)",
    "0985": "Gonococcal infection of joint",
    "0988": "Gonococcal infection of other specified sites",
    "09883": "Gonococcal pericarditis",
    "0990": "Chancroid",
    "0991": "Lymphogranuloma venereum",
    "1028": "Latent yaws",
    "1030": "Primary lesions of pinta",
    "111": "Dermatomycosis, other and unspecified",
    "1110": "Pityriasis versicolor",
    "11590": "Histoplasmosis, unspecified, without mention of manifestation",
    "1259": "Unspecified filariasis",
    "1368": "Other specified infectious and parasitic diseases",
    "146": "Malignant neoplasm of oropharynx",
    "1461": "Malignant neoplasm of tonsillar fossa",
    "1466": "Malignant neoplasm of lateral wall of oropharynx",
    "1488": "Malignant neoplasm of other specified sites of hypopharynx",
    "1548": "Malignant neoplasm of other sites of rectum, rectosigmoid junction, and anus",
    "E827": "Animal-drawn vehicle accident",
    "E8273": "Animal-drawn vehicle accident injuring occupant of animal drawn vehicle",
    "E837": "Explosion, fire, or burning in watercraft",
    "E8504": "Accidental poisoning by aromatic analgesics, not elsewhere classified",
    "E8506": "Accidental poisoning by antirheumatics (antiphlogistics)",
    "E8508": "Accidental poisoning by other specified analgesics and antipyretics",
    "80006": "Closed fracture of vault of skull without mention of intracranial injury, with loss of consciousness of unspecified duration",
    "80010": "Closed fracture of vault of skull with cerebral laceration and contusion, unspecified state of consciousness",
    "80019": "Closed fracture of vault of skull with cerebral laceration and contusion, with concussion, unspecified",
    "8005": "Open fracture of vault of skull without mention of intracranial injury",
    "80084": "Open fracture of vault of skull with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80129": "Closed fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with concussion, unspecified",
    "80144": "Closed fracture of base of skull with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours) loss of consciousness and return to pre-existing conscious level",
    "80150": "Open fracture of base of skull without mention of intracranial injury, unspecified state of consciousness",
    "80160": "Open fracture of base of skull with cerebral laceration and contusion, unspecified state of consciousness",
    "80163": "Open fracture of base of skull with cerebral laceration and contusion, with moderate [1-24 hours] loss of consciousness",
    "80226": "Closed fracture of mandible, symphysis of body",
    "80238": "Open fracture of mandible, body, other and unspecified",
    "80302": "Other closed skull fracture without mention of intracranial injury, with brief [less than one hour] loss of consciousness",
    "80354": "Other open skull fracture without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "8039": "Other open skull fracture with intracranial injury of other and unspecified nature",
    "80399": "Other open skull fracture with intracranial injury of other and unspecified nature, with concussion, unspecified",
    "80420": "Closed fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, unspecified state of consciousness",
    "80442": "Closed fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with brief [less than one hour] loss of consciousness",
    "80444": "Closed fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80453": "Open fractures involving skull or face with other bones, without mention of intracranial injury, with moderate [1-24 hours] loss of consciousness",
    "80455": "Open fractures involving skull or face with other bones, without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80462": "Open fractures involving skull or face with other bones, with cerebral laceration and contusion, with brief [less than one hour] loss of consciousness",
    "80482": "Open fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with brief [less than one hour] loss of consciousness",
    "80484": "Open fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "8049": "Open fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature",
    "44829691": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9089": "Other specified retained foreign body",
    "V909": "Retained foreign body, unspecified material",
    "44829694": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9120": "Quadruplet gestation, unspecified number of placenta and unspecified number of amniotic sacs",
    "001": "Cholera",
    "002": "Typhoid and paratyphoid fevers",
    "0063": "Amebic liver abscess",
    "0071": "Giardiasis",
    "0082": "Intestinal infection due to aerobacter aerogenes",
    "9874": "Toxic effect of freon",
    "9875": "Toxic effect of lacrimogenic gas",
    "9880": "Toxic effect of fish and shellfish eaten as food",
    "9899": "Toxic effect of unspecified substance, chiefly nonmedicinal as to source",
    "9912": "Frostbite of foot",
    "9919": "Unspecified effect of reduced temperature",
    "993": "Effects of air pressure",
    "99521": "Arthus phenomenon",
    "99657": "Mechanical complication due to insulin pump",
    "99668": "Infection and inflammatory reaction due to peritoneal dialysis catheter",
    "99671": "Other complications due to heart valve prosthesis",
    "99685": "Complications of transplanted bone marrow",
    "99761": "Neuroma of amputation stump",
    "99791": "Complications affecting other specified body systems, not elsewhere classified, hypertension",
    "99851": "Infected postoperative seroma",
    "99933": "Local infection due to central venous catheter",
    "99971": "Rh incompatibility with hemolytic transfusion reaction not specified as acute or delayed",
    "99972": "Rh incompatibility with acute hemolytic transfusion reaction",
    "99973": "Rh incompatibility with delayed hemolytic transfusion reaction",
    "99989": "Other transfusion reaction",
    "E0010": "Activities involving walking, marching and hiking",
    "E0027": "Activities involving surfing, windsurfing and boogie boarding",
    "E0054": "Activities involving cheerleading",
    "E0071": "Activities involving american flag or touch football",
    "E0080": "Activities involving boxing",
    "E8008": "Railway accident involving collision with rolling stock and injuring other specified person",
    "E8013": "Railway accident involving collision with other object and injuring pedal cyclist",
    "E8020": "Railway accident involving derailment without antecedent collision injuring railway employee",
    "E806": "Other specified railway accident",
    "E8150": "Other motor vehicle traffic accident involving collision on the highway injuring driver of motor vehicle other than motorcycle",
    "E8165": "Motor vehicle traffic accident due to loss of control, without collision on the highway, injuring rider of animal; occupant of animal-drawn vehicle",
    "E8167": "Motor vehicle traffic accident due to loss of control, without collision on the highway, injuring pedestrian",
    "E8203": "Nontraffic accident involving motor-driven snow vehicle injuring passenger on motorcycle",
    "44830795": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4614": "Mechanical complication of respirator [ventilator]",
    "44830797": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V474": "Other urinary problems",
    "44830799": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830800": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830801": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V495": "Other problems of limbs",
    "V4963": "Hand amputation status",
    "E8263": "Pedal cycle accident injuring occupant of animal-drawn vehicle",
    "V4966": "Above elbow amputation status",
    "V4984": "Bed confinement status",
    "44830806": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830807": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830808": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5041": "Prophylactic breast removal",
    "157": "Malignant neoplasm of pancreas",
    "1625": "Malignant neoplasm of lower lobe, bronchus or lung",
    "1650": "Malignant neoplasm of upper respiratory tract, part unspecified",
    "1712": "Malignant neoplasm of connective and other soft tissue of upper limb, including shoulder",
    "1718": "Malignant neoplasm of other specified sites of connective and other soft tissue",
    "1719": "Malignant neoplasm of connective and other soft tissue, site unspecified",
    "1720": "Malignant melanoma of skin of lip",
    "17301": "Basal cell carcinoma of skin of lip",
    "17339": "Other specified malignant neoplasm of skin of other and unspecified parts of face",
    "1736": "Other and unspecified malignant neoplasm of skin of upper limb, including shoulder",
    "17392": "Squamous cell carcinoma of skin, site unspecified",
    "17399": "Other specified malignant neoplasm of skin, site unspecified",
    "1761": "Kaposi's sarcoma, soft tissue",
    "1764": "Kaposi's sarcoma, lung",
    "1907": "Malignant neoplasm of lacrimal duct",
    "V045": "Need for prophylactic vaccination and inoculation against rabies",
    "44831895": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1009": "Personal history of malignant neoplasm of other gastrointestinal tract",
    "V101": "Personal history of malignant neoplasm of trachea, bronchus, and lung",
    "V1087": "Personal history of malignant neoplasm of thyroid",
    "V1089": "Personal history of malignant neoplasm of other sites",
    "44831900": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831901": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V110": "Personal history of schizophrenia",
    "V1279": "Personal history of other diseases of digestive system",
    "V1363": "Personal history of (corrected) congenital malformations of nervous system",
    "V141": "Personal history of allergy to other antibiotic agent",
    "44831906": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831907": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V150": "Personal history of allergy, other than to medicinal agents, presenting hazards to health",
    "V1507": "Allergy to latex",
    "V1522": "Personal history of undergoing in utero procedure while a fetus",
    "44831911": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831912": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V164": "Family history of malignant neoplasm of genital organs",
    "V1642": "Family history of malignant neoplasm of prostate",
    "44831915": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V17": "Family history of certain chronic disabling diseases",
    "44831917": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831918": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831919": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1811": "Family history of multiple endocrine neoplasia [MEN] syndrome",
    "44831921": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V196": "Family history of allergic disorders",
    "V198": "Family history of other condition",
    "44831924": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831925": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831926": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831928": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "80493": "Open fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with moderate [1-24 hours] loss of consciousness",
    "80495": "Open fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "80502": "Closed fracture of second cervical vertebra",
    "80507": "Closed fracture of seventh cervical vertebra",
    "80508": "Closed fracture of multiple cervical vertebrae",
    "8058": "Closed fracture of unspecified vertebral column without mention of spinal cord injury",
    "80635": "Open fracture of T7-T12 level with unspecified spinal cord injury",
    "80719": "Open fracture of multiple ribs, unspecified",
    "80854": "Multiple open pelvic fractures without disruption of pelvic circle",
    "81011": "Open fracture of sternal end of clavicle",
    "811": "Fracture of scapula",
    "81203": "Closed fracture of greater tuberosity of humerus",
    "8121": "Fracture of upper end of humerus, open",
    "81353": "Open fracture of distal end of ulna (alone)",
    "8212": "Fracture of lower end of femur, closed",
    "82340": "Torus fracture, tibia alone",
    "82342": "Torus fracture, fibula with tibia",
    "82533": "Open fracture of cuboid",
    "66883": "Other complications of anesthesia or other sedation in labor and delivery, antepartum condition or complication",
    "66924": "Maternal hypotension syndrome, postpartum condition or complication",
    "66950": "Forceps or vacuum extractor delivery without mention of indication, unspecified as to episode of care or not applicable",
    "66951": "Forceps or vacuum extractor delivery without mention of indication, delivered, with or without mention of antepartum condition",
    "6697": "Cesarean delivery, without mention of indication",
    "66991": "Unspecified complication of labor and delivery, delivered, with or without mention of antepartum condition",
    "67082": "Other major puerperal infection, delivered, with mention of postpartum complication",
    "67120": "Superficial thrombophlebitis complicating pregnancy and the puerperium, unspecified as to episode of care or not applicable",
    "67131": "Deep phlebothrombosis, antepartum, delivered, with or without mention of antepartum condition",
    "67144": "Deep phlebothrombosis, postpartum, postpartum condition or complication",
    "67314": "Amniotic fluid embolism, postpartum condition or complication",
    "67321": "Obstetrical blood-clot embolism, delivered, with or without mention of antepartum condition",
    "67383": "Other obstetrical pulmonary embolism, antepartum condition or complication",
    "67400": "Cerebrovascular disorders in the puerperium, unspecified as to episode of care or not applicable",
    "67482": "Other complications of puerperium, delivered, with mention of postpartum complication",
    "67504": "Infections of nipple associated with childbirth, postpartum condition or complication",
    "67584": "Other specified infections of the breast and nipple associated with childbirth, postpartum condition or complication",
    "6759": "Unspecified infection of the breast and nipple associated with childbirth",
    "67634": "Other and unspecified disorder of breast associated with childbirth, postpartum condition or complication",
    "6764": "Failure of lactation",
    "67662": "Galactorrhea associated with childbirth, delivered, with mention of postpartum complication",
    "67811": "Fetal conjoined twins, delivered, with or without mention of antepartum condition",
    "6800": "Carbuncle and furuncle of face",
    "681": "Cellulitis and abscess of finger and toe",
    "6861": "Pyogenic granuloma of skin and subcutaneous tissue",
    "6945": "Pemphigoid",
    "6954": "Lupus erythematosus",
    "69552": "Exfoliation due to erythematous condition involving 20-29 percent of body surface",
    "69555": "Exfoliation due to erythematous condition involving 50-59 percent of body surface",
    "6958": "Other specified erythematous conditions",
    "6970": "Lichen planus",
    "6981": "Pruritus of genital organs",
    "E8520": "Accidental poisoning by chloral hydrate group",
    "E8523": "Accidental poisoning by methaqualone compounds",
    "E8554": "Accidental poisoning by parasympatholytics [anticholinergics and antimuscarinics] and spasmolytics",
    "80123": "Closed fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "8014": "Closed fracture of base of skull with intracranial injury of other and unspecified nature",
    "80183": "Open fracture of base of skull with other and unspecified intracranial hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80221": "Closed fracture of mandible, condylar process",
    "80223": "Closed fracture of mandible, coronoid process",
    "80229": "Closed fracture of mandible, multiple sites",
    "80304": "Other closed skull fracture without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80315": "Other closed skull fracture with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80341": "Other closed skull fracture with intracranial injury of other and unspecified nature, with no loss of consciousness",
    "80344": "Other closed skull fracture with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80411": "Closed fractures involving skull or face with other bones, with cerebral laceration and contusion, with no loss of consciousness",
    "80413": "Closed fractures involving skull or face with other bones, with cerebral laceration and contusion, with moderate [1-24 hours] loss of consciousness",
    "80416": "Closed fractures involving skull or face with other bones, with cerebral laceration and contusion, with loss of consciousness of unspecified duration",
    "80433": "Closed fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80440": "Closed fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, unspecified state of consciousness",
    "80475": "Open fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80476": "Open fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with loss of consciousness of unspecified duration",
    "80612": "Open fracture of C1-C4 level with anterior cord syndrome",
    "80633": "Open fracture of T1-T6 level with central cord syndrome",
    "80638": "Open fracture of T7-T12 level with central cord syndrome",
    "8072": "Closed fracture of sternum",
    "8074": "Flail chest",
    "80849": "Closed fracture of other specified part of pelvis",
    "8090": "Fracture of bones of trunk, closed",
    "81103": "Closed fracture of glenoid cavity and neck of scapula",
    "81109": "Closed fracture of scapula, other",
    "44830810": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830811": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5302": "Fitting and adjustment of neuropacemaker (brain) (peripheral nerve) (spinal cord)",
    "V541": "Aftercare for healing traumatic fracture",
    "V5410": "Aftercare for healing traumatic fracture of arm, unspecified",
    "44830815": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830816": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830817": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V550": "Attention to tracheostomy",
    "44830819": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5811": "Encounter for antineoplastic chemotherapy",
    "V5862": "Long-term (current) use of antibiotics",
    "V5863": "Long-term (current) use of antiplatelet/antithrombotic",
    "44830824": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5972": "Egg (oocyte) (ovum) donor, under age 35, designated recipient",
    "44830826": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V608": "Other specified housing or economic circumstances",
    "44830829": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6112": "Counseling for perpetrator of spousal and partner abuse",
    "V624": "Social maladjustment",
    "V626": "Refusal of treatment for reasons of religion or conscience",
    "V6282": "Bereavement, uncomplicated",
    "44830835": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6405": "Vaccination not carried out because of caregiver refusal",
    "V643": "Procedure not carried out for other reasons",
    "44830839": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830840": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830842": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830843": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7102": "Observation for childhood or adolescent antisocial behavior",
    "V7109": "Observation for other suspected mental condition",
    "44830847": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7212": "Encounter for hearing conservation and treatment",
    "V723": "Special investigations and examinations - Gynecological examination",
    "V7261": "Antibody response examination",
    "44830851": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V730": "Screening examination for poliomyelitis",
    "V732": "Screening examination for measles",
    "44830855": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830856": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V77": "Special screening for endocrine, nutritional, metabolic, and immunity disorders",
    "V776": "Screening for cystic fibrosis",
    "44830860": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "9961": "Mechanical complication of other vascular device, implant, and graft",
    "99632": "Mechanical complication due to intrauterine contraceptive device",
    "99645": "Peri-prosthetic osteolysis",
    "99649": "Other mechanical complication of other internal orthopedic device, implant, and graft",
    "99655": "Mechanical complication due to artificial skin graft and decellularized allodermis",
    "99659": "Mechanical complication due to other implant and internal device, not elsewhere classified",
    "V2513": "Encounter for removal and reinsertion of intrauterine contraceptive device",
    "V2641": "Procreative counseling and advice using natural family planning",
    "44831931": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V28": "Encounter for antenatal screening of mother",
    "V285": "Antenatal screening for isoimmunization",
    "44831934": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V330": "Twin, unspecified, born in hospital",
    "V34": "Other multiple birth (three or more), mates all liveborn",
    "44831937": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V390": "Other liveborn, unspecified, born in hospital",
    "V401": "Mental and behavioral problems with communication [including speech]",
    "44831940": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831941": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V435": "Bladder replaced by other means",
    "V4369": "Other joint replacement",
    "44831944": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831945": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4459": "Other cystostomy",
    "V4511": "Renal dialysis status",
    "V4561": "Cataract extraction status",
    "44831949": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831950": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4612": "Encounter for respirator dependence during power failure",
    "V471": "Mechanical and motor problems with internal organs",
    "V483": "Mechanical and motor problems with neck and trunk",
    "V487": "Disfigurements of neck and trunk",
    "V489": "Unspecified problem with head, neck, or trunk",
    "V490": "Deficiencies of limbs",
    "56944": "Dysplasia of anus",
    "56983": "Perforation of intestine",
    "5699": "Unspecified disorder of intestine",
    "57140": "Chronic hepatitis, unspecified",
    "5746": "Calculus of gallbladder and bile duct with acute cholecystitis",
    "57481": "Calculus of gallbladder and bile duct with acute and chronic cholecystitis, with obstruction",
    "5800": "Acute glomerulonephritis with lesion of proliferative glomerulonephritis",
    "58181": "Nephrotic syndrome in diseases classified elsewhere",
    "5819": "Nephrotic syndrome with unspecified pathological lesion in kidney",
    "5838": "Nephritis and nephropathy, not specified as acute or chronic, with other specified pathological lesion in kidney",
    "586": "Renal failure, unspecified",
    "587": "Renal sclerosis, unspecified",
    "5934": "Other ureteric obstruction",
    "5940": "Calculus in diverticulum of bladder",
    "5941": "Other calculus in bladder",
    "59654": "Neurogenic bladder NOS",
    "59981": "Urethral hypermobility",
    "60001": "Hypertrophy (benign) of prostate with urinary obstruction and other lower urinary tract symptoms (LUTS)",
    "60011": "Nodular prostate with urinary obstruction",
    "6009": "Hyperplasia of prostate, unspecified",
    "6010": "Acute prostatitis",
    "6071": "Balanoposthitis",
    "6082": "Torsion of testis",
    "60883": "Vascular disorders of male genital organs",
    "6089": "Unspecified disorder of male genital organs",
    "61611": "Vaginitis and vulvovaginitis in diseases classified elsewhere",
    "61803": "Urethrocele",
    "6188": "Other specified genital prolapse",
    "6224": "Stricture and stenosis of cervix",
    "6988": "Other specified pruritic conditions",
    "7011": "Keratoderma, acquired",
    "7048": "Other specified diseases of hair and hair follicles",
    "70583": "Hidradenitis",
    "7069": "Unspecified disease of sebaceous glands",
    "70702": "Pressure ulcer, upper back",
    "7078": "Chronic ulcer of other specified sites",
    "7084": "Vibratory urticaria",
    "7104": "Polymyositis",
    "71101": "Pyogenic arthritis, shoulder region",
    "71108": "Pyogenic arthritis, other specified sites",
    "71110": "Arthropathy associated with Reiter's disease and nonspecific urethritis, site unspecified",
    "71155": "Arthropathy associated with other viral diseases, pelvic region and thigh",
    "7116": "Arthropathy associated with mycoses",
    "71183": "Arthropathy associated with other infectious and parasitic diseases, forearm",
    "71195": "Unspecified infective arthritis, pelvic region and thigh",
    "71210": "Chondrocalcinosis, due to dicalcium phosphate crystals, site unspecified",
    "71228": "Chondrocalcinosis, due to pyrophosphate crystals, other specified sites",
    "71230": "Chondrocalcinosis, unspecified, site unspecified",
    "71231": "Chondrocalcinosis, unspecified, shoulder region",
    "7134": "Arthropathy associated with respiratory disorders",
    "7140": "Rheumatoid arthritis",
    "715": "Osteoarthrosis and allied disorders",
    "71590": "Osteoarthrosis, unspecified whether generalized or localized, site unspecified",
    "71593": "Osteoarthrosis, unspecified whether generalized or localized, forearm",
    "71607": "Kaschin-Beck disease, ankle and foot",
    "5750": "Acute cholecystitis",
    "57510": "Cholecystitis, unspecified",
    "5755": "Fistula of gallbladder",
    "5758": "Other specified disorders of gallbladder",
    "5759": "Unspecified disorder of gallbladder",
    "5771": "Chronic pancreatitis",
    "5932": "Cyst of kidney, acquired",
    "5954": "Cystitis in diseases classified elsewhere",
    "59581": "Cystitis cystica",
    "5968": "Other specified disorders of bladder",
    "6003": "Cyst of prostate",
    "6012": "Abscess of prostate",
    "6030": "Encysted hydrocele",
    "606": "Infertility, male",
    "6061": "Oligospermia",
    "60784": "Impotence of organic origin",
    "60822": "Intravaginal torsion of spermatic cord",
    "6104": "Mammary duct ectasia",
    "6116": "Galactorrhea not associated with childbirth",
    "6141": "Chronic salpingitis and oophoritis",
    "6171": "Endometriosis of ovary",
    "61882": "Incompetence or weakening of rectovaginal tissue",
    "619": "Fistula involving female genital tract",
    "6232": "Stricture or atresia of vagina",
    "6259": "Unspecified symptom associated with female genital organs",
    "62989": "Other specified disorders of female genital organs",
    "63402": "Spontaneous abortion, complicated by genital tract and pelvic infection, complete",
    "6345": "Spontaneous abortion complicated by shock",
    "63460": "Spontaneous abortion, complicated by embolism, unspecified",
    "6352": "Legally induced abortion complicated by damage to pelvic organs or tissues",
    "63570": "Legally induced abortion, with other specified complications, unspecified",
    "6361": "Illegally induced abortion complicated by delayed or excessive hemorrhage",
    "63710": "Unspecified abortion, complicated by delayed or excessive hemorrhage, unspecified",
    "6372": "Unspecified abortion complicated by damage to pelvic organs or tissues",
    "6374": "Unspecified abortion complicated by metabolic disorder",
    "81213": "Open fracture of greater tuberosity of humerus",
    "8124": "Fracture of lower end of humerus, closed",
    "81240": "Closed fracture of unspecified part of lower end of humerus",
    "81303": "Closed Monteggia's fracture",
    "81305": "Closed fracture of head of radius",
    "81313": "Open Monteggia's fracture",
    "81321": "Closed fracture of shaft of radius (alone)",
    "8134": "Fracture of lower end of radius and ulna, closed",
    "81352": "Other open fractures of distal end of radius (alone)",
    "81392": "Open fracture of unspecified part of ulna (alone)",
    "81404": "Closed fracture of pisiform bone of wrist",
    "81503": "Closed fracture of shaft of metacarpal bone(s)",
    "81601": "Closed fracture of middle or proximal phalanx or phalanges of hand",
    "8180": "Ill-defined closed fractures of upper limb",
    "82392": "Open fracture of unspecified part of fibula with tibia",
    "8242": "Fracture of lateral malleolus, closed",
    "8253": "Fracture of other tarsal and metatarsal bones, open",
    "82534": "Open fracture of cuneiform, foot",
    "8261": "Open fracture of one or more phalanges of foot",
    "8291": "Fracture of unspecified bone, open",
    "83111": "Open anterior dislocation of humerus",
    "83301": "Closed dislocation of radioulnar (joint), distal",
    "83661": "Anterior dislocation of tibia, proximal end, open",
    "838": "Dislocation of foot",
    "8380": "Closed dislocation of foot",
    "83961": "Closed dislocation, sternum",
    "840": "Sprains and strains of shoulder and upper arm",
    "8412": "Radiohumeral (joint) sprain",
    "7945": "Nonspecific abnormal results of function study of thyroid",
    "7981": "Instantaneous death",
    "80009": "Closed fracture of vault of skull without mention of intracranial injury, with concussion, unspecified",
    "80015": "Closed fracture of vault of skull with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80069": "Open fracture of vault of skull with cerebral laceration and contusion, with concussion, unspecified",
    "80073": "Open fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80105": "Closed fracture of base of skull without mention of intra cranial injury, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80121": "Closed fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with no loss of consciousness",
    "80135": "Closed fracture of base of skull with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80155": "Open fracture of base of skull without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80225": "Closed fracture of mandible, angle of jaw",
    "80232": "Open fracture of mandible, subcondylar",
    "8024": "Closed fracture of malar and maxillary bones",
    "80312": "Other closed skull fracture with cerebral laceration and contusion, with brief [less than one hour] loss of consciousness",
    "80314": "Other closed skull fracture with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80319": "Other closed skull fracture with cerebral laceration and contusion, with concussion, unspecified",
    "80329": "Other closed skull fracture with subarachnoid, subdural, and extradural hemorrhage, with concussion, unspecified",
    "80389": "Other open skull fracture with other and unspecified intracranial hemorrhage, with concussion, unspecified",
    "80410": "Closed fractures involving skull or face with other bones, with cerebral laceration and contusion, unspecified state of consciousness",
    "80412": "Closed fractures involving skull or face with other bones, with cerebral laceration and contusion, with brief [less than one hour] loss of consciousness",
    "9968": "Complications of transplanted organ",
    "99694": "Complications of reattached upper extremity, other and unspecified",
    "9974": "Digestive system complications",
    "99771": "Vascular complications of mesenteric artery",
    "6225": "Incompetence of cervix",
    "6238": "Other specified noninflammatory disorders of vagina",
    "6242": "Hypertrophy of clitoris",
    "6249": "Unspecified noninflammatory disorder of vulva and perineum",
    "6251": "Vaginismus",
    "63540": "Legally induced abortion, complicated by metabolic disorder, unspecified",
    "63541": "Legally induced abortion, complicated by metabolic disorder, incomplete",
    "63552": "Legally induced abortion, complicated by shock, complete",
    "6356": "Legally induced abortion complicated by embolism",
    "63562": "Legally induced abortion, complicated by embolism, complete",
    "63612": "Illegally induced abortion, complicated by delayed or excessive hemorrhage, complete",
    "63631": "Illegally induced abortion, complicated by renal failure, incomplete",
    "6365": "Illegally induced abortion complicated by shock",
    "63671": "Illegally induced abortion, with other specified complications, incomplete",
    "63682": "Illegally induced abortion, with unspecified complication, complete",
    "6390": "Genital tract and pelvic infection following abortion or ectopic and molar pregnancies",
    "64093": "Unspecified hemorrhage in early pregnancy, antepartum condition or complication",
    "641": "Antepartum hemorrhage, abruptio placentae, and placenta previa",
    "64103": "Placenta previa without hemorrhage, antepartum condition or complication",
    "64193": "Unspecified antepartum hemorrhage, antepartum condition or complication",
    "64381": "Other vomiting complicating pregnancy, delivered, with or without mention of antepartum condition",
    "644": "Early or threatened labor",
    "64400": "Threatened premature labor, unspecified as to episode of care or not applicable",
    "64403": "Threatened premature labor, antepartum condition or complication",
    "6442": "Early onset of delivery",
    "645": "Late pregnancy",
    "64601": "Papyraceous fetus, delivered, with or without mention of antepartum condition",
    "64613": "Edema or excessive weight gain in pregnancy, without mention of hypertension, antepartum condition or complication",
    "64624": "Unspecified renal disease in pregnancy, without mention of hypertension, postpartum condition or complication",
    "6469": "Unspecified complication of pregnancy",
    "64712": "Gonorrhea of mother, complicating pregnancy, childbirth, or the puerperium, delivered, with mention of postpartum complication",
    "64754": "Rubella in the mother, postpartum condition or complication",
    "36907": "Better eye: profound vision impairment; lesser eye: near-total vision impairment",
    "36914": "Better eye: severe vision impairment; lesser eye: profound vision impairment",
    "36925": "Better eye: moderate vision impairment; lesser eye: moderate vision impairment",
    "3693": "Unqualified visual loss, both eyes",
    "36961": "One eye: total vision impairment; other eye: not specified",
    "37003": "Central corneal ulcer",
    "37020": "Superficial keratitis, unspecified",
    "37035": "Neurotrophic keratoconjunctivitis",
    "3714": "Corneal degenerations",
    "37154": "Lattice corneal dystrophy",
    "37170": "Corneal deformity, unspecified",
    "37202": "Acute follicular conjunctivitis",
    "37206": "Acute chemical conjunctivitis",
    "37230": "Conjunctivitis, unspecified",
    "37239": "Other conjunctivitis",
    "37241": "Peripheral pterygium, stationary",
    "37251": "Pinguecula",
    "37255": "Conjunctival pigmentations",
    "37300": "Blepharitis, unspecified",
    "37312": "Hordeolum internum",
    "37414": "Cicatricial ectropion",
    "37452": "Hyperpigmentation of eyelid",
    "37500": "Dacryoadenitis, unspecified",
    "37501": "Acute dacryoadenitis",
    "37512": "Other lacrimal cysts and cystic degeneration",
    "63750": "Unspecified abortion, complicated by shock, unspecified",
    "6382": "Failed attempted abortion complicated by damage to pelvic organs or tissues",
    "6400": "Threatened abortion",
    "64113": "Hemorrhage from placenta previa, antepartum condition or complication",
    "64123": "Premature separation of placenta, antepartum condition or complication",
    "64130": "Antepartum hemorrhage associated with coagulation defects, unspecified as to episode of care or not applicable",
    "64263": "Eclampsia, antepartum condition or complication",
    "64271": "Pre-eclampsia or eclampsia superimposed on pre-existing hypertension, delivered, with or without mention of antepartum condition",
    "64274": "Pre-eclampsia or eclampsia superimposed on pre-existing hypertension, postpartum condition or complication",
    "64413": "Other threatened labor, antepartum condition or complication",
    "64503": "Prolonged pregnancy, antepartum condition or complication",
    "6460": "Papyraceous fetus",
    "64662": "Infections of genitourinary tract in pregnancy, delivered, with mention of postpartum complication",
    "64683": "Other specified complications of pregnancy, antepartum condition or complication",
    "64722": "Other venereal diseases of mother, complicating pregnancy, childbirth, or the puerperium, delivered, with mention of postpartum complication",
    "64762": "Other viral diseases in the mother, delivered, with mention of postpartum complication",
    "6480": "Diabetes mellitus complicating pregnancy, childbirth, or the puerperium",
    "64802": "Diabetes mellitus of mother, complicating pregnancy, childbirth, or the puerperium, delivered, with mention of postpartum complication",
    "6484": "Mental disorders complicating pregnancy, childbirth, or the puerperium",
    "64861": "Other cardiovascular diseases of mother, delivered, with or without mention of antepartum condition",
    "64890": "Other current conditions classifiable elsewhere of mother, unspecified as to episode of care or not applicable",
    "64930": "Coagulation defects complicating pregnancy, childbirth, or the puerperium, unspecified as to episode of care or not applicable",
    "65101": "Twin pregnancy, delivered, with or without mention of antepartum condition",
    "E8509": "Accidental poisoning by unspecified analgesic or antipyretic",
    "E8552": "Accidental poisoning by local anesthetics",
    "E8585": "Accidental poisoning by water, mineral, and uric acid metabolism drugs",
    "E861": "Accidental poisoning by cleansing and polishing agents, disinfectants, paints, and varnishes",
    "E8640": "Accidental poisoning by corrosive aromatics not elsewhere classified",
    "E8669": "Accidental poisoning by unspecified solid or liquid substance",
    "E8709": "Accidental cut, puncture, perforation or hemorrhage during unspecified medical care",
    "E8717": "Foreign object left in body during removal of catheter or packing",
    "E8722": "Failure of sterile precautions during kidney dialysis and other perfusion",
    "E874": "Mechanical failure of instrument or apparatus during procedure",
    "E8741": "Mechanical failure of instrument or apparatus during infusion and transfusion",
    "E8745": "Mechanical failure of instrument or apparatus during heart catheterization",
    "E8761": "Wrong fluid in infusion",
    "E8781": "Surgical operation with implant of artificial internal device causing abnormal patient reaction, or later complication,without mention of misadventure at time of operation",
    "E8786": "Removal of other organ (partial) (total) causing abnormal patient reaction, or later complication, without mention of misadventure at time of operation",
    "E8796": "Urinary catheterization as the cause of abnormal reaction of patient, or of later complication, without mention of misadventure at time of procedure",
    "E881": "Accidental fall on or from ladders or scaffolding",
    "E8811": "Accidental fall from scaffolding",
    "E884": "Other accidental falls from one level to another",
    "E8842": "Accidental fall from chair",
    "E893": "Accident caused by ignition of clothing",
    "E906": "Other injury caused by animals",
    "8043": "Closed fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage",
    "80450": "Open fractures involving skull or face with other bones, without mention of intracranial injury, unspecified state of consciousness",
    "80456": "Open fractures involving skull or face with other bones, without mention of intracranial injury, with loss of consciousness of unspecified duration",
    "80504": "Closed fracture of fourth cervical vertebra",
    "80614": "Open fracture of C1-C4 level with other specified spinal cord injury",
    "80621": "Closed fracture of T1-T6 level with complete lesion of cord",
    "80634": "Open fracture of T1-T6 level with other specified spinal cord injury",
    "8064": "Closed fracture of lumbar spine with spinal cord injury",
    "80662": "Closed fracture of sacrum and coccyx with other cauda equina injury",
    "80705": "Closed fracture of five ribs",
    "80712": "Open fracture of two ribs",
    "8082": "Closed fracture of pubis",
    "80843": "Multiple closed pelvic fractures with disruption of pelvic circle",
    "80852": "Open fracture of ischium",
    "809": "Ill-defined fractures of bones of trunk",
    "81201": "Closed fracture of surgical neck of humerus",
    "81231": "Open fracture of shaft of humerus",
    "81301": "Closed fracture of olecranon process of ulna",
    "81311": "Open fracture of olecranon process of ulna",
    "81344": "Closed fracture of lower end of radius with ulna",
    "81350": "Open fracture of lower end of forearm, unspecified",
    "81354": "Open fracture of lower end of radius with ulna",
    "81383": "Closed fracture of unspecified part of radius with ulna",
    "81415": "Open fracture of trapezium bone [larger multangular] of wrist",
    "81519": "Open fracture of multiple sites of metacarpus",
    "81610": "Open fracture of phalanx or phalanges of hand, unspecified",
    "99813": "Seroma complicating a procedure",
    "37532": "Acute dacryocystitis",
    "37652": "Enophthalmos due to trauma or surgery",
    "37702": "Papilledema associated with decreased ocular pressure",
    "37734": "Toxic optic neuropathy",
    "37801": "Monocular esotropia",
    "37804": "Monocular esotropia with other noncomitancies",
    "37808": "Alternating esotropia with other noncomitancies",
    "37822": "Intermittent esotropia, alternating",
    "37835": "Accommodative component in esotropia",
    "37841": "Esophoria",
    "37962": "Inflammation (infection) of postprocedural bleb, stage 2",
    "37993": "Redness or discharge of eye",
    "38012": "Acute swimmers' ear",
    "38015": "Chronic mycotic otitis externa",
    "38021": "Cholesteatoma of external ear",
    "38151": "Acute Eustachian salpingitis",
    "3819": "Unspecified Eustachian tube disorder",
    "3831": "Chronic mastoiditis",
    "3842": "Perforation of tympanic membrane",
    "38421": "Central perforation of tympanic membrane",
    "3851": "Adhesive middle ear disease",
    "38583": "Retained foreign body of middle ear",
    "38602": "Active Ménière's disease, cochlear",
    "38653": "Hypoactive labyrinth, unilateral",
    "3869": "Unspecified vertiginous syndromes and labyrinthine disorders",
    "3880": "Degenerative and vascular disorders of ear",
    "38801": "Presbyacusis",
    "38810": "Noise effects on inner ear, unspecified",
    "38922": "Mixed hearing loss, bilateral",
    "3898": "Other specified forms of hearing loss",
    "3949": "Other and unspecified mitral valve diseases",
    "4021": "Benign hypertensive heart disease",
    "4039": "Hypertensive renal disease, unspecified",
    "40591": "Unspecified renovascular hypertension",
    "4105": "Acute myocardial infarction, of other lateral wall",
    "41401": "Coronary atherosclerosis of native coronary artery",
    "4148": "Other specified forms of chronic ischemic heart disease",
    "42091": "Acute idiopathic pericarditis",
    "42290": "Acute myocarditis, unspecified",
    "4265": "Bundle branch block, other and unspecified",
    "4274": "Ventricular fibrillation and flutter",
    "42820": "Systolic heart failure, unspecified",
    "4292": "Cardiovascular disease, unspecified",
    "4321": "Subdural hemorrhage",
    "43310": "Occlusion and stenosis of carotid artery without mention of cerebral infarction",
    "43411": "Cerebral embolism with cerebral infarction",
    "4374": "Cerebral arteritis",
    "1910": "Malignant neoplasm of cerebrum, except lobes and ventricles",
    "1929": "Malignant neoplasm of nervous system, part unspecified",
    "1946": "Malignant neoplasm of aortic body and other paraganglia",
    "1974": "Secondary malignant neoplasm of small intestine including duodenum",
    "1977": "Malignant neoplasm of liver, secondary",
    "2000": "Reticulosarcoma",
    "20002": "Reticulosarcoma, intrathoracic lymph nodes",
    "20022": "Burkitt's tumor or lymphoma, intrathoracic lymph nodes",
    "20048": "Mantle cell lymphoma, lymph nodes of multiple sites",
    "20057": "Primary central nervous system lymphoma, spleen",
    "20073": "Large cell lymphoma, intra-abdominal lymph nodes",
    "2008": "Other named variants of lymphosarcoma and reticulosarcoma",
    "20086": "Other named variants of lymphosarcoma and reticulosarcoma, intrapelvic lymph nodes",
    "20141": "Hodgkin's disease, lymphocytic-histiocytic predominance, lymph nodes of head, face, and neck",
    "20213": "Mycosis fungoides, intra-abdominal lymph nodes",
    "20231": "Malignant histiocytosis, lymph nodes of head, face, and neck",
    "E9138": "Accidental mechanical suffocation by other specified means",
    "E9178": "Striking against or struck accidentally by other stationary object with subsequent fall",
    "E9221": "Accident caused by shotgun (automatic)",
    "E9238": "Accident caused by other explosive materials",
    "E9242": "Accident caused by hot (boiling) tap water",
    "8170": "Multiple closed fractures of hand bones",
    "8200": "Transcervical fracture, closed",
    "82000": "Closed fracture of intracapsular section of neck of femur, unspecified",
    "82032": "Open fracture of subtrochanteric section of neck of femur",
    "0083": "Intestinal infection due to proteus (mirabilis) (morganii)",
    "00865": "Enteritis due to calicivirus",
    "01102": "Tuberculosis of lung, infiltrative, bacteriological or histological examination unknown (at present)",
    "01103": "Tuberculosis of lung, infiltrative, tubercle bacilli found (in sputum) by microscopy",
    "01116": "Tuberculosis of lung, nodular, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01166": "Tuberculous pneumonia [any form], tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "0121": "Tuberculosis of intrathoracic lymph nodes",
    "01303": "Tuberculous meningitis, tubercle bacilli found (in sputum) by microscopy",
    "01306": "Tuberculous meningitis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01320": "Tuberculoma of brain, unspecified",
    "01325": "Tuberculoma of brain, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "E9317": "Antiviral drugs causing adverse effects in therapeutic use",
    "01396": "Unspecified tuberculosis of central nervous system, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01482": "Other tuberculosis of intestines, peritoneum, and mesenteric glands, bacteriological or histological examination unknown (at present)",
    "01515": "Tuberculosis of hip, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01556": "Tuberculosis of limb bones, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01571": "Tuberculosis of other specified bone, bacteriological or histological examination not done",
    "01576": "Tuberculosis of other specified bone, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01585": "Tuberculosis of other specified joint, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01615": "Tuberculosis of bladder, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01624": "Tuberculosis of ureter, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01626": "Tuberculosis of ureter, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01646": "Tuberculosis of epididymis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01652": "Tuberculosis of other male genital organs, bacteriological or histological examination unknown (at present)",
    "01702": "Tuberculosis of skin and subcutaneous cellular tissue, bacteriological or histological examination unknown (at present)",
    "01740": "Tuberculosis of ear, unspecified",
    "01782": "Tuberculosis of esophagus, bacteriological or histological examination unknown (at present)",
    "01802": "Acute miliary tuberculosis, bacteriological or histological examination unknown (at present)",
    "020": "Plague",
    "0202": "Septicemic plague",
    "022": "Anthrax",
    "0310": "Pulmonary diseases due to other mycobacteria",
    "0369": "Meningococcal infection, unspecified",
    "03843": "Septicemia due to pseudomonas",
    "0391": "Pulmonary actinomycotic infection",
    "0410": "Streptococcus infection in conditions classified elsewhere and of unspecified site",
    "04149": "Other and unspecified Escherichia coli [E. coli]",
    "042": "Human immunodeficiency virus [HIV] disease",
    "0452": "Acute nonparalytic poliomyelitis",
    "04590": "Acute poliomyelitis, unspecified, poliovirus, unspecified type",
    "0490": "Lymphocytic choriomeningitis",
    "99832": "Disruption of external operation (surgical) wound",
    "99961": "ABO incompatibility with hemolytic transfusion reaction not specified as acute or delayed",
    "20233": "Malignant histiocytosis, intra-abdominal lymph nodes",
    "20236": "Malignant histiocytosis, intrapelvic lymph nodes",
    "20250": "Letterer-siwe disease, unspecified site, extranodal and solid organ sites",
    "20251": "Letterer-siwe disease, lymph nodes of head, face, and neck",
    "2026": "Malignant mast cell tumors",
    "20263": "Malignant mast cell tumors, intra-abdominal lymph nodes",
    "20266": "Malignant mast cell tumors, intrapelvic lymph nodes",
    "20267": "Malignant mast cell tumors, spleen",
    "20274": "Peripheral T cell lymphoma, lymph nodes of axilla and upper limb",
    "20288": "Other malignant lymphomas, lymph nodes of multiple sites",
    "20294": "Other and unspecified malignant neoplasms of lymphoid and histiocytic tissue, lymph nodes of axilla and upper limb",
    "2041": "Lymphoid leukemia, chronic",
    "20422": "Subacute lymphoid leukemia, in relapse",
    "20480": "Other lymphoid leukemia, without mention of having achieved remission",
    "20491": "Unspecified lymphoid leukemia, in remission",
    "206": "Monocytic leukemia",
    "20692": "Unspecified monocytic leukemia, in relapse",
    "20780": "Other specified leukemia, without mention of having achieved remission",
    "2090": "Malignant carcinoid tumors of the small intestine",
    "20901": "Malignant carcinoid tumor of the duodenum",
    "20911": "Malignant carcinoid tumor of the appendix",
    "20956": "Benign carcinoid tumor of the sigmoid colon",
    "20971": "Secondary neuroendocrine tumor of distant lymph nodes",
    "2100": "Benign neoplasm of lip",
    "2118": "Benign neoplasm of retroperitoneum and peritoneum",
    "2134": "Benign neoplasm of scapula and long bones of upper limb",
    "2152": "Other benign neoplasm of connective and other soft tissue of upper limb, including shoulder",
    "2233": "Benign neoplasm of bladder",
    "2246": "Benign neoplasm of choroid",
    "225": "Benign neoplasm of brain and other parts of nervous system",
    "2250": "Benign neoplasm of brain",
    "2304": "Carcinoma in situ of rectum",
    "2328": "Carcinoma in situ of other specified sites of skin",
    "23339": "Carcinoma in situ, other female genital organ",
    "2334": "Carcinoma in situ of prostate",
    "2348": "Carcinoma in situ of other specified sites",
    "2358": "Neoplasm of uncertain behavior of pleura, thymus, and mediastinum",
    "23699": "Neoplasm of uncertain behavior of other and unspecified urinary organs",
    "2385": "Neoplasm of uncertain behavior of histiocytic and mast cells",
    "23873": "High grade myelodysplastic syndrome lesions",
    "2398": "Neoplasm of unspecified nature of other specified sites",
    "2419": "Unspecified nontoxic nodular goiter",
    "2492": "Secondary diabetes mellitus with hyperosmolarity",
    "25040": "Diabetes with renal manifestations, type II or unspecified type, not stated as uncontrolled",
    "25061": "Diabetes with neurological manifestations, type I [juvenile type], not stated as uncontrolled",
    "V4960": "Unspecified level upper limb amputation status",
    "V4983": "Awaiting organ transplant status",
    "V4989": "Other specified conditions influencing health status",
    "44831960": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831961": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831962": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V501": "Other plastic surgery for unacceptable cosmetic appearance",
    "V508": "Other elective surgery for purposes other than remedying health states",
    "V524": "Fitting and adjustment of breast prosthesis and implant",
    "V5350": "Fitting and adjustment of intestinal appliance and device",
    "V548": "Other orthopedic aftercare",
    "E9398": "Other psychotropic agents causing adverse effects in therapeutic use",
    "E9552": "Suicide and self-inflicted injury by hunting rifle",
    "E956": "Suicide and self-inflicted injury by cutting and piercing instrument",
    "E960": "Fight, brawl, rape",
    "E9682": "Assault by striking by blunt or thrown object",
    "E982": "Poisoning by other gases, undetermined whether accidentally or purposely inflicted",
    "E9829": "Poisoning by unspecified gases and vapors, undetermined whether accidentally or purposely inflicted",
    "E9855": "Injury by explosives, undetermined whether accidentally or purposely inflicted",
    "E9969": "Injury due to war operations by unspecified effect of nuclear weapon",
    "E998": "Injury due to war operations but occurring after cessation of hostilities",
    "E9988": "Injury due to other war operations but occurring after cessation of hostilities",
    "V01": "Contact with or exposure to communicable diseases",
    "44829570": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829571": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V0260": "Viral hepatitis carrier, unspecified",
    "V044": "Need for prophylactic vaccination and inoculation against yellow fever",
    "V047": "Need for prophylactic vaccination and inoculation against common cold",
    "83112": "Open posterior dislocation of humerus",
    "83119": "Open dislocation of shoulder, other",
    "83402": "Closed dislocation of interphalangeal (joint), hand",
    "8365": "Other dislocation of knee, closed",
    "83659": "Other dislocation of knee, closed",
    "83663": "Medial dislocation of tibia, proximal end, open",
    "837": "Dislocation of ankle",
    "8381": "Open dislocation of foot",
    "83813": "Open dislocation of tarsometatarsal (joint)",
    "83819": "Open dislocation of foot, other",
    "8442": "Sprain of cruciate ligament of knee",
    "84511": "Sprain of tarsometatarsal (joint) (ligament) of foot",
    "8482": "Sprain of thyroid region",
    "85011": "Concussion, with loss of consciousness of 30 minutes or less",
    "8502": "Concussion with moderate loss of consciousness",
    "85103": "Cortex (cerebral) contusion without mention of open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85129": "Cortex (cerebral) laceration without mention of open intracranial wound, with concussion, unspecified",
    "85136": "Cortex (cerebral) laceration with open intracranial wound, with loss of consciousness of unspecified duration",
    "85190": "Other and unspecified cerebral laceration and contusion, with open intracranial wound, unspecified state of consciousness",
    "85215": "Subarachnoid hemorrhage following injury with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85230": "Subdural hemorrhage following injury with open intracranial wound, unspecified state of consciousness",
    "85402": "Intracranial injury of other and unspecified nature without mention of open intracranial wound, with brief [less than one hour] loss of consciousness",
    "8541": "Intracranial injury of other and unspecified nature with open intracranial wound",
    "86232": "Injury to esophagus with open wound into cavity",
    "863": "Injury to gastrointestinal tract",
    "0498": "Other specified non-arthropod-borne viral diseases of central nervous system",
    "05310": "Herpes zoster with unspecified nervous system complication",
    "05312": "Postherpetic trigeminal neuralgia",
    "05881": "Human herpesvirus 6 infection",
    "0599": "Poxvirus infections, unspecified",
    "0624": "Australian encephalitis",
    "0639": "Tick-borne viral encephalitis, unspecified",
    "070": "Viral hepatitis",
    "07023": "Chronic viral hepatitis B with hepatic coma with hepatitis delta",
    "07031": "Viral hepatitis B without mention of hepatic coma, acute or unspecified, with hepatitis delta",
    "E8638": "Accidental poisoning by fumigants",
    "E8683": "Accidental poisoning by carbon monoxide from incomplete combustion of other domestic fuels",
    "E869": "Accidental poisoning by other gases and vapors",
    "E8713": "Foreign object left in body during injection or vaccination",
    "E8729": "Failure of sterile precautions during unspecified procedure",
    "E8735": "Inappropriate [too hot or too cold] temperature in local application and packing",
    "E8780": "Surgical operation with transplant of whole organ causing abnormal patient reaction, or later complication, without mention of misadventure at time of operation",
    "E8849": "Other accidental fall from one level to another",
    "E8854": "Fall from snowboard",
    "E8901": "Fumes from combustion of polyvinylchloride [pvc] and similar material in conflagration in private dwelling",
    "E9043": "Accident due to exposure (to weather conditions), not elsewhere classifiable",
    "E9082": "Floods",
    "E910": "Accidental drowning and submersion",
    "E9100": "Accidental drowning and submersion while water-skiing",
    "E914": "Foreign body accidentally entering eye and adnexa",
    "E915": "Foreign body accidentally entering other orifice",
    "E9201": "Accidents caused by other powered hand tools",
    "E9225": "Accident caused by paintball gun",
    "E9241": "Accident caused by caustic and corrosive substances",
    "E9503": "Suicide and self-inflicted poisoning by tranquilizers and other psychotropic agents",
    "E9521": "Suicide and self-inflicted poisoning by other carbon monoxide",
    "E9538": "Suicide and self-inflicted injury by other specified means",
    "E9580": "Suicide and self-inflicted injury by jumping or lying before moving object",
    "E9586": "Suicide and self-inflicted injury by crashing of aircraft",
    "E964": "Assault by submersion [drowning]",
    "E968": "Assault by other and unspecified means",
    "E972": "Injury due to legal intervention by gas",
    "E974": "Injury due to legal intervention by cutting and piercing instrument",
    "E9811": "Poisoning by liquefied petroleum gas distributed in mobile containers, undetermined whether accidentally or purposely inflicted",
    "E9333": "Alkalizing agents causing adverse effects in therapeutic use",
    "99977": "Non-ABO incompatibility with acute hemolytic transfusion reaction",
    "99988": "Other infusion reaction",
    "E0021": "Activities involving springboard and platform diving",
    "E0023": "Activities involving water aerobics and water exercise",
    "E0024": "Activities involving underwater diving and snorkeling",
    "E0029": "Other activity involving water and watercraft",
    "E0042": "Activities involving BASE jumping",
    "E0044": "Activities involving hang gliding",
    "E0066": "Activities involving non-running track and field events",
    "E0069": "Other activity involving other sports and athletics played individually",
    "E0083": "Activities involving frisbee",
    "E0093": "Activity involving circuit training",
    "E0150": "Activities involving food preparation and clean up",
    "E8019": "Railway accident involving collision with other object and injuring unspecified person",
    "E8140": "Motor vehicle traffic accident involving collision with pedestrian injuring driver of motor vehicle other than motorcycle",
    "E823": "Other motor vehicle nontraffic accident involving collision with stationary object",
    "E832": "Other accidental submersion or drowning in water transport accident",
    "37272": "Conjunctival hemorrhage",
    "37273": "Conjunctival edema",
    "3741": "Ectropion",
    "37410": "Ectropion, unspecified",
    "37484": "Cysts of eyelids",
    "3749": "Unspecified disorder of eyelid",
    "37521": "Epiphora due to excess lacrimation",
    "3758": "Other disorders of lacrimal system",
    "37581": "Granuloma of lacrimal passages",
    "3761": "Chronic inflammatory disorders of orbit",
    "37611": "Orbital granuloma",
    "37644": "Orbital deformities associated with craniofacial deformities",
    "37724": "Pseudopapilledema",
    "37739": "Other optic neuritis",
    "3775": "Disorders of optic chiasm",
    "37805": "Alternating esotropia",
    "37812": "Monocular exotropia with A pattern",
    "37842": "Exophoria",
    "37901": "Episcleritis periodica fugax",
    "3791": "Other disorders of sclera",
    "37923": "Vitreous hemorrhage",
    "37934": "Posterior dislocation of lens",
    "37942": "Miosis (persistent), not due to miotics",
    "37953": "Visual deprivation nystagmus",
    "38023": "Other chronic otitis externa",
    "38053": "Acquired stenosis of external ear canal secondary to inflammation",
    "381": "Nonsuppurative otitis media and Eustachian tube disorders",
    "38160": "Obstruction of Eustachian tube, unspecified",
    "3820": "Acute suppurative otitis media",
    "3830": "Acute mastoiditis",
    "3839": "Unspecified mastoiditis",
    "38422": "Attic perforation of tympanic membrane",
    "38582": "Cholesterin granuloma of middle ear and mastoid",
    "3887": "Otalgia",
    "390": "Rheumatic fever without mention of heart involvement",
    "391": "Rheumatic fever with heart involvement",
    "3963": "Mitral valve insufficiency and aortic valve insufficiency",
    "4049": "Hypertensive heart and renal disease, unspecified",
    "41030": "Acute myocardial infarction of inferoposterior wall, episode of care unspecified",
    "41080": "Acute myocardial infarction of other specified sites, episode of care unspecified",
    "42293": "Toxic myocarditis",
    "4232": "Constrictive pericarditis",
    "4263": "Other left bundle branch block",
    "42653": "Other bilateral bundle branch block",
    "42761": "Supraventricular premature beats",
    "4280": "Congestive heart failure, unspecified",
    "42979": "Certain sequelae of myocardial infarction, not elsewhere classified, other",
    "4329": "Unspecified intracranial hemorrhage",
    "43410": "Cerebral embolism without mention of cerebral infarction",
    "4373": "Cerebral aneurysm, nonruptured",
    "4376": "Nonpyogenic thrombosis of intracranial venous sinus",
    "43822": "Late effects of cerebrovascular disease, hemiplegia affecting nondominant side",
    "37454": "Hypertrichosis of eyelid",
    "37513": "Primary lacrimal atrophy",
    "37541": "Chronic canaliculitis",
    "37610": "Chronic inflammation of orbit, unspecified",
    "3764": "Deformity of orbit",
    "37646": "Enlargement of orbit",
    "37771": "Disorders of visual cortex associated with neoplasms",
    "37854": "Sixth or abducens nerve palsy",
    "37886": "Internuclear ophthalmoplegia",
    "37887": "Other dissociated deviation of eye movements",
    "37903": "Anterior scleritis",
    "37955": "Dissociated nystagmus",
    "38201": "Acute suppurative otitis media with spontaneous rupture of eardrum",
    "3833": "Complications following mastoidectomy",
    "86344": "Injury to sigmoid colon, without mention of open wound into cavity",
    "86354": "Injury to sigmoid colon, with open wound into cavity",
    "8638": "Injury to other and unspecified gastrointestinal sites without mention of open wound into cavity",
    "86401": "Injury to liver without mention of open wound into cavity, hematoma and contusion",
    "86402": "Injury to liver without mention of open wound into cavity, laceration, minor",
    "86503": "Injury to spleen without mention of open wound into cavity, laceration extending into parenchyma",
    "86511": "Injury to spleen with open wound into cavity, hematoma without rupture of capsule",
    "86803": "Injury to other intra-abdominal organs without mention of open wound into cavity, peritoneum",
    "8703": "Penetrating wound of orbit, without mention of foreign body",
    "8708": "Other specified open wounds of ocular adnexa",
    "8710": "Ocular laceration without prolapse of intraocular tissue",
    "8721": "Open wound of external ear, complicated",
    "87211": "Open wound of auricle, ear, complicated",
    "8732": "Open wound of nose, without mention of complication",
    "87322": "Open wound of nasal cavity, without mention of complication",
    "8743": "Open wound of thyroid gland, complicated",
    "8751": "Open wound of chest (wall), complicated",
    "8760": "Open wound of back, without mention of complication",
    "8800": "Open wound of shoulder and upper arm, without mention of complication",
    "88102": "Open wound of wrist, without mention of complication",
    "8877": "Traumatic amputation of arm and hand (complete) (partial), bilateral [any level], complicated",
    "893": "Open wound of toe(s)",
    "8970": "Traumatic amputation of leg(s) (complete) (partial), unilateral, below knee, without mention of complication",
    "8973": "Traumatic amputation of leg(s) (complete) (partial), unilateral, at or above knee, complicated",
    "90000": "Injury to carotid artery, unspecified",
    "90001": "Injury to common carotid artery",
    "9018": "Injury to other specified blood vessels of thorax",
    "90240": "Injury to renal vessel(s), unspecified",
    "9055": "Late effect of fracture of multiple and unspecified bones",
    "9058": "Late effect of tendon injury",
    "9061": "Late effect of open wound of extremities without mention of tendon injury",
    "9065": "Late effect of burn of eye, face, head, and neck",
    "71613": "Traumatic arthropathy, forearm",
    "71631": "Climacteric arthritis, shoulder region",
    "71647": "Transient arthropathy, ankle and foot",
    "71682": "Other specified arthropathy, upper arm",
    "71684": "Other specified arthropathy, hand",
    "7180": "Articular cartilage disorder",
    "71800": "Articular cartilage disorder, site unspecified",
    "71832": "Recurrent dislocation of joint, upper arm",
    "71841": "Contracture of joint, shoulder region",
    "E9921": "Injury due to depth charge",
    "E9934": "Injury due to war operations by vehicle-borne improvised explosive device [IED]",
    "E995": "Injury due to war operations by other and unspecified forms of conventional warfare",
    "E9989": "Injury due to unspecified war operations but occurring after cessation of hostilities",
    "E999": "Late effect of injury due to war operations and terrorism",
    "E9990": "Late effect of injury due to war operations",
    "E9991": "Late effect of injury due to terrorism",
    "V020": "Carrier or suspected carrier of cholera",
    "V023": "Carrier or suspected carrier of other gastrointestinal pathogens",
    "V0252": "Carrier or suspected carrier of other streptococcus",
    "V026": "Carrier or suspected carrier of viral hepatitis",
    "V035": "Need for prophylactic vaccination and inoculation against diphtheria alone",
    "V0482": "Need for prophylactic vaccination and inoculation against respiratory syncytial virus (RSV)",
    "84201": "Sprain of carpal (joint) of wrist",
    "843": "Sprains and strains of hip and thigh",
    "8489": "Unspecified site of sprain and strain",
    "85114": "Cortex (cerebral) contusion with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85122": "Cortex (cerebral) laceration without mention of open intracranial wound, with brief [less than one hour] loss of consciousness",
    "85145": "Cerebellar or brain stem contusion without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "8515": "Cerebellar or brain stem contusion with open intracranial wound",
    "85166": "Cerebellar or brain stem laceration without mention of open intracranial wound, with loss of consciousness of unspecified duration",
    "8517": "Cerebellar or brain stem laceration with open intracranial wound",
    "85170": "Cerebellar or brain stem laceration with open intracranial wound, unspecified state of consciousness",
    "85182": "Other and unspecified cerebral laceration and contusion, without mention of open intracranial wound, with brief [less than one hour] loss of consciousness",
    "85203": "Subarachnoid hemorrhage following injury without mention of open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85211": "Subarachnoid hemorrhage following injury with open intracranial wound, with no loss of consciousness",
    "85244": "Extradural hemorrhage following injury without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85300": "Other and unspecified intracranial hemorrhage following injury without mention of open intracranial wound, unspecified state of consciousness",
    "85401": "Intracranial injury of other and unspecified nature without mention of open intracranial wound, with no loss of consciousness",
    "8603": "Traumatic hemothorax with open wound into thorax",
    "86120": "Unspecified injury of lung without mention of open wound into thorax",
    "86130": "Unspecified injury of lung with open wound into thorax",
    "86355": "Injury to rectum, with open wound into cavity",
    "86410": "Injury to liver with open wound into cavity, unspecified injury",
    "86519": "Other injury to spleen with open wound into cavity",
    "8690": "Internal injury to unspecified or ill-defined organs without mention of open wound into cavity",
    "87212": "Open wound of auditory canal, complicated",
    "8729": "Open wound of ear, part unspecified, complicated",
    "87330": "Open wound of nose, unspecified site, complicated",
    "880": "Open wound of shoulder and upper arm",
    "883": "Open wound of finger(s)",
    "8871": "Traumatic amputation of arm and hand (complete) (partial), unilateral, below elbow, complicated",
    "8901": "Open wound of hip and thigh, complicated",
    "8902": "Open wound of hip and thigh, with tendon involvement",
    "8977": "Traumatic amputation of leg(s) (complete) (partial), bilateral [any level], complicated",
    "900": "Injury to blood vessels of head and neck",
    "9001": "Injury to internal jugular vein",
    "9010": "Injury to thoracic aorta",
    "E841": "Accident to powered aircraft, other and unspecified",
    "E8507": "Accidental poisoning by other non-narcotic analgesics",
    "E8531": "Accidental poisoning by butyrophenone-based tranquilizers",
    "E8583": "Accidental poisoning by agents primarily affecting cardiovascular system",
    "E8688": "Accidental poisoning by carbon monoxide from other sources",
    "E8698": "Accidental poisoning by other specified gases and vapors",
    "E870": "Accidental cut, puncture, perforation, or hemorrhage during medical care",
    "V8745": "Personal history of systemic steroid therapy",
    "44825080": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8801": "Acquired absence of both cervix and uterus",
    "V8811": "Acquired total absence of pancreas",
    "44825083": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8902": "Suspected placental problem not found",
    "V9081": "Retained glass fragments",
    "V9129": "Quadruplet gestation, unable to determine number of placenta and number of amniotic sacs",
    "44825087": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825088": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "sd": "Open fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with concussion, unspecified",
    "0020": "Typhoid fever",
    "003": "Other salmonella infections",
    "0049": "Shigellosis, unspecified",
    "0068": "Amebic infection of other sites",
    "00841": "Intestinal infection due to staphylococcus",
    "00843": "Intestinal infection due to campylobacter",
    "00849": "Intestinal infection due to other organisms",
    "0086": "Enteritis due to specified virus",
    "01012": "Tuberculous pleurisy in primary progressive tuberculosis, bacteriological or histological examination unknown (at present)",
    "01094": "Primary tuberculous infection, unspecified, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01122": "Tuberculosis of lung with cavitation, bacteriological or histological examination unknown (at present)",
    "01153": "Tuberculous bronchiectasis, tubercle bacilli found (in sputum) by microscopy",
    "01156": "Tuberculous bronchiectasis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "0116": "Tuberculous pneumonia [any form]",
    "01234": "Tuberculous laryngitis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01283": "Other specified respiratory tuberculosis, tubercle bacilli found (in sputum) by microscopy",
    "01316": "Tuberculoma of meninges, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01361": "Tuberculous encephalitis or myelitis, bacteriological or histological examination not done",
    "01363": "Tuberculous encephalitis or myelitis, tubercle bacilli found (in sputum) by microscopy",
    "01513": "Tuberculosis of hip, tubercle bacilli found (in sputum) by microscopy",
    "0152": "Tuberculosis of knee",
    "01524": "Tuberculosis of knee, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01563": "Tuberculosis of mastoid, tubercle bacilli found (in sputum) by microscopy",
    "01592": "Tuberculosis of unspecified bones and joints, bacteriological or histological examination unknown (at present)",
    "01612": "Tuberculosis of bladder, bacteriological or histological examination unknown (at present)",
    "01621": "Tuberculosis of ureter, bacteriological or histological examination not done",
    "01651": "Tuberculosis of other male genital organs, bacteriological or histological examination not done",
    "01663": "Tuberculous oophoritis and salpingitis, tubercle bacilli found (in sputum) by microscopy",
    "3853": "Cholesteatoma of middle ear and mastoid",
    "38610": "Peripheral vertigo, unspecified",
    "38619": "Other peripheral vertigo",
    "3886": "Otorrhea",
    "389": "Hearing loss",
    "38902": "Conductive hearing loss, tympanic membrane",
    "3940": "Mitral stenosis",
    "396": "Diseases of mitral and aortic valves",
    "398": "Other rheumatic heart disease",
    "402": "Hypertensive heart disease",
    "403": "Hypertensive chronic kidney disease",
    "40300": "Hypertensive chronic kidney disease, malignant, with chronic kidney disease stage I through stage IV, or unspecified",
    "40400": "Hypertensive heart and chronic kidney disease, malignant, without heart failure and with chronic kidney disease stage I through stage IV, or unspecified",
    "405": "Secondary hypertension",
    "40511": "Benign renovascular hypertension",
    "410": "Acute myocardial infarction",
    "4103": "Acute myocardial infarction, of inferoposterior wall",
    "41042": "Acute myocardial infarction of other inferior wall, subsequent episode of care",
    "41050": "Acute myocardial infarction of other lateral wall, episode of care unspecified",
    "41082": "Acute myocardial infarction of other specified sites, subsequent episode of care",
    "4230": "Hemopericardium",
    "4240": "Mitral valve disorders",
    "4251": "Hypertrophic cardiomyopathy",
    "42652": "Right bundle branch block and left anterior fascicular block",
    "42840": "Combined systolic and diastolic heart failure, unspecified",
    "4298": "Other ill-defined heart diseases",
    "42981": "Other disorders of papillary muscle",
    "43381": "Occlusion and stenosis of other specified precerebral artery with cerebral infarction",
    "4340": "Cerebral thrombosis",
    "4350": "Basilar artery syndrome",
    "4358": "Other specified transient cerebral ischemias",
    "437": "Other and ill-defined cerebrovascular disease",
    "4381": "Speech and language deficits as late effect of cerebrovascular disease",
    "4382": "Hemiplegia/hemiparesis as late effect of cerebrovascular disease",
    "4384": "Monoplegia of lower limb as late effect of cerebrovascular disease",
    "441": "Aortic aneurysm and dissection",
    "44281": "Aneurysm of artery of neck",
    "44401": "Saddle embolus of abdominal aorta",
    "4461": "Acute febrile mucocutaneous lymph node syndrome [MCLS]",
    "4462": "Hypersensitivity angiitis",
    "4466": "Thrombotic microangiopathy",
    "4467": "Takayasu's disease",
    "4472": "Rupture of artery",
    "71845": "Contracture of joint, pelvic region and thigh",
    "71850": "Ankylosis of joint, site unspecified",
    "71854": "Ankylosis of joint, hand",
    "71902": "Effusion of joint, upper arm",
    "71917": "Hemarthrosis, ankle and foot",
    "7194": "Pain in joint",
    "71946": "Pain in joint, lower leg",
    "71961": "Other symptoms referable to joint, shoulder region",
    "71962": "Other symptoms referable to joint, upper arm",
    "71963": "Other symptoms referable to joint, forearm",
    "7198": "Other specified disorders of joint",
    "71998": "Unspecified disorder of joint, other specified sites",
    "7225": "Degeneration of thoracic or lumbar intervertebral disc",
    "7226": "Degeneration of intervertebral disc, site unspecified",
    "72270": "Intervertebral disc disorder with myelopathy, unspecified region",
    "7229": "Other and unspecified disc disorder",
    "7234": "Brachial neuritis or radiculitis NOS",
    "725": "Polymyalgia rheumatica",
    "72670": "Enthesopathy of ankle and tarsus, unspecified",
    "72706": "Tenosynovitis of foot and ankle",
    "72742": "Ganglion of tendon sheath",
    "72765": "Nontraumatic rupture of quadriceps tendon",
    "72810": "Calcification and ossification, unspecified",
    "7291": "Myalgia and myositis, unspecified",
    "72979": "Nontraumatic compartment syndrome of other sites",
    "73032": "Periostitis, without mention of osteomyelitis, upper arm",
    "7324": "Juvenile osteochondrosis of lower extremity, excluding foot",
    "7325": "Juvenile osteochondrosis of foot",
    "7337": "Algoneurodystrophy",
    "7371": "Kyphosis (acquired)",
    "73712": "Kyphosis, postlaminectomy",
    "73739": "Other kyphoscoliosis and scoliosis",
    "7383": "Acquired deformity of chest and rib",
    "7388": "Acquired deformity of other specified site",
    "7400": "Anencephalus",
    "7410": "Spina bifida with hydrocephalus",
    "9021": "Injury to inferior vena cava",
    "9030": "Injury to axillary blood vessels",
    "9059": "Late effect of traumatic amputation",
    "9062": "Late effect of superficial injury",
    "9063": "Late effect of contusion",
    "9158": "Other and unspecified superficial injury of fingers without mention of infection",
    "9165": "Insect bite, nonvenomous of hip, thigh, leg, and ankle, infected",
    "9177": "Superficial foreign body (splinter) of foot and toe(s), without major open wound, infected",
    "9190": "Abrasion or friction burn of other, multiple, and unspecified sites, without mention of infection",
    "920": "Contusion of face, scalp, and neck except eye(s)",
    "9222": "Contusion of abdominal wall",
    "924": "Contusion of lower limb and of other and unspecified sites",
    "92420": "Contusion of foot",
    "92619": "Crushing injury of other specified sites of trunk",
    "9268": "Crushing injury of multiple sites of trunk",
    "92720": "Crushing injury of hand(s)",
    "9302": "Foreign body in lacrimal punctum",
    "94113": "Erythema [first degree] of lip(s)",
    "94119": "Erythema [first degree] of multiple sites [except with eye] of face, head, and neck",
    "94121": "Blisters, epidermal loss [second degree] of ear [any part]",
    "821": "Fracture of other and unspecified parts of femur",
    "82122": "Closed fracture of epiphysis, lower (separation) of femur",
    "82130": "Open fracture of lower end of femur, unspecified part",
    "822": "Fracture of patella",
    "82302": "Closed fracture of upper end of fibula with tibia",
    "82322": "Closed fracture of shaft of fibula with tibia",
    "824": "Fracture of ankle",
    "82530": "Open fracture of unspecified bone(s) of foot [except toes]",
    "8271": "Other, multiple and ill-defined fractures of lower limb, open",
    "8290": "Fracture of unspecified bone, closed",
    "8320": "Closed dislocation of elbow",
    "83401": "Closed dislocation of metacarpophalangeal (joint)",
    "83512": "Open obturator dislocation of hip",
    "8360": "Tear of medial cartilage or meniscus of knee, current",
    "8362": "Other tear of cartilage or meniscus of knee, current",
    "83653": "Medial dislocation of tibia, proximal end, closed",
    "83664": "Lateral dislocation of tibia, proximal end, open",
    "83801": "Closed dislocation of tarsal (bone), joint unspecified",
    "84211": "Sprain of carpometacarpal (joint) of hand",
    "84512": "Sprain of metatarsophalangeal (joint) of foot",
    "8463": "Sprain of sacrotuberous (ligament)",
    "8483": "Sprain of ribs",
    "8500": "Concussion with no loss of consciousness",
    "85146": "Cerebellar or brain stem contusion without mention of open intracranial wound, with loss of consciousness of unspecified duration",
    "85154": "Cerebellar or brain stem contusion with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "8516": "Cerebellar or brain stem laceration without mention of open intracranial wound",
    "85160": "Cerebellar or brain stem laceration without mention of open intracranial wound, unspecified state of consciousness",
    "85221": "Subdural hemorrhage following injury without mention of open intracranial wound, with no loss of consciousness",
    "85223": "Subdural hemorrhage following injury without mention of open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85303": "Other and unspecified intracranial hemorrhage following injury without mention of open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "8604": "Traumatic pneumohemothorax without mention of open wound into thorax",
    "86102": "Laceration of heart without penetration of heart chambers or without mention of open wound into thorax",
    "8622": "Injury to other specified intrathoracic organs without mention of open wound into cavity",
    "86393": "Injury to pancreas, tail, with open wound into cavity",
    "0169": "Genitourinary tuberculosis, unspecified",
    "01691": "Genitourinary tuberculosis, unspecified, bacteriological or histological examination not done",
    "01694": "Genitourinary tuberculosis, unspecified, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "017": "Tuberculosis of other organs",
    "0170": "Tuberculosis of skin and subcutaneous cellular tissue",
    "01700": "Tuberculosis of skin and subcutaneous cellular tissue, unspecified",
    "01713": "Erythema nodosum with hypersensitivity reaction in tuberculosis, tubercle bacilli found (in sputum) by microscopy",
    "01742": "Tuberculosis of ear, bacteriological or histological examination unknown (at present)",
    "0175": "Tuberculosis of thyroid gland",
    "01765": "Tuberculosis of adrenal glands, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01772": "Tuberculosis of spleen, bacteriological or histological examination unknown (at present)",
    "01773": "Tuberculosis of spleen, tubercle bacilli found (in sputum) by microscopy",
    "01776": "Tuberculosis of spleen, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "2507": "Diabetes with peripheral circulatory disorders",
    "25091": "Diabetes with unspecified complication, type I [juvenile type], not stated as uncontrolled",
    "25092": "Diabetes with unspecified complication, type II or unspecified type, uncontrolled",
    "2518": "Other specified disorders of pancreatic internal secretion",
    "2528": "Other specified disorders of parathyroid gland",
    "2541": "Abscess of thymus",
    "259": "Other endocrine disorders",
    "2644": "Vitamin A deficiency with keratomalacia",
    "2646": "Vitamin A deficiency with xerophthalmic scars of cornea",
    "2650": "Beriberi",
    "2660": "Ariboflavinosis",
    "2662": "Other B-complex deficiencies",
    "2680": "Rickets, active",
    "2689": "Unspecified vitamin D deficiency",
    "2692": "Unspecified vitamin deficiency",
    "2700": "Disturbances of amino-acid transport",
    "27410": "Gouty nephropathy, unspecified",
    "2749": "Gout, unspecified",
    "27669": "Other fluid overload",
    "277": "Other and unspecified disorders of metabolism",
    "2778": "Other specified disorders of metabolism",
    "27782": "Carnitine deficiency due to inborn errors of metabolism",
    "27783": "Iatrogenic carnitine deficiency",
    "2782": "Hypervitaminosis A",
    "27941": "Autoimmune lymphoproliferative syndrome",
    "2795": "Graft-versus-host disease",
    "27951": "Acute graft-versus-host disease",
    "2813": "Other specified megaloblastic anemias not elsewhere classified",
    "28241": "Sickle-cell thalassemia without crisis",
    "28244": "Beta thalassemia",
    "28401": "Constitutional red blood cell aplasia",
    "28850": "Leukocytopenia, unspecified",
    "28863": "Monocytosis (symptomatic)",
    "28953": "Neutropenic splenomegaly",
    "29043": "Vascular dementia, with depressed mood",
    "2908": "Other specified senile psychotic conditions",
    "29181": "Alcohol withdrawal",
    "4476": "Arteritis, unspecified",
    "45189": "Phlebitis and thrombophlebitis of other sites",
    "4519": "Phlebitis and thrombophlebitis of unspecified site",
    "4534": "Acute venous embolism and thrombosis of deep vessels of lower extremity",
    "45381": "Acute venous embolism and thrombosis of superficial veins of upper extremity",
    "4557": "Unspecified thrombosed hemorrhoids",
    "4561": "Esophageal varices without mention of bleeding",
    "45620": "Esophageal varices in diseases classified elsewhere, with bleeding",
    "4570": "Postmastectomy lymphedema syndrome",
    "45829": "Other iatrogenic hypotension",
    "4610": "Acute maxillary sinusitis",
    "4611": "Acute frontal sinusitis",
    "88122": "Open wound of wrist, with tendon involvement",
    "8876": "Traumatic amputation of arm and hand (complete) (partial), bilateral [any level], without mention of complication",
    "8961": "Traumatic amputation of foot (complete) (partial), unilateral, complicated",
    "90002": "Injury to external carotid artery",
    "9040": "Injury to common femoral artery",
    "9067": "Late effect of burn of other extremities",
    "9068": "Late effect of burns of other specified sites",
    "9124": "Insect bite, nonvenomous of shoulder and upper arm, without mention of infection",
    "9131": "Abrasion or friction burn of elbow, forearm, and wrist, infected",
    "9155": "Insect bite, nonvenomous of finger(s), infected",
    "9168": "Other and unspecified superficial injury of hip, thigh, leg, and ankle, without mention of infection",
    "919": "Superficial injury of other, multiple, and unspecified sites",
    "9197": "Superficial foreign body (splinter) of other, multiple, and unspecified sites, without major open wound, infected",
    "92309": "Contusion of multiple sites of shoulder and upper arm",
    "9243": "Contusion of toe",
    "92711": "Crushing injury of elbow",
    "933": "Foreign body in pharynx and larynx",
    "9348": "Foreign body in other specified parts bronchus and lung",
    "937": "Foreign body in anus and rectum",
    "9401": "Other burns of eyelids and periocular area",
    "94106": "Burn of unspecified degree of scalp [any part]",
    "94111": "Erythema [first degree] of ear [any part]",
    "94131": "Full-thickness skin loss [third degree, not otherwise specified] of ear [any part]",
    "94146": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part of scalp [any part]",
    "94242": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of chest wall, excluding breast and nipple",
    "9434": "Deep necrosis of underlying tissues due to burn [deep third degree] of upper limb, except wrist and hand, without mention of loss of a body part",
    "94341": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of forearm",
    "94356": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of scapular region",
    "94422": "Blisters, epidermal loss [second degree] of thumb (nail)",
    "94529": "Blisters, epidermal loss [second degree] of multiple sites of lower limb(s)",
    "94536": "Full-thickness skin loss [third degree NOS] of thigh [any part]",
    "94551": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of toe(s) (nail)",
    "946": "Burns of multiple specified sites",
    "9462": "Blisters, epidermal loss [second degree] of multiple specified sites",
    "9470": "Burn of mouth and pharynx",
    "94853": "Burn [any degree] involving 50-59 percent of body surface with third degree burn, 30-39%",
    "9486": "Burn [any degree] involving 60-69 percent of body surface",
    "9487": "Burn [any degree] involving 70-79 percent of body surface",
    "9495": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, unspecified",
    "952": "Spinal cord injury without evidence of spinal bone injury",
    "95207": "C5-C7 level with anterior cord syndrome",
    "74335": "Congenital aphakia",
    "74357": "Specified congenital anomalies of optic disc",
    "74359": "Other congenital anomalies of posterior segment",
    "7438": "Other specified anomalies of eye",
    "7439": "Unspecified anomaly of eye",
    "744": "Congenital anomalies of ear, face, and neck",
    "74489": "Other specified congenital anomalies of face and neck",
    "7454": "Ventricular septal defect",
    "7456": "Endocardial cushion defects",
    "74601": "Atresia of pulmonary valve, congenital",
    "74740": "Anomaly of great veins, unspecified",
    "7476": "Other congenital anomalies of peripheral vascular system",
    "7489": "Unspecified anomaly of respiratory system",
    "74901": "Cleft palate, unilateral, complete",
    "74910": "Cleft lip, unspecified",
    "75025": "Congenital fistula of lip",
    "7503": "Tracheoesophageal fistula, esophageal atresia and stenosis",
    "7518": "Other specified anomalies of digestive system",
    "75329": "Other obstructive defects of renal pelvis and ureter",
    "86395": "Injury to appendix, with open wound into cavity",
    "86412": "Injury to liver with open wound into cavity, laceration, minor",
    "86601": "Injury to kidney without mention of open wound into cavity, hematoma without rupture of capsule",
    "86602": "Injury to kidney without mention of open wound into cavity, laceration",
    "86810": "Injury to other intra-abdominal organs with open wound into cavity, unspecified intra-abdominal organ",
    "8691": "Internal injury to unspecified or ill-defined organs with open wound into cavity",
    "8717": "Unspecified ocular penetration",
    "87269": "Open wound of other and multiple sites of ear, without mention of complication",
    "87272": "Open wound of ossicles, complicated",
    "87273": "Open wound of eustachian tube, complicated",
    "87339": "Open wound of multiple sites of nose, complicated",
    "87349": "Open wound of other and multiple sites of face, without mention of complication",
    "87362": "Open wound of gum (alveolar process), without mention of complication",
    "87369": "Open wound of other and multiple sites of mouth, without mention of complication",
    "87370": "Open wound of mouth, unspecified site, complicated",
    "885": "Traumatic amputation of thumb (complete) (partial)",
    "8870": "Traumatic amputation of arm and hand (complete) (partial), unilateral, below elbow, without mention of complication",
    "8910": "Open wound of knee, leg [except thigh], and ankle, without mention of complication",
    "8922": "Open wound of foot except toe(s) alone, with tendon involvement",
    "8932": "Open wound of toe(s), with tendon involvement",
    "901": "Injury to blood vessels of thorax",
    "90222": "Injury to hepatic artery",
    "07032": "Chronic viral hepatitis B without mention of hepatic coma without mention of hepatitis delta",
    "07043": "Hepatitis E with hepatic coma",
    "0705": "Other specified viral hepatitis without mention of hepatic coma",
    "0709": "Unspecified viral hepatitis without mention of hepatic coma",
    "0720": "Mumps orchitis",
    "0721": "Mumps meningitis",
    "07422": "Coxsackie endocarditis",
    "0784": "Foot and mouth disease",
    "0785": "Cytomegaloviral disease",
    "0790": "Adenovirus infection in conditions classified elsewhere and of unspecified site",
    "07983": "Parvovirus B19",
    "07998": "Unspecified chlamydial infection",
    "0839": "Rickettsiosis, unspecified",
    "0840": "Falciparum malaria [malignant tertian]",
    "0843": "Ovale malaria",
    "0904": "Juvenile neurosyphilis",
    "09041": "Congenital syphilitic encephalitis",
    "0919": "Unspecified secondary syphilis",
    "0955": "Syphilis of bone",
    "09851": "Gonococcal synovitis and tenosynovitis",
    "0998": "Other specified venereal diseases",
    "1009": "Leptospirosis, unspecified",
    "1021": "Multiple papillomata due to yaws and wet crab yaws",
    "1122": "Candidiasis of other urogenital sites",
    "11285": "Candidal enteritis",
    "11289": "Other candidiasis of other specified sites",
    "11591": "Histoplasmosis, unspecified, meningitis",
    "11599": "Histoplasmosis, unspecified, other",
    "1171": "Sporotrichosis",
    "1172": "Chromoblastomycosis",
    "121": "Other trematode infections",
    "123": "Other cestode infection",
    "1268": "Other specified ancylostoma",
    "1307": "Toxoplasmosis of other specified sites",
    "13621": "Specific infection due to acanthamoeba",
    "137": "Late effects of tuberculosis",
    "1400": "Malignant neoplasm of upper lip, vermilion border",
    "1429": "Malignant neoplasm of salivary gland, unspecified",
    "29410": "Dementia in conditions classified elsewhere without behavioral disturbance",
    "295": "Schizophrenic disorders",
    "2955": "Latent schizophrenia",
    "29562": "Schizophrenic disorders, residual type, chronic",
    "29590": "Unspecified schizophrenia, unspecified",
    "95213": "T1-T6 level with central cord syndrome",
    "9561": "Injury to femoral nerve",
    "9568": "Injury to multiple nerves of pelvic girdle and lower limb",
    "9582": "Secondary and recurrent hemorrhage",
    "9584": "Traumatic shock",
    "95911": "Other injury of chest wall",
    "95912": "Other injury of abdomen",
    "9622": "Poisoning by ovarian hormones and synthetic substitutes",
    "9643": "Poisoning by vitamin K (phytonadione)",
    "96502": "Poisoning by methadone",
    "96561": "Poisoning by propionic acid derivatives",
    "9660": "Poisoning by oxazolidine derivatives",
    "9670": "Poisoning by barbiturates",
    "9676": "Poisoning by mixed sedatives, not elsewhere classified",
    "968": "Poisoning by other central nervous system depressants and anesthetics",
    "9693": "Poisoning by other antipsychotics, neuroleptics, and major tranquilizers",
    "9723": "Poisoning by ganglion-blocking agents",
    "974": "Poisoning by water, mineral, and uric acid metabolism drugs",
    "74921": "Cleft palate with cleft lip, unilateral, complete",
    "74925": "Other combinations of cleft palate with cleft lip",
    "75016": "Microglossia",
    "75026": "Other specified anomalies of mouth",
    "7511": "Atresia and stenosis of small intestine",
    "7520": "Anomalies of ovaries",
    "75210": "Unspecified anomaly of fallopian tubes and broad ligaments",
    "7526": "Hypospadias and epispadias and other penile anomalies",
    "7529": "Unspecified anomaly of genital organs",
    "75316": "Medullary cystic kidney",
    "7540": "Congenital musculoskeletal deformities of skull, face, and jaw",
    "754": "Certain congenital musculoskeletal deformities",
    "7547": "Other congenital deformities of feet",
    "75513": "Syndactyly of toes without fusion of bone",
    "75551": "Congenital deformity of clavicle",
    "75557": "Macrodactylia (fingers)",
    "75651": "Osteogenesis imperfecta",
    "7600": "Maternal hypertensive disorders affecting fetus or newborn",
    "6517": "Multiple gestation following (elective) fetal reduction",
    "65181": "Other specified multiple gestation, delivered, with or without mention of antepartum condition",
    "65240": "Face or brow presentation, unspecified as to episode of care or not applicable",
    "65271": "Prolapsed arm of fetus, delivered, with or without mention of antepartum condition",
    "65283": "Other specified malposition or malpresentation, antepartum condition or complication",
    "65313": "Generally contracted pelvis, antepartum condition or complication",
    "65331": "Outlet contraction of pelvis, delivered, with or without mention of antepartum condition",
    "6534": "Fetopelvic disproportion",
    "65361": "Hydrocephalic fetus causing disproportion, delivered, with or without mention of antepartum condition",
    "65401": "Congenital abnormalities of uterus, delivered, with or without mention of antepartum condition",
    "6541": "Tumors of body of uterus complicating pregnancy, childbirth, or the puerperium",
    "65441": "Other abnormalities in shape or position of gravid uterus and of neighboring structures, delivered, with or without mention of antepartum condition",
    "6546": "Other congenital or acquired abnormality of cervix complicating pregnancy, childbirth, or the puerperium",
    "65580": "Other known or suspected fetal abnormality, not elsewhere classified, affecting management of mother, unspecified as to episode of care or not applicable",
    "6559": "Unspecified, known or suspected fetal abnormality affecting management of mother",
    "65590": "Unspecified suspected fetal abnormality, affecting management of mother, unspecified as to episode of care or not applicable",
    "65671": "Other placental conditions, affecting management of mother, delivered, with or without mention of antepartum condition",
    "6568": "Other specified fetal and placental problems affecting management of mother",
    "6569": "Unspecified fetal and placental problem affecting management of mother",
    "6580": "Oligohydramnios",
    "65900": "Failed mechanical induction of labor, unspecified as to episode of care or not applicable",
    "65993": "Unspecified indication for care or intervention related to labor and delivery, antepartum condition or complication",
    "6603": "Deep transverse arrest and persistent occipitoposterior position during labor and delivery",
    "66073": "Failed forceps or vacuum extractor, unspecified, antepartum condition or complication",
    "6608": "Other causes of obstructed labor",
    "66140": "Hypertonic, incoordinate, or prolonged uterine contractions, unspecified as to episode of care or not applicable",
    "6619": "Unspecified abnormality of labor",
    "66311": "Cord around neck, with compression, complicating labor and delivery, delivered, with or without mention of antepartum condition",
    "66390": "Unspecified umbilical cord complication complicating labor and delivery, unspecified as to episode of care or not applicable",
    "66421": "Third-degree perineal laceration, delivered, with or without mention of antepartum condition",
    "6645": "Vulvar and perineal hematoma during delivery",
    "66451": "Vulvar and perineal hematoma, delivered, with or without mention of antepartum condition",
    "6648": "Other specified trauma to perineum and vulva during delivery",
    "665": "Other obstetrical trauma",
    "66560": "Damage to pelvic joints and ligaments, unspecified as to episode of care or not applicable",
    "66981": "Other complications of labor and delivery, delivered, with or without mention of antepartum condition",
    "1464": "Malignant neoplasm of anterior aspect of epiglottis",
    "148": "Malignant neoplasm of hypopharynx",
    "1503": "Malignant neoplasm of upper third of esophagus",
    "1504": "Malignant neoplasm of middle third of esophagus",
    "1515": "Malignant neoplasm of lesser curvature of stomach, unspecified",
    "1529": "Malignant neoplasm of small intestine, unspecified site",
    "155": "Malignant neoplasm of liver and intrahepatic bile ducts",
    "1552": "Malignant neoplasm of liver, not specified as primary or secondary",
    "1560": "Malignant neoplasm of gallbladder",
    "1578": "Malignant neoplasm of other specified sites of pancreas",
    "160": "Malignant neoplasm of nasal cavities, middle ear, and accessory sinuses",
    "1603": "Malignant neoplasm of ethmoidal sinus",
    "1612": "Malignant neoplasm of subglottis",
    "1622": "Malignant neoplasm of main bronchus",
    "164": "Malignant neoplasm of thymus, heart, and mediastinum",
    "1716": "Malignant neoplasm of connective and other soft tissue of pelvis",
    "1717": "Malignant neoplasm of connective and other soft tissue of trunk, unspecified",
    "1724": "Malignant melanoma of skin of scalp and neck",
    "1732": "Other and unspecified malignant neoplasm of skin of ear and external auditory canal",
    "1735": "Other and unspecified malignant neoplasm of skin of trunk, except scrotum",
    "1738": "Other and unspecified malignant neoplasm of other specified sites of skin",
    "1741": "Malignant neoplasm of central portion of female breast",
    "175": "Malignant neoplasm of male breast",
    "1828": "Malignant neoplasm of other specified sites of body of uterus",
    "183": "Malignant neoplasm of ovary and other uterine adnexa",
    "1842": "Malignant neoplasm of labia minora",
    "186": "Malignant neoplasm of testis",
    "1869": "Malignant neoplasm of other and unspecified testis",
    "1885": "Malignant neoplasm of bladder neck",
    "1903": "Malignant neoplasm of conjunctiva",
    "1944": "Malignant neoplasm of pineal gland",
    "44830734": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V0731": "Need for prophylactic fluoride administration",
    "44830736": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1041": "Personal history of malignant neoplasm of cervix uteri",
    "V1048": "Personal history of malignant neoplasm of epididymis",
    "V1059": "Personal history of malignant neoplasm of other urinary organs",
    "V1062": "Personal history of myeloid leukemia",
    "V1088": "Personal history of malignant neoplasm of other endocrine glands and related structures",
    "44830742": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830743": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830744": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1229": "Personal history of other endocrine, metabolic, and immunity disorders",
    "V1240": "Personal history of unspecified disorder of nervous system and sense organs",
    "V1255": "Personal history of pulmonary embolism",
    "44830748": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V133": "Personal history of diseases of skin and subcutaneous tissue",
    "44830750": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830751": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830752": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V143": "Personal history of allergy to other anti-infective agent",
    "V149": "Personal history of allergy to unspecified medicinal agent",
    "29602": "Bipolar I disorder, single manic episode, moderate",
    "29631": "Major depressive affective disorder, recurrent episode, mild",
    "29646": "Bipolar I disorder, most recent episode (or current) manic, in full remission",
    "29689": "Other bipolar disorders",
    "30002": "Generalized anxiety disorder",
    "30011": "Conversion disorder",
    "3007": "Hypochondriasis",
    "3015": "Histrionic personality disorder",
    "302": "Sexual and gender identity disorders",
    "3023": "Transvestic fetishism",
    "3028": "Other specified psychosexual disorders",
    "30403": "Opioid type dependence, in remission",
    "30423": "Cocaine dependence, in remission",
    "30432": "Cannabis dependence, episodic",
    "30502": "Alcohol abuse, episodic",
    "30523": "Cannabis abuse, in remission",
    "30543": "Sedative, hypnotic or anxiolytic abuse, in remission",
    "30552": "Opioid abuse, episodic",
    "30562": "Cocaine abuse, episodic",
    "30573": "Amphetamine or related acting sympathomimetic abuse, in remission",
    "30583": "Antidepressant type abuse, in remission",
    "3084": "Mixed disorders as reaction to stress",
    "309": "Adjustment reaction",
    "3098": "Other specified adjustment reactions",
    "31230": "Impulse control disorder, unspecified",
    "31232": "Kleptomania",
    "31239": "Other disorders of impulse control",
    "3128": "Other specified disturbances of conduct, not elsewhere classified",
    "31382": "Identity disorder of childhood or adolescence",
    "31400": "Attention deficit disorder without mention of hyperactivity",
    "V788": "Screening for other disorders of blood and blood-forming organs",
    "V790": "Screening for depression",
    "44830863": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V814": "Screening for other and unspecified respiratory conditions",
    "V815": "Screening for nephropathy",
    "V8281": "Special screening for osteoporosis",
    "44830867": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830868": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830869": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830870": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830871": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V853": "Body Mass Index between 30-39, adult",
    "V8553": "Body Mass Index, pediatric, 85th percentile to less than 95th percentile for age",
    "44830874": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830875": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830876": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830877": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8746": "Personal history of immunosuppressive therapy",
    "V8802": "Acquired absence of uterus with remaining cervical stump",
    "44830880": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9102": "Twin gestation, monochorionic/diamniotic (one placenta, two amniotic sacs)",
    "V9111": "Triplet gestation, with two or more monochorionic fetuses",
    "00847": "Intestinal infection due to other gram-negative bacteria",
    "009": "Ill-defined intestinal infections",
    "01080": "Other primary progressive tuberculosis, unspecified",
    "01091": "Primary tuberculous infection, unspecified, bacteriological or histological examination not done",
    "67022": "Puerperal sepsis, delivered, with mention of postpartum complication",
    "67114": "Varicose veins of vulva and perineum complicating pregnancy and the puerperium, postpartum condition or complication",
    "67133": "Deep phlebothrombosis, antepartum, antepartum condition or complication",
    "67204": "Pyrexia of unknown origin during the puerperium, postpartum condition or complication",
    "673": "Obstetrical pulmonary embolism",
    "67301": "Obstetrical air embolism, delivered, with or without mention of antepartum condition",
    "67304": "Obstetrical air embolism, postpartum condition or complication",
    "67312": "Amniotic fluid embolism, delivered, with mention of postpartum complication",
    "67404": "Cerebrovascular disorders in the puerperium, postpartum condition or complication",
    "67453": "Peripartum cardiomyopathy, antepartum condition or complication",
    "44829575": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829576": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V072": "Need for prophylactic immunotherapy",
    "V0739": "Need for other prophylactic chemotherapy",
    "V0971": "Infection with microorganisms with resistance to multiple antimycobacterial agents",
    "44829581": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V10": "Personal history of malignant neoplasm",
    "V1002": "Personal history of malignant neoplasm of other and unspecified oral cavity and pharynx",
    "V103": "Personal history of malignant neoplasm of breast",
    "V1069": "Personal history of other leukemia",
    "V109": "Other and unspecified personal history of malignant neoplasm",
    "44829587": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829588": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V069": "Unspecified combined vaccine",
    "44829589": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1221": "Personal history of gestational diabetes",
    "44829591": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829592": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829593": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829594": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1301": "Personal history of urinary calculi",
    "V137": "Personal history of perinatal problems",
    "44829597": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829598": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829599": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1504": "Allergy to seafood",
    "V151": "Personal history of surgery to heart and great vessels, presenting hazards to health",
    "V1553": "Personal history of retained foreign body fully removed",
    "V156": "Personal history of poisoning, presenting hazards to health",
    "V1587": "History of extracorporeal membrane oxygenation (ECMO)",
    "44829605": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829606": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829607": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829608": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V176": "Family history of other chronic respiratory conditions",
    "V177": "Family history of arthritis",
    "V1819": "Family history of other endocrine and metabolic diseases",
    "44829612": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830755": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V152": "Personal history of surgery to other organs, presenting hazards to health",
    "44830757": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1781": "Family history of osteoporosis",
    "44830759": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830760": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830761": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V201": "Other healthy infant or child receiving care",
    "V2135": "Low birth weight status, 2000-2500 grams",
    "44830765": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830766": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830767": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830768": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830769": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830770": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830771": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V2631": "Testing of female for genetic disease carrier status",
    "V277": "Outcome of delivery, other multiple birth, all stillborn",
    "44830774": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V290": "Observation for suspected infectious condition",
    "44830776": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V3201": "Twin birth, mate stillborn, born in hospital, delivered by cesarean section",
    "V321": "Twin birth, mate stillborn, born before admission to hospital",
    "V341": "Other multiple birth (three or more), mates all liveborn, born before admission to hospital",
    "44830781": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V362": "Other multiple birth (three or more), mates liveborn and stillborn, born outside hospital and not hospitalized",
    "44830783": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830784": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4389": "Other organ or tissue replaced by other means",
    "44830786": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830787": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V440": "Tracheostomy status",
    "44830790": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830792": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4569": "Other states following surgery of eye and adnexa",
    "94225": "Blisters, epidermal loss [second degree] of genitalia",
    "94232": "Full-thickness skin loss [third degree, not otherwise specified] of chest wall, excluding breast and nipple",
    "94234": "Full-thickness skin loss [third degree,not otherwise specified] of back [any part]",
    "9433": "Full-thickness skin loss due to burn [third degree NOS] of upper limb, except wrist and hand",
    "94340": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of upper limb,unspecified site",
    "94343": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of upper arm",
    "94349": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of multiple sites of upper limb, except wrist and hand",
    "94405": "Burn of unspecified degree of palm",
    "94407": "Burn of unspecified degree of wrist",
    "01095": "Primary tuberculous infection, unspecified, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01101": "Tuberculosis of lung, infiltrative, bacteriological or histological examination not done",
    "01110": "Tuberculosis of lung, nodular, unspecified",
    "01115": "Tuberculosis of lung, nodular, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01150": "Tuberculous bronchiectasis, unspecified",
    "01154": "Tuberculous bronchiectasis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01176": "Tuberculous pneumothorax, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "0118": "Other specified pulmonary tuberculosis",
    "01204": "Tuberculous pleurisy, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01220": "Isolated tracheal or bronchial tuberculosis, unspecified",
    "01343": "Tuberculoma of spinal cord, tubercle bacilli found (in sputum) by microscopy",
    "0138": "Other specified tuberculosis of central nervous system",
    "01500": "Tuberculosis of vertebral column, unspecified",
    "01505": "Tuberculosis of vertebral column, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01564": "Tuberculosis of mastoid, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01582": "Tuberculosis of other specified joint, bacteriological or histological examination unknown (at present)",
    "01613": "Tuberculosis of bladder, tubercle bacilli found (in sputum) by microscopy",
    "01716": "Erythema nodosum with hypersensitivity reaction in tuberculosis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01730": "Tuberculosis of eye, unspecified",
    "01735": "Tuberculosis of eye, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01760": "Tuberculosis of adrenal glands, unspecified",
    "01775": "Tuberculosis of spleen, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "0180": "Acute miliary tuberculosis",
    "01891": "Miliary tuberculosis, unspecified, bacteriological or histological examination not done",
    "0210": "Ulceroglandular tularemia",
    "0239": "Brucellosis, unspecified",
    "03284": "Diphtheritic cystitis",
    "036": "Meningococcal infection",
    "0363": "Waterhouse-Friderichsen syndrome, meningococcal",
    "037": "Tetanus",
    "E8704": "Accidental cut, puncture, perforation or hemorrhage during endoscopic examination",
    "E8712": "Foreign object left in body during kidney dialysis or other perfusion",
    "E8733": "Inadvertent exposure of patient to radiation during medical care",
    "E8743": "Mechanical failure of instrument or apparatus during endoscopic examination",
    "E8744": "Mechanical failure of instrument or apparatus during aspiration of fluid or tissue, puncture, and catheterization",
    "E8769": "Unspecified misadventure during medical care",
    "E8798": "Other specified procedures as the cause of abnormal reaction of patient, or of later complication, without mention of misadventure at time of procedure",
    "E8799": "Unspecified procedure as the cause of abnormal reaction of patient, or of later complication, without mention of misadventure at time of procedure",
    "E886": "Fall on same level from collision, pushing, or shoving, by or with other person",
    "E890": "Conflagration in private dwelling",
    "E8930": "Accident caused by ignition of clothing from controlled fire in private dwelling",
    "E9009": "Accidents due to excessive heat of unspecified origin",
    "E9020": "Accident due to residence or prolonged visit at high altitude",
    "E9050": "Venomous snakes and lizards causing poisoning and toxic reactions",
    "E9054": "Centipede and venomous millipede (tropical) bite causing poisoning and toxic reactions",
    "E9063": "Bite of other animal except arthropod",
    "75440": "Genu recurvatum",
    "75443": "Congenital bowing of tibia and fibula",
    "75531": "Transverse deficiency of lower limb",
    "7554": "Reduction deformities, unspecified limb",
    "75558": "Cleft hand, congenital",
    "75562": "Coxa vara, congenital",
    "75616": "Klippel-Feil syndrome",
    "75617": "Spina bifida occulta",
    "75654": "Polyostotic fibrous dysplasia of bone",
    "7581": "Patau's syndrome",
    "759": "Other and unspecified congenital anomalies",
    "75981": "Prader-Willi syndrome",
    "7602": "Maternal infections affecting fetus or newborn",
    "7605": "Maternal injury affecting fetus or newborn",
    "7618": "Other specified maternal complications of pregnancy affecting fetus or newborn",
    "7619": "Unspecified maternal complication of pregnancy affecting fetus or newborn",
    "7622": "Other and unspecified morphological and functional abnormalities of placenta affecting fetus or newborn",
    "7627": "Chorioamnionitis affecting fetus or newborn",
    "7631": "Other malpresentation, malposition, and disproportion during labor and delivery affecting fetus or newborn",
    "76404": "Light-for-dates without mention of fetal malnutrition, 1,000- 1,249 grams",
    "7686": "Mild or moderate birth asphyxia",
    "77014": "Aspiration of clear amniotic fluid with respiratory symptoms",
    "77017": "Other fetal and newborn aspiration without respiratory symptoms",
    "7703": "Pulmonary hemorrhage",
    "7718": "Other infection specific to the perinatal period",
    "77181": "Septicemia [sepsis] of newborn",
    "77431": "Neonatal jaundice due to delayed conjugation in diseases classified elsewhere",
    "7746": "Unspecified fetal and neonatal jaundice",
    "7753": "Neonatal thyrotoxicosis",
    "77589": "Other neonatal endocrine and metabolic disturbances",
    "7776": "Perinatal intestinal perforation",
    "7782": "Cold injury syndrome of newborn",
    "7790": "Convulsions in newborn",
    "7793": "Disorder of stomach function and feeding problems in newborn",
    "77985": "Cardiac arrest of newborn",
    "78003": "Persistent vegetative state",
    "78039": "Other convulsions",
    "7805": "Sleep disturbances",
    "78091": "Fussy infant (baby)",
    "7820": "Disturbance of skin sensation",
    "78340": "Lack of normal physiological development, unspecified",
    "44829613": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V190": "Family history of blindness or visual loss",
    "44829616": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V23": "Supervision of high-risk pregnancy",
    "44829622": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V2681": "Encounter for assisted reproductive fertility procedure cycle",
    "V272": "Outcome of delivery, twins, both liveborn",
    "44829625": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829627": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829628": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V3900": "Liveborn, unspecified whether single, twin or multiple, born in hospital, delivered without mention of cesarean section",
    "V391": "Liveborn, unspecified whether single, twin or multiple, born before admission to hospital",
    "V425": "Cornea replaced by transplant",
    "44829632": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829633": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4322": "Organ or tissue replaced by other means, fully implantable artificial heart",
    "9069": "Late effect of burn of unspecified site",
    "911": "Superficial injury of trunk",
    "912": "Superficial injury of shoulder and upper arm",
    "9127": "Superficial foreign body (splinter) of shoulder and upper arm, without major open wound, infected",
    "9128": "Other and unspecified superficial injury of shoulder and upper arm, without mention of infection",
    "9145": "Insect bite, nonvenomous, of hand(s) except finger(s) alone, infected",
    "9156": "Superficial foreign body (splinter) of finger(s), without major open wound and without mention of infection",
    "9170": "Abrasion or friction burn of foot and toe(s), without mention of infection",
    "92232": "Contusion of buttock",
    "9224": "Contusion of genital organs",
    "9240": "Contusion of hip and thigh",
    "92401": "Contusion of hip",
    "9244": "Contusion of multiple sites of lower limb",
    "9260": "Crushing injury of external genitalia",
    "92611": "Crushing injury of back",
    "9278": "Crushing injury of multiple sites of upper limb",
    "92800": "Crushing injury of thigh",
    "92820": "Crushing injury of foot",
    "9350": "Foreign body in mouth",
    "94101": "Burn of unspecified degree of ear [any part]",
    "94109": "Burn of unspecified degree of multiple sites [except with eye] of face, head, and neck",
    "94127": "Blisters, epidermal loss [second degree] of forehead and cheek",
    "9414": "Deep necrosis of underlying tissues due to burn [deep third degree] of face, head, and neck without mention of loss of a body part",
    "94155": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of nose (septum)",
    "94212": "Erythema [first degree] of chest wall, excluding breast and nipple",
    "9423": "Full-thickness skin loss due to burn [third degree NOS] of trunk",
    "94239": "Full-thickness skin loss [third degree, not otherwise specified] of other and multiple sites of trunk",
    "94259": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of other and multiple sites of trunk,",
    "94303": "Burn of unspecified degree of upper arm",
    "94311": "Erythema [first degree] of forearm",
    "9432": "Blisters with epidermal loss due to burn [second degree] of upper limb, except wrist and hand",
    "9441": "Erythema due to burn [first degree] of wrist(s) and hand(s)",
    "94423": "Blisters, epidermal loss [second degree] of two or more digits of hand, not including thumb",
    "94428": "Blisters, epidermal loss [second degree] of multiple sites of wrist(s) and hand(s)",
    "94447": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of wrist",
    "94456": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of back of hand",
    "94549": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of multiple sites of lower limb(s)",
    "94553": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of ankle",
    "94554": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of lower leg",
    "9479": "Burn of internal organs, unspecified site",
    "94811": "Burn [any degree] involving 10-19 percent of body surface with third degree burn, 10-19%",
    "94854": "Burn [any degree] involving 50-59 percent of body surface with third degree burn, 40-49%",
    "94864": "Burn [any degree] involving 60-69 percent of body surface with third degree burn, 40-49%",
    "94873": "Burn [any degree] involving 70-79 percent of body surface with third degree burn, 30-39%",
    "94877": "Burn [any degree] involving 70-79 percent of body surface with third degree burn, 70-79%",
    "94895": "Burn [any degree] involving 90 percent or more of body surface with third degree burn, 50-59%",
    "9523": "Sacral spinal cord injury without evidence of spinal bone injury",
    "9524": "Cauda equina spinal cord injury without evidence of spinal bone injury",
    "9559": "Injury to unspecified nerve of shoulder girdle and upper limb",
    "9560": "Injury to sciatic nerve",
    "9586": "Volkmann's ischemic contracture",
    "95914": "Other injury of external genitals",
    "9678": "Poisoning by other sedatives and hypnotics",
    "96901": "Poisoning by monoamine oxidase inhibitors",
    "9692": "Poisoning by butyrophenone-based tranquilizers",
    "97089": "Poisoning by other central nervous system stimulants",
    "9712": "Poisoning by sympathomimetics [adrenergics]",
    "9725": "Poisoning by other vasodilators",
    "9732": "Poisoning by emollient cathartics",
    "9734": "Poisoning by digestants",
    "9740": "Poisoning by mercurial diuretics",
    "9746": "Poisoning by other mineral salts, not elsewhere classified",
    "9751": "Poisoning by smooth muscle relaxants",
    "9752": "Poisoning by skeletal muscle relaxants",
    "9753": "Poisoning by other and unspecified drugs acting on muscles",
    "9762": "Poisoning by local astringents and local detergents",
    "9769": "Poisoning by unspecified agent primarily affecting skin and mucous membrane",
    "9772": "Poisoning by antidotes and chelating agents, not elsewhere classified",
    "9779": "Poisoning by unspecified drug or medicinal substance",
    "9840": "Toxic effect of inorganic lead compounds",
    "9856": "Toxic effect of chromium",
    "9879": "Toxic effect of unspecified gas, fume, or vapor",
    "98982": "Toxic effect of latex",
    "9920": "Heat stroke and sunstroke",
    "9924": "Heat exhaustion due to salt depletion",
    "9951": "Angioneurotic edema, not elsewhere classified",
    "9955": "Child maltreatment syndrome",
    "99551": "Child emotional/psychological abuse",
    "99563": "Anaphylactic reaction due to fruits and vegetables",
    "99581": "Adult physical abuse",
    "99584": "Adult neglect (nutritional)",
    "71993": "Unspecified disorder of joint, forearm",
    "72081": "Inflammatory spondylopathies in diseases classified elsewhere",
    "72210": "Displacement of lumbar intervertebral disc without myelopathy",
    "72211": "Displacement of thoracic intervertebral disc without myelopathy",
    "72252": "Degeneration of lumbar or lumbosacral intervertebral disc",
    "7246": "Disorders of sacrum",
    "E9132": "Accidental mechanical suffocation due to lack of air (in closed place)",
    "E9191": "Accidents caused by mining and earth-drilling machinery",
    "E9197": "Accidents caused by earth moving, scraping, and other excavating machines",
    "E9199": "Accidents caused by unspecified machinery",
    "E9230": "Accident caused by fireworks",
    "E9251": "Accident caused by electric current in electric power generating plants, distribution stations, transmission lines",
    "E9258": "Accident caused by other electric current",
    "E9265": "Exposure to radioactive isotopes",
    "E9290": "Late effects of motor vehicle accident",
    "E9539": "Suicide and self-inflicted injury by unspecified means",
    "E961": "Assault by corrosive or caustic substance, except poisoning",
    "E9621": "Assault by other solid and liquid substances",
    "E930": "Antibiotics causing adverse effects in therapeutic use",
    "E9301": "Antifungal antibiotics causing adverse effects in therapeutic use",
    "E9313": "Quinoline and hydroxyquinoline derivatives causing adverse effects in therapeutic use",
    "78459": "Other speech disturbance",
    "7877": "Abnormal feces",
    "78821": "Incomplete bladder emptying",
    "78832": "Stress incontinence, male",
    "78837": "Continuous leakage",
    "78899": "Other symptoms involving urinary system",
    "7892": "Splenomegaly",
    "7893": "Abdominal or pelvic swelling, mass, or lump",
    "78934": "Abdominal or pelvic swelling, mass, or lump, left lower quadrant",
    "79092": "Abnormal coagulation profile",
    "79099": "Other nonspecific findings on examination of blood",
    "7917": "Other cells and casts in urine",
    "7944": "Nonspecific abnormal results of function study of kidney",
    "79579": "Other and unspecified nonspecific immunological findings",
    "79922": "Irritability",
    "64782": "Other specified infectious and parasitic diseases of mother, delivered, with mention of postpartum complication",
    "64874": "Bone and joint disorders of back, pelvis, and lower limbs of mother, postpartum condition or complication",
    "64883": "Abnormal glucose tolerance of mother, antepartum condition or complication",
    "64884": "Abnormal glucose tolerance of mother, postpartum condition or complication",
    "64922": "Bariatric surgery status complicating pregnancy, childbirth, or the puerperium, delivered, with mention of postpartum complication",
    "64924": "Bariatric surgery status complicating pregnancy, childbirth, or the puerperium, postpartum condition or complication",
    "64934": "Coagulation defects complicating pregnancy, childbirth, or the puerperium, postpartum condition or complication",
    "6495": "Spotting complicating pregnancy",
    "6496": "Uterine size date discrepancy",
    "65100": "Twin pregnancy, unspecified as to episode of care or not applicable",
    "65103": "Twin pregnancy, antepartum condition or complication",
    "65160": "Other multiple pregnancy with fetal loss and retention of one or more fetus(es), unspecified as to episode of care or not applicable",
    "65210": "Breech or other malpresentation successfully converted to cephalic presentation, unspecified as to episode of care or not applicable",
    "79382": "Inconclusive mammogram",
    "94436": "Full-thickness skin loss [third degree, not otherwise specified] of back of hand",
    "94503": "Burn of unspecified degree of ankle",
    "94522": "Blisters, epidermal loss [second degree] of foot",
    "94532": "Full-thickness skin loss [third degree NOS] of foot",
    "94544": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of lower leg",
    "9463": "Full-thickness skin loss [third degree NOS] of multiple specified sites",
    "9483": "Burn [any degree] involving 30-39 percent of body surface",
    "94863": "Burn [any degree] involving 60-69 percent of body surface with third degree burn, 30-39%",
    "94896": "Burn [any degree] involving 90 percent or more of body surface with third degree burn, 60-69%",
    "9501": "Injury to optic chiasm",
    "9502": "Injury to optic pathways",
    "9518": "Injury to other specified cranial nerves",
    "95204": "C1-C4 level with other specified spinal cord injury",
    "95206": "C5-C7 level with complete lesion of spinal cord",
    "953": "Injury to nerve roots and spinal plexus",
    "9565": "Injury to other specified nerve(s) of pelvic girdle and lower limb",
    "9588": "Other early complications of trauma",
    "95913": "Fracture of corpus cavernosum penis",
    "9600": "Poisoning by penicillins",
    "9632": "Poisoning by acidifying agents",
    "964": "Poisoning by agents primarily affecting blood constituents",
    "9642": "Poisoning by anticoagulants",
    "9657": "Poisoning by other non-narcotic analgesics",
    "966": "Poisoning by anticonvulsants and anti-Parkinsonism drugs",
    "96900": "Poisoning by antidepressant, unspecified",
    "9850": "Toxic effect of mercury and its compounds",
    "9855": "Toxic effect of cadmium and its compounds",
    "9858": "Toxic effect of other specified metals",
    "9873": "Toxic effect of sulfur dioxide",
    "7612": "Oligohydramnios affecting fetus or newborn",
    "7617": "Malpresentation before labor affecting fetus or newborn",
    "76427": 'Fetal malnutrition without mention of "light-for-dates", 1,750-1,999 grams',
    "76501": "Extreme immaturity, less than 500 grams",
    "7661": 'Other "heavy-for-dates" infants',
    "767": "Birth trauma",
    "7671": "Injuries to scalp due to birth trauma",
    "7674": "Injury to spine and spinal cord due to birth trauma",
    "7682": "Fetal distress before onset of labor, in liveborn infant",
    "76870": "Hypoxic-ischemic encephalopathy, unspecified",
    "77013": "Aspiration of clear amniotic fluid without respiratory symptoms",
    "7708": "Other newborn respiratory problems",
    "7721": "Intraventricular hemorrhage of fetus or newborn",
    "7735": "Late anemia of fetus or newborn due to isoimmunization",
    "7742": "Neonatal jaundice associated with preterm delivery",
    "7769": "Unspecified hematological disorder specific to newborn",
    "72704": "Radial styloid tenosynovitis",
    "72759": "Other rupture of synovium",
    "72764": "Nontraumatic rupture of flexor tendons of hand and wrist",
    "72999": "Other disorders of soft tissue",
    "7300": "Acute osteomyelitis",
    "73013": "Chronic osteomyelitis, forearm",
    "7302": "Unspecified osteomyelitis",
    "E975": "Injury due to legal intervention by other specified means",
    "E978": "Legal execution",
    "E9807": "Poisoning by agricultural and horticultural chemical and pharmaceutical preparations other than plant foods and fertilizers, undetermined whether accidentally or purposely inflicted",
    "E983": "Hanging, strangulation, or suffocation, undetermined whether accidentally or purposely inflicted",
    "E9830": "Hanging, undetermined whether accidentally or purposely inflicted",
    "E985": "Injury by firearms, air guns and explosives, undetermined whether accidentally or purposely inflicted",
    "E9857": "Injury by paintball gun, undetermined whether accidental or purposely inflicted",
    "E9913": "Injury due to war operations from antipersonnel bomb (fragments)",
    "E9932": "Injury due to war operations by mortar",
    "E9949": "Injury due to war operations by unspecified destruction of aircraft",
    "E9954": "Injury due to war operations by unintentional drowning due to inability to surface or obtain air",
    "V0179": "Contact with or exposure to other viral diseases",
    "V0183": "Contact with or exposure to escherichia coli (E. coli)",
    "V021": "Carrier or suspected carrier of typhoid",
    "44831893": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "4338": "Occlusion and stenosis of other specified precerebral artery",
    "4375": "Moyamoya disease",
    "4377": "Transient global amnesia",
    "43821": "Late effects of cerebrovascular disease, hemiplegia affecting dominant side",
    "4383": "Monoplegia of upper limb as late effect of cerebrovascular disease",
    "4385": "Other paralytic syndrome as late effect of cerebrovascular disease",
    "43889": "Other late effects of cerebrovascular disease",
    "4389": "Unspecified late effects of cerebrovascular disease",
    "4401": "Atherosclerosis of renal artery",
    "65243": "Face or brow presentation, antepartum condition or complication",
    "65301": "Major abnormality of bony pelvis, not further specified, delivered, with or without mention of antepartum condition",
    "6535": "Unusually large fetus causing disproportion",
    "6542": "Previous cesarean section complicating pregnancy or childbirth",
    "65472": "Congenital or acquired abnormality of vagina, delivered, with mention of postpartum complication",
    "E9678": "Perpetrator of child and adult abuse, by non-related caregiver",
    "656": "Other known or suspected fetal and placental problems affecting management of mother",
    "65613": "Rhesus isoimmunization, antepartum condition or complication",
    "65623": "Isoimmunization from other and unspecified blood-group incompatibility, antepartum condition or complication",
    "6563": "Fetal distress affecting management of mother",
    "65661": "Excessive fetal growth, affecting management of mother, delivered, with or without mention of antepartum condition",
    "65820": "Delayed delivery after spontaneous or unspecified rupture of membranes, unspecified as to episode of care or not applicable",
    "65891": "Unspecified problem associated with amniotic cavity and membranes, delivered, with or without mention of antepartum condition",
    "65911": "Failed medical or unspecified induction of labor, delivered, with or without mention of antepartum condition",
    "65913": "Failed medical or unspecified induction of labor, antepartum condition or complication",
    "65950": "Elderly primigravida, unspecified as to episode of care or not applicable",
    "65953": "Elderly primigravida, antepartum condition or complication",
    "6597": "Abnormality in fetal heart rate or rhythm",
    "65973": "Abnormality in fetal heart rate or rhythm, antepartum condition or complication",
    "6614": "Hypertonic, incoordinate, or prolonged uterine contractions",
    "662": "Long labor",
    "66340": "Short cord complicating labor and delivery, unspecified as to episode of care or not applicable",
    "66360": "Vascular lesions of cord complicating labor and delivery, unspecified as to episode of care or not applicable",
    "66391": "Unspecified umbilical cord complication complicating labor and delivery, delivered, with or without mention of antepartum condition",
    "66393": "Unspecified umbilical cord complication complicating labor and delivery, antepartum condition or complication",
    "6641": "Second-degree perineal laceration during delivery",
    "6644": "Unspecified perineal laceration during delivery",
    "66460": "Anal sphincter tear complicating delivery, not associated with third-degree perineal laceration, unspecified as to episode of care or not applicable",
    "66490": "Unspecified trauma to perineum and vulva, unspecified as to episode of care or not applicable",
    "6652": "Obstetrical inversion of uterus",
    "66634": "Postpartum coagulation defects, postpartum condition or complication",
    "66810": "Cardiac complications of anesthesia or other sedation in labor and delivery, unspecified as to episode of care or not applicable",
    "66880": "Other complications of anesthesia or other sedation in labor and delivery, unspecified as to episode of care or not applicable",
    "4618": "Other acute sinusitis",
    "46430": "Acute epiglottitis without mention of obstruction",
    "466": "Acute bronchitis and bronchiolitis",
    "47410": "Hypertrophy of tonsil with adenoids",
    "4761": "Chronic laryngotracheitis",
    "48231": "Pneumonia due to Streptococcus, group A",
    "48281": "Pneumonia due to anaerobes",
    "4878": "Influenza with other manifestations",
    "4880": "Influenza due to identified avian influenza virus",
    "4910": "Simple chronic bronchitis",
    "49120": "Obstructive chronic bronchitis without exacerbation",
    "4930": "Extrinsic asthma",
    "49391": "Asthma, unspecified type, with status asthmaticus",
    "4958": "Other specified allergic alveolitis and pneumonitis",
    "5100": "Empyema with fistula",
    "5131": "Abscess of mediastinum",
    "515": "Postinflammatory pulmonary fibrosis",
    "7779": "Unspecified perinatal disorder of digestive system",
    "7780": "Hydrops fetalis not due to isoimmunization",
    "7798": "Other specified conditions originating in the perinatal period",
    "77982": "Neonatal tachycardia",
    "78262": "Flushing",
    "7833": "Feeding difficulties and mismanagement",
    "7834": "Lack of expected normal physiological development in childhood",
    "78343": "Short stature",
    "78444": "Hyponasality",
    "78451": "Dysarthria",
    "7851": "Palpitations",
    "7870": "Nausea and vomiting",
    "78702": "Nausea alone",
    "78722": "Dysphagia, oropharyngeal phase",
    "7880": "Renal colic",
    "7884": "Frequency of urination and polyuria",
    "78862": "Slowing of urinary stream",
    "78891": "Functional urinary incontinence",
    "78902": "Abdominal pain, left upper quadrant",
    "7891": "Hepatomegaly",
    "78932": "Abdominal or pelvic swelling, mass, or lump, left upper quadrant",
    "78941": "Abdominal rigidity, right upper quadrant",
    "78961": "Abdominal tenderness, right upper quadrant",
    "79022": "Impaired glucose tolerance test (oral)",
    "7905": "Other nonspecific abnormal serum enzyme levels",
    "79091": "Abnormal arterial blood gases",
    "793": "Nonspecific (abnormal) findings on radiological and other examination of body structure",
    "7948": "Nonspecific abnormal results of function study of liver",
    "79501": "Papanicolaou smear of cervix with atypical squamous cells of undetermined significance (ASC-US)",
    "79505": "Cervical high risk human papillomavirus (HPV) DNA test positive",
    "7954": "Other nonspecific abnormal histological findings",
    "7963": "Nonspecific low blood pressure reading",
    "79671": "Papanicolaou smear of anus with atypical squamous cells of undetermined significance (ASC-US)",
    "798": "Sudden death, cause unknown",
    "80014": "Closed fracture of vault of skull with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80034": "Closed fracture of vault of skull with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80042": "Closed fracture of vault of skull with intracranial injury of other and unspecified nature, with brief [less than one hour] loss of consciousness",
    "80056": "Open fracture of vault of skull without mention of intracranial injury, with loss of consciousness of unspecified duration",
    "80060": "Open fracture of vault of skull with cerebral laceration and contusion, unspecified state of consciousness",
    "80094": "Open fracture of vault of skull with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80102": "Closed fracture of base of skull without mention of intra cranial injury, with brief [less than one hour] loss of consciousness",
    "8012": "Closed fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage",
    "6750": "Infections of nipple associated with childbirth",
    "67503": "Infections of nipple associated with childbirth, antepartum condition or complication",
    "67522": "Nonpurulent mastitis associated with childbirth, delivered, with mention of postpartum complication",
    "67580": "Other specified infections of the breast and nipple associated with childbirth, unspecified as to episode of care or not applicable",
    "67630": "Other and unspecified disorder of breast associated with childbirth, unspecified as to episode of care or not applicable",
    "67644": "Failure of lactation, postpartum condition or complication",
    "67680": "Other disorders of lactation, unspecified as to episode of care or not applicable",
    "67691": "Unspecified disorder of lactation, delivered, with or without mention of antepartum condition",
    "E865": "Accidental poisoning from poisonous foodstuffs and poisonous plants",
    "E8665": "Accidental poisoning by plant foods and fertilizers",
    "E8681": "Accidental poisoning by other and unspecified utility gas",
    "E8791": "Kidney dialysis as the cause of abnormal reaction of patient, or of later complication, without mention of misadventure at time of procedure",
    "E8792": "Radiological procedure and radiotherapy as the cause of abnormal reaction of patient, or of later complication, without mention of misadventure at time of procedure",
    "E8797": "Blood sampling as the cause of abnormal reaction of patient, or of later complication, without mention of misadventure at time of procedure",
    "E883": "Accidental fall into hole or other opening in surface",
    "E8832": "Accidental fall into storm drain or manhole",
    "E8859": "Fall from other slipping, tripping, or stumbling",
    "E8918": "Other accident resulting from conflagration in other and unspecified building or structure",
    "E9010": "Accident due to excessive cold due to weather conditions",
    "E902": "Accident due to high and low air pressure and changes in air pressure",
    "E9021": "Accident due to changes in air pressure in aircraft",
    "E9029": "Accident due to changes in air pressure from unspecified cause",
    "E904": "Hunger, thirst, exposure, and neglect",
    "E9041": "Accident due to lack of food",
    "E9059": "Poisoning and toxic reactions caused by unspecified animals and plants",
    "E9090": "Earthquakes",
    "E9170": "Striking against or struck accidentally by objects or persons in sports",
    "E9172": "Striking against or struck accidentally in running water",
    "E9175": "Striking against or struck accidentally by object in sports with subsequent fall",
    "E9209": "Accidents caused by unspecified cutting and piercing instrument or object",
    "E9259": "Accident caused by unspecified electric current",
    "E9268": "Exposure to other specified radiation",
    "E9272": "Excessive physical exertion",
    "E9278": "Other overexertion and strenuous and repetitive movements or loads",
    "E9280": "Prolonged stay in weightless environment",
    "E9285": "External constriction caused by other object",
    "E9287": "Environmental and accidental causes, mechanism or component of firearm and air gun",
    "E9341": "Liver preparations and other antianemic agents causing adverse effects in therapeutic use",
    "64214": "Hypertension secondary to renal disease, complicating pregnancy, childbirth, and the puerperium, postpartum condition or complication",
    "64233": "Transient hypertension of pregnancy, antepartum condition or complication",
    "6431": "Hyperemesis gravidarum with metabolic disturbance",
    "6440": "Threatened premature labor",
    "64410": "Other threatened labor, unspecified as to episode of care or not applicable",
    "64652": "Asymptomatic bacteriuria in pregnancy, delivered, with mention of postpartum complication",
    "6466": "Infections of genitourinary tract in pregnancy",
    "3529": "Unspecified disorder of cranial nerves",
    "3548": "Other mononeuritis of upper limb",
    "357": "Inflammatory and toxic neuropathy",
    "3571": "Polyneuropathy in collagen vascular disease",
    "358": "Myoneural disorders",
    "35923": "Myotonic chondrodystrophy",
    "3596": "Symptomatic inflammatory myopathy in diseases classified elsewhere",
    "36000": "Purulent endophthalmitis, unspecified",
    "36019": "Other endophthalmitis",
    "36034": "Flat anterior chamber of eye",
    "36110": "Retinoschisis, unspecified",
    "36130": "Retinal defect, unspecified",
    "36201": "Background diabetic retinopathy",
    "36220": "Retinopathy of prematurity, unspecified",
    "36222": "Retinopathy of prematurity, stage 0",
    "36226": "Retinopathy of prematurity, stage 4",
    "3624": "Separation of retinal layers",
    "36264": "Senile reticular degeneration",
    "36321": "Pars planitis",
    "36350": "Hereditary choroidal dystrophy or atrophy, unspecified",
    "36355": "Choroideremia",
    "3648": "Other disorders of iris and ciliary body",
    "36482": "Plateau iris syndrome",
    "36503": "Steroid responders borderline glaucoma",
    "36520": "Primary angle-closure glaucoma, unspecified",
    "36544": "Glaucoma associated with systemic syndromes",
    "36564": "Glaucoma associated with tumors or cysts",
    "36565": "Glaucoma associated with ocular trauma",
    "36572": "Moderate stage glaucoma",
    "36610": "Senile cataract, unspecified",
    "36614": "Posterior subcapsular polar senile cataract",
    "36631": "Glaucomatous flecks (subcapsular)",
    "36816": "Psychophysical visual disturbances",
    "36851": "Protan defect",
    "36855": "Acquired color vision deficiencies",
    "342": "Hemiplegia and hemiparesis",
    "3440": "Quadriplegia and quadriparesis",
    "34402": "Quadriplegia, C1-C4, incomplete",
    "34404": "Quadriplegia, C5-C7, incomplete",
    "3450": "Generalized nonconvulsive epilepsy",
    "34630": "Hemiplegic migraine, without mention of intractable migraine without mention of status migrainosus",
    "34673": "Chronic migraine without aura, with intractable migraine, so stated, with status migrainosus",
    "3489": "Unspecified condition of brain",
    "3509": "Trigeminal nerve disorder, unspecified",
    "352": "Disorders of other cranial nerves",
    "3544": "Causalgia of upper limb",
    "3550": "Lesion of sciatic nerve",
    "35571": "Causalgia of lower limb",
    "3563": "Refsum's disease",
    "3570": "Acute infective polyneuritis",
    "3577": "Polyneuropathy due to other toxic agents",
    "3580": "Myasthenia gravis",
    "3588": "Other specified myoneural disorders",
    "3590": "Congenital hereditary muscular dystrophy",
    "3595": "Myopathy in endocrine diseases classified elsewhere",
    "36055": "Foreign body, magnetic, in posterior wall",
    "36105": "Recent retinal detachment, total or subtotal",
    "3613": "Retinal defects without detachment",
    "36132": "Horseshoe tear of retina without detachment",
    "36205": "Moderate nonproliferative diabetic retinopathy",
    "36206": "Severe nonproliferative diabetic retinopathy",
    "3622": "Other proliferative retinopathy",
    "36225": "Retinopathy of prematurity, stage 3",
    "36227": "Retinopathy of prematurity, stage 5",
    "36236": "Venous tributary (branch) occlusion",
    "36270": "Hereditary retinal dystrophy, unspecified",
    "36284": "Retinal ischemia",
    "36303": "Focal choroiditis and chorioretinitis of other posterior pole",
    "36305": "Focal retinitis and retinochoroiditis, juxtapapillary",
    "36313": "Disseminated choroiditis and chorioretinitis, generalized",
    "3633": "Chorioretinal scars",
    "36404": "Secondary iridocyclitis, noninfectious",
    "36422": "Glaucomatocyclitic crises",
    "3644": "Vascular disorders of iris and ciliary body",
    "36442": "Rubeosis iridis",
    "36523": "Chronic angle-closure glaucoma",
    "36542": "Glaucoma associated with anomalies of iris",
    "3655": "Glaucoma associated with disorders of the lens",
    "36830": "Binocular vision disorder, unspecified",
    "36854": "Achromatopsia",
    "36860": "Night blindness, unspecified",
    "36918": "Better eye: moderate vision impairment; lesser eye: profound vision impairment",
    "36921": "Better eye: severe vision impairment; lesser eye; impairment not further specified",
    "36968": "One eye: profound vision impairment; other eye: near-normal vision",
    "3697": "Moderate or severe vision impairment, one eye",
    "36972": "One eye: severe vision impairment; other eye: near-normal vision",
    "37032": "Limbar and corneal involvement in vernal conjunctivitis",
    "37063": "Deep vascularization of cornea",
    "37101": "Minor opacity of cornea",
    "37103": "Central opacity of cornea",
    "37110": "Corneal deposit, unspecified",
    "37140": "Corneal degeneration, unspecified",
    "37152": "Other anterior corneal dystrophies",
    "37153": "Granular corneal dystrophy",
    "372": "Disorders of conjunctiva",
    "37201": "Serous conjunctivitis, except viral",
    "37215": "Parasitic conjunctivitis",
    "37243": "Central pterygium",
    "3729": "Unspecified disorder of conjunctiva",
    "44835407": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835408": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835409": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1001": "Personal history of malignant neoplasm of tongue",
    "V1042": "Personal history of malignant neoplasm of other parts of uterus",
    "V1050": "Personal history of malignant neoplasm of urinary organ, unspecified",
    "V1052": "Personal history of malignant neoplasm of kidney",
    "V1061": "Personal history of lymphoid leukemia",
    "V1072": "Personal history of hodgkin's disease",
    "V1081": "Personal history of malignant neoplasm of bone",
    "V1082": "Personal history of malignant melanoma of skin",
    "44835418": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835419": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835420": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835421": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835422": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V127": "Personal history of diseases of digestive system",
    "44835424": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835425": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1300": "Personal history of unspecified urinary disorder",
    "V1369": "Personal history of other (corrected) congenital malformations",
    "44835428": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835429": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1502": "Allergy to milk products",
    "V157": "Personal history of contraception, presenting hazards to health",
    "V159": "Unspecified personal history presenting hazards to health",
    "44835433": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835434": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835435": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835436": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V173": "Family history of ischemic heart disease",
    "44835438": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1861": "Family history of polycystic kidney",
    "V202": "Routine infant or child health check",
    "V2132": "Low birth weight status, 500-999 grams",
    "V218": "Other specified constitutional states in development",
    "44835446": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835447": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V2540": "Contraceptive surveillance, unspecified",
    "44835450": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V260": "Tuboplasty or vasoplasty after previous sterilization",
    "V263": "Genetic counseling and testing on procreative management",
    "V2632": "Other genetic testing of female",
    "V2649": "Other procreative management counseling and advice",
    "V268": "Other specified procreative management",
    "44835456": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V288": "Other specified antenatal screening",
    "64733": "Tuberculosis of mother, complicating pregnancy, childbirth, or the puerperium, antepartum condition or complication",
    "64764": "Other viral diseases in the mother, postpartum condition or complication",
    "64792": "Unspecified infection or infestation of mother, delivered, with mention of postpartum complication",
    "6481": "Thyroid dysfunction complicating pregnancy, childbirth, or the puerperium",
    "64822": "Anemia of mother, delivered, with mention of postpartum complication",
    "64841": "Mental disorders of mother, delivered, with or without mention of antepartum condition",
    "64864": "Other cardiovascular diseases of mother, postpartum condition or complication",
    "64871": "Bone and joint disorders of back, pelvis, and lower limbs of mother, delivered, with or without mention of antepartum condition",
    "6494": "Epilepsy complicating pregnancy, childbirth, or the puerperium",
    "64950": "Spotting complicating pregnancy, unspecified as to episode of care or not applicable",
    "65151": "Quadruplet pregnancy with fetal loss and retention of one or more fetus(es), delivered, with or without mention of antepartum condition",
    "6527": "Prolapsed arm of fetus",
    "65291": "Unspecified malposition or malpresentation, delivered, with or without mention of antepartum condition",
    "65293": "Unspecified malposition or malpresentation, antepartum condition or complication",
    "653": "Disproportion in pregnancy, labor, and delivery",
    "65323": "Inlet contraction of pelvis, antepartum condition or complication",
    "65350": "Unusually large fetus causing disproportion, unspecified as to episode of care or not applicable",
    "6537": "Other fetal abnormality causing disproportion",
    "65383": "Disproportion of other origin, antepartum condition or complication",
    "65390": "Unspecified disproportion, unspecified as to episode of care or not applicable",
    "65400": "Congenital abnormalities of uterus, unspecified as to episode of care or not applicable",
    "65460": "Other congenital or acquired abnormality of cervix, unspecified as to episode of care or not applicable",
    "65461": "Other congenital or acquired abnormality of cervix, delivered, with or without mention of antepartum condition",
    "65471": "Congenital or acquired abnormality of vagina, delivered, with or without mention of antepartum condition",
    "65513": "Chromosomal abnormality in fetus, affecting management of mother, antepartum condition or complication",
    "6552": "Hereditary disease in family possibly affecting fetus, affecting management of mother",
    "6557": "Decreased fetal movements, affecting management of mother",
    "65573": "Decreased fetal movements, affecting management of mother, antepartum condition or complication",
    "65601": "Fetal-maternal hemorrhage, delivered, with or without mention of antepartum condition",
    "65653": "Poor fetal growth, affecting management of mother, antepartum condition or complication",
    "65681": "Other specified fetal and placental problems, affecting management of mother, delivered, with or without mention of antepartum condition",
    "65690": "Unspecified fetal and placental problem, affecting management of mother, unspecified as to episode of care or not applicable",
    "65810": "Premature rupture of membranes, unspecified as to episode of care or not applicable",
    "65823": "Delayed delivery after spontaneous or unspecified rupture of membranes, antepartum condition or complication",
    "65841": "Infection of amniotic cavity, delivered, with or without mention of antepartum condition",
    "659": "Other indications for care or intervention related to labor and delivery, not elsewhere classified",
    "65901": "Failed mechanical induction of labor, delivered, with or without mention of antepartum condition",
    "6595": "Elderly primigravida",
    "6596": "Elderly multigravida",
    "65970": "Abnormality in fetal heart rate or rhythm, unspecified as to episode of care or not applicable",
    "36869": "Other night blindness",
    "36903": "Better eye: near-total vision impairment; lesser eye: total vision impairment",
    "36960": "Profound impairment, one eye, impairment level not further specified",
    "36964": "One eye: near-total vision impairment; other eye: vision not specified",
    "3711": "Corneal pigmentations and deposits",
    "37131": "Folds and rupture of bowman's membrane",
    "37210": "Chronic conjunctivitis, unspecified",
    "37234": "Pingueculitis",
    "37244": "Double pterygium",
    "3743": "Ptosis of eyelid",
    "37432": "Myogenic ptosis",
    "37443": "Abnormal innervation syndrome of eyelid",
    "3748": "Other disorders of eyelid",
    "375": "Disorders of lacrimal system",
    "3750": "Dacryoadenitis",
    "37533": "Phlegmonous dacryocystitis",
    "37551": "Eversion of lacrimal punctum",
    "039": "Actinomycotic infections",
    "04089": "Other specified bacterial diseases",
    "04502": "Acute paralytic poliomyelitis specified as bulbar, poliovirus type II",
    "04511": "Acute poliomyelitis with other paralysis, poliovirus type I",
    "0522": "Postvaricella myelitis",
    "05472": "Herpes simplex meningitis",
    "0557": "Measles with other specified complications",
    "05579": "Measles with other specified complications",
    "05671": "Arthritis due to rubella",
    "05810": "Roseola infantum, unspecified",
    "0620": "Japanese encephalitis",
    "06642": "West Nile Fever with other neurologic manifestation",
    "07020": "Viral hepatitis B with hepatic coma, acute or unspecified, without mention of hepatitis delta",
    "07051": "Acute hepatitis C without mention of hepatic coma",
    "07052": "Hepatitis delta without mention of active hepatitis B disease or hepatic coma",
    "0723": "Mumps pancreatitis",
    "0770": "Inclusion conjunctivitis",
    "078": "Other diseases due to viruses and Chlamydiae",
    "0786": "Hemorrhagic nephrosonephritis",
    "07889": "Other specified diseases due to viruses",
    "0793": "Rhinovirus infection in conditions classified elsewhere and of unspecified site",
    "07950": "Retrovirus, unspecified",
    "07959": "Other specified retrovirus",
    "0822": "North Asian tick fever",
    "0848": "Blackwater fever",
    "0855": "Mucocutaneous leishmaniasis, (American)",
    "0862": "Chagas' disease without mention of organ involvement",
    "0901": "Early congenital syphilis, latent",
    "0913": "Secondary syphilis of skin or mucous membranes",
    "09169": "Secondary syphilis of other viscera",
    "09320": "Syphilitic endocarditis of valve, unspecified",
    "09321": "Syphilitic endocarditis of mitral valve",
    "0948": "Other specified neurosyphilis",
    "09483": "Syphilitic disseminated retinochoroiditis",
    "09811": "Gonococcal cystitis (acute)",
    "09889": "Gonococcal infection of other specified sites",
    "09941": "Other nongonococcal urethritis, chlamydia trachomatis",
    "10081": "Leptospiral meningitis (aseptic)",
    "1106": "Deep seated dermatophytosis",
    "11509": "Infection by Histoplasma capsulatum, other",
    "11512": "Infection by Histoplasma duboisii, retinitis",
    "1176": "Allescheriosis [Petriellidosis]",
    "1256": "Other specified filariasis",
    "1269": "Ancylostomiasis and necatoriasis, unspecified",
    "131": "Trichomoniasis",
    "13629": "Other specific infections by free-living amebae",
    "141": "Malignant neoplasm of tongue",
    "37302": "Squamous blepharitis",
    "3733": "Noninfectious dermatoses of eyelid",
    "37420": "Lagophthalmos, unspecified",
    "37444": "Sensory disorders of eyelid",
    "73345": "Aseptic necrosis of bone, jaw",
    "73392": "Chondromalacia",
    "73396": "Stress fracture of femoral neck",
    "736": "Other acquired deformities of limbs",
    "73622": "Swan-neck deformity",
    "7363": "Acquired deformities of hip",
    "73671": "Acquired equinovarus deformity",
    "73711": "Kyphosis due to radiation",
    "7381": "Other acquired deformity of head",
    "7395": "Nonallopathic lesions, pelvic region",
    "7399": "Nonallopathic lesions, abdomen and other sites",
    "7431": "Microphthalmos",
    "74424": "Specified anomalies of Eustachian tube",
    "74429": "Other specified anomalies of ear",
    "74561": "Ostium primum defect",
    "74686": "Congenital heart block",
    "74761": "Gastrointestinal vessel anomaly",
    "7480": "Choanal atresia",
    "7483": "Other anomalies of larynx, trachea, and bronchus",
    "75023": "Atresia, salivary duct",
    "75027": "Diverticulum of pharynx",
    "75169": "Other anomalies of gallbladder, bile ducts, and liver",
    "7524": "Anomalies of cervix, vagina, and external female genitalia, congenital",
    "75251": "Undescended testis",
    "75264": "Micropenis",
    "75289": "Other specified anomalies of genital organs",
    "7536": "Atresia and stenosis of urethra and bladder neck",
    "7538": "Other specified anomalies of bladder and urethra",
    "75444": "Congenital bowing of unspecified long bones of leg",
    "75469": "Other valgus deformities of feet",
    "75521": "Transverse deficiency of upper limb",
    "75535": "Longitudinal deficiency, tibiofibular, complete or partial (with or without distal deficiencies, incomplete)",
    "75538": "Longitudinal deficiency, tarsals or metatarsals, complete or partial (with or without incomplete phalangeal deficiency)",
    "7555": "Other congenital anomalies of upper limb, including shoulder girdle",
    "75565": "Macrodactylia of toes",
    "75656": "Multiple epiphyseal dysplasia",
    "75681": "Absence of muscle and tendon",
    "7578": "Other specified anomalies of the integument",
    "75831": "Cri-du-chat syndrome",
    "75839": "Other autosomal deletions",
    "75982": "Marfan syndrome",
    "76071": "Alcohol affecting fetus or newborn via placenta or breast milk",
    "76077": "Anticonvulsants affecting fetus or newborn via placenta or breast milk",
    "76407": "Light-for-dates without mention of fetal malnutrition, 1,750- 1,999 grams",
    "76416": "Light-for-dates with signs of fetal malnutrition, 1,500-1,749 grams",
    "76420": 'Fetal malnutrition without mention of "light-for-dates", unspecified [weight]',
    "76491": "Fetal growth retardation, unspecified, less than 500 grams",
    "76494": "Fetal growth retardation, unspecified, 1,000-1,249 grams",
    "76499": "Fetal growth retardation, unspecified, 2,500 grams and over",
    "76504": "Extreme immaturity, 1,000-1,249 grams",
    "76514": "Other preterm infants, 1,000-1,249 grams",
    "76871": "Mild hypoxic-ischemic encephalopathy",
    "77016": "Aspiration of blood with respiratory symptoms",
    "7702": "Interstitial emphysema and related conditions",
    "7707": "Chronic respiratory disease arising in the perinatal period",
    "7724": "Gastrointestinal hemorrhage of fetus or newborn",
    "7725": "Adrenal hemorrhage of fetus or newborn",
    "7728": "Other specified hemorrhage of fetus or newborn",
    "7733": "Hydrops fetalis due to isoimmunization",
    "V291": "Observation for suspected neurological conditions",
    "V300": "Single liveborn, born in hospital",
    "87352": "Open wound of forehead, complicated",
    "8737": "Open wound of internal structure of mouth, complicated",
    "87372": "Open wound of gum (alveolar process), complicated",
    "8749": "Open wound of other and unspecified parts of neck, complicated",
    "8794": "Open wound of abdominal wall, lateral, without mention of complication",
    "88101": "Open wound of elbow, without mention of complication",
    "8872": "Traumatic amputation of arm and hand (complete) (partial), unilateral, at or above elbow, without mention of complication",
    "890": "Open wound of hip and thigh",
    "8950": "Traumatic amputation of toe(s) (complete) (partial), without mention of complication",
    "8963": "Traumatic amputation of foot (complete) (partial), bilateral, complicated",
    "902": "Injury to blood vessels of abdomen and pelvis",
    "90210": "Injury to inferior vena cava, unspecified",
    "90225": "Injury to superior mesenteric artery (trunk)",
    "90239": "Injury to portal and splenic veins, other",
    "90302": "Injury to axillary vein",
    "9038": "Injury to other specified blood vessels of upper extremity",
    "9052": "Late effect of fracture of upper extremities",
    "9090": "Late effect of poisoning due to drug, medicinal or biological substance",
    "9109": "Other and unspecified superficial injury of face, neck, and scalp, infected",
    "9119": "Other and unspecified superficial injury of trunk, infected",
    "9138": "Other and unspecified superficial injury of elbow, forearm, and wrist, without mention of infection",
    "914": "Superficial injury of hand(s) except finger(s) alone",
    "9169": "Other and unspecified superficial injury of hip, thigh, leg, and ankle, infected",
    "9194": "Insect bite, nonvenomous, of other, multiple, and unspecified sites, without mention of infection",
    "9196": "Superficial foreign body (splinter) of other, multiple, and unspecified sites, without major open wound and without mention of infection",
    "9199": "Other and unspecified superficial injury of other, multiple, and unspecified sites, infected",
    "921": "Contusion of eye and adnexa",
    "92400": "Contusion of thigh",
    "925": "Crushing injury of face, scalp, and neck",
    "92701": "Crushing injury of scapular region",
    "92702": "Crushing injury of axillary region",
    "92709": "Crushing injury of multiple sites of upper arm",
    "92710": "Crushing injury of forearm",
    "9399": "Foreign body in unspecified site in genitourinary tract",
    "9404": "Other burn of cornea and conjunctival sac",
    "94107": "Burn of unspecified degree of forehead and cheek",
    "94120": "Blisters, epidermal loss [second degree] of face and head, unspecified site",
    "94122": "Blisters, epidermal loss [second degree] of eye (with other parts of face, head, and neck)",
    "94142": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of eye (with other parts of face, head, and neck)",
    "94147": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of forehead and cheek",
    "94149": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of multiple sites [except with eye] of face, head, and neck",
    "94241": "Deep necrosis of underlying tissues [deep third degree]) without mention of loss of a body part, of breast",
    "94306": "Burn of unspecified degree of scapular region",
    "94351": "Deep necrosis of underlying tissues [deep third degree) with loss of a body part, of forearm",
    "9442": "Blisters with epidermal loss due to burn [second degree] of wrist(s) and hand(s)",
    "94426": "Blisters , epidermal loss [second degree] of back of hand",
    "94430": "Full-thickness skin loss [third degree, not otherwise specified] of hand, unspecified site",
    "94440": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, hand, unspecified site",
    "37722": "Crater-like holes of optic disc",
    "3780": "Esotropia",
    "3787": "Other specified strabismus",
    "37914": "Anterior staphyloma, localized",
    "37925": "Vitreous membranes and strands",
    "37927": "Vitreomacular adhesion",
    "37951": "Congenital nystagmus",
    "37992": "Swelling or mass of eye",
    "3800": "Perichondritis and chondritis of pinna",
    "38000": "Perichondritis of pinna, unspecified",
    "38031": "Hematoma of auricle or pinna",
    "38039": "Other noninfectious disorders of pinna",
    "3804": "Impacted cerumen",
    "3808": "Other disorders of external ear",
    "38105": "Acute allergic mucoid otitis media",
    "38129": "Other chronic mucoid otitis media",
    "3822": "Chronic atticoantral suppurative otitis media",
    "38423": "Other marginal perforation of tympanic membrane",
    "3848": "Other specified disorders of tympanic membrane",
    "38533": "Cholesteatoma of middle ear and mastoid",
    "38603": "Active Ménière's disease, vestibular",
    "38843": "Impairment of auditory discrimination",
    "38869": "Other otorrhea",
    "38920": "Mixed hearing loss, unspecified",
    "3929": "Rheumatic chorea without mention of heart involvement",
    "4011": "Benign essential hypertension",
    "4029": "Unspecified hypertensive heart disease",
    "1523": "Malignant neoplasm of Meckel's diverticulum",
    "1534": "Malignant neoplasm of cecum",
    "1568": "Malignant neoplasm of other specified sites of gallbladder and extrahepatic bile ducts",
    "1589": "Malignant neoplasm of peritoneum, unspecified",
    "1604": "Malignant neoplasm of frontal sinus",
    "1610": "Malignant neoplasm of glottis",
    "1619": "Malignant neoplasm of larynx, unspecified",
    "1702": "Malignant neoplasm of vertebral column, excluding sacrum and coccyx",
    "17309": "Other specified malignant neoplasm of skin of lip",
    "17380": "Unspecified malignant neoplasm of other specified sites of skin",
    "1740": "Malignant neoplasm of nipple and areola of female breast",
    "180": "Malignant neoplasm of cervix uteri",
    "1839": "Malignant neoplasm of uterine adnexa, unspecified site",
    "190": "Malignant neoplasm of eye",
    "1912": "Malignant neoplasm of temporal lobe",
    "1941": "Malignant neoplasm of parathyroid gland",
    "1953": "Malignant neoplasm of pelvis",
    "1960": "Secondary and unspecified malignant neoplasm of lymph nodes of head, face, and neck",
    "1970": "Secondary malignant neoplasm of lung",
    "20020": "Burkitt's tumor or lymphoma, unspecified site, extranodal and solid organ sites",
    "20028": "Burkitt's tumor or lymphoma, lymph nodes of multiple sites",
    "73018": "Chronic osteomyelitis, other specified sites",
    "73039": "Periostitis, without mention of osteomyelitis, multiple sites",
    "73087": "Other infections involving bone in diseases classified elsewhere, ankle and foot",
    "73096": "Unspecified infection of bone, lower leg",
    "7328": "Other specified forms of osteochondropathy",
    "73309": "Other osteoporosis",
    "7338": "Malunion and nonunion of fracture",
    "73397": "Stress fracture of shaft of femur",
    "73631": "Coxa valga (acquired)",
    "738": "Other acquired musculoskeletal deformity",
    "7385": "Other acquired deformity of back or spine",
    "740": "Anencephalus and similar anomalies",
    "74102": "Spina bifida with hydrocephalus, dorsal (thoracic) region",
    "74259": "Other specified congenital anomalies of spinal cord",
    "743": "Congenital anomalies of eye",
    "7430": "Anophthalmos",
    "74334": "Total and subtotal cataract, congenital",
    "74339": "Other congenital cataract and lens anomalies",
    "74347": "Specified congenital anomalies of sclera",
    "7445": "Webbing of neck",
    "7462": "Ebstein's anomaly",
    "7466": "Congenital mitral insufficiency",
    "7470": "Patent ductus arteriosus",
    "74731": "Pulmonary artery coarctation and atresia",
    "74763": "Upper limb vessel anomaly",
    "74789": "Other specified anomalies of circulatory system",
    "750": "Other congenital anomalies of upper alimentary tract",
    "75021": "Absence of salivary gland",
    "75219": "Other anomalies of fallopian tubes and broad ligaments",
    "75234": "Bicornuate uterus",
    "75242": "Imperforate hymen",
    "7743": "Neonatal jaundice due to delayed conjugation from other causes",
    "7791": "Other and unspecified cerebral irritability in newborn",
    "7797": "Periventricular leukomalacia",
    "77981": "Neonatal bradycardia",
    "7802": "Syncope and collapse",
    "78056": "Dysfunctions associated with sleep stages or arousal from sleep",
    "78065": "Hypothermia not associated with low environmental temperature",
    "7810": "Abnormal involuntary movements",
    "7811": "Disturbances of sensation of smell and taste",
    "2530": "Acromegaly and gigantism",
    "2532": "Panhypopituitarism",
    "2533": "Pituitary dwarfism",
    "25510": "Hyperaldosteronism, unspecified",
    "2581": "Other combinations of endocrine dysfunction",
    "25951": "Androgen insensitivity syndrome",
    "269": "Other nutritional deficiencies",
    "2702": "Other disturbances of aromatic amino-acid metabolism",
    "273": "Disorders of plasma protein metabolism",
    "2732": "Other paraproteinemias",
    "2739": "Unspecified disorder of plasma protein metabolism",
    "27542": "Hypercalcemia",
    "2755": "Hungry bone syndrome",
    "2772": "Other disorders of purine and pyrimidine metabolism",
    "27788": "Tumor lysis syndrome",
    "27903": "Other selective immunoglobulin deficiencies",
    "27912": "Wiskott-aldrich syndrome",
    "2811": "Other vitamin B12 deficiency anemia",
    "2830": "Autoimmune hemolytic anemias",
    "28311": "Hemolytic-uremic syndrome",
    "2839": "Acquired hemolytic anemia, unspecified",
    "2853": "Antineoplastic chemotherapy induced anemia",
    "2880": "Neutropenia",
    "28801": "Congenital neutropenia",
    "2902": "Senile dementia with delusional or depressive features",
    "2930": "Delirium due to conditions classified elsewhere",
    "29582": "Other specified types of schizophrenia, chronic",
    "29601": "Bipolar I disorder, single manic episode, mild",
    "29980": "Other specified pervasive developmental disorders, current or active state",
    "29991": "Unspecified pervasive developmental disorder, residual state",
    "30029": "Other isolated or specific phobias",
    "301": "Personality disorders",
    "3010": "Paranoid personality disorder",
    "3011": "Affective personality disorder",
    "30284": "Sexual sadism",
    "30422": "Cocaine dependence, episodic",
    "30431": "Cannabis dependence, continuous",
    "30452": "Hallucinogen dependence, episodic",
    "30463": "Other specified drug dependence, in remission",
    "3048": "Combinations of drug dependence excluding opioid type drug",
    "30483": "Combinations of drug dependence excluding opioid type drug, in remission",
    "3053": "Hallucinogen abuse",
    "30560": "Cocaine abuse, unspecified",
    "3060": "Musculoskeletal malfunction arising from mental factors",
    "30650": "Psychogenic genitourinary malfunction, unspecified",
    "3082": "Predominant psychomotor disturbance",
    "30922": "Emancipation disorder of adolescence and early adult life",
    "30929": "Other adjustment reactions with predominant disturbance of other emotions",
    "311": "Depressive disorder, not elsewhere classified",
    "3120": "Undersocialized conduct disorder, aggressive type",
    "31222": "Socialized conduct disorder, moderate",
    "31282": "Conduct disorder, adolescent onset type",
    "3132": "Sensitivity, shyness, and social withdrawal disorder specific to childhood and adolescence",
    "94500": "Burn of unspecified degree of lower limb [leg], unspecified site",
    "94501": "Burn of unspecified degree of toe(s) (nail)",
    "94506": "Burn of unspecified degree of thigh [any part]",
    "9452": "Blisters with epidermal loss due to burn [second degree] of lower limb(s)",
    "94533": "Full-thickness skin loss [third degree NOS] of ankle",
    "94559": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of multiple sites of lower limb(s)",
    "94866": "Burn [any degree] involving 60-69 percent of body surface with third degree burn, 60-69%",
    "4480": "Hereditary hemorrhagic telangiectasia",
    "4511": "Phlebitis and thrombophlebitis of deep vessels of lower extremities",
    "4518": "Phlebitis and thrombophlebitis of other sites",
    "4536": "Venous embolism and thrombosis of superficial vessels of lower extremity",
    "45372": "Chronic venous embolism and thrombosis of deep veins of upper extremity",
    "45383": "Acute venous embolism and thrombosis of upper extremity, unspecified",
    "4539": "Other venous embolism and thrombosis of unspecified site",
    "4542": "Varicose veins of lower extremities with ulcer and inflammation",
    "4588": "Other specified hypotension",
    "4589": "Hypotension, unspecified",
    "45932": "Chronic venous hypertension with inflammation",
    "462": "Acute pharyngitis",
    "4660": "Acute bronchitis",
    "4719": "Unspecified nasal polyp",
    "4721": "Chronic pharyngitis",
    "4739": "Unspecified sinusitis (chronic)",
    "474": "Chronic disease of tonsils and adenoids",
    "4748": "Other chronic disease of tonsils and adenoids",
    "4749": "Unspecified chronic disease of tonsils and adenoids",
    "47831": "Unilateral paralysis of vocal cords or larynx, partial",
    "4788": "Upper respiratory tract hypersensitivity reaction, site unspecified",
    "4789": "Other and unspecified diseases of upper respiratory tract",
    "48239": "Pneumonia due to other Streptococcus",
    "4830": "Pneumonia due to mycoplasma pneumoniae",
    "4831": "Pneumonia due to chlamydia",
    "484": "Pneumonia in infectious diseases classified elsewhere",
    "49382": "Cough variant asthma",
    "4957": "Ventilation pneumonitis",
    "4959": "Unspecified allergic alveolitis and pneumonitis",
    "5082": "Respiratory conditions due to smoke inhalation",
    "5184": "Acute edema of lung, unspecified",
    "5207": "Teething syndrome",
    "5209": "Unspecified disorder of tooth development and eruption",
    "524": "Dentofacial anomalies, including malocclusion",
    "52402": "Major anomalies of jaw size, mandibular hyperplasia",
    "52436": "Insufficient interocclusal distance of teeth (ridge)",
    "52520": "Unspecified atrophy of edentulous alveolar ridge",
    "52541": "Complete edentulism, class I",
    "52560": "Unspecified unsatisfactory restoration of tooth",
    "52564": "Fractured dental restorative material with loss of material",
    "5271": "Hypertrophy of salivary gland",
    "5272": "Sialoadenitis",
    "52802": "Mucositis (ulcerative) due to other drugs",
    "5300": "Achalasia and cardiospasm",
    "53021": "Ulcer of esophagus with bleeding",
    "53084": "Tracheoesophageal fistula",
    "53087": "Mechanical complication of esophagostomy",
    "5309": "Unspecified disorder of esophagus",
    "5317": "Chronic gastric ulcer without mention of hemorrhage or perforation",
    "532": "Duodenal ulcer",
    "53201": "Acute duodenal ulcer with hemorrhage, with obstruction",
    "5324": "Chronic or unspecified duodenal ulcer with hemorrhage",
    "4041": "Hypertensive heart and renal disease, benign",
    "4101": "Acute myocardial infarction, of other anterior wall",
    "41040": "Acute myocardial infarction of other inferior wall, episode of care unspecified",
    "41051": "Acute myocardial infarction of other lateral wall, initial episode of care",
    "41052": "Acute myocardial infarction of other lateral wall, subsequent episode of care",
    "4106": "Acute myocardial infarction, true posterior wall infarction",
    "4108": "Acute myocardial infarction, of other specified sites",
    "41081": "Acute myocardial infarction of other specified sites, initial episode of care",
    "411": "Other acute and subacute forms of ischemic heart disease",
    "41402": "Coronary atherosclerosis of autologous vein bypass graft",
    "4142": "Chronic total occlusion of coronary artery",
    "4229": "Other and unspecified acute myocarditis",
    "4239": "Unspecified disease of pericardium",
    "4242": "Tricuspid valve disorders, specified as nonrheumatic",
    "427": "Cardiac dysrhythmias",
    "75269": "Other penile anomalies",
    "7528": "Other specified congenital anomalies of genital organs",
    "75281": "Scrotal transposition",
    "7541": "Congenital musculoskeletal deformities of sternocleidomastoid muscle",
    "75470": "Talipes, unspecified",
    "7550": "Polydactyly",
    "75511": "Syndactyly of fingers without fusion of bone",
    "75526": "Longitudinal deficiency, radial, complete or partial (with or without distal deficiencies, incomplete)",
    "7572": "Dermatoglyphic anomalies",
    "75731": "Congenital ectodermal dysplasia",
    "7579": "Unspecified congenital anomaly of the integument",
    "760": "Fetus or newborn affected by maternal conditions which may be unrelated to present pregnancy",
    "7606": "Surgical operation on mother and fetus",
    "76064": "Newborn affected by previous surgical procedure on mother not associated with pregnancy",
    "76074": "Anti-infectives affecting fetus or newborn via placenta or breast milk",
    "7626": "Other and unspecified conditions of umbilical cord affecting fetus or newborn",
    "7633": "Delivery by vacuum extractor affecting fetus or newborn",
    "764": "Slow fetal growth and fetal malnutrition",
    "76400": "Light-for-dates without mention of fetal malnutrition, unspecified [weight]",
    "76422": 'Fetal malnutrition without mention of "light-for-dates", 500-749 grams',
    "76493": "Fetal growth retardation, unspecified, 750-999 grams",
    "76506": "Extreme immaturity, 1,500-1,749 grams",
    "76507": "Extreme immaturity, 1,750-1,999 grams",
    "7651": "Other preterm infants",
    "76519": "Other preterm infants, 2,500 grams and over",
    "76520": "Unspecified weeks of gestation",
    "7675": "Facial nerve injury due to birth trauma",
    "77012": "Meconium aspiration with respiratory symptoms",
    "77081": "Primary apnea of newborn",
    "7717": "Neonatal Candida infection",
    "77213": "Intraventricular hemorrhage, grade III",
    "77581": "Other acidosis of newborn",
    "3139": "Unspecified emotional disturbance of childhood or adolescence",
    "3148": "Other specified manifestations of hyperkinetic syndrome",
    "31501": "Alexia",
    "322": "Meningitis of unspecified cause",
    "32382": "Other causes of myelitis",
    "330": "Cerebral degenerations usually manifest in childhood",
    "3303": "Cerebral degeneration of childhood in other diseases classified elsewhere",
    "3308": "Other specified cerebral degenerations in childhood",
    "33181": "Reye's syndrome",
    "33182": "Dementia with lewy bodies",
    "3330": "Other degenerative diseases of the basal ganglia",
    "3383": "Neoplasm related pain (acute) (chronic)",
    "33900": "Cluster headache syndrome, unspecified",
    "33904": "Chronic paroxysmal hemicrania",
    "33981": "Hypnic headache",
    "34210": "Spastic hemiplegia and hemiparesis affecting unspecified side",
    "53290": "Duodenal ulcer, unspecified as acute or chronic, without hemorrhage or perforation, without mention of obstruction",
    "53311": "Acute peptic ulcer of unspecified site with perforation, with obstruction",
    "53401": "Acute gastrojejunal ulcer, with hemorrhage, with obstruction",
    "5349": "Gastrojejunal ulcer, unspecified as acute or chronic, without mention of hemorrhage or perforation",
    "5353": "Alcoholic gastritis",
    "537": "Other disorders of stomach and duodenum",
    "550": "Inguinal hernia",
    "55100": "Femoral hernia with gangrene, unilateral or unspecified (not specified as recurrent)",
    "55200": "Femoral hernia with obstruction, unilateral or unspecified (not specified as recurrent)",
    "55303": "Femoral hernia without mention of obstruction or gangrene, bilateral,recurrent",
    "5569": "Ulcerative colitis, unspecified",
    "564": "Functional digestive disorders, not elsewhere classified",
    "5690": "Anal and rectal polyp",
    "5694": "Other specified disorders of rectum and anus",
    "25043": "Diabetes with renal manifestations, type I [juvenile type], uncontrolled",
    "2540": "Persistent hyperplasia of thymus",
    "25514": "Other secondary aldosteronism",
    "2559": "Unspecified disorder of adrenal glands",
    "256": "Ovarian dysfunction",
    "2578": "Other testicular dysfunction",
    "2579": "Unspecified testicular dysfunction",
    "2591": "Precocious sexual development and puberty, not elsewhere classified",
    "2594": "Dwarfism, not elsewhere classified",
    "4282": "Systolic heart failure",
    "4297": "Certain sequelae of myocardial infarction, not elsewhere classified",
    "42982": "Hyperkinetic heart disease",
    "43400": "Cerebral thrombosis without mention of cerebral infarction",
    "43490": "Cerebral artery occlusion, unspecified without mention of cerebral infarction",
    "43491": "Cerebral artery occlusion, unspecified with cerebral infarction",
    "4353": "Vertebrobasilar artery syndrome",
    "4370": "Cerebral atherosclerosis",
    "4380": "Late effects of cerebrovascular disease, cognitive deficits",
    "4387": "Late effects of cerebrovascular disease, disturbances of vision",
    "4421": "Aneurysm of renal artery",
    "4423": "Aneurysm of artery of lower extremity",
    "44282": "Aneurysm of subclavian artery",
    "4438": "Other specified peripheral vascular diseases",
    "444": "Arterial embolism and thrombosis",
    "44489": "Embolism and thrombosis of other specified artery",
    "44581": "Atheroembolism of kidney",
    "4474": "Celiac artery compression syndrome",
    "44770": "Aortic ectasia, unspecified site",
    "4510": "Phlebitis and thrombophlebitis of superficial vessels of lower extremities",
    "45119": "Phlebitis and thrombophlebitis of deep veins of lower extremities, other",
    "452": "Portal vein thrombosis",
    "453": "Other venous embolism and thrombosis",
    "45352": "Chronic venous embolism and thrombosis of deep vessels of distal lower extremity",
    "4538": "Acute venous embolism and thrombosis of other specified veins",
    "45382": "Acute venous embolism and thrombosis of deep veins of upper extremity",
    "0136": "Tuberculous encephalitis or myelitis",
    "01364": "Tuberculous encephalitis or myelitis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01386": "Other specified tuberculosis of central nervous system, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01402": "Tuberculous peritonitis, bacteriological or histological examination unknown (at present)",
    "0150": "Tuberculosis of vertebral column",
    "01522": "Tuberculosis of knee, bacteriological or histological examination unknown (at present)",
    "01550": "Tuberculosis of limb bones, unspecified",
    "0163": "Tuberculosis of other urinary organs",
    "01643": "Tuberculosis of epididymis, tubercle bacilli found (in sputum) by microscopy",
    "0166": "Tuberculous oophoritis and salpingitis",
    "01695": "Genitourinary tuberculosis, unspecified, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01701": "Tuberculosis of skin and subcutaneous cellular tissue, bacteriological or histological examination not done",
    "01712": "Erythema nodosum with hypersensitivity reaction in tuberculosis, bacteriological or histological examination unknown (at present)",
    "01784": "Tuberculosis of esophagus, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01796": "Tuberculosis of other specified organs, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "0219": "Unspecified tularemia",
    "0220": "Cutaneous anthrax",
    "024": "Glanders",
    "0271": "Erysipelothrix infection",
    "0302": "Indeterminate leprosy [group I]",
    "0318": "Other specified mycobacterial diseases",
    "03289": "Other specified diphtheria",
    "03642": "Meningococcal endocarditis",
    "0382": "Pneumococcal septicemia [Streptococcus pneumoniae septicemia]",
    "0392": "Abdominal actinomycotic infection",
    "0398": "Actinomycotic infection of other specified sites",
    "04119": "Staphylococcus infection in conditions classified elsewhere and of unspecified site, other staphylococcus",
    "0416": "Proteus (mirabilis) (morganii) infection in conditions classified elsewhere and of unspecified site",
    "7762": "Disseminated intravascular coagulation in newborn",
    "778": "Conditions involving the integument and temperature regulation of fetus and newborn",
    "78052": "Insomnia, unspecified",
    "7807": "Malaise and fatigue",
    "78097": "Altered mental status",
    "78342": "Delayed milestones",
    "64804": "Diabetes mellitus of mother, complicating pregnancy, childbirth, or the puerperium, postpartum condition or complication",
    "64812": "Thyroid dysfunction of mother, delivered, with mention of postpartum complication",
    "6482": "Anemia complicating pregnancy, childbirth, or the puerperium",
    "64840": "Mental disorders of mother, unspecified as to episode of care or not applicable",
    "64862": "Other cardiovascular diseases of mother, delivered, with mention of postpartum complication",
    "64872": "Bone and joint disorders of back, pelvis, and lower limbs of mother, delivered, with mention of postpartum complication",
    "649": "Other conditions or status of the mother complicating pregnancy, childbirth, or the puerperium",
    "64943": "Epilepsy complicating pregnancy, childbirth, or the puerperium, antepartum condition or complication",
    "64961": "Uterine size date discrepancy, delivered, with or without mention of antepartum condition",
    "6497": "Cervical shortening",
    "65141": "Triplet pregnancy with fetal loss and retention of one or more fetus(es), delivered, with or without mention of antepartum condition",
    "65153": "Quadruplet pregnancy with fetal loss and retention of one or more fetus(es), antepartum condition or complication",
    "65193": "Unspecified multiple gestation, antepartum condition or complication",
    "65201": "Unstable lie, delivered, with or without mention of antepartum condition",
    "65223": "Breech presentation without mention of version, antepartum condition or complication",
    "6523": "Transverse or oblique presentation of fetus",
    "65351": "Unusually large fetus causing disproportion, delivered, with or without mention of antepartum condition",
    "65353": "Unusually large fetus causing disproportion, antepartum condition or complication",
    "65420": "Previous cesarean delivery, unspecified as to episode of care or not applicable",
    "65423": "Previous cesarean delivery, antepartum condition or complication",
    "65453": "Cervical incompetence, antepartum condition or complication",
    "65464": "Other congenital or acquired abnormality of cervix, postpartum condition or complication",
    "6548": "Congenital or acquired abnormality of vulva complicating pregnancy, childbirth, or the puerperium",
    "65490": "Other and unspecified abnormality of organs and soft tissues of pelvis, unspecified as to episode of care or not applicable",
    "655": "Known or suspected fetal abnormality affecting management of mother",
    "6551": "Chromosomal abnormality in fetus affecting management of mother",
    "65701": "Polyhydramnios, delivered, with or without mention of antepartum condition",
    "6582": "Delayed delivery after spontaneous or unspecified rupture of membranes",
    "65941": "Grand multiparity, delivered, with or without mention of antepartum condition",
    "660": "Obstructed labor",
    "66001": "Obstruction caused by malposition of fetus at onset of labor, delivered, with or without mention of antepartum condition",
    "66061": "Unspecified failed trial of labor, delivered, with or without mention of antepartum condition",
    "66083": "Other causes of obstructed labor, antepartum condition or complication",
    "66121": "Other and unspecified uterine inertia, delivered, with or without mention of antepartum condition",
    "66211": "Unspecified prolonged labor, delivered, with or without mention of antepartum condition",
    "6630": "Prolapse of cord complicating labor and delivery",
    "66323": "Other and unspecified cord entanglement, with compression, complicating labor and delivery, antepartum condition or complication",
    "664": "Trauma to perineum and vulva during delivery",
    "6643": "Fourth-degree perineal laceration during delivery",
    "66430": "Fourth-degree perineal laceration, unspecified as to episode of care or not applicable",
    "44834367": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V861": "Estrogen receptor negative status [ER-]",
    "V8702": "Contact with and (suspected) exposure to uranium",
    "V871": "Contact with and (suspected) exposure to hazardous aromatic compounds",
    "44834371": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834372": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8812": "Acquired partial absence of pancreas",
    "2595": "Androgen insensitivity syndrome",
    "2703": "Disturbances of branched-chain amino-acid metabolism",
    "2705": "Disturbances of histidine metabolism",
    "2708": "Other specified disorders of amino-acid metabolism",
    "2711": "Galactosemia",
    "272": "Disorders of lipoid metabolism",
    "2720": "Pure hypercholesterolemia",
    "2721": "Pure hyperglyceridemia",
    "2753": "Disorders of phosphorus metabolism",
    "2768": "Hypopotassemia",
    "27785": "Disorders of fatty acid oxidation",
    "27911": "Digeorge's syndrome",
    "2780": "Overweight and obesity",
    "2794": "Autoimmune disease, not elsewhere classified",
    "28240": "Thalassemia, unspecified",
    "28310": "Non-autoimmune hemolytic anemia, unspecified",
    "2861": "Congenital factor IX disorder",
    "287": "Purpura and other hemorrhagic conditions",
    "28731": "Immune thrombocytopenic purpura",
    "28862": "Leukemoid reaction",
    "28864": "Plasmacytosis",
    "28983": "Myelofibrosis",
    "28989": "Other specified diseases of blood and blood-forming organs",
    "29012": "Presenile dementia with delusional features",
    "29284": "Drug-induced mood disorder",
    "29289": "Other specified drug-induced mental disorders",
    "2939": "Unspecified transient mental disorder in conditions classified elsewhere",
    "2949": "Unspecified persistent mental disorders due to conditions classified elsewhere",
    "29521": "Catatonic type schizophrenia, subchronic",
    "29571": "Schizoaffective disorder, subchronic",
    "29593": "Unspecified schizophrenia, subchronic with acute exacerbation",
    "29635": "Major depressive affective disorder, recurrent episode, in partial or unspecified remission",
    "2965": "Bipolar I disorder, most recent episode (or current) depressed",
    "30182": "Avoidant personality disorder",
    "30184": "Passive-aggressive personality",
    "30272": "Psychosexual dysfunction with inhibited sexual excitement",
    "30274": "Male orgasmic disorder",
    "30279": "Psychosexual dysfunction with other specified psychosexual dysfunctions",
    "30282": "Voyeurism",
    "30413": "Sedative, hypnotic or anxiolytic dependence, in remission",
    "3043": "Cannabis dependence",
    "30442": "Amphetamine and other psychostimulant dependence, episodic",
    "30531": "Hallucinogen abuse, continuous",
    "30541": "Sedative, hypnotic or anxiolytic abuse, continuous",
    "30553": "Opioid abuse, in remission",
    "30592": "Other, mixed, or unspecified drug abuse, episodic",
    "306": "Physiological malfunction arising from mental factors",
    "3062": "Cardiovascular malfunction arising from mental factors",
    "3064": "Gastrointestinal malfunction arising from mental factors",
    "30722": "Chronic motor or vocal tic disorder",
    "3073": "Stereotypic movement disorder",
    "30754": "Psychogenic vomiting",
    "3078": "Pain disorders related to psychological factors",
    "30921": "Separation anxiety disorder",
    "3099": "Unspecified adjustment reaction",
    "3123": "Disorders of impulse control, not elsewhere classified",
    "31289": "Other conduct disorder",
    "3152": "Other specific developmental learning difficulties",
    "3153": "Developmental speech or language disorder",
    "32081": "Anaerobic meningitis",
    "32089": "Meningitis due to other specified bacteria",
    "44835460": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835461": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "04522": "Acute nonparalytic poliomyelitis, poliovirus type II",
    "0462": "Subacute sclerosing panencephalitis",
    "0520": "Postvaricella encephalitis",
    "0537": "Herpes zoster with other specified complications",
    "05410": "Genital herpes, unspecified",
    "05444": "Herpes simplex iridocyclitis",
    "0546": "Herpetic whitlow",
    "05471": "Visceral herpes simplex",
    "0548": "Herpes simplex with unspecified complication",
    "0567": "Rubella with other specified complications",
    "059": "Other poxvirus infections",
    "0592": "Yatapoxvirus infections",
    "062": "Mosquito-borne viral encephalitis",
    "0630": "Russian spring-summer [taiga] encephalitis",
    "07044": "Chronic hepatitis C with hepatic coma",
    "07049": "Other specified viral hepatitis with hepatic coma",
    "0773": "Other adenoviral conjunctivitis",
    "0787": "Arenaviral hemorrhagic fever",
    "0811": "Brill's disease",
    "0824": "Ehrlichiosis",
    "085": "Leishmaniasis",
    "0869": "Trypanosomiasis, unspecified",
    "0879": "Relapsing fever, unspecified",
    "090": "Congenital syphilis",
    "09042": "Congenital syphilitic meningitis",
    "0912": "Other primary syphilis",
    "09162": "Secondary syphilitic hepatitis",
    "0920": "Early syphilis, latent, serological relapse after treatment",
    "0930": "Aneurysm of aorta, specified as syphilitic",
    "0932": "Syphilitic endocarditis",
    "0959": "Late symptomatic syphilis, unspecified",
    "09843": "Gonococcal keratitis",
    "0986": "Gonococcal infection of pharynx",
    "1048": "Other specified spirochetal infections",
    "1120": "Candidiasis of mouth",
    "1128": "Candidiasis of other specified sites",
    "E9588": "Suicide and self-inflicted injury by other specified means",
    "E9622": "Assault by other gases and vapors",
    "E980": "Poisoning by solid or liquid substances, undetermined whether accidentally or purposely inflicted",
    "E981": "Poisoning by gases in domestic use, undetermined whether accidentally or purposely inflicted",
    "E9854": "Injury by other and unspecified firearm, undetermined whether accidentally or purposely inflicted",
    "E9919": "Injury due to war operations from other and unspecified fragments",
    "E9933": "Injury due to war operations by person-borne improvised explosive device [IED]",
    "E9938": "Injury due to war operations by other specified explosion",
    "E9978": "Injury due to other specified forms of unconventional warfare",
    "V012": "Contact with or exposure to poliomyelitis",
    "44836584": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836585": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836586": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836587": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836588": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836589": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V031": "Need for prophylactic vaccination and inoculation against typhoid-paratyphoid alone [TAB]",
    "44836591": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836592": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "66434": "Fourth-degree perineal laceration, postpartum condition or complication",
    "66510": "Rupture of uterus during labor, unspecified as to episode of care or not applicable",
    "66541": "High vaginal laceration, delivered, with or without mention of antepartum condition",
    "66561": "Damage to pelvic joints and ligaments, delivered, with or without mention of antepartum condition",
    "66630": "Postpartum coagulation defects, unspecified as to episode of care or not applicable",
    "66700": "Retained placenta without hemorrhage, unspecified as to episode of care or not applicable",
    "66712": "Retained portions of placenta or membranes, without hemorrhage, delivered, with mention of postpartum complication",
    "66813": "Cardiac complications of anesthesia or other sedation in labor and delivery, antepartum condition or complication",
    "3760": "Acute inflammation of orbit",
    "37612": "Orbital myositis",
    "3762": "Endocrine exophthalmos",
    "37647": "Deformity of orbit due to trauma or surgery",
    "3769": "Unspecified disorder of orbit",
    "3771": "Optic atrophy",
    "37710": "Optic atrophy, unspecified",
    "37723": "Coloboma of optic disc",
    "37752": "Disorders of optic chiasm associated with other neoplasms",
    "37856": "Total ophthalmoplegia",
    "37862": "Mechanical strabismus from other musculofascial disorders",
    "37885": "Anomalies of divergence",
    "37904": "Scleromalacia perforans",
    "3792": "Disorders of vitreous body",
    "37933": "Anterior dislocation of lens",
    "37940": "Abnormal pupillary function, unspecified",
    "37946": "Tonic pupillary reaction",
    "37958": "Deficiencies of smooth pursuit movements",
    "3798": "Other specified disorders of eye and adnexa",
    "3799": "Unspecified disorder of eye and adnexa",
    "38002": "Chronic perichondritis of pinna",
    "3802": "Other otitis externa",
    "38032": "Acquired deformities of auricle or pinna",
    "3811": "Chronic serous otitis media",
    "38152": "Chronic Eustachian salpingitis",
    "38162": "Intrinsic cartilagenous obstruction of Eustachian tube",
    "3824": "Unspecified suppurative otitis media",
    "3829": "Unspecified otitis media",
    "38389": "Other disorders of mastoid",
    "38409": "Other acute myringitis without mention of otitis media",
    "38420": "Perforation of tympanic membrane, unspecified",
    "3850": "Tympanosclerosis",
    "38502": "Tympanosclerosis involving tympanic membrane and ear ossicles",
    "38635": "Viral labyrinthitis",
    "3871": "Otosclerosis involving oval window, obliterative",
    "38904": "Conductive hearing loss, inner ear",
    "38921": "Mixed hearing loss, unilateral",
    "3899": "Unspecified hearing loss",
    "394": "Diseases of mitral valve",
    "3942": "Mitral stenosis with insufficiency",
    "3950": "Rheumatic aortic stenosis",
    "4020": "Malignant hypertensive heart disease",
    "40291": "Unspecified hypertensive heart disease with heart failure",
    "40311": "Hypertensive chronic kidney disease, benign, with chronic kidney disease stage V or end stage renal disease",
    "40402": "Hypertensive heart and chronic kidney disease, malignant, without heart failure and with chronic kidney disease stage V or end stage renal disease",
    "4050": "Malignant secondary hypertension",
    "44834374": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9033": "Retained wood fragments",
    "V9039": "Other retained organic fragments",
    "44834377": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834378": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834379": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "0023": "Paratyphoid fever C",
    "0032": "Localized salmonella infections",
    "0043": "Shigella sonnei",
    "0052": "Food poisoning due to Clostridium perfringens (C. welchii)",
    "0061": "Chronic intestinal amebiasis without mention of abscess",
    "0066": "Amebic skin ulceration",
    "0072": "Coccidiosis",
    "00842": "Intestinal infection due to pseudomonas",
    "00846": "Intestinal infection due to other anaerobes",
    "01082": "Other primary progressive tuberculosis, bacteriological or histological examination unknown (at present)",
    "0110": "Tuberculosis of lung, infiltrative",
    "01134": "Tuberculosis of bronchus, tubercle bacilli not found (in sputum) by microscopy, but found in bacterial culture",
    "01144": "Tuberculous fibrosis of lung, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01163": "Tuberculous pneumonia [any form], tubercle bacilli found (in sputum) by microscopy",
    "01164": "Tuberculous pneumonia [any form], tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01171": "Tuberculous pneumothorax, bacteriological or histological examination not done",
    "01180": "Other specified pulmonary tuberculosis, unspecified",
    "01211": "Tuberculosis of intrathoracic lymph nodes, bacteriological or histological examination not done",
    "01224": "Isolated tracheal or bronchial tuberculosis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01232": "Tuberculous laryngitis, bacteriological or histological examination unknown (at present)",
    "01314": "Tuberculoma of meninges, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "0134": "Tuberculoma of spinal cord",
    "01382": "Other specified tuberculosis of central nervous system, bacteriological or histological examination unknown (at present)",
    "01384": "Other specified tuberculosis of central nervous system, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01394": "Unspecified tuberculosis of central nervous system, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01404": "Tuberculous peritonitis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01481": "Other tuberculosis of intestines, peritoneum, and mesenteric glands, bacteriological or histological examination not done",
    "01590": "Tuberculosis of unspecified bones and joints, unspecified",
    "01602": "Tuberculosis of kidney, bacteriological or histological examination unknown (at present)",
    "0167": "Tuberculosis of other female genital organs",
    "01674": "Tuberculosis of other female genital organs, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01705": "Tuberculosis of skin and subcutaneous cellular tissue, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01721": "Tuberculosis of peripheral lymph nodes, bacteriological or histological examination not done",
    "01734": "Tuberculosis of eye, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01755": "Tuberculosis of thyroid gland, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01764": "Tuberculosis of adrenal glands, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01783": "Tuberculosis of esophagus, tubercle bacilli found (in sputum) by microscopy",
    "01884": "Other specified miliary tuberculosis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "0201": "Cellulocutaneous plague",
    "9848": "Toxic effect of other lead compounds",
    "44835462": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V35": "Other multiple birth (three or more), mates all stillborn",
    "V413": "Other ear problems",
    "44835465": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835466": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V437": "Limb replaced by other means",
    "V4382": "Breast replacement",
    "V445": "Cystostomy status",
    "44835470": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4502": "Automatic implantable cardiac defibrillator in situ",
    "V451": "Postsurgical renal dialysis status",
    "V454": "Arthrodesis status",
    "V4584": "Dental restoration status",
    "44835475": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V469": "Unspecified machine dependence",
    "44835477": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V470": "Deficiencies of internal organs",
    "44835479": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V48": "Problems with head, neck, and trunk",
    "V482": "Mechanical and motor problems with head",
    "V4964": "Wrist amputation status",
    "V4974": "Ankle amputation status",
    "V500": "Elective hair transplant for purposes other than remedying health states",
    "V509": "Unspecified elective surgery for purposes other than remedying health states",
    "V52": "Fitting and adjustment of prosthetic device and implant",
    "V531": "Fitting and adjustment of spectacles and contact lenses",
    "V537": "Fitting and adjustment of orthopedic devices",
    "44835489": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5417": "Aftercare for healing traumatic fracture of vertebrae",
    "V5429": "Aftercare for healing pathologic fracture of other bone",
    "44835492": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V557": "Attention to artificial vagina",
    "44835494": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835495": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5631": "Encounter for adequacy testing for hemodialysis",
    "V5632": "Encounter for adequacy testing for peritoneal dialysis",
    "44835498": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V583": "Attention to dressings and sutures",
    "V5889": "Other specified aftercare",
    "44835501": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835502": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835503": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835504": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5973": "Egg (oocyte) (ovum) donor, age 35 and over, anonymous recipient",
    "44835507": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6108": "Family disruption due to other extended absence of family member",
    "V6121": "Counseling for victim of child abuse",
    "V6129": "Other parent-child problems",
    "V617": "Other unwanted pregnancy",
    "44835513": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6222": "Personal history of return from military deployment",
    "V641": "Surgical or other procedure not carried out because of contraindication",
    "V060": "Need for prophylactic vaccination and inoculation against cholera with typhoid-paratyphoid [cholera + TAB]",
    "V0751": "Use of selective estrogen receptor modulators (SERMs)",
    "V094": "Infection with microorganisms resistant to aminoglycosides",
    "V095": "Infection with microorganisms resistant to quinolones and fluoroquinolones",
    "V0991": "Infection with drug-resistant microorganisms, unspecified, with multiple drug resistance",
    "44836598": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1012": "Personal history of malignant neoplasm of trachea",
    "V1090": "Personal history of unspecified malignant neoplasm",
    "44836601": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836602": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836603": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836604": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V118": "Personal history of other mental disorders",
    "40501": "Malignant renovascular hypertension",
    "4051": "Benign secondary hypertension",
    "41010": "Acute myocardial infarction of other anterior wall, episode of care unspecified",
    "41062": "True posterior wall infarction, subsequent episode of care",
    "41181": "Acute coronary occlusion without myocardial infarction",
    "41406": "Coronary atherosclerosis of native coronary artery of transplanted heart",
    "417": "Other diseases of pulmonary circulation",
    "4171": "Aneurysm of pulmonary artery",
    "420": "Acute pericarditis",
    "4211": "Acute and subacute infective endocarditis in diseases classified elsewhere",
    "9859": "Toxic effect of unspecified metal",
    "9910": "Frostbite of face",
    "9930": "Barotrauma, otitic",
    "9938": "Other specified effects of air pressure",
    "99651": "Mechanical complication due to corneal graft",
    "99652": "Mechanical complication due to graft of other tissue, not elsewhere classified",
    "99667": "Infection and inflammatory reaction due to other internal orthopedic device, implant, and graft",
    "99675": "Other complications due to nervous system device, implant, and graft",
    "99678": "Other complications due to other internal orthopedic device, implant, and graft",
    "99680": "Complications of transplanted organ, unspecified",
    "99691": "Complications of reattached forearm",
    "99695": "Complication of reattached foot and toe(s)",
    "99769": "Other amputation stump complication",
    "9979": "Complications affecting other specified body systems, not elsewhere classified",
    "99883": "Non-healing surgical wound",
    "99949": "Anaphylactic reaction due to other serum",
    "99982": "Extravasation of other vesicant agent",
    "E0031": "Activities involving ice hockey",
    "E0062": "Activities involving golf",
    "E0064": "Activities involving bike riding",
    "E0089": "Other specified sports and athletics activity",
    "E8031": "Railway accident involving explosion, fire, or burning injuring passenger on railway",
    "E815": "Other motor vehicle traffic accident involving collision on the highway",
    "E816": "Motor vehicle traffic accident due to loss of control, without collision on the highway",
    "E818": "Other noncollision motor vehicle traffic accident",
    "E819": "Motor vehicle traffic accident of unspecified nature",
    "E8272": "Animal-drawn vehicle accident injuring rider of animal",
    "E850": "Accidental poisoning by analgesics, antipyretics, and antirheumatics",
    "E8501": "Accidental poisoning by methadone",
    "E851": "Accidental poisoning by barbiturates",
    "E8522": "Accidental poisoning by bromine compounds",
    "E8540": "Accidental poisoning by antidepressants",
    "E8584": "Accidental poisoning by agents primarily affecting gastrointestinal system",
    "E8588": "Accidental poisoning by other specified drugs",
    "V642": "Surgical or other procedure not carried out because of patient's decision",
    "44835517": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V659": "Unspecified reason for consultation",
    "44835519": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835520": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835521": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6801": "Disability examination",
    "44835523": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835524": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "94871": "Burn [any degree] involving 70-79 percent of body surface with third degree burn, 10-19%",
    "94883": "Burn [any degree] involving 80-89 percent of body surface with third degree burn, 30-39%",
    "9492": "Blisters, epidermal loss [second degree], unspecified site",
    "95205": "C5-C7 level with unspecified spinal cord injury",
    "95210": "T1-T6 level with unspecified spinal cord injury",
    "9539": "Injury to unspecified site of nerve roots and spinal plexus",
    "9551": "Injury to median nerve",
    "9578": "Injury to multiple nerves in several parts",
    "95901": "Head injury, unspecified",
    "9593": "Elbow, forearm, and wrist injury",
    "9596": "Hip and thigh injury",
    "9611": "Poisoning by arsenical anti-infectives",
    "96569": "Poisoning by other antirheumatics",
    "9698": "Poisoning by other specified psychotropic agents",
    "9731": "Poisoning by irritant cathartics",
    "9738": "Poisoning by other specified agents primarily affecting the gastrointestinal system",
    "9743": "Poisoning by saluretics",
    "9765": "Poisoning by eye anti-infectives and other eye drugs",
    "979": "Poisoning by other vaccines and biological substances",
    "9790": "Poisoning by smallpox vaccine",
    "9794": "Poisoning by measles vaccine",
    "9820": "Toxic effect of benzene and homologues",
    "9889": "Toxic effect of unspecified noxious substance eaten as food",
    "9892": "Toxic effect of chlorinated hydrocarbons",
    "9926": "Heat fatigue, transient",
    "V123": "Personal history of diseases of blood and blood-forming organs",
    "V1321": "Personal history of pre-term labor",
    "44836608": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836609": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1541": "History of physical abuse",
    "V1559": "Personal history of other injury",
    "V1585": "Personal history of contact with and (suspected) exposure to potentially hazardous body fluids",
    "44836613": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836614": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836615": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836616": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1643": "Family history of malignant neoplasm of testis",
    "V1649": "Family history of malignant neoplasm of other genital organs",
    "V1651": "Family history of malignant neoplasm of kidney",
    "44836621": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836622": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1869": "Family history of other kidney diseases",
    "V187": "Family history of other genitourinary diseases",
    "V19": "Family history of other conditions",
    "V192": "Family history of deafness or hearing loss",
    "V197": "Family history of consanguinity",
    "44836629": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "65981": "Other specified indications for care or intervention related to labor and delivery, delivered, with or without mention of antepartum condition",
    "66003": "Obstruction caused by malposition of fetus at onset of labor, antepartum condition or complication",
    "66130": "Precipitate labor, unspecified as to episode of care or not applicable",
    "66233": "Delayed delivery of second twin, triplet, etc., antepartum condition or complication",
    "6632": "Other and unspecified cord entanglement, with compression, complicating labor and delivery",
    "6640": "First-degree perineal laceration during delivery",
    "66440": "Unspecified perineal laceration, unspecified as to episode of care or not applicable",
    "66480": "Other specified trauma to perineum and vulva, unspecified as to episode of care or not applicable",
    "66481": "Other specified trauma to perineum and vulva, delivered, with or without mention of antepartum condition",
    "66544": "High vaginal laceration, postpartum condition or complication",
    "66572": "Pelvic hematoma, delivered with mention of postpartum complication",
    "666": "Postpartum hemorrhage",
    "667": "Retained placenta or membranes, without hemorrhage",
    "668": "Complications of the administration of anesthetic or other sedation in labor and delivery",
    "66884": "Other complications of anesthesia or other sedation in labor and delivery, postpartum condition or complication",
    "6691": "Shock during or following labor and delivery",
    "66983": "Other complications of labor and delivery, antepartum condition or complication",
    "67193": "Unspecified venous complication of pregnancy and the puerperium, antepartum condition or complication",
    "6733": "Obstetrical pyemic and septic embolism",
    "67450": "Peripartum cardiomyopathy, unspecified as to episode of care or not applicable",
    "67581": "Other specified infections of the breast and nipple associated with childbirth, delivered, with or without mention of antepartum condition",
    "67593": "Unspecified infection of the breast and nipple associated with childbirth, antepartum condition or complication",
    "6780": "Fetal hematologic conditions",
    "68100": "Cellulitis and abscess of finger, unspecified",
    "6827": "Cellulitis and abscess of foot, except toes",
    "69274": "Other chronic dermatitis due to solar radiation",
    "426": "Conduction disorders",
    "42651": "Right bundle branch block and left posterior fascicular block",
    "42654": "Trifascicular block",
    "4268": "Other specified conduction disorders",
    "42822": "Chronic systolic heart failure",
    "4283": "Diastolic heart failure",
    "42830": "Diastolic heart failure, unspecified",
    "42983": "Takotsubo syndrome",
    "438": "Late effects of cerebrovascular disease",
    "43814": "Late effects of cerebrovascular disease, fluency disorder",
    "43840": "Late effects of cerebrovascular disease, monoplegia of lower limb affecting unspecified side",
    "43842": "Late effects of cerebrovascular disease, monoplegia of lower limb affecting nondominant side",
    "44024": "Atherosclerosis of native arteries of the extremities with gangrene",
    "20044": "Mantle cell lymphoma, lymph nodes of axilla and upper limb",
    "20083": "Other named variants of lymphosarcoma and reticulosarcoma, intra-abdominal lymph nodes",
    "20115": "Hodgkin's granuloma, lymph nodes of inguinal region and lower limb",
    "2015": "Hodgkin's disease, nodular sclerosis",
    "20167": "Hodgkin's disease, mixed cellularity, spleen",
    "20170": "Hodgkin's disease, lymphocytic depletion, unspecified site, extranodal and solid organ sites",
    "20175": "Hodgkin's disease, lymphocytic depletion, lymph nodes of inguinal region and lower limb",
    "20202": "Nodular lymphoma, intrathoracic lymph nodes",
    "20215": "Mycosis fungoides, lymph nodes of inguinal region and lower limb",
    "2022": "Sezary's disease",
    "20221": "Sezary's disease, lymph nodes of head, face, and neck",
    "20238": "Malignant histiocytosis, lymph nodes of multiple sites",
    "20241": "Leukemic reticuloendotheliosis, lymph nodes of head, face, and neck",
    "20248": "Leukemic reticuloendotheliosis, lymph nodes of multiple sites",
    "20265": "Malignant mast cell tumors, lymph nodes of inguinal region and lower limb",
    "20283": "Other malignant lymphomas, intra-abdominal lymph nodes",
    "20481": "Other lymphoid leukemia, in remission",
    "20510": "Chronic myeloid leukemia, without mention of having achieved remission",
    "20511": "Chronic myeloid leukemia, in remission",
    "20521": "Subacute myeloid leukemia,in remission",
    "20592": "Unspecified myeloid leukemia, in relapse",
    "20601": "Acute monocytic leukemia,in remission",
    "20611": "Chronic monocytic leukemia, in remission",
    "20621": "Subacute monocytic leukemia, in remission",
    "2069": "Unspecified monocytic leukemia",
    "20702": "Acute erythremia and erythroleukemia, in relapse",
    "20781": "Other specified leukemia, in remission",
    "20917": "Malignant carcinoid tumor of the rectum",
    "20931": "Merkel cell carcinoma of the face",
    "20933": "Merkel cell carcinoma of the upper limb",
    "20951": "Benign carcinoid tumor of the appendix",
    "20966": "Benign carcinoid tumor of midgut, not otherwise specified",
    "20973": "Secondary neuroendocrine tumor of bone",
    "211": "Benign neoplasm of other parts of digestive system",
    "2129": "Benign neoplasm of respiratory and intrathoracic organs, site unspecified",
    "2142": "Lipoma of intrathoracic organs",
    "2149": "Lipoma, unspecified site",
    "2163": "Benign neoplasm of skin of other and unspecified parts of face",
    "2219": "Benign neoplasm of female genital organ, site unspecified",
    "2244": "Benign neoplasm of cornea",
    "2302": "Carcinoma in situ of stomach",
    "2312": "Carcinoma in situ of bronchus and lung",
    "2335": "Carcinoma in situ of penis",
    "2352": "Neoplasm of uncertain behavior of stomach, intestines, and rectum",
    "23772": "Neurofibromatosis, type 2 [acoustic neurofibromatosis]",
    "E8612": "Accidental poisoning by polishes",
    "E8619": "Accidental poisoning by unspecified cleansing and polishing agents, disinfectants, paints, and varnishes",
    "E8633": "Accidental poisoning by mixtures of insecticides",
    "E864": "Accidental poisoning by corrosives and caustics, not elsewhere classified",
    "7812": "Abnormality of gait",
    "7840": "Headache",
    "7855": "Shock without mention of trauma",
    "78551": "Cardiogenic shock",
    "78903": "Abdominal pain, right lower quadrant",
    "78907": "Abdominal pain, generalized",
    "78937": "Abdominal or pelvic swelling, mass, or lump, generalized",
    "7909": "Other nonspecific findings on examination of blood",
    "7910": "Proteinuria",
    "7929": "Other nonspecific abnormal findings in body substances",
    "7947": "Nonspecific abnormal results of function study of basal metabolism",
    "79503": "Papanicolaou smear of cervix with low grade squamous intraepithelial lesion (LGSIL)",
    "79539": "Other nonspecific positive culture findings",
    "79589": "Other abnormal tumor markers",
    "79679": "Other abnormal Papanicolaou smear of anus and anal HPV",
    "79924": "Emotional lability",
    "80022": "Closed fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with brief [less than one hour] loss of consciousness",
    "80040": "Closed fracture of vault of skull with intracranial injury of other and unspecified nature, unspecified state of consciousness",
    "80065": "Open fracture of vault of skull with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80119": "Closed fracture of base of skull with cerebral laceration and contusion, with concussion, unspecified",
    "80125": "Closed fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "9943": "Effects of thirst",
    "99562": "Anaphylactic reaction due to crustaceans",
    "99586": "Malignant hyperthermia",
    "996": "Complications peculiar to certain specified procedures",
    "99681": "Complications of transplanted kidney",
    "99692": "Complications of reattached hand",
    "9970": "Central nervous system complications, not elsewhere classified",
    "99700": "Nervous system complication, unspecified",
    "V570": "Care involving breathing exercises",
    "V5721": "Encounter for occupational therapy",
    "V578": "Care involving other specified rehabilitation procedure",
    "44831971": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V581": "Encounter for antineoplastic chemotherapy and immunotherapy",
    "V5842": "Aftercare following surgery for neoplasm",
    "V5861": "Long-term (current) use of anticoagulants",
    "V5873": "Aftercare following surgery of the circulatory system, NEC",
    "V5874": "Aftercare following surgery of the respiratory system, NEC",
    "V5881": "Fitting and adjustment of vascular catheter",
    "V5883": "Encounter for therapeutic drug monitoring",
    "44831979": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831980": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831981": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831982": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831983": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V600": "Lack of housing",
    "44831985": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831986": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6111": "Counseling for victim of spousal and partner abuse",
    "44831988": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831989": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V622": "Other occupational circumstances or maladjustment",
    "V6229": "Other occupational circumstances or maladjustment",
    "44831992": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831993": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "99523": "Unspecified adverse effect of insulin",
    "V6407": "Vaccination not carried out for religious reasons",
    "44831995": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44831996": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6540": "Counseling NOS",
    "44831998": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V664": "Convalescence following treatment of fracture",
    "44832000": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V679": "Unspecified follow-up examination",
    "V689": "Encounters for unspecified administrative purpose",
    "V712": "Observation for suspected tuberculosis",
    "V7183": "Observation and evaluation for suspected exposure to other biological agent",
    "V720": "Examination of eyes and vision",
    "44832007": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V738": "Screening examination for other specified viral and chlamydial diseases",
    "V7388": "Special screening examination for other specified chlamydial diseases",
    "44832010": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V765": "Screening for malignant neoplasms of intestine",
    "44832013": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7799": "Screening for other and unspecified endocrine, nutritional, metabolic, and immunity disorders",
    "V80": "Special screening for neurological, eye, and ear diseases",
    "V811": "Screening for hypertension",
    "V820": "Screening for skin conditions",
    "V8404": "Genetic susceptibility to malignant neoplasm of endometrium",
    "44832019": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "2381": "Neoplasm of uncertain behavior of connective and other soft tissue",
    "23872": "Low grade myelodysplastic syndrome lesions",
    "2390": "Neoplasm of unspecified nature of digestive system",
    "249": "Secondary diabetes mellitus",
    "24901": "Secondary diabetes mellitus without mention of complication, uncontrolled",
    "2493": "Secondary diabetes mellitus with other coma",
    "25021": "Diabetes with hyperosmolarity, type I [juvenile type], not stated as uncontrolled",
    "25023": "Diabetes with hyperosmolarity, type I [juvenile type], uncontrolled",
    "25031": "Diabetes with other coma, type I [juvenile type], not stated as uncontrolled",
    "25032": "Diabetes with other coma, type II or unspecified type, uncontrolled",
    "25042": "Diabetes with renal manifestations, type II or unspecified type, uncontrolled",
    "2536": "Other disorders of neurohypophysis",
    "2552": "Adrenogenital disorders",
    "2553": "Other corticoadrenal overactivity",
    "2564": "Polycystic ovaries",
    "25801": "Multiple endocrine neoplasia [MEN] type I",
    "2647": "Other ocular manifestations of vitamin A deficiency",
    "2651": "Other and unspecified manifestations of thiamine deficiency",
    "2652": "Pellagra",
    "7835": "Polydipsia",
    "7837": "Adult failure to thrive",
    "7842": "Swelling, mass, or lump in head and neck",
    "78461": "Alexia and dyslexia",
    "78703": "Vomiting alone",
    "78721": "Dysphagia, oral phase",
    "78820": "Retention of urine, unspecified",
    "78843": "Nocturia",
    "7887": "Urethral discharge",
    "79029": "Other abnormal glucose",
    "7914": "Biliuria",
    "79311": "Solitary pulmonary nodule",
    "79571": "Nonspecific serologic evidence of human immunodeficiency virus [HIV]",
    "79581": "Elevated carcinoembryonic antigen [CEA]",
    "79582": "Elevated cancer antigen 125 [CA 125]",
    "7962": "Elevated blood pressure reading without diagnosis of hypertension",
    "7990": "Asphyxia and hypoxemia",
    "7999": "Other unknown and unspecified cause of morbidity and mortality",
    "80001": "Closed fracture of vault of skull without mention of intracranial injury, with no loss of consciousness",
    "80003": "Closed fracture of vault of skull without mention of intracranial injury, with moderate [1-24 hours] loss of consciousness",
    "80005": "Closed fracture of vault of skull without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80011": "Closed fracture of vault of skull with cerebral laceration and contusion, with no loss of consciousness",
    "8002": "Closed fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage",
    "80053": "Open fracture of vault of skull without mention of intracranial injury, with moderate [1-24 hours] loss of consciousness",
    "80063": "Open fracture of vault of skull with cerebral laceration and contusion, with moderate [1-24 hours] loss of consciousness",
    "80076": "Open fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with loss of consciousness of unspecified duration",
    "80092": "Open fracture of vault of skull with intracranial injury of other and unspecified nature, with brief [less than one hour] loss of consciousness",
    "801": "Fracture of base of skull",
    "80115": "Closed fracture of base of skull with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80228": "Closed fracture of mandible, body, other and unspecified",
    "80316": "Other closed skull fracture with cerebral laceration and contusion, with loss of consciousness of unspecified duration",
    "8034": "Other closed skull fracture with intracranial injury of other and unspecified nature",
    "80141": "Closed fracture of base of skull with intracranial injury of other and unspecified nature, with no loss of consciousness",
    "80151": "Open fracture of base of skull without mention of intracranial injury, with no loss of consciousness",
    "80170": "Open fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, unspecified state of consciousness",
    "80184": "Open fracture of base of skull with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80189": "Open fracture of base of skull with other and unspecified intracranial hemorrhage, with concussion, unspecified",
    "8022": "Mandible closed fracture",
    "80311": "Other closed skull fracture with cerebral laceration and contusion, with no loss of consciousness",
    "80343": "Other closed skull fracture with intracranial injury of other and unspecified nature, with moderate [1-24 hours] loss of consciousness",
    "8036": "Other open skull fracture with cerebral laceration and contusion",
    "80384": "Other open skull fracture with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80404": "Closed fractures involving skull or face with other bones, without mention or intracranial injury, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80406": "Closed fractures involving skull of face with other bones, without mention of intracranial injury, with loss of consciousness of unspecified duration",
    "80432": "Closed fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with brief [less than one hour] loss of consciousness",
    "80446": "Closed fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with loss of consciousness of unspecified duration",
    "80494": "Open fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "8050": "Closed fracture of cervical vertebra without mention of spinal cord injury",
    "80615": "Open fracture of C5-C7 level with unspecified spinal cord injury",
    "8070": "Closed fracture of rib(s)",
    "80709": "Closed fracture of multiple ribs, unspecified",
    "80710": "Open fracture of rib(s), unspecified",
    "80841": "Closed fracture of ilium",
    "81001": "Closed fracture of sternal end of clavicle",
    "81002": "Closed fracture of shaft of clavicle",
    "8120": "Fracture of upper end of humerus, closed",
    "81212": "Open fracture of anatomical neck of humerus",
    "34281": "Other specified hemiplegia and hemiparesis affecting dominant side",
    "34432": "Monoplegia of lower limb affecting nondominant side",
    "34500": "Generalized nonconvulsive epilepsy, without mention of intractable epilepsy",
    "34663": "Persistent migraine aura with cerebral infarction, with intractable migraine, so stated, with status migrainosus",
    "34691": "Migraine, unspecified, with intractable migraine, so stated, without mention of status migrainosus",
    "3482": "Benign intracranial hypertension",
    "3484": "Compression of brain",
    "34881": "Temporal sclerosis",
    "349": "Other and unspecified disorders of the nervous system",
    "34982": "Toxic encephalopathy",
    "3519": "Facial nerve disorder, unspecified",
    "3524": "Disorders of accessory [11th] nerve",
    "3525": "Disorders of hypoglossal [12th] nerve",
    "3581": "Myasthenic syndromes in diseases classified elsewhere",
    "3591": "Hereditary progressive muscular dystrophy",
    "35924": "Drug- induced myotonia",
    "35971": "Inclusion body myositis",
    "3599": "Myopathy, unspecified",
    "36014": "Ophthalmia nodosa",
    "3604": "Degenerated conditions of globe",
    "36052": "Foreign body, magnetic, in iris or ciliary body",
    "36054": "Foreign body, magnetic, in vitreous",
    "36063": "Foreign body in lens",
    "36202": "Proliferative diabetic retinopathy",
    "998": "Other complications of procedures, NEC",
    "9983": "Disruption of wound",
    "99963": "ABO incompatibility with delayed hemolytic transfusion reaction",
    "9997": "Rh and other non-ABO incompatibility reaction due to transfusion of blood or blood products",
    "99976": "Non-ABO incompatibility with hemolytic transfusion reaction not specified as acute or delayed",
    "E0061": "Activities involving horseback riding",
    "E0072": "Activities involving rugby",
    "E0077": "Activities involving volleyball (beach) (court)",
    "E0099": "Other activity involving cardiorespiratory exercise",
    "E0292": "Rough housing and horseplay",
    "E8021": "Railway accident involving derailment without antecedent collision injuring passenger on railway",
    "E803": "Railway accident involving explosion, fire, or burning",
    "V873": "Contact with and (suspected ) exposure to other potentially hazardous substances",
    "6479": "Unspecified infection or infestation complicating pregnancy, childbirth, or the puerperium",
    "64821": "Anemia of mother, delivered, with or without mention of antepartum condition",
    "64824": "Anemia of mother, postpartum condition or complication",
    "64873": "Bone and joint disorders of back, pelvis, and lower limbs of mother, antepartum condition or complication",
    "64880": "Abnormal glucose tolerance of mother, unspecified as to episode of care or not applicable",
    "64963": "Uterine size date discrepancy, antepartum condition or complication",
    "6512": "Quadruplet pregnancy",
    "65173": "Multiple gestation following (elective) fetal reduction, antepartum condition or complication",
    "65230": "Transverse or oblique presentation, unspecified as to episode of care or not applicable",
    "65250": "High head at term, unspecified as to episode of care or not applicable",
    "6528": "Other specified malposition or malpresentation of fetus",
    "65380": "Disproportion of other origin, unspecified as to episode of care or not applicable",
    "65404": "Congenital abnormalities of uterus, postpartum condition or complication",
    "65480": "Congenital or acquired abnormality of vulva, unspecified as to episode of care or not applicable",
    "65520": "Hereditary disease in family possibly affecting fetus, affecting management of mother, unspecified as to episode of care or not applicable",
    "65593": "Unspecified suspected fetal abnormality, affecting management of mother, antepartum condition or complication",
    "65600": "Fetal-maternal hemorrhage, unspecified as to episode of care or not applicable",
    "65611": "Rhesus isoimmunization, delivered, with or without mention of antepartum condition",
    "65631": "Fetal distress, affecting management of mother, delivered, with or without mention of antepartum condition",
    "6564": "Intrauterine death affecting management of mother",
    "6567": "Other placental conditions affecting management of mother",
    "657": "Polyhydramnios",
    "65703": "Polyhydramnios, antepartum condition or complication",
    "6581": "Premature rupture of membranes",
    "6590": "Failed mechanical induction of labor",
    "65940": "Grand multiparity, unspecified as to episode of care or not applicable",
    "6600": "Obstruction caused by malposition of fetus at onset of labor",
    "66000": "Obstruction caused by malposition of fetus at onset of labor, unspecified as to episode of care or not applicable",
    "66031": "Deep transverse arrest and persistent occipitoposterior position, delivered, with or without mention of antepartum condition",
    "6604": "Shoulder (girdle) dystocia during labor and delivery",
    "6607": "Failed forceps or vacuum extractor, unspecified",
    "66071": "Failed forceps or vacuum extractor, unspecified, delivered, with or without mention of antepartum condition",
    "66091": "Unspecified obstructed labor, delivered, with or without mention of antepartum condition",
    "66103": "Primary uterine inertia, antepartum condition or complication",
    "6620": "Prolonged first stage of labor",
    "66303": "Prolapse of cord complicating labor and delivery, antepartum condition or complication",
    "66341": "Short cord complicating labor and delivery, delivered, with or without mention of antepartum condition",
    "6635": "Vasa previa complicating labor and delivery",
    "66410": "Second-degree perineal laceration, unspecified as to episode of care or not applicable",
    "66464": "Anal sphincter tear complicating delivery, not associated with third-degree perineal laceration, postpartum condition or complication",
    "66551": "Other injury to pelvic organs, delivered, with or without mention of antepartum condition",
    "6656": "Obstetrical damage to pelvic joints and ligaments",
    "66602": "Third-stage postpartum hemorrhage, delivered, with mention of postpartum complication",
    "6680": "Pulmonary complications of anesthesia or other sedation in labor and delivery",
    "80434": "Closed fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness and return to pre- existing conscious level",
    "80435": "Closed fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80436": "Closed fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with loss of consciousness of unspecified duration",
    "80471": "Open fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with no loss of consciousness",
    "80514": "Open fracture of fourth cervical vertebra",
    "8055": "Open fracture of lumbar vertebra without mention of spinal cord injury",
    "8062": "Closed fracture of dorsal vertebra with spinal cord injury",
    "8068": "Closed fracture of unspecified vertebral column with spinal cord injury",
    "80714": "Open fracture of four ribs",
    "8081": "Open fracture of acetabulum",
    "81003": "Closed fracture of acromial end of clavicle",
    "81013": "Open fracture of acromial end of clavicle",
    "81113": "Open fracture of glenoid cavity and neck of scapula",
    "81202": "Closed fracture of anatomical neck of humerus",
    "81342": "Other closed fractures of distal end of radius (alone)",
    "81343": "Closed fracture of distal end of ulna (alone)",
    "81405": "Closed fracture of trapezium bone [larger multangular] of wrist",
    "81406": "Closed fracture of trapezoid bone [smaller multangular] of wrist",
    "8160": "Closed fracture of one or more phalanges of hand",
    "8161": "Open fracture of one or more phalanges of hand",
    "66814": "Cardiac complications of anesthesia or other sedation in labor and delivery, postpartum condition or complication",
    "66822": "Central nervous system complications of anesthesia or other sedation in labor and delivery, delivered, with mention of postpartum complication",
    "66823": "Central nervous system complications of anesthesia or other sedation in labor and delivery, antepartum condition or complication",
    "66894": "Unspecified complication of anesthesia and other sedation in labor and delivery, postpartum condition or complication",
    "66912": "Shock during or following labor and delivery, delivered, with mention of postpartum complication",
    "6692": "Maternal hypotension syndrome",
    "66922": "Maternal hypotension syndrome, delivered, with mention of postpartum complication",
    "66982": "Other complications of labor and delivery, delivered, with mention of postpartum complication",
    "66993": "Unspecified complication of labor and delivery, antepartum condition or complication",
    "67104": "Varicose veins of legs complicating pregnancy and the puerperium, postpartum condition or complication",
    "6713": "Deep phlebothrombosis, antepartum",
    "67151": "Other phlebitis and thrombosis complicating pregnancy and the puerperium, delivered, with or without mention of antepartum condition",
    "67181": "Other venous complications of pregnancy and the puerperium, delivered, with or without mention of antepartum condition",
    "67182": "Other venous complications of pregnancy and the puerperium, delivered, with mention of postpartum complication",
    "67184": "Other venous complications of pregnancy and the puerperium, postpartum condition or complication",
    "6719": "Unspecified venous complication in pregnancy and the puerperium",
    "67332": "Obstetrical pyemic and septic embolism, delivered, with mention of postpartum complication",
    "67382": "Other obstetrical pulmonary embolism, delivered, with mention of postpartum complication",
    "67420": "Disruption of perineal wound, unspecified as to episode of care or not applicable",
    "67440": "Placental polyp, unspecified as to episode of care or not applicable",
    "67500": "Infections of nipple associated with childbirth, unspecified as to episode of care or not applicable",
    "67594": "Unspecified infection of the breast and nipple associated with childbirth, postpartum condition or complication",
    "67610": "Cracked nipple associated with childbirth, unspecified as to episode of care or not applicable",
    "67613": "Cracked nipple associated with childbirth, antepartum condition or complication",
    "36210": "Background retinopathy, unspecified",
    "36223": "Retinopathy of prematurity, stage 1",
    "36237": "Venous engorgement",
    "36241": "Central serous retinopathy",
    "36265": "Secondary pigmentary degeneration",
    "36307": "Focal retinitis and retinochoroiditis of other posterior pole",
    "36314": "Disseminated retinitis and retinochoroiditis, metastatic",
    "36352": "Circumpapillary dystrophy of choroid, total",
    "36354": "Central choroidal atrophy, total",
    "36357": "Other diffuse or generalized dystrophy of choroid, total",
    "3641": "Chronic iridocyclitis",
    "36441": "Hyphema of iris and ciliary body",
    "36453": "Pigmentary iris degeneration",
    "36477": "Recession of chamber angle of eye",
    "36581": "Hypersecretion glaucoma",
    "36589": "Other specified glaucoma",
    "36600": "Nonsenile cataract, unspecified",
    "36622": "Total traumatic cataract",
    "36641": "Diabetic cataract",
    "36652": "Other after-cataract, not obscuring vision",
    "3670": "Hypermetropia",
    "3674": "Presbyopia",
    "36812": "Transient visual loss",
    "36842": "Scotoma of blind spot area",
    "36845": "Generalized visual field contraction or constriction",
    "369": "Blindness and low vision",
    "36904": "Better eye: near-total vision impairment; lesser eye: near-total vision impairment",
    "3694": "Legal blindness, as defined in U.S.A.",
    "36967": "One eye: profound vision impairment; other eye: vision not specified",
    "36975": "One eye: moderate vision impairment; other eye: near-normal vision",
    "37000": "Corneal ulcer, unspecified",
    "3702": "Superficial keratitis without conjunctivitis",
    "37021": "Punctate keratitis",
    "3705": "Interstitial and deep keratitis",
    "37050": "Interstitial keratitis, unspecified",
    "37055": "Corneal abscess",
    "3709": "Unspecified keratitis",
    "37113": "Posterior corneal pigmentations",
    "37171": "Corneal ectasia",
    "37264": "Scarring of conjunctiva",
    "3728": "Other disorders of conjunctiva",
    "37311": "Hordeolum externum",
    "3744": "Other disorders affecting eyelid function",
    "37445": "Other sensorimotor disorders of eyelid",
    "3754": "Chronic inflammation of lacrimal passages",
    "3755": "Stenosis and insufficiency of lacrimal passages",
    "37561": "Lacrimal fistula",
    "37632": "Orbital hemorrhage",
    "026": "Rat-bite fever",
    "0322": "Anterior nasal diphtheria",
    "0368": "Other specified meningococcal infections",
    "04042": "Wound botulism",
    "04105": "Streptococcus infection in conditions classified elsewhere and of unspecified site, streptococcus, group G",
    "04181": "Other specified bacterial infections in conditions classified elsewhere and of unspecified site, mycoplasma",
    "04183": "Other specified bacterial infections in conditions classified elsewhere and of unspecified site, Clostridium perfringens",
    "04503": "Acute paralytic poliomyelitis specified as bulbar, poliovirus type III",
    "0451": "Acute poliomyelitis with other paralysis",
    "04593": "Acute poliomyelitis, unspecified, poliovirus type III",
    "0470": "Meningitis due to coxsackie virus",
    "0479": "Unspecified viral meningitis",
    "0509": "Smallpox, unspecified",
    "053": "Herpes zoster",
    "05909": "Other orthopoxvirus infections",
    "0631": "Louping ill",
    "07059": "Other specified viral hepatitis without mention of hepatic coma",
    "E804": "Fall in, on, or from railway train",
    "E8202": "Nontraffic accident involving motor-driven snow vehicle injuring motorcyclist",
    "E821": "Nontraffic accident involving other off-road motor vehicle",
    "E829": "Other road vehicle accidents",
    "5696": "Colostomy and enterostomy complications",
    "56986": "Dieulafoy lesion (hemorrhagic) of intestine",
    "57451": "Calculus of bile duct without mention of cholecystitis, with obstruction",
    "57461": "Calculus of gallbladder and bile duct with acute cholecystitis, with obstruction",
    "5781": "Blood in stool",
    "5813": "Nephrotic syndrome with lesion of minimal change glomerulonephritis",
    "58389": "Nephritis and nephropathy, not specified as acute or chronic, with other specified pathological lesion in kidney",
    "584": "Acute kidney failure",
    "5845": "Acute kidney failure with lesion of tubular necrosis",
    "58881": "Secondary hyperparathyroidism (of renal origin)",
    "5889": "Unspecified disorder resulting from impaired renal function",
    "59010": "Acute pyelonephritis without lesion of renal medullary necrosis",
    "5902": "Renal and perinephric abscess",
    "5929": "Urinary calculus, unspecified",
    "59389": "Other specified disorders of kidney and ureter",
    "5961": "Intestinovesical fistula",
    "59781": "Urethral syndrome NOS",
    "59800": "Urethral stricture due to unspecified infection",
    "5982": "Postoperative urethral stricture",
    "5996": "Urinary obstruction",
    "6002": "Benign localized hyperplasia of prostate",
    "601": "Inflammatory diseases of prostate",
    "6022": "Atrophy of prostate",
    "6038": "Other specified types of hydrocele",
    "60491": "Orchitis and epididymitis in diseases classified elsewhere",
    "60789": "Other specified disorders of penis",
    "60881": "Disorders of male genital organs in diseases classified elsewhere",
    "6143": "Acute parametritis and pelvic cellulitis",
    "6160": "Cervicitis and endocervicitis",
    "61884": "Cervical stump prolapse",
    "6192": "Genital tract-skin fistula, female",
    "62210": "Dysplasia of cervix, unspecified",
    "6230": "Dysplasia of vagina",
    "62402": "Vulvar intraepithelial neoplasia II [VIN II]",
    "6255": "Pelvic congestion syndrome",
    "6256": "Stress incontinence, female",
    "6257": "Vulvodynia",
    "62570": "Vulvodynia, unspecified",
    "62571": "Vulvar vestibulitis",
    "62579": "Other vulvodynia",
    "6268": "Other disorders of menstruation and other abnormal bleeding from female genital tract",
    "6283": "Infertility, female, of uterine origin",
    "6318": "Other abnormal products of conception",
    "6332": "Ovarian pregnancy",
    "63381": "Other ectopic pregnancy with intrauterine pregnancy",
    "66881": "Other complications of anesthesia or other sedation in labor and delivery, delivered, with or without mention of antepartum condition",
    "66891": "Unspecified complication of anesthesia and other sedation in labor and delivery, delivered, with or without mention of antepartum condition",
    "66893": "Unspecified complication of anesthesia and other sedation in labor and delivery, antepartum condition or complication",
    "66901": "Maternal distress complicating labor and delivery, delivered, with or without mention of antepartum condition",
    "66914": "Shock during or following labor and delivery, postpartum condition or complication",
    "4386": "Late effects of cerebrovascular disease, alterations of sensations",
    "4414": "Abdominal aneurysm without mention of rupture",
    "44323": "Dissection of renal artery",
    "44481": "Embolism and thrombosis of iliac artery",
    "4460": "Polyarteritis nodosa",
    "44621": "Goodpasture's syndrome",
    "447": "Other disorders of arteries and arterioles",
    "4530": "Budd-chiari syndrome",
    "4533": "Other venous embolism and thrombosis of renal vein",
    "45387": "Acute venous embolism and thrombosis of other thoracic veins",
    "46410": "Acute tracheitis without mention of obstruction",
    "4642": "Acute laryngotracheitis",
    "465": "Acute upper respiratory infections of multiple or unspecified sites",
    "4661": "Acute bronchiolitis",
    "4718": "Other polyp of sinus",
    "4740": "Chronic tonsillitis and adenoiditis",
    "47830": "Paralysis of vocal cords or larynx, unspecified",
    "4785": "Other diseases of vocal cords",
    "47871": "Cellulitis and perichondritis of larynx",
    "4870": "Influenza with pneumonia",
    "48889": "Influenza due to identified novel influenza A virus with other manifestations",
    "4919": "Unspecified chronic bronchitis",
    "4938": "Other forms of asthma",
    "5063": "Other acute and subacute respiratory conditions due to fumes and vapors",
    "507": "Pneumonitis due to solids and liquids",
    "5089": "Respiratory conditions due to unspecified external agent",
    "51282": "Secondary spontaneous pneumothorax",
    "51664": "Alveolar capillary dysplasia with vein misalignment",
    "5190": "Tracheostomy complications",
    "5204": "Disturbances of tooth formation",
    "52103": "Dental caries extending into pulp",
    "52149": "Other pathological resorption",
    "52322": "Gingival recession, moderate",
    "52323": "Gingival recession, severe",
    "5238": "Other specified periodontal diseases",
    "52412": "Anomalies of relationship of jaw to cranial base, other jaw asymmetry",
    "52456": "Non-working side interference",
    "52457": "Lack of posterior occlusal support",
    "52474": "Alveolar mandibular hypoplasia",
    "52553": "Partial edentulism, class III",
    "52567": "Poor aesthetics of existing restoration",
    "52571": "Osseointegration failure of dental implant",
    "5260": "Developmental odontogenic cysts",
    "5290": "Glossitis",
    "53012": "Acute esophagitis",
    "53111": "Acute gastric ulcer with perforation, with obstruction",
    "53130": "Acute gastric ulcer without mention of hemorrhage or perforation, without mention of obstruction",
    "53191": "Gastric ulcer, unspecified as acute or chronic, without mention of hemorrhage or perforation, with obstruction",
    "53241": "Chronic or unspecified duodenal ulcer with hemorrhage, with obstruction",
    "5331": "Acute peptic ulcer of unspecified site with perforation",
    "53341": "Chronic or unspecified peptic ulcer of unspecified site with hemorrhage, with obstruction",
    "67641": "Failure of lactation, delivered, with or without mention of antepartum condition",
    "6769": "Unspecified disorder of lactation",
    "67913": "Fetal complications from in utero procedure, antepartum condition or complication",
    "68110": "Cellulitis and abscess of toe, unspecified",
    "6819": "Cellulitis and abscess of unspecified digit",
    "6927": "Contact dermatitis and other eczema due to solar radiation",
    "6931": "Dermatitis due to food taken internally",
    "6938": "Dermatitis due to other specified substances taken internally",
    "6949": "Unspecified bullous dermatoses",
    "69519": "Other erythema multiforme",
    "6968": "Other psoriasis and similar disorders",
    "70409": "Other alopecia",
    "7052": "Focal hyperhidrosis",
    "707": "Chronic ulcer of skin",
    "70711": "Ulcer of thigh",
    "7088": "Other specified urticaria",
    "7091": "Vascular disorders of skin",
    "71137": "Postdysenteric arthropathy, ankle and foot",
    "71148": "Arthropathy associated with other bacterial diseases, other specified sites",
    "71152": "Arthropathy associated with other viral diseases, upper arm",
    "71154": "Arthropathy associated with other viral diseases, hand",
    "71157": "Arthropathy associated with other viral diseases, ankle and foot",
    "71158": "Arthropathy associated with other viral diseases, other specified sites",
    "71174": "Arthropathy associated with helminthiasis, hand",
    "71187": "Arthropathy associated with other infectious and parasitic diseases, ankle and foot",
    "71196": "Unspecified infective arthritis, lower leg",
    "71214": "Chondrocalcinosis, due to dicalcium phosphate crystals, hand",
    "71225": "Chondrocalcinosis, due to pyrophosphate crystals, pelvic region and thigh",
    "7128": "Other specified crystal arthropathies",
    "7151": "Osteoarthrosis, localized, primary",
    "4408": "Atherosclerosis of other specified arteries",
    "44321": "Dissection of carotid artery",
    "4442": "Embolism and thrombosis of arteries of the extremities",
    "445": "Atheroembolism",
    "44620": "Hypersensitivity angiitis, unspecified",
    "4464": "Wegener's granulomatosis",
    "44773": "Thoracoabdominal aortic ectasia",
    "4481": "Nevus, non-neoplastic",
    "45341": "Acute venous embolism and thrombosis of deep vessels of proximal lower extremity",
    "4540": "Varicose veins of lower extremities with ulcer",
    "4556": "Unspecified hemorrhoids without mention of complication",
    "4559": "Residual hemorrhoidal skin tags",
    "459": "Other disorders of circulatory system",
    "4599": "Unspecified circulatory system disorder",
    "4742": "Adenoid vegetations",
    "4770": "Allergic rhinitis due to pollen",
    "47833": "Bilateral paralysis of vocal cords or larynx, partial",
    "47834": "Bilateral paralysis of vocal cords or larynx, complete",
    "480": "Viral pneumonia",
    "4802": "Pneumonia due to parainfluenza virus",
    "4809": "Viral pneumonia, unspecified",
    "49302": "Extrinsic asthma with (acute) exacerbation",
    "4931": "Intrinsic asthma",
    "49320": "Chronic obstructive asthma, unspecified",
    "5069": "Unspecified respiratory conditions due to fumes and vapors",
    "5119": "Unspecified pleural effusion",
    "516": "Other alveolar and parietoalveolar pneumonopathy",
    "5186": "Allergic bronchopulmonary aspergillosis",
    "5187": "Transfusion related acute lung injury (TRALI)",
    "51901": "Infection of tracheostomy",
    "52310": "Chronic gingivitis, plaque induced",
    "5233": "Aggressive and acute periodontitis",
    "071": "Rabies",
    "0739": "Ornithosis, unspecified",
    "0771": "Epidemic keratoconjunctivitis",
    "0779": "Unspecified diseases of conjunctiva due to viruses and Chlamydiae",
    "07799": "Unspecified diseases of conjunctiva due to viruses",
    "0794": "Human papillomavirus in conditions classified elsewhere and of unspecified site",
    "0798": "Other specified viral and chlamydial infections in conditions classified elsewhere and of unspecified site",
    "07989": "Other specified viral infection",
    "0799": "Unspecified viral and chlamydial infection in conditions classified elsewhere and of unspecified site",
    "0810": "Murine (endemic) typhus",
    "0861": "Chagas' disease with other organ involvement",
    "0902": "Early congenital syphilis, unspecified",
    "0903": "Syphilitic interstitial keratitis",
    "09161": "Secondary syphilitic periostitis",
    "0949": "Neurosyphilis, unspecified",
    "0953": "Syphilis of liver",
    "0971": "Latent syphilis, unspecified",
    "09839": "Other chronic gonococcal infection of upper genitourinary tract",
    "09886": "Gonococcal peritonitis",
    "09950": "Other venereal diseases due to chlamydia trachomatis, unspecified site",
    "09955": "Other venereal diseases due to chlamydia trachomatis, unspecified genitourinary site",
    "101": "Vincent's angina",
    "102": "Yaws",
    "1040": "Nonvenereal endemic syphilis",
    "1113": "Black piedra",
    "1143": "Other forms of progressive coccidioidomycosis",
    "1175": "Cryptococcosis",
    "118": "Opportunistic mycoses",
    "1201": "Schistosomiasis due to schistosoma mansoni",
    "1212": "Paragonimiasis",
    "1225": "Echinococcus multilocularis infection of liver",
    "1233": "Taeniasis, unspecified",
    "1236": "Hymenolepiasis",
    "13100": "Urogenital trichomoniasis, unspecified",
    "13103": "Trichomonal prostatitis",
    "13109": "Other urogenital trichomoniasis",
    "1369": "Unspecified infectious and parasitic diseases",
    "1398": "Late effects of other and unspecified infectious and parasitic diseases",
    "1406": "Malignant neoplasm of commissure of lip",
    "1412": "Malignant neoplasm of tip and lateral border of tongue",
    "1431": "Malignant neoplasm of lower gum",
    "1448": "Malignant neoplasm of other sites of floor of mouth",
    "1451": "Malignant neoplasm of vestibule of mouth",
    "1465": "Malignant neoplasm of junctional region of oropharynx",
    "150": "Malignant neoplasm of esophagus",
    "1520": "Malignant neoplasm of duodenum",
    "1530": "Malignant neoplasm of hepatic flexure",
    "1561": "Malignant neoplasm of extrahepatic bile ducts",
    "159": "Malignant neoplasm of other and ill-defined sites within the digestive organs and peritoneum",
    "1659": "Malignant neoplasm of ill-defined sites within the respiratory system",
    "172": "Malignant melanoma of skin",
    "E8643": "Accidental poisoning by other specified corrosives and caustics not elsewhere classified",
    "E8651": "Accidental poisoning by shellfish",
    "E8660": "Accidental poisoning by lead and its compounds and fumes",
    "E8700": "Accidental cut, puncture, perforation or hemorrhage during surgical operation",
    "E880": "Accidental fall on or from stairs or steps",
    "E8840": "Accidental fall from playground equipment",
    "E8841": "Accidental fall from cliff",
    "E887": "Fracture, cause unspecified",
    "E8889": "Unspecified fall",
    "E8903": "Burning caused by conflagration in private dwelling",
    "E891": "Conflagration in other and unspecified building or structure",
    "6341": "Spontaneous abortion complicated by delayed or excessive hemorrhage",
    "63470": "Spontaneous abortion, with other specified complications, unspecified",
    "63482": "Spontaneous abortion, with unspecified complication, complete",
    "6350": "Legally induced abortion complicated by genital tract and pelvic infection",
    "63521": "Legally induced abortion, complicated by damage to pelvic organs or tissues, incomplete",
    "63522": "Legally induced abortion, complicated by damage to pelvic organs or tissues, complete",
    "63530": "Legally induced abortion, complicated by renal failure,unspecified",
    "63560": "Legally induced abortion, complicated by embolism, unspecified",
    "6357": "Legally induced abortion with other specified complications",
    "6360": "Illegally induced abortion complicated by genital tract and pelvic infection",
    "63601": "Illegally induced abortion, complicated by genital tract and pelvic infection, incomplete",
    "63652": "Illegally induced abortion, complicated by shock, complete",
    "63690": "Illegally induced abortion, without mention of complication, unspecified",
    "63722": "Unspecified abortion, complicated by damage to pelvic organs or tissues, complete",
    "63752": "Unspecified abortion, complicated by shock, complete",
    "64081": "Other specified hemorrhage in early pregnancy, delivered, with or without mention of antepartum condition",
    "6411": "Hemorrhage from placenta previa",
    "642": "Hypertension complicating pregnancy, childbirth, and the puerperium",
    "3213": "Meningitis due to trypanosomiasis",
    "32342": "Other myelitis due to other infections classified elsewhere",
    "32351": "Encephalitis and encephalomyelitis following immunization procedures",
    "3236": "Postinfectious encephalitis, myelitis, and encephalomyelitis",
    "3237": "Toxic encephalitis, myelitis, and encephalomyelitis",
    "3238": "Other causes of encephalitis, myelitis, and encephalomyelitis",
    "32714": "Hypersomnia due to medical condition classified elsewhere",
    "32752": "Sleep related leg cramps",
    "3348": "Other spinocerebellar diseases",
    "53350": "Chronic or unspecified peptic ulcer of unspecified site with perforation, without mention of obstruction",
    "53360": "Chronic or unspecified peptic ulcer of unspecified site with hemorrhage and perforation, without mention of obstruction",
    "534": "Gastrojejunal ulcer",
    "53461": "Chronic or unspecified gastrojejunal ulcer with hemorrhage and perforation, with obstruction",
    "53649": "Other gastrostomy complications",
    "5373": "Other obstruction of duodenum",
    "538": "Gastrointestinal mucositis (ulcerative)",
    "5400": "Acute appendicitis with generalized peritonitis",
    "5409": "Acute appendicitis without mention of peritonitis",
    "542": "Other appendicitis",
    "55012": "Inguinal hernia, with obstruction, without mention of gangrene, bilateral (not specified as recurrent)",
    "55093": "Inguinal hernia, without mention of obstruction or gangrene, bilateral, recurrent",
    "5519": "Hernia of unspecified site, with gangrene",
    "5566": "Universal ulcerative (chronic) colitis",
    "25080": "Diabetes with other specified manifestations, type II or unspecified type, not stated as uncontrolled",
    "2512": "Hypoglycemia, unspecified",
    "252": "Disorders of parathyroid gland",
    "254": "Diseases of thymus gland",
    "25541": "Glucocorticoid deficiency",
    "257": "Testicular dysfunction",
    "2590": "Delay in sexual development and puberty, not elsewhere classified",
    "2638": "Other protein-calorie malnutrition",
    "2706": "Disorders of urea cycle metabolism",
    "271": "Disorders of carbohydrate transport and metabolism",
    "2767": "Hyperpotassemia",
    "27786": "Peroxisomal disorders",
    "2799": "Unspecified disorder of immune mechanism",
    "281": "Other deficiency anemias",
    "2812": "Folate-deficiency anemia",
    "2818": "Anemia associated with other specified nutritional deficiency",
    "28246": "Thalassemia minor",
    "28260": "Sickle-cell disease, unspecified",
    "2827": "Other hemoglobinopathies",
    "2840": "Constitutional aplastic anemia",
    "28521": "Anemia in chronic kidney disease",
    "28659": "Other hemorrhagic disorder due to intrinsic circulating anticoagulants, antibodies, or inhibitors",
    "28733": "Congenital and hereditary thrombocytopenic purpura",
    "2874": "Secondary thrombocytopenia",
    "2882": "Genetic anomalies of leukocytes",
    "28865": "Basophilia",
    "2891": "Chronic lymphadenitis",
    "2895": "Other diseases of spleen",
    "2897": "Methemoglobinemia",
    "2899": "Unspecified diseases of blood and blood-forming organs",
    "2903": "Senile dementia with delirium",
    "2904": "Vascular dementia",
    "2919": "Unspecified alcohol-induced mental disorders",
    "292": "Drug-induced mental disorders",
    "29283": "Drug-induced persisting amnestic disorder",
    "29420": "Dementia, unspecified, without behavioral disturbance",
    "2951": "Disorganized type schizophrenia",
    "29580": "Other specified types of schizophrenia, unspecified",
    "29583": "Other specified types of schizophrenia, subchronic with acute exacerbation",
    "29604": "Bipolar I disorder, single manic episode, severe, specified as with psychotic behavior",
    "29614": "Manic affective disorder, recurrent episode, severe, specified as with psychotic behavior",
    "29630": "Major depressive affective disorder, recurrent episode, unspecified",
    "29632": "Major depressive affective disorder, recurrent episode, moderate",
    "2964": "Bipolar I disorder, most recent episode (or current) manic",
    "29653": "Bipolar I disorder, most recent episode (or current) depressed, severe, without mention of psychotic behavior",
    "52405": "Major anomalies of jaw size, macrogenia",
    "5241": "Anomalies of relationship of jaw to cranial base",
    "52429": "Other anomalies of dental arch relationship",
    "52450": "Dentofacial functional abnormality, unspecified",
    "52460": "Temporomandibular joint disorders, unspecified",
    "52543": "Complete edentulism, class III",
    "52573": "Post-osseointegration mechanical failure of dental implant",
    "52663": "Endodontic underfill",
    "5299": "Unspecified condition of the tongue",
    "53083": "Esophageal leukoplakia",
    "53086": "Infection of esophagostomy",
    "5315": "Chronic or unspecified gastric ulcer with perforation",
    "53151": "Chronic or unspecified gastric ulcer with perforation, with obstruction",
    "53250": "Chronic or unspecified duodenal ulcer with perforation, without mention of obstruction",
    "5343": "Acute gastrojejunal ulcer without mention of hemorrhage or perforation",
    "5346": "Chronic or unspecified gastrojejunal ulcer with hemorrhage and perforation",
    "53471": "Chronic gastrojejunal ulcer without mention of hemorrhage or perforation, with obstruction",
    "53521": "Gastric mucosal hypertrophy, with hemorrhage",
    "5361": "Acute dilatation of stomach",
    "5378": "Other specified disorders of stomach and duodenum",
    "53781": "Pylorospasm",
    "540": "Acute appendicitis",
    "55001": "Inguinal hernia, with gangrene, unilateral or unspecified, recurrent",
    "5533": "Diaphragmatic hernia without mention of obstruction or gangrene",
    "5561": "Ulcerative (chronic) ileocolitis",
    "5582": "Toxic gastroenteritis and colitis",
    "56203": "Diverticulitis of small intestine with hemorrhage",
    "5640": "Constipation",
    "5670": "Peritonitis in infectious diseases classified elsewhere",
    "5693": "Hemorrhage of rectum and anus",
    "5732": "Hepatitis in other infectious diseases classified elsewhere",
    "5738": "Other specified disorders of liver",
    "5752": "Obstruction of gallbladder",
    "576": "Other disorders of biliary tract",
    "5804": "Acute glomerulonephritis with lesion of rapidly progressive glomerulonephritis",
    "5811": "Nephrotic syndrome with lesion of membranous glomerulonephritis",
    "2758": "Other specified disorders of mineral metabolism",
    "2763": "Alkalosis",
    "2769": "Electrolyte and fluid disorders not elsewhere classified",
    "27902": "Selective IgM immunodeficiency",
    "27919": "Other deficiency of cell-mediated immunity",
    "27952": "Chronic graft-versus-host disease",
    "2820": "Hereditary spherocytosis",
    "2841": "Pancytopenia",
    "28411": "Antineoplastic chemotherapy induced pancytopenia",
    "2842": "Myelophthisis",
    "28481": "Red cell aplasia (acquired)(adult)(with thymoma)",
    "285": "Other and unspecified anemias",
    "2865": "Hemorrhagic disorder due to intrinsic circulating anticoagulants, antibodies, or inhibitors",
    "288": "Diseases of white blood cells",
    "2892": "Nonspecific mesenteric lymphadenitis",
    "28981": "Primary hypercoagulable state",
    "2909": "Unspecified senile psychotic condition",
    "2913": "Alcohol-induced psychotic disorder with hallucinations",
    "29212": "Drug-induced psychotic disorder with hallucinations",
    "29383": "Mood disorder in conditions classified elsewhere",
    "2950": "Simple type schizophrenia",
    "29504": "Simple type schizophrenia, chronic with acute exacerbation",
    "29513": "Disorganized type schizophrenia, subchronic with acute exacerbation",
    "29524": "Catatonic type schizophrenia, chronic with acute exacerbation",
    "29561": "Schizophrenic disorders, residual type, subchronic",
    "E8911": "Fumes from combustion of polyvinylchloride [pvc] and similar material in conflagration in other and unspecified building or structure",
    "E894": "Ignition of highly inflammable material",
    "E895": "Accident caused by controlled fire in private dwelling",
    "E8980": "Accident caused by burning bedclothes",
    "E9001": "Accidents due to excessive heat of man-made origin",
    "E9040": "Accident due to abandonment or neglect of infants and helpless persons",
    "E9092": "Avalanche, landslide, or mudslide",
    "E9102": "Accidental drowning and submersion while engaged in other sport or recreational activity without diving equipment",
    "E9193": "Accidents caused by metalworking machines",
    "E9218": "Accident caused by explosion of other specified pressure vessels",
    "E9228": "Accident caused by other specified firearm missile",
    "E9264": "Exposure to lasers",
    "E9271": "Overexertion from prolonged static position",
    "E9273": "Cumulative trauma from repetitive motion",
    "E9470": "Dietetics causing adverse effects in therapeutic use",
    "E9559": "Suicide and self-inflicted injury by firearms and explosives, unspecified",
    "E957": "Suicide and self-inflicted injuries by jumping from high place",
    "E965": "Assault by firearms and explosives",
    "E9656": "Assault by gasoline bomb",
    "E970": "Injury due to legal intervention by firearms",
    "E9801": "Poisoning by barbiturates, undetermined whether accidentally or purposely inflicted",
    "E9821": "Poisoning by other carbon monoxide, undetermined whether accidentally or purposely inflicted",
    "E9838": "Strangulation or suffocation by other specified means, undetermined whether accidentally or purposely inflicted",
    "E9839": "Strangulation or suffocation by unspecified means, undetermined whether accidentally or purposely inflicted",
    "E984": "Submersion (drowning), undetermined whether accidentally or purposely inflicted",
    "E986": "Injury by cutting and piercing instruments, undetermined whether accidentally or purposely inflicted",
    "E9909": "Injury due to war operations from other and unspecified source",
    "E9922": "Injury due to marine mines",
    "E9951": "Injury due to war operations, struck by blunt object",
    "81251": "Open supracondylar fracture of humerus",
    "81315": "Open fracture of head of radius",
    "81316": "Open fracture of neck of radius",
    "8132": "Fracture of shaft of radius and ulna, closed",
    "8133": "Fracture of shaft of radius and ulna, open",
    "81345": "Torus fracture of radius (alone)",
    "81347": "Torus fracture of radius and ulna",
    "33821": "Chronic pain due to trauma",
    "33829": "Other chronic pain",
    "3420": "Flaccid hemiplegia",
    "34211": "Spastic hemiplegia and hemiparesis affecting dominant side",
    "3429": "Hemiplegia, unspecified",
    "34489": "Other specified paralytic syndrome",
    "345": "Epilepsy and recurrent seizures",
    "34580": "Other forms of epilepsy and recurrent seizures, without mention of intractable epilepsy",
    "34600": "Migraine with aura, without mention of intractable migraine without mention of status migrainosus",
    "34622": "Variants of migraine, not elsewhere classified, without mention of intractable migraine with status migrainosus",
    "34931": "Accidental puncture or laceration of dura during a procedure",
    "34939": "Other dural tear",
    "3540": "Carpal tunnel syndrome",
    "3562": "Hereditary sensory neuropathy",
    "3598": "Other myopathies",
    "35989": "Other myopathies",
    "36013": "Parasitic endophthalmitis NOS",
    "36024": "Other metallosis of globe",
    "36089": "Other disorders of globe",
    "36204": "Mild nonproliferative diabetic retinopathy",
    "3623": "Retinal vascular occlusion",
    "36240": "Retinal layer separation, unspecified",
    "3629": "Unspecified retinal disorder",
    "36322": "Harada's disease",
    "36341": "Senile atrophy of choroid",
    "364": "Disorders of iris and ciliary body",
    "36451": "Essential or progressive iris atrophy",
    "36452": "Iridoschisis",
    "36476": "Iridodialysis",
    "36505": "Open angle with borderline findings, high risk",
    "3651": "Open-angle glaucoma",
    "3654": "Glaucoma associated with congenital anomalies, dystrophies, and systemic syndromes",
    "36583": "Aqueous misdirection",
    "3659": "Unspecified glaucoma",
    "36604": "Nuclear cataract",
    "36623": "Partially resolved traumatic cataract",
    "36653": "After-cataract, obscuring vision",
    "3671": "Myopia",
    "36720": "Astigmatism, unspecified",
    "36753": "Spasm of accommodation",
    "3680": "Amblyopia ex anopsia",
    "3684": "Visual field defects",
    "36861": "Congenital night blindness",
    "36862": "Acquired night blindness",
    "36920": "Moderate or severe impairment, both eyes, impairment level not further specified",
    "36962": "One eye: total vision impairment; other eye: near-normal vision",
    "36965": "One eye: near-total vision impairment; other eye: near-normal vision",
    "36970": "Moderate or severe impairment, one eye, impairment level not further specified",
    "37007": "Mooren's ulcer",
    "37033": "Keratoconjunctivitis sicca, not specified as Sjogren's",
    "37061": "Localized vascularization of cornea",
    "37114": "Kayser-Fleischer ring",
    "37141": "Senile corneal changes",
    "37160": "Keratoconus, unspecified",
    "37331": "Eczematous dermatitis of eyelid",
    "3745": "Degenerative disorders of eyelid and periocular area",
    "37450": "Degenerative disorder of eyelid, unspecified",
    "37451": "Xanthelasma of eyelid",
    "37486": "Retained foreign body of eyelid",
    "37503": "Chronic enlargement of lacrimal gland",
    "3753": "Acute and unspecified inflammation of lacrimal passages",
    "37600": "Acute inflammation of orbit, unspecified",
    "V7189": "Observation and evaluation for other specified suspected conditions",
    "V722": "Dental examination",
    "30009": "Other anxiety states",
    "3009": "Unspecified nonpsychotic mental disorder",
    "30113": "Cyclothymic disorder",
    "30151": "Chronic factitious illness with physical symptoms",
    "3019": "Unspecified personality disorder",
    "30275": "Premature ejaculation",
    "30281": "Fetishism",
    "30390": "Other and unspecified alcohol dependence, unspecified",
    "3041": "Sedative, hypnotic or anxiolytic dependence",
    "30453": "Hallucinogen dependence, in remission",
    "30503": "Alcohol abuse, in remission",
    "3051": "Tobacco use disorder",
    "30540": "Sedative, hypnotic or anxiolytic abuse, unspecified",
    "30563": "Cocaine abuse, in remission",
    "30590": "Other, mixed, or unspecified drug abuse, unspecified",
    "30593": "Other, mixed, or unspecified drug abuse, in remission",
    "30659": "Other genitourinary malfunction arising from mental factors",
    "30747": "Other dysfunctions of sleep stages or arousal from sleep",
    "3076": "Enuresis",
    "31202": "Undersocialized conduct disorder, aggressive type, moderate",
    "313": "Disturbance of emotions specific to childhood and adolescence",
    "3138": "Other or mixed emotional disturbances of childhood or adolescence",
    "V8731": "Contact with and (suspected) exposure to mold",
    "44832022": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44832023": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44832024": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9011": "Retained magnetic metal fragments",
    "44832026": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44832027": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9109": "Twin gestation, unable to determine number of placenta and number of amniotic sacs",
    "0029": "Paratyphoid fever, unspecified",
    "00322": "Salmonella pneumonia",
    "00329": "Other localized salmonella infections",
    "0038": "Other specified salmonella infections",
    "0053": "Food poisoning due to other Clostridia",
    "00589": "Other bacterial food poisoning",
    "0075": "Cyclosporiasis",
    "0090": "Infectious colitis, enteritis, and gastroenteritis",
    "01090": "Primary tuberculous infection, unspecified, unspecified",
    "01106": "Tuberculosis of lung, infiltrative, tubercle bacilli not found bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01114": "Tuberculosis of lung, nodular, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "0112": "Tuberculosis of lung with cavitation",
    "01145": "Tuberculous fibrosis of lung, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01174": "Tuberculous pneumothorax, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01195": "Pulmonary tuberculosis, unspecified, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01206": "Tuberculous pleurisy, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01284": "Other specified respiratory tuberculosis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01311": "Tuberculoma of meninges, bacteriological or histological examination not done",
    "01332": "Tuberculous abscess of brain, bacteriological or histological examination unknown (at present)",
    "01346": "Tuberculoma of spinal cord, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01506": "Tuberculosis of vertebral column, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "29573": "Schizoaffective disorder, subchronic with acute exacerbation",
    "29575": "Schizoaffective disorder, in remission",
    "29584": "Other specified types of schizophrenia, chronic with acute exacerbation",
    "29612": "Manic affective disorder, recurrent episode, moderate",
    "29626": "Major depressive affective disorder, single episode, in full remission",
    "29645": "Bipolar I disorder, most recent episode (or current) manic, in partial or unspecified remission",
    "29666": "Bipolar I disorder, most recent episode (or current) mixed, in full remission",
    "29682": "Atypical depressive disorder",
    "2980": "Depressive type psychosis",
    "2982": "Reactive confusion",
    "2989": "Unspecified psychosis",
    "30000": "Anxiety state, unspecified",
    "30015": "Dissociative disorder or reaction, unspecified",
    "3005": "Neurasthenia",
    "30150": "Histrionic personality disorder, unspecified",
    "30285": "Gender identity disorder in adolescents or adults",
    "303": "Alcohol dependence syndrome",
    "30460": "Other specified drug dependence, unspecified",
    "30461": "Other specified drug dependence, continuous",
    "3047": "Combinations of opioid type drug with any other drug dependence",
    "3056": "Cocaine abuse",
    "30561": "Cocaine abuse, continuous",
    "30581": "Antidepressant type abuse, continuous",
    "30591": "Other, mixed, or unspecified drug abuse, continuous",
    "30752": "Pica",
    "30928": "Adjustment disorder with mixed anxiety and depressed mood",
    "310": "Specific nonpsychotic mental disorders due to brain damage",
    "3133": "Relationship problems specific to childhood and adolescence",
    "31502": "Developmental dyslexia",
    "31532": "Mixed receptive-expressive language disorder",
    "3210": "Cryptococcal meningitis",
    "3214": "Meningitis in sarcoidosis",
    "32701": "Insomnia due to medical condition classified elsewhere",
    "32713": "Recurrent hypersomnia",
    "3272": "Organic sleep apnea",
    "32733": "Circadian rhythm sleep disorder, irregular sleep-wake type",
    "32749": "Other organic parasomnia",
    "33189": "Other cerebral degeneration",
    "3341": "Hereditary spastic paraplegia",
    "3349": "Spinocerebellar disease, unspecified",
    "3350": "Werdnig-Hoffmann disease",
    "33819": "Other acute pain",
    "33903": "Episodic paroxysmal hemicrania",
    "33905": "Short lasting unilateral neuralgiform headache with conjunctival injection and tearing",
    "81612": "Open fracture of distal phalanx or phalanges of hand",
    "8190": "Multiple closed fractures involving both upper limbs, and upper limb with rib(s) and sternum",
    "820": "Fracture of neck of femur",
    "82009": "Other closed transcervical fracture of neck of femur",
    "82012": "Open fracture of midcervical section of neck of femur",
    "82120": "Closed fracture of lower end of femur, unspecified part",
    "8238": "Fracture of unspecified part of tibia and fibula, closed",
    "82390": "Open fracture of unspecified part of tibia alone",
    "82391": "Open fracture of unspecified part of fibula alone",
    "8247": "Trimalleolar fracture, open",
    "8251": "Fracture of calcaneus, open",
    "82532": "Open fracture of navicular [scaphoid], foot",
    "8310": "Closed dislocation of shoulder",
    "8321": "Open dislocation of elbow",
    "83319": "Open dislocation of wrist, other",
    "83812": "Open dislocation of midtarsal (joint)",
    "83904": "Closed dislocation, fourth cervical vertebra",
    "83951": "Open dislocation, coccyx",
    "81412": "Open fracture of lunate [semilunar] bone of wrist",
    "81414": "Open fracture of pisiform bone of wrist",
    "81419": "Open fracture of other bone of wrist",
    "81514": "Open fracture of neck of metacarpal bone(s)",
    "82003": "Closed fracture of base of neck of femur",
    "8210": "Fracture of shaft or unspecified part of femur, closed",
    "82129": "Other closed fracture of lower end of femur",
    "8239": "Fracture of unspecified part of tibia and fibula, open",
    "8252": "Fracture of other tarsal and metatarsal bones, closed",
    "830": "Dislocation of jaw",
    "8301": "Open dislocation of jaw",
    "8311": "Open dislocation of shoulder",
    "83204": "Closed lateral dislocation of elbow",
    "8330": "Closed dislocation of wrist",
    "83304": "Closed dislocation of carpometacarpal (joint)",
    "8351": "Open dislocation of hip",
    "83910": "Open dislocation, cervical vertebra, unspecified",
    "83940": "Closed dislocation, vertebra, unspecified site",
    "83952": "Open dislocation, sacrum",
    "83959": "Open dislocation, vertebra,other",
    "8403": "Infraspinatus (muscle) (tendon) sprain",
    "84213": "Sprain of interphalangeal (joint) of hand",
    "84519": "Other sprain of foot",
    "8473": "Sprain of sacrum",
    "848": "Other and ill-defined sprains and strains",
    "84842": "Sprain of chondrosternal (joint)",
    "85121": "Cortex (cerebral) laceration without mention of open intracranial wound, with no loss of consciousness",
    "85125": "Cortex (cerebral) laceration without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85133": "Cortex (cerebral) laceration with open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85140": "Cerebellar or brain stem contusion without mention of open intracranial wound, unspecified state of consciousness",
    "85141": "Cerebellar or brain stem contusion without mention of open intracranial wound, with no loss of consciousness",
    "85152": "Cerebellar or brain stem contusion with open intracranial wound, with brief [less than one hour] loss of consciousness",
    "85181": "Other and unspecified cerebral laceration and contusion, without mention of open intracranial wound, with no loss of consciousness",
    "8531": "Other and unspecified intracranial hemorrhage following injury with open intracranial wound",
    "85310": "Other and unspecified intracranial hemorrhage following injury with open intracranial wound, unspecified state of consciousness",
    "8602": "Traumatic hemothorax without mention of open wound into thorax",
    "8612": "Lung injury, without mention of open wound into thorax",
    "86221": "Injury to bronchus without mention of open wound into cavity",
    "8629": "Injury to multiple and unspecified intrathoracic organs, with open wound into cavity",
    "86345": "Injury to rectum, without mention of open wound into cavity",
    "86350": "Injury to colon, unspecified site, with open wound into cavity",
    "86359": "Other injury to colon or rectum, with open wound into cavity",
    "86394": "Injury to pancreas, multiple and unspecified sites, with open wound into cavity",
    "8640": "Injury to liver without mention of open wound into cavity",
    "8661": "Injury to kidney with open wound into cavity",
    "8670": "Injury to bladder and urethra, without mention of open wound into cavity",
    "86813": "Injury to other intra-abdominal organs with open wound into cavity, peritoneum",
    "870": "Open wound of ocular adnexa",
    "8709": "Unspecified open wound of ocular adnexa",
    "87202": "Open wound of auditory canal, without mention of complication",
    "8726": "Open wound of other specified parts of ear, without mention of complication",
    "V7260": "Laboratory examination, unspecified",
    "V7269": "Other laboratory examination",
    "V729": "Unspecified examination",
    "44835530": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835531": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835532": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835533": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V746": "Screening examination for yaws",
    "V748": "Screening examination for other specified bacterial and spirochetal diseases",
    "44835536": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835537": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7643": "Screening for malignant neoplasms of skin",
    "V775": "Screening for gout",
    "01514": "Tuberculosis of hip, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01516": "Tuberculosis of hip, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01555": "Tuberculosis of limb bones, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01562": "Tuberculosis of mastoid, bacteriological or histological examination unknown (at present)",
    "01565": "Tuberculosis of mastoid, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01623": "Tuberculosis of ureter, tubercle bacilli found (in sputum) by microscopy",
    "01633": "Tuberculosis of other urinary organs, tubercle bacilli found (in sputum) by microscopy",
    "01645": "Tuberculosis of epididymis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01661": "Tuberculous oophoritis and salpingitis, bacteriological or histological examination not done",
    "01664": "Tuberculous oophoritis and salpingitis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01723": "Tuberculosis of peripheral lymph nodes, tubercle bacilli found (in sputum) by microscopy",
    "01725": "Tuberculosis of peripheral lymph nodes, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01756": "Tuberculosis of thyroid gland, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01880": "Other specified miliary tuberculosis, unspecified",
    "01881": "Other specified miliary tuberculosis, bacteriological or histological examination not done",
    "0238": "Other brucellosis",
    "03283": "Diphtheritic peritonitis",
    "0341": "Scarlet fever",
    "03641": "Meningococcal pericarditis",
    "0383": "Septicemia due to anaerobes",
    "0384": "Septicemia due to other gram-negative organisms",
    "67020": "Puerperal sepsis, unspecified as to episode of care or not applicable",
    "67030": "Puerperal septic thrombophlebitis, unspecified as to episode of care or not applicable",
    "6711": "Varicose veins of vulva and perineum in pregnancy and the puerperium",
    "67302": "Obstetrical air embolism, delivered, with mention of postpartum complication",
    "67311": "Amniotic fluid embolism, delivered, with or without mention of antepartum condition",
    "67322": "Obstetrical blood-clot embolism, delivered, with mention of postpartum complication",
    "67513": "Abscess of breast associated with childbirth, antepartum condition or complication",
    "67520": "Nonpurulent mastitis associated with childbirth, unspecified as to episode of care or not applicable",
    "67524": "Nonpurulent mastitis associated with childbirth, postpartum condition or complication",
    "6763": "Other and unspecified disorder of breast associated with childbirth",
    "67632": "Other and unspecified disorder of breast associated with childbirth, delivered, with mention of postpartum complication",
    "67643": "Failure of lactation, antepartum condition or complication",
    "6802": "Carbuncle and furuncle of trunk",
    "6808": "Carbuncle and furuncle of other specified sites",
    "68600": "Pyoderma, unspecified",
    "692": "Contact dermatitis and other eczema",
    "6920": "Contact dermatitis and other eczema due to detergents",
    "69281": "Dermatitis due to cosmetics",
    "69461": "Benign mucous membrane pemphigoid with ocular involvement",
    "6959": "Unspecified erythematous condition",
    "6962": "Parapsoriasis",
    "70219": "Other seborrheic keratosis",
    "703": "Diseases of nail",
    "7063": "Seborrhea",
    "70707": "Pressure ulcer, heel",
    "7092": "Scar conditions and fibrosis of skin",
    "71123": "Arthropathy in Behcet's syndrome, forearm",
    "71144": "Arthropathy associated with other bacterial diseases, hand",
    "71223": "Chondrocalcinosis, due to pyrophosphate crystals, forearm",
    "8443": "Sprain of tibiofibular (joint) (ligament) superior, of knee",
    "8449": "Sprains and strains of unspecified site of knee and leg",
    "845": "Sprains and strains of ankle and foot",
    "84509": "Other sprains and strains of ankle",
    "8479": "Sprain of unspecified site of back",
    "84840": "Sprain of sternum, unspecified site",
    "85101": "Cortex (cerebral) contusion without mention of open intracranial wound, with no loss of consciousness",
    "85131": "Cortex (cerebral) laceration with open intracranial wound, with no loss of consciousness",
    "85161": "Cerebellar or brain stem laceration without mention of open intracranial wound, with no loss of consciousness",
    "85196": "Other and unspecified cerebral laceration and contusion, with open intracranial wound, with loss of consciousness of unspecified duration",
    "85216": "Subarachnoid hemorrhage following injury with open intracranial wound, with loss of consciousness of unspecified duration",
    "85222": "Subdural hemorrhage following injury without mention of open intracranial wound, with brief [less than one hour] loss of consciousness",
    "85226": "Subdural hemorrhage following injury without mention of open intracranial wound, with loss of consciousness of unspecified duration",
    "85242": "Extradural hemorrhage following injury without mention of open intracranial wound, with brief [less than 1 hour] loss of consciousness",
    "85255": "Extradural hemorrhage following injury with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85405": "Intracranial injury of other and unspecified nature without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "86113": "Laceration of heart with penetration of heart chambers with open wound into thorax",
    "8613": "Lung injury, with open wound into thorax",
    "86222": "Injury to esophagus without mention of open wound into cavity",
    "86346": "Injury to multiple sites in colon and rectum, without mention of open wound into cavity",
    "86353": "Injury to descending [left] colon, with open wound into cavity",
    "86356": "Injury to multiple sites in colon and rectum, with open wound into cavity",
    "86404": "Injury to liver without mention of open wound into cavity, laceration, major",
    "86413": "Injury to liver with open wound into cavity, laceration, moderate",
    "8651": "Injury to spleen with open wound into cavity",
    "8679": "Injury to unspecified pelvic organ, with open wound into cavity",
    "8680": "Injury to other intra-abdominal organs without mention of open wound into cavity",
    "8702": "Laceration of eyelid involving lacrimal passages",
    "8714": "Unspecified laceration of eye",
    "87332": "Open wound of nasal cavity, complicated",
    "87343": "Open wound of lip, without mention of complication",
    "87375": "Open wound of palate, complicated",
    "8748": "Open wound of other and unspecified parts of neck, without mention of complication",
    "8790": "Open wound of breast, without mention of complication",
    "8798": "Open wound(s) (multiple) of unspecified site(s), without mention of complication",
    "88001": "Open wound of scapular region, without mention of complication",
    "88100": "Open wound of forearm, without mention of complication",
    "71510": "Osteoarthrosis, localized, primary, site unspecified",
    "71516": "Osteoarthrosis, localized, primary, lower leg",
    "71580": "Osteoarthrosis involving, or with mention of more than one site, but not specified as generalized, site unspecified",
    "7161": "Traumatic arthropathy",
    "71657": "Unspecified polyarthropathy or polyarthritis, ankle and foot",
    "71686": "Other specified arthropathy, lower leg",
    "7172": "Derangement of posterior horn of medial meniscus",
    "71749": "Other derangement of lateral meniscus",
    "71783": "Old disruption of anterior cruciate ligament",
    "71805": "Articular cartilage disorder, pelvic region and thigh",
    "7181": "Loose body in joint",
    "71839": "Recurrent dislocation of joint, multiple sites",
    "71842": "Contracture of joint, upper arm",
    "87264": "Open wound of cochlea, without mention of complication",
    "87274": "Open wound of cochlea, complicated",
    "37636": "Lateral displacement of globe",
    "37651": "Enophthalmos due to atrophy of orbital tissue",
    "37682": "Myopathy of extraocular muscles",
    "37713": "Optic atrophy associated with retinal dystrophies",
    "37731": "Optic papillitis",
    "37743": "Optic nerve hypoplasia",
    "37751": "Disorders of optic chiasm associated with pituitary neoplasms and disorders",
    "37802": "Monocular esotropia with A pattern",
    "37807": "Alternating esotropia with V pattern",
    "37824": "Intermittent exotropia, alternating",
    "37840": "Heterophoria, unspecified",
    "37843": "Vertical heterophoria",
    "37873": "Strabismus in other neuromuscular disorders",
    "37882": "Spasm of conjugate gaze",
    "37883": "Convergence insufficiency or palsy",
    "379": "Other disorders of eye",
    "3790": "Scleritis and episcleritis",
    "37905": "Scleritis with corneal involvement",
    "37911": "Scleral ectasia",
    "37912": "Staphyloma posticum",
    "37924": "Other vitreous opacities",
    "37959": "Other irregularities of eye movements",
    "380": "Disorders of external ear",
    "38104": "Acute allergic serous otitis media",
    "38202": "Acute suppurative otitis media in diseases classified elsewhere",
    "3823": "Unspecified chronic suppurative otitis media",
    "3840": "Acute myringitis without mention of otitis media",
    "38482": "Atrophic nonflaccid tympanic membrane",
    "38503": "Tympanosclerosis involving tympanic membrane, ear ossicles, and middle ear",
    "38510": "Adhesive middle ear disease, unspecified as to involvement",
    "38600": "Ménière's disease, unspecified",
    "38650": "Labyrinthine dysfunction, unspecified",
    "38656": "Loss of labyrinthine reactivity, bilateral",
    "388": "Other disorders of ear",
    "3883": "Tinnitus",
    "38832": "Objective tinnitus",
    "38870": "Otalgia, unspecified",
    "38905": "Conductive hearing loss, unilateral",
    "38915": "Sensorineural hearing loss, unilateral",
    "3952": "Rheumatic aortic stenosis with insufficiency",
    "3970": "Diseases of tricuspid valve",
    "39890": "Rheumatic heart disease, unspecified",
    "401": "Essential hypertension",
    "40201": "Malignant hypertensive heart disease with heart failure",
    "4030": "Hypertensive chronic kidney disease, malignant",
    "4040": "Hypertensive heart and chronic kidney disease, malignant",
    "40412": "Hypertensive heart and chronic kidney disease, benign, without heart failure and with chronic kidney disease stage V or end stage renal disease",
    "41031": "Acute myocardial infarction of inferoposterior wall, initial episode of care",
    "4131": "Prinzmetal angina",
    "41407": "Coronary atherosclerosis of bypass graft (artery) (vein) of transplanted heart",
    "41419": "Other aneurysm of heart",
    "4219": "Acute endocarditis, unspecified",
    "423": "Other diseases of pericardium",
    "42499": "Other endocarditis, valve unspecified",
    "425": "Cardiomyopathy",
    "4252": "Obscure cardiomyopathy of Africa",
    "4267": "Anomalous atrioventricular excitation",
    "42681": "Lown-Ganong-Levine syndrome",
    "42769": "Other premature beats",
    "42823": "Acute on chronic systolic heart failure",
    "4284": "Combined systolic and diastolic heart failure",
    "4294": "Functional disturbances following cardiac surgery",
    "V7791": "Screening for lipoid disorders",
    "44835541": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V800": "Screening for neurological conditions",
    "44835543": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835544": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V81": "Special screening for cardiovascular, respiratory, and genitourinary diseases",
    "V825": "Screening for chemical poisoning and other contamination",
    "71285": "Other specified crystal arthropathies, pelvic region and thigh",
    "7135": "Arthropathy associated with neurological disorders",
    "7136": "Arthropathy associated with hypersensitivity reaction",
    "71509": "Osteoarthrosis, generalized, multiple sites",
    "71532": "Osteoarthrosis, localized, not specified whether primary or secondary, upper arm",
    "71589": "Osteoarthrosis involving, or with mention of more than one site, but not specified as generalized, multiple sites",
    "71600": "Kaschin-Beck disease, site unspecified",
    "71609": "Kaschin-Beck disease, multiple sites",
    "71617": "Traumatic arthropathy, ankle and foot",
    "71651": "Unspecified polyarthropathy or polyarthritis, shoulder region",
    "71659": "Unspecified polyarthropathy or polyarthritis, multiple sites",
    "7176": "Loose body in knee",
    "7177": "Chondromalacia of patella",
    "71785": "Old disruption of other ligaments of knee",
    "7179": "Unspecified internal derangement of knee",
    "71810": "Loose body in joint, site unspecified",
    "71811": "Loose body in joint, shoulder region",
    "71835": "Recurrent dislocation of joint, pelvic region and thigh",
    "7185": "Ankylosis of joint",
    "7186": "Unspecified intrapelvic protrusion of acetabulum",
    "71890": "Unspecified derangement of joint, site unspecified",
    "71922": "Villonodular synovitis, upper arm",
    "71926": "Villonodular synovitis, lower leg",
    "71938": "Palindromic rheumatism, other specified sites",
    "71944": "Pain in joint, hand",
    "7197": "Difficulty in walking",
    "7233": "Cervicobrachial syndrome (diffuse)",
    "7248": "Other symptoms referable to back",
    "7261": "Rotator cuff syndrome of shoulder and allied disorders",
    "72750": "Rupture of synovium, unspecified",
    "72763": "Nontraumatic rupture of extensor tendons of hand and wrist",
    "7297": "Nontraumatic compartment syndrome",
    "72972": "Nontraumatic compartment syndrome of lower extremity",
    "72982": "Cramp of limb",
    "72931": "Hypertrophy of fat pad, knee",
    "5568": "Other ulcerative colitis",
    "5571": "Chronic vascular insufficiency of intestine",
    "55842": "Eosinophilic colitis",
    "5603": "Impaction of intestine",
    "56081": "Intestinal or peritoneal adhesions with obstruction (postoperative) (postinfection)",
    "5649": "Unspecified functional disorder of intestine",
    "5672": "Other suppurative peritonitis",
    "56729": "Other suppurative peritonitis",
    "56985": "Angiodysplasia of intestine with hemorrhage",
    "57149": "Other chronic hepatitis",
    "572": "Liver abscess and sequelae of chronic liver disease",
    "57440": "Calculus of bile duct with other cholecystitis, without mention of obstruction",
    "578": "Gastrointestinal hemorrhage",
    "58081": "Acute glomerulonephritis in diseases classified elsewhere",
    "585": "Chronic kidney disease (CKD)",
    "5852": "Chronic kidney disease, Stage II (mild)",
    "589": "Small kidney of unknown cause",
    "5891": "Bilateral small kidneys",
    "59373": "Other vesicoureteral reflux with reflux nephropathy NOS",
    "5962": "Vesical fistula, not elsewhere classified",
    "59653": "Paralysis of bladder",
    "5966": "Rupture of bladder, nontraumatic",
    "597": "Urethritis, not sexually transmitted, and urethral syndrome",
    "5989": "Urethral stricture, unspecified",
    "5993": "Urethral caruncle",
    "60090": "Hyperplasia of prostate, unspecified, without urinary obstruction and other lower urinary symptoms (LUTS)",
    "6020": "Calculus of prostate",
    "71849": "Contracture of joint, multiple sites",
    "71853": "Ankylosis of joint, forearm",
    "71886": "Other joint derangement, not elsewhere classified, lower leg",
    "71895": "Unspecified derangement of joint, pelvic region and thigh",
    "71897": "Unspecified derangement of joint, ankle and foot",
    "71899": "Unspecified derangement of joint, multiple sites",
    "71907": "Effusion of joint, ankle and foot",
    "7192": "Villonodular synovitis",
    "71931": "Palindromic rheumatism, shoulder region",
    "71968": "Other symptoms referable to joint, other specified sites",
    "71983": "Other specified disorders of joint, forearm",
    "71989": "Other specified disorders of joint, multiple sites",
    "7212": "Thoracic spondylosis without myelopathy",
    "7237": "Ossification of posterior longitudinal ligament in cervical region",
    "72611": "Calcifying tendinitis of shoulder",
    "72662": "Tibial collateral ligament bursitis",
    "72671": "Achilles bursitis or tendinitis",
    "727": "Other disorders of synovium, tendon, and bursa",
    "72812": "Traumatic myositis ossificans",
    "72879": "Other fibromatoses of muscle, ligament, and fascia",
    "72886": "Necrotizing fasciitis",
    "73023": "Unspecified osteomyelitis, forearm",
    "73071": "Osteopathy resulting from poliomyelitis, shoulder region",
    "73090": "Unspecified infection of bone, site unspecified",
    "73092": "Unspecified infection of bone, upper arm",
    "732": "Osteochondropathies",
    "7321": "Juvenile osteochondrosis of hip and pelvis",
    "7334": "Aseptic necrosis of bone",
    "73381": "Malunion of fracture",
    "73390": "Disorder of bone and cartilage, unspecified",
    "734": "Flat foot",
    "7358": "Other acquired deformities of toe",
    "7367": "Other acquired deformities of ankle and foot",
    "73689": "Other acquired deformity of other parts of limb",
    "73720": "Lordosis (acquired) (postural)",
    "73812": "Zygomatic hypoplasia",
    "73819": "Other specified acquired deformity of head",
    "7396": "Nonallopathic lesions, lower extremities",
    "74100": "Spina bifida with hydrocephalus, unspecified region",
    "74101": "Spina bifida with hydrocephalus, cervical region",
    "74253": "Hydromyelia",
    "74306": "Cryptophthalmos",
    "74336": "Congenital anomalies of lens shape",
    "74364": "Specified congenital anomalies of lacrimal gland",
    "74402": "Other anomalies of external ear with impairment of hearing",
    "7441": "Accessory auricle",
    "7444": "Branchial cleft cyst or fistula; preauricular sinus",
    "74443": "Cervical auricle",
    "74512": "Corrected transposition of great vessels",
    "7458": "Other bulbus cordis anomalies and anomalies of cardiac septal closure",
    "7463": "Congenital stenosis of aortic valve",
    "74722": "Atresia and stenosis of aorta",
    "7481": "Other anomalies of nose",
    "74902": "Cleft palate, unilateral, incomplete",
    "7492": "Cleft palate with cleft lip",
    "74920": "Cleft palate with cleft lip, unspecified",
    "5820": "Chronic glomerulonephritis with lesion of proliferative glomerulonephritis",
    "5824": "Chronic glomerulonephritis with lesion of rapidly progressive glomerulonephritis",
    "58289": "Chronic glomerulonephritis with other specified pathological lesion in kidney",
    "5837": "Nephritis and nephropathy, not specified as acute or chronic, with lesion of renal medullary necrosis",
    "5908": "Other pyelonephritis or pyonephrosis, not specified as acute or chronic",
    "5909": "Infection of kidney, unspecified",
    "43311": "Occlusion and stenosis of carotid artery with cerebral infarction",
    "43401": "Cerebral thrombosis with cerebral infarction",
    "4378": "Other ill-defined cerebrovascular disease",
    "44030": "Atherosclerosis of unspecified bypass graft of the extremities",
    "4413": "Abdominal aneurysm, ruptured",
    "4417": "Thoracoabdominal aneurysm, without mention of rupture",
    "4420": "Aneurysm of artery of upper extremity",
    "4430": "Raynaud's syndrome",
    "4465": "Giant cell arteritis",
    "17371": "Basal cell carcinoma of skin of lower limb, including hip",
    "1743": "Malignant neoplasm of lower-inner quadrant of female breast",
    "1746": "Malignant neoplasm of axillary tail of female breast",
    "1748": "Malignant neoplasm of other specified sites of female breast",
    "1760": "Kaposi's sarcoma, skin",
    "179": "Malignant neoplasm of uterus, part unspecified",
    "1801": "Malignant neoplasm of exocervix",
    "1820": "Malignant neoplasm of corpus uteri, except isthmus",
    "1860": "Malignant neoplasm of undescended testis",
    "1874": "Malignant neoplasm of penis, part unspecified",
    "1879": "Malignant neoplasm of male genital organ, site unspecified",
    "1882": "Malignant neoplasm of lateral wall of urinary bladder",
    "1911": "Malignant neoplasm of frontal lobe",
    "1950": "Malignant neoplasm of head, face, and neck",
    "1961": "Secondary and unspecified malignant neoplasm of intrathoracic lymph nodes",
    "1985": "Secondary malignant neoplasm of bone and bone marrow",
    "1986": "Secondary malignant neoplasm of ovary",
    "V8279": "Other genetic screening",
    "V828": "Screening for other specified conditions",
    "44835549": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8381": "Cystic fibrosis gene carrier",
    "6021": "Congestion or hemorrhage of prostate",
    "60820": "Torsion of testis, unspecified",
    "610": "Benign mammary dysplasias",
    "6101": "Diffuse cystic mastopathy",
    "6109": "Benign mammary dysplasia, unspecified",
    "611": "Other disorders of breast",
    "6118": "Other specified disorders of breast",
    "616": "Inflammatory disease of cervix, vagina, and vulva",
    "61650": "Ulceration of vulva, unspecified",
    "6182": "Uterovaginal prolapse, incomplete",
    "61889": "Other specified genital prolapse",
    "6228": "Other specified noninflammatory disorders of cervix",
    "62409": "Other dystrophy of vulva",
    "6261": "Scanty or infrequent menstruation",
    "63410": "Spontaneous abortion, complicated by delayed or excessive hemorrhage, unspecified",
    "63411": "Spontaneous abortion, complicated by delayed or excessive hemorrhage, incomplete",
    "63441": "Spontaneous abortion, complicated by metabolic disorder, incomplete",
    "63572": "Legally induced abortion, with other specified complications, complete",
    "63650": "Illegally induced abortion, complicated by shock, unspecified",
    "63691": "Illegally induced abortion, without mention of complication, incomplete",
    "63771": "Unspecified abortion, with other specified complications, incomplete",
    "6383": "Failed attempted abortion complicated by renal failure",
    "6391": "Delayed or excessive hemorrhage following abortion or ectopic and molar pregnancies",
    "6393": "Kidney failure following abortion and ectopic and molar pregnancies",
    "64000": "Threatened abortion, unspecified as to episode of care or not applicable",
    "64204": "Benign essential hypertension complicating pregnancy, childbirth, and the puerperium, postpartum condition or complication",
    "64223": "Other pre-existing hypertension, complicating pregnancy, childbirth, and the puerperium, antepartum condition or complication",
    "64264": "Eclampsia, postpartum condition or complication",
    "6430": "Mild hyperemesis gravidarum",
    "64603": "Papyraceous fetus, antepartum condition or complication",
    "64614": "Edema or excessive weight gain in pregnancy, without mention of hypertension, postpartum condition or complication",
    "6463": "Recurrent pregnancy loss",
    "64653": "Asymptomatic bacteriuria in pregnancy, antepartum condition or complication",
    "64681": "Other specified complications of pregnancy, delivered, with or without mention of antepartum condition",
    "64730": "Tuberculosis of mother, complicating pregnancy, childbirth, or the puerperium, unspecified as to episode of care or not applicable",
    "64743": "Malaria in the mother, antepartum condition or complication",
    "31389": "Other emotional disturbances of childhood or adolescence",
    "3200": "Hemophilus meningitis",
    "3220": "Nonpyogenic meningitis",
    "3235": "Encephalitis, myelitis, and encephalomyelitis following immunization procedures",
    "32753": "Sleep related bruxism",
    "3278": "Other organic sleep disorders",
    "3300": "Leukodystrophy",
    "3311": "Frontotemporal dementia",
    "3344": "Cerebellar ataxia in diseases classified elsewhere",
    "3351": "Spinal muscular atrophy",
    "3362": "Subacute combined degeneration of spinal cord in diseases classified elsewhere",
    "3363": "Myelopathy in other diseases classified elsewhere",
    "33811": "Acute pain due to trauma",
    "33902": "Chronic cluster headache",
    "34561": "Infantile spasms, with intractable epilepsy",
    "34640": "Menstrual migraine, without mention of intractable migraine without mention of status migrainosus",
    "3468": "Other forms of migraine",
    "34693": "Migraine, unspecified, with intractable migraine, so stated, with status migrainosus",
    "3483": "Encephalopathy, not elsewhere classified",
    "3488": "Other conditions of brain",
    "3501": "Trigeminal neuralgia",
    "59382": "Ureteral fistula",
    "5953": "Trigonitis",
    "5965": "Other functional disorders of bladder",
    "598": "Urethral stricture",
    "5988": "Other specified causes of urethral stricture",
    "59970": "Hematuria, unspecified",
    "6000": "Hypertrophy (benign) of prostate",
    "6060": "Azoospermia",
    "6080": "Seminal vesiculitis",
    "6110": "Inflammatory disease of breast",
    "61179": "Other signs and symptoms in breast",
    "61189": "Other specified disorders of breast",
    "6142": "Salpingitis and oophoritis not specified as acute, subacute, or chronic",
    "6175": "Endometriosis of intestine",
    "61801": "Cystocele, midline",
    "61809": "Other prolapse of vaginal walls without mention of uterine prolapse",
    "6200": "Follicular cyst of ovary",
    "6205": "Torsion of ovary, ovarian pedicle, or fallopian tube",
    "621": "Disorders of uterus, not elsewhere classified",
    "6212": "Hypertrophy of uterus",
    "6220": "Erosion and ectropion of cervix",
    "6227": "Mucous polyp of cervix",
    "6231": "Leukoplakia of vagina",
    "6235": "Leukorrhea, not specified as infective",
    "624": "Noninflammatory disorders of vulva and perineum",
    "6241": "Atrophy of vulva",
    "6253": "Dysmenorrhea",
    "6267": "Postcoital bleeding",
    "6288": "Infertility, female, of other specified origin",
    "6292": "Female genital mutilation status",
    "62920": "Female genital mutilation status, unspecified",
    "62932": "Exposure of implanted vaginal mesh and other prosthetic materials into vagina",
    "6343": "Spontaneous abortion complicated by renal failure",
    "63492": "Spontaneous abortion, without mention of complication, complete",
    "6358": "Legally induced abortion with unspecified complication",
    "63600": "Illegally induced abortion, complicated by genital tract and pelvic infection, unspecified",
    "6367": "Illegally induced abortion with other specified complications",
    "63741": "Unspecified abortion, complicated by metabolic disorder, incomplete",
    "6375": "Unspecified abortion complicated by shock",
    "6377": "Unspecified abortion with other specified complications",
    "6385": "Failed attempted abortion complicated by shock",
    "64110": "Hemorrhage from placenta previa, unspecified as to episode of care or not applicable",
    "6412": "Premature separation of placenta",
    "6419": "Unspecified antepartum hemorrhage",
    "64190": "Unspecified antepartum hemorrhage, unspecified as to episode of care or not applicable",
    "6420": "Benign essential hypertension complicating pregnancy, childbirth, and the puerperium",
    "64301": "Mild hyperemesis gravidarum, delivered, with or without mention of antepartum condition",
    "64323": "Late vomiting of pregnancy, antepartum condition or complication",
    "64501": "Prolonged pregnancy, delivered, with or without mention of antepartum condition",
    "64511": "Post term pregnancy, delivered, with or without mention of antepartum condition",
    "64610": "Edema or excessive weight gain in pregnancy, without mention of hypertension, unspecified as to episode of care or not applicable",
    "64642": "Peripheral neuritis in pregnancy, delivered, with mention of postpartum complication",
    "64650": "Asymptomatic bacteriuria in pregnancy, unspecified as to episode of care or not applicable",
    "64654": "Asymptomatic bacteriuria in pregnancy, postpartum condition or complication",
    "6468": "Other specified complications of pregnancy",
    "6476": "Other viral diseases complicating pregnancy, childbirth, or the puerperium",
    "33912": "Chronic tension type headache",
    "33922": "Chronic post-traumatic headache",
    "33941": "Hemicrania continua",
    "20021": "Burkitt's tumor or lymphoma, lymph nodes of head, face, and neck",
    "2003": "Marginal zone lymphoma",
    "20031": "Marginal zone lymphoma, lymph nodes of head, face, and neck",
    "2014": "Hodgkin's disease, lymphocytic-histiocytic predominance",
    "20143": "Hodgkin's disease, lymphocytic-histiocytic predominance, intra-abdominal lymph nodes",
    "20164": "Hodgkin's disease, mixed cellularity, lymph nodes of axilla and upper limb",
    "20168": "Hodgkin's disease, mixed cellularity, lymph nodes of multiple sites",
    "20172": "Hodgkin's disease, lymphocytic depletion, intrathoracic lymph nodes",
    "20211": "Mycosis fungoides, lymph nodes of head, face, and neck",
    "20232": "Malignant histiocytosis, intrathoracic lymph nodes",
    "20264": "Malignant mast cell tumors, lymph nodes of axilla and upper limb",
    "20290": "Other and unspecified malignant neoplasms of lymphoid and histiocytic tissue, unspecified site, extranodal and solid organ sites",
    "20297": "Other and unspecified malignant neoplasms of lymphoid and histiocytic tissue, spleen",
    "20381": "Other immunoproliferative neoplasms, in remission",
    "20382": "Other immunoproliferative neoplasms, in relapse",
    "20410": "Chronic lymphoid leukemia, without mention of having achieved remission",
    "2052": "Myeloid leukemia, subacute",
    "20610": "Chronic monocytic leukemia, without mention of having achieved remission",
    "20881": "Other leukemia of unspecified cell type, in remission",
    "20942": "Benign carcinoid tumor of the jejunum",
    "20965": "Benign carcinoid tumor of foregut, not otherwise specified",
    "210": "Benign neoplasm of lip, oral cavity, and pharynx",
    "2130": "Benign neoplasm of bones of skull and face",
    "2155": "Other benign neoplasm of connective and other soft tissue of abdomen",
    "2166": "Benign neoplasm of skin of upper limb, including shoulder",
    "222": "Benign neoplasm of male genital organs",
    "2220": "Benign neoplasm of testis",
    "2242": "Benign neoplasm of lacrimal gland",
    "2243": "Benign neoplasm of conjunctiva",
    "2245": "Benign neoplasm of retina",
    "2307": "Carcinoma in situ of other and unspecified parts of intestine",
    "2311": "Carcinoma in situ of trachea",
    "2327": "Carcinoma in situ of skin of lower limb, including hip",
    "2329": "Carcinoma in situ of skin, site unspecified",
    "2365": "Neoplasm of uncertain behavior of prostate",
    "237": "Neoplasm of uncertain behavior of endocrine glands and nervous system",
    "2376": "Neoplasm of uncertain behavior of meninges",
    "2380": "Neoplasm of uncertain behavior of bone and articular cartilage",
    "2387": "Neoplasm of uncertain behavior of other lymphatic and hematopoietic tissues",
    "239": "Neoplasms of unspecified nature",
    "2424": "Thyrotoxicosis from ectopic thyroid nodule",
    "24291": "Thyrotoxicosis without mention of goiter or other cause, with mention of thyrotoxic crisis or storm",
    "2462": "Cyst of thyroid",
    "2494": "Secondary diabetes mellitus with renal manifestations",
    "2500": "Diabetes mellitus without mention of complication",
    "E9973": "Injury due to war operations by weapon of mass destruction [WMD], unspecified",
    "E9980": "Injury due to war operations but occurring after cessation of hostilities by explosion of mines",
    "V027": "Carrier or suspected carrier of gonorrhea",
    "44835402": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835403": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V04": "Need for prophylactic vaccination and inoculation against certain diseases",
    "44835405": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V068": "Need for prophylactic vaccination and inoculation against other combinations of diseases",
    "44835551": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8481": "Genetic susceptibility to multiple endocrine neoplasia [MEN]",
    "V8530": "Body Mass Index 30.0-30.9, adult",
    "44835554": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835555": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835556": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V88": "Acquired absence of other organs and tissue",
    "V9032": "Retained tooth",
    "44835560": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9110": "Triplet gestation, unspecified number of placenta and unspecified number of amniotic sacs",
    "44835562": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835563": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "0010": "Cholera due to vibrio cholerae",
    "0041": "Shigella flexneri",
    "0079": "Unspecified protozoal intestinal disease",
    "00809": "Intestinal infection due to other intestinal E. coli infections",
    "00844": "Intestinal infection due to yersinia enterocolitica",
    "0100": "Primary tuberculous infection",
    "01010": "Tuberculous pleurisy in primary progressive tuberculosis, unspecified",
    "0109": "Primary tuberculous infection, unspecified type",
    "01093": "Primary tuberculous infection, unspecified, tubercle bacilli found (in sputum) by microscopy",
    "01112": "Tuberculosis of lung, nodular, bacteriological or histological examination unknown (at present)",
    "01203": "Tuberculous pleurisy, tubercle bacilli found (in sputum) by microscopy",
    "01213": "Tuberculosis of intrathoracic lymph nodes, tubercle bacilli found (in sputum) by microscopy",
    "01226": "Isolated tracheal or bronchial tuberculosis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01282": "Other specified respiratory tuberculosis, bacteriological or histological examination unknown (at present)",
    "01286": "Other specified respiratory tuberculosis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "013": "Tuberculosis of meninges and central nervous system",
    "01301": "Tuberculous meningitis, bacteriological or histological examination not done",
    "01324": "Tuberculoma of brain, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01326": "Tuberculoma of brain, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01335": "Tuberculous abscess of brain, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "E843": "Fall in, on, or from aircraft",
    "E844": "Other specified air transport accidents",
    "E8494": "Accidents occurring in place for recreation and sport",
    "E8497": "Accidents occurring in residential institution",
    "E8539": "Accidental poisoning by unspecified tranquilizer",
    "E854": "Accidental poisoning by other psychotropic agents",
    "E8589": "Accidental poisoning by unspecified drug",
    "E862": "Accidental poisoning by petroleum products, other solvents and their vapors, not elsewhere classified",
    "E8621": "Accidental poisoning by petroleum fuels and cleaners",
    "E863": "Accidental poisoning by agricultural and horticultural chemical and pharmaceutical preparations other than plant foods and fertilizers",
    "E8634": "Accidental poisoning by other and unspecified insecticides",
    "E8636": "Accidental poisoning by fungicides",
    "99662": "Infection and inflammatory reaction due to other vascular device, implant, and graft",
    "99690": "Complications of unspecified reattached extremity",
    "999": "Complications of medical care, not elsewhere classified",
    "9993": "Other infection due to medical care, not elsewhere classified",
    "9995": "Other serum reaction, not elsewhere classified",
    "E0025": "Activities involving rowing, canoeing, kayaking, rafting and tubing",
    "E0030": "Activities involving ice skating",
    "E0050": "Activities involving dancing",
    "E0109": "Other activity involving other muscle strengthening exercises",
    "E0120": "Activities involving knitting and crocheting",
    "E0190": "Activities involving walking an animal",
    "E8001": "Railway accident involving collision with rolling stock and injuring passenger on railway",
    "E8003": "Railway accident involving collision with rolling stock and injuring pedal cyclist",
    "E8010": "Railway accident involving collision with other object and injuring railway employee",
    "E8012": "Railway accident involving collision with other object and injuring pedestrian",
    "E8018": "Railway accident involving collision with other object and injuring other specified person",
    "75525": "Longitudinal deficiency, radioulnar, complete or partial (with or without distal deficiencies, incomplete)",
    "756": "Other congenital musculoskeletal anomalies",
    "75615": "Fusion of spine (vertebra), congenital",
    "75653": "Osteopoikilosis",
    "7566": "Anomalies of diaphragm",
    "7583": "Autosomal deletion syndromes",
    "7592": "Anomalies of other endocrine glands",
    "7595": "Tuberous sclerosis",
    "7620": "Placenta previa affecting fetus or newborn",
    "7637": "Abnormal uterine contractions affecting fetus or newborn",
    "7638": "Other specified complications of labor and delivery affecting fetus or newborn",
    "76417": "Light-for-dates with signs of fetal malnutrition, 1,750-1,999 grams",
    "76522": "24 completed weeks of gestation",
    "76719": "Other injuries to scalp",
    "7685": "Severe birth asphyxia",
    "7715": "Neonatal infective mastitis",
    "77183": "Bacteremia of newborn",
    "7752": "Neonatal myasthenia gravis",
    "7767": "Transient neonatal neutropenia",
    "77751": "Stage I necrotizing enterocolitis in newborn",
    "7778": "Other specified perinatal disorders of digestive system",
    "7794": "Drug reactions and intoxications specific to newborn",
    "780": "General symptoms",
    "7801": "Hallucinations",
    "78063": "Postvaccination fever",
    "7818": "Neurologic neglect syndrome",
    "78192": "Abnormal posture",
    "784": "Symptoms involving head and neck",
    "7848": "Hemorrhage from throat",
    "7849": "Other symptoms involving head and neck",
    "7856": "Enlargement of lymph nodes",
    "788": "Symptoms involving urinary system",
    "789": "Other symptoms involving abdomen and pelvis",
    "78901": "Abdominal pain, right upper quadrant",
    "78930": "Abdominal or pelvic swelling, mass, or lump, unspecified site",
    "795": "Other and nonspecific abnormal cytological, histological, immunological and DNA test findings",
    "7950": "Abnormal Papanicolaou smear of cervix and cervical HPV",
    "79515": "Vaginal high risk human papillomavirus (HPV) DNA test positive",
    "7998": "Other ill-defined conditions",
    "517": "Lung involvement in conditions classified elsewhere",
    "5171": "Rheumatic pneumonia",
    "51900": "Tracheostomy complication, unspecified",
    "5201": "Supernumerary teeth",
    "52108": "Dental caries of root surface",
    "5217": "Intrinsic posteruptive color changes",
    "52325": "Gingival recession, generalized",
    "5239": "Unspecified gingival and periodontal disease",
    "52426": "Excessive horizontal overlap",
    "52434": "Vertical displacement of teeth",
    "52464": "Temporomandibular joint sounds on opening and/or closing the jaw",
    "52471": "Alveolar maxillary hyperplasia",
    "52475": "Vertical displacement of alveolus and teeth",
    "52523": "Severe atrophy of the mandible",
    "52526": "Severe atrophy of the maxilla",
    "5263": "Central giant cell (reparative) granuloma",
    "52662": "Endodontic overfill",
    "5270": "Atrophy of salivary gland",
    "5283": "Cellulitis and abscess of oral soft tissues",
    "53089": "Other specified disorders of esophagus",
    "53141": "Chronic or unspecified gastric ulcer with hemorrhage, with obstruction",
    "53171": "Chronic gastric ulcer without mention of hemorrhage or perforation, with obstruction",
    "53211": "Acute duodenal ulcer with perforation, with obstruction",
    "5333": "Acute peptic ulcer of unspecified site without mention of hemorrhage and perforation",
    "5347": "Chronic gastrojejunal ulcer without mention of hemorrhage or perforation",
    "5375": "Gastroptosis",
    "55003": "Inguinal hernia, with gangrene, bilateral, recurrent",
    "5501": "Inguinal hernia, with obstruction, without mention of gangrene",
    "55091": "Inguinal hernia, without mention of obstruction or gangrene, unilateral or unspecified, recurrent",
    "5513": "Diaphragmatic hernia with gangrene",
    "552": "Other hernia of abdominal cavity, with obstruction, but without mention of gangrene",
    "5609": "Unspecified intestinal obstruction",
    "5641": "Irritable bowel syndrome",
    "5647": "Megacolon, other than Hirschsprung's",
    "565": "Anal fissure and fistula",
    "56723": "Spontaneous bacterial peritonitis",
    "56960": "Colostomy and enterostomy complication, unspecified",
    "56971": "Pouchitis",
    "56984": "Angiodysplasia of intestine (without mention of hemorrhage)",
    "5718": "Other chronic nonalcoholic liver disease",
    "5741": "Calculus of gallbladder with other cholecystitis",
    "57421": "Calculus of gallbladder without mention of cholecystitis, with obstruction",
    "57431": "Calculus of bile duct with acute cholecystitis, with obstruction",
    "5810": "Nephrotic syndrome with lesion of proliferative glomerulonephritis",
    "5834": "Nephritis and nephropathy, not specified as acute or chronic, with lesion of rapidly progressive glomerulonephritis",
    "5859": "Chronic kidney disease, unspecified",
    "593": "Other disorders of kidney and ureter",
    "5937": "Vesicoureteral reflux",
    "5963": "Diverticulum of bladder",
    "5980": "Urethral stricture due to infection",
    "59801": "Urethral stricture due to infective diseases classified elsewhere",
    "59960": "Urinary obstruction, unspecified",
    "59982": "Intrinsic (urethral) sphincter deficiency [ISD]",
    "60010": "Nodular prostate without urinary obstruction",
    "6011": "Chronic prostatitis",
    "6014": "Prostatitis in diseases classified elsewhere",
    "6039": "Hydrocele, unspecified",
    "6078": "Other specified disorders of penis",
    "6083": "Atrophy of testis",
    "6084": "Other inflammatory disorders of male genital organs",
    "71952": "Stiffness of joint, not elsewhere classified, upper arm",
    "71960": "Other symptoms referable to joint, site unspecified",
    "71964": "Other symptoms referable to joint, hand",
    "71992": "Unspecified disorder of joint, upper arm",
    "7210": "Cervical spondylosis without myelopathy",
    "7222": "Displacement of intervertebral disc, site unspecified, without myelopathy",
    "72230": "Schmorl's nodes, unspecified region",
    "72232": "Schmorl's nodes, lumbar region",
    "72272": "Intervertebral disc disorder with myelopathy, thoracic region",
    "72280": "Postlaminectomy syndrome, unspecified region",
    "7232": "Cervicocranial syndrome",
    "7244": "Thoracic or lumbosacral neuritis or radiculitis, unspecified",
    "72639": "Other enthesopathy of elbow region",
    "7264": "Enthesopathy of wrist and carpus",
    "72705": "Other tenosynovitis of hand and wrist",
    "7275": "Rupture of synovium",
    "72768": "Nontraumatic rupture of other tendons of foot and ankle",
    "728": "Disorders of muscle, ligament, and fascia",
    "7280": "Infective myositis",
    "7284": "Laxity of ligament",
    "7287": "Other fibromatoses of muscle, ligament, and fascia",
    "72885": "Spasm of muscle",
    "7298": "Other musculoskeletal symptoms referable to limbs",
    "72992": "Nontraumatic hematoma of soft tissue",
    "73002": "Acute osteomyelitis, upper arm",
    "73003": "Acute osteomyelitis, forearm",
    "73008": "Acute osteomyelitis, other specified sites",
    "73017": "Chronic osteomyelitis, ankle and foot",
    "73029": "Unspecified osteomyelitis, multiple sites",
    "73035": "Periostitis, without mention of osteomyelitis, pelvic region and thigh",
    "73072": "Osteopathy resulting from poliomyelitis, upper arm",
    "73313": "Pathologic fracture of vertebrae",
    "1984": "Secondary malignant neoplasm of other parts of nervous system",
    "199": "Malignant neoplasm without specification of site",
    "20000": "Reticulosarcoma, unspecified site, extranodal and solid organ sites",
    "20007": "Reticulosarcoma, spleen",
    "2002": "Burkitt's tumor or lymphoma",
    "20060": "Anaplastic large cell lymphoma, unspecified site, extranodal and solid organ sites",
    "20063": "Anaplastic large cell lymphoma, intra-abdominal lymph nodes",
    "20077": "Large cell lymphoma, spleen",
    "20081": "Other named variants of lymphosarcoma and reticulosarcoma, lymph nodes of head, face, and neck",
    "20105": "Hodgkin's paragranuloma, lymph nodes of inguinal region and lower limb",
    "20117": "Hodgkin's granuloma, spleen",
    "20144": "Hodgkin's disease, lymphocytic-histiocytic predominance, lymph nodes of axilla and upper limb",
    "20155": "Hodgkin's disease, nodular sclerosis, lymph nodes of inguinal region and lower limb",
    "20165": "Hodgkin's disease, mixed cellularity, lymph nodes of inguinal region and lower limb",
    "20196": "Hodgkin's disease, unspecified type, intrapelvic lymph nodes",
    "202": "Other malignant neoplasms of lymphoid and histiocytic tissue",
    "20200": "Nodular lymphoma, unspecified site, extranodal and solid organ sites",
    "20212": "Mycosis fungoides, intrathoracic lymph nodes",
    "20227": "Sezary's disease, spleen",
    "20254": "Letterer-siwe disease, lymph nodes of axilla and upper limb",
    "20261": "Malignant mast cell tumors, lymph nodes of head, face, and neck",
    "20270": "Peripheral T cell lymphoma, unspecified site, extranodal and solid organ sites",
    "20272": "Peripheral T cell lymphoma, intrathoracic lymph nodes",
    "20277": "Peripheral T cell lymphoma, spleen",
    "20291": "Other and unspecified malignant neoplasms of lymphoid and histiocytic tissue, lymph nodes of head, face, and neck",
    "2030": "Multiple myeloma",
    "80021": "Closed fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with no loss of consciousness",
    "80066": "Open fracture of vault of skull with cerebral laceration and contusion, with loss of consciousness of unspecified duration",
    "80110": "Closed fracture of base of skull with cerebral laceration and contusion, unspecified state of consciousness",
    "80114": "Closed fracture of base of skull with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80152": "Open fracture of base of skull without mention of intracranial injury, with brief [less than one hour] loss of consciousness",
    "8016": "Open fracture of base of skull with cerebral laceration and contusion",
    "80172": "Open fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with brief [less than one hour] loss of consciousness",
    "80179": "Open fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with concussion, unspecified",
    "80182": "Open fracture of base of skull with other and unspecified intracranial hemorrhage, with brief [less than one hour] loss of consciousness",
    "80194": "Open fracture of base of skull with intracranial injury of other and unspecified nature, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "8020": "Closed fracture of nasal bones",
    "80220": "Closed fracture of mandible, unspecified site",
    "80224": "Closed fracture of mandible, ramus, unspecified",
    "8025": "Open fracture of malar and maxillary bones",
    "80300": "Other closed skull fracture without mention of intracranial injury, unspecified state of consciousness",
    "80305": "Other closed skull fracture without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "64780": "Other specified infectious and parasitic diseases of mother, unspecified as to episode of care or not applicable",
    "648": "Other current conditions in the mother classifiable elsewhere, but complicating pregnancy, childbirth, or the puerperium",
    "64833": "Drug dependence of mother, antepartum condition or complication",
    "64853": "Congenital cardiovascular disorders of mother, antepartum condition or complication",
    "64891": "Other current conditions classifiable elsewhere of mother, delivered, with or without mention of antepartum condition",
    "6491": "Obesity complicating pregnancy, childbirth, or the puerperium",
    "64981": "Onset (spontaneous) of labor after 37 completed weeks of gestation but before 39 completed weeks gestation, with delivery by (planned) cesarean section, delivered, with or without mention of antepartum condition",
    "65140": "Triplet pregnancy with fetal loss and retention of one or more fetus(es), unspecified as to episode of care or not applicable",
    "65161": "Other multiple pregnancy with fetal loss and retention of one or more fetus(es), delivered, with or without mention of antepartum condition",
    "65171": "Multiple gestation following (elective) fetal reduction,delivered, with or without mention of antepartum condition",
    "65180": "Other specified multiple gestation, unspecified as to episode of care or not applicable",
    "6520": "Unstable lie of fetus",
    "6526": "Multiple gestation with malpresentation of one fetus or more",
    "65273": "Prolapsed arm of fetus, antepartum condition or complication",
    "65303": "Major abnormality of bony pelvis, not further specified, antepartum condition or complication",
    "65391": "Unspecified disproportion, delivered, with or without mention of antepartum condition",
    "65402": "Congenital abnormalities of uterus, delivered, with mention of postpartum complication",
    "65414": "Tumors of body of uterus, postpartum condition or complication",
    "65481": "Congenital or acquired abnormality of vulva, delivered, with or without mention of antepartum condition",
    "6549": "Other and unspecified abnormality of organs and soft tissues of pelvis complicating pregnancy, childbirth, and the puerperium",
    "614": "Inflammatory disease of ovary, fallopian tube, pelvic cellular tissue, and peritoneum",
    "6159": "Unspecified inflammatory disease of uterus",
    "6161": "Vaginitis and vulvovaginitis",
    "61881": "Incompetence or weakening of pubocervical tissue",
    "V5416": "Aftercare for healing traumatic fracture of lower leg",
    "V5422": "Aftercare for healing pathologic fracture of lower arm",
    "20300": "Multiple myeloma, without mention of having achieved remission",
    "2042": "Lymphoid leukemia, subacute",
    "20421": "Subacute lymphoid leukemia, in remission",
    "20482": "Other lymphoid leukemia, in relapse",
    "20600": "Acute monocytic leukemia, without mention of having achieved remission",
    "20682": "Other monocytic leukemia, in relapse",
    "20701": "Acute erythremia and erythroleukemia, in remission",
    "2072": "Megakaryocytic leukemia",
    "20782": "Other specified leukemia, in relapse",
    "20802": "Acute leukemia of unspecified cell type, in relapse",
    "20812": "Chronic leukemia of unspecified cell type, in relapse",
    "20967": "Benign carcinoid tumor of hindgut, not otherwise specified",
    "2105": "Benign neoplasm of tonsil",
    "2109": "Benign neoplasm of pharynx, unspecified",
    "2131": "Benign neoplasm of lower jaw bone",
    "214": "Lipoma",
    "215": "Other benign neoplasm of connective and other soft tissue",
    "2164": "Benign neoplasm of scalp and skin of neck",
    "2252": "Benign neoplasm of cerebral meninges",
    "22801": "Hemangioma of skin and subcutaneous tissue",
    "22802": "Hemangioma of intracranial structures",
    "232": "Carcinoma in situ of skin",
    "2333": "Carcinoma in situ of other and unspecified female genital organs",
    "2349": "Carcinoma in situ, site unspecified",
    "2371": "Neoplasm of uncertain behavior of pineal gland",
    "23871": "Essential thrombocythemia",
    "2388": "Neoplasm of uncertain behavior of other specified sites",
    "246": "Other disorders of thyroid",
    "2461": "Dyshormonogenic goiter",
    "24940": "Secondary diabetes mellitus with renal manifestations, not stated as uncontrolled, or unspecified",
    "250": "Diabetes mellitus",
    "25062": "Diabetes with neurological manifestations, type II or unspecified type, uncontrolled",
    "25072": "Diabetes with peripheral circulatory disorders, type II or unspecified type, uncontrolled",
    "25083": "Diabetes with other specified manifestations, type I [juvenile type], uncontrolled",
    "2510": "Hypoglycemic coma",
    "2519": "Unspecified disorder of pancreatic internal secretion",
    "253": "Disorders of the pituitary gland and its hypothalamic control",
    "V5411": "Aftercare for healing traumatic fracture of upper arm",
    "V5489": "Other orthopedic aftercare",
    "44834302": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834303": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834304": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V574": "Care involving orthoptic training",
    "V5781": "Care involving orthotic training",
    "V58": "Encounter for other and unspecified procedures and aftercare",
    "V584": "Other aftercare following surgery",
    "V585": "Orthodontics aftercare",
    "V5878": "Aftercare following surgery of the musculoskeletal system, NEC",
    "44834311": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V595": "Cornea donors",
    "V598": "Donors of other specified organ or tissue",
    "V602": "Inadequate material resources",
    "V604": "No other household member able to render care",
    "V605": "Holiday relief care",
    "V6101": "Family disruption due to family member on military deployment",
    "V6104": "Family disruption due to parent-child estrangement",
    "V6109": "Other family disruption",
    "V620": "Unemployment",
    "44834321": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "71191": "Unspecified infective arthritis, shoulder region",
    "71199": "Unspecified infective arthritis, multiple sites",
    "71219": "Chondrocalcinosis, due to dicalcium phosphate crystals, multiple sites",
    "71286": "Other specified crystal arthropathies, lower leg",
    "71289": "Other specified crystal arthropathies, multiple sites",
    "71298": "Unspecified crystal arthropathy, other specified sites",
    "7143": "Juvenile chronic polyarthritis",
    "71431": "Polyarticular juvenile rheumatoid arthritis, acute",
    "7148": "Other specified inflammatory polyarthropathies",
    "71538": "Osteoarthrosis, localized, not specified whether primary or secondary, other specified sites",
    "71605": "Kaschin-Beck disease, pelvic region and thigh",
    "71616": "Traumatic arthropathy, lower leg",
    "6558": "Other known or suspected fetal abnormality, not elsewhere classified, affecting management of mother",
    "65650": "Poor fetal growth, affecting management of mother, unspecified as to episode of care or not applicable",
    "65683": "Other specified fetal and placental problems, affecting management of mother, antepartum condition or complication",
    "65800": "Oligohydramnios, unspecified as to episode of care or not applicable",
    "65830": "Delayed delivery after artificial rupture of membranes, unspecified as to episode of care or not applicable",
    "66051": "Locked twins, delivered, with or without mention of antepartum condition",
    "6606": "Failed trial of labor, unspecified",
    "66080": "Other causes of obstructed labor, unspecified as to episode of care or not applicable",
    "66081": "Other causes of obstructed labor, delivered, with or without mention of antepartum condition",
    "66201": "Prolonged first stage of labor, delivered, with or without mention of antepartum condition",
    "66383": "Other umbilical cord complications complicating labor and delivery, antepartum condition or complication",
    "6642": "Third-degree perineal laceration during delivery",
    "66454": "Vulvar and perineal hematoma, postpartum condition or complication",
    "66501": "Rupture of uterus before onset of labor, delivered, with or without mention of antepartum condition",
    "6651": "Rupture of uterus during labor",
    "6655": "Other obstetrical injury to pelvic organs",
    "66593": "Unspecified obstetrical trauma, antepartum condition or complication",
    "66604": "Third-stage postpartum hemorrhage, postpartum condition or complication",
    "66702": "Retained placenta without hemorrhage, delivered, with mention of postpartum complication",
    "66910": "Shock during or following labor and delivery, unspecified as to episode of care or not applicable",
    "66944": "Other complications of obstetrical surgery and procedures, postpartum condition or complication",
    "6698": "Other complications of labor and delivery",
    "67010": "Puerperal endometritis, unspecified as to episode of care or not applicable",
    "67024": "Puerperal sepsis, postpartum condition or complication",
    "67102": "Varicose veins of legs complicating pregnancy and the puerperium, delivered, with mention of postpartum complication",
    "67121": "Superficial thrombophlebitis complicating pregnancy and the puerperium, delivered, with or without mention of antepartum condition",
    "67300": "Obstetrical air embolism, unspecified as to episode of care or not applicable",
    "67313": "Amniotic fluid embolism, antepartum condition or complication",
    "2953": "Paranoid type schizophrenia",
    "29541": "Schizophreniform disorder, subchronic",
    "29570": "Schizoaffective disorder, unspecified",
    "29623": "Major depressive affective disorder, single episode, severe, without mention of psychotic behavior",
    "29633": "Major depressive affective disorder, recurrent episode, severe, without mention of psychotic behavior",
    "29652": "Bipolar I disorder, most recent episode (or current) depressed, moderate",
    "2972": "Paraphrenia",
    "2984": "Psychogenic paranoid psychosis",
    "2991": "Childhood disintegrative disorder",
    "2999": "Unspecified pervasive developmental disorder",
    "3006": "Depersonalization disorder",
    "30082": "Undifferentiated somatoform disorder",
    "30120": "Schizoid personality disorder, unspecified",
    "3014": "Obsessive-compulsive personality disorder",
    "3017": "Antisocial personality disorder",
    "3018": "Other personality disorders",
    "30251": "Trans-sexualism with asexual history",
    "30270": "Psychosexual dysfunction, unspecified",
    "30300": "Acute alcoholic intoxication in alcoholism, unspecified",
    "30400": "Opioid type dependence, unspecified",
    "3042": "Cocaine dependence",
    "30433": "Cannabis dependence, in remission",
    "30440": "Amphetamine and other psychostimulant dependence, unspecified",
    "30472": "Combinations of opioid type drug with any other drug dependence, episodic",
    "V5481": "Aftercare following joint replacement",
    "V5482": "Aftercare following explantation of joint prosthesis",
    "44833123": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833124": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833125": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V555": "Attention to cystostomy",
    "V556": "Attention to other artificial opening of urinary tract",
    "44833128": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833129": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V562": "Fitting and adjustment of peritoneal dialysis catheter",
    "V563": "Encounter for adequacy testing for dialysis",
    "44833132": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5831": "Encounter for change or removal of surgical wound dressing",
    "44833134": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833135": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833136": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833137": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833138": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833139": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833140": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6283": "Counseling for perpetrator of physical/sexual abuse",
    "V6285": "Homicidal ideation",
    "44833143": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833144": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833145": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833146": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V654": "Other counseling, not elsewhere classified",
    "V673": "Follow-up examination, following psychotherapy and other treatment for mental disorder",
    "V674": "Follow-up examination, following treatment of healed fracture",
    "V694": "Lack of adequate sleep",
    "V708": "Other specified general medical examinations",
    "V715": "Observation following alleged rape or seduction",
    "V721": "Examination of ears and hearing",
    "V7232": "Encounter for Papanicolaou cervical smear to confirm findings of recent normal smear following initial abnormal smear",
    "V728": "Other specified examinations",
    "V736": "Screening examination for trachoma",
    "V761": "Screening examination for malignant neoplasms of the breast",
    "44833159": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833160": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833161": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V774": "Screening for galactosemia",
    "44833163": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833164": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V830": "Hemophilia A carrier",
    "44833166": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8541": "Body Mass Index 40.0-44.9, adult",
    "V8544": "Body Mass Index 60.0-69.9, adult",
    "V8701": "Contact with and (suspected) exposure to arsenic",
    "V8712": "Contact with and (suspected) exposure to benzene",
    "44834322": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834323": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6406": "Vaccination not carried out because of patient refusal",
    "V6443": "Arthroscopic surgical procedure converted to open procedure",
    "44834326": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6546": "Encounter for insulin pump training",
    "44834328": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834329": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V660": "Convalescence following surgery",
    "V665": "Convalescence following other treatment",
    "44834332": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V67": "Follow-up examination",
    "V670": "Follow-up examination following surgery",
    "44834335": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834336": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834337": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834338": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V716": "Observation following other inflicted injury",
    "V72": "Special investigations and examinations",
    "V7211": "Encounter for hearing examination following failed hearing screening",
    "V7286": "Encounter for blood typing",
    "V73": "Special screening examination for viral and chlamydial diseases",
    "V740": "Screening examination for cholera",
    "V749": "Screening examination for unspecified bacterial and spirochetal diseases",
    "V75": "Special screening examination for other infectious diseases",
    "V753": "Screening examination for trypanosomiasis",
    "44834349": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834350": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834352": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834354": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V789": "Screening for unspecified disorder of blood and blood-forming organs",
    "44834356": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V791": "Screening for alcoholism",
    "V8271": "Screening for genetic disease carrier status",
    "44834360": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8489": "Genetic susceptibility to other disease",
    "44834362": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V851": "Body Mass Index between 19-24, adult",
    "V8531": "Body Mass Index 31.0-31.9, adult",
    "V8535": "Body Mass Index 35.0-35.9, adult",
    "V8536": "Body Mass Index 36.0-36.9, adult",
    "71625": "Allergic arthritis, pelvic region and thigh",
    "71629": "Allergic arthritis, multiple sites",
    "71639": "Climacteric arthritis, multiple sites",
    "71646": "Transient arthropathy, lower leg",
    "71681": "Other specified arthropathy, shoulder region",
    "71813": "Loose body in joint, forearm",
    "71836": "Recurrent dislocation of joint, lower leg",
    "71860": "Unspecified intrapelvic protrusion of acetabulum, site unspecified",
    "71880": "Other joint derangement, not elsewhere classified, site unspecified",
    "71914": "Hemarthrosis, hand",
    "71919": "Hemarthrosis, multiple sites",
    "71925": "Villonodular synovitis, pelvic region and thigh",
    "71949": "Pain in joint, multiple sites",
    "71951": "Stiffness of joint, not elsewhere classified, shoulder region",
    "7196": "Other symptoms referable to joint",
    "71966": "Other symptoms referable to joint, lower leg",
    "71978": "Difficulty in walking involving joint of other specified sites",
    "7201": "Spinal enthesopathy",
    "7208": "Other inflammatory spondylopathies",
    "7221": "Displacement of thoracic or lumbar intervertebral disc without myelopathy",
    "7240": "Spinal stenosis, other than cervical",
    "72409": "Spinal stenosis, other region",
    "7249": "Other unspecified back disorders",
    "72672": "Tibialis tendinitis",
    "72690": "Enthesopathy of unspecified site",
    "72691": "Exostosis of unspecified site",
    "72740": "Synovial cyst, unspecified",
    "72751": "Synovial cyst of popliteal space",
    "72769": "Nontraumatic rupture of other tendon",
    "72789": "Other disorders of synovium, tendon, and bursa",
    "7289": "Unspecified disorder of muscle, ligament, and fascia",
    "7294": "Fasciitis, unspecified",
    "73010": "Chronic osteomyelitis, site unspecified",
    "73016": "Chronic osteomyelitis, lower leg",
    "73076": "Osteopathy resulting from poliomyelitis, lower leg",
    "73093": "Unspecified infection of bone, forearm",
    "73094": "Unspecified infection of bone, hand",
    "7331": "Pathologic fracture",
    "73314": "Pathologic fracture of neck of femur",
    "73605": "Wrist drop (acquired)",
    "73629": "Other acquired deformities of finger",
    "7372": "Lordosis (acquired)",
    "7374": "Curvature of spine associated with other conditions",
    "73742": "Lordosis associated with other conditions",
    "74362": "Congenital deformities of eyelids",
    "74442": "Branchial cleft cyst",
    "7450": "Common truncus",
    "7468": "Other specified congenital anomalies of heart",
    "74681": "Subaortic stenosis",
    "7478": "Other specified congenital anomalies of circulatory system",
    "7484": "Congenital cystic lung",
    "74860": "Anomaly of lung, unspecified",
    "75013": "Fissure of tongue",
    "751": "Other congenital anomalies of digestive system",
    "75246": "Transverse vaginal septum",
    "7542": "Congenital musculoskeletal deformities of spine",
    "75459": "Other varus deformities of feet",
    "7546": "Valgus deformities of feet, congenital",
    "30482": "Combinations of drug dependence excluding opioid type drug, episodic",
    "30651": "Psychogenic vaginismus",
    "3069": "Unspecified psychophysiological malfunction",
    "30742": "Persistent disorder of initiating or maintaining sleep",
    "30748": "Repetitive intrusions of sleep",
    "30751": "Bulimia nervosa",
    "30753": "Rumination disorder",
    "30923": "Specific academic or work inhibition",
    "312": "Disturbance of conduct, not elsewhere classified",
    "31223": "Socialized conduct disorder, severe",
    "31235": "Isolated explosive disorder",
    "31281": "Conduct disorder, childhood onset type",
    "3131": "Misery and unhappiness disorder specific to childhood and adolescence",
    "3221": "Eosinophilic meningitis",
    "3232": "Encephalitis, myelitis, and encephalomyelitis in protozoal diseases classified elsewhere",
    "32372": "Toxic myelitis",
    "3271": "Organic disorder of excessive somnolence [Organic hypersomnia]",
    "32721": "Primary central sleep apnea",
    "32725": "Congenital central alveolar hypoventilation syndrome",
    "32736": "Circadian rhythm sleep disorder, shift work type",
    "33111": "Pick's disease",
    "3331": "Essential and other specified forms of tremor",
    "33371": "Athetoid cerebral palsy",
    "33390": "Unspecified extrapyramidal disease and abnormal movement disorder",
    "33393": "Benign shuddering attacks",
    "3359": "Anterior horn cell disease, unspecified",
    "33812": "Acute post-thoracotomy pain",
    "33911": "Episodic tension type headache",
    "33944": "Other complicated headache syndrome",
    "3410": "Neuromyelitis optica",
    "34400": "Quadriplegia, unspecified",
    "34403": "Quadriplegia, C5-C7, complete",
    "3444": "Monoplegia of upper limb",
    "34560": "Infantile spasms, without mention of intractable epilepsy",
    "3457": "Epilepsia partialis continua",
    "34590": "Epilepsy, unspecified, without mention of intractable epilepsy",
    "3460": "Migraine with aura",
    "34613": "Migraine without aura, with intractable migraine, so stated, with status migrainosus",
    "34621": "Variants of migraine, not elsewhere classified, with intractable migraine, so stated, without mention of status migrainosus",
    "3560": "Hereditary peripheral neuropathy",
    "3579": "Unspecified inflammatory and toxic neuropathy",
    "3593": "Periodic paralysis",
    "36012": "Panuveitis",
    "36030": "Hypotony of eye, unspecified",
    "E811": "Motor vehicle traffic accident involving re-entrant collision with another motor vehicle",
    "E8145": "Motor vehicle traffic accident involving collision with pedestrian injuring rider of animal; occupant of animal drawn vehicle",
    "E8146": "Motor vehicle traffic accident involving collision with pedestrian injuring pedal cyclist",
    "V872": "Contact with and (suspected) exposure to other potentially hazardous chemicals",
    "V8743": "Personal history of estrogen therapy",
    "44833173": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8803": "Acquired absence of cervix with remaining uterus",
    "44833175": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9101": "Twin gestation, monochorionic/monoamniotic (one placenta, one amniotic sac)",
    "V9119": "Triplet gestation, unable to determine number of placenta and number of amniotic sacs",
    "44833178": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833179": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833180": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "00323": "Salmonella arthritis",
    "E0001": "Military activity",
    "E0053": "Activities involving trampoline",
    "E0101": "Activity involving push-ups, pull-ups, sit-ups",
    "E0169": "Other activity involving property and land maintenance, building and construction",
    "E0180": "Activities involving piano playing",
    "E0192": "Activities involving grooming and shearing an animal",
    "E0291": "Spectator at an event",
    "E030": "Unspecified activity",
    "E8029": "Railway accident involving derailment without antecedent collision injuring unspecified person",
    "E810": "Motor vehicle traffic accident involving collision with train",
    "E812": "Other motor vehicle traffic accident involving collision with motor vehicle",
    "E817": "Noncollision motor vehicle traffic accident while boarding or alighting",
    "E835": "Other and unspecified fall in water transport",
    "E8505": "Accidental poisoning by pyrazole derivatives",
    "E8529": "Accidental poisoning by unspecified sedative or hypnotic",
    "E855": "Accidental poisoning by other drugs acting on central and autonomic nervous system",
    "E8555": "Accidental poisoning by sympathomimetics [adrenergics]",
    "E857": "Accidental poisoning by other anti-infectives",
    "E8614": "Accidental poisoning by disinfectants",
    "5312": "Acute gastric ulcer with hemorrhage and perforation",
    "5319": "Gastric ulcer, unspecified as acute or chronic, without mention of hemorrhage or perforation",
    "53291": "Duodenal ulcer, unspecified as acute or chronic, without mention of hemorrhage or perforation, with obstruction",
    "E8490": "Home accidents",
    "E8500": "Accidental poisoning by heroin",
    "E8503": "Accidental poisoning by salicylates",
    "E8543": "Accidental poisoning by central nervous system stimulants",
    "E8548": "Accidental poisoning by other psychotropic agents",
    "E8580": "Accidental poisoning by hormones and synthetic substitutes",
    "E8582": "Accidental poisoning by agents primarily affecting blood constituents",
    "E8587": "Accidental poisoning by agents primarily affecting skin and mucous membrane, ophthalmological, otorhinolaryngological, and dental drugs",
    "E8613": "Accidental poisoning by other cleansing and polishing agents",
    "E8642": "Accidental poisoning by caustic alkalis not elsewhere classified",
    "E8662": "Accidental poisoning by antimony and its compounds and fumes",
    "E8718": "Foreign object left in body during other specified procedures",
    "E8725": "Failure of sterile precautions during aspiration of fluid or tissue, puncture, and catheterization",
    "E8759": "Misadventure to patient from unspecified contamination",
    "E876": "Other and unspecified misadventures during medical care",
    "E8763": "Endotracheal tube wrongly placed during anesthetic procedure",
    "E8793": "Shock therapy as the cause of abnormal reaction of patient, or of later complication, without mention of misadventure at time of procedure",
    "E885": "Fall on same level from slipping, tripping, or stumbling",
    "E8851": "Fall from roller skates",
    "E8981": "Accident caused by other burning materials",
    "E899": "Accident caused by unspecified fire",
    "E900": "Accident caused by excessive heat",
    "E903": "Accident caused by travel and motion",
    "E9108": "Other accidental drowning or submersion",
    "E916": "Struck accidentally by falling object",
    "E9176": "Striking against or struck accidentally caused by a crowd, by collective fear or panic with subsequent fall",
    "80372": "Other open skull fracture with subarachnoid, subdural, and extradural hemorrhage, with brief [less than one hour] loss of consciousness",
    "80383": "Other open skull fracture with other and unspecified intracranial hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80429": "Closed fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with concussion, unspecified",
    "80454": "Open fractures involving skull or face with other bones, without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80470": "Open fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, unspecified state of consciousness",
    "80485": "Open fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss consciousness, without return to pre-existing conscious level",
    "E8620": "Accidental poisoning by petroleum solvents",
    "E8622": "Accidental poisoning by lubricating oils",
    "E8631": "Accidental poisoning by insecticides of organophosphorus compounds",
    "E8690": "Accidental poisoning by nitrogen oxides",
    "E8694": "Second hand tobacco smoke",
    "E8710": "Foreign object left in body during surgical operation",
    "E8711": "Foreign object left in body during infusion or transfusion",
    "E8723": "Failure of sterile precautions during injection or vaccination",
    "E8728": "Failure of sterile precautions during other specified procedures",
    "E873": "Failure in dosage",
    "E8732": "Overdose of radiation in therapy",
    "E8739": "Unspecified failure in dosage",
    "E8844": "Accidental fall from bed",
    "E8845": "Accidental fall from other furniture",
    "E8860": "Fall on same level from collision, pushing, or shoving, by or with other person in sports",
    "E9099": "Unspecified cataclysmic earth surface movements and eruptions",
    "E9101": "Accidental drowning and submersion while engaged in other sport or recreational activity with diving equipment",
    "80439": "Closed fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with concussion, unspecified",
    "8044": "Closed fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature",
    "80449": "Closed fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with concussion, unspecified",
    "80452": "Open fractures involving skull or face with other bones, without mention of intracranial injury, with brief [less than one hour] loss of consciousness",
    "80459": "Open fractures involving skull or face with other bones, without mention of intracranial injury, with concussion, unspecified",
    "80460": "Open fractures involving skull or face with other bones, with cerebral laceration and contusion, unspecified state of consciousness",
    "80472": "Open fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with brief [less than one hour] loss of consciousness",
    "80499": "Open fractures involving skull or face with other bones, with intracranial injury of other and unspecified nature, with concussion, unspecified",
    "80600": "Closed fracture of C1-C4 level with unspecified spinal cord injury",
    "80604": "Closed fracture of C1-C4 level with other specified spinal cord injury",
    "8061": "Open fracture of cervical vertebra with spinal cord injury",
    "80629": "Closed fracture of T7-T12 level with other specified spinal cord injury",
    "80671": "Open fracture of sacrum and coccyx with complete cauda equina lesion",
    "80679": "Open fracture of sacrum and coccyx with other spinal cord injury",
    "807": "Fracture of rib(s), sternum, larynx, and trachea",
    "80701": "Closed fracture of one rib",
    "80707": "Closed fracture of seven ribs",
    "80713": "Open fracture of three ribs",
    "8076": "Open fracture of larynx and trachea",
    "8100": "Closed fracture of clavicle",
    "81100": "Closed fracture of scapula, unspecified part",
    "8111": "Open fracture of scapula",
    "81110": "Open fracture of scapula, unspecified part",
    "81241": "Closed supracondylar fracture of humerus",
    "81250": "Open fracture of unspecified part of lower end of humerus",
    "81253": "Open fracture of medial condyle of humerus",
    "81302": "Closed fracture of coronoid process of ulna",
    "8138": "Fracture of unspecified part of radius with ulna, closed",
    "81391": "Open fracture of unspecified part of radius (alone)",
    "814": "Fracture of carpal bone(s)",
    "81403": "Closed fracture of triquetral [cuneiform] bone of wrist",
    "81410": "Open fracture of carpal bone, unspecified",
    "81411": "Open fracture of navicular [scaphoid] bone of wrist",
    "81603": "Closed fracture of multiple sites of phalanx or phalanges of hand",
    "81611": "Open fracture of middle or proximal phalanx or phalanges of hand",
    "53321": "Acute peptic ulcer of unspecified site with hemorrhage and perforation, with obstruction",
    "5354": "Other specified gastritis",
    "53561": "Duodenitis, with hemorrhage",
    "5368": "Dyspepsia and other specified disorders of function of stomach",
    "5371": "Gastric diverticulum",
    "55010": "Inguinal hernia, with obstruction, without mention of gangrene, unilateral or unspecified (not specified as recurrent)",
    "55013": "Inguinal hernia, with obstruction, without mention of gangrene, bilateral, recurrent",
    "55102": "Femoral hernia with gangrene, bilateral (not specified as recurrent)",
    "5512": "Ventral hernia with gangrene",
    "55202": "Femoral hernia with obstruction, bilateral (not specified as recurrent)",
    "5564": "Pseudopolyposis of colon",
    "5565": "Left-sided ulcerative (chronic) colitis",
    "5570": "Acute vascular insufficiency of intestine",
    "56202": "Diverticulosis of small intestine with hemorrhage",
    "56722": "Peritoneal abscess",
    "57142": "Autoimmune hepatitis",
    "5721": "Portal pyemia",
    "5722": "Hepatic encephalopathy",
    "57400": "Calculus of gallbladder with acute cholecystitis, without mention of obstruction",
    "57480": "Calculus of gallbladder and bile duct with acute and chronic cholecystitis, without mention of obstruction",
    "5749": "Calculus of gallbladder and bile duct without cholecystitis",
    "5751": "Other cholecystitis",
    "579": "Intestinal malabsorption",
    "5791": "Tropical sprue",
    "5822": "Chronic glomerulonephritis with lesion of membranoproliferative glomerulonephritis",
    "58281": "Chronic glomerulonephritis in diseases classified elsewhere",
    "5829": "Chronic glomerulonephritis with unspecified pathological lesion in kidney",
    "5846": "Acute kidney failure with lesion of renal cortical necrosis",
    "5847": "Acute kidney failure with lesion of renal medullary [papillary] necrosis",
    "5851": "Chronic kidney disease, Stage I",
    "5855": "Chronic kidney disease, Stage V",
    "5888": "Other specified disorders resulting from impaired renal function",
    "59080": "Pyelonephritis, unspecified",
    "592": "Calculus of kidney and ureter",
    "5948": "Other lower urinary tract calculus",
    "59789": "Other urethritis",
    "6088": "Other specified disorders of male genital organs",
    "6102": "Fibroadenosis of breast",
    "6108": "Other specified benign mammary dysplasias",
    "612": "Deformity and disproportion of reconstructed breast",
    "61610": "Vaginitis and vulvovaginitis, unspecified",
    "61681": "Mucositis (ulcerative) of cervix, vagina, and vulva",
    "61689": "Other inflammatory disease of cervix, vagina and vulva",
    "6170": "Endometriosis of uterus",
    "6172": "Endometriosis of fallopian tube",
    "6176": "Endometriosis in scar of skin",
    "618": "Genital prolapse",
    "6199": "Unspecified fistula involving female genital tract",
    "620": "Noninflammatory disorders of ovary, fallopian tube, and broad ligament",
    "623": "Noninflammatory disorders of vagina",
    "6236": "Vaginal hematoma",
    "632": "Missed abortion",
    "6330": "Abdominal pregnancy",
    "63310": "Tubal pregnancy without intrauterine pregnancy",
    "63510": "Legally induced abortion, complicated by delayed or excessive hemorrhage, unspecified",
    "63512": "Legally induced abortion, complicated by delayed or excessive hemorrhage, complete",
    "63542": "Legally induced abortion, complicated by metabolic disorder, complete",
    "63561": "Legally induced abortion, complicated by embolism, incomplete",
    "636": "Illegally induced abortion",
    "63602": "Illegally induced abortion, complicated by genital tract and pelvic infection, complete",
    "80489": "Open fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with concussion, unspecified",
    "80505": "Closed fracture of fifth cervical vertebra",
    "80506": "Closed fracture of sixth cervical vertebra",
    "80513": "Open fracture of third cervical vertebra",
    "80515": "Open fracture of fifth cervical vertebra",
    "8059": "Open fracture of unspecified vertebral column without mention of spinal cord injury",
    "80617": "Open fracture of C5-C7 level with anterior cord syndrome",
    "80620": "Closed fracture of T1-T6 level with unspecified spinal cord injury",
    "80626": "Closed fracture of T7-T12 level with complete lesion of cord",
    "80627": "Closed fracture of T7-T12 level with anterior cord syndrome",
    "80630": "Open fracture of T1-T6 level with unspecified spinal cord injury",
    "80660": "Closed fracture of sacrum and coccyx with unspecified spinal cord injury",
    "80704": "Closed fracture of four ribs",
    "8071": "Open fracture of rib(s)",
    "8083": "Open fracture of pubis",
    "81012": "Open fracture of shaft of clavicle",
    "812": "Fracture of humerus",
    "81211": "Open fracture of surgical neck of humerus",
    "81220": "Closed fracture of unspecified part of humerus",
    "81244": "Closed fracture of unspecified condyle(s) of humerus",
    "8125": "Fracture of lower end of humerus, open",
    "81254": "Open fracture of unspecified condyle(s) of humerus",
    "81310": "Open fracture of upper end of forearm, unspecified",
    "81322": "Closed fracture of shaft of ulna (alone)",
    "81380": "Closed fracture of unspecified part of forearm",
    "8139": "Fracture of unspecified part of radius with ulna, open",
    "81409": "Closed fracture of other bone of wrist",
    "81509": "Closed fracture of multiple sites of metacarpus",
    "81511": "Open fracture of base of thumb [first] metacarpal",
    "8171": "Multiple open fractures of hand bones",
    "82132": "Open fracture of epiphysis. Lower (separation) of femur",
    "82301": "Closed fracture of upper end of fibula alone",
    "82332": "Open fracture of shaft of fibula with tibia",
    "82341": "Torus fracture, fibula alone",
    "8240": "Fracture of medial malleolus, closed",
    "8246": "Trimalleolar fracture, closed",
    "8249": "Unspecified fracture of ankle, open",
    "82521": "Closed fracture of astragalus",
    "829": "Fracture of unspecified bones",
    "83113": "Open inferior dislocation of humerus",
    "832": "Dislocation of elbow",
    "83201": "Closed anterior dislocation of elbow",
    "83202": "Closed posterior dislocation of elbow",
    "83309": "Closed dislocation of wrist, other",
    "83311": "Open dislocation of radioulnar (joint), distal",
    "83312": "Open dislocation of radiocarpal (joint)",
    "83412": "Open dislocation interphalangeal (joint), hand",
    "836": "Dislocation of knee",
    "8361": "Tear of lateral cartilage or meniscus of knee, current",
    "8366": "Other dislocation of knee, open",
    "83803": "Closed dislocation of tarsometatarsal (joint)",
    "83917": "Open dislocation, seventh cervical vertebra",
    "83921": "Closed dislocation, thoracic vertebra",
    "8394": "Closed dislocation, other vertebra",
    "6742": "Disruption of obstetrical perineal wound",
    "67442": "Placental polyp, delivered, with mention of postpartum complication",
    "6748": "Other complications of the puerperium",
    "67582": "Other specified infections of the breast and nipple associated with childbirth, delivered, with mention of postpartum complication",
    "67592": "Unspecified infection of the breast and nipple associated with childbirth, delivered, with mention of postpartum complication",
    "8191": "Multiple open fractures involving both upper limbs, and upper limb with rib(s) and sternum",
    "82010": "Open fracture of intracapsular section of neck of femur, unspecified",
    "8241": "Fracture of medial malleolus, open",
    "82520": "Closed fracture of unspecified bone(s) of foot [except toes]",
    "82525": "Closed fracture of metatarsal bone(s)",
    "82529": "Other closed fracture of tarsal and metatarsal bones",
    "827": "Other, multiple, and ill-defined fractures of lower limb",
    "83101": "Closed anterior dislocation of humerus",
    "8363": "Dislocation of patella, closed",
    "83650": "Dislocation of knee, unspecified, closed",
    "83905": "Closed dislocation, fifth cervical vertebra",
    "83908": "Closed dislocation, multiple cervical vertebrae",
    "83920": "Closed dislocation, lumbar vertebra",
    "8393": "Open dislocation, thoracic and lumbar vertebra",
    "83969": "Closed dislocation, other location",
    "8401": "Coracoclavicular (ligament) sprain",
    "8402": "Coracohumeral (ligament) sprain",
    "8404": "Rotator cuff (capsule) sprain",
    "84219": "Other sprains and strains of hand",
    "844": "Sprains and strains of knee and leg",
    "8474": "Sprain of coccyx",
    "8510": "Cortex (cerebral) contusion without mention of open intracranial wound",
    "85102": "Cortex (cerebral) contusion without mention of open intracranial wound, with brief [less than one hour] loss of consciousness",
    "61883": "Pelvic muscle wasting",
    "6213": "Endometrial hyperplasia",
    "62133": "Endometrial hyperplasia with atypia",
    "6216": "Malposition of uterus",
    "6240": "Dystrophy of vulva",
    "6258": "Other specified symptoms associated with female genital organs",
    "6266": "Metrorrhagia",
    "6274": "Symptomatic states associated with artificial menopause",
    "62921": "Female genital mutilation Type I status",
    "63320": "Ovarian pregnancy without intrauterine pregnancy",
    "63432": "Spontaneous abortion, complicated by renal failure, complete",
    "63450": "Spontaneous abortion, complicated by shock, unspecified",
    "63461": "Spontaneous abortion, complicated by embolism, incomplete",
    "63500": "Legally induced abortion, complicated by genital tract and pelvic infection, unspecified",
    "6364": "Illegally induced abortion complicated by metabolic disorder",
    "63641": "Illegally induced abortion, complicated by metabolic disorder, incomplete",
    "63791": "Unspecified abortion, without mention of complication, incomplete",
    "64083": "Other specified hemorrhage in early pregnancy, antepartum condition or complication",
    "64121": "Premature separation of placenta, delivered, with or without mention of antepartum condition",
    "64133": "Antepartum hemorrhage associated with coagulation defects, antepartum condition or complication",
    "64221": "Other pre-existing hypertension, complicating pregnancy, childbirth, and the puerperium, delivered, with or without mention of antepartum condition",
    "64224": "Other pre-existing hypertension,complicating pregnancy, childbirth, and the puerperium, , postpartum condition or complication",
    "64230": "Transient hypertension of pregnancy, unspecified as to episode of care or not applicable",
    "64231": "Transient hypertension of pregnancy, delivered , with or without mention of antepartum condition",
    "64623": "Unspecified renal disease in pregnancy, without mention of hypertension, antepartum condition or complication",
    "64640": "Peripheral neuritis in pregnancy, unspecified as to episode of care or not applicable",
    "6467": "Liver and biliary tract disorders in pregnancy",
    "64710": "Gonorrhea of mother, complicating pregnancy, childbirth, or the puerperium, unspecified as to episode of care or not applicable",
    "64724": "Other venereal diseases of mother, complicating pregnancy, childbirth, or the puerperium,postpartum condition or complication",
    "64790": "Unspecified infection or infestation of mother, unspecified as to episode of care or not applicable",
    "6363": "Illegally induced abortion complicated by renal failure",
    "67602": "Retracted nipple associated with childbirth, delivered, with mention of postpartum complication",
    "67603": "Retracted nipple associated with childbirth, antepartum condition or complication",
    "6762": "Engorgement of breasts associated with childbirth",
    "67654": "Suppressed lactation, postpartum condition or complication",
    "67692": "Unspecified disorder of lactation, delivered, with mention of postpartum complication",
    "6791": "Fetal complications from in utero procedure",
    "682": "Other cellulitis and abscess",
    "6850": "Pilonidal cyst with abscess",
    "6921": "Contact dermatitis and other eczema due to oils and greases",
    "6928": "Contact dermatitis and other eczema due to other specified agents",
    "6944": "Pemphigus",
    "697": "Lichen",
    "7019": "Unspecified hypertrophic and atrophic conditions of skin",
    "7020": "Actinic keratosis",
    "7030": "Ingrowing nail",
    "7070": "Pressure ulcer",
    "70714": "Ulcer of heel and midfoot",
    "70721": "Pressure ulcer, stage I",
    "70723": "Pressure ulcer, stage III",
    "7103": "Dermatomyositis",
    "71111": "Arthropathy associated with Reiter's disease and nonspecific urethritis, shoulder region",
    "71115": "Arthropathy associated with Reiter's disease and nonspecific urethritis, pelvic region and thigh",
    "71138": "Postdysenteric arthropathy, other specified sites",
    "71149": "Arthropathy associated with other bacterial diseases, multiple sites",
    "7118": "Arthropathy associated with other infectious and parasitic diseases",
    "71190": "Unspecified infective arthritis, site unspecified",
    "71216": "Chondrocalcinosis, due to dicalcium phosphate crystals, lower leg",
    "71235": "Chondrocalcinosis, unspecified, pelvic region and thigh",
    "713": "Arthropathy associated with other disorders classified elsewhere",
    "71430": "Polyarticular juvenile rheumatoid arthritis, chronic or unspecified",
    "71432": "Pauciarticular juvenile rheumatoid arthritis",
    "71518": "Osteoarthrosis, localized, primary, other specified sites",
    "71520": "Osteoarthrosis, localized, secondary, site unspecified",
    "71523": "Osteoarthrosis, localized, secondary, forearm",
    "71527": "Osteoarthrosis, localized, secondary, ankle and foot",
    "7153": "Osteoarthrosis, localized, not specified whether primary or secondary",
    "71595": "Osteoarthrosis, unspecified whether generalized or localized, pelvic region and thigh",
    "71601": "Kaschin-Beck disease, shoulder region",
    "71608": "Kaschin-Beck disease, other specified sites",
    "71652": "Unspecified polyarthropathy or polyarthritis, upper arm",
    "71656": "Unspecified polyarthropathy or polyarthritis, lower leg",
    "71689": "Other specified arthropathy, multiple sites",
    "71694": "Arthropathy, unspecified, hand",
    "717": "Internal derangement of knee",
    "7178": "Other internal derangement of knee",
    "71821": "Pathological dislocation of joint, shoulder region",
    "71822": "Pathological dislocation of joint, upper arm",
    "71829": "Pathological dislocation of joint, multiple sites",
    "71840": "Contracture of joint, site unspecified",
    "71870": "Developmental dislocation of joint, site unspecified",
    "71872": "Developmental dislocation of joint, upper arm",
    "71876": "Developmental dislocation of joint, lower leg",
    "71879": "Developmental dislocation of joint, multiple sites",
    "71891": "Unspecified derangement of joint, shoulder region",
    "71908": "Effusion of joint, other specified sites",
    "71954": "Stiffness of joint, not elsewhere classified, hand",
    "71955": "Stiffness of joint, not elsewhere classified, pelvic region and thigh",
    "3606": "Retained (old) intraocular foreign body, nonmagnetic",
    "64801": "Diabetes mellitus of mother, complicating pregnancy, childbirth, or the puerperium, delivered, with or without mention of antepartum condition",
    "64844": "Mental disorders of mother, postpartum condition or complication",
    "64850": "Congenital cardiovascular disorders of mother, unspecified as to episode of care or not applicable",
    "64860": "Other cardiovascular diseases of mother, unspecified as to episode of care or not applicable",
    "64894": "Other current conditions classifiable elsewhere of mother, postpartum condition or complication",
    "64911": "Obesity complicating pregnancy, childbirth, or the puerperium, delivered, with or without mention of antepartum condition",
    "64914": "Obesity complicating pregnancy, childbirth, or the puerperium, postpartum condition or complication",
    "64933": "Coagulation defects complicating pregnancy, childbirth, or the puerperium, antepartum condition or complication",
    "64971": "Cervical shortening, delivered, with or without mention of antepartum condition",
    "65110": "Triplet pregnancy, unspecified as to episode of care or not applicable",
    "65123": "Quadruplet pregnancy, antepartum condition or complication",
    "6524": "Face or brow presentation of fetus",
    "65281": "Other specified malposition or malpresentation, delivered, with or without mention of antepartum condition",
    "65343": "Fetopelvic disproportion, antepartum condition or complication",
    "6536": "Hydrocephalic fetus causing disproportion",
    "65433": "Retroverted and incarcerated gravid uterus, antepartum condition or complication",
    "65440": "Other abnormalities in shape or position of gravid uterus and of neighboring structures, unspecified as to episode of care or not applicable",
    "65484": "Congenital or acquired abnormality of vulva, postpartum condition or complication",
    "6565": "Poor fetal growth affecting management of mother",
    "0039": "Salmonella infection, unspecified",
    "0048": "Other specified shigella infections",
    "0050": "Staphylococcal food poisoning",
    "00867": "Enteritis due to enterovirus nec",
    "01132": "Tuberculosis of bronchus, bacteriological or histological examination unknown (at present)",
    "01141": "Tuberculous fibrosis of lung, bacteriological or histological examination not done",
    "01184": "Other specified pulmonary tuberculosis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01236": "Tuberculous laryngitis, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01285": "Other specified respiratory tuberculosis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01300": "Tuberculous meningitis, unspecified",
    "01304": "Tuberculous meningitis, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01305": "Tuberculous meningitis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01345": "Tuberculoma of spinal cord, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01352": "Tuberculous abscess of spinal cord, bacteriological or histological examination unknown (at present)",
    "01365": "Tuberculous encephalitis or myelitis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "0139": "Unspecified tuberculosis of central nervous system",
    "01501": "Tuberculosis of vertebral column, bacteriological or histological examination not done",
    "01511": "Tuberculosis of hip, bacteriological or histological examination not done",
    "01553": "Tuberculosis of limb bones, tubercle bacilli found (in sputum) by microscopy",
    "01560": "Tuberculosis of mastoid, unspecified",
    "01586": "Tuberculosis of other specified joint, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01596": "Tuberculosis of unspecified bones and joints, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "0160": "Tuberculosis of kidney",
    "36107": "Old retinal detachment, total or subtotal",
    "36111": "Flat retinoschisis",
    "36224": "Retinopathy of prematurity, stage 2",
    "36235": "Central retinal vein occlusion",
    "36254": "Macular cyst, hole, or pseudohole",
    "36260": "Peripheral retinal degeneration, unspecified",
    "36262": "Microcystoid degeneration",
    "36277": "Dystrophies primarily involving Bruch's membrane",
    "36283": "Retinal edema",
    "36285": "Retinal nerve fiber bundle defects",
    "3631": "Disseminated chorioretinitis and disseminated retinochoroiditis",
    "36402": "Recurrent iridocyclitis",
    "36506": "Primary angle closure without glaucoma damage",
    "36510": "Open-angle glaucoma, unspecified",
    "36522": "Acute angle-closure glaucoma",
    "36560": "Glaucoma associated with unspecified ocular disorder",
    "36563": "Glaucoma associated with vascular disorders",
    "3661": "Senile cataract",
    "36722": "Irregular astigmatism",
    "36813": "Visual discomfort",
    "36834": "Abnormal retinal correspondence",
    "36846": "Homonymous bilateral field defects",
    "36900": "Profound impairment, both eyes, impairment level not further specified",
    "36901": "Better eye: total vision impairment; lesser eye: total vision impairment",
    "3696": "Profound vision impairment, one eye",
    "36963": "One eye: total vision impairment; other eye: normal vision",
    "36971": "One eye: severe vision impairment; other eye: vision not specified",
    "37005": "Mycotic corneal ulcer",
    "371": "Corneal opacity and other disorders of cornea",
    "37100": "Corneal opacity, unspecified",
    "37116": "Argentous corneal deposits",
    "3715": "Hereditary corneal dystrophies",
    "37156": "Other stromal corneal dystrophies",
    "37173": "Corneal staphyloma",
    "3719": "Unspecified corneal disorder",
    "37200": "Acute conjunctivitis, unspecified",
    "37254": "Conjunctival concretions",
    "3727": "Conjunctival vascular disorders and cysts",
    "37332": "Contact and allergic dermatitis of eyelid",
    "37411": "Senile ectropion",
    "37456": "Other degenerative disorders of skin affecting eyelid",
    "37502": "Chronic dacryoadenitis",
    "37520": "Epiphora, unspecified as to cause",
    "37630": "Exophthalmos, unspecified",
    "37635": "Pulsating exophthalmos",
    "3772": "Other disorders of optic disc",
    "37730": "Optic neuritis, unspecified",
    "37773": "Disorders of visual cortex associated with inflammatory disorders",
    "37775": "Cortical blindness",
    "37814": "Monocular exotropia with other noncomitancies",
    "37817": "Alternating exotropia with V pattern",
    "37907": "Posterior scleritis",
    "37909": "Other scleritis and episcleritis",
    "38081": "Exostosis of external ear canal",
    "38301": "Subperiosteal abscess of mastoid",
    "38320": "Petrositis, unspecified",
    "38333": "Granulations of postmastoidectomy cavity",
    "3838": "Other disorders of mastoid",
    "38424": "Multiple perforations of tympanic membrane",
    "385": "Other disorders of middle ear and mastoid",
    "38500": "Tympanosclerosis, unspecified as to involvement",
    "38509": "Tympanosclerosis involving other combination of structures",
    "38513": "Adhesions of drum head to promontorium",
    "38522": "Impaired mobility of other ear ossicles",
    "38530": "Cholesteatoma, unspecified",
    "38648": "Labyrinthine fistula of combined sites",
    "01601": "Tuberculosis of kidney, bacteriological or histological examination not done",
    "0161": "Tuberculosis of bladder",
    "01614": "Tuberculosis of bladder, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01670": "Tuberculosis of other female genital organs, unspecified",
    "01703": "Tuberculosis of skin and subcutaneous cellular tissue, tubercle bacilli found (in sputum) by microscopy",
    "0171": "Erythema nodosum with hypersensitivity reaction in tuberculosis",
    "01736": "Tuberculosis of eye, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01743": "Tuberculosis of ear, tubercle bacilli found (in sputum) by microscopy",
    "01752": "Tuberculosis of thyroid gland, bacteriological or histological examination unknown (at present)",
    "01770": "Tuberculosis of spleen, unspecified",
    "0178": "Tuberculosis of esophagus",
    "01890": "Miliary tuberculosis, unspecified, unspecified",
    "0204": "Secondary pneumonic plague",
    "0209": "Plague, unspecified",
    "0229": "Anthrax, unspecified",
    "0261": "Streptobacillary fever",
    "0309": "Leprosy, unspecified",
    "03285": "Cutaneous diphtheria",
    "035": "Erysipelas",
    "0364": "Meningococcal carditis",
    "040": "Other bacterial diseases",
    "04101": "Streptococcus infection in conditions classified elsewhere and of unspecified site, streptococcus, group A",
    "04186": "Helicobacter pylori [H. pylori]",
    "0419": "Bacterial infection, unspecified, in conditions classified elsewhere and of unspecified site",
    "0478": "Other specified viral meningitis",
    "0491": "Meningitis due to adenovirus",
    "0502": "Modified smallpox",
    "0510": "Cowpox and vaccinia not from vaccination",
    "05101": "Cowpox",
    "0521": "Varicella (hemorrhagic) pneumonitis",
    "0529": "Varicella without mention of complication",
    "05319": "Herpes zoster with other nervous system complications",
    "05679": "Rubella with other specified complications",
    "E9103": "Accidental drowning and submersion while swimming or diving for purposes other than recreation or sport",
    "E9177": "Striking against or struck accidentally by furniture with subsequent fall",
    "E9190": "Accidents caused by agricultural machines",
    "E9192": "Accidents caused by lifting machines and appliances",
    "E9224": "Accident caused by air gun",
    "E924": "Accident caused by hot substance or object, caustic or corrosive material, and steam",
    "E950": "Suicide and self-inflicted poisoning by solid or liquid substances",
    "E9502": "Suicide and self-inflicted poisoning by other sedatives and hypnotics",
    "E9518": "Suicide and self-inflicted poisoning by other utility gas",
    "E9583": "Suicide and self-inflicted injury by extremes of cold",
    "E9820": "Poisoning by motor vehicle exhaust gas, undetermined whether accidentally or purposely inflicted",
    "E9850": "Injury by handgun, undetermined whether accidentally or purposely inflicted",
    "E9856": "Injury by air gun, undetermined whether accidental or purposely inflicted",
    "69511": "Erythema multiforme minor",
    "69512": "Erythema multiforme major",
    "69550": "Exfoliation due to erythematous condition involving less than 10 percent of body surface",
    "69558": "Exfoliation due to erythematous condition involving 80-89 percent of body surface",
    "6960": "Psoriatic arthropathy",
    "6965": "Other and unspecified pityriasis",
    "6989": "Unspecified pruritic disorder",
    "7012": "Acquired acanthosis nigricans",
    "70400": "Alopecia, unspecified",
    "70522": "Secondary focal hyperhidrosis",
    "70582": "Fox-Fordyce disease",
    "7062": "Sebaceous cyst",
    "70701": "Pressure ulcer, elbow",
    "70724": "Pressure ulcer, stage IV",
    "7089": "Urticaria, unspecified",
    "7105": "Eosinophilia myalgia syndrome",
    "711": "Arthropathy associated with infections",
    "71107": "Pyogenic arthritis, ankle and foot",
    "71112": "Arthropathy associated with Reiter's disease and nonspecific urethritis, upper arm",
    "71129": "Arthropathy in Behcet's syndrome, multiple sites",
    "7115": "Arthropathy associated with other viral diseases",
    "71213": "Chondrocalcinosis, due to dicalcium phosphate crystals, forearm",
    "7150": "Osteoarthrosis, generalized",
    "71514": "Osteoarthrosis, localized, primary, hand",
    "71537": "Osteoarthrosis, localized, not specified whether primary or secondary, ankle and foot",
    "71594": "Osteoarthrosis, unspecified whether generalized or localized, hand",
    "71602": "Kaschin-Beck disease, upper arm",
    "71611": "Traumatic arthropathy, shoulder region",
    "71618": "Traumatic arthropathy, other specified sites",
    "7162": "Allergic arthritis",
    "7163": "Climacteric arthritis",
    "71655": "Unspecified polyarthropathy or polyarthritis, pelvic region and thigh",
    "71663": "Unspecified monoarthritis, forearm",
    "71665": "Unspecified monoarthritis, pelvic region and thigh",
    "4565": "Pelvic varices",
    "457": "Noninfectious disorders of lymphatic channels",
    "45911": "Postphlebetic syndrome with ulcer",
    "45912": "Postphlebetic syndrome with inflammation",
    "45913": "Postphlebetic syndrome with ulcer and inflammation",
    "45931": "Chronic venous hypertension with ulcer",
    "4659": "Acute upper respiratory infections of unspecified site",
    "4730": "Chronic maxillary sinusitis",
    "4824": "Pneumonia due to Staphylococcus",
    "48289": "Pneumonia due to other specified bacteria",
    "4841": "Pneumonia in cytomegalic inclusion disease",
    "49311": "Intrinsic asthma with status asthmaticus",
    "4940": "Bronchiectasis without acute exacerbation",
    "503": "Pneumoconiosis due to other inorganic dust",
    "51289": "Other pneumothorax",
    "51636": "Cryptogenic organizing pneumonia",
    "5165": "Adult pulmonary Langerhans cell histiocytosis",
    "5181": "Interstitial emphysema",
    "51881": "Acute respiratory failure",
    "5192": "Mediastinitis",
    "52111": "Excessive attrition, limited to enamel",
    "52141": "Pathological resorption, internal",
    "5224": "Acute apical periodontitis of pulpal origin",
    "52311": "Chronic gingivitis, non-plaque induced",
    "52321": "Gingival recession, minimal",
    "52324": "Gingival recession, localized",
    "52432": "Excessive spacing of teeth",
    "5245": "Dentofacial functional abnormalities",
    "525": "Other diseases and conditions of the teeth and supporting structures",
    "5250": "Exfoliation of teeth due to systemic causes",
    "3870": "Otosclerosis involving oval window, nonobliterative",
    "38802": "Transient ischemic deafness",
    "38812": "Noise-induced hearing loss",
    "3885": "Disorders of acoustic nerve",
    "38908": "Conductive hearing loss of combined types",
    "E9194": "Accidents caused by woodworking and forming machines",
    "E9202": "Accidents caused by powered household appliances and implements",
    "E9205": "Accidents caused by hypodermic needle",
    "E9231": "Accident caused by blasting materials",
    "E9249": "Accident caused by unspecified hot substance or object",
    "E9288": "Other accidents",
    "E9291": "Late effects of other transport accident",
    "E9529": "Suicide and self-inflicted poisoning by unspecified gases and vapors",
    "E9555": "Suicide and self-inflicted injury by explosives",
    "E9652": "Assault by hunting rifle",
    "E9805": "Poisoning by unspecified drug or medicinal substance, undetermined whether accidentally or purposely inflicted",
    "E9902": "Injury due to war operations from incendiary bullet",
    "E9923": "Injury due to sea-based artillery shell",
    "E9931": "Injury due to war operations by guided missile",
    "E9953": "Injury due to war operations by intentional restriction of air and airway",
    "E9960": "Injury due to war operations by direct blast effect of nuclear weapon",
    "V010": "Contact with or exposure to cholera",
    "V013": "Contact with or exposure to smallpox",
    "V015": "Contact with or exposure to rabies",
    "V0171": "Contact with or exposure to varicella",
    "V025": "Carrier or suspected carrier of other specified bacterial diseases",
    "V029": "Carrier or suspected carrier of other specified infectious organism",
    "44833029": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V03": "Need for prophylactic vaccination and inoculation against bacterial diseases",
    "V036": "Need for prophylactic vaccination and inoculation against pertussis alone",
    "V0489": "Need for prophylactic vaccination and inoculation against other viral diseases",
    "44833033": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833034": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833035": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V063": "Need for prophylactic vaccination and inoculation against diptheria-tetanus- pertussis with poliomyelitis [DTP + polio]",
    "44833037": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V097": "Infection with microorganisms resistant to other specified antimycobacterial agents",
    "V0980": "Infection with microorganisms without mention of resistance to multiple drugs",
    "44833040": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833041": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1000": "Personal history of malignant neoplasm of gastrointestinal tract, unspecified",
    "V1004": "Personal history of malignant neoplasm of stomach",
    "V1005": "Personal history of malignant neoplasm of large intestine",
    "E9917": "Injury due to war operations by fragments from other improvised explosive device [IED]",
    "E9920": "Injury due to torpedo",
    "E993": "Injury due to war operations by other explosion",
    "E9959": "Injury due to war operations by unspecified form of conventional warfare",
    "44834206": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834207": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V043": "Need for prophylactic vaccination and inoculation against rubella alone",
    "44834209": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834210": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834211": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V078": "Other specified prophylactic or treatment measure",
    "44834213": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V096": "Infection with microorganisms resistant to sulfonamides",
    "44834215": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1021": "Personal history of malignant neoplasm of larynx",
    "V1022": "Personal history of malignant neoplasm of nasal cavities, middle ear, and accessory sinuses",
    "V1045": "Personal history of malignant neoplasm of male genital organ, unspecified",
    "44834219": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834220": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834221": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834222": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834223": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834224": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834225": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V13": "Personal history of other diseases",
    "V1381": "Personal history of anaphylaxis",
    "44834228": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834229": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834230": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1508": "Allergy to radiographic dye",
    "V155": "Personal history of injury, presenting hazards to health",
    "V1586": "Personal history of contact with and (suspected) exposure to lead",
    "V1588": "History of fall",
    "44834235": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834236": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834237": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "85104": "Cortex (cerebral) contusion without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85126": "Cortex (cerebral) laceration without mention of open intracranial wound, with loss of consciousness of unspecified duration",
    "85153": "Cerebellar or brain stem contusion with open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85155": "Cerebellar or brain stem contusion with open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85163": "Cerebellar or brain stem laceration without mention of open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85165": "Cerebellar or brain stem laceration without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85186": "Other and unspecified cerebral laceration and contusion, without mention of open intracranial wound, with loss of consciousness of unspecified duration",
    "63651": "Illegally induced abortion, complicated by shock, incomplete",
    "63692": "Illegally induced abortion, without mention of complication, complete",
    "637": "Unspecified abortion",
    "63702": "Unspecified abortion, complicated by genital tract and pelvic infection, complete",
    "639": "Complications following abortion or ectopic and molar pregnancies",
    "6394": "Metabolic disorders following abortion or ectopic and molar pregnancies",
    "6395": "Shock following abortion or ectopic and molar pregnancies",
    "6408": "Other specified hemorrhage in early pregnancy",
    "64080": "Other specified hemorrhage in early pregnancy, unspecified as to episode of care or not applicable",
    "64131": "Antepartum hemorrhage associated with coagulation defects, delivered, with or without mention of antepartum condition",
    "64220": "Other pre-existing hypertension complicating pregnancy, childbirth, and the puerperium, unspecified as to episode of care or not applicable",
    "64242": "Mild or unspecified pre-eclampsia, delivered, with mention of postpartum complication",
    "64290": "Unspecified hypertension complicating pregnancy, childbirth, or the puerperium, unspecified as to episode of care or not applicable",
    "64300": "Mild hyperemesis gravidarum, unspecified as to episode of care or not applicable",
    "64321": "Late vomiting of pregnancy, delivered, with or without mention of antepartum condition",
    "64620": "Unspecified renal disease in pregnancy, without mention of hypertension, unspecified as to episode of care or not applicable",
    "64631": "Recurrent pregnancy loss, delivered, with or without mention of antepartum condition",
    "64660": "Infections of genitourinary tract in pregnancy, unspecified as to episode of care or not applicable",
    "64670": "Liver and biliary tract disorders in pregnancy, unspecified as to episode of care or not applicable",
    "64671": "Liver and biliary tract disorders in pregnancy, delivered, with or without mention of antepartum condition",
    "64751": "Rubella in the mother, delivered, with or without mention of antepartum condition",
    "64761": "Other viral diseases in the mother, delivered, with or without mention of antepartum condition",
    "64800": "Diabetes mellitus of mother, complicating pregnancy, childbirth, or the puerperium, unspecified as to episode of care or not applicable",
    "64854": "Congenital cardiovascular disorders of mother, postpartum condition or complication",
    "6492": "Bariatric surgery status complicating pregnancy, childbirth, or the puerperium",
    "6510": "Twin pregnancy",
    "65113": "Triplet pregnancy, antepartum condition or complication",
    "65131": "Twin pregnancy with fetal loss and retention of one fetus, delivered, with or without mention of antepartum condition",
    "52513": "Loss of teeth due to caries",
    "52524": "Minimal atrophy of the maxilla",
    "52525": "Moderate atrophy of the maxilla",
    "52551": "Partial edentulism, class I",
    "52552": "Partial edentulism, class II",
    "5256": "Unsatisfactory restoration of tooth",
    "526": "Diseases of the jaws",
    "5278": "Other specified diseases of the salivary glands",
    "52879": "Other disturbances of oral epithelium, including tongue",
    "53085": "Barrett's esophagus",
    "5322": "Acute duodenal ulcer with hemorrhage and perforation",
    "5327": "Chronic duodenal ulcer without mention of hemorrhage or perforation",
    "53270": "Chronic duodenal ulcer without mention of hemorrhage or perforation, without mention of obstruction",
    "53351": "Chronic or unspecified peptic ulcer of unspecified site with perforation, with obstruction",
    "5341": "Acute gastrojejunal ulcer with perforation",
    "535": "Gastritis and duodenitis",
    "53571": "Eosinophilic gastritis, with hemorrhage",
    "5360": "Achlorhydria",
    "5376": "Hourglass stricture or stenosis of stomach",
    "5401": "Acute appendicitis with peritoneal abscess",
    "541": "Appendicitis, unqualified",
    "55101": "Femoral hernia with gangrene, unilateral or unspecified, recurrent",
    "55203": "Femoral hernia with obstruction, bilateral, recurrent",
    "555": "Regional enteritis",
    "557": "Vascular insufficiency of intestine",
    "5579": "Unspecified vascular insufficiency of intestine",
    "5584": "Eosinophilic gastroenteritis and colitis",
    "5589": "Other and unspecified noninfectious gastroenteritis and colitis",
    "5601": "Paralytic ileus",
    "56089": "Other specified intestinal obstruction",
    "5645": "Functional diarrhea",
    "5646": "Anal spasm",
    "5651": "Anal fistula",
    "5673": "Retroperitoneal infections",
    "5695": "Abscess of intestine",
    "5728": "Other sequelae of chronic liver disease",
    "5745": "Calculus of bile duct without mention of cholecystitis",
    "5761": "Cholangitis",
    "5762": "Obstruction of bile duct",
    "5770": "Acute pancreatitis",
    "5793": "Other and unspecified postsurgical nonabsorption",
    "580": "Acute glomerulonephritis",
    "11281": "Candidal endocarditis",
    "1162": "Lobomycosis",
    "1224": "Echinococcus granulosus infection, unspecified",
    "1250": "Bancroftian filariasis",
    "1253": "Onchocerciasis",
    "1271": "Anisakiasis",
    "1280": "Toxocariasis",
    "1302": "Chorioretinitis due to toxoplasmosis",
    "1303": "Myocarditis due to toxoplasmosis",
    "13102": "Trichomonal urethritis",
    "1319": "Trichomoniasis, unspecified",
    "1339": "Acariasis, unspecified",
    "1419": "Malignant neoplasm of tongue, unspecified",
    "142": "Malignant neoplasm of major salivary glands",
    "1420": "Malignant neoplasm of parotid gland",
    "143": "Malignant neoplasm of gum",
    "1441": "Malignant neoplasm of lateral portion of floor of mouth",
    "1454": "Malignant neoplasm of uvula",
    "1458": "Malignant neoplasm of other specified parts of mouth",
    "1467": "Malignant neoplasm of posterior wall of oropharynx",
    "1480": "Malignant neoplasm of postcricoid region of hypopharynx",
    "1513": "Malignant neoplasm of fundus of stomach",
    "154": "Malignant neoplasm of rectum, rectosigmoid junction, and anus",
    "156": "Malignant neoplasm of gallbladder and extrahepatic bile ducts",
    "V1051": "Personal history of malignant neoplasm of bladder",
    "V1079": "Personal history of other lymphatic and hematopoietic neoplasms",
    "V1086": "Personal history of malignant neoplasm of other parts of nervous system",
    "44833048": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833049": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833050": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V112": "Personal history of neurosis",
    "V1242": "Personal history of infections of the central nervous system",
    "V1252": "Personal history of thrombophlebitis",
    "V126": "Personal history of diseases of respiratory system",
    "83941": "Closed dislocation, coccyx",
    "8395": "Open dislocation, other vertebra",
    "8399": "Open dislocation, multiple and ill-defined sites",
    "84200": "Sprain of wrist, unspecified site",
    "84210": "Sprain of hand, unspecified site",
    "84212": "Sprain of metacarpophalangeal (joint) of hand",
    "8441": "Sprain of medial collateral ligament of knee",
    "8505": "Concussion with loss of consciousness of unspecified duration",
    "85111": "Cortex (cerebral) contusion with open intracranial wound, with no loss of consciousness",
    "85123": "Cortex (cerebral) laceration without mention of open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85210": "Subarachnoid hemorrhage following injury with open intracranial wound, unspecified state of consciousness",
    "85213": "Subarachnoid hemorrhage following injury with open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85252": "Extradural hemorrhage following injury with open intracranial wound, with brief [less than one hour] loss of consciousness",
    "85309": "Other and unspecified intracranial hemorrhage following injury without mention of open intracranial wound, with concussion, unspecified",
    "85319": "Other and unspecified intracranial hemorrhage following injury with open intracranial wound, with concussion, unspecified",
    "854": "Intracranial injury of other and unspecified nature",
    "85403": "Intracranial injury of other and unspecified nature without mention of open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85406": "Intracranial injury of other and unspecified nature without mention of open intracranial wound, with loss of consciousness of unspecified duration",
    "8600": "Traumatic pneumothorax without mention of open wound into thorax",
    "862": "Injury to other and unspecified intrathoracic organs",
    "8633": "Injury to small intestine with open wound into cavity",
    "86330": "Injury to small intestine, unspecified site, with open wound into cavity",
    "86341": "Injury to ascending [right] colon, without mention of open wound into cavity",
    "86403": "Injury to liver without mention of open wound into cavity, laceration, moderate",
    "86409": "Other injury to liver without mention of open wound into cavity",
    "866": "Injury to kidney",
    "86613": "Injury to kidney with open wound into cavity, complete disruption of kidney parenchyma",
    "86812": "Injury to other intra-abdominal organs with open wound into cavity, bile duct and gallbladder",
    "8700": "Laceration of skin of eyelid and periocular area",
    "8713": "Avulsion of eye",
    "8719": "Unspecified open wound of eyeball",
    "87263": "Open wound of eustachian tube, without mention of complication",
    "8728": "Open wound of ear, part unspecified, without mention of complication",
    "8730": "Open wound of scalp, without mention of complication",
    "87341": "Open wound of cheek, without mention of complication",
    "87351": "Open wound of cheek, complicated",
    "87411": "Open wound of larynx, complicated",
    "8750": "Open wound of chest (wall), without mention of complication",
    "877": "Open wound of buttock",
    "8770": "Open wound of buttock, without mention of complication",
    "8793": "Open wound of abdominal wall, anterior, complicated",
    "85192": "Other and unspecified cerebral laceration and contusion, with open intracranial wound, with brief [less than one hour] loss of consciousness",
    "85199": "Other and unspecified cerebral laceration and contusion, with open intracranial wound, with concussion, unspecified",
    "85224": "Subdural hemorrhage following injury without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85239": "Subdural hemorrhage following injury with open intracranial wound, with concussion, unspecified",
    "853": "Other and unspecified intracranial hemorrhage following injury",
    "85302": "Other and unspecified intracranial hemorrhage following injury without mention of open intracranial wound, with brief [less than one hour] loss of consciousness",
    "85316": "Other and unspecified intracranial hemorrhage following injury with open intracranial wound, with loss of consciousness of unspecified duration",
    "86112": "Laceration of heart without penetration of heart chambers, with open wound into thorax",
    "86383": "Injury to pancreas, tail, without mention of open wound into cavity",
    "8639": "Injury to other and unspecified gastrointestinal sites, with open wound into cavity",
    "86391": "Injury to pancreas, head, with open wound into cavity",
    "86419": "Other injury to liver with open wound into cavity",
    "8701": "Laceration of eyelid, full-thickness, not involving lacrimal passages",
    "872": "Open wound of ear",
    "87271": "Open wound of ear drum, complicated",
    "873": "Other open wound of head",
    "87340": "Open wound of face, unspecified site, without mention of complication",
    "87373": "Open wound of tooth (broken) (fractured) (due to trauma), complicated",
    "8742": "Open wound of thyroid gland, without mention of complication",
    "875": "Open wound of chest (wall)",
    "8782": "Open wound of scrotum and testes, without mention of complication",
    "8786": "Open wound of vagina, without mention of complication",
    "8791": "Open wound of breast, complicated",
    "8795": "Open wound of abdominal wall, lateral, complicated",
    "8796": "Open wound of other and unspecified parts of trunk, without mention of complication",
    "88021": "Open wound of scapular region, with tendon involvement",
    "88022": "Open wound of axillary region, with tendon involvement",
    "8822": "Open wound of hand except finger(s) alone, with tendon involvement",
    "8851": "Traumatic amputation of thumb (complete)(partial), complicated",
    "8860": "Traumatic amputation of other finger(s) (complete) (partial), without mention of complication",
    "8873": "Traumatic amputation of arm and hand (complete) (partial), unilateral, at or above elbow, complicated",
    "892": "Open wound of foot except toe(s) alone",
    "896": "Traumatic amputation of foot (complete) (partial)",
    "8972": "Traumatic amputation of leg(s) (complete) (partial), unilateral, at or above knee, without mention of complication",
    "9012": "Injury to superior vena cava",
    "90241": "Injury to renal artery",
    "90242": "Injury to renal vein",
    "90251": "Injury to hypogastric artery",
    "90255": "Injury to uterine artery",
    "90453": "Injury to posterior tibial artery",
    "9080": "Late effect of internal injury to chest",
    "9101": "Abrasion or friction burn of face, neck, and scalp except eye, infected",
    "9105": "Insect bite, nonvenomous of face, neck, and scalp except eye, infected",
    "9129": "Other and unspecified superficial injury of shoulder and upper arm, infected",
    "658": "Other problems associated with amniotic cavity and membranes",
    "65890": "Unspecified problem associated with amniotic cavity and membranes, unspecified as to episode of care or not applicable",
    "65990": "Unspecified indication for care or intervention related to labor and delivery, unspecified as to episode of care or not applicable",
    "66043": "Shoulder (girdle) dystocia, antepartum condition or complication",
    "66053": "Locked twins, antepartum condition or complication",
    "65143": "Triplet pregnancy with fetal loss and retention of one or more fetus(es), antepartum condition or complication",
    "65190": "Unspecified multiple gestation, unspecified as to episode of care or not applicable",
    "65203": "Unstable lie, antepartum condition or complication",
    "6522": "Breech presentation without mention of version",
    "65233": "Transverse or oblique presentation, antepartum condition or complication",
    "65253": "High head at term, antepartum condition or complication",
    "65261": "Multiple gestation with malpresentation of one fetus or more, delivered, with or without mention of antepartum condition",
    "65280": "Other specified malposition or malpresentation, unspecified as to episode of care or not applicable",
    "65300": "Major abnormality of bony pelvis, not further specified, unspecified as to episode of care or not applicable",
    "65311": "Generally contracted pelvis, delivered, with or without mention of antepartum condition",
    "65341": "Fetopelvic disproportion, delivered, with or without mention of antepartum condition",
    "65371": "Other fetal abnormality causing disproportion, delivered, with or without mention of antepartum condition",
    "6538": "Disproportion of other origin in pregnancy, labor, and delivery",
    "6540": "Congenital abnormalities of uterus complicating pregnancy, childbirth, or the puerperium",
    "65434": "Retroverted and incarcerated gravid uterus, postpartum condition or complication",
    "65454": "Cervical incompetence, postpartum condition or complication",
    "65503": "Central nervous system malformation in fetus, antepartum condition or complication",
    "6560": "Fetal-maternal hemorrhage affecting management of mother",
    "6562": "Isoimmunization from other and unspecified blood-group incompatibility affecting management of mother",
    "1573": "Malignant neoplasm of pancreatic duct",
    "1624": "Malignant neoplasm of middle lobe, bronchus or lung",
    "17321": "Basal cell carcinoma of skin of ear and external auditory canal",
    "17389": "Other specified malignant neoplasm of other specified sites of skin",
    "17391": "Basal cell carcinoma of skin, site unspecified",
    "1872": "Malignant neoplasm of glans penis",
    "1886": "Malignant neoplasm of ureteric orifice",
    "1901": "Malignant neoplasm of orbit",
    "1905": "Malignant neoplasm of retina",
    "1908": "Malignant neoplasm of other specified sites of eye",
    "1955": "Malignant neoplasm of lower limb",
    "1975": "Secondary malignant neoplasm of large intestine and rectum",
    "1976": "Secondary malignant neoplasm of retroperitoneum and peritoneum",
    "1981": "Secondary malignant neoplasm of other urinary organs",
    "19881": "Secondary malignant neoplasm of breast",
    "20005": "Reticulosarcoma, lymph nodes of inguinal region and lower limb",
    "20006": "Reticulosarcoma, intrapelvic lymph nodes",
    "20008": "Reticulosarcoma, lymph nodes of multiple sites",
    "2001": "Lymphosarcoma",
    "20025": "Burkitt's tumor or lymphoma, lymph nodes of inguinal region and lower limb",
    "20047": "Mantle cell lymphoma, spleen",
    "2005": "Primary central nervous system lymphoma",
    "20055": "Primary central nervous system lymphoma, lymph nodes of inguinal region and lower limb",
    "20075": "Large cell lymphoma, lymph nodes of inguinal region and lower limb",
    "20110": "Hodgkin's granuloma, unspecified site, extranodal and solid organ sites",
    "20111": "Hodgkin's granuloma, lymph nodes of head, face, and neck",
    "20121": "Hodgkin's sarcoma, lymph nodes of head, face, and neck",
    "20151": "Hodgkin's disease, nodular sclerosis, lymph nodes of head, face, and neck",
    "20153": "Hodgkin's disease, nodular sclerosis, intra-abdominal lymph nodes",
    "20156": "Hodgkin's disease, nodular sclerosis, intrapelvic lymph nodes",
    "20176": "Hodgkin's disease, lymphocytic depletion, intrapelvic lymph nodes",
    "20205": "Nodular lymphoma, lymph nodes of inguinal region and lower limb",
    "20222": "Sezary's disease, intrathoracic lymph nodes",
    "2024": "Leukemic reticuloendotheliosis",
    "20262": "Malignant mast cell tumors, intrathoracic lymph nodes",
    "20271": "Peripheral T cell lymphoma, lymph nodes of head, face, and neck",
    "20280": "Other malignant lymphomas, unspecified site, extranodal and solid organ sites",
    "20281": "Other malignant lymphomas, lymph nodes of head, face, and neck",
    "20287": "Other malignant lymphomas, spleen",
    "20296": "Other and unspecified malignant neoplasms of lymphoid and histiocytic tissue, intrapelvic lymph nodes",
    "2038": "Other immunoproliferative neoplasms",
    "2059": "Unspecified myeloid leukemia",
    "44836630": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V2134": "Low birth weight status, 1500-1999 grams",
    "44836633": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V24": "Postpartum care and examination",
    "V2541": "Surveillance of contraceptive pill",
    "44836638": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V2639": "Other genetic testing of male",
    "V2652": "Vasectomy status",
    "V281": "Antenatal screening for raised alpha-fetoprotein levels in amniotic fluid",
    "44836642": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "88019": "Open wound of multiple sites of shoulder and upper arm, complicated",
    "8875": "Traumatic amputation of arm and hand (complete) (partial), unilateral, level not specified, complicated",
    "894": "Multiple and unspecified open wound of lower limb",
    "897": "Traumatic amputation of leg(s) (complete) (partial)",
    "90234": "Injury to splenic vein",
    "90250": "Injury to iliac vessel(s), unspecified",
    "9029": "Injury to unspecified blood vessel of abdomen and pelvis",
    "9043": "Injury to saphenous veins",
    "9047": "Injury to other specified blood vessels of lower extremity",
    "9056": "Late effect of dislocation",
    "9081": "Late effect of internal injury to intra-abdominal organs",
    "9085": "Late effect of foreign body in orifice",
    "9095": "Late effect of adverse effect of drug, medicinal or biological substance",
    "910": "Superficial injury of face, neck, and scalp except eye",
    "9107": "Superficial foreign body (splinter) of face, neck, and scalp except eye, without major open wound, infected",
    "9111": "Abrasion or friction burn of trunk, infected",
    "71975": "Difficulty in walking involving joint of pelvic region and thigh",
    "71994": "Unspecified disorder of joint, hand",
    "71996": "Unspecified disorder of joint, lower leg",
    "7200": "Ankylosing spondylitis",
    "7209": "Unspecified inflammatory spondylopathy",
    "72471": "Hypermobility of coccyx",
    "72631": "Medial epicondylitis",
    "72632": "Lateral epicondylitis",
    "7266": "Enthesopathy of knee",
    "72701": "Synovitis and tenosynovitis in diseases classified elsewhere",
    "72766": "Nontraumatic rupture of patellar tendon",
    "72811": "Progressive myositis ossificans",
    "72819": "Other muscular calcification and ossification",
    "72889": "Other disorders of muscle, ligament, and fascia",
    "72973": "Nontraumatic compartment syndrome of abdomen",
    "73012": "Chronic osteomyelitis, upper arm",
    "73025": "Unspecified osteomyelitis, pelvic region and thigh",
    "73091": "Unspecified infection of bone, shoulder region",
    "73098": "Unspecified infection of bone, other specified sites",
    "731": "Osteitis deformans and osteopathies associated with other disorders classified elsewhere",
    "7310": "Osteitis deformans without mention of bone tumor",
    "73342": "Aseptic necrosis of head and neck of femur",
    "73399": "Other disorders of bone and cartilage",
    "7352": "Hallux rigidus",
    "7359": "Unspecified acquired deformity of toe",
    "73620": "Unspecified deformity of finger",
    "73632": "Coxa vara (acquired)",
    "73810": "Unspecified acquired deformity of head",
    "7394": "Nonallopathic lesions, sacral region",
    "741": "Spina bifida",
    "74193": "Spina bifida without mention of hydrocephalus, lumbar region",
    "742": "Other congenital anomalies of nervous system",
    "74312": "Microphthalmos associated with other anomalies of eye and adnexa",
    "7436": "Congenital anomalies of eyelids, lacrimal system, and orbit",
    "74421": "Absence of ear lobe, congenital",
    "74423": "Microtia",
    "74446": "Preauricular sinus or fistula",
    "7449": "Unspecified congenital anomalies of face and neck",
    "74511": "Double outlet right ventricle",
    "7460": "Anomalies of pulmonary valve, congenital",
    "74689": "Other specified congenital anomalies of heart",
    "7474": "Anomalies of great veins, congenital",
    "74742": "Partial anomalous pulmonary venous connection",
    "74911": "Cleft lip, unilateral, complete",
    "7500": "Tongue tie",
    "66063": "Unspecified failed trial of labor, antepartum condition or complication",
    "66131": "Precipitate labor, delivered, with or without mention of antepartum condition",
    "66193": "Unspecified abnormality of labor, antepartum condition or complication",
    "66221": "Prolonged second stage of labor, delivered, with or without mention of antepartum condition",
    "66310": "Cord around neck with compression, complicating labor and delivery, unspecified as to episode of care or not applicable",
    "6636": "Vascular lesions of cord complicating labor and delivery",
    "6638": "Other umbilical cord complications during labor and delivery",
    "66484": "Other specified trauma to perineum and vulva, postpartum condition or complication",
    "6653": "Obstetrical laceration of cervix",
    "66592": "Unspecified obstetrical trauma, delivered, with mention of postpartum complication",
    "6661": "Other immediate postpartum hemorrhage",
    "66612": "Other immediate postpartum hemorrhage, delivered, with mention of postpartum complication",
    "66804": "Pulmonary complications of anesthesia or other sedation in labor and delivery, postpartum condition or complication",
    "66824": "Central nervous system complications of anesthesia or other sedation in labor and delivery, postpartum condition or complication",
    "66940": "Other complications of obstetrical surgery and procedures, unspecified as to episode of care or not applicable",
    "6695": "Forceps or vacuum extractor delivery without mention of indication",
    "67000": "Major puerperal infection, unspecified as to episode of care or not applicable",
    "67002": "Major puerperal infection, delivered, with mention of postpartum complication",
    "67103": "Varicose veins of legs complicating pregnancy and the puerperium, antepartum condition or complication",
    "67111": "Varicose veins of vulva and perineum complicating pregnancy and the puerperium, delivered, with or without mention of antepartum condition",
    "67112": "Varicose veins of vulva and perineum complicating pregnancy and the puerperium, delivered, with mention of postpartum complication",
    "67123": "Superficial thrombophlebitis complicating pregnancy and the puerperium, antepartum condition or complication",
    "67142": "Deep phlebothrombosis, postpartum, delivered, with mention of postpartum complication",
    "67191": "Unspecified venous complication of pregnancy and the puerperium, delivered, with or without mention of antepartum condition",
    "67192": "Unspecified venous complication of pregnancy and the puerperium, delivered, with mention of postpartum complication",
    "67331": "Obstetrical pyemic and septic embolism, delivered, with or without mention of antepartum condition",
    "67380": "Other obstetrical pulmonary embolism, unspecified as to episode of care or not applicable",
    "67422": "Disruption of perineal wound, delivered, with mention of postpartum complication",
    "67451": "Peripartum cardiomyopathy, delivered, with or without mention of antepartum condition",
    "67501": "Infections of nipple associated with childbirth, delivered, with or without mention of antepartum condition",
    "67600": "Retracted nipple associated with childbirth, unspecified as to episode of care or not applicable",
    "67621": "Engorgement of breasts associated with childbirth, delivered, with or without mention of antepartum condition",
    "67640": "Failure of lactation, unspecified as to episode of care or not applicable",
    "6768": "Other disorders of lactation",
    "67901": "Maternal complications from in utero procedure, delivered, with or without mention of antepartum condition",
    "6803": "Carbuncle and furuncle of upper arm and forearm",
    "69018": "Other seborrheic dermatitis",
    "691": "Atopic dermatitis and related conditions",
    "69273": "Actinic reticuloid and actinic granuloma",
    "69276": "Sunburn of second degree",
    "7028": "Other specified dermatoses",
    "70401": "Alopecia areata",
    "70402": "Telogen effluvium",
    "7041": "Hirsutism",
    "70442": "Trichilemmal cyst",
    "7058": "Other specified disorders of sweat glands",
    "0621": "Western equine encephalitis",
    "0628": "Other specified mosquito-borne viral encephalitis",
    "44836643": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836644": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V410": "Problems with sight",
    "V414": "Problems with voice production",
    "V42": "Organ or tissue replaced by transplant",
    "V423": "Skin replaced by transplant",
    "V4282": "Peripheral stem cells replaced by transplant",
    "V429": "Unspecified organ or tissue replaced by transplant",
    "44836651": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V43": "Organ or tissue replaced by other means",
    "V448": "Other artificial opening status",
    "44836654": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V457": "Acquired absence of organ",
    "V4582": "Percutaneous transluminal coronary angioplasty status",
    "V4583": "Breast implant removal status",
    "44836658": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836659": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836660": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836661": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V494": "Disfigurements of limbs",
    "44836663": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836664": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5049": "Other prophylactic gland removal",
    "44836666": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V520": "Fitting and adjustment of artificial arm (complete) (partial)",
    "V521": "Fitting and adjustment of artificial leg (complete) (partial)",
    "44836669": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5332": "Fitting and adjustment of automatic implantable cardiac defibrillator",
    "44836671": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5419": "Aftercare for healing traumatic fracture of other bone",
    "V57": "Care involving use of rehabilitation procedures",
    "V571": "Care involving other physical therapy",
    "V573": "Care involving speech-language therapy",
    "V5844": "Aftercare following organ transplant",
    "V5864": "Long-term (current) use of non-steroidal anti-inflammatories (NSAID)",
    "V5865": "Long-term (current) use of steroids",
    "V5875": "Aftercare following surgery of the teeth, oral cavity and digestive system, NEC",
    "44836681": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836682": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836684": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6107": "Family disruption due to death of family member",
    "V6123": "Counseling for parent-biological child problem",
    "44836688": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836689": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V623": "Educational circumstances",
    "44836692": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V638": "Other specified reasons for unavailability of medical facilities",
    "V6404": "Vaccination not carried out because of allergy to vaccine or component",
    "71695": "Arthropathy, unspecified, pelvic region and thigh",
    "71789": "Other internal derangement of knee",
    "71807": "Articular cartilage disorder, ankle and foot",
    "75022": "Accessory salivary gland",
    "75024": "Congenital fistula of salivary gland",
    "7510": "Meckel's diverticulum",
    "7512": "Atresia and stenosis of large intestine, rectum, and anal canal",
    "75161": "Biliary atresia",
    "7521": "Anomalies of fallopian tubes and broad ligaments, congenital",
    "75231": "Agenesis of uterus",
    "75239": "Other anomalies of uterus",
    "75240": "Unspecified anomaly of cervix, vagina, and external female genitalia",
    "75243": "Cervical agenesis",
    "75310": "Cystic kidney disease, unspecified",
    "75501": "Polydactyly of fingers",
    "75514": "Syndactyly of toes with fusion of bone",
    "7553": "Reduction deformities of lower limb, congenital",
    "7558": "Other specified anomalies of unspecified limb",
    "7559": "Unspecified anomaly of unspecified limb",
    "7561": "Anomalies of spine, congenital",
    "7565": "Congenital osteodystrophies",
    "75682": "Accessory muscle",
    "75689": "Other specified anomalies of muscle, tendon, fascia, and connective tissue",
    "75732": "Vascular hamartomas",
    "75833": "Other microdeletions",
    "7586": "Gonadal dysgenesis",
    "75881": "Other conditions due to sex chromosome anomalies",
    "75989": "Other specified congenital anomalies",
    "7628": "Other specified abnormalities of chorion and amnion affecting fetus or newborn",
    "3989": "Other and unspecified rheumatic heart diseases",
    "40310": "Hypertensive chronic kidney disease, benign, with chronic kidney disease stage I through stage IV, or unspecified",
    "40390": "Hypertensive chronic kidney disease, unspecified, with chronic kidney disease stage I through stage IV, or unspecified",
    "40490": "Hypertensive heart and chronic kidney disease, unspecified, without heart failure and with chronic kidney disease stage I through stage IV, or unspecified",
    "40599": "Other unspecified secondary hypertension",
    "41041": "Acute myocardial infarction of other inferior wall, initial episode of care",
    "41070": "Subendocardial infarction, episode of care unspecified",
    "41090": "Acute myocardial infarction of unspecified site, episode of care unspecified",
    "4110": "Postmyocardial infarction syndrome",
    "413": "Angina pectoris",
    "4140": "Coronary atherosclerosis",
    "41400": "Coronary atherosclerosis of unspecified type of vessel, native or graft",
    "42090": "Acute pericarditis, unspecified",
    "42099": "Other acute pericarditis",
    "421": "Acute and subacute endocarditis",
    "4243": "Pulmonary valve disorders",
    "4250": "Endomyocardial fibrosis",
    "42518": "Other hypertrophic cardiomyopathy",
    "4257": "Nutritional and metabolic cardiomyopathy",
    "42650": "Bundle branch block, unspecified",
    "4270": "Paroxysmal supraventricular tachycardia",
    "42781": "Sinoatrial node dysfunction",
    "42832": "Chronic diastolic heart failure",
    "42833": "Acute on chronic diastolic heart failure",
    "42989": "Other ill-defined heart diseases",
    "431": "Intracerebral hemorrhage",
    "432": "Other and unspecified intracranial hemorrhage",
    "4332": "Occlusion and stenosis of vertebral artery",
    "43380": "Occlusion and stenosis of other specified precerebral artery without mention of cerebral infarction",
    "43391": "Occlusion and stenosis of unspecified precerebral artery with cerebral infarction",
    "4341": "Cerebral embolism",
    "436": "Acute, but ill-defined, cerebrovascular disease",
    "4372": "Hypertensive encephalopathy",
    "43810": "Late effects of cerebrovascular disease, speech and language deficit, unspecified",
    "0638": "Other specified tick-borne viral encephalitis",
    "0660": "Phlebotomus fever",
    "07033": "Chronic viral hepatitis B without mention of hepatic coma with hepatitis delta",
    "07420": "Coxsackie carditis, unspecified",
    "0774": "Epidemic hemorrhagic conjunctivitis",
    "0783": "Cat-scratch disease",
    "0812": "Scrub typhus",
    "0845": "Mixed malaria",
    "0854": "Cutaneous leishmaniasis, American",
    "0859": "Leishmaniasis, unspecified",
    "086": "Trypanosomiasis",
    "08882": "Babesiosis",
    "091": "Early syphilis, symptomatic",
    "0916": "Secondary syphilis of viscera and bone",
    "09189": "Other forms of secondary syphilis",
    "0981": "Gonococcal infection (acute) of upper genitourinary tract",
    "09813": "Gonococcal epididymo-orchitis (acute)",
    "0982": "Gonococcal infection, chronic, of lower genitourinary tract",
    "0987": "Gonococcal infection of anus and rectum",
    "1023": "Hyperkeratosis due to yaws",
    "1026": "Bone and joint lesions due to yaws",
    "1029": "Yaws, unspecified",
    "1100": "Dermatophytosis of scalp and beard",
    "1102": "Dermatophytosis of hand",
    "114": "Coccidioidomycosis",
    "1140": "Primary coccidioidomycosis (pulmonary)",
    "115": "Histoplasmosis",
    "11504": "Infection by Histoplasma capsulatum, endocarditis",
    "11594": "Histoplasmosis, unspecified, endocarditis",
    "116": "Blastomycotic infection",
    "1232": "Taenia saginata infection",
    "124": "Trichinosis",
    "1254": "Dipetalonemiasis",
    "127": "Other intestinal helminthiases",
    "1273": "Trichuriasis",
    "1274": "Enterobiasis",
    "1300": "Meningoencephalitis due to toxoplasmosis",
    "1305": "Hepatitis due to toxoplasmosis",
    "1321": "Pediculus corporis [body louse]",
    "139": "Late effects of other infectious and parasitic diseases",
    "1414": "Malignant neoplasm of anterior two-thirds of tongue, part unspecified",
    "1415": "Malignant neoplasm of junctional zone of tongue",
    "1422": "Malignant neoplasm of sublingual gland",
    "144": "Malignant neoplasm of floor of mouth",
    "1459": "Malignant neoplasm of mouth, unspecified",
    "1472": "Malignant neoplasm of lateral wall of nasopharynx",
    "1473": "Malignant neoplasm of anterior wall of nasopharynx",
    "1481": "Malignant neoplasm of pyriform sinus",
    "1498": "Malignant neoplasm of other sites within the lip and oral cavity",
    "1512": "Malignant neoplasm of pyloric antrum",
    "1528": "Malignant neoplasm of other specified sites of small intestine",
    "1537": "Malignant neoplasm of splenic flexure",
    "1600": "Malignant neoplasm of nasal cavities",
    "1641": "Malignant neoplasm of heart",
    "170": "Malignant neoplasm of bone and articular cartilage",
    "17332": "Squamous cell carcinoma of skin of other and unspecified parts of face",
    "17340": "Unspecified malignant neoplasm of scalp and skin of neck",
    "17381": "Basal cell carcinoma of other specified sites of skin",
    "1739": "Other and unspecified malignant neoplasm of skin, site unspecified",
    "1750": "Malignant neoplasm of nipple and areola of male breast",
    "176": "Kaposi's sarcoma",
    "181": "Malignant neoplasm of placenta",
    "1894": "Malignant neoplasm of paraurethral glands",
    "1900": "Malignant neoplasm of eyeball, except conjunctiva, cornea, retina, and choroid",
    "1906": "Malignant neoplasm of choroid",
    "71818": "Loose body in joint, other specified sites",
    "71827": "Pathological dislocation of joint, ankle and foot",
    "71830": "Recurrent dislocation of joint, site unspecified",
    "7184": "Contracture of joint",
    "71874": "Developmental dislocation of joint, hand",
    "71881": "Other joint derangement, not elsewhere classified, shoulder region",
    "71909": "Effusion of joint, multiple sites",
    "71916": "Hemarthrosis, lower leg",
    "71921": "Villonodular synovitis, shoulder region",
    "71929": "Villonodular synovitis, multiple sites",
    "71948": "Pain in joint, other specified sites",
    "7195": "Stiffness of joint, not elsewhere classified",
    "71967": "Other symptoms referable to joint, ankle and foot",
    "71990": "Unspecified disorder of joint, site unspecified",
    "720": "Ankylosing spondylitis and other inflammatory spondylopathies",
    "72142": "Spondylosis with myelopathy, lumbar region",
    "7216": "Ankylosing vertebral hyperostosis",
    "7218": "Other allied disorders of spine",
    "7219": "Spondylosis of unspecified site",
    "72191": "Spondylosis of unspecified site, with myelopathy",
    "72271": "Intervertebral disc disorder with myelopathy, cervical region",
    "72293": "Other and unspecified disc disorder, lumbar region",
    "7239": "Unspecified musculoskeletal disorders and symptoms referable to neck",
    "72633": "Olecranon bursitis",
    "72669": "Other enthesopathy of knee",
    "7267": "Enthesopathy of ankle and tarsus",
    "72673": "Calcaneal spur",
    "72703": "Trigger finger (acquired)",
    "7273": "Other bursitis",
    "72749": "Other ganglion and cyst of synovium, tendon, and bursa",
    "72760": "Nontraumatic rupture of unspecified tendon",
    "73000": "Acute osteomyelitis, site unspecified",
    "73001": "Acute osteomyelitis, shoulder region",
    "73014": "Chronic osteomyelitis, hand",
    "73019": "Chronic osteomyelitis, multiple sites",
    "73020": "Unspecified osteomyelitis, site unspecified",
    "73031": "Periostitis, without mention of osteomyelitis, shoulder region",
    "73073": "Osteopathy resulting from poliomyelitis, forearm",
    "73078": "Osteopathy resulting from poliomyelitis, other specified sites",
    "73088": "Other infections involving bone in diseases classified elsewhere, other specified sites",
    "73320": "Cyst of bone (localized), unspecified",
    "73382": "Nonunion of fracture",
    "7370": "Adolescent postural kyphosis",
    "73731": "Resolving infantile idiopathic scoliosis",
    "73741": "Kyphosis associated with other conditions",
    "7387": "Cauliflower ear",
    "739": "Nonallopathic lesions, not elsewhere classified",
    "7397": "Nonallopathic lesions, upper extremities",
    "7433": "Congenital cataract and lens anomalies",
    "74349": "Other congenital anomalies of anterior segment",
    "7457": "Cor biloculare",
    "74602": "Stenosis of pulmonary valve, congenital",
    "7486": "Congenital other anomalies of lung",
    "74903": "Cleft palate, bilateral, complete",
    "7509": "Unspecified anomaly of upper alimentary tract",
    "7534": "Other specified anomalies of ureter",
    "75431": "Congenital dislocation of hip, bilateral",
    "7544": "Congenital genu recurvatum and bowing of long bones of leg",
    "75441": "Congenital dislocation of knee (with genu recurvatum)",
    "7545": "Varus deformities of feet, congenital",
    "75471": "Talipes cavus",
    "75489": "Other specified nonteratogenic anomalies",
    "755": "Other congenital anomalies of limbs",
    "43811": "Late effects of cerebrovascular disease, aphasia",
    "43813": "Late effects of cerebrovascular disease, dysarthria",
    "4409": "Generalized and unspecified atherosclerosis",
    "44382": "Erythromelalgia",
    "4439": "Peripheral vascular disease, unspecified",
    "4448": "Embolism and thrombosis of other specified artery",
    "449": "Septic arterial embolism",
    "45351": "Chronic venous embolism and thrombosis of deep vessels of proximal lower extremity",
    "45379": "Chronic venous embolism and thrombosis of other specified veins",
    "4552": "Internal hemorrhoids with other complication",
    "4566": "Vulval varices",
    "4578": "Other noninfectious disorders of lymphatic channels",
    "45919": "Postphlebetic syndrome with other complication",
    "4641": "Acute tracheitis",
    "46411": "Acute tracheitis with obstruction",
    "4643": "Acute epiglottitis",
    "46431": "Acute epiglottitis with obstruction",
    "46450": "Supraglottitis unspecified, without obstruction",
    "475": "Peritonsillar abscess",
    "4779": "Allergic rhinitis, cause unspecified",
    "47870": "Unspecified disease of larynx",
    "47879": "Other diseases of larynx, not elsewhere classified",
    "4801": "Pneumonia due to respiratory syncytial virus",
    "48242": "Methicillin resistant pneumonia due to Staphylococcus aureus",
    "48283": "Pneumonia due to other gram-negative bacteria",
    "4918": "Other chronic bronchitis",
    "495": "Extrinsic allergic alveolitis",
    "5060": "Bronchitis and pneumonitis due to fumes and vapors",
    "5071": "Pneumonitis due to inhalation of oils and essences",
    "5078": "Pneumonitis due to other solids and liquids",
    "508": "Respiratory conditions due to other and unspecified external agents",
    "5088": "Respiratory conditions due to other specified external agents",
    "V1261": "Personal history of pneumonia (recurrent)",
    "V1309": "Personal history of other specified urinary system disorders",
    "V131": "Personal history of trophoblastic disease",
    "V134": "Personal history of arthritis",
    "44833059": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833060": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1529": "Personal history of surgery to other organs",
    "V153": "Personal history of irradiation, presenting hazards to health",
    "V1581": "Personal history of noncompliance with medical treatment, presenting hazards to health",
    "44833064": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V166": "Family history of leukemia",
    "44833066": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V170": "Family history of psychiatric condition",
    "V172": "Family history of other neurological diseases",
    "V189": "Family history of genetic disease carrier",
    "44833070": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833072": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V252": "Sterilization",
    "V253": "Menstrual extraction",
    "V2542": "Surveillance of intrauterine contraceptive device",
    "44833076": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V2642": "Encounter for fertility preservation counseling",
    "V2689": "Other specified procreative management",
    "44833079": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "1918": "Malignant neoplasm of other parts of brain",
    "1921": "Malignant neoplasm of cerebral meninges",
    "1966": "Secondary and unspecified malignant neoplasm of intrapelvic lymph nodes",
    "1972": "Secondary malignant neoplasm of pleura",
    "44834238": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V165": "Family history of malignant neoplasm of urinary organs",
    "V169": "Family history of unspecified malignant neoplasm",
    "44834241": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834242": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834243": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834244": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1749": "Family history of other cardiovascular diseases",
    "44834246": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V182": "Family history of anemia",
    "44834248": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834249": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1919": "Family history of other specified eye disorder",
    "V200": "Health supervision of foundling",
    "V213": "Low birth weight status",
    "44834253": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834255": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834256": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834257": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V258": "Other specified contraceptive management",
    "V259": "Unspecified contraceptive management",
    "44834260": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834261": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834262": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834263": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834264": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V350": "Other multiple, mates all stillborn, born in hospital",
    "V3500": "Other multiple birth (three or more), mates all still born, born in hospital, delivered without mention of cesarean section",
    "V3701": "Other multiple birth (three or more), unspecified whether mates liveborn or stillborn, born in hospital, delivered by cesarean section",
    "44834268": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834269": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V400": "Mental and behavioral problems with learning",
    "V4031": "Wandering in diseases classified elsewhere",
    "44834272": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4321": "Organ or tissue replaced by other means, heart assist device",
    "V4365": "Knee joint replacement",
    "44834275": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834276": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834277": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834278": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4512": "Noncompliance with renal dialysis",
    "V4574": "Acquired absence of organ, other parts of urinary tract",
    "65630": "Fetal distress, affecting management of mother, unspecified as to episode of care or not applicable",
    "65633": "Fetal distress, affecting management of mother, antepartum condition or complication",
    "65640": "Intrauterine death, affecting management of mother, unspecified as to episode of care or not applicable",
    "65920": "Maternal pyrexia during labor, unspecified, unspecified as to episode of care or not applicable",
    "6593": "Generalized infection during labor",
    "66021": "Obstruction by abnormal pelvic soft tissues during labor, delivered, with or without mention of antepartum condition",
    "6611": "Secondary uterine inertia",
    "66213": "Unspecified prolonged labor, antepartum condition or complication",
    "6634": "Short cord complicating labor and delivery",
    "66401": "First-degree perineal laceration, delivered, with or without mention of antepartum condition",
    "75502": "Polydactyly of toes",
    "75522": "Longitudinal deficiency of upper limb, not elsewhere classified",
    "5832": "Nephritis and nephropathy, not specified as acute or chronic, with lesion of membranoproliferative glomerulonephritis",
    "59000": "Chronic pyelonephritis without lesion of renal medullary necrosis",
    "5935": "Hydroureter",
    "59370": "Vesicoureteral reflux unspecified or without reflux nephropathy",
    "59371": "Vesicoureteral reflux with reflux nephropathy, unilateral",
    "5938": "Other specified disorders of kidney and ureter",
    "5952": "Other chronic cystitis",
    "59582": "Irradiation cystitis",
    "596": "Other disorders of bladder",
    "5964": "Atony of bladder",
    "59659": "Other functional disorder of bladder",
    "5994": "Urethral false passage",
    "5999": "Unspecified disorder of urethra and urinary tract",
    "603": "Hydrocele",
    "604": "Orchitis and epididymitis",
    "6069": "Male infertility, unspecified",
    "60823": "Torsion of appendix testis",
    "6100": "Solitary cyst of breast",
    "6115": "Galactocele",
    "61172": "Lump or mass in breast",
    "6149": "Unspecified inflammatory disease of female pelvic organs and tissues",
    "6168": "Other specified inflammatory diseases of cervix, vagina, and vulva",
    "61804": "Rectocele",
    "6186": "Vaginal enterocele, congenital or acquired",
    "6198": "Other specified fistulas involving female genital tract",
    "6210": "Polyp of corpus uteri",
    "6223": "Old laceration of cervix",
    "6252": "Mittelschmerz",
    "6284": "Infertility, female, of cervical or vaginal origin",
    "62981": "Recurrent pregnancy loss without current pregnancy",
    "633": "Ectopic pregnancy",
    "63520": "Legally induced abortion, complicated by damage to pelvic organs or tissues, unspecified",
    "6353": "Legally induced abortion complicated by renal failure",
    "63621": "Illegally induced abortion, complicated by damage to pelvic organs or tissues, incomplete",
    "63662": "Illegally induced abortion, complicated by embolism, complete",
    "6368": "Illegally induced abortion with unspecified complication",
    "63681": "Illegally induced abortion, with unspecified complication, incomplete",
    "63712": "Unspecified abortion, complicated by delayed or excessive hemorrhage, complete",
    "63731": "Unspecified abortion, complicated by renal failure, incomplete",
    "63732": "Unspecified abortion, complicated by renal failure, complete",
    "6376": "Unspecified abortion complicated by embolism",
    "638": "Failed attempted abortion",
    "6386": "Failed attempted abortion complicated by embolism",
    "6398": "Other specified complications following abortion or ectopic and molar pregnancy",
    "6409": "Unspecified hemorrhage in early pregnancy",
    "64183": "Other antepartum hemorrhage, antepartum condition or complication",
    "64232": "Transient hypertension of pregnancy, delivered, with mention of postpartum complication",
    "64243": "Mild or unspecified pre-eclampsia, antepartum condition or complication",
    "64252": "Severe pre-eclampsia, delivered, with mention of postpartum complication",
    "64262": "Eclampsia, delivered, with mention of postpartum complication",
    "6432": "Late vomiting of pregnancy",
    "6441": "Other threatened labor",
    "64644": "Peripheral neuritis in pregnancy, postpartum condition or complication",
    "64673": "Liver and biliary tract disorders in pregnancy, antepartum condition or complication",
    "64682": "Other specified complications of pregnancy, delivered, with mention of postpartum complication",
    "64684": "Other specified complications of pregnancy, postpartum condition or complication",
    "44833080": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833081": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833082": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V271": "Outcome of delivery, single stillborn",
    "44833084": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833085": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833086": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V298": "Observation for other specified suspected conditions",
    "V30": "Single liveborn",
    "V3000": "Single liveborn, born in hospital, delivered without mention of cesarean section",
    "44833090": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V340": "Other multiple, mates all liveborn, born in hospital",
    "V36": "Other multiple birth (three or more), mates liveborn and stillborn",
    "V360": "Other multiple, mates liveborn and stillborn, born in hospital",
    "44833094": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4289": "Other specified organ or tissue replaced by transplant",
    "V4366": "Ankle joint replacement",
    "V4383": "Artificial skin replacement",
    "44833098": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4559": "Presence of other contraceptive device",
    "V4571": "Acquired absence of breast and nipple",
    "V4579": "Other acquired absence of organ",
    "44833103": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833105": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4611": "Dependence on respirator, status",
    "V472": "Other cardiorespiratory problems",
    "44833108": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V486": "Disfigurements of head",
    "V491": "Mechanical problems with limbs",
    "V4965": "Below elbow amputation status",
    "44833112": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V518": "Other aftercare involving the use of plastic surgery",
    "V536": "Fitting and adjustment of urinary devices",
    "V5399": "Fitting and adjustment, other device",
    "44833116": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833117": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833118": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "9121": "Abrasion or friction burn of shoulder and upper arm, infected",
    "9126": "Superficial foreign body (splinter) of shoulder and upper arm, without major open wound and without mention of infection",
    "9136": "Superficial foreign body (splinter) of elbow, forearm, and wrist, without major open wound and without mention of infection",
    "9161": "Abrasion or friction burn of hip, thigh, leg, and ankle, infected",
    "917": "Superficial injury of foot and toe(s)",
    "9180": "Superficial injury of eyelids and periocular area",
    "922": "Contusion of trunk",
    "9228": "Contusion of multiple sites of trunk",
    "9229": "Contusion of unspecified part of trunk",
    "926": "Crushing injury of trunk",
    "934": "Foreign body in trachea, bronchus, and lung",
    "94135": "Full-thickness skin loss [third degree, not otherwise specified] of nose (septum)",
    "94148": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of neck",
    "V4588": "Status post administration of tPA (rtPA) in a different facility within the last 24 hours prior to admission to current facility",
    "44834283": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V461": "Dependence on respirator [Ventilator]",
    "V4613": "Encounter for weaning from respirator [ventilator]",
    "V462": "Other dependence on machines, supplemental oxygen",
    "44834287": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V47": "Other problems with internal organs",
    "44834290": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V484": "Sensory problem with head",
    "44834293": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V528": "Fitting and adjustment of other specified prosthetic device",
    "44834295": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V53": "Fitting and adjustment of other device",
    "V54": "Other orthopedic aftercare",
    "V5409": "Other aftercare involving internal fixation device",
    "9134": "Insect bite, nonvenomous of elbow, forearm, and wrist, without mention of infection",
    "9142": "Blister of hand(s) except finger(s) alone, without mention of infection",
    "9144": "Insect bite, nonvenomous, of hand(s) except finger(s) alone, without mention of infection",
    "9152": "Blister of finger(s), without mention of infection",
    "9164": "Insect bite, nonvenomous, of hip, thigh, leg, and ankle, without mention of infection",
    "9210": "Black eye, not otherwise specified",
    "9221": "Contusion of chest wall",
    "9238": "Contusion of multiple sites of upper limb",
    "930": "Foreign body on external eye",
    "9393": "Foreign body in penis",
    "94100": "Burn of unspecified degree of face and head, unspecified site",
    "94115": "Erythema [first degree] of nose (septum)",
    "94116": "Erythema [first degree] of scalp [any part]",
    "9413": "Full-thickness skin loss due to burn [third degree NOS] of face, head, and neck",
    "94133": "Full-thickness skin loss [third degree, not otherwise specified] of lip(s)",
    "94152": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of eye (with other parts of face, head, and neck)",
    "94157": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of forehead and cheek",
    "94200": "Burn of unspecified degree of trunk, unspecified site",
    "94224": "Blisters, epidermal loss [second degree] of back [any part]",
    "94244": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of back [any part]",
    "94254": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of back [any part]",
    "9430": "Burn of upper limb, except wrist and hand, unspecified degree",
    "94339": "Full-thickness skin loss [third degree, not otherwise specified] of multiple sites of upper limb, except wrist and hand",
    "94434": "Full-thickness skin loss [third degree, not otherwise specified] of two or more digits of hand including thumb",
    "94442": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, thumb (nail)",
    "94448": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of multiple sites of wrist(s) and hand(s)",
    "9445": "Deep necrosis of underlying tissues due to burn [deep third degree] of wrist(s) and hand(s), with loss of a body part",
    "94450": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of hand, unspecified site",
    "94451": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of single digit [finger (nail)] other than thumb",
    "94509": "Burn of unspecified degree of multiple sites of lower limb(s)",
    "94515": "Erythema [first degree] of knee",
    "9455": "Deep necrosis of underlying tissues due to burn [deep third degree] of lower limb(s) with loss of a body part",
    "66424": "Third-degree perineal laceration, postpartum condition or complication",
    "66441": "Unspecified perineal laceration, delivered, with or without mention of antepartum condition",
    "66494": "Unspecified trauma to perineum and vulva, postpartum condition or complication",
    "66554": "Other injury to pelvic organs, postpartum condition or complication",
    "6657": "Obstetrical pelvic hematoma",
    "66571": "Pelvic hematoma, delivered, with or without mention of antepartum condition",
    "6658": "Other specified obstetrical trauma",
    "66583": "Other specified obstetrical trauma, antepartum condition or complication",
    "66803": "Pulmonary complications of anesthesia or other sedation in labor and delivery, antepartum condition or complication",
    "66902": "Maternal distress complicating labor and delivery, delivered, with mention of postpartum complication",
    "66913": "Shock during or following labor and delivery, antepartum condition or complication",
    "66921": "Maternal hypotension syndrome, delivered, with or without mention of antepartum condition",
    "66932": "Acute kidney failure following labor and delivery, delivered, with mention of postpartum complication",
    "66961": "Breech extraction, without mention of indication, delivered, with or without mention of antepartum condition",
    "67334": "Obstetrical pyemic and septic embolism, postpartum condition or complication",
    "67403": "Cerebrovascular disorders in the puerperium, antepartum condition or complication",
    "67663": "Galactorrhea associated with childbirth, antepartum condition or complication",
    "67684": "Other disorders of lactation, postpartum condition or complication",
    "67690": "Unspecified disorder of lactation, unspecified as to episode of care or not applicable",
    "67694": "Unspecified disorder of lactation, postpartum condition or complication",
    "677": "Late effect of complication of pregnancy, childbirth, and the puerperium",
    "6790": "Maternal complications from in utero procedure",
    "67910": "Fetal complications from in utero procedure, unspecified as to episode of care or not applicable",
    "67911": "Fetal complications from in utero procedure, delivered, with or without mention of antepartum condition",
    "67914": "Fetal complications from in utero procedure, postpartum condition or complication",
    "680": "Carbuncle and furuncle",
    "6821": "Cellulitis and abscess of neck",
    "6825": "Cellulitis and abscess of buttock",
    "6922": "Contact dermatitis and other eczema due to solvents",
    "69283": "Dermatitis due to metals",
    "693": "Dermatitis due to substances taken internally",
    "69510": "Erythema multiforme, unspecified",
    "69559": "Exfoliation due to erythematous condition involving 90 percent or more of body surface",
    "6963": "Pityriasis rosea",
    "6964": "Pityriasis rubra pilaris",
    "70715": "Ulcer of other part of foot",
    "7098": "Other specified disorders of skin",
    "71122": "Arthropathy in Behcet's syndrome, upper arm",
    "71127": "Arthropathy in Behcet's syndrome, ankle and foot",
    "71141": "Arthropathy associated with other bacterial diseases, shoulder region",
    "71143": "Arthropathy associated with other bacterial diseases, forearm",
    "71162": "Arthropathy associated with mycoses, upper arm",
    "71166": "Arthropathy associated with mycoses, lower leg",
    "71181": "Arthropathy associated with other infectious and parasitic diseases, shoulder region",
    "71189": "Arthropathy associated with other infectious and parasitic diseases, multiple sites",
    "64700": "Syphilis of mother, complicating pregnancy, childbirth, or the puerperium, unspecified as to episode of care or not applicable",
    "6471": "Gonorrhea complicating pregnancy, childbirth, or the puerperium",
    "64721": "Other venereal diseases of mother, complicating pregnancy, childbirth, or the puerperium, delivered, with or without mention of antepartum condition",
    "64732": "Tuberculosis of mother, complicating pregnancy, childbirth, or the puerperium, delivered, with mention of postpartum complication",
    "64753": "Rubella in the mother, antepartum condition or complication",
    "20720": "Megakaryocytic leukemia, without mention of having achieved remission",
    "20800": "Acute leukemia of unspecified cell type, without mention of having achieved remission",
    "20811": "Chronic leukemia of unspecified cell type, in remission",
    "20822": "Subacute leukemia of unspecified cell type, in relapse",
    "20892": "Unspecified leukemia, in relapse",
    "20913": "Malignant carcinoid tumor of the ascending colon",
    "20916": "Malignant carcinoid tumor of the sigmoid colon",
    "20927": "Malignant carcinoid tumor of hindgut, not otherwise specified",
    "2104": "Benign neoplasm of other and unspecified parts of mouth",
    "2108": "Benign neoplasm of hypopharynx",
    "2111": "Benign neoplasm of stomach",
    "2122": "Benign neoplasm of trachea",
    "2132": "Benign neoplasm of vertebral column, excluding sacrum and coccyx",
    "2138": "Benign neoplasm of short bones of lower limb",
    "2140": "Lipoma of skin and subcutaneous tissue of face",
    "2143": "Lipoma of intra-abdominal organs",
    "2162": "Benign neoplasm of ear and external auditory canal",
    "217": "Benign neoplasm of breast",
    "221": "Benign neoplasm of other female genital organs",
    "2276": "Benign neoplasm of aortic body and other paraganglia",
    "2320": "Carcinoma in situ of skin of lip",
    "23331": "Carcinoma in situ, vagina",
    "2363": "Neoplasm of uncertain behavior of other and unspecified female genital organs",
    "2364": "Neoplasm of uncertain behavior of testis",
    "23690": "Neoplasm of uncertain behavior of urinary organ, unspecified",
    "23779": "Other neurofibromatosis",
    "23879": "Other lymphatic and hematopoietic tissues",
    "23989": "Neoplasms of unspecified nature, other specified sites",
    "241": "Nontoxic nodular goiter",
    "24230": "Toxic nodular goiter, unspecified type, without mention of thyrotoxic crisis or storm",
    "2428": "Thyrotoxicosis of other specified origin",
    "2452": "Chronic lymphocytic thyroiditis",
    "2460": "Disorders of thyrocalcitonin secretion",
    "2491": "Secondary diabetes mellitus with ketoacidosis",
    "24910": "Secondary diabetes mellitus with ketoacidosis, not stated as uncontrolled, or unspecified",
    "24930": "Secondary diabetes mellitus with other coma, not stated as uncontrolled, or unspecified",
    "24941": "Secondary diabetes mellitus with renal manifestations, uncontrolled",
    "24971": "Secondary diabetes mellitus with peripheral circulatory disorders, uncontrolled",
    "25200": "Hyperparathyroidism, unspecified",
    "25208": "Other hyperparathyroidism",
    "2521": "Hypoparathyroidism",
    "25513": "Bartter's syndrome",
    "25950": "Androgen insensitivity, unspecified",
    "2643": "Vitamin A deficiency with corneal ulceration and xerosis",
    "2725": "Lipoprotein deficiencies",
    "2738": "Other disorders of plasma protein metabolism",
    "2741": "Gouty nephropathy",
    "27549": "Other disorders of calcium metabolism",
    "2765": "Volume depletion",
    "2766": "Fluid overload",
    "2792": "Combined immunity deficiency",
    "2814": "Protein-deficiency anemia",
    "28263": "Sickle-cell/Hb-C disease without crisis",
    "9415": "Deep necrosis of underlying tissues due to burn [deep third degree] of face, head, and neck with loss of a body part",
    "94205": "Burn of unspecified degree of genitalia",
    "94209": "Burn of unspecified degree of other and multiple sites of trunk",
    "94243": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of abdominal wall",
    "943": "Burn of upper limb, except wrist and hand",
    "94336": "Full-thickness skin loss [third degree, not otherwise specified] of scapular region",
    "94401": "Burn of unspecified degree of single digit (finger (nail) other than thumb",
    "94427": "Blisters, epidermal loss [second degree] of wrist",
    "9443": "Full-thickness skin loss due to burn [third degree NOS] of wrist(s) and hand(s)",
    "94519": "Erythema [first degree] of multiple sites of lower limb(s)",
    "94530": "Full-thickness skin loss [third degree NOS] of lower limb [leg] unspecified site",
    "94543": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of ankle",
    "94550": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of lower limb [leg], unspecified site",
    "95215": "T7-T12 level with unspecified spinal cord injury",
    "95219": "T7-T12 level with other specified spinal cord injury",
    "9532": "Injury to lumbar nerve root",
    "9540": "Injury to cervical sympathetic nerve, excluding shoulder and pelvic girdles",
    "9549": "Injury to unspecified nerve of trunk, excluding shoulder and pelvic girdles",
    "9581": "Fat embolism",
    "9594": "Hand, except finger injury",
    "9623": "Poisoning by insulins and antidiabetic agents",
    "9631": "Poisoning by antineoplastic and immunosuppressive drugs",
    "9638": "Poisoning by other specified systemic agents",
    "9644": "Poisoning by fibrinolysis-affecting drugs",
    "9647": "Poisoning by natural blood and blood products",
    "9655": "Poisoning by pyrazole derivatives",
    "9682": "Poisoning by other gaseous anesthetics",
    "9685": "Surface (topical) and infiltration anesthetics",
    "96902": "Poisoning by selective serotonin and norepinephrine reuptake inhibitors",
    "96973": "Poisoning by methylphenidate",
    "96979": "Poisoning by other psychostimulants",
    "9699": "Poisoning by unspecified psychotropic agent",
    "970": "Poisoning by central nervous system stimulants",
    "9736": "Poisoning by emetics",
    "9756": "Poisoning by anti-common cold drugs",
    "985": "Toxic effect of other metals",
    "986": "Toxic effect of carbon monoxide",
    "9877": "Toxic effect of hydrocyanic acid gas",
    "9890": "Toxic effect of hydrocyanic acid and cyanides",
    "9893": "Toxic effect of organophosphate and carbamate",
    "9923": "Heat exhaustion, anhydrotic",
    "9933": "Caisson disease",
    "994": "Effects of other external causes",
    "9950": "Other anaphylactic reaction",
    "99583": "Adult sexual abuse",
    "99682": "Complications of transplanted liver",
    "99702": "Iatrogenic cerebrovascular infarction or hemorrhage",
    "99889": "Other specified complications of procedures not elsewhere classified",
    "99941": "Anaphylactic reaction due to administration of blood and blood products",
    "7629": "Unspecified abnormality of chorion and amnion affecting fetus or newborn",
    "76517": "Other preterm infants, 1,750-1,999 grams",
    "76528": "35-36 completed weeks of gestation",
    "7670": "Subdural and cerebral hemorrhage",
    "773": "Hemolytic disease of fetus or newborn, due to isoimmunization",
    "7758": "Other neonatal endocrine and metabolic disturbances",
    "77752": "Stage II necrotizing enterocolitis in newborn",
    "7788": "Other specified conditions involving the integument of fetus and newborn",
    "94556": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of thigh [any part]",
    "9472": "Burn of esophagus",
    "94843": "Burn [any degree] involving 40-49 percent of body surface with third degree burn, 30-39%",
    "9485": "Burn [any degree] involving 50-59 percent of body surface",
    "94897": "Burn [any degree] involving 90 percent or more of body surface with third degree burn, 70-79%",
    "9503": "Injury to visual cortex",
    "9509": "Injury to unspecified optic nerve and pathways",
    "9514": "Injury to facial nerve",
    "9520": "Cervical spinal cord injury without evidence of spinal bone injury",
    "95209": "C5-C7 level with other specified spinal cord injury",
    "9557": "Injury to other specified nerve(s) of shoulder girdle and upper limb",
    "956": "Injury to peripheral nerve(s) of pelvic girdle and lower limb",
    "9606": "Poisoning of antimycobacterial antibiotics",
    "9630": "Poisoning by antiallergic and antiemetic drugs",
    "9656": "Poisoning by antirheumatics [antiphlogistics]",
    "9684": "Poisoning by other and unspecified general anesthetics",
    "9700": "Poisoning by analeptics",
    "9744": "Poisoning by other diuretics",
    "9745": "Poisoning by electrolytic, caloric, and water-balance agents",
    "975": "Poisoning by agents primarily acting on the smooth and skeletal muscles and respiratory system",
    "981": "Toxic effect of petroleum products",
    "982": "Toxic effect of solvents other than petroleum based",
    "9822": "Toxic effect of carbon disulfide",
    "7061": "Other acne",
    "70712": "Ulcer of calf",
    "70901": "Vitiligo",
    "71119": "Arthropathy associated with Reiter's disease and nonspecific urethritis, multiple sites",
    "71133": "Postdysenteric arthropathy, forearm",
    "71134": "Postdysenteric arthropathy, hand",
    "71135": "Postdysenteric arthropathy, pelvic region and thigh",
    "71156": "Arthropathy associated with other viral diseases, lower leg",
    "71163": "Arthropathy associated with mycoses, forearm",
    "71168": "Arthropathy associated with mycoses, other specified sites",
    "71218": "Chondrocalcinosis, due to dicalcium phosphate crystals, other specified sites",
    "71221": "Chondrocalcinosis, due to pyrophosphate crystals, shoulder region",
    "71295": "Unspecified crystal arthropathy, pelvic region and thigh",
    "7142": "Other rheumatoid arthritis with visceral or systemic involvement",
    "71500": "Osteoarthrosis, generalized, site unspecified",
    "71504": "Osteoarthrosis, generalized, hand",
    "71515": "Osteoarthrosis, localized, primary, pelvic region and thigh",
    "71536": "Osteoarthrosis, localized, not specified whether primary or secondary, lower leg",
    "71596": "Osteoarthrosis, unspecified whether generalized or localized, lower leg",
    "71628": "Allergic arthritis, other specified sites",
    "71633": "Climacteric arthritis, forearm",
    "71654": "Unspecified polyarthropathy or polyarthritis, hand",
    "71660": "Unspecified monoarthritis, site unspecified",
    "7168": "Other specified arthropathy",
    "71680": "Other specified arthropathy, site unspecified",
    "71688": "Other specified arthropathy, other specified sites",
    "71741": "Bucket handle tear of lateral meniscus",
    "71742": "Derangement of anterior horn of lateral meniscus",
    "71831": "Recurrent dislocation of joint, shoulder region",
    "71837": "Recurrent dislocation of joint, ankle and foot",
    "71856": "Ankylosis of joint, lower leg",
    "71873": "Developmental dislocation of joint, forearm",
    "71900": "Effusion of joint, site unspecified",
    "71913": "Hemarthrosis, forearm",
    "71928": "Villonodular synovitis, other specified sites",
    "28319": "Other non-autoimmune hemolytic anemias",
    "2849": "Aplastic anemia, unspecified",
    "28529": "Anemia of other chronic disease",
    "28653": "Antiphospholipid antibody with hemorrhagic disorder",
    "28851": "Lymphocytopenia",
    "2900": "Senile dementia, uncomplicated",
    "29010": "Presenile dementia, uncomplicated",
    "291": "Alcohol-induced mental disorders",
    "29182": "Alcohol induced sleep disorders",
    "2938": "Other specified transient mental disorders due to conditions classified elsewhere",
    "29381": "Psychotic disorder with delusions in conditions classified elsewhere",
    "294": "Persistent mental disorders due to conditions classified elsewhere",
    "29505": "Simple type schizophrenia, in remission",
    "2952": "Catatonic type schizophrenia",
    "94874": "Burn [any degree] involving 70-79 percent of body surface with third degree burn, 40-49%",
    "94884": "Burn [any degree] involving 80-89 percent of body surface with third degree burn, 40-49%",
    "94898": "Burn [any degree] involving 90 percent or more of body surface with third degree burn, 80-89%",
    "9494": "Deep necrosis of underlying tissue [deep third degree] without mention of loss of a body part, unspecified",
    "95203": "C1-C4 level with central cord syndrome",
    "9521": "Dorsal [thoracic] spinal cord injury without evidence of spinal bone injury",
    "95211": "T1-T6 level with complete lesion of spinal cord",
    "95218": "T7-T12 level with central cord syndrome",
    "9533": "Injury to sacral nerve root",
    "9554": "Injury to musculocutaneous nerve",
    "9570": "Injury to superficial nerves of head and neck",
    "9595": "Finger injury",
    "9598": "Other specified sites, including multiple injury",
    "9602": "Poisoning by chloramphenicol group",
    "9625": "Poisoning by posterior pituitary hormones",
    "9648": "Poisoning by other specified agents affecting blood constituents",
    "9671": "Poisoning by chloral hydrate group",
    "9674": "Poisoning by methaqualone compounds",
    "9695": "Poisoning by other tranquilizers",
    "9709": "Poisoning by unspecified central nervous system stimulant",
    "9720": "Poisoning by cardiac rhythm regulators",
    "9721": "Poisoning by cardiotonic glycosides and drugs of similar action",
    "9727": "Poisoning by antivaricose drugs, including sclerosing agents",
    "9747": "Poisoning by uric acid metabolism drugs",
    "9789": "Poisoning by mixed bacterial vaccines, except combinations with a pertussis component",
    "9799": "Poisoning by other and unspecified vaccines and biological substances",
    "980": "Toxic effect of alcohol",
    "9801": "Toxic effect of methyl alcohol",
    "9870": "Toxic effect of liquefied petroleum gases",
    "9888": "Toxic effect of other specified noxious substances eaten as food",
    "9891": "Toxic effect of strychnine and salts",
    "9894": "Toxic effect of other pesticides, not elsewhere classified",
    "9897": "Toxic effect of aflatoxin and other mycotoxin (food contaminants)",
    "98989": "Toxic effect of other substance, chiefly nonmedicinal as to source, not elsewhere classified",
    "9927": "Heat edema",
    "9929": "Unspecified effects of heat and light",
    "9939": "Unspecified effect of air pressure",
    "99522": "Unspecified adverse effect of anesthesia",
    "99559": "Other child abuse and neglect",
    "99564": "Anaphylactic reaction due to tree nuts and seeds",
    "99582": "Adult emotional/psychological abuse",
    "9960": "Mechanical complication of cardiac device, implant, and graft",
    "99609": "Other mechanical complication of cardiac device, implant, and graft",
    "9965": "Mechanical complication of other specified prosthetic device, implant, and graft",
    "7799": "Unspecified condition originating in the perinatal period",
    "78002": "Transient alteration of awareness",
    "78055": "Disruption of 24 hour sleep wake cycle, unspecified",
    "78550": "Shock, unspecified",
    "78704": "Bilious emesis",
    "78831": "Urge incontinence",
    "78841": "Urinary frequency",
    "7888": "Extravasation of urine",
    "7890": "Abdominal pain",
    "78906": "Abdominal pain, epigastric",
    "78943": "Abdominal rigidity, right lower quadrant",
    "78947": "Abdominal rigidity, generalized",
    "79009": "Other abnormality of red blood cells",
    "79093": "Elevated prostate specific antigen [PSA]",
    "7912": "Hemoglobinuria",
    "79504": "Papanicolaou smear of cervix with high grade squamous intraepithelial lesion (HGSIL)",
    "79519": "Other abnormal Papanicolaou smear of vagina and vaginal HPV",
    "79670": "Abnormal glandular Papanicolaou smear of anus",
    "79672": "Papanicolaou smear of anus with atypical squamous cells cannot exclude high grade squamous intraepithelial lesion (ASC-H)",
    "79673": "Papanicolaou smear of anus with low grade squamous intraepithelial lesion (LGSIL)",
    "79676": "Papanicolaou smear of anus with cytologic evidence of malignancy",
    "80023": "Closed fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, with moderate [1-24 hours] loss of consciousness",
    "80031": "Closed fracture of vault of skull with other and unspecified intracranial hemorrhage, with no loss of consciousness",
    "80054": "Open fracture of vault of skull without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80064": "Open fracture of vault of skull with cerebral laceration and contusion, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80070": "Open fracture of vault of skull with subarachnoid, subdural, and extradural hemorrhage, unspecified state of consciousness",
    "80090": "Open fracture of vault of skull with intracranial injury of other and unspecified nature, unspecified state of consciousness",
    "8015": "Open fracture of base of skull without mention of intracranial injury",
    "80161": "Open fracture of base of skull with cerebral laceration and contusion, with no loss of consciousness",
    "80176": "Open fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with loss of consciousness of unspecified duration",
    "80181": "Open fracture of base of skull with other and unspecified intracranial hemorrhage, with no loss of consciousness",
    "80196": "Open fracture of base of skull with intracranial injury of other and unspecified nature, with loss of consciousness of unspecified duration",
    "802": "Fracture of face bones",
    "80313": "Other closed skull fracture with cerebral laceration and contusion, with moderate [1-24 hours] loss of consciousness",
    "80335": "Other closed skull fracture with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80339": "Other closed skull fracture with other and unspecified intracranial hemorrhage, with concussion, unspecified",
    "80346": "Other closed skull fracture with intracranial injury of other and unspecified nature, with loss of consciousness of unspecified duration",
    "80359": "Other open skull fracture without mention of intracranial injury, with concussion, unspecified",
    "80362": "Other open skull fracture with cerebral laceration and contusion, with brief [less than one hour] loss of consciousness",
    "80363": "Other open skull fracture with cerebral laceration and contusion, with moderate [1-24 hours] loss of consciousness",
    "80392": "Other open skull fracture with intracranial injury of other and unspecified nature, with brief [less than one hour] loss of consciousness",
    "80422": "Closed fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with brief [less than one hour] loss of consciousness",
    "51284": "Other air leak",
    "51632": "Idiopathic non-specific interstitial pneumonitis",
    "51663": "Surfactant mutations of the lung",
    "85113": "Cortex (cerebral) contusion with open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "3040": "Opioid type dependence",
    "30402": "Opioid type dependence, episodic",
    "3044": "Amphetamine and other psychostimulant dependence",
    "30451": "Hallucinogen dependence, continuous",
    "30470": "Combinations of opioid type drug with any other drug dependence, unspecified",
    "3054": "Sedative, hypnotic or anxiolytic abuse",
    "30542": "Sedative, hypnotic or anxiolytic abuse, episodic",
    "30580": "Antidepressant type abuse, unspecified",
    "3063": "Skin disorder arising from mental factors",
    "30781": "Tension headache",
    "30789": "Other pain disorders related to psychological factors",
    "3093": "Adjustment disorder with disturbance of conduct",
    "30981": "Posttraumatic stress disorder",
    "3101": "Personality change due to conditions classified elsewhere",
    "31210": "Undersocialized conduct disorder, unaggressive type, unspecified",
    "31211": "Undersocialized conduct disorder, unaggressive type, mild",
    "321": "Meningitis due to other organisms",
    "3212": "Meningitis due to viruses not elsewhere classified",
    "323": "Encephalitis, myelitis, and encephalomyelitis",
    "32700": "Organic insomnia, unspecified",
    "32702": "Insomnia due to mental disorder",
    "32730": "Circadian rhythm sleep disorder, unspecified",
    "3313": "Communicating hydrocephalus",
    "33383": "Spasmodic torticollis",
    "33384": "Organic writers' cramp",
    "334": "Spinocerebellar disease",
    "3372": "Reflex sympathetic dystrophy",
    "33721": "Reflex sympathetic dystrophy of the upper limb",
    "33828": "Other chronic postoperative pain",
    "3394": "Complicated headache syndromes",
    "33985": "Primary stabbing headache",
    "34122": "Idiopathic transverse myelitis",
    "3438": "Other specified infantile cerebral palsy",
    "3439": "Infantile cerebral palsy, unspecified",
    "34541": "Localization-related (focal) (partial) epilepsy and epileptic syndromes with complex partial seizures, with intractable epilepsy",
    "34661": "Persistent migraine aura with cerebral infarction, with intractable migraine, so stated, without mention of status migrainosus",
    "34672": "Chronic migraine without aura, without mention of intractable migraine with status migrainosus",
    "85183": "Other and unspecified cerebral laceration and contusion, without mention of open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85184": "Other and unspecified cerebral laceration and contusion, without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre- existing conscious level",
    "85214": "Subarachnoid hemorrhage following injury with open intracranial wound, with prolonged [more than 24 hours) loss of consciousness and return to pre-existing conscious level",
    "85219": "Subarachnoid hemorrhage following injury with open intracranial wound, with concussion, unspecified",
    "85233": "Subdural hemorrhage following injury with open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "8524": "Extradural hemorrhage following injury without mention of open intracranial wound",
    "85243": "Extradural hemorrhage following injury without mention of open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85251": "Extradural hemorrhage following injury with open intracranial wound, with no loss of consciousness",
    "85305": "Other and unspecified intracranial hemorrhage following injury without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness without return to pre-existing conscious level",
    "85313": "Other and unspecified intracranial hemorrhage following injury with open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "85404": "Intracranial injury of other and unspecified nature without mention of open intracranial wound, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "85411": "Intracranial injury of other and unspecified nature with open intracranial wound, with no loss of consciousness",
    "85413": "Intracranial injury of other and unspecified nature with open intracranial wound, with moderate [1-24 hours] loss of consciousness",
    "860": "Traumatic pneumothorax and hemothorax",
    "8601": "Traumatic pneumothorax with open wound into thorax",
    "861": "Injury to heart and lung",
    "86101": "Contusion of heart without mention of open wound into thorax",
    "86340": "Injury to colon, unspecified site, without mention of open wound into cavity",
    "86380": "Injury to gastrointestinal tract, unspecified site, without mention of open wound into cavity",
    "86389": "Injury to other gastrointestinal sites, without mention of open wound into cavity",
    "86399": "Injury to other gastrointestinal sites, with open wound into cavity",
    "86411": "Injury to liver with open wound into cavity, hematoma and contusion",
    "86513": "Injury to spleen with open wound into cavity, laceration extending into parenchyma",
    "86801": "Injury to other intra-abdominal organs without mention of open wound into cavity, adrenal gland",
    "86809": "Injury to other and multiple intra-abdominal organs without mention of open wound into cavity",
    "86819": "Injury to other and multiple intra-abdominal organs, with open wound into cavity",
    "8704": "Penetrating wound of orbit with foreign body",
    "87323": "Open wound of nasal sinus, without mention of complication",
    "87331": "Open wound of nasal septum, complicated",
    "8735": "Open wound of face, complicated",
    "87354": "Open wound of jaw, complicated",
    "8736": "Open wound of internal structures of mouth, without mention of complication",
    "87365": "Open wound of palate, without mention of complication",
    "8738": "Other and unspecified open wound of head without mention of complication",
    "87412": "Open wound of trachea, complicated",
    "8761": "Open wound of back, complicated",
    "8771": "Open wound of buttock, complicated",
    "88023": "Open wound of upper arm, with tendon involvement",
    "88110": "Open wound of forearm, complicated",
    "8841": "Multiple and unspecified open wound of upper limb, complicated",
    "8960": "Traumatic amputation of foot (complete) (partial), unilateral, without mention of complication",
    "90081": "Injury to external jugular vein",
    "90089": "Injury to other specified blood vessels of head and neck",
    "9014": "Injury to pulmonary blood vessels",
    "90231": "Injury to superior mesenteric vein and primary subdivisions",
    "90282": "Injury to ovarian vein",
    "01484": "Other tuberculosis of intestines, peritoneum, and mesenteric glands, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01504": "Tuberculosis of vertebral column, tubercle bacilli not found (in sputum) by microscopy, but found by bacterial culture",
    "01510": "Tuberculosis of hip, unspecified",
    "0158": "Tuberculosis of other specified joint",
    "01581": "Tuberculosis of other specified joint, bacteriological or histological examination not done",
    "01595": "Tuberculosis of unspecified bones and joints, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01606": "Tuberculosis of kidney, tubercle bacilli not found by bacteriological or histological examination, but tuberculosis confirmed by other methods [inoculation of animals]",
    "01640": "Tuberculosis of epididymis, unspecified",
    "01693": "Genitourinary tuberculosis, unspecified, tubercle bacilli found (in sputum) by microscopy",
    "0179": "Tuberculosis of other specified organs",
    "01792": "Tuberculosis of other specified organs, bacteriological or histological examination unknown (at present)",
    "90301": "Injury to axillary artery",
    "9032": "Injury to radial blood vessels",
    "9033": "Injury to ulnar blood vessels",
    "9039": "Injury to unspecified blood vessel of upper extremity",
    "01800": "Acute miliary tuberculosis, unspecified",
    "0188": "Other specified miliary tuberculosis",
    "0205": "Pneumonic plague, unspecified",
    "0279": "Unspecified zoonotic bacterial disease",
    "0312": "Disseminated due to other mycobacteria",
    "0320": "Faucial diphtheria",
    "0412": "Pneumococcus infection in conditions classified elsewhere and of unspecified site",
    "0413": "Friedländer's bacillus infection in conditions classified elsewhere and of unspecified site",
    "04141": "Shiga toxin-producing Escherichia coli [E. coli] (STEC) O157",
    "0415": "Hemophilus influenzae [H. influenzae] infection in conditions classified elsewhere and of unspecified site",
    "04512": "Acute poliomyelitis with other paralysis, poliovirus type II",
    "04619": "Other and unspecified Creutzfeldt-Jakob disease",
    "049": "Other non-arthropod-borne viral diseases of central nervous system",
    "0499": "Unspecified non-arthropod-borne viral diseases of central nervous system",
    "0501": "Alastrim",
    "05102": "Vaccinia not from vaccination",
    "0538": "Herpes zoster with unspecified complication",
    "0540": "Eczema herpeticum",
    "05473": "Herpes simplex otitis externa",
    "05571": "Measles keratoconjunctivitis",
    "05811": "Roseola infantum due to human herpesvirus 6",
    "05812": "Roseola infantum due to human herpesvirus 7",
    "05882": "Human herpesvirus 7 infection",
    "05912": "Sealpox",
    "066": "Other arthropod-borne viral diseases",
    "0722": "Mumps encephalitis",
    "0729": "Mumps without mention of complication",
    "073": "Ornithosis",
    "074": "Specific diseases due to Coxsackie virus",
    "076": "Trachoma",
    "0781": "Viral warts",
    "07881": "Epidemic vertigo",
    "07882": "Epidemic vomiting syndrome",
    "080": "Louse-borne (epidemic) typhus",
    "0864": "Rhodesian trypanosomiasis",
    "0900": "Early congenital syphilis, symptomatic",
    "09151": "Syphilitic chorioretinitis (secondary)",
    "09323": "Syphilitic endocarditis of tricuspid valve",
    "09482": "Syphilitic parkinsonism",
    "0950": "Syphilitic episcleritis",
    "097": "Other and unspecified syphilis",
    "0970": "Late syphilis, unspecified",
    "098": "Gonococcal infections",
    "09849": "Other gonococcal infection of eye",
    "09951": "Other venereal diseases due to chlamydia trachomatis, pharynx",
    "1008": "Other specified leptospiral infections",
    "1105": "Dermatophytosis of the body",
    "1170": "Rhinosporidiosis",
    "1178": "Infection by dematiacious fungi [Phaehyphomycosis]",
    "1260": "Ancylostomiasis due to ancylostoma duodenale",
    "1279": "Intestinal helminthiasis, unspecified",
    "1374": "Late effects of tuberculosis of other specified organs",
    "138": "Late effects of acute poliomyelitis",
    "1404": "Malignant neoplasm of lower lip, inner aspect",
    "V0381": "Other specified vaccinations against hemophilus influenza, type B [Hib]",
    "44837740": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V0481": "Need for prophylactic vaccination and inoculation against influenza",
    "V050": "Need for prophylactic vaccination and inoculation against arthropod-borne viral encephalitis",
    "V054": "Need for prophylactic vaccination and inoculation against varicella",
    "V058": "Need for prophylactic vaccination and inoculation against other specified disease",
    "V059": "Need for prophylactic vaccination and inoculation against unspecified single disease",
    "V066": "Need for prophylactic vaccination and inoculation against streptococcus pneumoniae [pneumococcus] and influenza",
    "44837747": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V09": "Infection with drug-resistant microorganisms",
    "V093": "Infection with microorganisms resistant to tetracyclines",
    "V1007": "Personal history of malignant neoplasm of liver",
    "V1047": "Personal history of malignant neoplasm of testis",
    "V105": "Personal history of malignant neoplasm of urinary organs",
    "V1084": "Personal history of malignant neoplasm of eye",
    "44837754": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837755": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837756": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837757": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V114": "Personal history of combat and operational stress reaction",
    "44837759": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1201": "Personal history of tuberculosis",
    "V1202": "Personal history of poliomyelitis",
    "V1241": "Personal history of benign neoplasm of the brain",
    "44837763": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837764": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V1323": "Personal history of vaginal dysplasia",
    "V135": "Personal history of other musculoskeletal disorders",
    "V1367": "Personal history of (corrected) congenital malformations of digestive system",
    "44837768": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V144": "Personal history of allergy to anesthetic agent",
    "V146": "Personal history of allergy to analgesic agent",
    "V1521": "Personal history of undergoing in utero procedure during pregnancy",
    "V1542": "History of emotional abuse",
    "V1552": "Personal history of traumatic brain injury",
    "V1583": "Personal history of underimmunization status",
    "V171": "Family history of stroke (cerebrovascular)",
    "V174": "Family history of other cardiovascular diseases",
    "V1851": "Family history of colonic polyps",
    "V188": "Family history of infectious and parasitic diseases",
    "V193": "Family history of other ear disorders",
    "44837780": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837781": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837782": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V2031": "Health supervision for newborn under 8 days old",
    "V210": "Period of rapid growth in childhood",
    "44837785": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V222": "Pregnant state, incidental",
    "44837788": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V250": "Encounter for general counseling and advice on contraceptive management",
    "V2502": "General counseling on initiation of other contraceptive measures",
    "V2503": "Encounter for emergency contraceptive counseling and prescription",
    "V2509": "Other general counseling and advice on contraceptive management",
    "V2512": "Encounter for removal of intrauterine contraceptive device",
    "V2543": "Surveillance of implantable subdermal contraceptive",
    "V2633": "Genetic counseling",
    "44837796": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V2342": "Pregnancy with history of ectopic pregnancy",
    "34701": "Narcolepsy, with cataplexy",
    "3518": "Other facial nerve disorders",
    "3526": "Multiple cranial nerve palsies",
    "44837797": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837798": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "3533": "Thoracic root lesions, not elsewhere classified",
    "3541": "Other lesion of median nerve",
    "3553": "Lesion of lateral popliteal nerve",
    "35782": "Critical illness polyneuropathy",
    "35921": "Myotonic muscular dystrophy",
    "36059": "Intraocular foreign body, magnetic, in other or multiple sites",
    "36102": "Recent retinal detachment, partial, with multiple defects",
    "3618": "Other forms of retinal detachment",
    "36218": "Retinal vasculitis",
    "36229": "Other nondiabetic proliferative retinopathy",
    "36251": "Nonexudative senile macular degeneration",
    "36271": "Retinal dystrophy in systemic or cerebroretinal lipidoses",
    "36276": "Dystrophies primarily involving the retinal pigment epithelium",
    "36289": "Other retinal disorders",
    "36308": "Focal retinitis and retinochoroiditis, peripheral",
    "36330": "Chorioretinal scar, unspecified",
    "36334": "Peripheral scars",
    "3636": "Choroidal hemorrhage and rupture",
    "36471": "Posterior synechiae of iris",
    "36474": "Adhesions and disruptions of pupillary membranes",
    "36504": "Ocular hypertension",
    "36551": "Phacolytic glaucoma",
    "3660": "Infantile, juvenile, and presenile cataract",
    "36630": "Cataracta complicata, unspecified",
    "36646": "Cataract associated with radiation and other physical influences",
    "3668": "Other cataract",
    "3681": "Subjective visual disturbances",
    "3682": "Diplopia",
    "36911": "Better eye: severe vision impairment; lesser eye: blind, not further specified",
    "36915": "Better eye: moderate vision impairment; lesser eye: blind, not further specified",
    "3692": "Moderate or severe vision impairment, both eyes",
    "37002": "Ring corneal ulcer",
    "37104": "Adherent leucoma",
    "3713": "Changes of corneal membranes",
    "37151": "Juvenile epithelial corneal dystrophy",
    "37182": "Corneal disorder due to contact lens",
    "37231": "Rosacea conjunctivitis",
    "374": "Other disorders of eyelids",
    "3740": "Entropion and trichiasis of eyelid",
    "37413": "Spastic ectropion",
    "37422": "Mechanical lagophthalmos",
    "37434": "Blepharochalasis",
    "3751": "Other disorders of lacrimal gland",
    "37514": "Secondary lacrimal atrophy",
    "37543": "Lacrimal mucocele",
    "37631": "Constant exophthalmos",
    "37634": "Intermittent exophthalmos",
    "37645": "Atrophy of orbit",
    "37701": "Papilledema associated with increased intracranial pressure",
    "37704": "Foster-Kennedy syndrome",
    "37763": "Disorders of other visual pathways associated with inflammatory disorders",
    "37772": "Disorders of visual cortex associated with vascular disorders",
    "37810": "Exotropia, unspecified",
    "37815": "Alternating exotropia",
    "37831": "Hypertropia",
    "3784": "Heterophoria",
    "37852": "Third or oculomotor nerve palsy, total",
    "37861": "Brown's (tendon) sheath syndrome",
    "37881": "Palsy of conjugate gaze",
    "37916": "Other degenerative disorders of sclera",
    "37960": "Inflammation (infection) of postprocedural bleb, unspecified",
    "38030": "Disorder of pinna, unspecified",
    "38110": "Chronic serous otitis media, simple or unspecified",
    "38200": "Acute suppurative otitis media without spontaneous rupture of eardrum",
    "38400": "Acute myringitis, unspecified",
    "9054": "Late effect of fracture of lower extremities",
    "9057": "Late effect of sprain and strain without mention of tendon injury",
    "907": "Late effects of injuries to the nervous system",
    "9118": "Other and unspecified superficial injury of trunk, without mention of infection",
    "9123": "Blister of shoulder and upper arm, infected",
    "9167": "Superficial foreign body (splinter) of hip, thigh, leg, and ankle, without major open wound, infected",
    "9173": "Blister of foot and toe(s), infected",
    "9191": "Abrasion or friction burn of other, multiple, and unspecified sites, infected",
    "92233": "Contusion of interscapular region",
    "9273": "Crushing injury of finger(s)",
    "9349": "Foreign body in respiratory tree, unspecified",
    "9352": "Foreign body in stomach",
    "94102": "Burn of unspecified degree of eye (with other parts of face, head, and neck)",
    "94108": "Burn of unspecified degree of neck",
    "94156": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of scalp [any part]",
    "94203": "Burn of unspecified degree of abdominal wall",
    "94215": "Erythema [first degree] of genitalia",
    "94221": "Blisters, epidermal loss [second degree] of breast",
    "94222": "Blisters, epidermal loss [second degree] of chest wall, excluding breast and nipple",
    "94235": "Full-thickness skin loss [third degree, not otherwise specified] of genitalia",
    "94354": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of axilla",
    "94421": "Blisters, epidermal loss [second degree] of single digit [finger (nail)] other than thumb",
    "94513": "Erythema [first degree] of ankle",
    "94514": "Erythema [first degree] of lower leg",
    "94523": "Blisters, epidermal loss [second degree] of ankle",
    "9453": "Full-thickness skin loss due to burn [third degree NOS] of lower limb(s)",
    "9454": "Deep necrosis of underlying tissues due to burn [deep third degree] of lower limb(s) without mention of loss of a body part",
    "3849": "Unspecified disorder of tympanic membrane",
    "38512": "Adhesions of drum head to stapes",
    "3861": "Other and unspecified peripheral vertigo",
    "3862": "Vertigo of central origin",
    "38630": "Labyrinthitis, unspecified",
    "9480": "Burn [any degree] involving less than 10 percent of body surface",
    "94820": "Burn [any degree] involving 20-29 percent of body surface with third degree burn, less than 10 percent or unspecified",
    "94830": "Burn [any degree] involving 30-39 percent of body surface with third degree burn, less than 10 percent or unspecified",
    "9484": "Burn [any degree] involving 40-49 percent of body surface",
    "94841": "Burn [any degree] involving 40-49 percent of body surface with third degree burn, 10-19%",
    "94888": "Burn [any degree] involving 80-89 percent of body surface with third degree burn, 80-89%",
    "94891": "Burn [any degree] involving 90 percent or more of body surface with third degree burn, 10-19%",
    "94892": "Burn [any degree] involving 90 percent or more of body surface with third degree burn, 20-29%",
    "950": "Injury to optic nerve and pathways",
    "9500": "Optic nerve injury",
    "9519": "Injury to unspecified cranial nerve",
    "95200": "C1-C4 level with unspecified spinal cord injury",
    "957": "Injury to other and unspecified nerves",
    "95899": "Traumatic compartment syndrome of other sites",
    "9603": "Poisoning by erythromycin and other macrolides",
    "9604": "Poisoning by tetracycline group",
    "9613": "Poisoning by quinoline and hydroxyquinoline derivatives",
    "9615": "Poisoning by other antiprotozoal drugs",
    "9618": "Poisoning by other antimycobacterial drugs",
    "9633": "Poisoning by alkalizing agents",
    "9639": "Poisoning by unspecified systemic agent",
    "9651": "Poisoning by salicylates",
    "9659": "Poisoning by unspecified analgesic and antipyretic",
    "9663": "Poisoning by other and unspecified anticonvulsants",
    "967": "Poisoning by sedatives and hypnotics",
    "9689": "Poisoning by other and unspecified local anesthetics",
    "9691": "Poisoning by phenothiazine-based tranquilizers",
    "9710": "Poisoning by parasympathomimetics (cholinergics)",
    "9711": "Poisoning by parasympatholytics (anticholinergics and antimuscarinics) and spasmolytics",
    "9739": "Poisoning by unspecified agent primarily affecting the gastrointestinal system",
    "9768": "Poisoning by other agents primarily affecting skin and mucous membrane",
    "9781": "Poisoning by typhoid and paratyphoid vaccine",
    "1418": "Malignant neoplasm of other sites of tongue",
    "1438": "Malignant neoplasm of other sites of gum",
    "1478": "Malignant neoplasm of other specified sites of nasopharynx",
    "1482": "Malignant neoplasm of aryepiglottic fold, hypopharyngeal aspect",
    "1490": "Malignant neoplasm of pharynx, unspecified",
    "1502": "Malignant neoplasm of abdominal esophagus",
    "1516": "Malignant neoplasm of greater curvature of stomach, unspecified",
    "1535": "Malignant neoplasm of appendix vermiformis",
    "1536": "Malignant neoplasm of ascending colon",
    "1569": "Malignant neoplasm of biliary tract, part unspecified site",
    "1590": "Malignant neoplasm of intestinal tract, part unspecified",
    "1613": "Malignant neoplasm of laryngeal cartilages",
    "1642": "Malignant neoplasm of anterior mediastinum",
    "1649": "Malignant neoplasm of mediastinum, part unspecified",
    "1658": "Malignant neoplasm of other sites within the respiratory system and intrathoracic organs",
    "171": "Malignant neoplasm of connective and other soft tissue",
    "1725": "Malignant melanoma of skin of trunk, except scrotum",
    "17349": "Other specified malignant neoplasm of scalp and skin of neck",
    "17379": "Other specified malignant neoplasm of skin of lower limb, including hip",
    "1830": "Malignant neoplasm of ovary",
    "1832": "Malignant neoplasm of fallopian tube",
    "1883": "Malignant neoplasm of anterior wall of urinary bladder",
    "1889": "Malignant neoplasm of bladder, part unspecified",
    "1899": "Malignant neoplasm of urinary organ, site unspecified",
    "1904": "Malignant neoplasm of cornea",
    "1915": "Malignant neoplasm of ventricles",
    "1920": "Malignant neoplasm of cranial nerves",
    "1922": "Malignant neoplasm of spinal cord",
    "1940": "Malignant neoplasm of adrenal gland",
    "196": "Secondary and unspecified malignant neoplasm of lymph nodes",
    "1969": "Secondary and unspecified malignant neoplasm of lymph nodes, site unspecified",
    "1978": "Secondary malignant neoplasm of other digestive organs and spleen",
    "198": "Secondary malignant neoplasm of other specified sites",
    "1983": "Secondary malignant neoplasm of brain and spinal cord",
    "19882": "Secondary malignant neoplasm of genital organs",
    "20001": "Reticulosarcoma, lymph nodes of head, face, and neck",
    "20003": "Reticulosarcoma, intra-abdominal lymph nodes",
    "20023": "Burkitt's tumor or lymphoma, intra-abdominal lymph nodes",
    "20033": "Marginal zone lymphoma, intraabdominal lymph nodes",
    "20038": "Marginal zone lymphoma, lymph nodes of multiple sites",
    "20064": "Anaplastic large cell lymphoma, lymph nodes of axilla and upper limb",
    "20066": "Anaplastic large cell lymphoma, intrapelvic lymph nodes",
    "20067": "Anaplastic large cell lymphoma, spleen",
    "20068": "Anaplastic large cell lymphoma, lymph nodes of multiple sites",
    "20070": "Large cell lymphoma, unspecified site, extranodal and solid organ sites",
    "20147": "Hodgkin's disease, lymphocytic-histiocytic predominance, spleen",
    "20154": "Hodgkin's disease, nodular sclerosis, lymph nodes of axilla and upper limb",
    "20178": "Hodgkin's disease, lymphocytic depletion, lymph nodes of multiple sites",
    "20190": "Hodgkin's disease, unspecified type, unspecified site, extranodal and solid organ sites",
    "20192": "Hodgkin's disease, unspecified type, intrathoracic lymph nodes",
    "20218": "Mycosis fungoides, lymph nodes of multiple sites",
    "20258": "Letterer-siwe disease, lymph nodes of multiple sites",
    "20282": "Other malignant lymphomas, intrathoracic lymph nodes",
    "20530": "Myeloid sarcoma, without mention of having achieved remission",
    "20602": "Acute monocytic leukemia, in relapse",
    "20612": "Chronic monocytic leukemia, in relapse",
    "20712": "Chronic erythremia, in relapse",
    "20801": "Acute leukemia of unspecified cell type, in remission",
    "20902": "Malignant carcinoid tumor of the jejunum",
    "20903": "Malignant carcinoid tumor of the ileum",
    "2091": "Malignant carcinoid tumors of the appendix, large intestine, and rectum",
    "20910": "Malignant carcinoid tumor of the large intestine, unspecified portion",
    "44837799": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837800": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V282": "Other antenatal screening based on amniocentesis",
    "V289": "Unspecified antenatal screening",
    "44837803": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V293": "Observation for suspected genetic or metabolic condition",
    "V301": "Single liveborn, born before admission to hospital",
    "44837807": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V292": "Observation and evaluation of newborn for suspected respiratory condition",
    "V320": "Twin, mate stillborn, born in hospital",
    "44837809": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V392": "Liveborn, unspecified whether single, twin or multiple, born outside hospital and not hospitalized",
    "44837811": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V416": "Problems with swallowing and mastication",
    "V428": "Other specified organ or tissue replaced by transplant",
    "V430": "Eye globe replaced by other means",
    "V4361": "Shoulder joint replacement",
    "V4363": "Wrist joint replacement",
    "44837817": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837818": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V443": "Colostomy status",
    "V4450": "Cystostomy, unspecified",
    "44837821": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837822": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V4577": "Acquired absence of organ, genital organs",
    "44837824": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837825": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837826": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "75460": "Talipes valgus",
    "75479": "Other deformities of feet",
    "7551": "Syndactyly",
    "75529": "Longitudinal deficiency, phalanges, complete or partial",
    "75564": "Congenital deformity of knee (joint)",
    "7560": "Anomalies of skull and face bones",
    "7564": "Chondrodystrophy",
    "75652": "Osteopetrosis",
    "7580": "Down's syndrome",
    "7582": "Edwards' syndrome",
    "7591": "Anomalies of adrenal gland",
    "761": "Fetus or newborn affected by maternal complications of pregnancy",
    "7615": "Multiple pregnancy affecting fetus or newborn",
    "762": "Fetus or newborn affected by complications of placenta, cord, and membranes",
    "7634": "Cesarean delivery affecting fetus or newborn",
    "7636": "Precipitate delivery affecting fetus or newborn",
    "76409": "Light-for-dates without mention of fetal malnutrition, 2,500 grams and over",
    "76410": "Light-for-dates with signs of fetal malnutrition, unspecified [weight]",
    "76423": 'Fetal malnutrition without mention of "light-for-dates", 750-999 grams',
    "76424": 'Fetal malnutrition without mention of "light-for-dates", 1,000-1,249 grams',
    "76500": "Extreme immaturity, unspecified [weight]",
    "76515": "Other preterm infants, 1,250-1,499 grams",
    "7740": "Perinatal jaundice from hereditary hemolytic anemias",
    "7761": "Transient neonatal thrombocytopenia",
    "7773": "Hematemesis and melena of newborn due to swallowed maternal blood",
    "77984": "Meconium staining",
    "78053": "Hypersomnia with sleep apnea, unspecified",
    "78061": "Fever presenting with conditions classified elsewhere",
    "78062": "Postprocedural fever",
    "7681": "Fetal death from asphyxia or anoxia during labor",
    "781": "Symptoms involving nervous and musculoskeletal systems",
    "7815": "Clubbing of fingers",
    "7819": "Other symptoms involving nervous and musculoskeletal systems",
    "78199": "Other symptoms involving nervous and musculoskeletal systems",
    "7826": "Pallor and flushing",
    "783": "Symptoms concerning nutrition, metabolism, and development",
    "7831": "Abnormal weight gain",
    "785": "Symptoms involving cardiovascular system",
    "78604": "Cheyne-Stokes respiration",
    "78639": "Other hemoptysis",
    "787": "Symptoms involving digestive system",
    "7874": "Visible peristalsis",
    "78760": "Full incontinence of feces",
    "78865": "Straining on urination",
    "78933": "Abdominal or pelvic swelling, mass, or lump, right lower quadrant",
    "7896": "Abdominal tenderness",
    "78962": "Abdominal tenderness, left upper quadrant",
    "7906": "Other abnormal blood chemistry",
    "7907": "Bacteremia",
    "79095": "Elevated C-reactive protein (CRP)",
    "7913": "Myoglobinuria",
    "7925": "Cloudy (hemodialysis) (peritoneal) dialysis effluent",
    "79514": "Papanicolaou smear of vagina with high grade squamous intraepithelial lesion (HGSIL)",
    "7982": "Death occurring in less than 24 hours from onset of symptoms, not otherwise explained",
    "79953": "Visuospatial deficit",
    "79959": "Other signs and symptoms involving cognition",
    "79981": "Decreased libido",
    "79989": "Other ill-defined conditions",
    "7864": "Abnormal sputum",
    "79399": "Other nonspecific (abnormal) findings on radiological and other examinations of body structure",
    "79411": "Nonspecific abnormal retinal function studies",
    "9049": "Injury to blood vessels of unspecified site",
    "9050": "Late effect of fracture of skull and face bones",
    "9051": "Late effect of fracture of spine and trunk without mention of spinal cord lesion",
    "9072": "Late effect of spinal cord injury",
    "9100": "Abrasion or friction burn of face, neck, and scalp except eye, without mention of infection",
    "9102": "Blister of face, neck, and scalp except eye, without mention of infection",
    "9135": "Insect bite, nonvenomous, of elbow, forearm, and wrist, infected",
    "9137": "Superficial foreign body (splinter) of elbow, forearm, and wrist, without major open wound, infected",
    "9148": "Other and unspecified superficial injury of hand(s) except finger(s) alone, without mention of infection",
    "9163": "Blister of hip, thigh, leg, and ankle, infected",
    "V46": "Other dependence on machines and devices",
    "V463": "Wheelchair dependence",
    "44837829": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837830": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V481": "Deficiencies of neck and trunk",
    "V492": "Motor problems with limbs",
    "V4961": "Thumb amputation status",
    "V4981": "Asymptomatic postmenopausal status (age-related) (natural)",
    "V4987": "Physical restraints status",
    "44837836": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837837": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837839": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5391": "Fitting and adjustment of insulin pump",
    "V5421": "Aftercare for healing pathologic fracture of upper arm",
    "44837843": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837844": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V552": "Attention to ileostomy",
    "44837847": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V5909": "Other blood donors",
    "44837849": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V6105": "Family disruption due to child in welfare custody",
    "44837851": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V628": "Other psychological or physical stress, not elsewhere classified",
    "V631": "Medical services in home not available",
    "V661": "Convalescence following radiotherapy",
    "V6700": "Follow-up examination, following surgery, unspecified",
    "44837857": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837859": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837860": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V742": "Screening examination for leprosy (Hansen's disease)",
    "44837863": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837864": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "38652": "Hyperactive labyrinth, bilateral",
    "38831": "Subjective tinnitus",
    "3884": "Other abnormal auditory perception",
    "38845": "Acquired auditory processing disorder",
    "3888": "Other disorders of ear",
    "38912": "Neural hearing loss, bilateral",
    "3910": "Acute rheumatic pericarditis",
    "3911": "Acute rheumatic endocarditis",
    "392": "Rheumatic chorea",
    "3941": "Rheumatic mitral insufficiency",
    "4059": "Unspecified secondary hypertension",
    "41061": "True posterior wall infarction, initial episode of care",
    "4139": "Other and unspecified angina pectoris",
    "4161": "Kyphoscoliotic heart disease",
    "4200": "Acute pericarditis in diseases classified elsewhere",
    "4210": "Acute and subacute bacterial endocarditis",
    "42491": "Endocarditis in diseases classified elsewhere",
    "4272": "Paroxysmal tachycardia, unspecified",
    "42741": "Ventricular fibrillation",
    "4278": "Other specified cardiac dysrhythmias",
    "4290": "Myocarditis, unspecified",
    "4299": "Heart disease, unspecified",
    "4320": "Nontraumatic extradural hemorrhage",
    "4333": "Occlusion and stenosis of multiple and bilateral precerebral arteries",
    "4371": "Other generalized ischemic cerebrovascular disease",
    "43830": "Late effects of cerebrovascular disease, monoplegia of upper limb affecting unspecified side",
    "43831": "Late effects of cerebrovascular disease, monoplegia of upper limb affecting dominant side",
    "43832": "Late effects of cerebrovascular disease, monoplegia of upper limb affecting nondominant side",
    "44020": "Atherosclerosis of native arteries of the extremities, unspecified",
    "4415": "Aortic aneurysm of unspecified site, ruptured",
    "44284": "Aneurysm of other visceral artery",
    "44629": "Other specified hypersensitivity angiitis",
    "44772": "Abdominal aortic ectasia",
    "448": "Disease of capillaries",
    "80061": "Open fracture of vault of skull with cerebral laceration and contusion, with no loss of consciousness",
    "8010": "Closed fracture of base of skull without mention of intracranial injury",
    "80113": "Closed fracture of base of skull with cerebral laceration and contusion, with moderate [1-24 hours] loss of consciousness",
    "80126": "Closed fracture of base of skull with subarachnoid, subdural, and extradural hemorrhage, with loss of consciousness of unspecified duration",
    "80132": "Closed fracture of base of skull with other and unspecified intracranial hemorrhage, with brief [less than one hour] loss of consciousness",
    "9166": "Superficial foreign body (splinter) of hip, thigh, leg, and ankle, without major open wound and without mention of infection",
    "9174": "Insect bite, nonvenomous, of foot and toe(s), without mention of infection",
    "918": "Superficial injury of eye and adnexa",
    "9182": "Superficial injury of conjunctiva",
    "9195": "Insect bite, nonvenomous, of other, multiple, and unspecified sites, infected",
    "9213": "Contusion of eyeball",
    "9220": "Contusion of breast",
    "92301": "Contusion of scapular region",
    "92303": "Contusion of upper arm",
    "9232": "Contusion of wrist and hand(s), except finger(s) alone",
    "92320": "Contusion of hand(s)",
    "92410": "Contusion of lower leg",
    "92411": "Contusion of knee",
    "9249": "Contusion of unspecified site",
    "9252": "Crushing injury of neck",
    "927": "Crushing injury of upper limb",
    "9282": "Crushing injury of ankle and foot, excluding toe(s) alone",
    "929": "Crushing injury of multiple and unspecified sites",
    "939": "Foreign body in genitourinary tract",
    "9390": "Foreign body in bladder and urethra",
    "941": "Burn of face, head, and neck",
    "94103": "Burn of unspecified degree of lip(s)",
    "9411": "Erythema due to burn [first degree] of face, head, and neck",
    "94110": "Erythema [first degree] of face and head, unspecified site",
    "94128": "Blisters, epidermal loss [second degree] of neck",
    "94136": "Full-thickness skin loss [third degree, not otherwise specified] of scalp [any part]",
    "94141": "Deep necrosis of underlying tissues [deep third degree]) without mention of loss of a body part, ear [any part]",
    "94150": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of face and head, unspecified site",
    "9421": "Erythema due to burn [first degree] of trunk",
    "94220": "Blisters, epidermal loss [second degree] of trunk, unspecified site",
    "94253": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of abdominal wall",
    "94309": "Burn of unspecified degree of multiple sites of upper limb, except wrist and hand",
    "94312": "Erythema [first degree] of elbow",
    "94344": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of axilla",
    "94346": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of scapular region",
    "94350": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of upper limb, unspecified site",
    "944": "Burn of wrist(s) and hand(s)",
    "94402": "Burn of unspecified degree of thumb (nail)",
    "94445": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of palm of hand",
    "94446": "Deep necrosis of underlying tissues [deep third degree] without mention of loss of a body part, of back of hand",
    "94504": "Burn of unspecified degree of lower leg",
    "9451": "Erythema due to burn [first degree] of lower limb(s)",
    "94521": "Blisters, epidermal loss [second degree] of toe(s) (nail)",
    "94525": "Blisters, epidermal loss [second degree] of knee",
    "94555": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of knee",
    "9465": "Deep necrosis of underlying tissues [deep third degree] with loss of a body part, of multiple specified sites",
    "94861": "Burn [any degree] involving 60-69 percent of body surface with third degree burn, 10-19%",
    "9802": "Toxic effect of isopropyl alcohol",
    "9916": "Hypothermia",
    "9922": "Heat cramps",
    "9934": "Effects of air pressure caused by explosion",
    "9942": "Effects of hunger",
    "9945": "Exhaustion due to excessive exertion",
    "9948": "Electrocution and nonfatal effects of electric current",
    "99560": "Anaphylactic reaction due to unspecified food",
    "45184": "Phlebitis and thrombophlebitis of upper extremities, unspecified",
    "45389": "Acute venous embolism and thrombosis of other specified veins",
    "4555": "External hemorrhoids with other complication",
    "4564": "Scrotal varices",
    "45933": "Chronic venous hypertension with ulcer and inflammation",
    "46420": "Acute laryngotracheitis without mention of obstruction",
    "4720": "Chronic rhinitis",
    "4771": "Allergic rhinitis due to food",
    "47820": "Unspecified disease of pharynx",
    "47824": "Retropharyngeal abscess",
    "4828": "Pneumonia due to other specified bacteria",
    "48809": "Influenza due to identified avian influenza virus with other manifestations",
    "4911": "Mucopurulent chronic bronchitis",
    "49312": "Intrinsic asthma with (acute) exacerbation",
    "49322": "Chronic obstructive asthma with (acute) exacerbation",
    "4951": "Bagassosis",
    "4953": "Suberosis",
    "51189": "Other specified forms of effusion, except tuberculous",
    "5120": "Spontaneous tension pneumothorax",
    "5121": "Iatrogenic pneumothorax",
    "5160": "Pulmonary alveolar proteinosis",
    "5172": "Lung involvement in systemic sclerosis",
    "5173": "Acute chest syndrome",
    "52131": "Erosion, limited to enamel",
    "5216": "Ankylosis of teeth",
    "52404": "Major anomalies of jaw size, mandibular hypoplasia",
    "52431": "Crowding of teeth",
    "52479": "Other specified alveolar anomaly",
    "5249": "Unspecified dentofacial anomalies",
    "52512": "Loss of teeth due to periodontal disease",
    "5259": "Unspecified disorder of the teeth and supporting structures",
    "5276": "Mucocele of salivary gland",
    "5282": "Oral aphthae",
    "52872": "Excessive keratinized residual ridge mucosa",
    "529": "Diseases and other conditions of the tongue",
    "5294": "Atrophy of tongue papillae",
    "5295": "Plicated tongue",
    "99683": "Complications of transplanted heart",
    "9973": "Respiratory complications, not elsewhere classified",
    "99731": "Ventilator associated pneumonia",
    "99762": "Infection (chronic) of amputation stump",
    "9986": "Persistent postoperative fistula",
    "E0000": "Civilian activity done for income or pay",
    "E0020": "Activities involving swimming",
    "E0039": "Other activity involving ice and snow",
    "E0075": "Activities involving soccer",
    "E0082": "Activities involving racquet and hand sports",
    "E0170": "Roller coaster riding",
    "E0191": "Activities involving milking an animal",
    "E0299": "Other activity",
    "E8002": "Railway accident involving collision with rolling stock and injuring pedestrian",
    "E8033": "Railway accident involving explosion, fire, or burning injuring pedal cyclist",
    "E8143": "Motor vehicle traffic accident involving collision with pedestrian injuring passenger on motorcycle",
    "E8164": "Motor vehicle traffic accident due to loss of control, without collision on the highway, injuring occupant of streetcar",
    "E8166": "Motor vehicle traffic accident due to loss of control, without collision on the highway, injuring pedal cyclist",
    "E8206": "Nontraffic accident involving motor-driven snow vehicle injuring pedal cyclist",
    "E834": "Other fall from one level to another in water transport",
    "E838": "Other and unspecified water transport accident",
    "E8491": "Farm accidents",
    "E8496": "Accidents occurring in public building",
    "E8502": "Accidental poisoning by other opiates and related narcotics",
    "E852": "Accidental poisoning by other sedatives and hypnotics",
    "E8525": "Accidental poisoning by mixed sedatives, not elsewhere classified",
    "E8528": "Accidental poisoning by other specified sedatives and hypnotics",
    "E8530": "Accidental poisoning by phenothiazine-based tranquilizers",
    "E8610": "Accidental poisoning by synthetic detergents and shampoos",
    "E8632": "Accidental poisoning by carbamates",
    "E8652": "Accidental poisoning from other fish",
    "E8661": "Accidental poisoning by mercury and its compounds and fumes",
    "E8705": "Accidental cut, puncture, perforation or hemorrhage during aspiration of fluid or tissue, puncture, and catheterization",
    "E8708": "Accidental cut, puncture, perforation or hemorrhage during other specified medical care",
    "E871": "Foreign object left in body during procedure",
    "E8719": "Foreign object left in body during unspecified procedure",
    "2092": "Malignant carcinoid tumors of other and unspecified sites",
    "20950": "Benign carcinoid tumor of the large intestine, unspecified portion",
    "20952": "Benign carcinoid tumor of the cecum",
    "2096": "Benign carcinoid tumors of other and unspecified sites",
    "20961": "Benign carcinoid tumor of the bronchus and lung",
    "20972": "Secondary neuroendocrine tumor of liver",
    "2114": "Benign neoplasm of rectum and anal canal",
    "2126": "Benign neoplasm of thymus",
    "2137": "Benign neoplasm of long bones of lower limb",
    "2141": "Lipoma of other skin and subcutaneous tissue",
    "2180": "Submucous leiomyoma of uterus",
    "2198": "Benign neoplasm of other specified parts of uterus",
    "2199": "Benign neoplasm of uterus, part unspecified",
    "220": "Benign neoplasm of ovary",
    "2210": "Benign neoplasm of fallopian tube and uterine ligaments",
    "2249": "Benign neoplasm of eye, part unspecified",
    "2254": "Benign neoplasm of spinal meninges",
    "2280": "Hemangioma, any site",
    "2324": "Carcinoma in situ of scalp and skin of neck",
    "2332": "Carcinoma in situ of other and unspecified parts of uterus",
    "2353": "Neoplasm of uncertain behavior of liver and biliary passages",
    "2367": "Neoplasm of uncertain behavior of bladder",
    "2375": "Neoplasm of uncertain behavior of brain and spinal cord",
    "23770": "Neurofibromatosis, unspecified",
    "2392": "Neoplasm of unspecified nature of bone, soft tissue, and skin",
    "2394": "Neoplasm of unspecified nature of bladder",
    "2423": "Toxic nodular goiter, unspecified type",
    "24281": "Thyrotoxicosis of other specified origin with mention of thyrotoxic crisis or storm",
    "2429": "Thyrotoxicosis without mention of goiter or other cause",
    "2453": "Chronic fibrous thyroiditis",
    "2458": "Other and unspecified chronic thyroiditis",
    "2490": "Secondary diabetes mellitus, without mention of complication",
    "24931": "Secondary diabetes mellitus with other coma, uncontrolled",
    "24951": "Secondary diabetes mellitus with ophthalmic manifestations, uncontrolled",
    "25000": "Diabetes mellitus without mention of complication, type II or unspecified type, not stated as uncontrolled",
    "25002": "Diabetes mellitus without mention of complication, type II or unspecified type, uncontrolled",
    "25020": "Diabetes with hyperosmolarity, type II or unspecified type, not stated as uncontrolled",
    "2503": "Diabetes with other coma",
    "25081": "Diabetes with other specified manifestations, type I [juvenile type], not stated as uncontrolled",
    "2514": "Abnormality of secretion of glucagon",
    "2548": "Other specified diseases of thymus gland",
    "2556": "Medulloadrenal hyperfunction",
    "2569": "Unspecified ovarian dysfunction",
    "2572": "Other testicular hypofunction",
    "2580": "Polyglandular activity in multiple endocrine adenomatosis",
    "25802": "Multiple endocrine neoplasia [MEN] type IIA",
    "2630": "Malnutrition of moderate degree",
    "2648": "Other manifestations of vitamin A deficiency",
    "268": "Vitamin D deficiency",
    "2722": "Mixed hyperlipidemia",
    "2731": "Monoclonal paraproteinemia",
    "27400": "Gouty arthropathy, unspecified",
    "27401": "Acute gouty arthropathy",
    "27540": "Unspecified disorder of calcium metabolism",
    "27701": "Cystic fibrosis with meconium ileus",
    "2777": "Dysmetabolic syndrome X",
    "27901": "Selective IgA immunodeficiency",
    "27904": "Congenital hypogammaglobulinemia",
    "27906": "Common variable immunodeficiency",
    "27949": "Autoimmune disease, not elsewhere classified",
    "2800": "Iron deficiency anemia secondary to blood loss (chronic)",
    "282": "Hereditary hemolytic anemias",
    "28268": "Other sickle-cell disease without crisis",
    "28489": "Other specified aplastic anemias",
    "80139": "Closed fracture of base of skull with other and unspecified intracranial hemorrhage, with concussion, unspecified",
    "80140": "Closed fracture of base of skull with intracranial injury of other and unspecified nature, unspecified state of consciousness",
    "80149": "Closed fracture of base of skull with intracranial injury of other and unspecified nature, with concussion, unspecified",
    "80154": "Open fracture of base of skull without mention of intracranial injury, with prolonged [more than 24 hours] loss of consciousness and return to pre-existing conscious level",
    "80166": "Open fracture of base of skull with cerebral laceration and contusion, with loss of consciousness of unspecified duration",
    "80169": "Open fracture of base of skull with cerebral laceration and contusion, with concussion, unspecified",
    "80235": "Open fracture of mandible, angle of jaw",
    "80349": "Other closed skull fracture with intracranial injury of other and unspecified nature, with concussion, unspecified",
    "80352": "Other open skull fracture without mention of intracranial injury, with brief [less than one hour] loss of consciousness",
    "80380": "Other open skull fracture with other and unspecified intracranial hemorrhage, unspecified state of consciousness",
    "80385": "Other open skull fracture with other and unspecified intracranial hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80409": "Closed fractures involving skull of face with other bones, without mention of intracranial injury, with concussion, unspecified",
    "80425": "Closed fractures involving skull or face with other bones with subarachnoid, subdural, and extradural hemorrhage, with prolonged [more than 24 hours] loss of consciousness, without return to pre-existing conscious level",
    "80431": "Closed fractures involving skull or face with other bones, with other and unspecified intracranial hemorrhage, with no loss of consciousness",
    "805": "Fracture of vertebral column without mention of spinal cord injury",
    "8051": "Open fracture of cervical vertebra without mention of spinal cord injury",
    "80510": "Open fracture of cervical vertebra, unspecified level",
    "8052": "Closed fracture of dorsal [thoracic] vertebra without mention of spinal cord injury",
    "80609": "Closed fracture of C5-C7 level with other specified spinal cord injury",
    "80618": "Open fracture of C5-C7 level with central cord syndrome",
    "2850": "Sideroblastic anemia",
    "2852": "Anemia of chronic disease",
    "286": "Coagulation defects",
    "44837865": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837866": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837867": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V779": "Screening for other and unspecified endocrine, nutritional, metabolic and immunity disorders",
    "44837869": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837870": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V824": "Maternal postnatal screening for chromosomal anomalies",
    "V84": "Genetic susceptibility to disease",
    "44837873": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837874": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8521": "Body Mass Index 25.0-25.9, adult",
    "44837876": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837877": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V860": "Estrogen receptor positive status [ER+]",
    "V87": "Other specified personal exposures and history presenting hazards to health",
    "V870": "Contact with and (suspected) exposure to hazardous metals",
    "V8741": "Personal history of antineoplastic chemotherapy",
    "44837882": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V880": "Acquired absence of cervix and uterus",
    "V8822": "Acquired absence of knee joint",
    "V8901": "Suspected problem with amniotic cavity and membrane not found",
    "V8909": "Other suspected maternal and fetal condition not found",
    "44837887": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837888": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9190": "Other specified multiple gestation, unspecified number of placenta and unspecified number of amniotic sacs",
    "V9192": "Other specified multiple gestation, with two or more monoamniotic fetuses",
    "44837891": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "80619": "Open fracture of C5-C7 level with other specified spinal cord injury",
    "80622": "Closed fracture of T1-T6 level with anterior cord syndrome",
    "8065": "Open fracture of lumbar spine with spinal cord injury",
    "80718": "Open fracture of eight or more ribs",
    "8073": "Open fracture of sternum",
    "8080": "Closed fracture of acetabulum",
    "8084": "Closed fracture of other specified part of pelvis",
    "8110": "Closed fracture of scapula",
    "81242": "Closed fracture of lateral condyle of humerus",
    "81249": "Other closed fracture of lower end of humerus",
    "81332": "Open fracture of shaft of ulna (alone)",
    "81351": "Open Colles' fracture",
    "81382": "Closed fracture of unspecified part of ulna (alone)",
    "82001": "Closed fracture of epiphysis (separation) (upper) of neck of femur",
    "82031": "Open fracture of intertrochanteric section of neck of femur",
    "82111": "Open fracture of shaft of femur",
    "82123": "Closed supracondylar fracture of femur",
    "82522": "Closed fracture of navicular [scaphoid], foot",
    "83212": "Open posterior dislocation of elbow",
    "83315": "Open dislocation of metacarpal (bone), proximal end",
    "8364": "Dislocation of patella, open",
    "83660": "Dislocation of knee, unspecified, open",
    "83805": "Closed dislocation of metatarsophalangeal (joint)",
    "83814": "Open dislocation of metatarsal (bone), joint unspecified",
    "83901": "Closed dislocation, first cervical vertebra",
    "83911": "Open dislocation, first cervical vertebra",
    "83912": "Open dislocation, second cervical vertebra",
    "84501": "Sprain of deltoid (ligament), ankle",
    "8451": "Foot sprain",
    "847": "Sprains and strains of other and unspecified parts of back",
    "8481": "Sprain of jaw",
    "8503": "Concussion with prolonged loss of consciousness and return to pre-existing conscious level",
    "851": "Cerebral laceration and contusion",
    "85112": "Cortex (cerebral) contusion with open intracranial wound, with brief [less than one hour] loss of consciousness",
    "V6408": "Vaccination not carried out because patient had disease being vaccinated against",
    "V6519": "Other person consulting on behalf of another person",
    "V652": "Person feigning illness",
    "V6542": "Counseling on substance use and abuse",
    "44836699": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836700": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V671": "Follow-up examination, following radiotherapy",
    "44836702": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V681": "Issue of repeat prescriptions",
    "44836704": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836705": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V726": "Laboratory examination",
    "44836707": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836708": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836709": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836710": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V7612": "Other screening mammogram",
    "V7619": "Other screening breast examination",
    "V763": "Screening for malignant neoplasms of bladder",
    "V777": "Screening for other inborn errors of metabolism",
    "44836715": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V79": "Special screening for mental disorders and developmental handicaps",
    "V827": "Genetic screening",
    "V8301": "Asymptomatic hemophilia A carrier",
    "V8409": "Genetic susceptibility to other malignant neoplasm",
    "44836720": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8522": "Body Mass Index 26.0-26.9, adult",
    "V8523": "Body Mass Index 27.0-27.9, adult",
    "V8533": "Body Mass Index 33.0-33.9, adult",
    "V8545": "Body Mass Index 70 and over, adult",
    "V8551": "Body Mass Index, pediatric, less than 5th percentile for age",
    "44836726": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836727": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V8711": "Contact with and (suspected) exposure to aromatic amines",
    "V8732": "Contact with and (suspected) exposure to algae bloom",
    "V8739": "Contact with and (suspected) exposure to other potentially hazardous substances",
    "44836731": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "V9009": "Other retained radioactive fragments",
    "V902": "Retained plastic fragments",
    "V9112": "Triplet gestation, with two or more monoamniotic fetuses",
    "44836735": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "0074": "Cryptosporidiosis",
    "0101": "Tuberculous pleurisy in primary progressive tuberculosis",
    "01085": "Other primary progressive tuberculosis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01155": "Tuberculous bronchiectasis, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01173": "Tuberculous pneumothorax, tubercle bacilli found (in sputum) by microscopy",
    "01181": "Other specified pulmonary tuberculosis, bacteriological or histological examination not done",
    "01182": "Other specified pulmonary tuberculosis, bacteriological or histological examination unknown (at present)",
    "01192": "Pulmonary tuberculosis, unspecified, bacteriological or histological examination unknown (at present)",
    "01205": "Tuberculous pleurisy, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01281": "Other specified respiratory tuberculosis, bacteriological or histological examination not done",
    "0135": "Tuberculous abscess of spinal cord",
    "01350": "Tuberculous abscess of spinal cord, unspecified",
    "01351": "Tuberculous abscess of spinal cord, bacteriological or histological examination not done",
    "01385": "Other specified tuberculosis of central nervous system, tubercle bacilli not found by bacteriological examination, but tuberculosis confirmed histologically",
    "01390": "Unspecified tuberculosis of central nervous system, unspecified",
    "01392": "Unspecified tuberculosis of central nervous system, bacteriological or histological examination unknown (at present)",
    "01401": "Tuberculous peritonitis, bacteriological or histological examination not done",
    "E8720": "Failure of sterile precautions during surgical operation",
    "E8758": "Misadventure to patient from other contamination",
    "E8764": "Failure to introduce or to remove other tube or instrument",
    "E8784": "Other restorative surgery causing abnormal patient reaction, or later complication, without mention of misadventure at time of operation",
    "E8788": "Other specified surgical operations and procedures causing abnormal patient reaction, or later complication, without mention of misadventure at time of operation",
    "E882": "Accidental fall from or out of building or other structure",
    "E897": "Accident caused by controlled fire not in building or structure",
    "E901": "Accidents due to excessive cold",
    "E9011": "Accident due to excessive cold of man-made origin",
    "E9022": "Accident due to changes in air pressure due to diving",
    "E905": "Venomous animals and plants as the cause of poisoning and toxic reactions",
    "E9057": "Poisoning and toxic reactions caused by other plants",
    "E9058": "Poisoning and toxic reactions caused by other specified animals and plants",
    "E908": "Accident due to cataclysmic storms, and floods resulting from storms",
    "E9083": "Blizzard (snow) (ice)",
    "E9203": "Accidents caused by knives, swords, and daggers",
    "E922": "Accident caused by firearm, and air gun missile",
    "E9263": "Exposure to x-rays and other electromagnetic ionizing radiation",
    "E9283": "Human bite",
    "E9289": "Unspecified accident",
    "E9293": "Late effects of accidental fall",
    "E9299": "Late effects of unspecified accident",
    "E9356": "Antirheumatics [antiphlogistics] causing adverse effects in therapeutic use",
    "E937": "Sedatives and hypnotics causing adverse effects in therapeutic use",
    "E938": "Other central nervous system depressants and anesthetics causing adverse effects in therapeutic use",
    "E9387": "Spinal anesthetics causing adverse effects in therapeutic use",
    "E9506": "Suicide and self-inflicted poisoning by agricultural and horticultural chemical and pharmaceutical preparations other than plant foods and fertilizers",
    "E955": "Suicide and self-inflicted injury by firearms, air guns, and explosives",
    "E9589": "Suicide and self-inflicted injury by unspecified means",
    "E9620": "Assault by drugs and medicinal substances",
    "E963": "Assault by hanging and strangulation",
    "E9658": "Assault by other specified explosive",
    "E9681": "Assault by pushing from a high place",
    "E9685": "Assault by transport vehicle",
    "E9885": "Injury by crashing of motor vehicle, undetermined whether accidentally or purposely inflicted",
    "E9886": "Injury by crashing of aircraft, undetermined whether accidentally or purposely inflicted",
    "E989": "Late effects of injury, undetermined whether accidentally or purposely inflicted",
    "E9970": "Injury due to war operations by lasers",
    "E9972": "Injury due to war operations by gases, fumes, and chemicals",
    "E9979": "Injury due to unspecified form of unconventional warfare",
    "V011": "Contact with or exposure to tuberculosis",
    "V022": "Carrier or suspected carrier of amebiasis",
    "V0269": "Other viral hepatitis carrier",
    "44837737": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837738": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "E9481": "Typhoid and paratyphoid vaccines causing adverse effects in therapeutic use",
    "E9492": "Typhus vaccine causing adverse effects in therapeutic use",
    "E9496": "Other and unspecified viral and rickettsial vaccines causing adverse effects in therapeutic use",
    "E9871": "Falling from other man-made structures, undetermined whether accidentally or purposely inflicted",
    "2863": "Congenital deficiency of other clotting factors",
    "28741": "Posttransfusion purpura",
    "2885": "Decreased white blood cell count",
    "2886": "Elevated white blood cell count",
    "28951": "Chronic congestive splenomegaly",
    "28952": "Splenic sequestration",
    "2898": "Other specified diseases of blood and blood-forming organs",
    "29013": "Presenile dementia with depressive features",
    "2914": "Idiosyncratic alcohol intoxication",
    "29189": "Other alcohol-induced mental disorders",
    "2922": "Pathological drug intoxication",
    "2929": "Unspecified drug-induced mental disorder",
    "29421": "Dementia, unspecified, with behavioral disturbance",
    "29543": "Schizophreniform disorder, subchronic with acute exacerbation",
    "29545": "Schizophreniform disorder, in remission",
    "29550": "Latent schizophrenia, unspecified",
    "29585": "Other specified types of schizophrenia, in remission",
    "29600": "Bipolar I disorder, single manic episode, unspecified",
    "29650": "Bipolar I disorder, most recent episode (or current) depressed, unspecified",
    "29661": "Bipolar I disorder, most recent episode (or current) mixed, mild",
    "2973": "Shared psychotic disorder",
    "2979": "Unspecified paranoid state",
    "2988": "Other and unspecified reactive psychosis",
    "300": "Anxiety, dissociative and somatoform disorders",
    "30023": "Social phobia",
    "3004": "Dysthymic disorder",
    "3008": "Somatoform disorders",
    "30181": "Narcissistic personality disorder",
    "3024": "Exhibitionism",
    "3025": "Trans-sexualism",
    "30303": "Acute alcoholic intoxication in alcoholism, in remission",
    "E029": "Other activity",
    "2942": "Dementia, unspecified",
    "3657": "Glaucoma stage",
    "6498": "Onset (spontaneous) of labor after 37 completed weeks of gestation but before 39 completed weeks gestation, with delivery by (planned) cesarean section",
    "E001": "Activities involving walking and running",
    "7995": "Signs and symptoms involving cognition",
    "E013": "Activities involving personal hygiene and household maintenance",
    "2097": "Secondary neuroendocrine tumors",
    "V65": "Other persons seeking consultation",
    "6702": "Puerperal sepsis",
    "5166": "Interstitial lung diseases of childhood",
    "V68": "Encounters for administrative purposes",
    "V69": "Problems related to lifestyle",
    "5697": "Complications of intestinal pouch",
    "E015": "Activities involving food preparation, cooking and grilling",
    "E006": "Activities involving other sports and athletics played individually",
    "6700": "Major puerperal infection, unspecified",
    "E007": "Activities involving other sports and athletics played as a team or group",
    "4537": "Chronic venous embolism and thrombosis of other specified vessels",
    "E016": "Activities involving property and land maintenance, building and construction",
    "V908": "Other specified retained foreign body",
    "V83": "Genetic carrier status",
    "V688": "Encounters for other specified administrative purpose",
    "7044": "Pilar and trichilemmal cysts",
    "E003": "Activities involving ice and snow",
    "6720": "Pyrexia of unknown origin during the puerperium",
    "V90": "Retained foreign body",
    "E005": "Activities involving dancing and other rhythmic movement",
    "5390": "Complications of gastric band procedure",
    "V900": "Retained radioactive fragment",
    "6708": "Other major puerperal infection",
    "E012": "Activities involving arts and handcrafts",
    "V63": "Unavailability of other medical facilities for care",
    "E004": "Activities involving climbing, rappelling and jumping off",
    "4888": "Influenza due to novel influenza A",
    "6570": "Polyhydramnios",
    "V881": "Acquired absence of pancreas",
    "E002": "Activities involving water and water craft",
    "V890": "Suspected maternal and fetal conditions not found",
    "4477": "Aortic ectasia",
    "3583": "Lambert-Eaton syndrome",
    "V911": "Triplet gestation placenta status",
    "V203": "Newborn health supervision",
    "V27": "Outcome of delivery",
    "V903": "Retained organic fragments",
    "E019": "Activities involving animal care",
    "6701": "Puerperal endometritis",
    "V86": "Estrogen receptor status",
    "E017": "Activities involving roller coasters and other types of external motion",
    "V64": "Persons encountering health services for specific procedures, not carried out",
    "E018": "Activities involving playing musical instrument",
    "E000": "External cause status",
    "V21": "Constitutional states in development",
    "6703": "Puerperal septic thrombophlebitis",
    "E872": "Failure of sterile precautions during procedure",
    "V644": "Closed surgical procedure converted to open procedure",
    "V919": "Other specified multiple gestation placenta status",
    "V838": "Other genetic carrier status",
    "E011": "Activities involving computer technology and electronic devices",
    "V912": "Quadruplet gestation placenta status",
    "V640": "Vaccination not carried out",
    "3597": "Inflammatory and immune myopathies, NEC",
    "V882": "Acquired absence of joint",
    "V901": "Retained metal fragments",
    "6293": "Complication of implanted vaginal mesh and other prosthetic materials",
    "4535": "Chronic venous embolism and thrombosis of deep vessels of lower extremity",
    "5398": "Complications of other bariatric procedure",
    "V62": "Other psychosocial circumstances",
    "V89": "Other suspected conditions not found",
    "V265": "Sterilization status",
    "E008": "Activities involving other specified sports and athletics",
    "V651": "Person consulting on behalf of another person",
    "V61": "Other family circumstances",
    "V910": "Twin gestation placenta status",
    "E009": "Activity involving other cardiorespiratory exercise",
    "V91": "Multiple gestation placenta status",
    "E010": "Activity involving other muscle strengthening exercises",
    "E014": "Activities involving person providing caregiving",
    "539": "Complications of bariatric procedures",
    "V680": "Issue of medical certificates",
    "44820442": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44820471": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822747": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44822752": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823835": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823839": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823873": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823878": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44823890": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824970": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824973": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824977": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824982": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44824989": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825041": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825069": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44825075": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837838": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837840": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837846": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837855": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837858": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44837861": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830779": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830788": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830791": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830823": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830827": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830831": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830836": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830841": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830844": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830852": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44830857": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44832005": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44832012": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835443": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835448": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835506": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835508": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44835558": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836620": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836625": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836676": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836683": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836685": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44836690": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833102": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833104": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44833158": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834279": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834288": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834292": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834297": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834339": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834351": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834353": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44834358": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828503": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828515": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828524": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828560": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44828566": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826207": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826210": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44826216": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827343": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827389": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827393": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44827401": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829614": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829617": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829626": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829669": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829675": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "44829680": "Duplicate of ICD9CM Concept, do not use, use replacement from CONCEPT_RELATIONSHIP table instead",
    "278": "Overweight, obesity and other hyperalimentation",
    "27800": "Obesity, unspecified",
    "27801": "Morbid obesity",
    "27803": "Obesity hypoventilation syndrome",
    "45821": "Hypotension of hemodialysis",
    "6490": "Tobacco use disorder complicating pregnancy, childbirth, or the puerperium",
    "64900": "Tobacco use disorder complicating pregnancy, childbirth, or the puerperium, unspecified as to episode of care or not applicable",
    "64901": "Tobacco use disorder complicating pregnancy, childbirth, or the puerperium, delivered, with or without mention of antepartum condition",
    "64902": "Tobacco use disorder complicating pregnancy, childbirth, or the puerperium, delivered, with mention of postpartum complication",
    "64903": "Tobacco use disorder complicating pregnancy, childbirth, or the puerperium, antepartum condition or complication",
    "64904": "Tobacco use disorder complicating pregnancy, childbirth, or the puerperium, postpartum condition or complication",
    "6553": "Suspected damage to fetus from viral disease in the mother, affecting management of mother",
    "65530": "Suspected damage to fetus from viral disease in the mother, affecting management of mother, unspecified as to episode of care or not applicable",
    "65533": "Suspected damage to fetus from viral disease in the mother, affecting management of mother, antepartum condition or complication",
    "6554": "Suspected damage to fetus from other disease in the mother, affecting management of mother",
    "65540": "Suspected damage to fetus from other disease in the mother, affecting management of mother, unspecified as to episode of care or not applicable",
    "65541": "Suspected damage to fetus from other disease in the mother, affecting management of mother, delivered, with or without mention of antepartum condition",
    "65543": "Suspected damage to fetus from other disease in the mother, affecting management of mother, antepartum condition or complication",
    "6555": "Suspected damage to fetus from drugs, affecting management of mother",
    "65550": "Suspected damage to fetus from drugs, affecting management of mother, unspecified as to episode of care or not applicable",
    "65551": "Suspected damage to fetus from drugs, affecting management of mother, delivered, with or without mention of antepartum condition",
    "65553": "Suspected damage to fetus from drugs, affecting management of mother, antepartum condition or complication",
    "6556": "Suspected damage to fetus from radiation, affecting management of mother",
    "65560": "Suspected damage to fetus from radiation, affecting management of mother, unspecified as to episode of care or not applicable",
    "65561": "Suspected damage to fetus from radiation, affecting management of mother, delivered,",
    "65563": "Suspected damage to fetus from radiation, affecting management of mother, antepartum condition or complication",
    "65641": "Intrauterine death, affecting management of mother, delivered, with or without mention of antepartum condition",
    "65643": "Intrauterine death, affecting management of mother, antepartum condition or complication",
    "65961": "Elderly multigravida, delivered with or without mention of antepartum condition",
    "65963": "Elderly multigravida, antepartum condition or complication",
    "7680": "Fetal death from asphyxia or anoxia before onset of labor or at unspecified time",
    "7796": "Termination of pregnancy (fetus)",
    "7853": "Other abnormal heart sounds",
    "7867": "Abnormal chest sounds",
    "7875": "Abnormal bowel sounds",
    "7919": "Other nonspecific findings on examination of urine",
    "7920": "Nonspecific abnormal findings in cerebrospinal fluid",
    "7921": "Nonspecific abnormal findings in stool contents",
    "7924": "Nonspecific abnormal findings in saliva",
    "7930": "Nonspecific (abnormal) findings on radiological and other examination of skull and head",
    "7931": "Nonspecific abnormal findings on radiological and other examination of lung field",
    "79319": "Other nonspecific abnormal finding of lung field",
    "7932": "Nonspecific (abnormal) findings on radiological and other examination of other intrathoracic organs",
    "7933": "Nonspecific (abnormal) findings on radiological and other examination of biliary tract",
    "7934": "Nonspecific (abnormal) findings on radiological and other examination of gastrointestinal tract",
    "7935": "Nonspecific (abnormal) findings on radiological and other examination of genitourinary organs",
    "7936": "Nonspecific (abnormal) findings on radiological and other examination of abdominal area, including retroperitoneum",
    "7937": "Nonspecific (abnormal) findings on radiological and other examination of musculoskeletal system",
    "7938": "Nonspecific abnormal findings on radiological and other examination of breast",
    "79380": "Abnormal mammogram, unspecified",
    "79389": "Other (abnormal) findings on radiological examination of breast",
    "7939": "Nonspecific abnormal findings on radiological and other examination of other sites of body",
    "79391": "Image test inconclusive due to excess body fat",
    "7940": "Nonspecific abnormal results of function study of brain and central nervous system",
    "79400": "Abnormal function study of brain and central nervous system, unspecified",
    "79401": "Nonspecific abnormal echoencephalogram",
    "79402": "Nonspecific abnormal electroencephalogram [EEG]",
    "79409": "Other nonspecific abnormal results of function study of brain and central nervous system",
    "7941": "Nonspecific abnormal results of function study of peripheral nervous system and special senses",
    "79410": "Nonspecific abnormal response to nerve stimulation, unspecified",
    "79412": "Nonspecific abnormal electro-oculogram [EOG]",
    "79413": "Nonspecific abnormal visually evoked potential",
    "79414": "Nonspecific abnormal oculomotor studies",
    "79415": "Nonspecific abnormal auditory function studies",
    "79416": "Nonspecific abnormal vestibular function studies",
    "79417": "Nonspecific abnormal electromyogram [EMG]",
    "79419": "Other nonspecific abnormal results of function study of peripheral nervous system and special senses",
    "7943": "Nonspecific abnormal results of function study, cardiovascular",
    "79430": "Abnormal cardiovascular function study, unspecified",
    "79431": "Nonspecific abnormal electrocardiogram [ECG] [EKG]",
    "79439": "Other nonspecific abnormal results of function study of cardiovascular system",
    "7949": "Nonspecific abnormal results of other specified function study",
    "7952": "Nonspecific abnormal findings on chromosomal analysis",
    "7961": "Abnormal reflex",
    "7964": "Other abnormal clinical findings",
    "7965": "Abnormal finding on antenatal screening",
    "7966": "Abnormal findings on neonatal screening",
    "7969": "Other nonspecific abnormal findings",
    "995": "Certain adverse effects not elsewhere classified",
    "9952": "Other and unspecified adverse effect of drug, medicinal and biological substance",
    "99520": "Unspecified adverse effect of unspecified drug, medicinal and biological substance",
    "99527": "Other drug allergy",
    "99529": "Unspecified adverse effect of other drug, medicinal and biological substance",
    "9957": "Other adverse food reactions, not elsewhere classified",
    "9958": "Other specified adverse effects, not elsewhere classified",
    "9982": "Accidental puncture or laceration during a procedure, not elsewhere classified",
    "9984": "Foreign body accidentally left during a procedure",
    "9987": "Acute reaction to foreign substance accidentally left during a procedure",
    "E8028": "Railway accident involving derailment without antecedent collision injuring other specified person",
    "E8038": "Railway accident involving explosion, fire, or burning injuring other specified person",
    "E8039": "Railway accident involving explosion, fire, or burning injuring unspecified person",
    "E8040": "Fall in, on, or from railway train injuring railway employee",
    "E8041": "Fall in, on, or from railway train injuring passenger on railway",
    "E8042": "Fall in, on, or from railway train injuring pedestrian",
    "E8043": "Fall in, on, or from railway train injuring pedal cyclist",
    "E8048": "Fall in, on, or from railway train injuring other specified person",
    "E8049": "Fall in, on, or from railway train injuring unspecified person",
    "E8050": "Railway employee hit by rolling stock",
    "E8051": "Passenger on railway hit by rolling stock",
    "E8052": "Pedestrian hit by rolling stock",
    "E8053": "Pedal cyclist hit by rolling stock",
    "E8058": "Other specified person hit by rolling stock",
    "E8060": "Other specified railway accident injuring railway employee",
    "E8061": "Other specified railway accident injuring passenger on railway",
    "E8062": "Other specified railway accident injuring pedestrian",
    "E8063": "Other specified railway accident injuring pedal cyclist",
    "E8068": "Other specified railway accident injuring other specified person",
    "E8069": "Other specified railway accident injuring unspecified person",
    "E8070": "Railway accident of unspecified nature injuring railway employee",
    "E8071": "Railway accident of unspecified nature injuring passenger on railway",
    "E8072": "Railway accident of unspecified nature injuring pedestrian",
    "E8073": "Railway accident of unspecified nature injuring pedal cyclist",
    "E8078": "Railway accident of unspecified nature injuring other specified person",
    "E8079": "Railway accident of unspecified nature injuring unspecified person",
    "E8100": "Motor vehicle traffic accident involving collision with train injuring driver of motor vehicle other than motorcycle",
    "E8101": "Motor vehicle traffic accident involving collision with train injuring passenger in motor vehicle other than motorcycle",
    "E8102": "Motor vehicle traffic accident involving collision with train injuring motorcyclist",
    "E8103": "Motor vehicle traffic accident involving collision with train injuring passenger on motorcycle",
    "E8104": "Motor vehicle traffic accident involving collision with train injuring occupant of streetcar",
    "E8105": "Motor vehicle traffic accident involving collision with train injuring rider of animal; occupant of animal-drawn vehicle",
    "E8106": "Motor vehicle traffic accident involving collision with train injuring pedal cyclist",
    "E8107": "Motor vehicle traffic accident involving collision with train injuring pedestrian",
    "E8108": "Motor vehicle traffic accident involving collision with train injuring other specified person",
    "E8109": "Motor vehicle traffic accident involving collision with train injuring unspecified person",
    "E8110": "Motor vehicle traffic accident involving re-entrant collision with another motor vehicle injuring driver of motor vehicle other than motorcycle",
    "E8111": "Motor vehicle traffic accident involving re-entrant collision with another motor vehicle injuring passenger in motor vehicle other than motorcycle",
    "E8112": "Motor vehicle traffic accident involving re-entrant collision with another motor vehicle injuring motorcyclist",
    "E8113": "Motor vehicle traffic accident involving re-entrant collision with another motor vehicle injuring passenger on motorcycle",
    "E8114": "Motor vehicle traffic accident involving re-entrant collision with another motor vehicle injuring occupant of streetcar",
    "E8115": "Motor vehicle traffic accident involving re-entrant collision with another motor vehicle injuring rider of animal; occupant of animal-drawn vehicle",
    "E8116": "Motor vehicle traffic accident involving re-entrant collision with another motor vehicle injuring pedal cyclist",
    "E8117": "Motor vehicle traffic accident involving re-entrant collision with another motor vehicle injuring pedestrian",
    "E8118": "Motor vehicle traffic accident involving re-entrant collision with another motor vehicle injuring other specified person",
    "E8119": "Motor vehicle traffic accident involving re-entrant collision with another motor vehicle injuring unspecified person",
    "E8120": "Other motor vehicle traffic accident involving collision with motor vehicle injuring driver of motor vehicle other than motorcycle",
    "E8121": "Other motor vehicle traffic accident involving collision with motor vehicle injuring passenger in motor vehicle other than motorcycle",
    "E8122": "Other motor vehicle traffic accident involving collision with motor vehicle injuring motorcyclist",
    "E8123": "Other motor vehicle traffic accident involving collision with motor vehicle injuring passenger on motorcycle",
    "E8124": "Other motor vehicle traffic accident involving collision with motor vehicle injuring occupant of streetcar",
    "E8125": "Other motor vehicle traffic accident involving collision with motor vehicle injuring rider of animal; occupant of animal-drawn vehicle",
    "E8126": "Other motor vehicle traffic accident involving collision with motor vehicle injuring pedal cyclist",
    "E8127": "Other motor vehicle traffic accident involving collision with motor vehicle injuring pedestrian",
    "E8128": "Other motor vehicle traffic accident involving collision with motor vehicle injuring other specified person",
    "E8130": "Motor vehicle traffic accident involving collision with other vehicle injuring driver of motor vehicle other than motorcycle",
    "E8131": "Motor vehicle traffic accident involving collision with other vehicle injuring passenger in motor vehicle other than motorcycle",
    "E8132": "Motor vehicle traffic accident involving collision with other vehicle injuring motorcyclist",
    "E8133": "Motor vehicle traffic accident involving collision with other vehicle injuring passenger on motorcycle",
    "E8134": "Motor vehicle traffic accident involving collision with other vehicle injuring occupant of streetcar",
    "E8135": "Motor vehicle traffic accident involving collision with other vehicle injuring rider of animal; occupant of animal-drawn vehicle",
    "E8136": "Motor vehicle traffic accident involving collision with other vehicle injuring pedal cyclist",
    "E8137": "Motor vehicle traffic accident involving collision with other vehicle injuring pedestrian",
    "E8138": "Motor vehicle traffic accident involving collision with other vehicle injuring other specified person",
    "E8139": "Motor vehicle traffic accident involving collision with other vehicle injuring unspecified person",
    "E8148": "Motor vehicle traffic accident involving collision with pedestrian injuring other specified person",
    "E8149": "Motor vehicle traffic accident involving collision with pedestrian injuring unspecified person",
    "E8158": "Other motor vehicle traffic accident involving collision on the highway injuring other specified person",
    "E8159": "Other motor vehicle traffic accident involving collision on the highway injuring unspecified person",
    "E8168": "Motor vehicle traffic accident due to loss of control, without collision on the highway, injuring other specified person",
    "E8169": "Motor vehicle traffic accident due to loss of control, without collision on the highway, injuring unspecified person",
    "E8170": "Noncollision motor vehicle traffic accident while boarding or alighting injuring driver of motor vehicle other than motorcycle",
    "E8171": "Noncollision motor vehicle traffic accident while boarding or alighting injuring passenger in motor vehicle other than motorcycle",
    "E8172": "Noncollision motor vehicle traffic accident while boarding or alighting injuring motorcyclist",
    "E8173": "Noncollision motor vehicle traffic accident while boarding or alighting injuring passenger on motorcycle",
    "E8174": "Noncollision motor vehicle traffic accident while boarding or alighting injuring occupant of streetcar",
    "E8175": "Noncollision motor vehicle traffic accident while boarding or alighting injuring rider of animal; occupant of animal-drawn vehicle",
    "E8176": "Noncollision motor vehicle traffic accident while boarding or alighting injuring pedal cyclist",
    "E8177": "Noncollision motor vehicle traffic accident while boarding or alighting injuring pedestrian",
    "E8178": "Noncollision motor vehicle traffic accident while boarding or alighting injuring other specified person",
    "E8179": "Noncollision motor vehicle traffic accident while boarding or alighting injuring unspecified person",
    "E8180": "Other noncollision motor vehicle traffic accident injuring driver of motor vehicle other than motorcycle",
    "E8181": "Other noncollision motor vehicle traffic accident injuring passenger in motor vehicle other than motorcycle",
    "E8182": "Other noncollision motor vehicle traffic accident injuring motorcyclist",
    "E8183": "Other noncollision motor vehicle traffic accident injuring passenger on motorcycle",
    "E8184": "Other noncollision motor vehicle traffic accident injuring occupant of streetcar",
    "E8185": "Other noncollision motor vehicle traffic accident injuring rider of animal; occupant of animal-drawn vehicle",
    "E8186": "Other noncollision motor vehicle traffic accident injuring pedal cyclist",
    "E8187": "Other noncollision motor vehicle traffic accident injuring pedestrian",
    "E8188": "Other noncollision motor vehicle traffic accident injuring other specified person",
    "E8189": "Other noncollision motor vehicle traffic accident injuring unspecified person",
    "E8190": "Motor vehicle traffic accident of unspecified nature injuring driver of motor vehicle other than motorcycle",
    "E8191": "Motor vehicle traffic accident of unspecified nature injuring passenger in motor vehicle other than motorcycle",
    "E8192": "Motor vehicle traffic accident of unspecified nature injuring motorcyclist",
    "E8193": "Motor vehicle traffic accident of unspecified nature injuring passenger on motorcycle",
    "E8194": "Motor vehicle traffic accident of unspecified nature injuring occupant of streetcar",
    "E8195": "Motor vehicle traffic accident of unspecified nature injuring rider of animal; occupant of animal-drawn vehicle",
    "E8196": "Motor vehicle traffic accident of unspecified nature injuring pedal cyclist",
    "E8197": "Motor vehicle traffic accident of unspecified nature injuring pedestrian",
    "E8198": "Motor vehicle traffic accident of unspecified nature injuring other specified person",
    "E8199": "Motor vehicle traffic accident of unspecified nature injuring unspecified person",
    "E8208": "Nontraffic accident involving motor-driven snow vehicle injuring other specified person",
    "E8209": "Nontraffic accident involving motor-driven snow vehicle injuring unspecified person",
    "E8210": "Nontraffic accident involving other off-road motor vehicle injuring driver of motor vehicle other than motorcycle",
    "E8211": "Nontraffic accident involving other off-road motor vehicle injuring passenger in motor vehicle other than motorcycle",
    "E8212": "Nontraffic accident involving other off-road motor vehicle injuring motorcyclist",
    "E8213": "Nontraffic accident involving other off-road motor vehicle injuring passenger on motorcycle",
    "E8214": "Nontraffic accident involving other off-road motor vehicle injuring occupant of streetcar",
    "E8215": "Nontraffic accident involving other off-road motor vehicle injuring rider of animal; occupant of animal-drawn vehicle",
    "E8216": "Nontraffic accident involving other off-road motor vehicle injuring pedal cyclist",
    "E8217": "Nontraffic accident involving other off-road motor vehicle injuring pedestrian",
    "E8218": "Nontraffic accident involving other off-road motor vehicle injuring other specified person",
    "E8219": "Nontraffic accident involving other off-road motor vehicle injuring unspecified person",
    "E8220": "Other motor vehicle nontraffic accident involving collision with moving object injuring driver of motor vehicle other than motorcycle",
    "E8221": "Other motor vehicle nontraffic accident involving collision with moving object injuring passenger in motor vehicle other than motorcycle",
    "E8222": "Other motor vehicle nontraffic accident involving collision with moving object injuring motorcyclist",
    "E8223": "Other motor vehicle nontraffic accident involving collision with moving object injuring passenger on motorcycle",
    "E8224": "Other motor vehicle nontraffic accident involving collision with moving object injuring occupant of streetcar",
    "E8225": "Other motor vehicle nontraffic accident involving collision with moving object injuring rider of animal; occupant of animal-drawn vehicle",
    "E8226": "Other motor vehicle nontraffic accident involving collision with moving object injuring pedal cyclist",
    "E8227": "Other motor vehicle nontraffic accident involving collision with moving object injuring pedestrian",
    "E8228": "Other motor vehicle nontraffic accident involving collision with moving object injuring other specified person",
    "E8229": "Other motor vehicle nontraffic accident involving collision with moving object injuring unspecified person",
    "E8230": "Other motor vehicle nontraffic accident involving collision with stationary object injuring driver of motor vehicle other than motorcycle",
    "E8231": "Other motor vehicle nontraffic accident involving collision with stationary object injuring passenger in motor vehicle other than motorcycle",
    "E8232": "Other motor vehicle nontraffic accident involving collision with stationary object injuring motorcyclist",
    "E8233": "Other motor vehicle nontraffic accident involving collision with stationary object injuring passenger on motorcycle",
    "E8234": "Other motor vehicle nontraffic accident involving collision with stationary object injuring occupant of streetcar",
    "E8235": "Other motor vehicle nontraffic accident involving collision with stationary object injuring rider of animal; occupant of animal-drawn vehicle",
    "E8236": "Other motor vehicle nontraffic accident involving collision with stationary object injuring pedal cyclist",
    "E8237": "Other motor vehicle nontraffic accident involving collision with stationary object injuring pedestrian",
    "E8238": "Other motor vehicle nontraffic accident involving collision with stationary object injuring other specified person",
    "E8294": "Other road vehicle accidents injuring occupant of streetcar",
    "E8239": "Other motor vehicle nontraffic accident involving collision with stationary object injuring unspecified person",
    "E8240": "Other motor vehicle nontraffic accident while boarding and alighting injuring driver of motor vehicle other than motorcycle",
    "E8241": "Other motor vehicle nontraffic accident while boarding and alighting injuring passenger in motor vehicle other than motorcycle",
    "E8242": "Other motor vehicle nontraffic accident while boarding and alighting injuring motorcyclist",
    "E8243": "Other motor vehicle nontraffic accident while boarding and alighting injuring passenger on motorcycle",
    "E8244": "Other motor vehicle nontraffic accident while boarding and alighting injuring occupant of streetcar",
    "E8245": "Other motor vehicle nontraffic accident while boarding and alighting injuring rider of animal; occupant of animal-drawn vehicle",
    "E8246": "Other motor vehicle nontraffic accident while boarding and alighting injuring pedal cyclist",
    "E8247": "Other motor vehicle nontraffic accident while boarding and alighting injuring pedestrian",
    "E8248": "Other motor vehicle nontraffic accident while boarding and alighting injuring other specified person",
    "E8249": "Other motor vehicle nontraffic accident while boarding and alighting injuring unspecified person",
    "E8250": "Other motor vehicle nontraffic accident of other and unspecified nature injuring driver of motor vehicle other than motorcycle",
    "E8251": "Other motor vehicle nontraffic accident of other and unspecified nature injuring passenger in motor vehicle other than motorcycle",
    "E8252": "Other motor vehicle nontraffic accident of other and unspecified nature injuring motorcyclist",
    "E8253": "Other motor vehicle nontraffic accident of other and unspecified nature injuring passenger on motorcycle",
    "E8254": "Other motor vehicle nontraffic accident of other and unspecified nature injuring occupant of streetcar",
    "E8255": "Other motor vehicle nontraffic accident of other and unspecified nature injuring rider of animal; occupant of animal-drawn vehicle",
    "E8256": "Other motor vehicle nontraffic accident of other and unspecified nature injuring pedal cyclist",
    "E8257": "Other motor vehicle nontraffic accident of other and unspecified nature injuring pedestrian",
    "E8258": "Other motor vehicle nontraffic accident of other and unspecified nature injuring other specified person",
    "E8259": "Other motor vehicle nontraffic accident of other and unspecified nature injuring unspecified person",
    "E8260": "Pedal cycle accident injuring pedestrian",
    "E8261": "Pedal cycle accident injuring pedal cyclist",
    "E8262": "Pedal cycle accident injuring rider of animal",
    "E8264": "Pedal cycle accident injuring occupant of streetcar",
    "E8268": "Pedal cycle accident injuring other specified person",
    "E8269": "Pedal cycle accident injuring unspecified person",
    "E8278": "Animal-drawn vehicle accident injuring other specified person",
    "E8279": "Animal-drawn vehicle accident injuring unspecified person",
    "E8280": "Accident involving animal being ridden injuring pedestrian",
    "E8282": "Accident involving animal being ridden injuring rider of animal",
    "E8284": "Accident involving animal being ridden injuring occupant of streetcar",
    "E8288": "Accident involving animal being ridden injuring other specified person",
    "E8289": "Accident involving animal being ridden injuring unspecified person",
    "E8290": "Other road vehicle accidents injuring pedestrian",
    "E8298": "Other road vehicle accidents injuring other specified person",
    "E8299": "Other road vehicle accidents injuring unspecified person",
    "E8300": "Accident to watercraft causing submersion injuring occupant of small boat, unpowered",
    "E8301": "Accident to watercraft causing submersion injuring occupant of small boat, powered",
    "E8302": "Accident to watercraft causing submersion injuring occupant of other watercraft -- crew",
    "E8303": "Accident to watercraft causing submersion injuring occupant of other watercraft -- other than crew",
    "E8304": "Accident to watercraft causing submersion injuring water skier",
    "E8305": "Accident to watercraft causing submersion injuring swimmer",
    "E8306": "Accident to watercraft causing submersion injuring dockers, stevedores",
    "E8307": "Accident to watercraft causing submersion, occupant of military watercraft, any type",
    "E8308": "Accident to watercraft causing submersion injuring other specified person",
    "E8309": "Accident to watercraft causing submersion injuring unspecified person",
    "E8310": "Accident to watercraft causing other injury to occupant of small boat, unpowered",
    "E8311": "Accident to watercraft causing other injury to occupant of small boat, powered",
    "E8312": "Accident to watercraft causing other injury to occupant of other watercraft -- crew",
    "E8313": "Accident to watercraft causing other injury to occupant of other watercraft -- other than crew",
    "E8314": "Accident to watercraft causing other injury to water skier",
    "E8315": "Accident to watercraft causing other injury to swimmer",
    "E8316": "Accident to watercraft causing other injury to dockers, stevedores",
    "E8317": "Accident to watercraft causing other injury, occupant of military watercraft, any type",
    "E8318": "Accident to watercraft causing other injury to other specified person",
    "E8319": "Accident to watercraft causing other injury to unspecified person",
    "E8320": "Other accidental submersion or drowning in water transport accident injuring occupant of small boat, unpowered",
    "E8321": "Other accidental submersion or drowning in water transport accident injuring occupant of small boat, powered",
    "E8322": "Other accidental submersion or drowning in water transport accident injuring occupant of other watercraft -- crew",
    "E8323": "Other accidental submersion or drowning in water transport accident injuring occupant of other watercraft -- other than crew",
    "E8324": "Other accidental submersion or drowning in water transport accident injuring water skier",
    "E8325": "Other accidental submersion or drowning in water transport accident injuring swimmer",
    "E8326": "Other accidental submersion or drowning in water transport accident injuring dockers, stevedores",
    "E8327": "Other accidental submersion or drowning in water transport accident, occupant of military watercraft, any type",
    "E8328": "Other accidental submersion or drowning in water transport accident injuring other specified person",
    "E8329": "Other accidental submersion or drowning in water transport accident injuring unspecified person",
    "E8330": "Fall on stairs or ladders in water transport injuring occupant of small boat, unpowered",
    "E8331": "Fall on stairs or ladders in water transport injuring occupant of small boat, powered",
    "E8332": "Fall on stairs or ladders in water transport injuring occupant of other watercraft -- crew",
    "E8333": "Fall on stairs or ladders in water transport injuring occupant of other watercraft -- other than crew",
    "E8334": "Fall on stairs or ladders in water transport injuring water skier",
    "E8335": "Fall on stairs or ladders in water transport injuring swimmer",
    "E8336": "Fall on stairs or ladders in water transport injuring dockers, stevedores",
    "E8337": "Fall on stairs or ladders in water transport, occupant of military watercraft, any type",
    "E8338": "Fall on stairs or ladders in water transport injuring other specified person",
    "E8339": "Fall on stairs or ladders in water transport injuring unspecified person",
    "E8340": "Other fall from one level to another in water transport injuring occupant of small boat, unpowered",
    "E8341": "Other fall from one level to another in water transport injuring occupant of small boat, powered",
    "E8342": "Other fall from one level to another in water transport injuring occupant of other watercraft -- crew",
    "E8343": "Other fall from one level to another in water transport injuring occupant of other watercraft -- other than crew",
    "E8344": "Other fall from one level to another in water transport injuring water skier",
    "E8345": "Other fall from one level to another in water transport injuring swimmer",
    "E8346": "Other fall from one level to another in water transport injuring dockers, stevedores",
    "E8347": "Other fall from one level to another in water transport, occupant of military watercraft, any type",
    "E8348": "Other fall from one level to another in water transport injuring other specified person",
    "E8349": "Other fall from one level to another in water transport injuring unspecified person",
    "E8350": "Other and unspecified fall in water transport injuring occupant of small boat, unpowered",
    "E8351": "Other and unspecified fall in water transport injuring occupant of small boat, powered",
    "E8352": "Other and unspecified fall in water transport injuring occupant of other watercraft -- crew",
    "E8353": "Other and unspecified fall in water transport injuring occupant of other watercraft -- other than crew",
    "E8354": "Other and unspecified fall in water transport injuring water skier",
    "E8355": "Other and unspecified fall in water transport injuring swimmer",
    "E8356": "Other and unspecified fall in water transport injuring dockers, stevedores",
    "E8357": "Other and unspecified fall in water transport, occupant of military watercraft, any type",
    "E8358": "Other and unspecified fall in water transport injuring other specified person",
    "E8359": "Other and unspecified fall in water transport injuring unspecified person",
    "E8360": "Machinery accident in water transport injuring occupant of small boat, unpowered",
    "E8361": "Machinery accident in water transport injuring occupant of small boat, powered",
    "E8362": "Machinery accident in water transport injuring occupant of other watercraft -- crew",
    "E8363": "Machinery accident in water transport injuring occupant of other watercraft -- other than crew",
    "E8364": "Machinery accident in water transport injuring water skier",
    "E8365": "Machinery accident in water transport injuring swimmer",
    "E8366": "Machinery accident in water transport injuring dockers, stevedores",
    "E8367": "Machinery accident in water transport, occupant of military watercraft, any type",
    "E8368": "Machinery accident in water transport injuring other specified person",
    "E8369": "Machinery accident in water transport injuring unspecified person",
    "E8370": "Explosion, fire, or burning in watercraft injuring occupant of small boat, unpowered",
    "E8371": "Explosion, fire, or burning in watercraft injuring occupant of small boat, powered",
    "E8372": "Explosion, fire, or burning in watercraft injuring occupant of other watercraft -- crew",
    "E8373": "Explosion, fire, or burning in watercraft injuring occupant of other watercraft -- other than crew",
    "E8374": "Explosion, fire, or burning in watercraft injuring water skier",
    "E8375": "Explosion, fire, or burning in watercraft injuring swimmer",
    "E8376": "Explosion, fire, or burning in watercraft injuring dockers, stevedores",
    "E8377": "Explosion, fire, or burning in watercraft, occupant of military watercraft, any type",
    "E8378": "Explosion, fire, or burning in watercraft injuring other specified person",
    "E8379": "Explosion, fire, or burning in watercraft injuring unspecified person",
    "E8380": "Other and unspecified water transport accident injuring occupant of small boat, unpowered",
    "E8381": "Other and unspecified water transport accident injuring occupant of small boat, powered",
    "E8382": "Other and unspecified water transport accident injuring occupant of other watercraft -- crew",
    "E8383": "Other and unspecified water transport accident injuring occupant of other watercraft -- other than crew",
    "E8384": "Other and unspecified water transport accident injuring water skier",
    "E8385": "Other and unspecified water transport accident injuring swimmer",
    "E8386": "Other and unspecified water transport accident injuring dockers, stevedores",
    "E8387": "Other and unspecified water transport accident, occupant of military watercraft, any type",
    "E8388": "Other and unspecified water transport accident injuring other specified person",
    "E8389": "Other and unspecified water transport accident injuring unspecified person",
    "E8400": "Accident to powered aircraft at takeoff or landing injuring occupant of spacecraft",
    "E8401": "Accident to powered aircraft at takeoff or landing injuring occupant of military aircraft, any",
    "E8402": "Accident to powered aircraft at takeoff or landing injuring crew of commercial aircraft (powered) in surface to surface transport",
    "E8403": "Accident to powered aircraft at takeoff or landing injuring other occupant of commercial aircraft (powered) in surface to surface transport",
    "E8404": "Accident to powered aircraft at takeoff or landing injuring occupant of commercial aircraft (powered) in surface to air transport",
    "E8405": "Accident to powered aircraft at takeoff or landing injuring occupant of other powered aircraft",
    "E8406": "Accident to powered aircraft at takeoff or landing injuring occupant of unpowered aircraft, except parachutist",
    "E8407": "Accident to powered aircraft at takeoff or landing injuring parachutist (military) (other)",
    "E8408": "Accident to powered aircraft at takeoff or landing injuring ground crew, airline employee",
    "E8409": "Accident to powered aircraft at takeoff or landing injuring other person",
    "E8410": "Accident to powered aircraft, other and unspecified, injuring occupant of spacecraft",
    "E8411": "Accident to powered aircraft, other and unspecified, injuring occupant of military aircraft, any",
    "E8412": "Accident to powered aircraft, other and unspecified, injuring crew of commercial aircraft (powered) in surface to surface transport",
    "E8413": "Accident to powered aircraft, other and unspecified, injuring other occupant of commercial aircraft (powered) in surface to surface transport",
    "E8414": "Accident to powered aircraft, other and unspecified, injuring occupant of commercial aircraft (powered) in surface to air transport",
    "E8415": "Accident to powered aircraft, other and unspecified, injuring occupant of other powered aircraft",
    "E8416": "Accident to powered aircraft, other and unspecified, injuring occupant of unpowered aircraft, except parachutist",
    "E8417": "Accident to powered aircraft, other and unspecified, injuring parachutist (military) (other)",
    "E8418": "Accident to powered aircraft, other and unspecified, injuring ground crew, airline employee",
    "E8419": "Accident to powered aircraft, other and unspecified, injuring other person",
    "E8426": "Accident to unpowered aircraft injuring occupant of unpowered aircraft, except parachutist",
    "E8427": "Accident to unpowered aircraft injuring parachutist (military) (other)",
    "E8428": "Accident to unpowered aircraft injuring ground crew, airline employee",
    "E8429": "Accident to unpowered aircraft injuring other person",
    "E8430": "Fall in, on, or from aircraft injuring occupant of spacecraft",
    "E8431": "Fall in, on, or from aircraft injuring occupant of military aircraft, any",
    "E8432": "Fall in, on, or from aircraft injuring crew of commercial aircraft (powered) in surface to surface transport",
    "E8433": "Fall in, on, or from aircraft injuring other occupant of commercial aircraft (powered) in surface to surface transport",
    "E8434": "Fall in, on, or from aircraft injuring occupant of commercial aircraft (powered) in surface to air transport",
    "E8435": "Fall in, on, or from aircraft injuring occupant of other powered aircraft",
    "E8436": "Fall in, on, or from aircraft injuring occupant of unpowered aircraft, except parachutist",
    "E8437": "Fall in, on, or from aircraft injuring parachutist (military) (other)",
    "E8438": "Fall in, on, or from aircraft injuring ground crew, airline employee",
    "E8439": "Fall in, on, or from aircraft injuring other person",
    "E8440": "Other specified air transport accidents injuring occupant of spacecraft",
    "E8441": "Other specified air transport accidents injuring occupant of military aircraft, any",
    "E8442": "Other specified air transport accidents injuring crew of commercial aircraft (powered) in surface to surface transport",
    "E8443": "Other specified air transport accidents injuring other occupant of commercial aircraft (powered) in surface to surface transport",
    "E8444": "Other specified air transport accidents injuring occupant of commercial aircraft (powered) in surface to air transport",
    "E8445": "Other specified air transport accidents injuring occupant of other powered aircraft",
    "E8446": "Other specified air transport accidents injuring occupant of unpowered aircraft, except parachutist",
    "E8447": "Other specified air transport accidents injuring parachutist (military) (other)",
    "E8448": "Other specified air transport accidents injuring ground crew, airline employee",
    "E8449": "Other specified air transport accidents injuring other person",
    "E8450": "Accident involving spacecraft injuring occupant of spacecraft",
    "E8458": "Accident involving spacecraft injuring ground crew, airline employee",
    "E8459": "Accident involving spacecraft injuring other person",
    "E9300": "Penicillins causing adverse effects in therapeutic use",
    "E9302": "Chloramphenicol group causing adverse effects in therapeutic use",
    "E9303": "Erythromycin and other macrolides causing adverse effects in therapeutic use",
    "E9304": "Tetracycline group causing adverse effects in therapeutic use",
    "E9305": "Cephalosporin group causing adverse effects in therapeutic use",
    "E9306": "Antimycobacterial antibiotics causing adverse effects in therapeutic use",
    "E9307": "Antineoplastic antibiotics causing adverse effects in therapeutic use",
    "E9308": "Other specified antibiotics causing adverse effects in therapeutic use",
    "E9309": "Unspecified antibiotic causing adverse effects in therapeutic use",
    "E931": "Other anti-infectives causing adverse effects in therapeutic use",
    "E9310": "Sulfonamides causing adverse effects in therapeutic use",
    "E9311": "Arsenical anti-infectives causing adverse effects in therapeutic use",
    "E9312": "Heavy metal anti-infectives causing adverse effects in therapeutic use",
    "E9314": "Antimalarials and drugs acting on other blood protozoa causing adverse effects in therapeutic use",
    "E9315": "Other antiprotozoal drugs causing adverse effects in therapeutic use",
    "E9318": "Other antimycobacterial drugs causing adverse effects in therapeutic use",
    "E9319": "Other and unspecified anti-infectives causing adverse effects in therapeutic use",
    "E932": "Hormones and synthetic substitutes causing adverse effects in therapeutic use",
    "E9321": "Androgens and anabolic congeners causing adverse effects in therapeutic use",
    "E9322": "Ovarian hormones and synthetic substitutes causing adverse effects in therapeutic use",
    "E9323": "Insulins and antidiabetic agents causing adverse effects in therapeutic use",
    "E9324": "Anterior pituitary hormones causing adverse effects in therapeutic use",
    "E9325": "Posterior pituitary hormones causing adverse effects in therapeutic use",
    "E9326": "Parathyroid and parathyroid derivatives causing adverse effects in therapeutic use",
    "E9327": "Thyroid and thyroid derivatives causing adverse effects in therapeutic use",
    "E9328": "Antithyroid agents causing adverse effects in therapeutic use",
    "E9329": "Other and unspecified hormones and synthetic substitutes causing adverse effects in therapeutic use",
    "E933": "Primarily systemic agents causing adverse effects in therapeutic use",
    "E9330": "Antiallergic and antiemetic drugs causing adverse effects in therapeutic use",
    "E9331": "Antineoplastic and immunosuppressive drugs causing adverse effects in therapeutic use",
    "E9334": "Enzymes, not elsewhere classified, causing adverse effects in therapeutic use",
    "E9335": "Vitamins, not elsewhere classified, causing adverse effects in therapeutic use",
    "E9337": "Intravenous bisphosphonates",
    "E9340": "Iron and its compounds causing adverse effects in therapeutic use",
    "E9342": "Anticoagulants causing adverse effects in therapeutic use",
    "E9343": "Vitamin k [phytonadione] causing adverse effects in therapeutic use",
    "E9344": "Fibrinolysis-affecting drugs causing adverse effects in therapeutic use",
    "E9345": "Anticoagulant antagonists and other coagulants causing adverse effects in therapeutic use",
    "E9346": "Gamma globulin causing adverse effects in therapeutic use",
    "E9347": "Natural blood and blood products causing adverse effects in therapeutic use",
    "E9348": "Other agents affecting blood constituents causing adverse effects in therapeutic use",
    "E9349": "Unspecified agent affecting blood constituents causing adverse effects in therapeutic use",
    "E935": "Analgesics, antipyretics, and antirheumatics causing adverse effects in therapeutic use",
    "E9350": "Heroin causing adverse effects in therapeutic use",
    "E9351": "Methadone causing averse effects in therapeutic use",
    "E9352": "Other opiates and related narcotics causing adverse effects in therapeutic use",
    "E9353": "Salicylates causing adverse effects in therapeutic use",
    "E9354": "Aromatic analgesics, not elsewhere classified, causing adverse effects in therapeutic use",
    "E9355": "Pyrazole derivatives causing adverse effects in therapeutic use",
    "E9357": "Other non-narcotic analgesics causing adverse effects in therapeutic use",
    "E9358": "Other specified analgesics and antipyretics causing adverse effects in therapeutic use",
    "E9359": "Unspecified analgesic and antipyretic causing adverse effects in therapeutic use",
    "E936": "Anticonvulsants and anti-Parkinsonism drugs causing adverse effects in therapeutic use",
    "E9360": "Oxazolidine derivatives causing adverse effects in therapeutic use",
    "E9361": "Hydantoin derivatives causing adverse effects in therapeutic use",
    "E9362": "Succinimides causing adverse effects in therapeutic use",
    "E9363": "Other and unspecified anticonvulsants causing adverse effects in therapeutic use",
    "E9364": "Anti-parkinsonism drugs causing adverse effects in therapeutic use",
    "E9370": "Barbiturates causing adverse effects in therapeutic use",
    "E9371": "Chloral hydrate group causing adverse effects in therapeutic use",
    "E9372": "Paraldehyde causing adverse effects in therapeutic use",
    "E9373": "Bromine compounds causing adverse effects in therapeutic use",
    "E9375": "Glutethimide group causing adverse effects in therapeutic use",
    "E9376": "Mixed sedatives, not elsewhere classified, causing adverse effects in therapeutic use",
    "E9379": "Unspecified sedatives and hypnotics causing adverse effects in therapeutic use",
    "E9380": "Central nervous system muscle-tone depressants causing adverse effects in therapeutic use",
    "E9381": "Halothane causing adverse effects in therapeutic use",
    "E9382": "Other gaseous anesthetics causing adverse effects in therapeutic use",
    "E9383": "Intravenous anesthetics causing adverse effects in therapeutic use",
    "E9384": "Other and unspecified general anesthetics causing adverse effects in therapeutic use",
    "E9385": "Surface and infiltration anesthetics causing adverse effects in therapeutic use",
    "E9386": "Peripheral nerve- and plexus-blocking anesthetics causing adverse effects in therapeutic use",
    "E9389": "Other and unspecified local anesthetics causing adverse effects in therapeutic use",
    "E939": "Psychotropic agents causing adverse effects in therapeutic use",
    "E9390": "Antidepressants causing adverse effects in therapeutic use",
    "E9391": "Phenothiazine-based tranquilizers causing adverse effects in therapeutic use",
    "E9392": "Butyrophenone-based tranquilizers causing adverse effects in therapeutic use",
    "E9393": "Other antipsychotics, neuroleptics, and major tranquilizers causing adverse effects in therapeutic use",
    "E9394": "Benzodiazepine-based tranquilizers causing adverse effects in therapeutic use",
    "E9395": "Other tranquilizers causing adverse effects in therapeutic use",
    "E9396": "Psychodysleptics [hallucinogens] causing adverse effects in therapeutic use",
    "E9397": "Psychostimulants causing adverse effects in therapeutic use",
    "E940": "Central nervous system stimulants causing adverse effects in therapeutic use",
    "E9400": "Analeptics causing adverse effects in therapeutic use",
    "E9401": "Opiate antagonists causing adverse effects in therapeutic use",
    "E9408": "Other specified central nervous system stimulants causing adverse effects in therapeutic use",
    "E9409": "Unspecified central nervous system stimulant causing adverse effects in therapeutic use",
    "E941": "Drugs primarily affecting the autonomic nervous system causing adverse effects in therapeutic use",
    "E9410": "Parasympathomimetics [cholinergics] causing adverse effects in therapeutic use",
    "E9411": "Parasympatholytics [anticholinergics and antimuscarinics] and spasmolytics causing adverse effects in therapeutic use",
    "E9412": "Sympathomimetics [adrenergics] causing adverse effects in therapeutic use",
    "E9413": "Sympatholytics [antiadrenergics] causing adverse effects in therapeutic use",
    "E9419": "Unspecified drug primarily affecting the autonomic nervous system causing adverse effects in therapeutic use",
    "E942": "Agents primarily affecting the cardiovascular system causing adverse effects in therapeutic use",
    "E9420": "Cardiac rhythm regulators causing adverse effects in therapeutic use",
    "E9421": "Cardiotonic glycosides and drugs of similar action causing adverse effects in therapeutic use",
    "E9422": "Antilipemic and antiarteriosclerotic drugs causing adverse effects in therapeutic use",
    "E9423": "Ganglion-blocking agents causing adverse effects in therapeutic use",
    "E9424": "Coronary vasodilators causing adverse effects in therapeutic use",
    "E9425": "Other vasodilators causing adverse effects in therapeutic use",
    "E9426": "Other antihypertensive agents causing adverse effects in therapeutic use",
    "E9427": "Antivaricose drugs, including sclerosing agents, causing adverse effects in therapeutic use",
    "E9428": "Capillary-active drugs causing adverse effects in therapeutic use",
    "E9429": "Other and unspecified agents primarily affecting the cardiovascular system causing adverse effects in therapeutic use",
    "E943": "Agents primarily affecting gastrointestinal system causing adverse effects in therapeutic use",
    "E9430": "Antacids and antigastric secretion drugs causing adverse effects in therapeutic use",
    "E9431": "Irritant cathartics causing adverse effects in therapeutic use",
    "E9432": "Emollient cathartics causing adverse effects in therapeutic use",
    "E9433": "Other cathartics, including intestinal atonia drugs, causing adverse effects in therapeutic use",
    "E9434": "Digestants causing adverse effects in therapeutic use",
    "E9435": "Antidiarrheal drugs causing adverse effects in therapeutic use",
    "E9436": "Emetics causing adverse effects in therapeutic use",
    "E9438": "Other specified agents primarily affecting the gastro-intestinal system causing adverse effects in therapeutic use",
    "E9439": "Unspecified agent primarily affecting the gastrointestinal system causing adverse effects in therapeutic use",
    "E9440": "Mercurial diuretics causing adverse effects in therapeutic use",
    "E9441": "Purine derivative diuretics causing adverse effects in therapeutic use",
    "E9442": "Carbonic acid anhydrase inhibitors causing adverse effects in therapeutic use",
    "E9443": "Saluretics causing adverse effects in therapeutic use",
    "E9444": "Other diuretics causing adverse effects in therapeutic use",
    "E945": "Agents primarily acting on the smooth and skeletal muscles and respiratory system causing adverse effects in therapeutic use",
    "E9450": "Oxytocic agents causing adverse effects in therapeutic use",
    "E9451": "Smooth muscle relaxants causing adverse effects in therapeutic use",
    "E9452": "Skeletal muscle relaxants causing adverse effects in therapeutic use",
    "E9453": "Other and unspecified drugs acting on muscles causing adverse effects in therapeutic use",
    "E9454": "Antitussives causing adverse effects in therapeutic use",
    "E9455": "Expectorants causing adverse effects in therapeutic use",
    "E9456": "Anti-common cold drugs causing adverse effects in therapeutic use",
    "E9457": "Antiasthmatics causing adverse effects in therapeutic use",
    "E9458": "Other and unspecified respiratory drugs causing adverse effects in therapeutic use",
    "E946": "Agents primarily affecting skin and mucous membrane, ophthalmological, otorhinolaryngological, and dental drugs causing adverse effects in therapeutic use",
    "E9461": "Antipruritics causing adverse effects in therapeutic use",
    "E9462": "Local astringents and local detergents causing adverse effects in therapeutic use",
    "E9463": "Emollients, demulcents, and protectants causing adverse effects in therapeutic use",
    "E9464": "Keratolytics, keratoplastics, other hair treatment drugs and preparations causing adverse effects in therapeutic use",
    "E9465": "Eye anti-infectives and other eye drugs causing adverse effects in therapeutic use",
    "E9466": "Anti-infectives and other drugs and preparations for ear, nose, and throat causing adverse effects in therapeutic use",
    "E9467": "Dental drugs topically applied causing adverse effects in therapeutic use",
    "E9468": "Other agents primarily affecting skin and mucous membrane causing adverse effects in therapeutic use",
    "E9469": "Unspecified agent primarily affecting skin and mucous membrane causing adverse effects in therapeutic use",
    "E947": "Other and unspecified drugs and medicinal substances causing adverse effects in therapeutic use",
    "E9471": "Lipotropic drugs causing adverse effects in therapeutic use",
    "E9472": "Antidotes and chelating agents, not elsewhere classified, causing adverse effects in therapeutic use",
    "E9474": "Pharmaceutical excipients causing adverse effects in therapeutic use",
    "E9478": "Other drugs and medicinal substances causing adverse effects in therapeutic use",
    "E9479": "Unspecified drug or medicinal substance causing adverse effects in therapeutic use",
    "E948": "Bacterial vaccines causing adverse effects in therapeutic use",
    "E9480": "Bcg vaccine causing adverse effects in therapeutic use",
    "E9482": "Cholera vaccine causing adverse effects in therapeutic use",
    "E9483": "Plague vaccine causing adverse effects in therapeutic use",
    "E9484": "Tetanus vaccine causing adverse effects in therapeutic use",
    "E9485": "Diphtheria vaccine causing adverse effects in therapeutic use",
    "E9486": "Pertussis vaccine, including combinations with a pertussis component, causing adverse effects in therapeutic use",
    "E9488": "Other and unspecified bacterial vaccines causing adverse effects in therapeutic use",
    "E9489": "Mixed bacterial vaccines, except combinations with a pertussis component, causing adverse effects in therapeutic use",
    "E949": "Other vaccines and biological substances causing adverse effects in therapeutic use",
    "E9490": "Smallpox vaccine causing adverse effects in therapeutic use",
    "E9491": "Rabies vaccine causing adverse effects in therapeutic use",
    "E9493": "Yellow fever vaccine causing adverse effects in therapeutic use",
    "E9494": "Measles vaccine causing adverse effects in therapeutic use",
    "E9495": "Poliomyelitis vaccine causing adverse effects in therapeutic use",
    "E9497": "Mixed viral-rickettsial and bacterial vaccines, except combinations with a pertussis component, causing adverse effects in therapeutic use",
    "E9499": "Other and unspecified vaccines and biological substances causing adverse effects in therapeutic use",
    "E9799": "Terrorism secondary effects",
    "E9530": "Suicide and self-inflicted injury by hanging",
    "E9531": "Suicide and self-inflicted injury by suffocation by plastic bag",
    "E9570": "Suicide and self-inflicted injuries by jumping from residential premises",
    "E9571": "Suicide and self-inflicted injuries by jumping from other man-made structures",
    "E9572": "Suicide and self-inflicted injuries by jumping from natural sites",
    "E9579": "Suicide and self-inflicted injuries by jumping from unspecified site",
    "E9670": "Perpetrator of child and adult abuse, by father, stepfather, or boyfriend",
    "E9671": "Perpetrator of child and adult abuse, by other specified person",
    "E9672": "Perpetrator of child and adult abuse, by mother, stepmother, or girlfriend",
    "E9673": "Perpetrator of child and adult abuse, by spouse or partner",
    "E9674": "Perpetrator of child and adult abuse, by child",
    "E9675": "Perpetrator of child and adult abuse, by sibling",
    "E9676": "Perpetrator of child and adult abuse, by grandparent",
    "E9677": "Perpetrator of child and adult abuse, by other relative",
    "E9679": "Perpetrator of child and adult abuse, by unspecified person",
    "E9790": "Terrorism involving explosion of marine weapons",
    "E9791": "Terrorism involving destruction of aircraft",
    "E9792": "Terrorism involving other explosions and fragments",
    "E9793": "Terrorism involving fires",
    "E9794": "Terrorism involving firearms",
    "E9795": "Terrorism involving nuclear weapons",
    "E9796": "Terrorism involving biological weapons",
    "E9797": "Terrorism involving chemical weapons",
    "E9798": "Terrorism involving other means",
    "E9870": "Falling from residential premises, undetermined whether accidentally or purposely inflicted",
    "E9872": "Falling from natural sites, undetermined whether accidentally or purposely inflicted",
    "E9879": "Falling from unspecified site, undetermined whether accidentally or purposely inflicted",
    "V038": "Need for other specified vaccinations against single bacterial diseases",
    "V0389": "Other specified vaccination",
    "V220": "Supervision of normal first pregnancy",
    "V221": "Supervision of other normal pregnancy",
    "V230": "Supervision of high-risk pregnancy with history of infertility",
    "V232": "Supervision of high-risk pregnancy with history of abortion",
    "V234": "Supervision of high-risk pregnancy with other poor obstetric history",
    "V2349": "Pregnancy with other poor obstetric history",
    "V235": "Supervision of high-risk pregnancy with other poor reproductive history",
    "V237": "Supervision of high-risk pregnancy with insufficient prenatal care",
    "V238": "Supervision of other high-risk pregnancy",
    "V2381": "Supervision of high-risk pregnancy with elderly primigravida",
    "V2382": "Supervision of high-risk pregnancy with elderly multigravida",
    "V2383": "Supervision of high-risk pregnancy with young primigravida",
    "V2384": "Supervision of high-risk pregnancy with young multigravida",
    "V2385": "Pregnancy resulting from assisted reproductive technology",
    "V2386": "Pregnancy with history of in utero procedure during previous pregnancy",
    "V2387": "Pregnancy with inconclusive fetal viability",
    "V2389": "Supervision of other high-risk pregnancy",
    "V239": "Supervision of unspecified high-risk pregnancy",
    "V240": "Postpartum care and examination immediately after delivery",
    "V241": "Postpartum care and examination of lactating mother",
    "V242": "Routine postpartum follow-up",
    "V3001": "Single liveborn, born in hospital, delivered by cesarean section",
    "V3101": "Twin birth, mate liveborn, born in hospital, delivered by cesarean section",
    "V3401": "Other multiple birth (three or more), mates all liveborn, born in hospital, delivered by cesarean section",
    "V6401": "Vaccination not carried out because of acute illness",
    "V6403": "Vaccination not carried out because of immune compromised state",
    "V8554": "Body Mass Index, pediatric, greater than or equal to 95th percentile for age",
}
